private rule architecture {
	meta:
		bits = 64
		endianness = "little"
		architecture = "x64"
	condition:
		true
}

rule file_0_0_0 {
	meta:
		name = "_wcsset_s"
		size = 84
		refs = "0037 _errno 0042 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 C9 74 2A 48 85 D2 74 25 48 8B C1 66 44 39 09 74 13 48 FF CA 74 0E 66 44 89 00 48 83 C0 02 66 44 39 08 75 ED 48 85 D2 75 1E 66 44 89 09 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 33 C0 EB F7 }
	condition:
		$1
}

rule file_1_0_0 {
	meta:
		name = "??0_Scoped_lock@_HyperNonReentrantLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_22_0 {
	meta:
		name = "??0ScopedCriticalRegion@ContextBase@details@Concurrency@@QEAA@PEAV123@@Z"
		size = 29
		refs = "0010 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_184_7_0 {
	meta:
		name = "??0_Scoped_lock@_CriticalNonReentrantLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_579_8_0 {
	meta:
		name = "??0_Scoped_lock@_NonReentrantBlockingLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_313_1_0 {
	meta:
		name = "??0_Scoped_lock@_ReaderWriterLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_595_4_0 {
	meta:
		name = "??0_Scoped_lock@_ReentrantBlockingLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 29
		refs = "0010 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_75_0 {
	meta:
		name = "??0scoped_lock_read@reader_writer_lock@Concurrency@@QEAA@AEAV12@@Z"
		size = 29
		refs = "0010 ?lock_read@reader_writer_lock@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8B CA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_2_0 {
	meta:
		name = "??_H@YAXPEAX_KHP6APEAX0@Z@Z"
		size = 67
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 41 8B F8 48 8B EA 48 8B D9 EB 08 48 8B CB FF D6 48 03 DD FF CF 79 F4 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_10_0 {
	meta:
		name = "??A?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEBAPEAVVirtualProcessor@12@H@Z"
		size = 91
		altNames = "??A?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEBAPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@12@H@Z ??A?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEBAPEAVExternalStatistics@12@H@Z ??A?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEBAPEAVScheduleGroupBase@12@H@Z ??A?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEBAPEAVWorkQueue@12@H@Z"
	strings:
		$1 = { 4C 8B C9 8B 49 54 4C 63 DA 45 8B C3 41 D3 F8 45 3B 41 6C 7C 03 33 C0 C3 49 8B 41 60 45 3B 41 68 7C 1E 45 2B 41 68 49 63 49 68 4C 8B 54 C8 F8 78 16 41 8D 48 01 48 FF C9 4D 8B 52 08 75 F7 EB 07 49 63 C8 4C 8B 14 C8 41 8B 41 50 FF C8 48 63 D0 49 8B 02 49 23 D3 48 8B 04 D0 C3 }
	condition:
		$1
}

rule file_1_11_0 {
	meta:
		name = "?PullFromFreePool@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAAPEAVVirtualProcessor@23@XZ"
		size = 26
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 74 06 48 05 10 FF FF FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1_16_0 {
	meta:
		name = "?UnlockedSteal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 46
		altNames = "?UnlockedSteal@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ"
	strings:
		$1 = { 8B 51 04 8B 01 4C 8B C9 3B C2 7D 1F 48 63 09 4D 63 41 08 49 8B 51 10 4C 23 C1 33 C0 4A 87 04 C2 48 85 C0 74 08 FF C1 41 89 09 C3 33 C0 C3 }
	condition:
		$1
}

rule file_1_17_0 {
	meta:
		name = "??0ArrayNode@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVVirtualProcessor@23@@Z"
		size = 16
		altNames = "??0ArrayNode@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z ??0ArrayNode@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVExternalStatistics@23@@Z ??0ArrayNode@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVScheduleGroupBase@23@@Z ??0ArrayNode@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@PEAPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 48 83 61 08 00 83 49 10 FF 48 89 11 48 8B C1 C3 }
	condition:
		$1
}

rule file_1_18_0 {
	meta:
		name = "?_SetSpinCount@?$_SpinWait@$00@details@Concurrency@@QEAAXI@Z"
		size = 26
	strings:
		$1 = { 85 D2 75 08 C7 41 08 04 00 00 00 C3 B8 01 00 00 00 89 11 89 41 04 89 41 08 C3 }
	condition:
		$1
}

rule file_1_19_0 {
	meta:
		name = "??$_InternalDeleteHelper@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@YAXPEAVVirtualProcessor@01@@Z"
		size = 24
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1_20_0 {
	meta:
		name = "?FindMatchingVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 154
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 8B 99 90 00 00 00 45 33 C9 48 8B FA 4C 8B C1 85 DB 7E 70 41 8B 48 74 41 8B D1 D3 FA 41 3B 90 8C 00 00 00 7D 56 4D 63 90 88 00 00 00 49 8B 80 80 00 00 00 41 3B D2 7C 18 41 2B D2 4E 8B 5C D0 F8 78 15 8D 4A 01 48 FF C9 4D 8B 5B 08 75 F7 EB 07 48 63 CA 4C 8B 1C C8 41 8B 40 70 FF C8 48 63 C8 49 63 C1 48 23 C8 49 8B 03 48 8B 04 C8 48 85 C0 74 09 48 39 B8 88 00 00 00 74 0A 41 FF C1 44 3B CB 7C 90 33 C0 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_1_21_0 {
	meta:
		name = "?FindAvailableVirtualProcessor@SchedulingNode@details@Concurrency@@AEAAPEAVVirtualProcessor@23@PEAV423@@Z"
		size = 217
		refs = "0027 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 48 8B F9 48 85 D2 74 1D 80 BA C3 00 00 00 00 75 14 48 8B CA E8 ?? ?? ?? ?? 84 C0 74 08 48 8B C3 E9 92 00 00 00 8B 87 90 00 00 00 33 F6 85 C0 0F 8E 80 00 00 00 8B 4F 74 8B D6 D3 FA 3B 97 8C 00 00 00 7D 65 4C 63 8F 88 00 00 00 48 8B 87 80 00 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 48 FF C9 4D 8B 40 08 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 47 70 FF C8 48 63 C8 48 63 C6 48 23 C8 49 8B 00 48 8B 1C C8 48 85 DB 74 19 80 BB C3 00 00 00 00 75 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 74 FF FF FF 8B 87 90 00 00 00 FF C6 3B F0 7C 80 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_22_0 {
	meta:
		name = "?CheckForNewOwningRing@SchedulingNode@details@Concurrency@@AEAAXXZ"
		size = 487
		refs = "001f __security_cookie 005c __chkstk 0070 memset 01cc __security_check_cookie"
	strings:
		$1 = { 40 55 48 81 EC 30 01 00 00 48 8D 6C 24 20 48 89 9D 28 01 00 00 48 89 BD 30 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 85 00 01 00 00 48 8B 01 48 8B D9 83 78 38 40 7E 2A 48 63 40 38 48 C1 E0 02 48 8D 50 0F 48 3B D0 77 0A 48 BA F0 FF FF FF FF FF FF 0F 48 83 E2 F0 48 8B C2 E8 ?? ?? ?? ?? 48 2B E2 48 8D 4D 00 33 D2 41 B8 00 01 00 00 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 33 FF 45 33 DB 45 33 C0 85 C0 0F 8E 92 00 00 00 8B 4B 74 41 8B D0 D3 FA 3B 93 8C 00 00 00 7D 70 4C 63 8B 88 00 00 00 48 8B 83 80 00 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 54 C8 F8 78 15 8D 4A 01 48 FF C9 4D 8B 52 08 75 F7 EB 07 48 63 CA 4C 8B 14 C8 8B 43 70 FF C8 48 63 C8 49 63 C0 48 23 C8 49 8B 02 48 8B 14 C8 48 85 D2 74 24 48 8B 42 78 48 63 88 A4 00 00 00 FF 44 8D 00 39 7C 8D 00 7E 0F 48 8B 42 78 8B 7C 8D 00 44 8B 98 A4 00 00 00 8B 83 90 00 00 00 41 FF C0 44 3B C0 0F 8C 6E FF FF FF 8B 83 90 00 00 00 45 33 C0 4D 63 DB 85 C0 0F 8E 91 00 00 00 8B 4B 74 41 8B D0 D3 FA 3B 93 8C 00 00 00 7D 6F 4C 63 93 88 00 00 00 48 8B 83 80 00 00 00 41 3B D2 7C 18 41 2B D2 4E 8B 4C D0 F8 78 15 8D 4A 01 48 FF C9 4D 8B 49 08 75 F7 EB 07 48 63 CA 4C 8B 0C C8 8B 43 70 FF C8 48 63 C8 49 63 C0 48 23 C8 49 8B 01 48 8B 14 C8 48 85 D2 74 23 48 8B 03 48 8B 48 30 4A 8B 04 D9 48 89 82 80 00 00 00 33 C0 87 82 98 00 00 00 83 F8 01 75 04 F0 FF 4B 18 8B 83 90 00 00 00 41 FF C0 44 3B C0 0F 8C 6F FF FF FF 48 8B 8D 00 01 00 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D 28 01 00 00 48 8B BD 30 01 00 00 48 8D A5 10 01 00 00 5D C3 }
	condition:
		$1
}

rule file_1_23_0 {
	meta:
		name = "??0?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z"
		size = 302
		refs = "009a ??_U@YAPEAX_K@Z 00af memset 00b7 ??2@YAPEAX_K@Z 00f7 __imp_InitializeSListHead"
		altNames = "??0?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z ??0?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z ??0?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z ??0?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 48 83 61 20 00 83 61 54 00 48 83 61 58 00 48 89 51 48 C7 41 68 00 02 00 00 C7 41 6C 01 00 00 00 41 8D 40 FF C7 41 70 00 00 00 00 44 89 49 74 48 8B D9 C7 41 78 00 00 00 00 41 85 C0 74 2F 41 8B C0 D1 F8 44 0B C0 41 8B C0 C1 F8 02 44 0B C0 41 8B C0 C1 F8 04 44 0B C0 41 8B C0 C1 F8 08 44 0B C0 41 8B C0 C1 F8 10 44 0B C0 41 FF C0 44 89 41 50 49 63 C8 B8 08 00 00 00 48 C7 C5 FF FF FF FF 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 4C 63 43 50 33 D2 49 C1 E0 03 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 8D 4D 19 E8 ?? ?? ?? ?? 48 85 C0 74 0B 48 83 60 08 00 48 89 38 89 68 10 48 63 4B 68 48 89 43 58 B8 08 00 00 00 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4B 58 48 89 43 60 48 89 08 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 4B 10 FF 15 ?? ?? ?? ?? 44 8B 5B 50 41 D1 FB 74 0D 8B 43 54 FF C0 41 D1 FB 75 F9 89 43 54 48 8B 6C 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_24_0 {
	meta:
		name = "?Steal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 98
		refs = "001a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 004b ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 18 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 44 8B 5F 04 8B 07 33 F6 41 3B C3 7D 1C 48 63 0F 48 63 57 08 48 8B 47 10 48 23 D1 48 87 34 D0 48 85 F6 74 05 8D 41 01 89 07 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_25_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$00@details@Concurrency@@IEAAXXZ"
		size = 50
		refs = "000e ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 61 08 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 0D 89 03 B8 01 00 00 00 89 43 04 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_26_0 {
	meta:
		name = "?DeleteElements@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 49
	strings:
		$1 = { 48 85 D2 74 2B 53 48 83 EC 20 48 8B DA 48 8D 8B 10 FF FF FF 48 8B 1B 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 DB 75 E2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_27_0 {
	meta:
		name = "?StealLocalRunnableContext@SchedulingNode@details@Concurrency@@AEAAPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z"
		size = 203
		refs = "00a1 ?Steal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B B1 90 00 00 00 45 33 C9 48 8B F9 48 85 D2 74 0C 8B AA 9C 00 00 00 41 8D 59 01 EB 7E 33 ED 33 DB EB 78 8B 4F 74 8D 04 2B 99 F7 FE 44 8B C2 41 D3 F8 44 3B 87 8C 00 00 00 7D 5E 4C 63 97 88 00 00 00 48 8B 87 80 00 00 00 45 3B C2 7C 19 45 2B C2 4E 8B 5C D0 F8 78 16 41 8D 48 01 48 FF C9 4D 8B 5B 08 75 F7 EB 07 49 63 C8 4C 8B 1C C8 8B 47 70 FF C8 48 63 C8 48 63 C2 48 23 C8 49 8B 03 48 8B 0C C8 48 85 C9 74 11 48 83 C1 10 E8 ?? ?? ?? ?? 4C 8B C8 48 85 C0 75 06 FF C3 3B DE 7C 84 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 49 8B C1 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_28_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		size = 180
		refs = "001a ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 33 FF 8B 4B 08 85 C9 75 27 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB E4 89 03 C7 43 04 01 00 00 00 C7 43 08 01 00 00 00 EB D2 FF C9 74 53 FF C9 74 33 FF C9 74 06 FF C9 74 3F EB 25 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 10 89 03 C7 43 04 01 00 00 00 C7 43 08 01 00 00 00 32 C0 EB 31 8B 43 08 FF 4B 04 B9 03 00 00 00 0F 44 C1 40 B7 01 89 43 08 FF 53 10 40 8A C7 EB 15 F3 90 FF 0B 75 0D 8B 4B 04 F7 D9 1B D2 83 C2 03 89 53 08 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1_29_0 {
	meta:
		name = "??1?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 261
		refs = "0019 __imp_InterlockedFlushSList 00d4 ??_V@YAXPEAX@Z 00dc ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1F 48 8D 8B 10 FF FF FF 48 8B 1B 48 85 C9 74 0B 4C 8B 01 BA 01 00 00 00 41 FF 10 48 85 DB 75 E1 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1F 48 8D 8B 10 FF FF FF 48 8B 1B 48 85 C9 74 0B 4C 8B 01 BA 01 00 00 00 41 FF 10 48 85 DB 75 E1 48 8B 5F 20 EB 19 48 8D 8B 10 FF FF FF 48 8B 1B 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 DB 75 E2 48 8B 77 58 48 85 F6 74 46 33 DB 39 5F 50 7E 23 33 ED 48 8B 06 48 8B 0C 28 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 FF C3 48 83 C5 08 3B 5F 50 7C DF 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 BA 48 8B 4F 60 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_30_0 {
	meta:
		name = "?Add@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAAHPEAVVirtualProcessor@23@@Z"
		size = 370
		refs = "00c4 ??_U@YAPEAX_K@Z 00d9 memset 00e3 ??2@YAPEAX_K@Z 012a ?_UnderlyingYield@details@Concurrency@@YAXXZ 0139 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 55 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B EA 48 8B F9 49 83 CB FF 44 8D 7E 01 44 39 5B 10 7C 53 4C 8B 0B 33 D2 39 57 50 7E 49 4D 8B C1 49 83 38 00 75 1B 8D 04 32 48 63 CA 41 89 85 9C 00 00 00 44 8B 57 70 33 C0 F0 4D 0F B1 2C C9 74 0E 41 03 D7 49 83 C0 08 3B 57 50 7D 19 EB D1 03 F2 41 8A EF 41 3B F2 7C 05 F0 44 01 7F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B4 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 76 33 C0 F0 4C 0F B1 7B 08 75 6C 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B E0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 20 EB 03 45 33 DB 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 4C 89 1C C8 44 01 7F 6C 4C 87 5B 08 4C 39 7B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 7B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 D6 FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_1_31_0 {
	meta:
		name = "??0SchedulingNode@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z"
		size = 77
		refs = "002c ??0?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 51 08 33 C0 48 8B D9 89 41 10 89 41 14 89 41 18 48 8B 12 48 83 C1 20 41 B9 FF FF FF 7F 41 B8 00 01 00 00 E8 ?? ?? ?? ?? 4C 8B 5B 08 49 8B 03 48 89 03 41 8B 83 A4 00 00 00 89 43 1C 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1_33_0 {
	meta:
		name = "?AddVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@_N@Z"
		size = 389
		refs = "002a ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0037 __imp_InterlockedPopEntrySList 00ab ?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z 00f4 ?Add@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAAHPEAVVirtualProcessor@23@@Z 00ff ?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z 0110 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 011b ?GetAnonymousScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 45 8A E8 4C 8B E2 48 8B F9 40 32 F6 E8 ?? ?? ?? ?? 48 8D 4F 20 48 8B E8 FF 15 ?? ?? ?? ?? 48 85 C0 74 1E 48 8D 98 10 FF FF FF 48 85 DB 74 12 4C 8B 0B 4D 8B C4 48 8B D7 48 8B CB 41 FF 51 30 EB 15 48 8B 0F 4D 8B C4 48 8B D7 48 8B 01 FF 90 A0 00 00 00 48 8B D8 41 BC 01 00 00 00 45 84 ED 74 44 44 88 A3 C0 00 00 00 48 8D 4D F0 48 89 8B C8 00 00 00 48 89 99 E8 00 00 00 48 8B 0F 48 8B 11 FF 52 58 84 C0 74 1B 48 8B 0F 41 8B D4 E8 ?? ?? ?? ?? 85 C0 74 0C 41 8A F4 44 88 A3 C3 00 00 00 EB 03 40 32 F6 F0 44 01 67 14 40 84 F6 75 7F 48 8B 07 44 8B 80 7C 01 00 00 45 85 C0 75 52 48 8B 07 44 8B 40 1C 45 85 C0 7E 46 33 C0 48 8D 4F 20 48 8B D3 87 43 08 E8 ?? ?? ?? ?? 48 8B 0F 41 8A D4 E8 ?? ?? ?? ?? 84 C0 74 5C 48 85 ED 74 0A 48 8B CD E8 ?? ?? ?? ?? EB 09 48 8B 4F 08 E8 ?? ?? ?? ?? 48 8B D0 48 8B 03 48 8B CB FF 50 38 EB 36 F0 44 01 67 10 48 8B 07 F0 44 01 A0 7C 01 00 00 48 8D 4F 20 48 8B D3 E8 ?? ?? ?? ?? EB 18 48 8D 4F 20 48 8B D3 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D3 48 8B 01 FF 50 60 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_2_0_0 {
	meta:
		name = "_calloc_impl"
		size = 154
		refs = "0024 _errno 004d _crtheap 0059 __imp_HeapAlloc 0064 _newmode 006f _callnewh"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 48 8B FA 48 85 C9 74 1D 33 D2 48 8D 42 E0 48 F7 F1 48 3B C7 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 5D 48 0F AF F9 B8 01 00 00 00 48 85 FF 48 0F 44 F8 33 C0 48 83 FF E0 77 18 48 8B 0D ?? ?? ?? ?? 8D 50 08 4C 8B C7 FF 15 ?? ?? ?? ?? 48 85 C0 75 2D 83 3D ?? ?? ?? ?? 00 74 19 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 CB 48 85 DB 74 B2 C7 03 0C 00 00 00 EB AA 48 85 DB 74 06 C7 03 0C 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "_mbccpy_l"
		size = 29
		refs = "0014 _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 45 33 C0 4C 8B CA 41 8D 50 02 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_4_1_0 {
	meta:
		name = "_mbccpy"
		size = 30
		refs = "0015 _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C0 4C 8B CA 41 8D 50 02 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "rename"
		size = 47
		refs = "0006 __imp_MoveFileA 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_742_0_0 {
	meta:
		name = "_rmdir"
		size = 47
		refs = "0006 __imp_RemoveDirectoryA 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_139_0_0 {
	meta:
		name = "_wremove"
		size = 47
		refs = "0006 __imp_DeleteFileW 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_843_0_0 {
	meta:
		name = "_wrename"
		size = 47
		refs = "0006 __imp_MoveFileW 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_182_0_0 {
	meta:
		name = "_wrmdir"
		size = 47
		refs = "0006 __imp_RemoveDirectoryW 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_200_0_0 {
	meta:
		name = "remove"
		size = 47
		refs = "0006 __imp_DeleteFileA 0010 __imp_GetLastError 001f _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_6_0_0 {
	meta:
		name = "sin"
		size = 1165
		refs = "0088 L__real_3fc5555555555555 00b4 L__real_3fe0000000000000 00c4 Lsinarray 0153 L__real_411E848000000000 0165 L__real_3fe45f306dc9c883 0188 L__real_3ff921fb54400000 0194 L__real_3dd0b4611a626331 01b8 L__real_3dd0b4611a600000 01c5 L__real_3ba3198a2e037073 0254 L__real_3ff0000000000000 02b1 __remainder_piby2 03a0 Lcosarray 0481 _sin_special"
	strings:
		$1 = { 48 81 EC F8 00 00 00 66 0F 57 D2 F2 0F 11 04 24 48 8B 14 24 48 B8 00 00 00 00 00 00 F0 7F 4C 8B D0 4C 23 D2 4C 3B D0 0F 84 53 04 00 00 49 BA FF FF FF FF FF FF FF 7F 4C 23 D2 41 B8 01 00 00 00 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 0F 8F DD 00 00 00 48 B8 00 00 00 00 00 00 20 3F 4C 3B D0 7D 4E 48 B8 00 00 00 00 00 00 40 3E 4C 3B D0 7D 0F E9 FA 03 00 00 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 59 D0 F2 0F 59 D4 F2 0F 5C C2 E9 CF 03 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 D0 F2 0F 59 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 CA F2 0F 59 CA F2 0F 59 EA F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 DD F2 0F 59 E3 F2 0F 58 C4 E9 47 03 00 00 0F 1F 80 00 00 00 00 49 3B D2 41 BB 00 00 00 00 74 15 41 BB 01 00 00 00 F2 0F 5C D0 F2 0F 10 C2 0F 1F 80 00 00 00 00 4C 3B 15 ?? ?? ?? ?? 0F 83 33 01 00 00 F2 0F 10 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 D3 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 F2 0F 10 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? F2 0F 11 04 24 F2 0F 10 2D ?? ?? ?? ?? 48 8B 0C 24 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 F2 0F 10 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 F2 0F 10 C4 F2 0F 10 CD F2 0F 5C C5 F2 0F 5C E0 F2 0F 5C E1 48 81 F9 F2 03 00 00 0F 8D C6 00 00 00 48 81 F9 DE 03 00 00 7E 4D F2 0F 10 D0 F2 0F 59 D2 44 23 C0 75 20 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 DA F2 0F 5C C3 E9 F7 01 00 00 0F 1F 80 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 D7 01 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 84 C7 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 BA 01 00 00 66 66 0F 1F 84 00 00 00 00 00 4C 89 1C 24 4C 8D 8C 24 C0 00 00 00 4C 8D 84 24 B0 00 00 00 48 8D 94 24 A0 00 00 00 48 83 EC 20 E8 ?? ?? ?? ?? 48 83 C4 20 4C 8B 1C 24 41 B8 01 00 00 00 F2 0F 10 84 24 A0 00 00 00 F2 0F 10 A4 24 B0 00 00 00 8B 84 24 C0 00 00 00 0F 1F 40 00 F2 0F 10 D8 F2 0F 10 D0 F2 0F 59 D0 44 23 C0 0F 85 9B 00 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? F2 0F 11 24 24 F2 0F 10 CA F2 0F 59 CA F2 0F 11 44 24 10 F2 0F 59 EA F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 04 24 F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 DD F2 0F 59 E3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 58 44 24 10 E9 BC 00 00 00 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 59 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA F2 0F 10 DA F2 0F 11 24 24 F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 10 E2 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 5C EC F2 0F 59 CB F2 0F 58 C1 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 5C 2C 24 F2 0F 59 C2 F2 0F 58 C5 F2 0F 5C C4 66 66 0F 1F 84 00 00 00 00 00 D1 E8 8B C8 41 23 C3 F7 D1 41 F7 D3 41 23 CB 0B C1 83 E0 01 75 1A F2 0F 10 D0 66 0F 57 C0 F2 0F 5C C2 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 48 81 C4 F8 00 00 00 C3 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 C3 }
	condition:
		$1
}

rule file_7_0_0 {
	meta:
		name = "_invoke_watson_if_error"
		size = 49
		refs = "002b _invoke_watson"
	strings:
		$1 = { 85 C9 74 2C 53 48 83 EC 30 48 8B 44 24 68 4D 8B D1 44 8B 4C 24 60 4D 8B D8 48 8B DA 4D 8B C2 49 8B D3 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? CC C3 }
	condition:
		$1
}

rule file_7_1_0 {
	meta:
		name = "_tsopen_nolock"
		size = 1960
		refs = "005e _get_fmode 00a4 __doserrno 00ae _errno 00ba _invalid_parameter_noinfo 01a6 _umaskval 01fc _alloc_osfhnd 0254 __imp_CreateFileW 02bd __pioinfo 02da __imp_GetLastError 02e1 _dosmaperr 02f6 __imp_GetFileType 0334 __imp_CloseHandle 0364 _set_osfhnd 03d1 _lseek_nolock 03ed _close_nolock 0407 _read_nolock 041d _chsize_nolock 053a _lseeki64_nolock 0651 _write 076a _free_osfhnd 07a3 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 33 FF 41 B5 80 41 8B F1 48 8B DA C7 45 E8 18 00 00 00 44 8D 67 01 89 7D D8 40 88 7D 58 48 89 7D F0 45 84 CD 74 08 89 7D F8 41 B7 10 EB 07 44 89 65 F8 44 8A FF 48 8D 4D D8 E8 ?? ?? ?? ?? 85 C0 0F 85 29 07 00 00 B8 00 80 00 00 85 F0 75 10 F7 C6 00 40 07 00 75 05 39 45 D8 74 03 45 0A FD 8B CE 41 B9 03 00 00 00 B8 00 00 00 C0 41 23 C9 41 B8 00 00 00 80 74 5B FF C9 74 41 FF C9 74 38 E8 ?? ?? ?? ?? 89 38 83 0B FF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 9C 24 C8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 8B F0 EB 19 40 F6 C6 08 74 08 F7 C6 00 00 07 00 75 ED 41 BE 00 00 00 40 EB 03 45 8B F0 8B 4D 60 44 89 75 C0 41 BD 02 00 00 00 83 E9 10 74 2D 83 E9 10 74 23 83 E9 10 74 19 83 E9 10 74 0F 83 F9 40 75 84 45 3B F0 8B D7 0F 94 C2 EB 11 41 8B D1 EB 0C 41 8B D5 EB 07 41 8B D4 EB 02 8B D7 8B C6 B9 00 07 00 00 89 55 C4 23 C1 41 B8 00 01 00 00 74 46 41 3B C0 74 39 3D 00 02 00 00 74 2A 3D 00 03 00 00 74 1E 3D 00 04 00 00 74 2C 3D 00 05 00 00 74 28 3D 00 06 00 00 74 0E 3B C1 74 1D E9 24 FF FF FF 45 8B E5 EB 13 41 BC 05 00 00 00 EB 0B 41 BC 04 00 00 00 EB 03 45 8B E1 B9 80 00 00 00 89 4D CC 41 85 F0 74 16 8A 05 ?? ?? ?? ?? F6 D0 22 45 68 A8 80 8D 41 81 0F 44 C8 89 4D CC 40 F6 C6 40 74 16 0F BA E9 1A 41 0F BA EE 10 83 CA 04 89 55 C4 89 4D CC 44 89 75 C0 0F BA E6 0C 73 06 41 0B C8 89 4D CC 40 F6 C6 20 74 06 0F BA E9 1B EB 0A 40 F6 C6 10 74 07 0F BA E9 1C 89 4D CC E8 ?? ?? ?? ?? 89 03 83 F8 FF 75 21 E8 ?? ?? ?? ?? 89 38 83 0B FF E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 98 FE FF FF 48 8B 45 40 44 8B 45 C4 48 8B 4D 50 C7 00 01 00 00 00 8B 45 CC 48 89 7C 24 30 89 44 24 28 4C 8D 4D E8 41 8B D6 44 89 64 24 20 FF 15 ?? ?? ?? ?? 48 89 45 E0 48 83 F8 FF 0F 85 8B 00 00 00 B9 00 00 00 C0 41 8B C6 23 C1 3B C1 75 43 B8 01 00 00 00 40 84 F0 74 39 8B 45 CC 44 8B 45 C4 48 8B 4D 50 41 0F BA F6 1F 48 89 7C 24 30 89 44 24 28 4C 8D 4D E8 41 8B D6 44 89 64 24 20 44 89 75 C0 FF 15 ?? ?? ?? ?? 48 89 45 E0 48 83 F8 FF 75 3A 48 63 0B 4C 8D 35 ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 08 FE FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 38 E9 9B 04 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 4B 48 63 0B 4C 8D 35 ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 08 FE FF 15 ?? ?? ?? ?? 8B C8 8B D8 E8 ?? ?? ?? ?? 48 8B 4D E0 FF 15 ?? ?? ?? ?? 85 DB 75 A9 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB 9C 41 3B C5 75 06 41 80 CF 40 EB 09 83 F8 03 75 04 41 80 CF 08 48 8B 55 E0 8B 0B E8 ?? ?? ?? ?? 48 63 0B 4C 8D 35 ?? ?? ?? ?? 48 8B C1 83 E1 1F 41 B8 01 00 00 00 48 C1 F8 05 45 0A F8 49 8B 04 C6 48 6B C9 58 44 88 7C 08 08 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 38 80 41 8A C7 24 48 88 45 D0 0F 85 83 00 00 00 45 84 FF 0F 89 A5 02 00 00 41 84 F5 74 75 8B 0B 45 8B C5 83 CA FF E8 ?? ?? ?? ?? 89 45 C8 83 F8 FF 75 19 E8 ?? ?? ?? ?? 81 38 83 00 00 00 74 4D 8B 0B E8 ?? ?? ?? ?? E9 EF FE FF FF 8B 0B 48 8D 55 D4 41 B8 01 00 00 00 66 89 7D D4 E8 ?? ?? ?? ?? 85 C0 75 17 66 83 7D D4 1A 75 10 48 63 55 C8 8B 0B E8 ?? ?? ?? ?? 83 F8 FF 74 C4 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 83 F8 FF 74 B3 41 B8 01 00 00 00 45 84 FF 0F 89 22 02 00 00 BA 00 40 07 00 B9 00 40 00 00 85 F2 75 0D 8B 45 D8 23 C2 75 04 0B F1 EB 02 0B F0 8B C6 23 C2 3B C1 74 43 3D 00 00 01 00 74 29 3D 00 40 01 00 74 22 3D 00 00 02 00 74 28 3D 00 40 02 00 74 21 3D 00 00 04 00 74 07 3D 00 40 04 00 75 1D 44 88 45 58 EB 17 B9 01 03 00 00 8B C6 23 C1 3B C1 75 0A 44 88 6D 58 EB 04 40 88 7D 58 F7 C6 00 00 07 00 0F 84 AC 01 00 00 41 F6 C7 40 44 8B 7D C0 89 7D C8 0F 85 9F 01 00 00 41 8B C7 B9 00 00 00 C0 23 C1 3D 00 00 00 40 0F 84 0D 01 00 00 3D 00 00 00 80 74 70 3B C1 0F 85 7B 01 00 00 45 85 E4 0F 84 72 01 00 00 45 3B E5 76 10 41 83 FC 04 76 2D 41 83 FC 05 0F 85 5D 01 00 00 0F BE 4D 58 44 8B E7 FF C9 0F 84 15 01 00 00 FF C9 0F 85 46 01 00 00 C7 45 C8 FF FE 00 00 E9 0E 01 00 00 8B 0B 45 8B C5 33 D2 E8 ?? ?? ?? ?? 48 85 C0 74 CC 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 91 FE FF FF 8B 0B 48 8D 55 C8 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 77 FE FF FF 41 3B C5 74 1B 83 F8 03 75 61 81 7D C8 EF BB BF 00 75 0D 44 8D 40 FE 44 88 45 58 E9 DF 00 00 00 0F B7 45 C8 3D FE FF 00 00 75 1A 8B 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 8B FB E9 D4 01 00 00 3D FF FE 00 00 75 1F 8B 0B 45 33 C0 41 8B D5 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 15 FE FF FF 44 88 6D 58 E9 8E 00 00 00 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 83 F8 FF EB 3D 45 85 E4 74 78 45 3B E5 0F 86 12 FF FF FF 41 83 FC 04 0F 87 FE FE FF FF 8B 0B 45 8B C5 33 D2 E8 ?? ?? ?? ?? 48 85 C0 0F 84 F3 FE FF FF 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 83 F8 FF 75 3E E9 B7 FD FF FF C7 45 C8 EF BB BF 00 41 BD 03 00 00 00 8B 0B 49 63 C4 45 8B C5 48 8D 54 05 C8 45 2B C4 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 8C FD FF FF 44 03 E0 45 3B EC 7F DA EB 04 44 8B 7D C0 41 B8 01 00 00 00 48 63 0B 44 8A 65 58 48 8B C1 83 E1 1F 41 80 E4 7F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 38 80 44 08 64 08 38 48 63 13 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 8B 0C C6 8B C6 80 64 11 38 7F C1 E8 10 C0 E0 07 08 44 11 38 40 38 7D D0 75 20 40 F6 C6 08 74 1A 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 4C 08 08 20 B9 00 00 00 C0 41 8B C7 23 C1 3B C1 0F 85 95 00 00 00 41 84 F0 0F 84 8C 00 00 00 48 8B 4D E0 FF 15 ?? ?? ?? ?? 8B 45 CC 44 8B 45 C4 48 8B 4D 50 48 89 7C 24 30 89 44 24 28 41 0F BA F7 1F 4C 8D 4D E8 C7 44 24 20 03 00 00 00 41 8B D7 FF 15 ?? ?? ?? ?? 48 83 F8 FF 75 35 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 4C 63 1B 49 8B C3 41 83 E3 1F 48 C1 F8 05 4D 6B DB 58 49 8B 04 C6 42 80 64 18 08 FE 8B 0B E8 ?? ?? ?? ?? E9 72 FB FF FF 48 63 13 48 8B CA 83 E2 1F 48 C1 F9 05 48 6B D2 58 49 8B 0C CE 48 89 04 0A 8B C7 E9 2D F9 FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_7_2_0 {
	meta:
		name = "_wopen"
		size = 213
		refs = "002c _errno 0037 _invalid_parameter_noinfo 006e _tsopen_nolock 0095 __pioinfo 00b2 _unlock_fhandle"
		altNames = "_open"
	strings:
		$1 = { 48 8B C4 89 50 10 4C 89 40 18 4C 89 48 20 53 57 48 83 EC 48 83 48 D8 FF 83 60 DC 00 45 33 C0 48 85 C9 41 0F 95 C0 45 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 8B 00 00 00 48 8D 44 24 70 48 83 C0 08 44 8B 40 F8 44 89 44 24 28 C7 44 24 20 40 00 00 00 44 8B CA 4C 8B C1 48 8D 54 24 30 48 8D 4C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 38 83 7C 24 34 00 74 39 85 C0 74 28 48 63 5C 24 30 48 8B CB 48 8B C3 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE EB 04 8B 5C 24 30 8B CB E8 ?? ?? ?? ?? EB 04 8B 5C 24 30 85 FF 74 0C E8 ?? ?? ?? ?? 89 38 E9 6F FF FF FF 8B C3 48 83 C4 48 5F 5B C3 }
	condition:
		$1
}

rule file_7_3_0 {
	meta:
		name = "_wopen$fin$0"
		size = 78
		refs = "0026 __pioinfo 0042 _unlock_fhandle"
		altNames = "_open$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 83 7D 34 00 74 38 83 7D 38 00 74 27 48 63 55 30 48 8B CA 48 8B C2 48 C1 F8 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C0 80 64 08 08 FE EB 03 8B 55 30 8B CA E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_7_4_0 {
	meta:
		name = "_wsopen_helper"
		size = 210
		refs = "0021 _errno 002d _invalid_parameter_noinfo 007a _tsopen_nolock 009c __pioinfo 00b3 _unlock_fhandle"
		altNames = "_sopen_helper"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 30 00 33 C0 48 8B 7C 24 70 48 85 FF 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 8F 00 00 00 83 0F FF 33 C0 48 85 C9 0F 95 C0 85 C0 74 D9 83 7C 24 78 00 74 13 41 F7 C1 7F FE FF FF B8 00 00 00 00 0F 94 C0 85 C0 74 BF 44 89 4C 24 28 44 89 44 24 20 44 8B CA 4C 8B C1 48 8B D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B D8 89 44 24 34 83 7C 24 30 00 74 2C 85 C0 74 21 48 63 0F 48 8B C1 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 8B 04 C2 80 64 08 08 FE 8B 0F E8 ?? ?? ?? ?? 85 DB 0F 84 72 FF FF FF 83 0F FF E9 6A FF FF FF 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_7_5_0 {
	meta:
		name = "_wsopen_helper$fin$0"
		size = 73
		refs = "0026 __pioinfo 003d _unlock_fhandle"
		altNames = "_sopen_helper$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 83 7D 30 00 74 33 48 8B 55 70 83 7D 34 00 74 21 48 63 0A 48 8B C1 48 C1 F8 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C0 80 64 08 08 FE 8B 0A E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_7_6_0 {
	meta:
		name = "_wsopen"
		size = 65
		refs = "002c _wsopen_helper"
	strings:
		$1 = { 4C 8B DC 45 89 43 18 4D 89 4B 20 53 48 83 EC 40 83 64 24 28 00 4D 8D 4B E8 49 8D 43 20 4D 89 4B D8 44 8B 08 83 CB FF 89 5C 24 30 E8 ?? ?? ?? ?? 8B 4C 24 30 85 C0 0F 45 CB 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_590_6_0 {
	meta:
		name = "_sopen"
		size = 65
		refs = "002c _sopen_helper"
	strings:
		$1 = { 4C 8B DC 45 89 43 18 4D 89 4B 20 53 48 83 EC 40 83 64 24 28 00 4D 8D 4B E8 49 8D 43 20 4D 89 4B D8 44 8B 08 83 CB FF 89 5C 24 30 E8 ?? ?? ?? ?? 8B 4C 24 30 85 C0 0F 45 CB 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_7_7_0 {
	meta:
		name = "_wsopen_s"
		size = 50
		refs = "0029 _wsopen_helper"
	strings:
		$1 = { 48 83 EC 38 41 8B C1 44 8B 4C 24 60 45 8B D0 4C 8B DA C7 44 24 28 01 00 00 00 48 89 4C 24 20 44 8B C0 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_590_7_0 {
	meta:
		name = "_sopen_s"
		size = 50
		refs = "0029 _sopen_helper"
	strings:
		$1 = { 48 83 EC 38 41 8B C1 44 8B 4C 24 60 45 8B D0 4C 8B DA C7 44 24 28 01 00 00 00 48 89 4C 24 20 44 8B C0 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_8_0_0 {
	meta:
		name = "_RTC_InitBase"
		size = 56
		refs = "0006 ?init@?1??_RTC_InitBase@@9@4_NA 0027 _CRT_RTC_INITW 002f _RTC_SetErrorFuncW"
	strings:
		$1 = { 48 83 EC 38 80 3D ?? ?? ?? ?? 00 75 26 83 64 24 20 00 41 B9 01 00 00 00 45 33 C0 33 D2 33 C9 C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_8_1_0 {
	meta:
		name = "_RTC_Shutdown"
		size = 32
		refs = "0017 _CRT_RTC_INITW"
	strings:
		$1 = { 48 83 EC 38 41 B9 01 00 00 00 45 33 C0 33 D2 33 C9 44 89 4C 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "_resetstkoflw"
		size = 294
		refs = "002a __security_cookie 0054 __imp_VirtualQuery 006b __imp_GetSystemInfo 007d __imp_SetThreadStackGuarantee 00d0 __imp_VirtualAlloc 00ea __imp_VirtualProtect 0103 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 48 81 EC 90 00 00 00 48 8D 6C 24 20 48 89 9D 90 00 00 00 48 89 B5 98 00 00 00 48 89 BD A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 68 8B 04 24 48 83 EC 10 4C 8D 64 24 20 41 8B 04 24 48 8D 55 08 41 B8 30 00 00 00 49 8B CC FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 98 00 00 00 4C 8B 6D 10 48 8D 4D 38 FF 15 ?? ?? ?? ?? 8B 7D 3C 48 8D 4D 00 33 DB 21 5D 00 FF 15 ?? ?? ?? ?? 85 C0 74 08 8B 45 00 85 C0 0F 45 D8 8D 57 FF 8D 4C 3B FF 8B C2 F7 D0 23 C8 74 02 03 CF 8D 04 3F 8B DA 3B C8 48 F7 D3 0F 42 C8 49 23 DC 49 8D 44 3D 00 8B F1 48 2B DE 48 3B D8 72 3C 41 B9 04 00 00 00 41 B8 00 10 00 00 8B D6 48 8B CB FF 15 ?? ?? ?? ?? 48 85 C0 74 20 4C 8D 4D 04 41 B8 04 01 00 00 8B D6 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 48 8B 4D 68 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D 90 00 00 00 48 8B B5 98 00 00 00 48 8B BD A0 00 00 00 48 8D 65 70 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_10_0_0 {
	meta:
		name = "_invoke_watson_if_oneof"
		size = 61
		refs = "0031 _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 4D 8B D1 85 C9 74 2B 3B CA 74 05 41 3B C8 75 22 48 8B 44 24 78 44 8B 4C 24 70 4C 8B 44 24 68 48 8B 54 24 60 49 8B CA 48 89 44 24 20 E8 ?? ?? ?? ?? CC 8B C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_10_1_0 {
	meta:
		name = "system"
		size = 264
		refs = "0018 ??_C@_07CFPBBAOO@COMSPEC?$AA@ 0029 _dupenv_s 0046 _invoke_watson 0064 _access_s 0072 ??_C@_02HNHPBPFE@?1c?$AA@ 0088 _errno 00a3 _spawnve 00d5 ??_C@_07INNMNHPJ@cmd?4exe?$AA@ 00e7 _spawnvpe 00f2 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 18 55 48 8B EC 48 83 EC 50 48 8B F9 4C 8D 05 ?? ?? ?? ?? 48 8D 4D 18 33 DB 33 D2 48 89 5D 18 E8 ?? ?? ?? ?? 85 C0 74 1A 83 F8 16 75 15 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 4D 18 48 89 4D E0 48 85 FF 75 17 48 85 C9 0F 84 90 00 00 00 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 EB 7E 48 8D 05 ?? ?? ?? ?? 48 89 7D F0 48 89 5D F8 48 89 45 E8 48 85 C9 74 4B E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 4C 8D 45 E0 89 18 48 8B 55 E0 45 33 C9 33 C9 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 36 E8 ?? ?? ?? ?? 83 38 02 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 22 E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 4C 8D 45 E0 45 33 C9 33 C9 48 89 55 E0 E8 ?? ?? ?? ?? 8B D8 48 8B 4D 18 E8 ?? ?? ?? ?? 48 8B 7C 24 70 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_653_1_0 {
	meta:
		name = "_wsystem"
		size = 264
		refs = "0018 ??_C@_1BA@HMCCKBDK@?$AAC?$AAO?$AAM?$AAS?$AAP?$AAE?$AAC?$AA?$AA@ 0029 _wdupenv_s 0046 _invoke_watson 0064 _waccess_s 0072 ??_C@_15JBFELBFC@?$AA?1?$AAc?$AA?$AA@ 0088 _errno 00a3 _wspawnve 00d5 ??_C@_1BA@DBKIDAPL@?$AAc?$AAm?$AAd?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 00e7 _wspawnvpe 00f2 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 18 55 48 8B EC 48 83 EC 50 48 8B F9 4C 8D 05 ?? ?? ?? ?? 48 8D 4D 18 33 DB 33 D2 48 89 5D 18 E8 ?? ?? ?? ?? 85 C0 74 1A 83 F8 16 75 15 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 4D 18 48 89 4D E0 48 85 FF 75 17 48 85 C9 0F 84 90 00 00 00 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 EB 7E 48 8D 05 ?? ?? ?? ?? 48 89 7D F0 48 89 5D F8 48 89 45 E8 48 85 C9 74 4B E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 4C 8D 45 E0 89 18 48 8B 55 E0 45 33 C9 33 C9 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 09 E8 ?? ?? ?? ?? 89 38 EB 36 E8 ?? ?? ?? ?? 83 38 02 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 22 E8 ?? ?? ?? ?? 89 38 48 8D 15 ?? ?? ?? ?? 4C 8D 45 E0 45 33 C9 33 C9 48 89 55 E0 E8 ?? ?? ?? ?? 8B D8 48 8B 4D 18 E8 ?? ?? ?? ?? 48 8B 7C 24 70 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "_wexeclpe"
		size = 183
		refs = "0024 _errno 002f _invalid_parameter_noinfo 0066 _wcapture_argv 008b _wexecvpe 00a5 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 73 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_549_0_0 {
	meta:
		name = "_wexecle"
		size = 183
		refs = "0024 _errno 002f _invalid_parameter_noinfo 0066 _wcapture_argv 008b _wexecve 00a5 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 73 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
		size = 161
		refs = "0013 _getptd 0033 __ptlocinfo 0041 __globallocalestatus 0048 __updatetlocinfo 0052 __ptmbcinfo 006f __updatetmbcinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 41 18 00 48 85 D2 75 7F E8 ?? ?? ?? ?? 48 89 43 10 48 8B 90 C0 00 00 00 48 89 13 48 8B 88 B8 00 00 00 48 89 4B 08 48 3B 15 ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 89 03 48 8B 05 ?? ?? ?? ?? 48 39 43 08 74 1B 48 8B 43 10 8B 88 C8 00 00 00 85 0D ?? ?? ?? ?? 75 09 E8 ?? ?? ?? ?? 48 89 43 08 48 8B 43 10 F6 80 C8 00 00 00 02 75 14 83 88 C8 00 00 00 02 C6 43 18 01 EB 07 0F 10 02 F3 0F 7F 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_12_1_0 {
	meta:
		name = "??1_LocaleUpdate@@QEAA@XZ"
		size = 18
	strings:
		$1 = { 80 79 18 00 74 0B 48 8B 41 10 83 A0 C8 00 00 00 FD C3 }
	condition:
		$1
}

rule file_12_3_0 {
	meta:
		name = "_mbslen_l"
		size = 101
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0022 strlen"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 54 24 28 83 7A 08 00 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 24 33 C9 EB 17 0F B6 C0 F6 44 10 1D 04 74 08 48 FF C3 80 3B 00 74 0B FF C1 48 FF C3 8A 03 84 C0 75 E3 48 63 C1 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_13_0_0 {
	meta:
		name = "_wgetdcwd_nolock"
		size = 337
		refs = "000e __security_cookie 002a _validdrive 0033 __doserrno 003e _errno 0049 _invalid_parameter_noinfo 0053 _getdrive 00b4 __imp_GetFullPathNameW 00e9 calloc 012c __imp_GetLastError 0133 _dosmaperr 0142 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 45 33 E4 41 8B F8 48 8B DA 8B F1 85 C9 74 29 E8 ?? ?? ?? ?? 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? E9 E5 00 00 00 E8 ?? ?? ?? ?? 8B F0 48 85 DB 74 19 85 FF 7F 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 8B EF 66 44 89 23 EB 03 41 8B EC 85 F6 74 1D 66 83 C6 40 B8 3A 00 00 00 C7 44 24 2C 2E 00 00 00 66 89 74 24 28 66 89 44 24 2A EB 08 C7 44 24 28 2E 00 00 00 4C 8D 4C 24 20 48 8D 4C 24 28 4C 8B C3 8B D5 FF 15 ?? ?? ?? ?? 85 C0 74 6E 48 85 DB 74 1A 3B C5 7D 05 48 8B C3 EB 6F E8 ?? ?? ?? ?? C7 00 22 00 00 00 66 44 89 23 EB 5C 3B C7 BA 02 00 00 00 0F 4F F8 48 63 CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 EB 2A 4C 8D 4C 24 20 48 8D 4C 24 28 4C 8B C0 8B D7 FF 15 ?? ?? ?? ?? 85 C0 74 04 3B C7 7C 9B FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_13_1_0 {
	meta:
		name = "_wgetcwd"
		size = 66
		refs = "0015 _lock 0023 _wgetdcwd_nolock 0030 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 44 8B C3 48 8B D7 33 C9 E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_755_2_0 {
	meta:
		name = "_getcwd"
		size = 66
		refs = "0015 _lock 0023 _getdcwd_nolock 0030 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 44 8B C3 48 8B D7 33 C9 E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_13_2_0 {
	meta:
		name = "_wgetcwd$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_chdrive$fin$0 _getcwd$fin$0 _getdcwd$fin$0 _putenv$fin$0 _putenv_s$fin$0 _wgetdcwd$fin$0 _wgetenv$fin$0 _wputenv$fin$0 _wputenv_s$fin$0 getenv$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_13_3_0 {
	meta:
		name = "_wgetdcwd"
		size = 79
		refs = "001d _lock 002b _wgetdcwd_nolock 0038 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B D8 48 8B FA 8B F1 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 44 8B C3 48 8B D7 8B CE E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_755_4_0 {
	meta:
		name = "_getdcwd"
		size = 79
		refs = "001d _lock 002b _getdcwd_nolock 0038 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B D8 48 8B FA 8B F1 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 44 8B C3 48 8B D7 8B CE E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_15_2_0 {
	meta:
		name = "_wstripquote"
		size = 128
		refs = "0017 wcslen 0023 _calloc_crt 006a free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 8B FE E8 ?? ?? ?? ?? 8D 56 02 48 8D 48 01 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 3F 48 8B C8 0F B7 03 66 85 C0 74 2F 66 83 F8 22 75 08 48 83 C3 02 FF C7 EB 0C 66 41 89 03 49 83 C3 02 48 83 C3 02 0F B7 03 66 85 C0 75 DE 85 FF 74 09 66 41 89 33 48 8B C1 EB 07 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_15_3_0 {
	meta:
		name = "_wtempnam"
		size = 665
		refs = "002f _mtinitlocknum 0041 ??_C@_17DDHKMLLK@?$AAT?$AAM?$AAP?$AA?$AA@ 004d _wdupenv_s 006a _invoke_watson 0080 _waccess_s 00a7 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 00ba ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 00cd wcslen 00e8 calloc 0106 wcscat_s 0193 _lock 019a _tempoff 01a6 _old_pfxlen 01bb _errno 01e5 free 0207 _ultow_s 023c _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B F2 48 8B F9 45 33 FF 45 8B EF 4C 89 7C 24 70 41 8D 5F 02 8B CB E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 43 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 70 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 75 15 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 75 1C 48 8B 4C 24 70 48 85 C9 74 12 33 D2 E8 ?? ?? ?? ?? 85 C0 75 07 48 8B 7C 24 70 EB 35 48 85 FF 74 0E 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 22 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 85 C0 48 0F 45 F9 48 85 F6 74 0B 48 8B CE E8 ?? ?? ?? ?? 4C 8B E8 48 8B CF E8 ?? ?? ?? ?? 42 8D 4C 28 0C 44 8B E1 48 8B D3 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 74 01 00 00 66 44 89 38 4C 8B C7 41 8B D4 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 45 01 00 00 48 8B CF E8 ?? ?? ?? ?? 66 83 7C 47 FE 5C 74 33 66 83 7C 47 FE 2F 74 2B 4C 8D 05 ?? ?? ?? ?? 41 8B D4 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 15 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 85 F6 74 27 4C 8B C6 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 15 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? 4C 8D 34 43 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 8B 3D ?? ?? ?? ?? B8 01 00 00 00 44 39 2D ?? ?? ?? ?? 0F 42 F8 89 3D ?? ?? ?? ?? 44 89 2D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 30 8B 0D ?? ?? ?? ?? FF C1 89 0D ?? ?? ?? ?? 8B C1 2B C7 3D FF FF FF 7F 76 14 E8 ?? ?? ?? ?? 89 30 48 8B CB E8 ?? ?? ?? ?? 49 8B DF EB 48 49 8B C6 48 2B C3 48 D1 F8 4D 8B C4 4C 2B C0 41 B9 0A 00 00 00 49 8B D6 E8 ?? ?? ?? ?? 85 C0 75 33 E8 ?? ?? ?? ?? 44 89 38 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 9C E8 ?? ?? ?? ?? 83 38 0D 74 92 E8 ?? ?? ?? ?? 89 30 B9 02 00 00 00 E8 ?? ?? ?? ?? EB 2A 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 4C 89 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 4C 24 70 E8 ?? ?? ?? ?? 49 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_15_4_0 {
	meta:
		name = "_wtempnam$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_tempnam$fin$0 _tmpnam_helper$fin$0 _wperror$fin$0 _wtmpnam_helper$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 02 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_17_0_0 {
	meta:
		name = "??0logic_error@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7logic_error@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_25_0_1 {
	meta:
		name = "??0bad_alloc@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_8_0 {
	meta:
		name = "??0bad_cast@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_0_0 {
	meta:
		name = "??0bad_exception@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_34_0 {
	meta:
		name = "??0bad_target@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_target@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_10_0 {
	meta:
		name = "??0bad_typeid@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_27_0 {
	meta:
		name = "??0context_self_unblock@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7context_self_unblock@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_24_0 {
	meta:
		name = "??0context_unblock_unbalanced@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7context_unblock_unbalanced@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_21_0 {
	meta:
		name = "??0default_scheduler_exists@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7default_scheduler_exists@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_67_0 {
	meta:
		name = "??0improper_lock@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_lock@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_12_0 {
	meta:
		name = "??0improper_scheduler_attach@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_scheduler_attach@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_15_0 {
	meta:
		name = "??0improper_scheduler_detach@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_scheduler_detach@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_18_0 {
	meta:
		name = "??0improper_scheduler_reference@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7improper_scheduler_reference@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_40_0 {
	meta:
		name = "??0invalid_link_target@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_link_target@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_61_0 {
	meta:
		name = "??0invalid_multiple_scheduling@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_multiple_scheduling@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_52_0 {
	meta:
		name = "??0invalid_operation@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_operation@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_64_0 {
	meta:
		name = "??0invalid_oversubscribe_operation@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_oversubscribe_operation@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_43_0 {
	meta:
		name = "??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_scheduler_policy_key@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_49_0 {
	meta:
		name = "??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_scheduler_policy_thread_specification@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_46_0 {
	meta:
		name = "??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7invalid_scheduler_policy_value@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_37_0 {
	meta:
		name = "??0message_not_found@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7message_not_found@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_30_0 {
	meta:
		name = "??0missing_wait@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7missing_wait@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_55_0 {
	meta:
		name = "??0nested_scheduler_missing_detach@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7nested_scheduler_missing_detach@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_58_0 {
	meta:
		name = "??0operation_timed_out@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7operation_timed_out@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_56_9_2 {
	meta:
		name = "??0runtime_error@std@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_9_0 {
	meta:
		name = "??0scheduler_not_attached@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7scheduler_not_attached@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_70_0 {
	meta:
		name = "??0task_canceled@details@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7task_canceled@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_6_0 {
	meta:
		name = "??0unsupported_os@Concurrency@@QEAA@PEBD@Z"
		size = 42
		refs = "0013 ??0exception@std@@QEAA@AEBQEBD@Z 001a ??_7unsupported_os@Concurrency@@6B@"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 20 48 8D 54 24 38 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_2_0 {
	meta:
		name = "??0invalid_argument@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_20_0 {
	meta:
		name = "??0length_error@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7length_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_40_2_1 {
	meta:
		name = "??0out_of_range@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_10_1 {
	meta:
		name = "??0overflow_error@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_72_11_1 {
	meta:
		name = "??0range_error@std@@QEAA@PEBD@Z"
		size = 43
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7range_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 89 54 24 30 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_4_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@G_K@Z"
		size = 61
		refs = "001f memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 0F B7 DA 33 D2 49 8B F0 44 8D 42 10 48 8B F9 E8 ?? ?? ?? ?? 66 89 5F 08 48 8B 5C 24 30 48 89 37 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_5_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@AEBU012@@Z"
		size = 29
		refs = "0010 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 41 B8 10 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_6_0 {
	meta:
		name = "??8HardwareAffinity@details@Concurrency@@QEAA_NAEBU012@@Z"
		size = 27
	strings:
		$1 = { 0F B7 41 08 66 39 42 08 75 0E 48 8B 01 48 39 02 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_17_7_0 {
	meta:
		name = "??9HardwareAffinity@details@Concurrency@@QEAA_NAEBU012@@Z"
		size = 34
	strings:
		$1 = { 0F B7 41 08 45 33 C0 66 39 42 08 75 0C 48 8B 01 48 39 02 41 8D 40 01 74 03 41 8B C0 84 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule file_17_8_0 {
	meta:
		name = "??4HardwareAffinity@details@Concurrency@@QEAAAEAU012@AEBU012@@Z"
		size = 18
	strings:
		$1 = { 0F B7 42 08 66 89 41 08 48 8B 02 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_17_14_0 {
	meta:
		name = "??1VirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
		size = 22
		refs = "0003 ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 000d ??_7ExecutionResource@details@Concurrency@@6B@"
		altNames = "??1FreeVirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 C3 }
	condition:
		$1
}

rule file_17_21_0 {
	meta:
		name = "?DeleteThis@VirtualProcessorRoot@details@Concurrency@@UEAAXXZ"
		size = 25
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 40 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_17_22_0 {
	meta:
		name = "??_GVirtualProcessorRoot@details@Concurrency@@UEAAPEAXI@Z"
		size = 49
		refs = "0009 ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 0016 ??_7ExecutionResource@details@Concurrency@@6B@ 0024 ??3@YAXPEAX@Z"
		altNames = "??_GFreeVirtualProcessorRoot@details@Concurrency@@UEAAPEAXI@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_24_0 {
	meta:
		name = "?GetNodeAffinity@SchedulerProxy@details@Concurrency@@QEAA?AUHardwareAffinity@23@I@Z"
		size = 79
		refs = "0031 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 20 45 8B C8 48 8B F2 33 D2 48 8B CE 4D 6B C9 38 49 8B 3C 01 41 0F B7 5C 01 14 44 8D 42 10 E8 ?? ?? ?? ?? 66 89 5E 08 48 8B 5C 24 30 48 89 3E 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_29_0 {
	meta:
		name = "?SetAffinity@FreeThreadProxy@details@Concurrency@@QEAAXUHardwareAffinity@23@@Z"
		size = 73
		refs = "002b ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 20 0F B7 41 50 48 8B FA 48 8B D9 66 39 42 08 75 09 48 8B 41 48 48 39 02 74 0C 48 8B 51 10 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 08 66 89 43 50 48 8B 07 48 89 43 48 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_30_0 {
	meta:
		name = "??0FreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 38
		refs = "000a ??0VirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 0016 ??_7FreeVirtualProcessorRoot@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 63 78 00 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_32_0 {
	meta:
		name = "?Deactivate@FreeVirtualProcessorRoot@details@Concurrency@@UEAA_NPEAUIExecutionContext@3@@Z"
		size = 215
		refs = "0017 ??_C@_08BAFMHLII@pContext?$AA@ 0028 ??0exception@std@@QEAA@AEBQEBD@Z 002f ??_7invalid_argument@std@@6B@ 0036 _TI3?AVinvalid_argument@std@@ 0045 _CxxThrowException 0057 ??0invalid_operation@Concurrency@@QEAA@XZ 005e _TI2?AVinvalid_operation@Concurrency@@ 00ad ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00b6 ?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ 00c3 ?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 70 48 8B F9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B A8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 79 78 00 75 1C 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B CA FF 50 10 48 39 47 78 74 1C 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC 83 C8 FF F0 0F C1 47 70 FF C8 75 23 48 8B 4F 28 48 8D 57 08 E8 ?? ?? ?? ?? 48 8B 4F 78 E8 ?? ?? ?? ?? 48 8B 4F 28 48 8D 57 08 E8 ?? ?? ?? ?? B0 01 48 8B 9C 24 80 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_17_34_0 {
	meta:
		name = "??0logic_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7logic_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_21_0 {
	meta:
		name = "??0__non_rtti_object@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_12_0 {
	meta:
		name = "??0__non_rtti_object@std@@QEAA@PEBD@Z"
		size = 33
		refs = "000a ??0bad_typeid@std@@QEAA@PEBD@Z 0011 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_34_3_1 {
	meta:
		name = "??0bad_alloc@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_17_0 {
	meta:
		name = "??0bad_cast@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_866_39_0 {
	meta:
		name = "??0bad_exception@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_4_1 {
	meta:
		name = "??0bad_function_call@tr1@std@@QEAA@AEBV012@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_function_call@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_0_2 {
	meta:
		name = "??0bad_function_call@tr1@std@@QEAA@PEBD@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_function_call@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_129_1 {
	meta:
		name = "??0bad_target@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_19_0 {
	meta:
		name = "??0bad_typeid@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_88_0 {
	meta:
		name = "??0bad_weak_ptr@tr1@std@@QEAA@AEBV012@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7bad_weak_ptr@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_18_0_2 {
	meta:
		name = "??0bad_weak_ptr@tr1@std@@QEAA@PEBD@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_weak_ptr@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_93_0 {
	meta:
		name = "??0context_self_unblock@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7context_self_unblock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_149_16_0 {
	meta:
		name = "??0context_unblock_unbalanced@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7context_unblock_unbalanced@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_258_0 {
	meta:
		name = "??0default_scheduler_exists@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7default_scheduler_exists@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_67_0 {
	meta:
		name = "??0improper_lock@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_lock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_268_0 {
	meta:
		name = "??0improper_scheduler_attach@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_scheduler_attach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_264_0 {
	meta:
		name = "??0improper_scheduler_detach@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_scheduler_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_284_0 {
	meta:
		name = "??0improper_scheduler_reference@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7improper_scheduler_reference@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_27_1 {
	meta:
		name = "??0invalid_argument@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_118_2 {
	meta:
		name = "??0invalid_link_target@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_link_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_51_0 {
	meta:
		name = "??0invalid_multiple_scheduling@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_multiple_scheduling@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_38_22_0 {
	meta:
		name = "??0invalid_operation@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_28_0 {
	meta:
		name = "??0invalid_oversubscribe_operation@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_oversubscribe_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_555_12_0 {
	meta:
		name = "??0invalid_scheduler_policy_key@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_scheduler_policy_key@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_555_25_0 {
	meta:
		name = "??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_scheduler_policy_thread_specification@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_555_16_0 {
	meta:
		name = "??0invalid_scheduler_policy_value@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7invalid_scheduler_policy_value@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_69_0 {
	meta:
		name = "??0length_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7length_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_258_2 {
	meta:
		name = "??0message_not_found@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7message_not_found@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_129_0 {
	meta:
		name = "??0missing_wait@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7missing_wait@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_100_0 {
	meta:
		name = "??0nested_scheduler_missing_detach@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7nested_scheduler_missing_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_160_2 {
	meta:
		name = "??0operation_timed_out@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7operation_timed_out@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_72_45_1 {
	meta:
		name = "??0out_of_range@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_28_1 {
	meta:
		name = "??0overflow_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7overflow_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_22_23_2 {
	meta:
		name = "??0range_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7range_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_25_103_1 {
	meta:
		name = "??0runtime_error@std@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7runtime_error@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_820_8_0 {
	meta:
		name = "??0scheduler_not_attached@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7scheduler_not_attached@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_313_23_0 {
	meta:
		name = "??0task_canceled@details@Concurrency@@QEAA@AEBV012@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7task_canceled@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_579_68_0 {
	meta:
		name = "??0unsupported_os@Concurrency@@QEAA@AEBV01@@Z"
		size = 33
		refs = "000a ??0exception@std@@QEAA@AEBV01@@Z 0011 ??_7unsupported_os@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_36_0 {
	meta:
		name = "??_Ginvalid_operation@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1exception@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
		altNames = "??_Gbad_function_call@tr1@std@@UEAAPEAXI@Z ??_Gbad_target@Concurrency@@UEAAPEAXI@Z ??_Gbad_weak_ptr@tr1@std@@UEAAPEAXI@Z ??_Gcontext_self_unblock@Concurrency@@UEAAPEAXI@Z ??_Gcontext_unblock_unbalanced@Concurrency@@UEAAPEAXI@Z ??_Gdefault_scheduler_exists@Concurrency@@UEAAPEAXI@Z ??_Gfailure@ios_base@std@@UEAAPEAXI@Z ??_Gimproper_lock@Concurrency@@UEAAPEAXI@Z ??_Gimproper_scheduler_attach@Concurrency@@UEAAPEAXI@Z ??_Gimproper_scheduler_detach@Concurrency@@UEAAPEAXI@Z ??_Gimproper_scheduler_reference@Concurrency@@UEAAPEAXI@Z ??_Ginvalid_argument@std@@UEAAPEAXI@Z ??_Ginvalid_link_target@Concurrency@@UEAAPEAXI@Z ??_Ginvalid_multiple_scheduling@Concurrency@@UEAAPEAXI@Z ??_Ginvalid_oversubscribe_operation@Concurrency@@UEAAPEAXI@Z ??_Ginvalid_scheduler_policy_key@Concurrency@@UEAAPEAXI@Z ??_Ginvalid_scheduler_policy_thread_specification@Concurrency@@UEAAPEAXI@Z ??_Ginvalid_scheduler_policy_value@Concurrency@@UEAAPEAXI@Z ??_Glength_error@std@@UEAAPEAXI@Z ??_Glogic_error@std@@UEAAPEAXI@Z ??_Gmessage_not_found@Concurrency@@UEAAPEAXI@Z ??_Gmissing_wait@Concurrency@@UEAAPEAXI@Z ??_Gnested_scheduler_missing_detach@Concurrency@@UEAAPEAXI@Z ??_Goperation_timed_out@Concurrency@@UEAAPEAXI@Z ??_Gout_of_range@std@@UEAAPEAXI@Z ??_Goverflow_error@std@@UEAAPEAXI@Z ??_Grange_error@std@@UEAAPEAXI@Z ??_Gregex_error@tr1@std@@UEAAPEAXI@Z ??_Gruntime_error@std@@UEAAPEAXI@Z ??_Gscheduler_not_attached@Concurrency@@UEAAPEAXI@Z ??_Gscheduler_resource_allocation_error@Concurrency@@UEAAPEAXI@Z ??_Gsystem_error@std@@UEAAPEAXI@Z ??_Gtask_canceled@details@Concurrency@@UEAAPEAXI@Z ??_Gunsupported_os@Concurrency@@UEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_996_1 {
	meta:
		name = "??_G?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_945_1 {
	meta:
		name = "??_G?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_78_226_2 {
	meta:
		name = "??_G?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_51_262_1 {
	meta:
		name = "??_G?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_80_236_2 {
	meta:
		name = "??_G?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_862_2 {
	meta:
		name = "??_G?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_553_1 {
	meta:
		name = "??_G?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_557_1 {
	meta:
		name = "??_G?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_551_2 {
	meta:
		name = "??_G?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_554_2 {
	meta:
		name = "??_G?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_552_2 {
	meta:
		name = "??_G?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_556_1 {
	meta:
		name = "??_G?$ordered_message_processor@_K@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_939_1 {
	meta:
		name = "??_G?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_860_2 {
	meta:
		name = "??_G?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_861_2 {
	meta:
		name = "??_G?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_875_2 {
	meta:
		name = "??_G?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_940_2 {
	meta:
		name = "??_G?$single_assignment@_K@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$single_assignment@_K@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_588_2 {
	meta:
		name = "??_G?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_729_2 {
	meta:
		name = "??_G?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_60_0 {
	meta:
		name = "??_GExternalContextBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ExternalContextBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_556_115_0 {
	meta:
		name = "??_GInternalContextBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1InternalContextBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_130_0 {
	meta:
		name = "??_GResourceManager@details@Concurrency@@AEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ResourceManager@details@Concurrency@@AEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_302_0 {
	meta:
		name = "??_GSchedulerBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulerBase@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_84_0 {
	meta:
		name = "??_GSchedulerPolicy@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulerPolicy@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_595_73_0 {
	meta:
		name = "??_GSchedulerProxy@details@Concurrency@@IEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulerProxy@details@Concurrency@@IEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_65_0 {
	meta:
		name = "??_GSchedulingNode@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulingNode@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_66_0 {
	meta:
		name = "??_GSchedulingRing@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1SchedulingRing@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_287_20_0 {
	meta:
		name = "??_GThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1ThreadProxy@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_819_15_0 {
	meta:
		name = "??_GTransmogrificator@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1Transmogrificator@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_943_15_0 {
	meta:
		name = "??_GTransmogrifiedPrimary@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_636_9_0 {
	meta:
		name = "??_GUMSBackgroundPoller@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSBackgroundPoller@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_637_84_0 {
	meta:
		name = "??_GUMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_651_34_0 {
	meta:
		name = "??_GUMSSchedulerProxy@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_132_40_0 {
	meta:
		name = "??_GUMSThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSThreadProxy@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_48_18_0 {
	meta:
		name = "??_GUMSThreadVirtualProcessor@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1UMSThreadVirtualProcessor@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_229_45_0 {
	meta:
		name = "??_GVirtualProcessor@details@Concurrency@@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1VirtualProcessor@details@Concurrency@@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_16_388_2 {
	meta:
		name = "??_G_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_624_1 {
	meta:
		name = "??_G_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_253_18_0 {
	meta:
		name = "??_G_Exception_ptr@std@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ?__ExceptionPtrDestroy@@YAXPEAX@Z 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_74_13_1 {
	meta:
		name = "??_G_Fac_node@std@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Fac_node@std@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_622_1 {
	meta:
		name = "??_G_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_623_1 {
	meta:
		name = "??_G_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_131_0 {
	meta:
		name = "??_G_TaskCollection@details@Concurrency@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_883_42_0 {
	meta:
		name = "??_G__ExceptionPtr@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1__ExceptionPtr@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_35_52_1 {
	meta:
		name = "??_Glocale@std@@QEAAPEAXI@Z"
		size = 47
		refs = "0010 ??1locale@std@@QEAA@XZ 001d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_37_0 {
	meta:
		name = "?EnsureAllTasksVisible@FreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 167
		refs = "0011 ??_C@_08BAFMHLII@pContext?$AA@ 0025 ??0exception@std@@QEAA@AEBQEBD@Z 002c ??_7invalid_argument@std@@6B@ 0033 _TI3?AVinvalid_argument@std@@ 0042 _CxxThrowException 0054 ??0invalid_operation@Concurrency@@QEAA@XZ 005b _TI2?AVinvalid_operation@Concurrency@@ 00a3 ?FlushStoreBuffers@ResourceManager@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 79 78 00 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B CA FF 50 10 48 39 43 78 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 4B 28 48 8B 49 18 48 83 C4 40 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_38_0 {
	meta:
		name = "?Affinitize@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXPEAVFreeThreadProxy@23@@Z"
		size = 213
		refs = "0012 __security_cookie 0028 ?SpinUntilBlocked@ThreadProxy@details@Concurrency@@QEAAXXZ 005f memset 007e memcpy 00a2 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 00c1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B F9 48 8B CA 48 8B F2 E8 ?? ?? ?? ?? 48 89 77 78 48 89 7E 20 48 8B 07 48 8B 5F 28 48 8B CF FF 10 33 D2 8B C8 48 8B 43 20 44 8D 42 10 48 6B C9 38 48 8B 3C 01 0F B7 5C 01 14 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 20 41 B8 10 00 00 00 66 89 5C 24 38 48 89 7C 24 30 E8 ?? ?? ?? ?? 0F B7 4C 24 28 66 3B 4E 50 75 0B 48 8B 44 24 20 48 3B 46 48 74 18 48 8B 56 10 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F B7 4C 24 28 48 8B 44 24 20 66 89 4E 50 48 89 46 48 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_17_42_0 {
	meta:
		name = "?Activate@FreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 221
		refs = "001e ??_C@_08BAFMHLII@pContext?$AA@ 002f ??0exception@std@@QEAA@AEBQEBD@Z 0036 ??_7invalid_argument@std@@6B@ 003d _TI3?AVinvalid_argument@std@@ 004c _CxxThrowException 0070 ??0invalid_operation@Concurrency@@QEAA@XZ 0077 _TI2?AVinvalid_operation@Concurrency@@ 00a4 ?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00af ?Affinitize@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXPEAVFreeThreadProxy@23@@Z 00c9 ?ResumeExecution@ThreadProxy@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 50 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B C8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B CA FF 50 10 48 83 7B 78 00 48 8B F8 74 22 48 3B 43 78 74 49 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 85 C0 75 10 48 8B 4B 28 48 8B D6 48 8B 01 FF 50 38 48 8B F8 48 8B 4B 28 48 8D 53 08 E8 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 70 FF C0 83 F8 02 74 09 48 8B 4B 78 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_18_0_0 {
	meta:
		name = "wcsnlen"
		size = 31
	strings:
		$1 = { 45 33 C0 41 8B C0 48 85 D2 74 12 66 44 39 01 74 0C 48 FF C0 48 83 C1 02 48 3B C2 72 EE F3 C3 }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "log10"
		size = 798
		refs = "0026 __mask_1023 003a __real_inf 0050 __real_mant 0058 __real_one 0060 __mask_1023_f 0070 __mask_mant_all8 0077 __mask_mant9 008a __real_notsign 0092 __real_threshold 00aa __real_half 00b9 __log_F_inv 00e0 __log_256_lead 00e8 __real_1_over_6 00f0 __real_1_over_3 0108 __real_1_over_5 0110 __real_1_over_2 0124 __real_1_over_4 0138 __real_log10_e 0140 __real_log10_2_tail 0155 __log_256_tail 0166 __real_log10_2_lead 0194 __real_two 01b0 __real_ca2 01b8 __real_ca4 01dc __real_ca1 01e4 __real_ca3 020c __mask_lower 0224 __real_log10_e_tail 0234 __real_log10_e_lead 0284 __mask_2045 02a6 __real_ninf 02ad __flag_x_zero 02b2 _log10_special 02c4 __real_neg_qnan 02cb __flag_x_neg 02f5 __real_qnanbit 0301 __flag_x_nan"
	strings:
		$1 = { 48 81 EC 98 00 00 00 66 0F 7F 74 24 40 48 33 C0 66 0F 6F D8 F2 0F 10 E0 66 0F 73 D3 34 66 48 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 6F D0 F3 0F E6 F3 66 0F 6F E8 66 0F 54 2D ?? ?? ?? ?? 66 0F 2F 2D ?? ?? ?? ?? 0F 84 94 02 00 00 66 0F DB 15 ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 F0 01 00 00 4C 8B C8 48 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 49 03 C1 48 89 44 24 30 66 0F 54 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 0F 82 F4 00 00 00 F2 0F 10 4C 24 30 48 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 66 0F 57 ED 66 0F 2F C5 0F 86 D5 01 00 00 F2 0F 5C CA F2 41 0F 59 0C C1 F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CA F2 0F 59 DC F2 0F 58 CB F2 0F 59 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 F2 0F 58 D5 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E6 F2 0F 58 C4 F2 0F 58 C2 66 0F 6F 74 24 40 48 81 C4 98 00 00 00 C3 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 C8 F2 0F 5E CA F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 F0 F2 0F 59 F1 F2 0F 58 C9 F2 0F 10 D1 F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 EA F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 D2 F2 0F 59 D1 F2 0F 59 EA F2 0F 58 E5 F2 0F 5C E6 66 0F 6F D8 66 0F DB 1D ?? ?? ?? ?? F2 0F 5C C3 F2 0F 58 E0 F2 0F 10 C3 F2 0F 10 CC F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 C4 F2 0F 58 C1 F2 0F 58 C3 66 0F 6F 74 24 40 48 81 C4 98 00 00 00 C3 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 D9 FD FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 75 1E F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 66 0F 1F 84 00 00 00 00 00 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 0F 1F 40 00 66 0F 6F 74 24 40 48 81 C4 98 00 00 00 C3 }
	condition:
		$1
}

rule file_22_0_0 {
	meta:
		name = "_wcsrev"
		size = 64
	strings:
		$1 = { 4C 8B C1 4C 8B D1 4C 8B C9 41 0F B7 00 49 83 C0 02 66 85 C0 75 F3 49 83 E8 04 49 3B C8 73 1D 41 0F B7 08 41 0F B7 11 66 41 89 09 66 41 89 10 49 83 E8 02 49 83 C1 02 4D 3B C8 72 E3 49 8B C2 C3 }
	condition:
		$1
}

rule file_23_2_0 {
	meta:
		name = "_execvpe"
		size = 783
		refs = "0032 _errno 003d _invalid_parameter_noinfo 006f _execve 008a _mbschr 00bd ??_C@_04HBHDLLBA@PATH?$AA@ 00c9 _dupenv_s 00ea _invoke_watson 0105 _calloc_crt 013d isleadbyte 01a3 _mbsrchr 01af ??_C@_01KICIPPFI@?2?$AA@ 01bc strcat_s 01fe strlen 02db free"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 4D 8B F8 4C 8B F2 48 8B F1 4C 89 68 08 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 A8 02 00 00 44 38 29 74 E6 48 85 D2 74 E1 48 8B 02 48 85 C0 74 D9 44 38 28 74 D4 E8 ?? ?? ?? ?? 4D 8B C7 49 8B D6 48 8B CE 44 89 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 0F 85 5E 02 00 00 BA 5C 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 48 02 00 00 8D 50 2F 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 34 02 00 00 44 38 2E 74 0A 80 7E 01 3A 0F 84 25 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 60 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 05 02 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 4C 39 6C 24 60 0F 84 F4 01 00 00 BA 01 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 8B E8 48 85 C0 0F 84 C7 01 00 00 4C 8B 64 24 60 41 8A 04 24 84 C0 74 5D 48 8D 5F 01 3C 3B 74 55 4C 8D AF 02 01 00 00 49 3B ED 73 46 0F BE C8 E8 ?? ?? ?? ?? 85 C0 74 1D 41 80 7C 24 01 00 74 32 49 3B DD 73 2D 41 8A 04 24 48 FF C3 88 45 00 48 FF C5 49 FF C4 41 8A 04 24 49 FF C4 48 FF C3 88 45 00 41 8A 04 24 48 FF C5 45 33 ED 84 C0 75 AC EB 03 45 33 ED 44 88 6D 00 48 8D 5D FF 48 3B EF 77 03 48 8B DD 80 3B 5C 48 8B EF 75 3F BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B D8 74 4E 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 36 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 80 3B 2F 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 B3 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 B9 00 00 00 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 8F 00 00 00 E8 ?? ?? ?? ?? 4D 8B C7 49 8B D6 48 8B CF 44 89 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 74 4C BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 74 12 BA 2F 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 75 60 48 8D 5F 01 BA 5C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 74 12 BA 2F 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 75 38 45 38 2C 24 74 32 49 FF C4 E9 70 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C8 FF 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_25_3_0 {
	meta:
		name = "write_char"
		size = 37
		refs = "000a _putwch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 83 0B FF EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_25_4_0 {
	meta:
		name = "write_multi_char"
		size = 79
		refs = "0021 _putwch_nolock"
	strings:
		$1 = { 85 D2 7E 4A 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 8B FA 0F B7 F1 0F B7 CE FF CF E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 74 0D FF 03 83 3B FF 74 09 85 FF 7E 05 EB DF 83 0B FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_25_5_0 {
	meta:
		name = "write_string"
		size = 171
		refs = "0022 _errno 0040 _putwch_nolock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 48 83 EC 20 49 8B D8 8B F2 48 8B F9 E8 ?? ?? ?? ?? 8B 28 E8 ?? ?? ?? ?? 83 20 00 85 F6 7E 4B 41 BD FF FF 00 00 0F B7 0F FF CE E8 ?? ?? ?? ?? 66 41 3B C5 75 05 83 0B FF EB 02 FF 03 48 83 C7 02 83 3B FF 75 21 E8 ?? ?? ?? ?? 83 38 2A 75 1B B9 3F 00 00 00 E8 ?? ?? ?? ?? 66 41 3B C5 75 05 83 0B FF EB 02 FF 03 85 F6 7F BB E8 ?? ?? ?? ?? 83 38 00 75 07 E8 ?? ?? ?? ?? 89 28 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5D C3 }
	condition:
		$1
}

rule file_25_8_0 {
	meta:
		name = "_vcwprintf_p_l"
		size = 4625
		refs = "0022 __security_cookie 005b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006e _errno 0079 _invalid_parameter_noinfo 011f __lookuptable_s 017d wcstol 01a8 memset 03a8 _validate_param_reuseW 0415 __nullstring 041d strlen 0526 _mbtowc_l 0671 _isleadbyte_l 069b __wnullstring 075e _get_printf_count_output 0ac9 _malloc_crt 0b29 _cfltcvt_tab 0b36 __imp_DecodePointer 0c2d write_multi_char 0c3d write_string 0c97 _putwch_nolock 0d07 free 1131 get_crtdouble_arg 11f2 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 B0 F2 FF FF 48 81 EC 50 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 40 0D 00 00 45 33 ED 4C 8B E1 48 89 4D D8 48 8D 4C 24 60 4C 89 44 24 50 44 89 6D B8 45 8B F5 44 89 6C 24 5C 44 89 6C 24 48 44 89 6C 24 4C E8 ?? ?? ?? ?? 83 CA FF 8B F2 4C 89 6D B0 4D 85 E4 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 6C 24 78 74 0C 48 8B 4C 24 70 83 A1 C8 00 00 00 FD 83 C8 FF E9 4F 11 00 00 48 8B 5D D8 4C 8B 4C 24 50 41 8B C5 41 8B CD 89 44 24 40 89 4D A8 83 F9 01 75 08 85 F6 0F 84 19 11 00 00 45 8B FD 45 8B C5 4C 89 6D C8 44 89 6D 88 41 8B FD 44 89 6C 24 58 4D 8B D4 45 0F B7 24 24 44 8B EA 44 8B DA 89 54 24 44 89 55 C0 8B F2 89 55 80 48 63 55 A8 48 89 55 98 66 45 85 E4 0F 84 5C 10 00 00 49 83 C2 02 4C 89 55 90 85 C0 0F 88 CC 0F 00 00 41 8D 44 24 E0 B9 58 00 00 00 66 3B C1 77 18 48 8D 0D ?? ?? ?? ?? 41 0F B7 C4 0F B6 4C 08 E0 83 E1 0F 45 33 DB EB 06 45 33 DB 41 8B CB 48 63 C1 48 8D 0C C0 49 63 C0 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 04 01 C1 E8 04 89 45 BC 83 F8 01 0F 85 DE 00 00 00 66 41 83 3A 25 0F 84 DC 00 00 00 83 FE FF 75 59 44 8D 40 09 48 8D 55 B0 49 8B CA E8 ?? ?? ?? ?? 45 33 DB 85 C0 7E 2E 48 8B 45 B0 66 83 38 24 75 24 4C 39 5D 98 75 14 48 8D 8D E0 03 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 89 75 80 EB 19 4C 8B 4C 24 50 48 8B 55 98 4C 8B 55 90 41 8B F3 44 89 5D 80 83 FE 01 75 79 48 8B 4D 90 48 8D 55 B0 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D B0 48 8B 55 98 4C 8D 51 02 44 8D 68 FF 45 33 DB 4C 89 55 90 44 89 6D C0 48 85 D2 75 36 45 85 ED 0F 88 6E 0F 00 00 66 83 39 24 0F 85 64 0F 00 00 44 8D 42 64 45 3B E8 0F 8D 57 0F 00 00 8B 44 24 44 4C 8B 4C 24 50 44 3B E8 41 0F 4F C5 89 44 24 44 EB 16 4C 8B 4C 24 50 EB 09 83 F8 08 0F 84 31 0F 00 00 41 B8 64 00 00 00 8B 4D BC 85 C9 0F 84 03 0E 00 00 FF C9 0F 84 D8 0D 00 00 FF C9 0F 84 6B 0D 00 00 FF C9 0F 84 62 0C 00 00 FF C9 0F 84 4D 0C 00 00 FF C9 0F 84 87 0B 00 00 FF C9 0F 84 96 0A 00 00 FF C9 0F 85 26 0E 00 00 41 0F B7 C4 41 3B C0 0F 8F 10 03 00 00 0F 84 FC 04 00 00 83 F8 41 0F 84 9C 02 00 00 83 F8 43 0F 84 A6 01 00 00 83 F8 45 0F 84 8A 02 00 00 83 F8 47 0F 84 81 02 00 00 83 F8 53 0F 84 55 01 00 00 B9 58 00 00 00 3B C1 0F 84 F6 03 00 00 83 F8 5A 74 63 83 F8 61 0F 84 69 02 00 00 83 F8 63 0F 84 7B 01 00 00 8B 7C 24 4C B9 20 00 00 00 41 BC 30 00 00 00 BE 2D 00 00 00 8B 44 24 48 83 7D 80 01 75 0D 48 8B 55 98 48 85 D2 0F 84 8F 0D 00 00 85 C0 0F 85 D5 09 00 00 41 F6 C6 40 0F 84 DE 08 00 00 41 0F BA E6 08 0F 83 AD 08 00 00 66 89 75 A4 E9 B3 08 00 00 85 F6 75 0F 49 83 C1 08 4C 89 4C 24 50 49 8B 41 F8 EB 70 41 83 FD 63 0F 87 16 0E 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 4F 48 8D 84 CD E0 03 00 00 44 39 18 75 1C C7 00 02 00 00 00 66 44 89 A4 CD F0 03 00 00 44 89 B4 CD F4 03 00 00 E9 5D FF FF FF BA 02 00 00 00 45 0F B7 C4 45 8B CE 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 C5 0D 00 00 4C 8B 4C 24 50 E9 37 FF FF FF 48 8B 84 CD E8 03 00 00 48 8B 00 48 85 C0 74 44 48 8B 58 08 48 85 DB 74 3B B9 20 00 00 00 8D 71 0D 44 8D 61 10 41 0F BA E6 0B 73 17 0F BF 00 8D 79 E1 99 89 7C 24 4C 2B C2 D1 F8 44 8B F8 E9 08 FF FF FF 44 0F BF 38 41 8B FB 44 89 5C 24 4C E9 F7 FE FF FF 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B F8 EB 8E 41 F7 C6 30 08 00 00 75 04 41 83 CE 20 83 FF FF 8B F7 B8 FF FF FF 7F 0F 44 F0 44 39 5D 80 0F 85 CD 01 00 00 49 83 C1 08 4C 89 4C 24 50 49 8B 59 F8 E9 E0 01 00 00 41 B8 20 00 00 00 41 F7 C6 30 08 00 00 75 0B 45 0B F0 EB 06 41 B8 20 00 00 00 BF 01 00 00 00 89 7C 24 4C 85 F6 75 10 49 83 C1 08 4C 89 4C 24 50 41 0F B7 41 F8 EB 69 41 83 FD 63 0F 87 DC 0C 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 48 48 8D 84 CD E0 03 00 00 44 39 18 75 18 89 38 66 44 89 A4 CD F0 03 00 00 44 89 B4 CD F4 03 00 00 E9 2B FE FF FF 45 8B CE 45 0F B7 C4 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 92 0C 00 00 4C 8B 4C 24 50 E9 08 FE FF FF 48 8B 84 CD E8 03 00 00 0F B7 00 66 89 45 84 45 84 F0 74 34 88 45 A0 48 8B 44 24 60 44 88 5D A1 4C 63 80 0C 01 00 00 4C 8D 4C 24 60 48 8D 55 A0 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 4C 24 50 85 C0 79 0A 89 7C 24 48 EB 04 66 89 45 E0 48 8D 5D E0 44 8B FF E9 B0 FD FF FF C7 45 C4 01 00 00 00 66 41 83 C4 20 B9 67 00 00 00 41 83 CE 40 83 FE 01 0F 85 18 05 00 00 48 85 D2 0F 85 0F 05 00 00 41 83 FD 63 0F 87 FF 0B 00 00 49 63 C5 48 8D 0C 40 48 8D 84 CD E0 03 00 00 44 39 18 0F 85 C0 04 00 00 C7 00 07 00 00 00 66 44 89 A4 CD F0 03 00 00 44 89 B4 CD F4 03 00 00 E9 09 0B 00 00 83 F8 65 0F 8C 3E FD FF FF B9 67 00 00 00 3B C1 7E 9A B9 69 00 00 00 3B C1 0F 84 D3 01 00 00 83 F8 6E 0F 84 4F 01 00 00 B9 6F 00 00 00 3B C1 0F 84 26 01 00 00 83 F8 70 0F 84 DA 00 00 00 83 F8 73 0F 84 3E FE FF FF B9 75 00 00 00 3B C1 0F 84 A2 01 00 00 B9 78 00 00 00 3B C1 0F 85 E6 FC FF FF 8D 41 AF E9 C2 00 00 00 41 83 FD 63 0F 87 58 0B 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 3E FD FF FF 48 8B 9C CD E8 03 00 00 48 8B 1B B9 20 00 00 00 44 84 F1 74 49 48 85 DB 45 8B FB 48 0F 44 1D ?? ?? ?? ?? 48 8B FB 85 F6 0F 8E 82 05 00 00 44 38 1F 0F 84 4C FD FF FF 0F B6 0F 48 8D 54 24 60 E8 ?? ?? ?? ?? 45 33 DB 85 C0 74 03 48 FF C7 41 FF C7 48 FF C7 44 3B FE 7C D5 E9 25 FD FF FF 48 85 DB BF 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 89 7C 24 4C 48 8B C3 EB 0C FF CE 66 44 39 18 74 08 48 83 C0 02 85 F6 75 F0 48 2B C3 48 D1 F8 44 8B F8 E9 38 FC FF FF BF 10 00 00 00 41 0F BA EE 0F 89 7C 24 58 B8 07 00 00 00 89 45 B8 41 BA 10 00 00 00 45 84 F6 0F 89 BF 00 00 00 41 8D 4A 20 45 8D 5A F2 66 83 C0 51 66 89 4D A4 44 89 5C 24 5C 66 89 45 A6 E9 A6 00 00 00 41 BA 08 00 00 00 45 84 F6 0F 89 92 00 00 00 B8 00 02 00 00 44 0B F0 E9 85 00 00 00 85 F6 75 0F 49 83 C1 08 4C 89 4C 24 50 49 8B 79 F8 EB 25 41 83 FD 63 0F 87 37 0A 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 1D FC FF FF 48 8B 84 CD E8 03 00 00 48 8B 38 E8 ?? ?? ?? ?? 85 C0 0F 84 0F 0A 00 00 8B 4C 24 40 B8 20 00 00 00 44 84 F0 74 05 66 89 0F EB 02 89 0F 4C 8B 4C 24 50 8B 7C 24 4C B8 01 00 00 00 8D 48 1F 8D 70 2C 44 8D 60 2F 89 44 24 48 E9 6D FB FF FF 41 83 CE 40 41 BA 0A 00 00 00 44 8B 5C 24 5C 41 0F BA E6 0F 73 51 85 F6 75 12 49 83 C1 08 4C 89 4C 24 50 4D 8B 41 F8 E9 BB 01 00 00 41 83 FD 63 0F 87 A3 09 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 6B 48 8D 84 CD E0 03 00 00 45 33 DB 44 39 18 75 0B C7 00 03 00 00 00 E9 85 FB FF FF BA 03 00 00 00 E9 96 FB FF FF 41 0F BA E6 0C 73 4F 85 F6 74 A8 41 83 FD 63 0F 87 5D 09 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 25 48 8D 84 CD E0 03 00 00 45 33 DB 44 39 18 75 0B C7 00 04 00 00 00 E9 3F FB FF FF BA 04 00 00 00 E9 50 FB FF FF 48 8B 84 CD E8 03 00 00 4C 8B 00 E9 2A 01 00 00 B8 20 00 00 00 44 84 F0 0F 84 A4 00 00 00 41 F6 C6 40 74 63 85 F6 75 13 49 83 C1 08 4C 89 4C 24 50 4D 0F BF 41 F8 E9 FF 00 00 00 41 83 FD 63 0F 87 E7 08 00 00 49 63 C5 48 8D 0C 40 48 85 D2 75 25 48 8D 84 CD E0 03 00 00 45 33 DB 44 39 18 75 0B C7 00 01 00 00 00 E9 C9 FA FF FF BA 01 00 00 00 E9 DA FA FF FF 48 8B 84 CD E8 03 00 00 4C 0F BF 00 E9 B3 00 00 00 85 F6 75 13 49 83 C1 08 4C 89 4C 24 50 45 0F B7 41 F8 E9 9C 00 00 00 41 83 FD 63 0F 87 84 08 00 00 49 63 C5 48 8D 0C 40 48 85 D2 74 9D 48 8B 84 CD E8 03 00 00 44 0F B7 00 EB 78 41 F6 C6 40 74 3A 85 F6 75 0F 49 83 C1 08 4C 89 4C 24 50 4D 63 41 F8 EB 5F 41 83 FD 63 0F 87 47 08 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 5C FF FF FF 48 8B 84 CD E8 03 00 00 4C 63 00 EB 38 85 F6 75 0F 49 83 C1 08 4C 89 4C 24 50 45 8B 41 F8 EB 25 41 83 FD 63 0F 87 0D 08 00 00 49 63 C5 48 8D 0C 40 48 85 D2 0F 84 22 FF FF FF 48 8B 84 CD E8 03 00 00 44 8B 00 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 41 0F BA E6 0F 72 0A 41 0F BA E6 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0E BA 00 02 00 00 41 83 E6 F7 3B FA 0F 4F FA 44 8B 4D B8 49 8B C0 48 8D 9D DF 01 00 00 48 F7 D8 1B C9 41 23 CB 89 4C 24 5C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 CA 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C1 88 03 48 FF CB EB D3 4C 8B 4C 24 50 4C 8D BD DF 01 00 00 B8 00 02 00 00 44 2B FB 48 FF C3 89 7C 24 58 41 BC 30 00 00 00 44 85 F0 74 13 45 85 FF 74 05 44 38 23 74 09 48 FF CB 41 FF C7 44 88 23 8B 7C 24 4C B9 20 00 00 00 E9 B2 F8 FF FF 45 8B CE 45 0F B7 C4 BA 07 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 35 07 00 00 4C 8B 4C 24 50 48 8B 55 98 E9 34 06 00 00 B8 00 02 00 00 48 8D 5D E0 8B F0 85 FF 79 0D 41 BF 06 00 00 00 44 89 7C 24 58 EB 52 75 0E 66 44 3B E1 75 40 41 BF 01 00 00 00 EB E9 3B F8 41 BF A3 00 00 00 0F 4F F8 89 7C 24 58 41 3B FF 7E 2B 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 4C 8B 4C 24 50 45 33 DB 48 89 45 C8 48 85 C0 74 B6 48 8B D8 8B F7 44 8B 7C 24 58 EB 03 44 8B FF 44 39 5D 80 75 13 49 83 C1 08 4C 89 4C 24 50 49 8B 41 F8 48 89 45 D0 EB 20 41 83 FD 63 0F 87 69 06 00 00 49 63 C5 48 8D 0C 40 48 8B 84 CD E8 03 00 00 48 8B 08 48 89 4D D0 48 8B 0D ?? ?? ?? ?? 41 0F BE FC 48 63 F6 FF 15 ?? ?? ?? ?? 48 8D 4C 24 60 44 8B CF 48 89 4C 24 30 8B 4D C4 4C 8B C6 89 4C 24 28 48 8D 4D D0 48 8B D3 44 89 7C 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1C 45 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 60 48 8B CB FF D0 41 B8 67 00 00 00 66 45 3B E0 75 1B 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 60 48 8B CB FF D0 BE 2D 00 00 00 40 38 33 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 4C 8B 4C 24 50 8B 7C 24 4C B9 20 00 00 00 44 8B F8 44 8D 61 10 E9 28 F7 FF FF 8B 7C 24 4C E9 14 F7 FF FF 41 F6 C6 01 74 14 B8 2B 00 00 00 66 89 45 A4 BE 01 00 00 00 89 74 24 5C EB 10 41 F6 C6 02 74 06 66 89 4D A4 EB E9 8B 74 24 5C 44 8B 6D 88 45 2B EF 44 2B EE 41 F6 C6 0C 75 0D 4C 8D 44 24 40 41 8B D5 E8 ?? ?? ?? ?? 4C 8D 44 24 40 48 8D 4D A4 8B D6 E8 ?? ?? ?? ?? 41 F6 C6 08 74 16 41 F6 C6 04 75 10 4C 8D 44 24 40 41 8B CC 41 8B D5 E8 ?? ?? ?? ?? 85 FF 75 67 45 85 FF 7E 62 48 8B FB 41 8B F7 48 8B 44 24 60 4C 8D 4C 24 60 48 8D 4D 84 4C 63 80 0C 01 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 4C 63 E0 85 C0 7E 2D 0F B7 4D 84 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 09 83 C9 FF 89 4C 24 40 EB 08 FF 44 24 40 8B 4C 24 40 49 03 FC 85 F6 7F AF EB 1D 83 C9 FF 89 4C 24 40 EB 14 4C 8D 44 24 40 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B 4C 24 40 85 C9 78 18 41 F6 C6 04 74 12 4C 8D 44 24 40 B9 20 00 00 00 41 8B D5 E8 ?? ?? ?? ?? 4C 8B 4C 24 50 48 8B 4D C8 48 85 C9 74 10 E8 ?? ?? ?? ?? 4C 8B 4C 24 50 33 C9 48 89 4D C8 8B 7C 24 58 E9 57 FD FF FF 41 0F B7 C4 83 F8 49 74 50 83 F8 68 74 42 B9 6C 00 00 00 3B C1 74 13 83 F8 77 0F 85 78 03 00 00 41 0F BA EE 0B E9 6E 03 00 00 8B 44 24 40 44 8B 5C 24 44 66 41 39 0A 75 0E 49 83 C2 02 41 0F BA EE 0C E9 5A 03 00 00 41 83 CE 10 E9 51 03 00 00 41 83 CE 20 E9 3F 03 00 00 B8 00 80 00 00 44 0B F0 66 41 83 3A 36 75 14 66 41 83 7A 02 34 75 0C 49 83 C2 04 44 0B F0 E9 1C 03 00 00 66 41 83 3A 33 75 16 66 41 83 7A 02 32 75 0E 49 83 C2 04 41 0F BA F6 0F E9 FF 02 00 00 66 45 39 02 74 40 B8 69 00 00 00 66 41 39 02 74 35 B8 6F 00 00 00 66 41 39 02 74 2A B8 75 00 00 00 66 41 39 02 74 1F B8 78 00 00 00 66 41 39 02 74 14 B8 58 00 00 00 66 41 39 02 74 09 44 89 5D BC E9 73 02 00 00 41 0F BA EE 10 E9 AF 02 00 00 B8 2A 00 00 00 66 44 3B E0 0F 85 9B 00 00 00 85 F6 75 0F 49 83 C1 08 4C 89 4C 24 50 41 8B 79 F8 EB 42 48 8D 55 B0 41 B8 0A 00 00 00 49 8B CA E8 ?? ?? ?? ?? 48 8B 4D B0 48 8B 55 98 4C 8D 51 02 FF C8 4C 89 55 90 48 85 D2 0F 84 CA 00 00 00 4C 8B 4C 24 50 48 98 48 8D 0C 40 48 8B 84 CD E8 03 00 00 8B 38 8B 44 24 40 44 8B 5C 24 44 89 7C 24 58 85 FF 0F 89 3F 02 00 00 83 CF FF 89 7C 24 58 E9 33 02 00 00 4C 8B 4C 24 50 C7 00 01 00 00 00 B8 2A 00 00 00 66 89 84 CD F0 03 00 00 44 89 B4 CD F4 03 00 00 E9 0A 02 00 00 8D 0C BF 41 0F B7 C4 8D 7C 48 D0 89 7C 24 58 E9 F1 01 00 00 41 8B FB 44 89 5C 24 58 E9 E4 01 00 00 B8 2A 00 00 00 66 44 3B E0 0F 85 DC 00 00 00 85 F6 75 12 49 83 C1 08 4C 89 4C 24 50 41 8B 49 F8 E9 A4 00 00 00 48 8D 55 B0 41 B8 0A 00 00 00 49 8B CA E8 ?? ?? ?? ?? 48 8B 4D B0 48 8B 55 98 4C 8D 51 02 FF C8 4C 89 55 90 48 85 D2 75 66 85 C0 0F 88 50 02 00 00 66 83 39 24 0F 85 46 02 00 00 41 B8 64 00 00 00 45 3B E8 0F 8D 37 02 00 00 44 8B 5C 24 44 41 3B C3 44 0F 4F D8 48 98 45 33 E4 48 8D 0C 40 44 89 5C 24 44 48 8D 84 CD E0 03 00 00 44 39 20 0F 84 20 FF FF FF 45 8D 44 24 2A 41 8D 54 24 01 45 8B CE 48 8B C8 E8 ?? ?? ?? ?? E9 E2 FA FF FF 4C 8B 4C 24 50 48 98 48 8D 0C 40 48 8B 84 CD E8 03 00 00 8B 08 8B 44 24 40 44 8B 5C 24 44 89 4D 88 85 C9 0F 89 10 01 00 00 41 83 CE 04 F7 D9 89 4D 88 E9 02 01 00 00 8B 45 88 8D 0C 80 41 0F B7 C4 8D 4C 48 D0 89 4D 88 E9 E3 00 00 00 41 0F B7 C4 B9 20 00 00 00 3B C1 74 52 83 F8 23 74 43 B9 2B 00 00 00 3B C1 74 31 B9 2D 00 00 00 3B C1 74 1F 44 8B 5C 24 44 B9 30 00 }
	condition:
		$1
}

rule file_25_9_0 {
	meta:
		name = "_cwprintf_p_l"
		size = 33
		refs = "0018 _vcwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_413_10_0 {
	meta:
		name = "_cprintf_l"
		size = 33
		refs = "0018 _vcprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_448_11_0 {
	meta:
		name = "_cprintf_p_l"
		size = 33
		refs = "0018 _vcprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_822_10_0 {
	meta:
		name = "_cprintf_s_l"
		size = 33
		refs = "0018 _vcprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_302_11_0 {
	meta:
		name = "_cscanf_l"
		size = 33
		refs = "0018 _cprinput_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_60_11_0 {
	meta:
		name = "_cscanf_s_l"
		size = 33
		refs = "0018 _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_186_9_0 {
	meta:
		name = "_cwprintf_l"
		size = 33
		refs = "0018 _vcwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_111_9_0 {
	meta:
		name = "_cwprintf_s_l"
		size = 33
		refs = "0018 _vcwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_729_12_0 {
	meta:
		name = "_cwscanf_l"
		size = 33
		refs = "0018 _cprinput_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_622_12_0 {
	meta:
		name = "_cwscanf_s_l"
		size = 33
		refs = "0018 _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_317_2_0 {
	meta:
		name = "_printf_l"
		size = 33
		refs = "0018 _vprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_317_5_0 {
	meta:
		name = "_printf_p_l"
		size = 33
		refs = "0018 _vprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_317_3_0 {
	meta:
		name = "_printf_s_l"
		size = 33
		refs = "0018 _vprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_227_10_0 {
	meta:
		name = "_scprintf_l"
		size = 33
		refs = "0018 _vscprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_227_11_0 {
	meta:
		name = "_scprintf_p_l"
		size = 33
		refs = "0018 _vscprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_520_10_0 {
	meta:
		name = "_scwprintf_l"
		size = 33
		refs = "0018 _vscwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_520_11_0 {
	meta:
		name = "_scwprintf_p_l"
		size = 33
		refs = "0018 _vscwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_877_2_0 {
	meta:
		name = "_wprintf_l"
		size = 33
		refs = "0018 _vwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_877_5_0 {
	meta:
		name = "_wprintf_p_l"
		size = 33
		refs = "0018 _vwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_877_3_0 {
	meta:
		name = "_wprintf_s_l"
		size = 33
		refs = "0018 _vwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_25_10_0 {
	meta:
		name = "_cwprintf_p"
		size = 39
		refs = "001e _vcwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_413_11_0 {
	meta:
		name = "_cprintf"
		size = 39
		refs = "001e _vcprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_448_12_0 {
	meta:
		name = "_cprintf_p"
		size = 39
		refs = "001e _vcprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_822_11_0 {
	meta:
		name = "_cprintf_s"
		size = 39
		refs = "001e _vcprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_302_10_0 {
	meta:
		name = "_cscanf"
		size = 39
		refs = "001e _cprinput_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_60_10_0 {
	meta:
		name = "_cscanf_s"
		size = 39
		refs = "001e _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_186_10_0 {
	meta:
		name = "_cwprintf"
		size = 39
		refs = "001e _vcwprintf_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_111_10_0 {
	meta:
		name = "_cwprintf_s"
		size = 39
		refs = "001e _vcwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_729_11_0 {
	meta:
		name = "_cwscanf"
		size = 39
		refs = "001e _cprinput_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_622_11_0 {
	meta:
		name = "_cwscanf_s"
		size = 39
		refs = "001e _cprinput_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_317_6_0 {
	meta:
		name = "_printf_p"
		size = 39
		refs = "001e _vprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_877_6_0 {
	meta:
		name = "_wprintf_p"
		size = 39
		refs = "001e _vwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_317_4_0 {
	meta:
		name = "printf_s"
		size = 39
		refs = "001e _vprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_877_4_0 {
	meta:
		name = "wprintf_s"
		size = 39
		refs = "001e _vwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 40 10 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_26_3_0 {
	meta:
		name = "_mbsnbcpy_s_l"
		size = 631
		refs = "005e _errno 006a _invalid_parameter_noinfo 0097 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b2 strncpy_s 012f _ismbblead_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 41 55 41 56 48 8B EC 48 83 EC 40 45 33 F6 49 8B F9 49 8B F0 4C 8B E2 48 8B D9 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 44 88 31 EB E8 4D 85 C0 75 34 44 88 31 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 64 24 78 48 83 C4 40 41 5E 41 5D 5D C3 48 8B 55 40 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 5D E8 49 8B D4 48 8B CB 45 39 73 08 75 1E 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 44 38 75 F8 74 B4 48 8B 4D F0 83 A1 C8 00 00 00 FD EB A7 48 83 FF FF 75 15 8A 06 48 FF C6 88 01 48 FF C1 84 C0 74 2A 48 FF CA 75 ED EB 23 8A 06 48 FF C6 88 01 48 FF C1 84 C0 74 0A 48 FF CA 74 05 48 FF CF 75 E8 48 85 FF 75 06 44 88 31 48 FF C1 48 85 D2 0F 85 EC 00 00 00 44 38 36 74 06 48 83 FF 01 75 55 4C 8D 69 FF 49 8B F5 4C 3B EB 72 18 0F B6 0E 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CE 48 3B F3 73 E8 41 8B C5 2B C6 A8 01 74 28 45 88 75 00 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 44 38 75 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C2 E9 00 FF FF FF 48 83 FF FF 75 58 49 83 FC 01 76 4B 4A 8D 74 23 FE 48 8B FE 48 3B F3 72 18 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CF 48 3B FB 73 E8 8B C6 2B C7 A8 01 74 1E 44 88 36 44 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 50 00 00 00 E9 A9 FE FF FF 46 88 74 23 FF EB DE 44 88 33 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 44 38 75 F8 0F 84 82 FE FF FF 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 72 FE FF FF 48 8B C1 48 2B C3 48 83 F8 02 7C 55 48 8D 71 FE 48 8B FE 48 3B F3 72 18 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CF 48 3B FB 73 E8 8B C6 2B C7 A8 01 74 29 44 88 36 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 44 38 75 F8 0F 84 1C FF FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 0C FF FF FF 44 38 75 F8 0F 84 D6 FD FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 C6 FD FF FF }
	condition:
		$1
}

rule file_27_0_0 {
	meta:
		name = "fast_error_exit"
		size = 44
		refs = "0008 __error_mode 0012 _FF_MSGBANNER 0019 _NMSG_WRITE 0028 __crtExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 83 3D ?? ?? ?? ?? 02 8B D9 74 05 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? B9 FF 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_1_0 {
	meta:
		name = "check_managed_app"
		size = 74
		refs = "0008 __ImageBase"
	strings:
		$1 = { B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 03 33 C0 C3 48 63 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 03 C8 81 39 50 45 00 00 75 E4 B8 0B 02 00 00 66 39 41 18 75 D9 33 C0 83 B9 84 00 00 00 0E 76 09 39 81 F8 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule file_27_2_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 375
		refs = "0012 __ImageBase 0059 _heap_init 0063 __error_mode 006b _FF_MSGBANNER 0075 _NMSG_WRITE 007f __crtExitProcess 0084 _mtinit 00af _RTC_Initialize 00b5 _ioinit 00c3 _amsg_exit 00c9 __imp_GetCommandLineA 00d0 _acmdln 00d5 __crtGetEnvironmentStringsA 00dc _aenvptr 00e1 _setargv 00f4 _setenvp 010c _cinit 011e _environ 0125 __initenv 012c __argv 0132 __argc 0137 main 0148 exit 014d _cexit 015f _exit 0165 _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 DB EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 5C 24 40 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B F8 83 7C 24 40 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_676_2_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 375
		refs = "0012 __ImageBase 0059 _heap_init 0063 __error_mode 006b _FF_MSGBANNER 0075 _NMSG_WRITE 007f __crtExitProcess 0084 _mtinit 00af _RTC_Initialize 00b5 _ioinit 00c3 _amsg_exit 00c9 __imp_GetCommandLineW 00d0 _wcmdln 00d5 __crtGetEnvironmentStringsW 00dc _wenvptr 00e1 _wsetargv 00f4 _wsetenvp 010c _cinit 011e _wenviron 0125 __winitenv 012c __wargv 0132 __argc 0137 wmain 0148 exit 014d _cexit 015f _exit 0165 _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 DB EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 5C 24 40 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B F8 83 7C 24 40 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_27_3_0 {
	meta:
		name = "__tmainCRTStartup$filt$0"
		size = 30
		refs = "0012 _XcptFilter"
		altNames = "_callthreadstart$filt$0 _callthreadstartex$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 48 8B D1 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_599_3_0 {
	meta:
		name = "__DllMainCRTStartup$filt$0"
		size = 30
		refs = "0012 __CppXcptFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 48 8B D1 8B 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_27_4_0 {
	meta:
		name = "mainCRTStartup"
		size = 18
		refs = "0005 __security_init_cookie 000e __tmainCRTStartup"
		altNames = "WinMainCRTStartup wWinMainCRTStartup wmainCRTStartup"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_766_15_0 {
	meta:
		name = "?StandardDeviation@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 18
		refs = "0005 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 000e sqrt"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "_sincos_special"
		size = 218
		refs = "00cb _handle_error"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 41 8B C8 4C 8B D2 4C 8B 44 24 60 48 BA 00 00 00 00 00 00 F0 7F 66 0F 28 C8 49 8B C0 48 23 C2 48 3B C2 0F 85 9D 00 00 00 48 B8 FF FF FF FF FF FF 0F 00 4C 85 C0 75 3F 66 0F 57 C0 48 B8 00 00 00 00 00 00 F8 FF 41 B9 01 00 00 00 44 89 4C 24 40 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 48 89 44 24 60 4C 8B C0 C7 44 24 20 08 00 00 00 EB 45 48 BA 00 00 00 00 00 00 08 00 49 8B C0 48 23 C2 48 3B C2 74 08 4C 0B C2 4C 89 44 24 60 66 0F 57 C0 41 B9 01 00 00 00 44 89 4C 24 40 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 8B D1 49 8B CA E8 ?? ?? ?? ?? F2 0F 10 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_30_1_0 {
	meta:
		name = "_sincosf_special"
		size = 151
		refs = "0088 _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 48 83 64 24 78 00 0F 28 C8 4C 8B DA BA 00 00 80 7F 45 8B D0 F3 0F 11 4C 24 78 8B 4C 24 78 8B C1 23 C2 3B C2 75 62 0F 57 C0 41 B9 01 00 00 00 44 89 4C 24 40 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 F7 C1 FF FF 7F 00 75 12 C7 44 24 78 00 00 C0 FF C7 44 24 20 08 00 00 00 EB 16 B8 00 00 40 00 85 C8 75 08 0B C8 89 4C 24 78 EB E5 83 64 24 20 00 4C 8B 44 24 78 41 8B D2 49 8B CB E8 ?? ?? ?? ?? F3 0F 10 44 24 78 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_30_2_0 {
	meta:
		name = "_sinf_special"
		size = 18
		refs = "0003 ??_C@_04LAGPAAHP@sinf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 1E 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_3_0 {
	meta:
		name = "_sin_special"
		size = 18
		refs = "0003 ??_C@_03BLEJJJBH@sin?$AA@ 000e _sincos_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 1E 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_4_0 {
	meta:
		name = "_cosf_special"
		size = 18
		refs = "0003 ??_C@_04OBBKPIAC@cosf?$AA@ 000e _sincosf_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 12 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_5_0 {
	meta:
		name = "_cos_special"
		size = 18
		refs = "0003 ??_C@_03LALBNOCG@cos?$AA@ 000e _sincos_special"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 41 B8 12 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "__security_init_cookie"
		size = 179
		refs = "000d __security_cookie 002c __security_cookie_complement 0039 __imp_GetSystemTimeAsFileTime 0044 __imp_GetCurrentProcessId 0050 __imp_GetCurrentThreadId 005c __imp_GetTickCount 006d __imp_QueryPerformanceCounter"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 83 64 24 30 00 48 BF 32 A2 DF 2D 99 2B 00 00 48 3B C7 74 0C 48 F7 D0 48 89 05 ?? ?? ?? ?? EB 76 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 FF 15 ?? ?? ?? ?? 44 8B D8 49 33 DB FF 15 ?? ?? ?? ?? 44 8B D8 49 33 DB FF 15 ?? ?? ?? ?? 48 8D 4C 24 38 44 8B D8 49 33 DB FF 15 ?? ?? ?? ?? 4C 8B 5C 24 38 4C 33 DB 48 B8 FF FF FF FF FF FF 00 00 4C 23 D8 48 B8 33 A2 DF 2D 99 2B 00 00 4C 3B DF 4C 0F 44 D8 4C 89 1D ?? ?? ?? ?? 49 F7 D3 4C 89 1D ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_32_3_0 {
	meta:
		name = "__ascii_strnicmp"
		size = 70
	strings:
		$1 = { 4C 8B D1 4D 85 C0 74 3B 45 0F B6 0A 49 FF C2 41 8D 41 BF 83 F8 19 77 04 41 83 C1 20 0F B6 0A 48 FF C2 8D 41 BF 83 F8 19 77 03 83 C1 20 49 FF C8 74 0A 45 85 C9 74 05 44 3B C9 74 CC 44 2B C9 41 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_32_4_0 {
	meta:
		name = "_strnicmp_l"
		size = 259
		refs = "0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _errno 004a _invalid_parameter_noinfo 008b __ascii_strnicmp 00ae _tolower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 40 4D 8B E0 48 8B F2 48 8B F9 4D 85 C0 0F 84 BA 00 00 00 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 48 85 FF 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 80 00 00 00 48 85 F6 74 D0 49 81 FC FF FF FF 7F 77 C7 48 8B 45 E0 83 78 14 00 75 21 4D 8B C4 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 80 7D F8 00 74 54 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 47 48 2B FE 0F B6 0C 37 48 8D 55 E0 E8 ?? ?? ?? ?? 0F B6 0E 48 8D 55 E0 8B D8 E8 ?? ?? ?? ?? 48 FF C6 49 FF CC 74 08 85 DB 74 04 3B D8 74 D5 2B D8 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C3 EB 02 33 C0 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_32_5_0 {
	meta:
		name = "_strnicmp"
		size = 79
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 003f __ascii_strnicmp 004b _strnicmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_616_4_0 {
	meta:
		name = "_strncoll"
		size = 79
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 003f strncmp 004b _strncoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_687_4_0 {
	meta:
		name = "_wcsncoll"
		size = 79
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 003f wcsncmp 004b _wcsncoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 36 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_34_2_0 {
	meta:
		name = "_wsearchenv_s"
		size = 814
		refs = "0017 __security_cookie 0046 _errno 0051 _invalid_parameter_noinfo 008a _waccess_s 00a5 _wfullpath 00c7 _wdupenv_s 00e8 _invoke_watson 00ff wcslen 012b _calloc_crt 0173 _wgetpath 022a wcscpy_s 0269 free 0316 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 78 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 02 00 00 33 F6 4D 8B F1 4C 89 4C 24 40 4D 8B E0 4C 8B FA 4C 8B E9 48 89 74 24 30 8B EE 4D 85 C0 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 AB 02 00 00 4D 85 C9 74 E1 48 85 C9 75 06 66 41 89 30 EB D6 66 39 31 75 09 66 41 89 30 E9 5D 02 00 00 E8 ?? ?? ?? ?? 33 D2 49 8B CD 8B 38 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 38 85 DB 75 21 4D 8B C6 49 8B D5 49 8B CC E8 ?? ?? ?? ?? 48 85 C0 0F 85 3A 02 00 00 66 41 89 34 24 E9 29 02 00 00 48 8D 4C 24 30 4D 8B C7 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 FD 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 8B 5C 24 30 48 85 DB 0F 84 DA 01 00 00 49 8B CD E8 ?? ?? ?? ?? BF 08 01 00 00 48 8D 6C 24 50 4C 8B F8 48 3B C7 72 37 48 8B CB E8 ?? ?? ?? ?? BA 02 00 00 00 4A 8D 7C 38 02 48 8B CF E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 15 66 41 89 34 24 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 99 01 00 00 E8 ?? ?? ?? ?? 8B 00 89 44 24 38 48 85 DB 0F 84 75 01 00 00 4C 8B C7 48 8B D5 48 8B CB 4D 2B C7 4C 8B F3 49 FF C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 5D 48 8D 44 24 50 48 3B E8 0F 85 48 01 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 3A 01 00 00 49 8B CE E8 ?? ?? ?? ?? 8D 53 02 4A 8D 7C 38 02 48 8B CF E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 0F 84 78 FF FF FF 4C 8B C7 48 8B D0 49 8B CE 4D 2B C7 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 F9 00 00 00 66 39 75 00 0F 84 EF 00 00 00 48 8B CD E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 45 00 0F B7 41 FE 83 F8 2F 74 18 BA 5C 00 00 00 3B C2 74 0F 83 F8 3A 74 0A 66 89 11 48 83 C1 02 49 FF C6 48 8B C1 48 8B D7 4D 8B C5 48 2B C5 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 8A 00 00 00 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 0F FF FF FF 48 8B 5C 24 40 4B 8D 04 3E 48 3B C3 72 24 48 8D 44 24 50 66 41 89 34 24 48 3B E8 74 08 48 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 6B E8 ?? ?? ?? ?? 8B 4C 24 38 4C 8B C5 89 08 49 8B CC 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 14 48 8D 44 24 50 48 3B E8 74 4B 48 8B CD E8 ?? ?? ?? ?? EB 41 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 66 41 89 34 24 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 30 48 8D 44 24 50 48 3B E8 74 08 48 8B CD E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 78 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_35_0_0 {
	meta:
		name = "__security_check_cookie"
		size = 31
		refs = "0003 __security_cookie 001b __report_gsfailure"
	strings:
		$1 = { 48 3B 0D ?? ?? ?? ?? 75 11 48 C1 C1 10 66 F7 C1 FF FF 75 02 F3 C3 48 C1 C9 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_0_0 {
	meta:
		name = "localeconv"
		size = 56
		refs = "0005 _getptd 000c __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo 002f __lconv"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 39 88 C0 00 00 00 74 13 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_37_0_0 {
	meta:
		name = "modf"
		size = 192
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 66 0F 28 C8 4C 8B 44 24 08 49 8B C0 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B C1 72 32 48 B9 00 00 00 00 00 00 F0 7F F2 0F 11 02 48 3B C1 76 06 F2 0F 58 C9 EB 74 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 08 F2 0F 10 44 24 08 C3 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 1A 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 44 24 08 F2 0F 10 44 24 08 EB 2E 49 8B C0 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 49 23 C0 48 89 44 24 08 F2 0F 10 44 24 08 F2 0F 5C C8 F2 0F 11 02 66 0F 28 C1 C3 }
	condition:
		$1
}

rule file_38_5_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@XZ"
		size = 40
		refs = "0010 memset"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 44 8D 42 10 E8 ?? ?? ?? ?? 45 33 DB 48 8B C3 66 44 89 5B 08 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_38_16_0 {
	meta:
		name = "??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAV012@@Z"
		size = 154
		refs = "001f ??_7ExecutionResource@details@Concurrency@@6B@ 003e memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 45 33 E4 48 8D 05 ?? ?? ?? ?? 49 8B F0 48 89 01 45 8D 44 24 10 48 8B FA 48 8B E9 44 89 61 08 33 D2 49 03 C8 E8 ?? ?? ?? ?? 66 44 89 65 18 4C 89 65 10 48 89 7D 20 48 89 75 28 4C 89 65 30 4C 89 65 38 48 8B 06 48 8B CE FF 10 48 8B CE 89 45 40 8B 46 44 44 89 65 4C 89 45 44 48 8B 06 FF 50 08 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 89 45 48 48 8B C5 48 8B 6C 24 38 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_38_19_0 {
	meta:
		name = "?Remove@ExecutionResource@details@Concurrency@@UEAAXPEAUIScheduler@3@@Z"
		size = 179
		refs = "001a ??_C@_0L@HKFDMHB@pScheduler?$AA@ 002b ??0exception@std@@QEAA@AEBQEBD@Z 0032 ??_7invalid_argument@std@@6B@ 0039 _TI3?AVinvalid_argument@std@@ 0048 _CxxThrowException 0052 ?GetCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ 0061 ??0invalid_operation@Concurrency@@QEAA@XZ 0068 _TI2?AVinvalid_operation@Concurrency@@ 00af ?RemoveExecutionResource@ResourceManager@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 49 20 E8 ?? ?? ?? ?? 48 3B C3 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 4B 20 48 39 79 10 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 8B D3 48 8B 5C 24 50 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_24_0 {
	meta:
		name = "?SetAsCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 61
		refs = "001f __imp_TlsGetValue 0039 __imp_TlsSetValue"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 20 48 8B F9 48 8B 50 18 8B 9A B8 00 00 00 8B CB FF 15 ?? ?? ?? ?? 48 8B D7 8B CB 48 89 47 38 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_25_0 {
	meta:
		name = "?ResetCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 44
		refs = "001d __imp_TlsSetValue"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 20 48 8B D9 48 8B 48 18 48 8B 53 38 8B 89 B8 00 00 00 FF 15 ?? ?? ?? ?? 48 83 63 38 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_38_26_0 {
	meta:
		name = "?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 282
		refs = "0017 __security_cookie 005c ?IncrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z 006a __imp_GetCurrentThread 007a ??0HardwareAffinity@details@Concurrency@@QEAA@PEAX@Z 00b3 memset 00ca ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 00d6 ?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00e2 ?AddExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00ec ?AddThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 00f4 ?SetAsCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ 0101 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B E9 8B 49 4C 8D 41 01 89 45 4C 85 C9 0F 85 C1 00 00 00 48 83 7D 30 00 48 8B 4D 20 0F 95 C3 48 83 7D 28 00 0F 85 9A 00 00 00 44 8B 45 44 8B 55 40 84 DB 41 0F 94 C1 E8 ?? ?? ?? ?? 84 DB 0F 85 88 00 00 00 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D0 48 8B F0 E8 ?? ?? ?? ?? 0F B7 48 08 66 89 4D 18 48 8B 08 48 89 4D 10 48 8B 4D 20 44 8B 45 40 48 8B 51 20 4D 6B C0 38 48 8D 4C 24 20 49 8B 3C 10 41 0F B7 5C 10 14 33 D2 44 8D 42 10 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D6 66 89 5C 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 48 8B 4D 20 48 8B D5 E8 ?? ?? ?? ?? 48 8B 4D 20 48 8B D5 E8 ?? ?? ?? ?? EB 08 48 8B D5 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_38_27_0 {
	meta:
		name = "?DecrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
		size = 141
		refs = "001c ?ResetCurrent@ExecutionResource@details@Concurrency@@QEAAXXZ 003c ?DecrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z 0047 __imp_GetCurrentThread 0053 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 005f ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 006b ?DestroyExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 0072 ?DecrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ 007e ?RemoveThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 FF 49 4C 48 8B D9 75 70 48 83 79 30 00 40 0F 95 C7 E8 ?? ?? ?? ?? 48 8B 4B 28 48 85 C9 75 48 44 8B 43 44 8B 53 40 48 8B 4B 20 40 84 FF 41 0F 94 C1 E8 ?? ?? ?? ?? 40 84 FF 75 3D FF 15 ?? ?? ?? ?? 48 8D 4B 10 48 8B D0 E8 ?? ?? ?? ?? 48 8B 4B 20 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4B 20 48 8B D3 E8 ?? ?? ?? ?? EB 11 E8 ?? ?? ?? ?? 48 8B 4B 20 48 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_38_28_0 {
	meta:
		name = "?CurrentSubscriptionLevel@ExecutionResource@details@Concurrency@@UEBAIXZ"
		size = 20
		refs = "0010 ?CurrentSubscriptionLevel@ResourceManager@details@Concurrency@@QEAAIII@Z"
	strings:
		$1 = { 48 8B 41 20 44 8B 41 44 8B 51 40 48 8B 48 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_31_0 {
	meta:
		name = "??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 172
		refs = "001e ??_7ExecutionResource@details@Concurrency@@6B@ 003f memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 45 33 ED 48 8D 05 ?? ?? ?? ?? 49 8B E8 48 89 01 45 8D 45 10 48 8B FA 4C 8B E1 44 89 69 08 33 D2 49 03 C8 41 8B F1 E8 ?? ?? ?? ?? 48 8B 5C 24 40 66 45 89 6C 24 18 4D 89 6C 24 10 49 89 7C 24 20 4D 89 6C 24 28 4D 89 6C 24 30 4D 89 6C 24 38 8B 45 18 41 89 44 24 40 41 89 74 24 44 45 89 6C 24 4C 48 8B 45 30 8B CE 48 8B 74 24 50 48 6B C9 38 0F B6 54 01 04 8B 45 14 48 8B 6C 24 48 C1 E0 08 03 D0 49 8B C4 41 89 54 24 48 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_39_4_0 {
	meta:
		name = "_tolower_l"
		size = 334
		refs = "001a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _isctype_l 00a0 _isleadbyte_l 00bc _errno 010d __crtLCMapStringA"
	strings:
		$1 = { 48 89 7C 24 10 4C 89 64 24 20 55 48 8B EC 48 83 EC 70 48 63 F9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FF 00 01 00 00 73 5D 48 8B 55 E0 83 BA 0C 01 00 00 01 7E 16 4C 8D 45 E0 BA 01 00 00 00 8B CF E8 ?? ?? ?? ?? 48 8B 55 E0 EB 0E 48 8B 82 40 01 00 00 0F B7 04 78 83 E0 01 85 C0 74 10 48 8B 82 48 01 00 00 0F B6 04 38 E9 C0 00 00 00 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C7 E9 B9 00 00 00 48 8B 45 E0 83 B8 0C 01 00 00 01 7E 2B 44 8B E7 48 8D 55 E0 41 C1 FC 08 41 0F B6 CC E8 ?? ?? ?? ?? 85 C0 74 13 44 88 65 10 40 88 7D 11 C6 45 12 00 BA 02 00 00 00 EB 18 E8 ?? ?? ?? ?? BA 01 00 00 00 C7 00 2A 00 00 00 40 88 7D 10 C6 45 11 00 48 8B 4D E0 C7 44 24 40 01 00 00 00 4C 8D 4D 10 8B 41 04 41 B8 00 01 00 00 89 44 24 38 48 8D 45 20 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 54 24 20 8B 51 14 48 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 0F 84 52 FF FF FF 83 F8 01 0F B6 45 20 74 09 0F B6 4D 21 C1 E0 08 0B C1 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 7B 18 4D 8B 63 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_39_5_0 {
	meta:
		name = "tolower"
		size = 30
		refs = "0002 __locale_changed 001a _tolower_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0E 8D 41 BF 83 F8 19 77 03 83 C1 20 8B C1 C3 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_0_0 {
	meta:
		name = "?__CxxUnhandledExceptionFilter@@YAJPEAU_EXCEPTION_POINTERS@@@Z"
		size = 65
		refs = "0035 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 63 73 6D E0 75 2B 83 78 18 04 75 25 8B 40 20 3D 20 05 93 19 74 15 3D 21 05 93 19 74 0E 3D 22 05 93 19 74 07 3D 00 40 99 01 75 06 E8 ?? ?? ?? ?? CC 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_41_1_0 {
	meta:
		name = "__CxxSetUnhandledExceptionFilter"
		size = 24
		refs = "0007 ?__CxxUnhandledExceptionFilter@@YAJPEAU_EXCEPTION_POINTERS@@@Z 000d __imp_SetUnhandledExceptionFilter"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_42_0_0 {
	meta:
		name = "_execlp"
		size = 164
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0063 _capture_argv 0079 _execvp 0093 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 38 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 64 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 64 24 20 00 48 8D 54 24 30 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_43_0_0 {
	meta:
		name = "_purecall"
		size = 55
		refs = "0007 __pPurecall 000d __imp_DecodePointer 001e _NMSG_WRITE 002a _set_abort_behavior 0033 abort"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 02 FF D0 B9 19 00 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 33 C9 E8 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_1_0 {
	meta:
		name = "_set_purecall_handler"
		size = 59
		refs = "0010 __pPurecall 0016 __imp_DecodePointer 0022 __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_251_5_0 {
	meta:
		name = "?__set_inconsistency@@YAP6AXXZP6AXXZ@Z"
		size = 59
		refs = "0010 ?__pInconsistency@@3P6AXXZEA 0016 __imp_DecodePointer 0022 __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_228_2_0 {
	meta:
		name = "_set_invalid_parameter_handler"
		size = 59
		refs = "0010 __pInvalidArgHandler 0016 __imp_DecodePointer 0022 __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "_chsize_nolock"
		size = 408
		refs = "002b _lseeki64_nolock 005c __imp_GetProcessHeap 0071 __imp_HeapAlloc 007e _errno 00b6 _setmode_nolock 00cd _write_nolock 00e3 __doserrno 0115 __imp_HeapFree 0137 _get_osfhandle 0140 __imp_SetEndOfFile 016a __imp_GetLastError"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 57 48 83 EC 20 48 8B EA 33 FF 33 D2 44 8D 47 01 8B F1 E8 ?? ?? ?? ?? 4C 8B E8 48 83 F8 FF 74 50 44 8D 47 02 33 D2 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 74 3D 48 8B DD 48 2B D8 48 85 DB 0F 8E C1 00 00 00 FF 15 ?? ?? ?? ?? 41 BF 00 10 00 00 8D 57 08 48 8B C8 45 8B C7 FF 15 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5D 41 5C C3 BA 00 80 00 00 8B CE E8 ?? ?? ?? ?? 44 8B E0 44 8B C3 49 3B DF 48 8B D5 45 0F 4D C7 8B CE E8 ?? ?? ?? ?? 83 F8 FF 74 0C 48 98 48 2B D8 48 85 DB 7E 1B EB DB E8 ?? ?? ?? ?? 83 38 05 75 0B E8 ?? ?? ?? ?? C7 00 0D 00 00 00 48 83 CF FF 41 8B D4 8B CE E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B C5 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? EB 55 79 5D 45 33 C0 48 8B D5 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 54 FF FF FF 8B CE E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? F7 D8 48 1B FF 48 F7 DF 48 FF CF 48 83 FF FF 75 25 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 89 03 48 83 FF FF 0F 84 0E FF FF FF 45 33 C0 49 8B D5 8B CE E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 F7 FE FF FF 33 C0 E9 F7 FE FF FF }
	condition:
		$1
}

rule file_44_1_0 {
	meta:
		name = "_chsize_s"
		size = 239
		refs = "0023 __doserrno 003c _nhandle 004f __pioinfo 007e _errno 008c __lock_fhandle 00a3 _chsize_nolock 00ba _unlock_fhandle 00d5 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 20 89 4C 24 08 57 41 54 41 55 48 83 EC 20 48 8B DA 48 63 F9 83 FF FE 75 10 E8 ?? ?? ?? ?? 83 20 00 8D 47 0B E9 A9 00 00 00 85 C9 0F 88 86 00 00 00 3B 3D ?? ?? ?? ?? 73 7E 48 8B F7 4C 8B E7 49 C1 FC 05 4C 8D 2D ?? ?? ?? ?? 83 E6 1F 48 6B F6 58 4B 8B 44 E5 00 0F BE 4C 30 08 83 E1 01 74 57 33 C0 48 85 D2 0F 99 C0 85 C0 75 14 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 16 00 00 00 EB 49 8B CF E8 ?? ?? ?? ?? 90 4B 8B 44 E5 00 F6 44 30 08 01 74 0E 48 8B D3 8B CF E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 09 00 00 00 89 18 8B CF E8 ?? ?? ?? ?? EB 19 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 09 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 48 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_44_2_0 {
	meta:
		name = "_chsize_s$fin$0"
		size = 25
		refs = "000d _unlock_fhandle"
		altNames = "_close$fin$0 _commit$fin$0 _dup$fin$0 _eof$fin$0 _setmode$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 40 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_44_3_0 {
	meta:
		name = "_chsize"
		size = 21
		refs = "0008 _chsize_s"
	strings:
		$1 = { 48 83 EC 28 48 63 D2 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_45_0_0 {
	meta:
		name = "scaleDouble_1"
		size = 33
	strings:
		$1 = { 66 0F 28 C8 48 63 C2 48 05 FF 03 00 00 48 C1 E0 34 48 89 44 24 08 F2 0F 10 44 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_45_2_0 {
	meta:
		name = "valf_with_flags"
		size = 35
		refs = "0012 _controlfp_s"
	strings:
		$1 = { 48 83 EC 38 44 8B C2 33 C9 0F 29 74 24 20 0F 28 F0 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_45_3_0 {
	meta:
		name = "splitexp"
		size = 302
		refs = "0008 __real@3fe0000000000000 002f __real@0000000000000000 004c __ImageBase 0063 ?two_to_jby32_trail_table@?1??splitexp@@9@9 006c ?two_to_jby32_lead_table@?1??splitexp@@9@9 00d4 __real@3f56c1728d739765 00dc __real@3f811115b7aa905e 00e8 __real@3fa5555555545d4e 00f4 __real@3fc5555555548f7c"
	strings:
		$1 = { 48 83 EC 38 F2 0F 10 2D ?? ?? ?? ?? 0F 29 74 24 20 0F 29 7C 24 10 66 0F 28 E0 66 0F 28 F9 66 0F 28 F0 44 0F 29 04 24 F2 0F 59 E2 66 0F 2F 25 ?? ?? ?? ?? 66 44 0F 28 C3 76 06 F2 0F 58 E5 EB 04 F2 0F 5C E5 F2 44 0F 2C C4 48 8D 15 ?? ?? ?? ?? 41 8B C8 66 41 0F 6E C0 83 E1 1F 48 63 C1 F2 0F 10 A4 C2 ?? ?? ?? ?? F2 0F 10 9C C2 ?? ?? ?? ?? 41 8B C0 2B C1 48 8B 4C 24 68 99 83 E2 1F F3 0F E6 C0 03 C2 C1 F8 05 41 F7 D8 89 01 48 8B 44 24 70 F2 41 0F 59 C0 44 0F 28 04 24 F2 0F 5C F0 F2 0F 59 F1 66 41 0F 6E C8 F2 0F 11 18 48 8B 44 24 78 F3 0F E6 C9 F2 0F 59 4C 24 60 F2 0F 59 CF 0F 28 7C 24 10 66 0F 28 C1 F2 0F 58 C6 66 0F 28 D0 F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 59 C0 F2 0F 58 D5 F2 0F 59 D0 66 0F 28 C4 F2 0F 58 C3 F2 0F 58 D1 F2 0F 58 D6 0F 28 74 24 20 F2 0F 59 D0 F2 0F 58 D4 F2 0F 11 10 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_45_4_0 {
	meta:
		name = "sinhf"
		size = 732
		refs = "0054 _controlfp_s 0089 ??_C@_05PJDDOCIG@sinhf?$AA@ 00b0 _handle_errorf 00d2 __mask@@NegDouble@ 00da ?max_sinh_arg@?1??sinhf@@9@9 0130 ?small_threshold@?1??sinhf@@9@9 013e ?log2_by_32_tail@?1??sinhf@@9@9 0146 ?log2_by_32_lead@?1??sinhf@@9@9 014e ?thirtytwo_by_log2@?1??sinhf@@9@9 0184 __real@3ff0000000000000 0189 splitexp 01db __ImageBase 01fb __real@3d6b4125921ea08b 0207 __real@3de611cb2bdcb7be 0213 __real@3e5ae6460fbe61c0 021f __real@3ec71de3a4e13e7d 022b __real@3f2a01a01a01ee80 0237 __real@3f811111111110fd 0243 __real@3fc5555555555555 0253 __real@3da9984b7f63fcd7 0260 ?cosh_lead@?1??sinhf@@9@9 0268 __real@3e21ee56385b7b20 0274 __real@3e927e5069f1cb55 0280 __real@3efa01a019079011 028c __real@3f56c16c16c212e5 0298 __real@3fa5555555555502 02a4 __real@3fe0000000000000 02b9 ?sinh_lead@?1??sinhf@@9@9"
	strings:
		$1 = { 48 83 EC 68 0F 29 74 24 50 48 BA FF FF FF FF FF FF FF 7F 0F 28 F0 0F 14 F6 0F 5A E6 F2 0F 11 64 24 78 48 8B 4C 24 78 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 10 3F 48 3B C2 73 1E 48 85 C0 75 08 0F 28 C6 E9 89 02 00 00 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? EB E7 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 56 76 4E 0F 57 C0 C7 44 24 40 01 00 00 00 F3 0F 11 74 24 78 44 8B 44 24 78 BA 1F 00 00 00 48 8D 0D ?? ?? ?? ?? F3 0F 11 44 24 38 F3 0F 11 74 24 30 49 0F BA E8 16 C7 44 24 28 21 00 00 00 83 64 24 20 00 44 8D 4A E2 E8 ?? ?? ?? ?? E9 19 02 00 00 F3 0F 58 F6 EB 82 45 33 D2 48 3B C1 41 0F 95 C2 4D 85 D2 74 08 66 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 4C 0F 57 C0 C7 44 24 40 01 00 00 00 BA 1F 00 00 00 F3 0F 11 44 24 38 F3 0F 11 74 24 30 C7 44 24 28 22 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 20 01 00 00 00 44 8D 4A E4 4D 85 D2 74 08 41 B8 00 00 80 FF EB 8B 41 B8 00 00 80 7F EB 83 66 0F 2F 25 ?? ?? ?? ?? 0F 82 93 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 84 24 88 00 00 00 48 89 44 24 38 48 8D 84 24 80 00 00 00 48 89 44 24 30 48 8D 44 24 70 66 0F 28 C4 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 4C 24 70 41 FF C9 49 63 C1 44 89 4C 24 70 48 05 FF 03 00 00 48 C1 E0 34 48 89 44 24 78 F2 0F 10 44 24 78 F2 0F 10 94 24 80 00 00 00 F2 0F 58 94 24 88 00 00 00 F2 0F 59 D0 E9 F4 00 00 00 F2 0F 2C C4 66 0F 6E C0 48 63 C8 48 8D 05 ?? ?? ?? ?? F3 0F E6 C0 F2 0F 5C E0 66 0F 28 CC F2 0F 59 CC 66 0F 28 D1 66 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 66 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D4 F2 0F 59 94 C8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 84 C8 ?? ?? ?? ?? F2 0F 58 D0 4D 85 D2 74 08 66 0F 57 15 ?? ?? ?? ?? F2 0F 5A C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_46_2_0 {
	meta:
		name = "idtab"
		size = 150
		refs = "0007 __idpairs 000e __idtabsiz 0063 _recalloc_crt"
	strings:
		$1 = { 48 83 EC 28 4C 8B 15 ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? 45 8B C8 49 8B D2 49 C1 E1 04 4D 03 CA 4D 3B D1 73 0E 48 39 0A 74 09 48 83 C2 10 49 3B D1 72 F2 49 3B D1 73 05 48 8B C2 EB 55 48 85 C9 75 4E 41 8D 40 01 41 3B C0 72 45 8B D0 48 B8 FF FF FF FF FF FF FF 0F 48 3B D0 73 34 44 8D 41 10 49 8B CA E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 20 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B C1 48 C1 E0 04 49 03 C3 FF C1 89 0D ?? ?? ?? ?? EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_46_3_0 {
	meta:
		name = "_popen"
		size = 1644
		refs = "003f _errno 004a _invalid_parameter_noinfo 00c8 _pipe 0104 _mtinitlocknum 0111 _close 0129 _lock 0138 __imp_GetCurrentProcess 014e __pioinfo 0182 __imp_DuplicateHandle 01ac _fdopen 01c7 idtab 01da ??_C@_07CFPBBAOO@COMSPEC?$AA@ 01e6 _dupenv_s 0204 _invoke_watson 0219 ??_C@_07INNMNHPJ@cmd?4exe?$AA@ 0230 memset 028a strlen 029f ??_C@_04NPFIMJFF@?5?1c?5?$AA@ 02b4 _calloc_crt 02ce strcpy_s 02e8 strcat_s 0323 _access_s 0368 __imp_CreateProcessA 0391 free 03b6 ??_C@_04HBHDLLBA@PATH?$AA@ 0408 _getpath 0440 _mbsrchr 044c ??_C@_01KICIPPFI@?2?$AA@ 0589 __imp_CloseHandle 060b fclose 0652 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 48 08 53 56 57 41 54 41 55 41 56 41 57 48 81 EC 20 01 00 00 4C 8B E1 33 FF 44 8B F7 48 89 7C 24 60 66 89 78 18 40 88 78 1A 89 7C 24 58 8B C7 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 04 06 00 00 8B C7 48 85 D2 0F 95 C0 85 C0 74 DD B1 20 BE 01 00 00 00 38 0A 75 05 48 03 D6 EB F7 8A 02 3C 77 74 04 3C 72 75 C3 88 84 24 70 01 00 00 48 03 D6 38 0A 74 F9 8A 02 84 C0 74 08 3C 74 74 04 3C 62 75 A7 88 84 24 71 01 00 00 3C 74 75 08 41 B8 00 40 00 00 EB 0E 44 8B C7 B9 00 80 00 00 3C 62 44 0F 44 C1 41 0F BA E8 07 BA 00 04 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 81 05 00 00 80 BC 24 70 01 00 00 77 75 0A 8B DF 44 8B EF 44 8B FE EB 08 8B DE 44 8B EE 44 8B FF 44 89 7C 24 68 44 89 AC 24 78 01 00 00 B9 09 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 17 8B 4C 24 50 E8 ?? ?? ?? ?? 8B 4C 24 54 E8 ?? ?? ?? ?? E9 2B FF FF FF B9 09 00 00 00 E8 ?? ?? ?? ?? 90 89 74 24 74 89 74 24 70 FF 15 ?? ?? ?? ?? 49 63 FD 48 63 4C BC 50 48 8B D1 48 C1 FA 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 14 D0 C7 44 24 30 02 00 00 00 89 74 24 28 83 64 24 20 00 4C 8D 8C 24 80 00 00 00 4C 8B C0 48 8B 14 0A 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 97 04 00 00 8B 4C BC 50 E8 ?? ?? ?? ?? 83 64 BC 70 00 49 63 C7 48 8D 94 24 70 01 00 00 8B 4C 84 50 E8 ?? ?? ?? ?? 4C 8B F0 48 89 84 24 88 00 00 00 48 85 C0 0F 84 61 04 00 00 33 C9 E8 ?? ?? ?? ?? 4C 8B F8 48 85 C0 0F 84 30 04 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 75 15 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 85 C0 75 0A 4C 8B 6C 24 60 4D 85 ED 75 07 4C 8D 2D ?? ?? ?? ?? BF 68 00 00 00 44 8B C7 33 D2 48 8D 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 89 BC 24 B0 00 00 00 C7 84 24 EC 00 00 00 00 01 00 00 48 8B 84 24 80 00 00 00 48 8B 0D ?? ?? ?? ?? 85 DB 48 8B D0 74 03 48 8B 11 48 89 94 24 00 01 00 00 3B DE 74 04 48 8B 41 58 48 89 84 24 08 01 00 00 48 8B 81 B0 00 00 00 48 89 84 24 10 01 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 49 8B CC E8 ?? ?? ?? ?? 48 03 D8 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 5C 18 01 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 3B 03 00 00 4D 8B C5 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 10 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 E1 02 00 00 4C 8B 84 24 60 01 00 00 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 B1 02 00 00 E8 ?? ?? ?? ?? 8B 18 89 9C 24 60 01 00 00 33 D2 49 8B CD E8 ?? ?? ?? ?? 85 C0 75 48 48 8D 84 24 98 00 00 00 48 89 44 24 48 48 8D 84 24 B0 00 00 00 48 89 44 24 40 48 83 64 24 38 00 48 83 64 24 30 00 83 64 24 28 00 89 74 24 20 45 33 C9 45 33 C0 49 8B D4 49 8B CD FF 15 ?? ?? ?? ?? 8B F0 E9 FA 01 00 00 48 83 64 24 78 00 48 8B D6 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 25 33 C9 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 8B 4C 24 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 E9 4C 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 78 E8 ?? ?? ?? ?? 85 C0 74 2D 83 F8 16 75 15 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 85 C0 74 0F 48 8B 4C 24 78 E8 ?? ?? ?? ?? 48 8B CF EB 99 48 8B 4C 24 78 33 DB 41 B8 03 01 00 00 48 8B D7 E8 ?? ?? ?? ?? 48 89 84 24 90 00 00 00 48 85 C0 0F 84 33 01 00 00 38 1F 0F 84 2B 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 5C 38 FF 80 3B 5C 75 3F BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B D8 74 5F 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 47 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 80 3B 2F 74 2D 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 15 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 8B CF E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 84 00 00 00 4D 8B C5 8B D0 48 8B CF E8 ?? ?? ?? ?? 33 DB 85 C0 75 5D 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 42 48 8D 84 24 98 00 00 00 48 89 44 24 48 48 8D 84 24 B0 00 00 00 48 89 44 24 40 48 89 5C 24 38 48 89 5C 24 30 89 5C 24 28 89 74 24 20 45 33 C9 45 33 C0 49 8B D4 48 8B CF FF 15 ?? ?? ?? ?? 8B F0 EB 25 48 8B 8C 24 90 00 00 00 E9 C2 FE FF FF 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 8B 74 24 58 48 8B 4C 24 78 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 8B 9C 24 60 01 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B 8C 24 80 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 8C 24 A0 00 00 00 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 85 F6 74 14 48 8B 84 24 98 00 00 00 49 89 47 08 4D 89 37 E9 92 00 00 00 49 83 27 00 EB 3F 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 44 8B AC 24 78 01 00 00 49 8B CE E8 ?? ?? ?? ?? 4C 63 7C 24 68 42 83 64 BC 70 00 45 33 F6 4C 89 B4 24 88 00 00 00 49 63 C5 83 7C 84 70 00 74 09 8B 4C 84 50 E8 ?? ?? ?? ?? 49 63 C7 83 7C 84 70 00 74 0A 8B 4C 84 50 E8 ?? ?? ?? ?? 90 B9 09 00 00 00 E8 ?? ?? ?? ?? 49 8B C6 48 81 C4 20 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_46_4_0 {
	meta:
		name = "_popen$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_wpopen$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 50 48 8B EA B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 50 5D C3 CC }
	condition:
		$1
}

rule file_46_5_0 {
	meta:
		name = "_pclose"
		size = 220
		refs = "0023 _errno 002e _invalid_parameter_noinfo 003f _mtinitlocknum 004d _lock 0056 idtab 0073 fclose 0096 _cwait 00c3 _unlock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 83 CB FF 33 D2 48 85 C9 0F 95 C2 85 D2 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C3 E9 93 00 00 00 B9 09 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 EB B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 4E 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 83 20 00 41 B8 01 00 00 00 48 8B 57 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 3B C3 75 0A E8 ?? ?? ?? ?? 83 38 04 75 04 8B 5C 24 30 E8 ?? ?? ?? ?? 89 30 48 83 27 00 48 83 67 08 00 B9 09 00 00 00 E8 ?? ?? ?? ?? E9 66 FF FF FF 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_6_0 {
	meta:
		name = "_pclose$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 09 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_48_3_0 {
	meta:
		name = "??_GUMSSchedulingContext@details@Concurrency@@QEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7UMSSchedulingContext@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_31_1 {
	meta:
		name = "??_G?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_28_1 {
	meta:
		name = "??_G?$ISource@_K@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ISource@_K@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_29_1 {
	meta:
		name = "??_G?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_27_1 {
	meta:
		name = "??_G?$ITarget@_K@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$ITarget@_K@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_833_26_0 {
	meta:
		name = "??_G?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_833_34_0 {
	meta:
		name = "??_G?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_83_2 {
	meta:
		name = "??_G?$_Impl_base1@XAEB_K@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XAEB_K@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_103_1 {
	meta:
		name = "??_G?$_Impl_base1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_104_2 {
	meta:
		name = "??_G?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_82_1 {
	meta:
		name = "??_G?$_Impl_base1@_NAEBW4agent_status@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_393_2 {
	meta:
		name = "??_G?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_408_2 {
	meta:
		name = "??_G?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XAEB_K@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_423_2 {
	meta:
		name = "??_G?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_441_2 {
	meta:
		name = "??_G?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_463_2 {
	meta:
		name = "??_G?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_483_2 {
	meta:
		name = "??_G?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_76_0 {
	meta:
		name = "??_G?$_Ref_count@V__ExceptionPtr@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_79_0 {
	meta:
		name = "??_G?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_70_212_1 {
	meta:
		name = "??_G?$codecvt@DDH@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_123_1 {
	meta:
		name = "??_G?$codecvt@GDH@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_71_220_1 {
	meta:
		name = "??_G?$codecvt@_WDH@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_76_2 {
	meta:
		name = "??_G?$collate@D@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_316_1 {
	meta:
		name = "??_G?$collate@G@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_227_2 {
	meta:
		name = "??_G?$collate@_W@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_16_64_2 {
	meta:
		name = "??_G?$message@W4agent_status@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@ 0019 ?Free@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_65_1 {
	meta:
		name = "??_G?$message@_K@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7?$message@_K@Concurrency@@6B@ 0019 ?Free@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_101_1 {
	meta:
		name = "??_G?$messages@D@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_315_2 {
	meta:
		name = "??_G?$messages@G@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_250_1 {
	meta:
		name = "??_G?$messages@_W@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_105_2 {
	meta:
		name = "??_G?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_318_2 {
	meta:
		name = "??_G?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_253_1 {
	meta:
		name = "??_G?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_133_2 {
	meta:
		name = "??_G?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_342_1 {
	meta:
		name = "??_G?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_262_1 {
	meta:
		name = "??_G?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_5_79_2 {
	meta:
		name = "??_G?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_283_1 {
	meta:
		name = "??_G?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_200_1 {
	meta:
		name = "??_G?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_5_106_2 {
	meta:
		name = "??_G?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_305_1 {
	meta:
		name = "??_G?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_227_1 {
	meta:
		name = "??_G?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_595_55_0 {
	meta:
		name = "??_GExecutionResource@details@Concurrency@@QEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7ExecutionResource@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_833_53_0 {
	meta:
		name = "??_GFreeThreadProxyFactory@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_833_5_0 {
	meta:
		name = "??_GIThreadProxyFactory@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_167_0 {
	meta:
		name = "??_GRealizedChore@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Chore@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_14_0 {
	meta:
		name = "??_GScheduler@Concurrency@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7Scheduler@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_833_85_0 {
	meta:
		name = "??_GUMSFreeThreadProxyFactory@details@Concurrency@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7IThreadProxyFactory@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_17_0 {
	meta:
		name = "??_G_Chore@details@Concurrency@@MEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Chore@details@Concurrency@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_63_45_2 {
	meta:
		name = "??_G_Generic_error_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_36_56_1 {
	meta:
		name = "??_G_Iostream_error_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_16_0 {
	meta:
		name = "??_G_Ref_count_base@tr1@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7_Ref_count_base@tr1@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_63_47_2 {
	meta:
		name = "??_G_System_error_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_52_184_1 {
	meta:
		name = "??_Gcodecvt_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_62_27_2 {
	meta:
		name = "??_Gctype_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_63_3_2 {
	meta:
		name = "??_Gerror_category@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7error_category@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_73_10_2 {
	meta:
		name = "??_Gfacet@locale@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_73_1 {
	meta:
		name = "??_Gmessages_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_161_1 {
	meta:
		name = "??_Gmoney_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_57_1 {
	meta:
		name = "??_Gtime_base@std@@UEAAPEAXI@Z"
		size = 38
		refs = "0009 ??_7facet@locale@std@@6B@ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_48_4_0 {
	meta:
		name = "?Initialize@UMSThreadVirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 142
		refs = "001d ?Initialize@VirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z 0046 ??_7UMSSchedulingContext@details@Concurrency@@6B@ 004e ??3@YAXPEAX@Z 0058 ??2@YAPEAX_K@Z 0070 ??0UMSSchedulingContext@details@Concurrency@@QEAA@PEAVUMSThreadScheduler@12@PEAVUMSThreadVirtualProcessor@12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B F9 E8 ?? ?? ?? ?? 33 DB 48 89 9F 18 01 00 00 89 9F 08 01 00 00 48 8B 47 70 48 8B 30 48 8B 8F 10 01 00 00 48 85 C9 74 0F 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? B9 28 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 11 4C 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 89 9F 10 01 00 00 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_48_6_0 {
	meta:
		name = "?StartupWorkerContext@UMSThreadVirtualProcessor@details@Concurrency@@UEAAXPEAVScheduleGroupBase@23@@Z"
		size = 51
		refs = "002f ?Activate@VirtualProcessor@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 48 8B C2 48 8B 91 B0 00 00 00 4C 8B C1 48 85 D2 75 1C 49 8B 90 10 01 00 00 48 89 81 20 01 00 00 48 8B 89 88 00 00 00 48 8B 01 48 FF 60 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_48_7_0 {
	meta:
		name = "?Affinitize@UMSThreadVirtualProcessor@details@Concurrency@@MEAAXPEAVInternalContextBase@23@@Z"
		size = 19
		refs = "0006 ?Affinitize@VirtualProcessor@details@Concurrency@@MEAAXPEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 85 D2 74 05 E9 ?? ?? ?? ?? 48 83 A1 B0 00 00 00 00 C3 }
	condition:
		$1
}

rule file_48_8_0 {
	meta:
		name = "?AttemptWake@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
		size = 39
		refs = "000a ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ 001d ?Activate@VirtualProcessor@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 84 C0 74 0F 48 8B 93 B0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_48_9_0 {
	meta:
		name = "?MakeAvailableFromSchedulingContext@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
		size = 19
		refs = "000f ?MakeAvailable@VirtualProcessor@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B 81 10 01 00 00 48 89 81 B0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_48_10_0 {
	meta:
		name = "?IsWaitingForReservedContext@UMSThreadVirtualProcessor@details@Concurrency@@QEAA_NXZ"
		size = 18
	strings:
		$1 = { 48 8B 91 10 01 00 00 48 39 91 B0 00 00 00 0F 94 C0 C3 }
	condition:
		$1
}

rule file_48_11_0 {
	meta:
		name = "?ToInternalContext@UMSThreadVirtualProcessor@details@Concurrency@@MEAAPEAVInternalContextBase@23@PEAUIExecutionContext@3@@Z"
		size = 17
	strings:
		$1 = { 33 C0 48 3B 91 10 01 00 00 48 0F 44 D0 48 8B C2 C3 }
	condition:
		$1
}

rule file_48_12_0 {
	meta:
		name = "?PreRunnableSearch@UMSThreadVirtualProcessor@details@Concurrency@@UEAAPEAVInternalContextBase@23@XZ"
		size = 26
		refs = "000f ?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B D1 48 8B 49 70 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_48_13_0 {
	meta:
		name = "??0UMSThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
		size = 96
		refs = "0027 ??0VirtualProcessor@details@Concurrency@@QEAA@XZ 002f ??_7UMSThreadVirtualProcessor@details@Concurrency@@6B@ 0048 ?Initialize@UMSThreadVirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 48 83 A6 10 01 00 00 00 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_48_16_0 {
	meta:
		name = "??1UMSThreadVirtualProcessor@details@Concurrency@@UEAA@XZ"
		size = 59
		refs = "0009 ??_7UMSThreadVirtualProcessor@details@Concurrency@@6B@ 0022 ??_7UMSSchedulingContext@details@Concurrency@@6B@ 002a ??3@YAXPEAX@Z 0037 ??1VirtualProcessor@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 89 10 01 00 00 48 85 C9 74 0F 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_48_17_0 {
	meta:
		name = "?CriticalNotify@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
		size = 16
		refs = "000c ?AttemptWake@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { B8 01 00 00 00 87 81 08 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_49_3_0 {
	meta:
		name = "_mbccpy_s_l"
		size = 308
		refs = "003c _errno 0048 _invalid_parameter_noinfo 006e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 007b _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F1 49 8B D8 48 8B EA 48 8B F9 4D 85 C0 74 04 41 83 20 00 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C9 75 2B 44 88 09 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 48 8B 54 24 70 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F B6 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 80 7E 01 00 75 31 C6 07 00 48 85 DB 74 06 C7 03 01 00 00 00 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C2 EB 90 48 83 FD 02 73 30 C6 07 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7C 24 38 00 0F 84 69 FF FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 58 FF FF FF 8A 06 88 07 8A 46 01 88 47 01 48 85 DB 74 17 C7 03 02 00 00 00 EB 0F 8A 06 88 07 48 85 DB 74 06 C7 03 01 00 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 E9 1A FF FF FF }
	condition:
		$1
}

rule file_50_0_0 {
	meta:
		name = "_logf_special_common"
		size = 271
		refs = "00fe _handle_errorf"
	strings:
		$1 = { 48 83 EC 78 41 FF C8 0F 29 74 24 60 41 8B D1 0F 28 F1 0F 28 D0 0F 84 9D 00 00 00 41 FF C8 74 6B 41 FF C8 0F 85 D9 00 00 00 48 83 64 24 50 00 0F 57 C0 48 8B 8C 24 A0 00 00 00 41 8D 40 01 F3 0F 11 94 24 88 00 00 00 F7 84 24 88 00 00 00 00 00 40 00 F3 0F 11 74 24 50 4C 8B 44 24 50 89 44 24 40 44 8B C8 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 75 0A C7 44 24 20 08 00 00 00 EB 79 83 64 24 20 00 EB 72 0F 57 C0 B8 01 00 00 00 89 44 24 40 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 44 8B C8 EB 2C 0F 57 C0 B8 01 00 00 00 89 44 24 40 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 44 8D 48 01 48 83 64 24 50 00 48 8B 8C 24 A0 00 00 00 F3 0F 11 74 24 50 4C 8B 44 24 50 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 60 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_50_1_0 {
	meta:
		name = "_logf_special"
		size = 32
		refs = "0007 ??_C@_04HIGFGEHP@logf?$AA@ 0017 _logf_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1A 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_4_0 {
	meta:
		name = "_log_special"
		size = 32
		refs = "0007 ??_C@_03MGHMBJCF@log?$AA@ 0017 _log_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1A 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_2_0 {
	meta:
		name = "_log10f_special"
		size = 32
		refs = "0007 ??_C@_06KDGOKGLH@log10f?$AA@ 0017 _logf_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1B 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_5_0 {
	meta:
		name = "_log10_special"
		size = 32
		refs = "0007 ??_C@_05HGHHAHAP@log10?$AA@ 0017 _log_special_common"
	strings:
		$1 = { 48 83 EC 38 48 8D 05 ?? ?? ?? ?? 41 B9 1B 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_50_3_0 {
	meta:
		name = "_log_special_common"
		size = 207
		refs = "00bd _handle_error"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 41 FF C8 0F 29 70 E8 41 8B D1 66 0F 28 F1 66 0F 28 D0 74 60 41 FF C8 74 31 41 FF C8 0F 85 98 00 00 00 66 0F 57 C0 C7 40 D8 01 00 00 00 F2 0F 11 40 D0 F2 0F 11 50 C8 C7 40 C0 21 00 00 00 44 21 40 B8 41 B9 01 00 00 00 EB 58 66 0F 57 C0 C7 44 24 40 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB CE 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 02 00 00 00 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 48 8B 8C 24 90 00 00 00 F2 0F 11 4C 24 78 4C 8B 44 24 78 E8 ?? ?? ?? ?? 66 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_53_0_0 {
	meta:
		name = "__initconout"
		size = 59
		refs = "0018 ??_C@_1BA@BALFACEM@?$AAC?$AAO?$AAN?$AAO?$AAU?$AAT?$AA$?$AA?$AA@ 002b __imp_CreateFileW 0032 _confh"
	strings:
		$1 = { 48 83 EC 48 48 83 64 24 30 00 83 64 24 28 00 41 B8 03 00 00 00 48 8D 0D ?? ?? ?? ?? 45 33 C9 BA 00 00 00 40 44 89 44 24 20 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_53_1_0 {
	meta:
		name = "__termconout"
		size = 34
		refs = "0007 _confh 0019 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 74 0C 48 83 F9 FE 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_460_1_0 {
	meta:
		name = "__termconin"
		size = 34
		refs = "0007 _coninpfh 0019 __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 74 0C 48 83 F9 FE 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_54_0_0 {
	meta:
		name = "_fstat32"
		size = 935
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f4 __imp_GetFileType 0115 __imp_GetLastError 011c _dosmaperr 0180 __imp_PeekNamedPipe 01ae __imp_GetFileInformationByHandle 01f2 __imp_FileTimeToLocalFileTime 020a __imp_FileTimeToSystemTime 0246 __loctotime32_t 0358 _unlock_fhandle 0373 _invalid_parameter_noinfo 0386 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 98 00 00 00 48 8B FA 48 63 F1 89 74 24 4C 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 17 03 00 00 33 D2 44 8D 42 24 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 F2 02 00 00 85 F6 0F 88 D3 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 C7 02 00 00 4C 8B E6 4C 8B EE 49 C1 FD 05 4C 8D 3D ?? ?? ?? ?? 41 83 E4 1F 4D 6B E4 58 4B 8B 04 EF 42 0F BE 4C 20 08 41 BE 01 00 00 00 41 23 CE 0F 84 95 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 0C EF 46 84 74 21 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 64 02 00 00 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C6 0F 84 8F 00 00 00 83 F8 02 74 20 83 F8 03 74 16 85 C0 74 CB FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 2D 02 00 00 83 F8 02 75 07 B9 00 20 00 00 EB 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 66 44 89 77 08 66 89 5F 04 89 5F 0A 48 89 5F 1C 89 5F 18 83 F8 02 75 08 89 5F 14 E9 F6 01 00 00 4B 8B 0C EF 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 21 FF 15 ?? ?? ?? ?? F7 D8 1B C9 23 4C 24 48 89 4F 14 E9 C1 01 00 00 89 5F 0A 89 5F 04 66 44 89 77 08 4B 8B 0C EF 48 8D 54 24 60 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 85 C0 0F 84 59 FF FF FF 0F B7 47 06 44 84 74 24 60 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 74 75 0B 39 5C 24 78 75 05 89 5F 1C EB 67 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 54 01 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 3C 01 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 1C 39 5C 24 6C 75 0B 39 5C 24 70 75 05 8B 47 1C EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 DC 00 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 C4 00 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 18 39 5C 24 64 75 0B 39 5C 24 68 75 05 8B 47 1C EB 5C 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 74 68 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 54 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 20 8B 84 24 84 00 00 00 89 47 14 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 98 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_54_1_0 {
	meta:
		name = "_fstat32$fin$0"
		size = 25
		refs = "000d _unlock_fhandle"
		altNames = "_fstat32i64$fin$0 _fstat64$fin$0 _fstat64i32$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 8B 4D 4C E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "modff"
		size = 144
	strings:
		$1 = { 0F 28 C8 F3 0F 11 4C 24 08 44 8B 44 24 08 41 8B C0 C1 E8 17 0F B6 C8 83 E9 7F 79 1A 41 81 E0 00 00 00 80 44 89 44 24 08 F3 0F 10 44 24 08 F3 0F 11 02 0F 28 C1 C3 41 B9 17 00 00 00 41 3B C9 7D 24 44 2B C9 B8 01 00 00 00 41 8A C9 D3 E0 FF C8 F7 D0 41 23 C0 89 44 24 08 F3 0F 10 44 24 08 F3 0F 5C C8 EB C9 41 8B C0 F3 0F 11 0A 0F BA F0 1F 3D 00 00 80 7F 76 06 F3 0F 58 C9 EB B5 41 81 E0 00 00 00 80 44 89 44 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_56_2_0 {
	meta:
		name = "atanf"
		size = 593
		refs = "001a __mask@@NegDouble@ 0073 __real@3fddac670561bb4f 0083 __real@4000000000000000 008b __real@3ff0000000000000 00b7 __real@3fe921fb54442d18 00f3 __real@3fef730bd281f69b 00ff __real@3ff8000000000000 014f ??_C@_05HDLDHOMB@atanf?$AA@ 0176 _handle_errorf 0183 __real@43d3200000000000 0192 ?piby2@?1??atanf@@9@9 01b6 _controlfp_s 01c6 __real@bff0000000000000 01ce __real@3ff921fb54442d18 01f2 __real@3f73476a758da22a 01fa __real@3fd327e3df2cf2aa 0206 __real@3fc89e173a81ee7f 020e __real@3ff1c58793da6ea4 021e __real@3fd2fa5316907834 0226 __real@3fec777ca21053f0"
	strings:
		$1 = { 48 83 EC 68 48 BA FF FF FF FF FF FF FF 7F 0F 28 C8 0F 29 74 24 50 F2 0F 10 35 ?? ?? ?? ?? 0F 14 C9 0F 5A E1 F2 0F 11 64 24 78 48 8B 4C 24 78 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 00 80 48 23 CA 74 04 66 0F 57 E6 48 BA 00 00 00 00 00 00 DC 3F 48 3B C2 73 09 66 0F 57 ED E9 7A 01 00 00 48 BA 00 00 00 00 00 00 E6 3F 48 3B C2 73 35 F2 0F 10 2D ?? ?? ?? ?? 66 0F 28 D4 66 0F 28 C4 F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 66 0F 28 E2 F2 0F 5E E0 E9 36 01 00 00 48 BA 00 00 00 00 00 00 F3 3F 48 3B C2 73 2D F2 0F 10 2D ?? ?? ?? ?? 66 0F 28 D4 66 0F 28 CC F2 0F 5C 15 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 66 0F 28 E2 F2 0F 5E E1 E9 FA 00 00 00 48 BA 00 00 00 00 00 80 03 40 48 3B C2 73 35 F2 0F 10 2D ?? ?? ?? ?? 66 0F 28 D4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? 66 0F 28 CC F2 0F 58 0D ?? ?? ?? ?? 66 0F 28 E2 F2 0F 5E E1 E9 B6 00 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 4C 0F 57 C0 41 B9 01 00 00 00 F3 0F 11 4C 24 70 44 8B 44 24 70 44 89 4C 24 40 48 8D 0D ?? ?? ?? ?? F3 0F 11 44 24 38 F3 0F 11 4C 24 30 41 8D 51 0E 49 0F BA E8 16 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? E9 C8 00 00 00 66 0F 2F 25 ?? ?? ?? ?? 76 39 48 85 C9 74 12 F2 0F 10 05 ?? ?? ?? ?? 66 0F 57 C6 F2 0F 5A F0 EB 0B F2 0F 5A 05 ?? ?? ?? ?? 0F 28 F0 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 0F 28 C6 E9 85 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 5E C4 66 0F 28 E0 66 0F 28 D4 F2 0F 59 D4 66 0F 28 DA 66 0F 28 CA 66 0F 28 C2 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5E D9 F2 0F 5C DC F2 0F 5C EB 48 85 C9 74 04 66 0F 57 EE F2 0F 5A C5 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_58_0_0 {
	meta:
		name = "_freea"
		size = 31
		refs = "0016 free"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_59_0_0 {
	meta:
		name = "cos"
		size = 1165
		refs = "0075 L__real_3ff0000000000000 0094 L__real_3fe0000000000000 00bc Lcosarray 0104 L__real_bfe0000000000000 0160 L__real_411E848000000000 0172 L__real_3fe45f306dc9c883 0195 L__real_3ff921fb54400000 01a1 L__real_3dd0b4611a626331 01c5 L__real_3dd0b4611a600000 01d2 L__real_3ba3198a2e037073 0241 L__real_3fc5555555555555 02bd __remainder_piby2 0309 Lsinarray 0481 _cos_special"
	strings:
		$1 = { 48 81 EC F8 00 00 00 66 0F 57 D2 F2 0F 11 04 24 48 8B 14 24 48 B8 00 00 00 00 00 00 F0 7F 4C 8B D0 4C 23 D2 4C 3B D0 0F 84 53 04 00 00 49 BA FF FF FF FF FF FF FF 7F 4C 23 D2 41 B8 01 00 00 00 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 0F 8F FD 00 00 00 48 B8 00 00 00 00 00 00 20 3F 4C 3B D0 7D 4E 48 B8 00 00 00 00 00 00 40 3E 4C 3B D0 7D 0F F2 0F 10 05 ?? ?? ?? ?? E9 F2 03 00 00 66 90 F2 0F 10 D0 F2 0F 59 D2 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 CF 03 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 E2 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 C4 F2 0F 59 EA F2 0F 59 C4 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 E0 F2 0F 59 E5 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 CB F2 0F 10 DA F2 0F 58 D0 F2 0F 5C C2 F2 0F 58 C3 F2 0F 58 CC F2 0F 58 C1 F2 0F 58 C2 E9 27 03 00 00 0F 1F 80 00 00 00 00 49 3B D2 74 08 F2 0F 5C D0 F2 0F 10 C2 4C 3B 15 ?? ?? ?? ?? 0F 83 36 01 00 00 F2 0F 10 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 D3 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 F2 0F 10 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? F2 0F 11 04 24 F2 0F 10 2D ?? ?? ?? ?? 48 8B 0C 24 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 F2 0F 10 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 F2 0F 10 C4 F2 0F 10 CD F2 0F 5C C5 F2 0F 5C E0 F2 0F 5C E1 48 81 F9 F2 03 00 00 0F 8D C9 00 00 00 48 81 F9 DE 03 00 00 7E 50 F2 0F 10 D0 F2 0F 59 D2 44 23 C0 74 23 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 DA F2 0F 5C C3 E9 FA 01 00 00 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 D7 01 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 85 C7 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 BA 01 00 00 66 66 0F 1F 84 00 00 00 00 00 4C 8D 8C 24 C0 00 00 00 4C 8D 84 24 B0 00 00 00 48 8D 94 24 A0 00 00 00 48 83 EC 20 E8 ?? ?? ?? ?? 48 83 C4 20 41 B8 01 00 00 00 F2 0F 10 84 24 A0 00 00 00 F2 0F 10 A4 24 B0 00 00 00 8B 84 24 C0 00 00 00 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 D8 F2 0F 10 D0 F2 0F 59 D0 44 23 C0 0F 84 9B 00 00 00 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 10 2D ?? ?? ?? ?? F2 0F 11 24 24 F2 0F 10 CA F2 0F 59 CA F2 0F 11 44 24 10 F2 0F 59 EA F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 59 E2 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 04 24 F2 0F 59 D9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 DD F2 0F 59 E3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 58 44 24 10 E9 BC 00 00 00 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 59 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA F2 0F 10 DA F2 0F 11 24 24 F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 10 E2 F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 5C EC F2 0F 59 CB F2 0F 58 C1 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 5C 2C 24 F2 0F 59 C2 F2 0F 58 C5 F2 0F 5C C4 66 66 0F 1F 84 00 00 00 00 00 83 C0 01 83 E0 02 74 18 F2 0F 10 D0 66 0F 57 C0 F2 0F 5C C2 66 66 66 66 0F 1F 84 00 00 00 00 00 48 81 C4 F8 00 00 00 C3 0F 1F 84 00 00 00 00 00 E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 C3 }
	condition:
		$1
}

rule file_60_3_0 {
	meta:
		name = "__check_float_string"
		size = 150
		refs = "002b _calloc_crt 0050 memcpy 006c _recalloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F1 49 8B F8 48 8B DA 48 3B 0A 75 64 4D 39 08 75 3D 48 8B 0B BA 02 00 00 00 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 04 33 C0 EB 4B 48 8B 44 24 50 48 8B D6 C7 00 01 00 00 00 4C 8B 03 48 8B 0F E8 ?? ?? ?? ?? 4C 8B 1B 4D 03 DB 4C 89 1B EB 22 48 8B 12 48 8B 0F 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 C2 48 89 07 48 8B 0B 48 03 C9 48 89 0B B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_60_5_0 {
	meta:
		name = "_hextodec"
		size = 38
		refs = "000d isdigit"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BE D9 0F B6 C9 E8 ?? ?? ?? ?? 8B CB 83 E1 DF 83 E9 07 85 C0 0F 45 CB 8B C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_60_7_0 {
	meta:
		name = "_un_inc"
		size = 19
		refs = "000a _ungetch_nolock"
	strings:
		$1 = { 48 83 EC 28 83 F9 FF 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_7_0 {
	meta:
		name = "_un_inc"
		size = 19
		refs = "000a _ungetc_nolock"
	strings:
		$1 = { 48 83 EC 28 83 F9 FF 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_60_8_0 {
	meta:
		name = "_whiteout"
		size = 52
		refs = "0010 _getche_nolock 001f isspace"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 FF 07 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 0C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E6 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_60_9_0 {
	meta:
		name = "_cprinput_s_l"
		size = 4104
		refs = "0022 __security_cookie 006b _errno 0076 _invalid_parameter_noinfo 0087 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b6 isspace 00ca _getche_nolock 00e4 _ungetch_nolock 015b isdigit 04de __check_float_string 0735 _cfltcvt_tab 073e __imp_DecodePointer 0815 memset 0b21 isleadbyte 0b5e _mbtowc_l 0cab isxdigit 0f0b free 0fe9 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 80 FE FF FF 48 81 EC 80 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 70 01 00 00 45 33 FF 4C 8D 6D 10 4C 89 45 B0 48 8B F1 48 89 4C 24 60 48 C7 45 A0 5E 01 00 00 4C 89 6C 24 70 44 89 7C 24 78 66 44 89 7C 24 7C 44 89 7C 24 3C 44 89 7C 24 48 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 5C 0F 00 00 48 8D 4D C8 E8 ?? ?? ?? ?? 8A 06 41 8B DF 44 88 7C 24 41 45 8B F7 44 89 7C 24 34 89 5C 24 68 84 C0 0F 84 22 0F 00 00 41 83 CC FF 45 8D 6C 24 02 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 3E 45 2B F5 45 03 F5 44 89 74 24 34 E8 ?? ?? ?? ?? 8B D8 41 3B C4 74 13 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E0 8B CB E8 ?? ?? ?? ?? 49 03 F5 0F B6 0E E8 ?? ?? ?? ?? 85 C0 75 F1 E9 82 0D 00 00 80 3E 25 0F 85 90 0D 00 00 80 7E 01 25 0F 84 76 0D 00 00 33 C0 44 89 7C 24 5C 44 88 7D 80 8D 48 01 44 89 7C 24 54 41 8B FF 45 8B EF 4C 89 7D C0 44 88 7C 24 50 44 88 7C 24 40 44 88 7C 24 30 41 8A F7 44 89 7D A8 4C 8B 7C 24 60 88 4C 24 38 44 8A E0 44 8B F0 4C 03 F9 41 0F B6 1F 8B CB E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 15 43 8D 44 AD 00 41 8D 49 01 44 8D 6C 43 D0 03 F9 E9 9B 00 00 00 83 FB 2A 0F 84 06 01 00 00 83 FB 46 0F 84 84 00 00 00 83 FB 49 74 56 83 FB 4C 74 46 83 FB 4E 74 75 B9 01 00 00 00 83 FB 68 74 2B 83 FB 6C 74 0A 83 FB 77 74 1C E9 D0 00 00 00 41 80 7F 01 6C 75 0C 49 FF C7 44 03 F1 4C 89 4D 88 EB 4E 00 4C 24 38 44 02 E1 EB 45 83 CA FF 00 54 24 38 44 02 E2 EB 3C B9 01 00 00 00 00 4C 24 38 EB 2E 41 8A 47 01 3C 36 75 12 41 80 7F 02 34 75 0B 49 83 C7 02 B9 01 00 00 00 EB BD 3C 33 75 5F 41 80 7F 02 32 75 58 49 83 C7 02 B9 01 00 00 00 83 CA FF 44 8A 44 24 30 40 84 F6 0F 84 2A FF FF FF 89 7C 24 58 8B 7C 24 3C 44 89 74 24 4C 44 8A 75 80 4C 89 7C 24 60 44 8B 7D A8 44 89 6C 24 44 45 84 C0 75 59 48 8B 45 B0 48 89 45 B8 48 83 C0 08 48 89 45 B0 48 8B 40 F8 48 89 45 90 EB 43 3C 64 74 92 3C 69 74 8E 3C 6F 74 8A 3C 78 74 86 3C 58 74 82 B9 01 00 00 00 4C 89 4D 88 44 03 F1 40 02 F1 EB 8C 44 8A 44 24 30 B9 01 00 00 00 44 02 C1 83 CA FF 44 88 44 24 30 E9 7A FF FF FF 4C 89 4D 90 4C 8B 54 24 60 41 8A D9 45 84 E4 75 12 41 80 3A 53 74 09 41 80 3A 43 44 8A E2 75 03 44 8A E1 45 0F B6 2A 41 83 CD 20 41 83 FD 6E 74 6A 41 83 FD 63 74 37 41 83 FD 7B 74 31 8B 74 24 34 03 F1 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 FF 74 11 0F B6 C8 E8 ?? ?? ?? ?? B9 01 00 00 00 85 C0 75 DD 44 8B 7D A8 89 74 24 34 EB 15 8B 44 24 34 03 C1 89 44 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 CA FF 3B FA 0F 84 C4 0B 00 00 4C 8B 54 24 60 44 8A 44 24 30 45 33 C9 8B 4C 24 58 8B 44 24 44 85 C9 74 08 85 C0 0F 84 98 0B 00 00 45 84 C0 0F 85 C8 00 00 00 41 83 FD 63 74 10 41 83 FD 73 74 0A 41 83 FD 7B 0F 85 B2 00 00 00 4C 8B 4D B8 49 8B 09 49 83 C1 08 41 8B 31 4D 8B D9 4C 89 4D B8 49 83 C1 08 48 89 4D 90 4C 89 4D B0 41 B9 01 00 00 00 49 3B F1 0F 82 A1 0B 00 00 8B 4C 24 58 45 33 C9 41 83 FD 6F 0F 8F CA 03 00 00 0F 84 96 08 00 00 41 83 FD 63 0F 84 93 03 00 00 41 83 FD 64 0F 84 82 08 00 00 0F 8E D8 03 00 00 41 83 FD 67 7E 75 41 83 FD 69 74 52 41 83 FD 6E 0F 85 C2 03 00 00 44 8B 74 24 34 45 33 FF 41 8B C6 45 8D 6F 01 45 84 C0 75 1E 44 8B 74 24 4C 48 8B 4D 90 45 85 F6 0F 84 40 0A 00 00 48 8B 45 88 48 89 01 44 8B 74 24 34 41 83 CC FF E9 4D 0A 00 00 48 8B 75 C0 4C 8B 5D B8 E9 78 FF FF FF 41 BD 64 00 00 00 41 BE 01 00 00 00 83 FF 2D 0F 85 B7 04 00 00 45 8A FE E9 B9 04 00 00 45 33 FF 41 8B DF 45 8D 6F 01 83 FF 2D 75 0D 48 8B 44 24 70 41 8B DD 40 88 38 EB 05 83 FF 2B 75 20 44 8B 64 24 44 44 8B 74 24 34 45 2B E5 45 03 F5 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 CA FF EB 0A 44 8B 64 24 44 44 8B 74 24 34 44 39 7C 24 58 40 0F B6 CF 44 0F 44 E2 EB 53 41 8B C4 45 2B E5 85 C0 74 52 48 8B 44 24 70 44 01 6C 24 54 4C 8D 4D 10 40 88 3C 03 48 8D 44 24 78 49 03 DD 4C 8D 44 24 70 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 75 0A 00 00 45 03 F5 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A4 48 8B 45 C8 48 8B 88 28 01 00 00 48 8B 01 40 8A 30 40 3A F7 0F 85 B1 00 00 00 41 8B C4 45 2B E5 85 C0 0F 84 A3 00 00 00 45 03 F5 E8 ?? ?? ?? ?? 4C 8D 4D 10 8B F8 89 44 24 3C 48 8B 44 24 70 40 88 34 03 48 8D 44 24 78 49 03 DD 4C 8D 44 24 70 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 F2 09 00 00 40 0F B6 CF EB 53 41 8B C4 45 2B E5 85 C0 74 52 48 8B 44 24 70 44 01 6C 24 54 4C 8D 4D 10 40 88 3C 03 48 8D 44 24 78 49 03 DD 4C 8D 44 24 70 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 AA 09 00 00 45 03 F5 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A4 8B 74 24 54 85 F6 0F 84 19 01 00 00 83 FF 65 74 09 83 FF 45 0F 85 0B 01 00 00 41 8B C4 45 2B E5 85 C0 0F 84 FD 00 00 00 48 8B 44 24 70 4C 8D 4D 10 4C 8D 44 24 70 C6 04 03 65 48 8D 44 24 78 49 03 DD 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 35 09 00 00 45 03 F5 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 2D 75 35 48 8B 44 24 70 4C 8D 4D 10 4C 8D 44 24 70 40 88 3C 03 48 8D 44 24 78 49 03 DD 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 EF 08 00 00 EB 05 83 F8 2B 75 1D 41 8B C4 45 2B E5 85 C0 75 05 45 8B E7 EB 0E 45 03 F5 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 40 0F B6 CF EB 51 41 8B C4 45 2B E5 85 C0 74 50 48 8B 44 24 70 4C 8D 4D 10 4C 8D 44 24 70 40 88 3C 03 48 8D 44 24 78 49 03 DD 48 8D 55 A0 48 8B CB 41 03 F5 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 85 08 00 00 45 03 F5 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A6 45 2B F5 41 83 CC FF 44 89 74 24 34 41 3B FC 74 07 8B CF E8 ?? ?? ?? ?? 85 F6 0F 84 4B 08 00 00 44 38 7C 24 30 0F 85 52 07 00 00 48 8B 74 24 70 44 01 6C 24 68 44 88 3C 33 0F BE 5C 24 38 48 8B 0D ?? ?? ?? ?? 41 2B DD FF 15 ?? ?? ?? ?? 48 8B 55 90 4C 8D 4D C8 4C 8B C6 8B CB FF D0 E9 1B 07 00 00 41 BB 01 00 00 00 85 C9 75 0C 41 03 C3 44 89 5C 24 58 89 44 24 44 45 84 E4 0F 8E E0 02 00 00 45 8A FB E9 D8 02 00 00 41 83 FD 70 0F 84 B1 04 00 00 41 83 FD 73 0F 84 B3 02 00 00 41 83 FD 75 0F 84 B4 04 00 00 41 83 FD 78 0F 84 92 FC FF FF 41 83 FD 7B 74 35 41 0F B6 02 3B C7 0F 85 AD 07 00 00 00 54 24 41 44 8B 74 24 34 45 33 FF 41 83 CC FF 45 8D 6F 01 45 84 C0 0F 85 9D 06 00 00 4D 8B C3 4C 89 5D B0 E9 91 06 00 00 45 84 E4 B8 01 00 00 00 45 0F B6 FF 44 0F 4F F8 4C 03 D0 41 80 3A 5E 4C 89 54 24 60 75 0C 49 FF C2 88 54 24 50 4C 89 54 24 60 33 D2 48 8D 4D E8 44 8D 42 20 E8 ?? ?? ?? ?? 4C 8B 54 24 60 B3 5D 41 BB 01 00 00 00 41 38 1A 75 0A 44 8A F3 4D 03 D3 C6 45 F3 20 45 33 C9 41 8A 02 3A C3 0F 84 A4 00 00 00 4D 03 D3 3C 2D 75 7B 45 84 F6 74 76 41 8A 0A 3A CB 74 6F 4D 03 D3 4C 89 54 24 60 44 3A F1 73 05 44 8A C9 EB 06 45 8A CE 44 8A F1 45 3A F1 73 2C 45 0F B6 D6 41 0F B6 CE 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 F3 D2 E2 4D 03 D3 42 08 54 05 E8 45 3A F1 72 DD 4C 8B 54 24 60 41 0F B6 C1 45 0F B6 C1 41 8B D3 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 E8 45 33 C9 45 8A F1 E9 73 FF FF FF 44 0F B6 C0 44 8A F0 0F B6 C0 83 E0 07 41 8B D3 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 E8 E9 51 FF FF FF 45 38 0A 0F 84 06 06 00 00 4C 89 54 24 60 83 CA FF E9 58 01 00 00 44 8A 7C 24 40 83 FF 2B 75 10 41 2B C6 89 44 24 44 75 61 85 C9 74 5D 41 8A DE 8B 74 24 34 83 FF 30 0F 85 81 00 00 00 41 03 F6 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 3C 78 0F 84 CB 00 00 00 3C 58 0F 84 C3 00 00 00 44 89 74 24 54 41 83 FD 78 74 38 44 8B 64 24 44 33 C0 39 44 24 58 74 08 45 2B E6 75 03 41 02 DE 41 BD 6F 00 00 00 E9 C9 00 00 00 8B 74 24 34 41 03 F6 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C EB 92 41 2B F6 89 74 24 34 83 F8 FF 74 07 8B C8 E8 ?? ?? ?? ?? BF 30 00 00 00 89 7C 24 3C 44 8B 74 24 4C 44 8B 64 24 44 45 85 F6 0F 84 88 03 00 00 48 8B 75 88 84 DB 0F 85 67 03 00 00 8B 5C 24 34 41 83 FD 78 0F 84 D2 02 00 00 41 83 FD 70 0F 84 C8 02 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 28 03 00 00 41 83 FD 6F 0F 85 A4 02 00 00 83 FF 38 0F 8D 15 03 00 00 48 C1 E6 03 E9 CF 02 00 00 41 03 F6 89 74 24 34 E8 ?? ?? ?? ?? 44 8B 64 24 44 8B F8 89 44 24 3C 33 C0 39 44 24 58 74 0C 41 83 EC 02 45 3B E6 7D 03 41 02 DE 41 BD 78 00 00 00 44 8B 74 24 4C E9 6B FF FF FF 45 0F B6 FF 45 84 E4 41 BB 01 00 00 00 45 0F 4F FB 8B 4C 24 34 48 8B 5D 90 41 2B CB 89 4C 24 34 3B FA 74 11 8B CF E8 ?? ?? ?? ?? 8B 4C 24 34 41 BB 01 00 00 00 41 83 FD 63 74 03 49 2B F3 44 8B 64 24 44 44 8A 74 24 50 33 D2 39 54 24 58 74 0E 41 8B C4 45 2B E3 85 C0 0F 84 80 01 00 00 41 03 CB 89 4C 24 34 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 3C 41 83 FD 63 74 43 41 83 FD 73 75 13 83 FF 09 7C 09 83 FF 0D 0F 8E E6 00 00 00 83 FF 20 75 2A 41 83 FD 7B 0F 85 D7 00 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 E8 41 0F BE C6 33 C8 0F A3 D1 0F 83 B7 00 00 00 33 D2 38 54 24 30 0F 85 99 00 00 00 48 85 F6 0F 84 67 04 00 00 45 84 FF 74 72 40 0F B6 CF 40 88 7D 98 E8 ?? ?? ?? ?? 85 C0 74 12 8B 44 24 34 FF C0 89 44 24 34 E8 ?? ?? ?? ?? 88 45 99 B8 3F 00 00 00 4C 8D 4D C8 48 8D 55 98 66 89 44 24 7C 48 8B 45 C8 48 8D 4C 24 7C 4C 63 80 0C 01 00 00 E8 ?? ?? ?? ?? 48 8B 45 90 44 0F B7 5C 24 7C 8B 4C 24 34 66 44 89 18 48 83 C0 02 41 BB 01 00 00 00 48 89 45 90 49 2B F3 E9 02 FF FF FF 48 8B 45 90 41 BB 01 00 00 00 40 88 38 49 03 C3 49 2B F3 48 89 45 90 EB 09 41 BB 01 00 00 00 49 03 DB 8B 4C 24 34 E9 D9 FE FF FF 44 8B 74 24 34 41 BB 01 00 00 00 41 83 CC FF 45 2B F3 44 89 74 24 34 41 3B FC 74 0C 8B CF E8 ?? ?? ?? ?? 45 8D 5C 24 02 33 D2 48 8B 45 90 48 3B D8 0F 84 0A 03 00 00 38 54 24 30 0F 85 72 02 00 00 8B 5C 24 68 41 03 DB 89 5C 24 68 41 83 FD 63 0F 84 5D 02 00 00 41 BD 01 00 00 00 45 84 FF 74 17 45 33 FF 66 44 89 38 E9 4F 02 00 00 44 8B 74 24 34 41 83 CC FF EB B2 45 33 FF 44 88 38 E9 39 02 00 00 44 8B 74 24 4C BA 01 00 00 00 4C 89 4D 88 44 03 F2 88 54 24 38 EB 0A 44 8B 74 24 4C BA 01 00 00 00 83 FF 2D 75 05 44 8A FA EB 0E 44 8A 7C 24 40 83 FF 2B 0F 85 39 FD FF FF 2B C2 89 44 24 44 75 0E 85 C9 74 0A 8A DA 44 8B E0 E9 28 FD FF FF 01 54 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 0F FD FF FF 48 8D 34 B6 48 03 F6 EB 34 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 62 48 C1 65 88 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 48 8B 75 88 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C 8D 47 D0 BA 01 00 00 00 01 54 24 54 48 63 C8 33 C0 48 03 F1 48 89 75 88 39 44 24 58 74 05 44 2B E2 74 30 8B 5C 24 34 03 DA 89 5C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 B3 FC FF FF FF CB 89 5C 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 48 8B 75 88 45 84 FF 0F 84 E4 00 00 00 48 F7 DE 48 89 75 88 E9 D8 00 00 00 8B 74 24 5C 84 DB 0F 85 C1 00 00 00 8B 5C 24 34 41 83 FD 78 74 2F 41 83 FD 70 74 29 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 8A 00 00 00 41 83 FD 6F 75 0A 83 FF 38 7D 7F C1 E6 03 EB 42 8D 04 B6 8D 34 00 EB 3A 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 63 8B 44 24 5C 8B CE 40 0F BE DF C1 E0 04 89 44 24 5C E8 ?? ?? ?? ?? 8B 74 24 5C 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C B9 01 00 00 00 8D 74 3E D0 33 C0 01 4C 24 54 89 74 24 5C 39 44 24 58 74 05 44 2B E1 74 30 8B 5C 24 34 03 D9 89 5C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 59 FF FF FF FF CB 89 5C 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 8B 74 24 5C 45 84 FF 74 06 F7 DE 89 74 24 5C 8B 44 24 54 41 83 FD 46 41 BF 00 00 00 00 41 0F 44 C7 85 C0 0F 84 2D 01 00 00 45 8D 6F 01 44 38 7C 24 30 0F 85 D5 F5 FF FF 44 01 6C 24 68 8B 44 24 5C E9 B3 F5 FF FF 44 8B 74 24 34 41 83 CC FF 44 38 7C 24 38 74 04 89 01 EB 0E 66 89 01 EB 09 41 BD 01 00 00 00 45 33 FF 48 8B 74 24 60 44 00 6C 24 41 49 03 F5 48 89 74 24 60 EB 5B 80 3E 25 75 0B 48 8D 46 01 80 38 25 48 0F 44 F0 45 03 F5 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 06 49 03 F5 48 89 74 24 60 3B C7 0F 85 F7 00 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 18 E8 ?? ?? ?? ?? 0F B6 0E 49 03 F5 48 89 74 24 60 3B C8 0F 85 C6 00 00 00 8A 06 84 C0 74 13 E9 C7 F1 FF FF 3B FA 74 07 8B CF E8 ?? ?? ?? ?? 45 33 FF 44 8B 6C 24 48 83 7C 24 78 01 75 0A 48 8B 4C 24 70 E8 ?? ?? ?? ?? 41 83 FD 01 0F 85 AE 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 7D E0 74 0B 48 8B 4D D8 83 A1 C8 00 00 00 FD 8B 44 24 68 E9 9B 00 00 00 45 33 FF 45 84 E4 7E 06 66 44 89 39 EB 03 44 88 39 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 45 8B EF EB 9A 3B FA 74 07 8B CF E8 ?? ?? ?? ?? 41 BD 01 00 00 00 45 33 FF EB 84 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 44 8B E8 45 84 FF 74 0C 45 33 FF 66 44 89 3B E9 63 FF FF FF 45 33 FF 44 88 3B E9 58 FF FF FF 41 3B C4 74 07 8B C8 E8 ?? ?? ?? ?? 41 3B FC 0F 84 3E FF FF FF 8B CF E8 ?? ?? ?? ?? E9 32 FF FF FF 8B 5C 24 68 44 38 7D E0 74 0B 48 8B 45 D8 83 A0 C8 00 00 00 FD 8B C3 48 8B 8D 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 02 00 00 48 81 C4 80 02 00 00 41 5F 41 5E }
	condition:
		$1
}

rule file_61_4_0 {
	meta:
		name = "??0bad_alloc@std@@QEAA@XZ"
		size = 56
		refs = "0009 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBDH@Z 0028 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 41 B8 01 00 00 00 48 89 44 24 30 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_6_0 {
	meta:
		name = "??_Gbad_alloc@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7bad_alloc@std@@6B@ 001a ??1exception@std@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_70_57_1 {
	meta:
		name = "??_G?$basic_ios@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_87_51_2 {
	meta:
		name = "??_G?$basic_ios@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_59_1 {
	meta:
		name = "??_G?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_46_0 {
	meta:
		name = "??_GFreeThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7FreeThreadProxy@details@Concurrency@@6B@ 001a ??1ThreadProxy@details@Concurrency@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_792_40_0 {
	meta:
		name = "??_GThreadScheduler@details@Concurrency@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ThreadScheduler@details@Concurrency@@6B@ 001a ??1SchedulerBase@details@Concurrency@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_336_6_0 {
	meta:
		name = "??_GThreadVirtualProcessor@details@Concurrency@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ThreadVirtualProcessor@details@Concurrency@@6B@ 001a ??1VirtualProcessor@details@Concurrency@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_384_33_0 {
	meta:
		name = "??_GUMSThreadScheduler@details@Concurrency@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7UMSThreadScheduler@details@Concurrency@@6B@ 001a ??1SchedulerBase@details@Concurrency@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_125_20_0 {
	meta:
		name = "??_G__non_rtti_object@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_125_16_0 {
	meta:
		name = "??_Gbad_cast@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_866_2_0 {
	meta:
		name = "??_Gbad_exception@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7bad_exception@std@@6B@ 001a ??1exception@std@@UEAA@XZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_125_18_0 {
	meta:
		name = "??_Gbad_typeid@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_125_14_0 {
	meta:
		name = "??_Gexception@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7exception@std@@6B@ 001a ?_Tidy@exception@std@@AEAAXXZ 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_25_46_1 {
	meta:
		name = "??_Gios_base@std@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7ios_base@std@@6B@ 001a ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_652_2_0 {
	meta:
		name = "??_Gtype_info@@UEAAPEAXI@Z"
		size = 57
		refs = "000d ??_7type_info@@6B@ 001a ?_Type_info_dtor@type_info@@CAXPEAV1@@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_8_0 {
	meta:
		name = "??1_MallocaHolder@details@Concurrency@@QEAA@XZ"
		size = 34
		refs = "0019 free"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 11 48 83 E9 10 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_61_9_0 {
	meta:
		name = "??0_TaskCollectionBase@details@Concurrency@@QEAA@XZ"
		size = 27
	strings:
		$1 = { 81 49 08 FF FF FF 0F 83 61 18 00 48 83 61 20 00 C7 41 1C 00 00 00 80 48 8B C1 C3 }
	condition:
		$1
}

rule file_61_17_0 {
	meta:
		name = "?GetWorkQueue@ContextBase@details@Concurrency@@QEAAPEAVWorkQueue@23@XZ"
		size = 31
		refs = "0011 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 40 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 48 8B 43 40 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_457_150_0 {
	meta:
		name = "?GetStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAPEAVWorkQueue@23@XZ"
		size = 31
		refs = "0011 ?CreateStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 40 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 48 8B 43 40 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_18_0 {
	meta:
		name = "?GetWorkQueueIdentity@ContextBase@details@Concurrency@@QEAAIXZ"
		size = 37
		refs = "0011 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 40 00 48 8B D9 75 05 E8 ?? ?? ?? ?? 48 8B 43 40 8B 80 90 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_25_0 {
	meta:
		name = "?HasAnyCancellation@ContextBase@details@Concurrency@@QEBA_NXZ"
		size = 20
	strings:
		$1 = { 8B 91 A8 00 00 00 8B 81 A0 00 00 00 03 D0 85 D2 0F 9F C0 C3 }
	condition:
		$1
}

rule file_61_26_0 {
	meta:
		name = "?CancelEntireContext@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 18
		refs = "000e ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { B8 01 00 00 00 33 D2 87 81 A4 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_29_0 {
	meta:
		name = "?MinimumCancellationDepth@ContextBase@details@Concurrency@@QEBAHXZ"
		size = 21
	strings:
		$1 = { 8B 81 A4 00 00 00 33 D2 85 C0 75 06 8B 91 9C 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule file_61_31_0 {
	meta:
		name = "?CurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		size = 43
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0018 __imp_TlsGetValue 0022 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		altNames = "?CurrentContext@Context@Concurrency@@SAPEAV12@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_61_33_0 {
	meta:
		name = "?IncrementDequeuedTaskCounter@InternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 34
		refs = "0010 ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z"
	strings:
		$1 = { 48 8B 41 48 83 78 10 01 75 0A BA 01 00 00 00 E9 ?? ?? ?? ?? 48 8B 81 E0 00 00 00 FF 80 A4 00 00 00 C3 }
	condition:
		$1
}

rule file_61_34_0 {
	meta:
		name = "?IncrementDequeuedTaskCounter@InternalContextBase@details@Concurrency@@QEAAXI@Z"
		size = 29
		refs = "000b ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z"
	strings:
		$1 = { 48 8B 41 48 83 78 10 01 75 05 E9 ?? ?? ?? ?? 48 8B 81 E0 00 00 00 01 90 A4 00 00 00 C3 }
	condition:
		$1
}

rule file_61_39_0 {
	meta:
		name = "??0TaskStack@details@Concurrency@@QEAA@XZ"
		size = 16
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 88 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_61_44_0 {
	meta:
		name = "??1TaskStack@details@Concurrency@@QEAA@XZ"
		size = 23
		refs = "000e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_61_45_0 {
	meta:
		name = "?Push@TaskStack@details@Concurrency@@QEAA_NH@Z"
		size = 156
		refs = "004e ??_U@YAPEAX_K@Z 0064 memcpy 006f ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 39 8B EA 48 8B F1 39 79 04 7C 57 81 79 04 00 04 00 00 7C 08 C6 41 10 01 32 C0 EB 56 83 C7 08 B8 04 00 00 00 48 63 CF 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 4C 63 06 48 8B 56 08 49 C1 E0 02 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4E 08 89 3E E8 ?? ?? ?? ?? 48 89 5E 08 48 63 4E 04 48 8B 46 08 89 2C 88 FF 46 04 B0 01 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_49_0 {
	meta:
		name = "?_Schedule@_StructuredTaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 136
		refs = "001d ??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ 0024 _TI2?AVinvalid_multiple_scheduling@Concurrency@@ 002e _CxxThrowException 003a ?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 004e ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 005a ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0060 __imp_TlsGetValue 006a ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0084 ?PushStructured@ContextBase@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 83 7A 10 00 48 8B FA 48 8B D9 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 89 4A 10 48 8D 05 ?? ?? ?? ?? 48 89 42 18 FF 41 18 48 83 79 10 00 75 26 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 4B 10 48 8B D7 48 8B 5C 24 50 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_54_0 {
	meta:
		name = "?_IsCanceling@_StructuredTaskCollection@details@Concurrency@@QEAA_NXZ"
		size = 145
		refs = "0017 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0023 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0029 __imp_TlsGetValue 0033 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0077 ?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 48 39 59 10 75 26 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 47 10 48 8B 57 10 8B CB 8B 82 A4 00 00 00 85 C0 75 06 8B 8A 9C 00 00 00 48 39 5F 20 75 28 83 F9 FF 74 0D 8B 47 08 C1 E0 04 C1 F8 04 3B C8 7E 16 8B 82 A8 00 00 00 85 C0 7E 11 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 05 BB 01 00 00 00 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_55_0 {
	meta:
		name = "??_GTaskStack@details@Concurrency@@QEAAPEAXI@Z"
		size = 57
		refs = "0019 ??_V@YAXPEAX@Z 0027 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 49 08 8B FA 48 85 C9 74 05 E8 ?? ?? ?? ?? 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_57_0 {
	meta:
		name = "?_IsIndirectAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ"
		size = 29
	strings:
		$1 = { 48 39 89 90 00 00 00 74 0F 8B 81 B0 00 00 00 B9 01 00 00 00 84 C1 75 02 33 C9 8A C1 C3 }
	condition:
		$1
}

rule file_61_58_0 {
	meta:
		name = "?_HasDirectAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ"
		size = 20
	strings:
		$1 = { 48 8B 91 90 00 00 00 33 C0 48 39 82 98 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule file_61_59_0 {
	meta:
		name = "?_IsDirectAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ"
		size = 29
	strings:
		$1 = { 48 39 89 90 00 00 00 74 0F 8B 81 B0 00 00 00 B9 01 00 00 00 84 C1 74 02 33 C9 8A C1 C3 }
	condition:
		$1
}

rule file_61_60_0 {
	meta:
		name = "?_IsMarkedForAbnormalExit@_TaskCollection@details@Concurrency@@QEBA_NXZ"
		size = 16
	strings:
		$1 = { 48 8B 81 90 00 00 00 8B 48 4C 85 C9 0F 95 C0 C3 }
	condition:
		$1
}

rule file_61_61_0 {
	meta:
		name = "?_NotifyNewChore@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 52
		refs = "0022 ?wait@event@Concurrency@@QEAA_KI@Z 002a ?reset@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 B8 01 00 00 00 F0 0F C1 41 18 FF C0 83 F8 01 75 17 48 8D 59 58 83 CA FF 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_62_0 {
	meta:
		name = "?_NotifyCompletedChore@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 30
		refs = "0015 ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 83 C8 FF F0 0F C1 41 18 FF C8 75 09 48 83 C1 58 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_61_63_0 {
	meta:
		name = "?_FullAliasWait@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z"
		size = 385
		refs = "0026 __security_cookie 0087 __chkstk 00a1 malloc 00bf ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00d6 ??0exception@std@@QEAA@AEBQEBDH@Z 00dd ??_7bad_alloc@std@@6B@ 00e8 _TI2?AVbad_alloc@std@@ 00f1 _CxxThrowException 013b ?wait_for_multiple@event@Concurrency@@SA_KPEAPEAV12@_K_NI@Z 014d free 015b ?wait@event@Concurrency@@QEAA_KI@Z 0167 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 48 83 EC 50 48 8D 6C 24 20 48 C7 45 08 FE FF FF FF 48 89 5D 50 48 89 75 58 48 89 7D 60 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 28 48 8B FA 4C 8B E1 33 C0 48 85 D2 0F 84 11 01 00 00 FF C0 48 8B 92 98 00 00 00 48 85 D2 75 F2 85 C0 0F 8E FB 00 00 00 8D 70 01 4C 63 EE 4A 8D 0C ED 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 20 48 85 DB 74 24 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C3 10 48 85 DB 75 3A 48 8D 05 ?? ?? ?? ?? 48 89 45 00 41 B8 01 00 00 00 48 8D 55 00 48 8D 4D 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D 10 E8 ?? ?? ?? ?? CC 48 89 5D 00 49 8B 84 24 90 00 00 00 48 83 C0 58 48 89 03 83 FE 01 7E 1F 48 8D 4B 08 44 8D 46 FF 48 8D 47 58 48 89 01 48 83 C1 08 48 8B BF 98 00 00 00 49 FF C8 75 E9 41 83 C9 FF 41 B0 01 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4B F0 81 39 DD DD 00 00 75 13 E8 ?? ?? ?? ?? EB 0C 48 83 C1 58 83 CA FF E8 ?? ?? ?? ?? 48 8B 4D 28 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 50 48 8B 75 58 48 8B 7D 60 48 8D 65 30 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_61_67_0 {
	meta:
		name = "?_SweepAbortedChore@_TaskCollection@details@Concurrency@@CA_NPEAV_UnrealizedChore@23@PEAX@Z"
		size = 47
		refs = "000e ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0023 ?set@event@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 10 FF 42 08 E8 ?? ?? ?? ?? 83 C9 FF F0 0F C1 4B 18 FF C9 75 09 48 8D 4B 58 E8 ?? ?? ?? ?? B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_68_0 {
	meta:
		name = "?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 43
		refs = "0011 ?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 90 00 00 00 E8 ?? ?? ?? ?? 4C 8B 9B 90 00 00 00 F0 41 81 4B 4C 00 00 00 80 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_70_0 {
	meta:
		name = "?_SetCancelState@_TaskCollection@details@Concurrency@@AEAA_NJ_N@Z"
		size = 46
	strings:
		$1 = { 8B 41 4C 4C 8B D1 45 32 C9 45 3A C1 74 07 A9 FF FF FF 7F 75 15 8B C8 81 E1 00 00 00 80 0B CA F0 41 0F B1 4A 4C 75 E2 41 B1 01 41 8A C1 C3 }
	condition:
		$1
}

rule file_61_81_0 {
	meta:
		name = "?Lookup@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@AEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@H@Z"
		size = 36
		altNames = "?Lookup@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@AEAAPEAUListNode@123@AEBQEAXH@Z"
	strings:
		$1 = { 48 8B 41 08 4D 63 C0 4A 8B 04 C0 48 85 C0 74 11 48 8B 0A 48 39 48 08 74 0A 48 8B 00 48 85 C0 75 F2 33 C0 C3 }
	condition:
		$1
}

rule file_61_83_0 {
	meta:
		name = "??0ListNode@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@AEBQEAV_TaskCollection@23@0@Z"
		size = 22
		altNames = "??0ListNode@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@AEBQEAXAEBQEAVExternalContextBase@23@@Z"
	strings:
		$1 = { 48 83 21 00 48 8B 02 48 89 41 08 49 8B 00 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_61_85_0 {
	meta:
		name = "?Remove@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@AEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@H@Z"
		size = 72
		altNames = "?Remove@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@AEAAPEAUListNode@123@AEBQEAXH@Z"
	strings:
		$1 = { 4C 8B 59 08 4D 63 D0 33 C0 4F 8B 04 D3 4C 8B C9 4D 85 C0 74 14 48 8B 0A 49 39 48 08 74 0E 49 8B C0 4D 8B 00 4D 85 C0 75 EF 33 C0 C3 48 85 C0 75 09 49 8B 00 4B 89 04 D3 EB 06 49 8B 08 48 89 08 41 FF 49 04 49 8B C0 C3 }
	condition:
		$1
}

rule file_61_86_0 {
	meta:
		name = "?Randomize@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@CAII@Z"
		size = 19
	strings:
		$1 = { 8B D1 48 69 D2 19 95 F1 7F 48 8B C2 48 C1 E8 20 03 C2 C3 }
	condition:
		$1
}

rule file_61_90_0 {
	meta:
		name = "?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ"
		size = 133
		refs = "0012 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 001e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0024 __imp_TlsGetValue 002e ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 003a ?_MarkCancellation@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ 005b ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 006f ?_FinishCancelState@_TaskCollectionBase@details@Concurrency@@IEAAX_K@Z 007b ?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 10 00 48 8B D9 75 26 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 10 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 3D 48 8B 4B 10 F0 FF 81 A8 00 00 00 8B 53 08 C1 E2 04 C1 FA 04 85 D2 78 0C E8 ?? ?? ?? ?? BA 03 00 00 00 EB 05 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 10 48 8B D3 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_92_0 {
	meta:
		name = "?_ReleaseAlias@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 55
		refs = "0025 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 002d ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 81 B0 00 00 00 48 8B D9 EB 0F 8B D0 83 CA 02 F0 0F B1 91 B0 00 00 00 74 11 A8 02 74 ED E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_94_0 {
	meta:
		name = "?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z"
		size = 125
		refs = "0014 ?_CollectionMatchPredicate@_TaskCollection@details@Concurrency@@CA_NPEAV_UnrealizedChore@23@PEAX@Z 001b ?_SweepAbortedChore@_TaskCollection@details@Concurrency@@CA_NPEAV_UnrealizedChore@23@PEAX@Z 0028 ?SweepUnstructured@ContextBase@details@Concurrency@@QEAAXP6A_NPEAV_UnrealizedChore@23@PEAX@Z12@Z 0034 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0061 ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 48 8B C2 48 89 4C 24 20 48 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 44 24 20 48 8B C8 E8 ?? ?? ?? ?? 83 7C 24 28 00 76 45 E8 ?? ?? ?? ?? 80 78 70 00 74 10 48 8B 88 D0 00 00 00 8B 44 24 28 01 41 24 EB 2A 48 8D 48 F0 48 8B 41 48 83 78 10 01 75 0B 8B 54 24 28 E8 ?? ?? ?? ?? EB 11 48 8B 89 E0 00 00 00 8B 44 24 28 01 81 A4 00 00 00 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_61_95_0 {
	meta:
		name = "??0?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@XZ"
		size = 31
		refs = "0012 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ"
		altNames = "??0?$SafeRWList@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@XZ ??0?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 8B D9 48 83 C1 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_96_0 {
	meta:
		name = "??0_Scoped_lock_read@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 30
		refs = "0011 ?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8D 4A 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_636_20_0 {
	meta:
		name = "??0_Scoped_lock@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 30
		refs = "0011 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8D 4A 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_45_0 {
	meta:
		name = "??0_Scoped_lock@?$SafeRWList@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 30
		refs = "0011 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 48 8D 4A 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_99_0 {
	meta:
		name = "?HashValue@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@CAIAEBQEAV_TaskCollection@23@H@Z"
		size = 59
	strings:
		$1 = { 4C 8B 09 45 33 C0 44 8B D2 41 8D 48 08 45 6B C0 21 41 0F B6 C1 49 FF C1 44 03 C0 48 FF C9 75 ED 41 8B C8 33 D2 48 69 C9 19 95 F1 7F 48 8B C1 48 C1 E8 20 03 C1 41 F7 F2 8B C2 C3 }
	condition:
		$1
}

rule file_61_101_0 {
	meta:
		name = "?_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ"
		size = 61
		refs = "0033 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 33 C0 89 41 48 89 41 4C 89 81 B4 00 00 00 48 83 C1 28 48 89 4C 24 48 74 0D 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_61_102_0 {
	meta:
		name = "?dtor$0@?0??_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 83 C2 28 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_61_103_0 {
	meta:
		name = "?_CancelStolenContexts@_TaskCollection@details@Concurrency@@AEAAX_N0@Z"
		size = 175
		refs = "0030 ?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0050 ?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z 006f ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 00ab ?_ReleaseRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 41 8A D8 48 8B F1 48 8D 69 28 48 89 6C 24 50 48 8D 4D 08 E8 ?? ?? ?? ?? 90 84 DB 75 0F 83 7E 48 00 7E 15 48 8B 7D 00 48 85 FF 75 3F 48 8B D6 48 8B 4E 10 E8 ?? ?? ?? ?? 48 8B 7D 00 48 85 FF EB 28 B8 01 00 00 00 87 47 1C 33 D2 48 8D 8F 78 FF FF FF E8 ?? ?? ?? ?? 33 D2 48 8D 8F 78 FF FF FF E8 ?? ?? ?? ?? 48 3B 7D 00 74 06 48 8B 7F 08 EB 02 33 FF 48 85 FF 75 C9 48 8D 4D 08 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_106_0 {
	meta:
		name = "?Insert@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@0@Z"
		size = 202
		refs = "0074 ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 4C 8B 1A 48 8B D9 33 C9 49 8B E8 48 8B F2 4D 8B CB 44 8D 51 08 6B C9 21 41 0F B6 C1 49 FF C1 03 C8 49 FF CA 75 EF 48 69 C9 19 95 F1 7F 33 D2 48 8B C1 48 C1 E8 20 03 C1 F7 33 48 8B 43 08 48 63 FA 48 8B 0C F8 EB 09 4C 39 59 08 74 08 48 8B 09 48 85 C9 75 F2 48 85 C9 75 45 B9 18 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 15 48 83 20 00 48 8B 06 49 89 43 08 48 8B 45 00 49 89 43 10 EB 03 45 33 DB 48 8B 4B 08 49 8B C3 48 8B 14 F9 49 89 13 48 8B 4B 08 4C 89 1C F9 FF 43 04 EB 02 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_107_0 {
	meta:
		name = "?Find@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@PEAPEAV523@@Z"
		size = 112
	strings:
		$1 = { 48 89 5C 24 08 4C 8B 12 45 33 C9 48 8B D9 49 8B D2 45 8D 59 08 45 6B C9 21 0F B6 C2 48 FF C2 44 03 C8 49 FF CB 75 EE 41 8B C9 33 D2 48 69 C9 19 95 F1 7F 48 8B C1 48 C1 E8 20 03 C1 F7 33 48 8B 43 08 48 63 CA 48 8B 04 C8 EB 09 4C 39 50 08 74 08 48 8B 00 48 85 C0 75 F2 48 85 C0 74 0C 4D 85 C0 74 07 48 8B 48 10 49 89 08 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_61_108_0 {
	meta:
		name = "?FindAndDelete@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA_NAEBQEAV_TaskCollection@23@PEAPEAV423@@Z"
		size = 151
		refs = "0070 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B 1A 45 33 C9 4C 8B D1 49 8B CB 41 8D 51 08 45 6B C9 21 0F B6 C1 48 FF C1 44 03 C8 48 FF CA 75 EE 49 8B 5A 08 41 8B C9 48 69 C9 19 95 F1 7F 48 8B C1 48 C1 E8 20 03 C1 41 F7 32 4C 63 CA 33 D2 4A 8B 0C CB EB 0C 4C 39 59 08 74 25 48 8B D1 48 8B 09 48 85 C9 75 EF 48 85 C9 74 2C 4D 85 C0 74 07 48 8B 51 10 49 89 10 E8 ?? ?? ?? ?? B0 01 EB 19 48 8B 01 48 85 D2 75 06 4A 89 04 CB EB 03 48 89 02 41 FF 4A 04 EB CF 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_109_0 {
	meta:
		name = "?AddArbitraryAlias@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollection@23@0@Z"
		size = 51
		refs = "0013 ?SweepAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 0029 ?Insert@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@0@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 8B B8 00 00 00 4C 8D 44 24 40 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_110_0 {
	meta:
		name = "?_Initialize@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 99
		refs = "0035 ?_UnderlyingYield@details@Concurrency@@YAXXZ 004b ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 BF 01 00 00 80 48 8B D9 8D 47 FF F0 0F B1 79 1C 75 10 33 C0 48 83 C1 28 74 03 48 89 01 87 43 1C EB 2C 33 C0 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 8B 41 1C 3B C7 7F 13 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 5B 1C 44 3B DF 7E ED 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_61_111_0 {
	meta:
		name = "??0_TaskCollection@details@Concurrency@@QEAA@XZ"
		size = 229
		refs = "003e ??0event@Concurrency@@QEAA@XZ 0066 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0072 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0078 __imp_TlsGetValue 0082 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0095 ?_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ 009e ?set@event@Concurrency@@QEAAXXZ 00aa ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00bc ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 81 49 08 FF FF FF 0F 83 61 18 00 C7 41 1C 00 00 00 80 48 83 61 20 00 C7 41 50 00 00 00 00 48 83 C1 58 E8 ?? ?? ?? ?? 90 48 83 A3 98 00 00 00 00 48 83 A3 A0 00 00 00 00 C7 83 B0 00 00 00 00 00 00 00 83 A3 BC 00 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 40 60 48 89 03 48 8B CB E8 ?? ?? ?? ?? 48 8D 4B 58 E8 ?? ?? ?? ?? 48 89 9B 90 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 83 78 40 00 75 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 47 40 8B 88 90 00 00 00 89 8B B8 00 00 00 81 63 08 FF FF FF 0F 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_61_112_0 {
	meta:
		name = "?dtor$0@?0???0_TaskCollection@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
		altNames = "?dtor$0@?0???0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_113_0 {
	meta:
		name = "??0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z"
		size = 338
		refs = "004d ??0event@Concurrency@@QEAA@XZ 007b ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0087 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 008d __imp_TlsGetValue 0097 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00aa ?_Initialize@_TaskCollection@details@Concurrency@@AEAAXXZ 00b3 ?set@event@Concurrency@@QEAAXXZ 010d ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 011f ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 8A E8 48 8B DA 48 8B F9 81 49 08 FF FF FF 0F 83 61 18 00 C7 41 1C 00 00 00 80 48 83 61 20 00 C7 41 50 00 00 00 00 48 83 C1 58 E8 ?? ?? ?? ?? 90 48 8B 83 90 00 00 00 48 89 87 90 00 00 00 48 83 A7 A0 00 00 00 00 C7 87 B0 00 00 00 00 00 00 00 83 A7 BC 00 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 47 10 48 8B 40 60 48 89 07 48 8B CF E8 ?? ?? ?? ?? 48 8D 4F 58 E8 ?? ?? ?? ?? 40 84 ED 74 41 48 8B 8F 90 00 00 00 48 8B 81 98 00 00 00 48 89 87 98 00 00 00 F0 48 0F B1 B9 98 00 00 00 74 30 48 8B D0 48 89 87 98 00 00 00 48 8B 8F 90 00 00 00 F0 48 0F B1 B9 98 00 00 00 48 3B C2 75 E1 EB 0F 83 8F B0 00 00 00 01 48 83 A7 98 00 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 83 78 40 00 75 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 43 40 8B 88 90 00 00 00 89 8F B8 00 00 00 81 67 08 FF FF FF 0F 48 8B C7 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_61_115_0 {
	meta:
		name = "?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z"
		size = 268
		refs = "0019 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0038 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0047 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0068 ?CollectionCancelComplete@ContextBase@details@Concurrency@@QEAA_NH@Z 00a2 ?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z 0106 ?_RethrowException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 33 F6 48 8D 2D ?? ?? ?? ?? 48 8B FA 48 89 68 D8 89 70 D0 8B 41 50 48 8B D9 83 F8 09 75 14 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 5B 50 41 83 FB 09 74 EC E8 ?? ?? ?? ?? 48 3B 43 10 75 24 8B CE 87 4B 50 83 F9 04 75 11 8B 53 08 48 8B C8 C1 E2 04 C1 FA 04 E8 ?? ?? ?? ?? 81 4B 08 FF FF FF 0F EB 0A B8 03 00 00 00 F0 0F B1 73 50 48 39 9B 90 00 00 00 74 50 8B 83 B0 00 00 00 A8 01 75 14 48 85 FF 74 0F 48 8B 8B 90 00 00 00 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 8B 87 B0 00 00 00 D1 E8 A8 01 75 0A 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 8B BF 98 00 00 00 48 85 FF 75 DE 8B C6 87 43 4C 85 C0 79 C0 89 74 24 40 48 89 6C 24 48 EB 0A 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 83 7B 20 08 74 EF 48 8B CB E8 ?? ?? ?? ?? EB 9A }
	condition:
		$1
}

rule file_61_116_0 {
	meta:
		name = "?_CancelFromArbitraryThread@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
		size = 190
		refs = "007b ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 008b ?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z 0099 ?_CancelStolenContexts@_TaskCollection@details@Concurrency@@AEAAX_N0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 8B 79 50 45 33 C0 44 8A EA 41 8D 70 04 48 8B D9 8B CF 85 FF 74 10 FF C9 74 04 3B CE 75 0E 41 B8 09 00 00 00 EB 0B 41 B8 03 00 00 00 45 85 C0 74 5C 8B C7 F0 44 0F B1 43 50 44 8B C0 74 04 8B F8 EB CE 40 32 ED 83 FF 01 74 05 83 FF 05 75 28 8B 53 08 4C 8B 63 10 40 B5 01 C1 E2 04 49 8B CC C1 FA 04 E8 ?? ?? ?? ?? 83 FF 05 75 0B 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 44 8A C5 41 8A D5 48 8B CB E8 ?? ?? ?? ?? 40 84 ED 74 03 87 73 50 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_61_117_0 {
	meta:
		name = "?_CancelDirectAliases@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z"
		size = 55
		refs = "001c ?_CancelFromArbitraryThread@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
	strings:
		$1 = { 4D 85 C0 74 31 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 40 8A FA 40 8A D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 9B 98 00 00 00 48 85 DB 75 E9 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_118_0 {
	meta:
		name = "?_Cancel@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z"
		size = 235
		refs = "0023 ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 0036 ?_SetCancelState@_TaskCollection@details@Concurrency@@AEAA_NJ_N@Z 005f ?_CancelFromArbitraryThread@_TaskCollection@details@Concurrency@@AEAAX_N@Z 008c ?_CancelStolenContexts@_TaskCollection@details@Concurrency@@AEAAX_N0@Z 009a ?_CancelDirectAliases@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z 00ca ?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z 00da ?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4D 8B E0 40 8A F2 48 8B D9 E8 ?? ?? ?? ?? 41 B0 01 BA 01 00 00 40 48 8B CB 4C 8B D8 E8 ?? ?? ?? ?? 84 C0 74 60 4D 39 9B 90 00 00 00 74 0C 41 8B 8B B0 00 00 00 41 84 C8 75 12 4C 3B DB 74 0D 40 8A D6 48 8B CB E8 ?? ?? ?? ?? EB 2B 8B 7B 50 83 FF 01 74 4C 83 FF 05 74 47 B9 03 00 00 00 33 C0 F0 0F B1 4B 50 3B C7 75 E3 41 B0 01 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 4D 8B C4 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 8B 53 08 48 8B 6B 10 C1 E2 04 48 8B CD C1 FA 04 E8 ?? ?? ?? ?? 83 FF 05 75 0B 48 8B D5 48 8B CB E8 ?? ?? ?? ?? B8 04 00 00 00 87 43 50 E9 7A FF FF FF }
	condition:
		$1
}

rule file_61_120_0 {
	meta:
		name = "?_WaitOnStolenChores@_StructuredTaskCollection@details@Concurrency@@AEAAXJ@Z"
		size = 63
		refs = "001a ?_Initialize@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0030 ?Wait@StructuredEvent@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 41 1C 8B FA 48 8B D9 3D 01 00 00 80 7F 05 E8 ?? ?? ?? ?? 8B C7 F7 D8 F0 0F C1 43 1C 2B C7 79 09 48 8D 4B 28 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_121_0 {
	meta:
		name = "?_CountUp@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 53
		refs = "0014 ?_Initialize@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 002b ?Set@StructuredEvent@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 41 1C 48 8B D9 3D 01 00 00 80 7F 05 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 1C FF C0 75 09 48 8D 4B 28 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_61_122_0 {
	meta:
		name = "?_Abort@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
		size = 453
		refs = "001f ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 006f ?_AbortiveSweep@_TaskCollection@details@Concurrency@@AEAAXPEAX@Z 00a9 ?TryPopUnstructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z 00db ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z 00f8 ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 010d ?set@event@Concurrency@@QEAAXXZ 014e ?_Cancel@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z 0159 ?_FullAliasWait@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z 01a8 ?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 48 83 EC 20 44 8A EA 48 8B D9 E8 ?? ?? ?? ?? 48 8B B3 A0 00 00 00 48 8B E8 48 39 9B 90 00 00 00 74 11 44 8B 83 B0 00 00 00 41 F6 C0 01 74 04 33 FF EB 0E 48 8B 83 90 00 00 00 48 8B B8 98 00 00 00 48 85 F6 0F 84 B3 00 00 00 80 7E 10 00 0F 84 A9 00 00 00 48 8B D5 48 8B CB E8 ?? ?? ?? ?? C6 46 10 00 E9 A2 00 00 00 48 63 83 BC 00 00 00 83 F8 02 76 10 FF 4E 04 48 8B 46 08 48 63 4E 04 8B 14 88 EB 07 8B 94 83 A4 00 00 00 FF 8B BC 00 00 00 48 8B CD E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 69 80 7D 70 00 74 0C 48 8B 8D D0 00 00 00 FF 41 24 EB 27 48 8D 4D F0 48 8B 41 48 83 78 10 01 75 0C BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 8B 81 E0 00 00 00 FF 80 A4 00 00 00 49 83 64 24 10 00 49 8B CC E8 ?? ?? ?? ?? 83 C8 FF F0 0F C1 43 18 FF C8 75 09 48 8D 4B 58 E8 ?? ?? ?? ?? 83 BB BC 00 00 00 00 0F 8F 5E FF FF FF 45 84 ED 75 1E 83 7B 18 00 7F 18 48 39 9B 90 00 00 00 74 0A 8B 83 B0 00 00 00 A8 01 74 05 48 85 FF 74 11 48 8B 8B 90 00 00 00 4C 8B C7 33 D2 E8 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 39 9B 90 00 00 00 74 0E 8B 83 B0 00 00 00 A8 01 74 04 33 C0 EB 0E 48 8B 83 90 00 00 00 48 8B 80 98 00 00 00 48 3B F8 74 05 48 8B F8 EB 92 83 A3 BC 00 00 00 00 48 85 F6 74 04 83 66 04 00 45 84 ED 75 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_61_123_0 {
	meta:
		name = "?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ"
		size = 21
		refs = "0011 ?_Cancel@_TaskCollection@details@Concurrency@@AEAAX_NPEAV123@@Z"
	strings:
		$1 = { 4C 8B 81 98 00 00 00 48 8B 89 90 00 00 00 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_124_0 {
	meta:
		name = "?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
		size = 250
		refs = "001b ?PopStructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ 004f ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z 0075 ?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ 0080 ?_WaitOnStolenChores@_StructuredTaskCollection@details@Concurrency@@AEAAXJ@Z 0090 ?_UnderlyingYield@details@Concurrency@@YAXXZ 00ad ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00e3 ?CollectionCancelComplete@ContextBase@details@Concurrency@@QEAA_NH@Z 00eb ?_RethrowException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 79 18 00 48 8B 79 10 48 8B D9 7E 54 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 47 48 83 60 10 00 80 7F 70 00 74 0C 48 8B 87 D0 00 00 00 FF 40 24 EB 27 48 8D 4F F0 48 8B 41 48 83 78 10 01 75 0C BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 8B 81 E0 00 00 00 FF 80 A4 00 00 00 FF 4B 18 83 7B 18 00 7F AC 83 7B 18 00 7E 17 48 8B CB E8 ?? ?? ?? ?? 8B 53 18 48 8B CB E8 ?? ?? ?? ?? 83 63 18 00 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 43 20 48 83 E0 FC 48 83 F8 08 75 18 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5B 20 49 83 E3 FC 49 83 FB 08 74 E8 B1 03 84 4B 20 74 07 F0 FF 8F A8 00 00 00 8A 43 20 22 C1 3A C1 75 11 8B 53 08 48 8B CF C1 E2 04 C1 FA 04 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_61_125_0 {
	meta:
		name = "?_TaskCleanup@_TaskCollection@details@Concurrency@@AEAA_N_N@Z"
		size = 166
		refs = "003d ?__uncaught_exception@@YA_NXZ 0081 ?_Abort@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 DB 40 8A EA 48 8B F9 44 8D 63 01 40 8A F3 48 39 89 90 00 00 00 74 0B 8B 81 B0 00 00 00 41 84 C4 74 49 E8 ?? ?? ?? ?? 84 C0 75 35 39 5F 18 40 0F 9F C6 48 39 BF 90 00 00 00 75 20 48 8B 87 98 00 00 00 EB 12 39 58 18 48 8B 80 98 00 00 00 40 0F B6 F6 41 0F 4F F4 48 85 C0 75 E9 40 84 F6 74 0E 40 8A D5 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 0F 94 C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_61_126_0 {
	meta:
		name = "??1_TaskCollection@details@Concurrency@@QEAA@XZ"
		size = 199
		refs = "0039 ?_TaskCleanup@_TaskCollection@details@Concurrency@@AEAA_N_N@Z 0060 ?_ReleaseAlias@_TaskCollection@details@Concurrency@@AEAAXXZ 0082 ??_V@YAXPEAX@Z 008a ??3@YAXPEAX@Z 0099 ??0missing_wait@Concurrency@@QEAA@XZ 00a0 _TI2?AVmissing_wait@Concurrency@@ 00aa _CxxThrowException 00c3 ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 74 24 60 48 8B F9 40 32 F6 48 39 89 90 00 00 00 74 0A 8B 81 B0 00 00 00 A8 01 74 36 33 D2 E8 ?? ?? ?? ?? 84 C0 40 0F 94 C6 48 39 BF 90 00 00 00 75 20 48 8B 8F 98 00 00 00 48 85 C9 74 14 48 8B 99 98 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EC 48 8B 9F A0 00 00 00 48 85 DB 74 16 48 8B 4B 08 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 40 84 F6 74 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 58 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_127_0 {
	meta:
		name = "?dtor$0@?0???1_TaskCollection@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_510_1 {
	meta:
		name = "?dtor$1@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_533_1 {
	meta:
		name = "?dtor$1@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 58 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_132_0 {
	meta:
		name = "?_RunAndWait@_StructuredTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z"
		size = 494
		refs = "0030 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 003c ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0042 __imp_TlsGetValue 004c ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00b9 ?_Interrupt@_TaskCollectionBase@details@Concurrency@@IEAAX_NH@Z 00d7 ?PopStructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ 013e ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z 0169 ?_WaitOnStolenChores@_StructuredTaskCollection@details@Concurrency@@AEAAXJ@Z 018f ?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 68 4C 8B E2 48 8B D9 33 FF 48 39 79 10 75 26 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 43 10 48 8B 73 10 48 89 74 24 60 48 8B 46 60 48 89 03 48 89 5E 60 48 8B 03 48 85 C0 74 0D 8B 40 08 C1 E0 04 C1 F8 04 FF C0 EB 02 8B C7 81 63 08 00 00 00 F0 25 FF FF FF 0F 09 43 08 4D 85 E4 74 37 F6 43 20 03 75 16 8B 8E A8 00 00 00 8B 86 A0 00 00 00 03 C8 85 C9 7E 12 F6 43 20 03 0F 95 C2 45 33 C0 48 8B CB E8 ?? ?? ?? ?? 49 8B CC 41 FF 54 24 08 49 89 7C 24 10 39 7B 18 0F 8E 8B 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 58 F6 43 20 03 75 16 8B 96 A8 00 00 00 8B 8E A0 00 00 00 03 D1 85 D2 7E 15 F6 43 20 03 0F 95 C2 41 B8 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4D 85 E4 74 49 FF 4B 18 40 38 7E 70 74 0C 48 8B 86 D0 00 00 00 FF 40 24 EB 27 48 8D 4E F0 48 8B 41 48 83 78 10 01 75 0C BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 8B 81 E0 00 00 00 FF 80 A4 00 00 00 49 8B CC 41 FF 54 24 08 E9 67 FF FF FF 8B 53 18 85 D2 7E 0B 48 8B CB E8 ?? ?? ?? ?? 89 7B 18 EB 0C 48 8B 74 24 60 48 8B 5C 24 50 33 FF 48 8B 03 48 89 46 60 48 39 7B 20 74 31 48 8B CB E8 ?? ?? ?? ?? 44 8B 9E A8 00 00 00 8B 8E A0 00 00 00 44 03 D9 45 85 DB 7E 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? B8 02 00 00 00 EB 24 8B 96 A8 00 00 00 8B 8E A0 00 00 00 03 D1 85 D2 7E 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 68 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_61_134_0 {
	meta:
		name = "__catch$?_RunAndWait@_StructuredTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$0"
		size = 129
		refs = "0043 ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z 005f ?_RaisedCancel@_TaskCollectionBase@details@Concurrency@@IEAAXXZ 0067 $LN36"
	strings:
		$1 = { 48 8B 7D 58 48 8B 5D 50 48 85 FF 74 4E F7 43 08 00 00 00 20 74 40 FF 4B 18 48 8B 45 60 80 78 70 00 74 0C 48 8B 80 D0 00 00 00 FF 40 24 EB 27 48 8D 48 F0 48 8B 41 48 83 78 10 01 75 0C BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0D 48 8B 81 E0 00 00 00 FF 80 A4 00 00 00 48 83 67 10 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5F 5D 5B C3 CC CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_61_136_0 {
	meta:
		name = "__catch$?_RunAndWait@_StructuredTaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$1"
		size = 38
		refs = "0013 ?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ 001b $LN38"
	strings:
		$1 = { 48 8B 45 58 48 85 C0 74 05 48 83 60 10 00 48 8B 4D 50 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_61_137_0 {
	meta:
		name = "?GetArbitraryAlias@ContextBase@details@Concurrency@@QEAAPEAV_TaskCollection@23@PEAV423@@Z"
		size = 128
		refs = "0022 ?Find@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@PEAPEAV523@@Z 005c ?FindAndDelete@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA_NAEBQEAV_TaskCollection@23@PEAPEAV423@@Z 0064 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 006c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 54 24 10 57 48 83 EC 20 48 8D B9 B8 00 00 00 48 8D 54 24 38 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 06 48 8B 58 10 EB 02 33 DB 48 85 DB 74 3A 8B 83 B0 00 00 00 D1 E8 A8 01 74 2E 48 8B 83 90 00 00 00 48 8D 54 24 30 45 33 C0 48 8B CF 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 DB 48 8B C3 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_61_138_0 {
	meta:
		name = "?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ"
		size = 247
		refs = "0020 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 002c ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0032 __imp_TlsGetValue 003f ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0050 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 0075 ?GetIndirectAlias@ContextBase@details@Concurrency@@QEBAPEAV_TaskCollection@23@XZ 008e ?GetArbitraryAlias@ContextBase@details@Concurrency@@QEAAPEAV_TaskCollection@23@PEAV423@@Z 009d ??2@YAPEAX_K@Z 00b5 ??0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z 00ca ?SweepAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 00e0 ?Insert@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAV_TaskCollection@23@0@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B F9 33 F6 F7 05 ?? ?? ?? ?? 00 00 00 80 74 14 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B D8 48 39 73 40 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 43 40 8B 88 90 00 00 00 48 3B 5F 10 75 0D 3B 8F B8 00 00 00 75 05 48 8B C7 EB 76 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 09 48 39 B8 90 00 00 00 74 60 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 75 50 B9 C0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 11 41 B0 01 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 74 24 40 48 89 7C 24 48 48 8B CB E8 ?? ?? ?? ?? 48 8D 8B B8 00 00 00 4C 8D 44 24 40 48 8D 54 24 48 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_61_140_0 {
	meta:
		name = "?_Schedule@_TaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 258
		refs = "002c ??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ 0033 _TI2?AVinvalid_multiple_scheduling@Concurrency@@ 003d _CxxThrowException 0043 ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 0051 ?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 007e ??2@YAPEAX_K@Z 00a9 ?_NotifyNewChore@_TaskCollection@details@Concurrency@@AEAAXXZ 00ae ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00b9 ?PushUnstructured@ContextBase@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z 00c3 ?Push@TaskStack@details@Concurrency@@QEAA_NH@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 70 18 48 8B F2 48 83 7A 10 00 74 1B 48 8D 48 E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B D8 48 89 46 10 48 8D 05 ?? ?? ?? ?? 48 89 46 18 48 63 BB BC 00 00 00 8D 47 01 89 83 BC 00 00 00 83 FF 02 72 65 48 8B BB A0 00 00 00 48 85 FF 75 2B 8D 4F 18 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 12 83 20 00 83 60 04 00 48 83 60 08 00 C6 40 10 00 EB 02 33 FF 48 89 BB A0 00 00 00 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 8B D0 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 27 FF 8B BC 00 00 00 EB 1F 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 89 84 BB A8 00 00 00 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_61_142_0 {
	meta:
		name = "__catch$?_Schedule@_TaskCollection@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z$0"
		size = 19
		refs = "0005 ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 000e _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 58 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_61_143_0 {
	meta:
		name = "?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z"
		size = 1021
		refs = "002c ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 0039 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00a4 ?_NotifyNewChore@_TaskCollection@details@Concurrency@@AEAAXXZ 00ae ??0task_canceled@details@Concurrency@@QEAA@XZ 00b5 _TI2?AVtask_canceled@details@Concurrency@@ 00bf _CxxThrowException 0120 ?_Interrupt@_TaskCollectionBase@details@Concurrency@@IEAAX_NH@Z 0132 ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0147 ?set@event@Concurrency@@QEAAXXZ 01e4 ?TryPopUnstructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z 0234 ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z 02d5 ?_FullAliasWait@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z 02f5 ?_UnderlyingYield@details@Concurrency@@YAXXZ 030d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 03a0 ?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ 03af ?_Reset@_TaskCollection@details@Concurrency@@AEAAXPEAV123@@Z 03be ?_Abort@_TaskCollection@details@Concurrency@@AEAAX_N@Z"
	strings:
		$1 = { 48 89 54 24 10 48 89 4C 24 08 53 56 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 C7 44 24 38 FE FF FF FF 48 8B F2 4C 8B E9 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 30 4D 8B BD 98 00 00 00 4C 89 7C 24 28 33 DB 88 9C 24 E0 00 00 00 48 8B 40 60 48 89 07 44 8D 63 01 48 85 C0 74 0E 8B 48 08 C1 E1 04 C1 F9 04 41 03 CC EB 02 8B CB 81 67 08 00 00 00 F0 81 E1 FF FF FF 0F 09 4F 08 49 89 7E 60 33 C0 F0 44 0F B1 67 50 83 F8 03 75 28 48 85 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 85 F6 0F 84 87 00 00 00 48 8B CF E8 ?? ?? ?? ?? 41 8B 8E A8 00 00 00 41 8B 86 A0 00 00 00 03 C8 85 C9 7F 16 49 8B 85 90 00 00 00 8B 48 4C 85 C9 75 08 8B 47 50 41 3B C4 74 26 49 8B 85 90 00 00 00 8B 48 4C 85 C9 75 0A 8B 47 50 41 3B C4 8A D3 74 03 41 8A D4 45 33 C0 49 8B CD E8 ?? ?? ?? ?? 48 8B CE FF 56 08 48 89 5E 10 48 8B CE E8 ?? ?? ?? ?? 83 C8 FF F0 0F C1 47 18 FF C8 75 09 48 8D 4F 58 E8 ?? ?? ?? ?? 48 89 9C 24 D8 00 00 00 39 9F BC 00 00 00 0F 8E 19 01 00 00 41 8B 8E A8 00 00 00 41 8B 86 A0 00 00 00 03 C8 85 C9 7F 16 49 8B 85 90 00 00 00 8B 48 4C 85 C9 75 08 8B 47 50 41 3B C4 74 26 49 8B 85 90 00 00 00 8B 48 4C 85 C9 75 0A 8B 47 50 41 3B C4 8A D3 74 03 41 8A D4 45 33 C0 49 8B CD E8 ?? ?? ?? ?? 48 63 87 BC 00 00 00 83 F8 02 76 17 48 8B 87 A0 00 00 00 FF 48 04 48 63 48 04 48 8B 40 08 8B 14 88 EB 08 41 8B 94 85 A4 00 00 00 FF 8F BC 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 89 84 24 D8 00 00 00 48 85 C0 75 17 48 8B 87 A0 00 00 00 48 85 C0 74 03 89 58 04 89 9F BC 00 00 00 EB 69 41 38 5E 70 74 0D 49 8B 86 D0 00 00 00 44 01 60 24 EB 26 49 8D 4E F0 48 8B 41 48 44 39 60 10 75 0A 41 8B D4 E8 ?? ?? ?? ?? EB 0E 48 8B 81 E0 00 00 00 44 01 A0 A4 00 00 00 48 8B CE FF 56 08 48 89 5E 10 48 8B CE E8 ?? ?? ?? ?? 83 C8 FF F0 0F C1 47 18 FF C8 0F 85 E1 FE FF FF 48 8D 4F 58 E8 ?? ?? ?? ?? E9 D3 FE FF FF 48 8B 87 A0 00 00 00 48 85 C0 74 42 38 58 10 74 3D 41 8A F4 44 88 A4 24 E0 00 00 00 41 8B C4 B9 05 00 00 00 F0 0F B1 4F 50 83 F8 04 74 05 83 F8 09 75 23 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 E8 ?? ?? ?? ?? 40 8A B4 24 E0 00 00 00 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 40 84 F6 74 35 B8 05 00 00 00 F0 44 0F B1 67 50 83 F8 09 75 25 89 5C 24 48 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 41 8B 45 50 83 F8 09 75 0C 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB EB 49 8B 85 98 00 00 00 4C 3B F8 75 02 EB 2A 4C 8B F8 48 89 44 24 28 E9 25 FE FF FF 4C 8B 7C 24 28 4C 8B 74 24 30 48 8B 7C 24 20 4C 8B AC 24 D0 00 00 00 41 BC 01 00 00 00 48 8B 07 49 89 46 60 41 8B 8E A0 00 00 00 41 8B 86 A8 00 00 00 03 C8 85 C9 7F 16 49 8B 85 90 00 00 00 8B 48 4C 85 C9 75 08 8B 47 50 41 3B C4 74 2C 41 8B 86 A0 00 00 00 85 C0 7F 31 49 8B 85 90 00 00 00 8B 48 4C 85 C9 75 23 8B 4F 50 85 C9 75 1C 49 8B CD E8 ?? ?? ?? ?? 84 C0 75 10 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 41 8B C4 EB 32 33 D2 48 8B CF E8 ?? ?? ?? ?? 45 8B 9E A0 00 00 00 41 8B 8E A8 00 00 00 44 03 D9 45 85 DB 7E 0D 45 33 C0 33 D2 49 8B CD E8 ?? ?? ?? ?? B8 02 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_61_145_0 {
	meta:
		name = "__catch$?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$0"
		size = 67
		refs = "0012 ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 002b ?set@event@Concurrency@@QEAAXXZ 0033 $LN50"
	strings:
		$1 = { 48 8B 8D D8 00 00 00 48 85 C9 74 24 48 83 61 10 00 E8 ?? ?? ?? ?? 48 8B 4D 20 83 C8 FF F0 0F C1 41 18 FF C8 75 0A 48 83 C1 58 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC }
	condition:
		$1
}

rule file_61_147_0 {
	meta:
		name = "__catch$?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z$1"
		size = 77
		refs = "0012 ?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 002b ?set@event@Concurrency@@QEAAXXZ 0039 ?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ 0041 $LN52"
	strings:
		$1 = { 48 8B 8D D8 00 00 00 48 85 C9 74 25 48 83 61 10 00 E8 ?? ?? ?? ?? 48 8B 5D 20 83 C8 FF F0 0F C1 43 18 FF C8 75 0F 48 8D 4B 58 E8 ?? ?? ?? ?? EB 04 48 8B 5D 20 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 5D 5B C3 CC }
	condition:
		$1
}

rule file_61_151_0 {
	meta:
		name = "?_IsCanceling@_TaskCollection@details@Concurrency@@QEAA_NXZ"
		size = 258
		refs = "0020 ?_Alias@_TaskCollection@details@Concurrency@@AEAAPEAV123@XZ 0074 ?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 41 4C 33 DB 48 8B F1 85 C0 0F 85 D1 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 8B 50 10 8B 8A A4 00 00 00 85 C9 8B CB 75 06 8B 8A 9C 00 00 00 8B 82 A4 00 00 00 85 C0 0F 85 A5 00 00 00 8B 47 08 C1 E0 04 C1 F8 04 83 F8 FF 74 0D 83 F9 FF 74 08 3B C8 0F 8E 8A 00 00 00 8B 82 A8 00 00 00 85 C0 7E 0C 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 74 48 39 BF 90 00 00 00 74 67 8B 87 B0 00 00 00 A8 01 74 5D 48 8B 56 10 8B CB 8B 82 A4 00 00 00 85 C0 75 06 8B 8A 9C 00 00 00 8B 82 A4 00 00 00 85 C0 75 41 8B 46 08 C1 E0 04 C1 F8 04 83 F8 FF 74 0E 83 F9 FF 74 09 BF 01 00 00 00 3B C8 7E 02 8B FB 8B 82 A8 00 00 00 85 C0 7E 11 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 BB 01 00 00 00 0B DF 75 04 32 C0 EB 02 B0 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "_initp_misc_winsig"
		size = 29
		refs = "0003 ctrlc_action 000a ctrlbreak_action 0011 abort_action 0018 term_action"
	strings:
		$1 = { 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_62_1_0 {
	meta:
		name = "ctrlevent_capture"
		size = 148
		refs = "0014 _lock 0020 ctrlc_action 002d __imp_DecodePointer 0039 ctrlbreak_action 005e _encoded_null 0068 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B D9 33 C9 E8 ?? ?? ?? ?? 90 85 DB 75 19 48 8D 3D ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8D 73 02 EB 19 48 8D 3D ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? BE 15 00 00 00 48 8B D8 48 85 C0 74 0E 48 83 F8 01 74 08 E8 ?? ?? ?? ?? 48 89 07 33 C9 E8 ?? ?? ?? ?? 48 85 DB 75 04 33 C0 EB 0F 48 83 FB 01 74 04 8B CE FF D3 B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_2_0 {
	meta:
		name = "ctrlevent_capture$fin$0"
		size = 24
		refs = "000c _unlock"
		altNames = "signal$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_62_3_0 {
	meta:
		name = "siglookup"
		size = 59
		refs = "0006 _XcptActTabCount"
	strings:
		$1 = { 44 8B C9 48 63 0D ?? ?? ?? ?? 48 8B C2 44 39 48 04 74 13 4C 8B C1 48 83 C0 10 49 C1 E0 04 4C 03 C2 49 3B C0 72 E7 48 C1 E1 04 48 03 CA 48 3B C1 73 06 44 39 48 04 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_62_5_0 {
	meta:
		name = "__fpecode"
		size = 20
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 05 B0 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_62_6_0 {
	meta:
		name = "__pxcptinfoptrs"
		size = 20
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 05 A8 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_62_7_0 {
	meta:
		name = "signal"
		size = 701
		refs = "0072 _getptd_noexit 0085 _XcptActTab 0095 _XcptActTabSize 009a _malloc_crt 00bd memcpy 00cf _XcptActTabCount 0152 _lock 0163 ConsoleCtrlHandler_Installed 0172 ctrlevent_capture 0178 __imp_SetConsoleCtrlHandler 018a __doserrno 0193 __imp_GetLastError 01ca ctrlbreak_action 01d0 __imp_DecodePointer 01e6 __imp_EncodePointer 01f6 term_action 021e abort_action 0246 ctrlc_action 026c _unlock 0294 _errno 029f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 83 EC 30 48 8B F2 8B F9 45 33 E4 48 83 FA 04 0F 84 53 02 00 00 48 83 FA 03 0F 84 49 02 00 00 83 F9 02 0F 84 15 01 00 00 83 F9 15 0F 84 0C 01 00 00 83 F9 16 0F 84 03 01 00 00 83 F9 06 0F 84 FA 00 00 00 83 F9 0F 0F 84 F1 00 00 00 83 F9 08 74 0E 83 F9 04 74 09 83 F9 0B 0F 85 09 02 00 00 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 F8 01 00 00 48 8D 1D ?? ?? ?? ?? 48 39 98 A0 00 00 00 75 2F 48 63 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 49 89 84 24 A0 00 00 00 48 85 C0 0F 84 CB 01 00 00 4C 63 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 49 8B 8C 24 A0 00 00 00 48 8B D1 4C 63 05 ?? ?? ?? ?? 39 7A 04 74 13 48 83 C2 10 49 8B C0 48 C1 E0 04 48 03 C1 48 3B D0 72 E8 49 8B C0 48 C1 E0 04 48 03 C1 48 3B D0 73 05 39 7A 04 74 02 33 D2 48 85 D2 0F 84 70 01 00 00 48 8B 5A 08 48 83 FE 02 0F 84 5D 01 00 00 48 83 C2 04 EB 28 48 89 72 04 48 83 C2 10 48 63 0D ?? ?? ?? ?? 48 C1 E1 04 49 03 8C 24 A0 00 00 00 48 8D 42 FC 48 3B C1 0F 83 2F 01 00 00 39 3A 74 D4 E9 26 01 00 00 33 C9 E8 ?? ?? ?? ?? 90 83 FF 02 74 05 83 FF 15 75 3E 83 3D ?? ?? ?? ?? 00 75 35 BA 01 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 01 75 08 89 05 ?? ?? ?? ?? EB 16 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 89 03 41 BC 01 00 00 00 8B CF 83 E9 02 0F 84 99 00 00 00 83 E9 04 74 6C 83 E9 09 74 3F 83 E9 06 74 0E FF C9 74 5E 48 8B 5C 24 20 E9 A2 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 83 FE 02 0F 84 88 00 00 00 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 76 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 83 FE 02 74 60 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 4E 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 83 FE 02 74 38 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 26 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 83 FE 02 74 10 48 8B CE FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 45 85 E4 75 05 48 8B C3 EB 2D 83 FF 01 74 24 83 FF 03 74 1F 83 FF 0D 74 1A 83 FF 0F 7E 05 83 FF 11 7E 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_62_9_0 {
	meta:
		name = "raise"
		size = 562
		refs = "004f _errno 005a _invalid_parameter_noinfo 0063 ctrlbreak_action 0076 term_action 0086 abort_action 0094 _getptd_noexit 00b5 _XcptActTabCount 00f4 ctrlc_action 010a __imp_DecodePointer 0128 _exit 0134 _lock 0187 _First_FPE_Indx 0193 _Num_FPE 01bf _encoded_null 01ce _unlock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 8B D9 33 FF 89 7C 24 60 33 F6 8B D1 83 EA 02 0F 84 C5 00 00 00 83 EA 02 74 62 83 EA 02 74 4D 83 EA 02 74 58 83 EA 03 74 53 83 EA 04 74 2E 83 EA 06 74 16 FF CA 74 35 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 40 4C 8D 25 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E9 8C 00 00 00 4C 8D 25 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? EB 7C 4C 8D 25 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? EB 6C E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 83 C8 FF E9 72 01 00 00 48 8B 90 A0 00 00 00 48 8B CA 4C 63 05 ?? ?? ?? ?? 39 59 04 74 13 48 83 C1 10 49 8B C0 48 C1 E0 04 48 03 C2 48 3B C8 72 E8 49 8B C0 48 C1 E0 04 48 03 C2 48 3B C8 73 05 39 59 04 74 02 33 C9 4C 8D 61 08 4D 8B 2C 24 EB 20 4C 8D 25 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? BF 01 00 00 00 89 7C 24 60 FF 15 ?? ?? ?? ?? 4C 8B E8 49 83 FD 01 75 07 33 C0 E9 FC 00 00 00 4D 85 ED 75 0A 41 8D 4D 03 E8 ?? ?? ?? ?? CC 85 FF 74 08 33 C9 E8 ?? ?? ?? ?? 90 83 FB 08 74 11 83 FB 0B 74 0C 83 FB 04 74 07 4C 8B 7C 24 28 EB 2C 4C 8B BE A8 00 00 00 4C 89 7C 24 28 48 83 A6 A8 00 00 00 00 83 FB 08 75 13 44 8B B6 B0 00 00 00 C7 86 B0 00 00 00 8C 00 00 00 EB 05 44 8B 74 24 60 83 FB 08 75 39 8B 0D ?? ?? ?? ?? 8B D1 89 4C 24 20 8B 05 ?? ?? ?? ?? 03 C8 3B D1 7D 2A 48 63 CA 48 03 C9 48 8B 86 A0 00 00 00 48 83 64 C8 08 00 FF C2 89 54 24 20 8B 0D ?? ?? ?? ?? EB D3 E8 ?? ?? ?? ?? 49 89 04 24 85 FF 74 07 33 C9 E8 ?? ?? ?? ?? BF 08 00 00 00 3B DF 75 0D 8B 96 B0 00 00 00 8B CF 41 FF D5 EB 05 8B CB 41 FF D5 3B DF 74 0E 83 FB 0B 74 09 83 FB 04 0F 85 18 FF FF FF 4C 89 BE A8 00 00 00 3B DF 0F 85 09 FF FF FF 44 89 B6 B0 00 00 00 E9 FD FE FF FF 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_62_10_0 {
	meta:
		name = "raise$fin$0"
		size = 30
		refs = "0012 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 60 00 74 08 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_63_0_0 {
	meta:
		name = "iswctype"
		size = 102
		refs = "0028 _pwctype 0049 __imp_GetStringTypeW"
	strings:
		$1 = { 66 89 4C 24 08 53 48 83 EC 20 B8 FF FF 00 00 0F B7 DA 66 3B C8 75 04 33 C0 EB 45 B8 00 01 00 00 66 3B C8 73 10 48 8B 05 ?? ?? ?? ?? 0F B7 C9 0F B7 04 48 EB 26 B9 01 00 00 00 4C 8D 4C 24 40 48 8D 54 24 30 44 8B C1 FF 15 ?? ?? ?? ?? 33 C9 85 C0 74 05 0F B7 4C 24 40 0F B7 C1 0F B7 CB 23 C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_64_0_0 {
	meta:
		name = "calloc"
		size = 65
		refs = "0011 _calloc_impl 0024 _errno"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 40 00 4C 8D 44 24 40 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 1B 39 44 24 40 74 15 E8 ?? ?? ?? ?? 48 85 C0 74 0B E8 ?? ?? ?? ?? 8B 4C 24 40 89 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_6_0 {
	meta:
		name = "_inc"
		size = 37
		refs = "0018 _filbuf"
		altNames = "_getc_nolock"
	strings:
		$1 = { 48 83 EC 28 FF 49 08 78 0E 48 8B 01 0F B6 10 48 FF C0 48 89 01 EB 07 E8 ?? ?? ?? ?? 8B D0 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_8_0 {
	meta:
		name = "_whiteout"
		size = 68
		refs = "001b _inc 002a isspace"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B F9 FF 07 48 8B CE E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 0C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E3 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_9_0 {
	meta:
		name = "_input_l"
		size = 4212
		refs = "0022 __security_cookie 006d _errno 0078 _invalid_parameter_noinfo 0094 _fileno 009b __badioinfo 00a2 __pioinfo 0117 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0143 isspace 015a _inc 0177 _ungetc_nolock 01f4 isdigit 04f5 __check_float_string 06a8 free 07bd _cfltcvt_tab 07cd __imp_DecodePointer 08af memset 0be1 isleadbyte 0c1b _mbtowc_l 0d46 isxdigit 1055 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 80 FE FF FF 48 81 EC 80 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 70 01 00 00 33 C0 4C 8D 6D 10 4C 89 4D B8 49 8B D8 4C 8B E2 48 89 54 24 50 4C 89 6C 24 78 48 8B F1 48 89 4C 24 68 48 C7 45 B0 5E 01 00 00 89 45 84 66 89 45 88 8B F8 89 44 24 3C 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C6 0F 00 00 48 85 C9 74 E3 41 83 CF FF F6 41 18 40 75 7C E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 41 3B C7 74 1D 83 F8 FE 74 18 4C 63 C0 49 8B C8 41 83 E0 1F 48 C1 F9 05 4D 6B C0 58 4D 03 04 C9 EB 03 4C 8B C2 41 F6 40 38 7F 75 25 41 3B C7 74 1A 83 F8 FE 74 15 48 63 D0 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 03 14 C1 F6 42 38 80 74 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 8B C7 E9 3B 0F 00 00 48 8D 4D C8 48 8B D3 E8 ?? ?? ?? ?? 41 8A 04 24 33 DB 88 5C 24 39 44 8B F3 89 5C 24 34 44 8B EB 89 5C 24 70 84 C0 0F 84 FC 0E 00 00 44 8D 6B 01 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 50 45 2B F5 45 03 F5 48 8B CE 44 89 74 24 34 E8 ?? ?? ?? ?? 8B D8 41 3B C7 74 16 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 DD 48 8B D6 8B CB E8 ?? ?? ?? ?? 4D 03 E5 41 0F B6 0C 24 E8 ?? ?? ?? ?? 85 C0 75 EF 48 8B 74 24 68 4C 89 64 24 50 E9 35 0E 00 00 B1 25 41 38 0C 24 0F 85 BC 0D 00 00 41 38 4C 24 01 0F 84 A0 0D 00 00 4C 8B 6C 24 50 BA 01 00 00 00 89 5C 24 5C 88 54 24 38 88 5D 80 89 5C 24 4C 89 5C 24 60 44 8B F3 88 5C 24 58 88 5C 24 40 88 5C 24 30 40 8A F3 88 5D A8 44 8A E3 8B FB 4C 03 EA 41 0F B6 5D 00 8B CB E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 13 43 8D 04 B6 41 8D 50 01 01 54 24 60 44 8D 74 43 D0 EB 66 83 FB 2A 0F 84 07 01 00 00 83 FB 46 74 53 83 FB 49 0F 84 9F 00 00 00 83 FB 4C 0F 84 8B 00 00 00 83 FB 4E 74 3C 83 FB 68 74 2F BA 01 00 00 00 83 FB 6C 74 0A 83 FB 77 74 1B E9 CA 00 00 00 41 80 7D 01 6C 75 0B 49 FF C5 03 FA 4C 89 45 90 EB 16 00 54 24 38 44 02 E2 EB 0D 44 00 7C 24 38 45 02 E7 BA 01 00 00 00 8A 4C 24 30 40 84 F6 0F 84 64 FF FF FF 89 7C 24 48 8B 7C 24 3C 4C 89 6C 24 50 44 8A 6D 80 44 89 74 24 44 84 C9 0F 85 93 00 00 00 48 8B 45 B8 48 89 45 E8 48 83 C0 08 48 89 45 B8 48 8B 40 F8 48 89 45 A0 EB 7D BA 01 00 00 00 00 54 24 38 EB B0 41 8A 45 01 3C 36 75 16 49 8D 4D 02 80 39 34 75 0D 4C 8B E9 BA 01 00 00 00 E9 74 FF FF FF 3C 33 75 11 49 8D 4D 02 80 39 32 75 08 4C 8B E9 E9 78 FF FF FF 3C 64 74 DD 3C 69 74 D9 3C 6F 74 D5 3C 78 74 D1 3C 58 74 CD BA 01 00 00 00 4C 89 45 90 03 FA 40 02 F2 E9 56 FF FF FF 8A 4C 24 30 BA 01 00 00 00 02 CA 88 4C 24 30 E9 46 FF FF FF 4C 89 45 A0 48 8B 44 24 50 41 8A D8 45 84 E4 75 10 80 38 53 74 08 80 38 43 45 8A E7 75 03 44 8A E2 44 0F B6 30 41 83 CE 20 44 89 75 C0 41 83 FE 6E 74 6C 41 83 FE 63 74 42 41 83 FE 7B 74 3C 48 8B 74 24 68 44 8B 74 24 34 48 8B CE 44 03 F2 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B C7 74 11 0F B6 C8 E8 ?? ?? ?? ?? BA 01 00 00 00 85 C0 75 D9 44 89 74 24 34 44 8B 75 C0 EB 14 48 8B 4C 24 68 01 54 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B FF 0F 84 C8 02 00 00 8A 4C 24 30 45 33 C0 8B 44 24 60 8B 74 24 44 85 C0 74 08 85 F6 0F 84 FA 0B 00 00 41 83 FE 6F 0F 8F 23 04 00 00 0F 84 F0 08 00 00 41 83 FE 63 0F 84 E7 03 00 00 41 83 FE 64 0F 84 DC 08 00 00 0F 8E 31 04 00 00 41 83 FE 67 7E 46 41 83 FE 69 74 23 41 83 FE 6E 0F 85 1B 04 00 00 8B 44 24 34 84 C9 0F 84 CA 0A 00 00 4C 8B 64 24 50 44 8B F0 E9 F6 0A 00 00 41 BE 64 00 00 00 B9 01 00 00 00 83 FF 2D 0F 85 29 05 00 00 88 4C 24 40 E9 25 05 00 00 49 8B D8 BE 01 00 00 00 83 FF 2D 75 0C 48 8B 44 24 78 8B DE 40 88 38 EB 05 83 FF 2B 75 29 4C 8B 6C 24 68 44 8B 64 24 44 44 8B 74 24 34 49 8B CD 44 2B E6 44 03 F6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 8B 44 24 60 EB 0F 44 8B 64 24 44 4C 8B 6C 24 68 44 8B 74 24 34 85 C0 40 0F B6 CF 45 0F 44 E7 EB 54 41 8B C4 44 2B E6 85 C0 74 53 48 8B 44 24 78 01 74 24 4C 4C 8D 4D 10 40 88 3C 03 48 8D 45 84 48 03 DE 4C 8D 44 24 78 48 8D 55 B0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 95 01 00 00 49 8B CD 44 03 F6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A3 48 8B 45 C8 48 8B 88 28 01 00 00 48 8B 01 B9 01 00 00 00 40 8A 30 40 3A F7 0F 85 BC 00 00 00 41 8B C4 44 2B E1 85 C0 0F 84 AE 00 00 00 44 03 F1 49 8B CD E8 ?? ?? ?? ?? 4C 8D 4D 10 4C 8D 44 24 78 8B F8 89 44 24 3C 48 8B 44 24 78 40 88 34 03 48 8D 45 84 BE 01 00 00 00 48 03 DE 48 8D 55 B0 48 89 44 24 20 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 03 01 00 00 40 0F B6 CF EB 54 41 8B C4 44 2B E6 85 C0 74 53 48 8B 44 24 78 01 74 24 4C 4C 8D 4D 10 40 88 3C 03 48 8D 45 84 48 03 DE 4C 8D 44 24 78 48 8D 55 B0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 BD 00 00 00 49 8B CD 44 03 F6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A3 48 8B CE 8B 74 24 4C 85 F6 0F 84 6F 01 00 00 83 FF 65 74 09 83 FF 45 0F 85 61 01 00 00 41 8B C4 44 2B E1 85 C0 0F 84 53 01 00 00 48 8B 44 24 78 4C 8D 4D 10 4C 8D 44 24 78 C6 04 03 65 48 03 D9 48 8D 45 84 48 8D 55 B0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 47 49 8B CD 41 FF C6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 2D 75 7C 48 8B 44 24 78 4C 8D 4D 10 4C 8D 44 24 78 40 88 3C 03 48 8D 45 84 48 FF C3 48 8D 55 B0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 C0 85 C0 75 53 33 DB B8 01 00 00 00 39 45 84 75 0A 48 8B 4C 24 78 E8 ?? ?? ?? ?? 41 3B FF 0F 85 7D 09 00 00 8B 44 24 70 85 C0 75 08 8A 54 24 39 84 D2 74 03 44 8B F8 38 5D E0 0F 84 36 FA FF FF 48 8B 4D D8 83 A1 C8 00 00 00 FD E9 26 FA FF FF 83 F8 2B 75 28 45 33 C0 41 8B C4 B9 01 00 00 00 44 2B E1 85 C0 75 05 45 8B E0 EB 11 44 03 F1 49 8B CD E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 40 0F B6 CF EB 57 41 8B C4 B9 01 00 00 00 44 2B E1 85 C0 74 51 48 8B 44 24 78 03 F1 4C 8D 4D 10 40 88 3C 03 48 03 D9 48 8D 45 84 4C 8D 44 24 78 48 8D 55 B0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 3F FF FF FF 49 8B CD 41 FF C6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A0 B8 01 00 00 00 44 2B F0 44 89 74 24 34 41 3B FF 74 0F 49 8B D5 8B CF E8 ?? ?? ?? ?? B8 01 00 00 00 45 33 C0 85 F6 0F 84 F6 FE FF FF 44 38 44 24 30 75 39 44 8B 6C 24 70 48 8B 74 24 78 44 88 04 33 0F BE 5C 24 38 48 8B 0D ?? ?? ?? ?? 44 03 E8 2B D8 44 89 6C 24 70 FF 15 ?? ?? ?? ?? 48 8B 55 A0 4C 8D 4D C8 4C 8B C6 8B CB FF D0 4C 8B 64 24 50 E9 4E 07 00 00 41 BB 01 00 00 00 85 C0 75 0C 41 03 F3 44 89 5C 24 60 89 74 24 44 45 84 E4 4C 8B 64 24 50 0F 8E 02 03 00 00 41 8A F3 E9 FD 02 00 00 41 83 FE 70 0F 84 B2 04 00 00 41 83 FE 73 0F 84 CE 02 00 00 41 83 FE 75 0F 84 B5 04 00 00 41 83 FE 78 0F 84 0A FC FF FF 41 83 FE 7B 74 37 4C 8B 64 24 50 41 0F B6 04 24 3B C7 0F 85 8D 07 00 00 8A 54 24 39 44 8B 74 24 34 41 02 D7 88 54 24 39 84 C9 0F 85 CA 06 00 00 4C 8B 4D E8 4C 89 4D B8 E9 BD 06 00 00 8B 75 A8 45 84 E4 4C 8B 64 24 50 B8 01 00 00 00 40 0F B6 F6 0F 4F F0 4C 03 E0 41 80 3C 24 5E 75 08 49 FF C4 44 88 7C 24 58 33 D2 48 8D 4D F0 44 8D 42 20 E8 ?? ?? ?? ?? 41 80 3C 24 5D 41 BB 01 00 00 00 0F 85 A0 00 00 00 41 B5 5D 4D 03 E3 C6 45 FB 20 E9 91 00 00 00 4D 03 E3 3C 2D 75 6D 45 84 ED 74 68 41 8A 0C 24 80 F9 5D 74 5F 4D 03 E3 44 3A E9 73 05 44 8A C9 EB 06 45 8A CD 44 8A E9 45 3A E9 73 27 45 0F B6 D5 41 0F B6 CD 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 EB D2 E2 4D 03 D3 42 08 54 05 F0 45 3A E9 72 DD 41 0F B6 C1 45 0F B6 C1 41 8B D3 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 F0 45 32 ED EB 1D 44 0F B6 C0 44 8A E8 0F B6 C0 83 E0 07 41 8B D3 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 F0 41 8A 04 24 3C 5D 0F 85 63 FF FF FF 33 DB 3A C3 0F 84 1E FD FF FF E9 94 01 00 00 83 FF 2B 75 16 2B F1 89 74 24 44 0F 85 D4 00 00 00 85 C0 0F 84 CC 00 00 00 8A D9 44 8B 6C 24 34 4C 8B 64 24 68 83 FF 30 75 53 44 03 E9 49 8B CC 44 89 6C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 3C 78 0F 84 F1 00 00 00 3C 58 0F 84 E9 00 00 00 B8 01 00 00 00 89 44 24 4C 41 83 FE 78 0F 84 AE 00 00 00 45 33 C0 44 39 44 24 60 74 0A 2B F0 89 74 24 44 75 02 02 D8 41 BE 6F 00 00 00 44 8B 64 24 48 45 85 E4 0F 84 DE 03 00 00 48 8B 75 90 84 DB 0F 85 BB 03 00 00 44 8B 6C 24 44 48 8B 5C 24 68 41 83 FE 78 0F 84 15 03 00 00 41 83 FE 70 0F 84 0B 03 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 45 33 C0 85 C0 0F 84 6F 03 00 00 41 83 FE 6F 0F 85 E4 02 00 00 83 FF 38 0F 8D 5C 03 00 00 48 C1 E6 03 E9 15 03 00 00 44 8B 6C 24 34 4C 8B 64 24 68 44 03 E9 49 8B CC 44 89 6C 24 34 E8 ?? ?? ?? ?? 45 33 C0 8B F8 89 44 24 3C 41 8D 48 01 E9 14 FF FF FF 44 2B E8 44 89 6C 24 34 41 3B FF 74 0A 49 8B D4 8B CF E8 ?? ?? ?? ?? BF 30 00 00 00 45 33 C0 89 7C 24 3C E9 44 FF FF FF 41 BE 01 00 00 00 49 8B CC 45 03 EE 44 89 6C 24 34 E8 ?? ?? ?? ?? 45 33 C0 8B F8 89 44 24 3C 44 39 44 24 60 74 0F 83 EE 02 89 74 24 44 41 3B F6 7D 03 41 02 DE 41 BE 78 00 00 00 E9 04 FF FF FF 0F B6 75 A8 45 84 E4 4C 8B 64 24 50 41 BB 01 00 00 00 41 0F 4F F3 EB 03 8B 75 A8 8B 4C 24 34 48 8B 5D A0 41 2B CB 89 4C 24 34 41 3B FF 74 16 48 8B 54 24 68 8B CF E8 ?? ?? ?? ?? 8B 4C 24 34 41 BB 01 00 00 00 44 8B 6C 24 44 45 33 C0 44 39 44 24 60 74 0E 41 8B C5 45 2B EB 85 C0 0F 84 36 01 00 00 41 03 CB 89 4C 24 34 48 8B 4C 24 68 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 3C 41 3B FF 0F 84 F0 00 00 00 41 83 FE 63 74 44 41 83 FE 73 75 13 83 FF 09 7C 09 83 FF 0D 0F 8E D6 00 00 00 83 FF 20 75 2B 41 83 FE 7B 0F 85 C7 00 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 F0 0F BE 44 24 58 33 C8 0F A3 D1 0F 83 A6 00 00 00 45 33 C0 44 38 44 24 30 0F 85 86 00 00 00 40 84 F6 74 6B 40 0F B6 CF 40 88 7D 98 E8 ?? ?? ?? ?? 85 C0 74 11 48 8B 4C 24 68 FF 44 24 34 E8 ?? ?? ?? ?? 88 45 99 B8 3F 00 00 00 4C 8D 4D C8 48 8D 55 98 66 89 45 88 48 8B 45 C8 48 8D 4D 88 4C 63 80 0C 01 00 00 E8 ?? ?? ?? ?? 48 8B 45 A0 44 0F B7 5D 88 8B 4C 24 34 66 44 89 18 48 83 C0 02 48 89 45 A0 41 BB 01 00 00 00 E9 FF FE FF FF 48 8B 45 A0 41 BB 01 00 00 00 40 88 38 49 03 C3 48 89 45 A0 EB 09 41 BB 01 00 00 00 49 03 DB 8B 4C 24 34 E9 DA FE FF FF 41 BB 01 00 00 00 44 29 5C 24 34 41 3B FF 74 12 48 8B 54 24 68 8B CF E8 ?? ?? ?? ?? 41 BB 01 00 00 00 45 33 C0 48 8B 45 A0 48 3B D8 0F 84 F9 F9 FF FF 44 38 44 24 30 0F 85 71 02 00 00 44 01 5C 24 70 41 83 FE 63 44 8B 74 24 34 0F 84 7C 02 00 00 40 84 F6 74 09 66 44 89 00 E9 6E 02 00 00 44 88 00 E9 66 02 00 00 44 8B 64 24 48 B9 01 00 00 00 4C 89 45 90 44 03 E1 88 4C 24 38 EB 0A 44 8B 64 24 48 B9 01 00 00 00 83 FF 2D 75 06 88 4C 24 40 EB 09 83 FF 2B 0F 85 FA FC FF FF 2B F1 89 74 24 44 75 0B 85 C0 74 07 8A D9 E9 E7 FC FF FF 01 4C 24 34 48 8B 4C 24 68 E8 ?? ?? ?? ?? 45 33 C0 8B F8 89 44 24 3C E9 CB FC FF FF 48 8D 34 B6 48 03 F6 EB 3A 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 66 48 C1 65 90 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 48 8B 75 90 8B FB 83 E7 DF 45 33 C0 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C 8D 47 D0 BA 01 00 00 00 01 54 24 4C 48 63 C8 48 03 F1 48 89 75 90 44 39 44 24 60 74 05 44 2B EA 74 36 48 8B 5C 24 68 01 54 24 34 48 8B CB E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 69 FC FF FF FF 4C 24 34 41 3B FF 74 0D 48 8B D3 8B CF E8 ?? ?? ?? ?? 45 33 C0 48 8B 75 90 44 38 44 24 40 0F 84 FE 00 00 00 48 F7 DE 48 89 75 90 E9 F2 00 00 00 8B 74 24 5C 84 DB 0F 85 D9 00 00 00 44 8B 6C 24 44 48 8B 5C 24 68 41 83 FE 78 74 36 41 83 FE 70 74 30 40 0F B6 CF E8 ?? ?? ?? ?? 45 33 C0 85 C0 0F 84 95 00 00 00 41 83 FE 6F 75 0E 83 FF 38 0F 8D 86 00 00 00 C1 E6 03 EB 48 8D 04 B6 8D 34 00 EB 40 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 67 8B 44 24 5C 8B CE 40 0F BE DF C1 E0 04 89 44 24 5C E8 ?? ?? ?? ?? 8B 74 24 5C 8B FB 45 33 C0 83 E7 DF 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C B8 01 00 00 00 8D 74 3E D0 01 44 24 4C 89 74 24 5C 44 39 44 24 60 74 05 44 2B E8 74 36 48 8B 5C 24 68 01 44 24 34 48 8B CB E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 4B FF FF FF FF 4C 24 34 41 3B FF 74 0D 48 8B D3 8B CF E8 ?? ?? ?? ?? 45 33 C0 8B 74 24 5C 44 38 44 24 40 74 06 F7 DE 89 74 24 5C 8B 44 24 4C 41 83 FE 46 41 0F 44 C0 85 C0 0F 84 A8 F7 FF FF 44 38 44 24 30 75 1F FF 44 24 70 8B 44 24 5C EB 05 44 8B 64 24 48 48 8B 4D A0 45 85 E4 74 13 48 8B 45 90 48 89 01 4C 8B 64 24 50 44 8B 74 24 34 EB 18 4C 8B 64 24 50 44 8B 74 24 34 44 38 44 24 38 74 04 89 01 EB 03 66 89 01 48 8B 74 24 68 41 BD 01 00 00 00 44 00 6C 24 39 4D 03 E5 4C 89 64 24 50 EB 62 41 38 0C 24 75 0B 49 8D 44 24 01 38 08 4C 0F 44 E0 45 03 F5 48 8B CE 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 0F B6 04 24 4D 03 E5 4C 89 64 24 50 3B C7 0F 85 8C 00 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 19 48 8B CE E8 ?? ?? ?? ?? 41 0F B6 0C 24 4D 03 E5 4C 89 64 24 50 3B C8 75 49 41 3B FF 75 17 41 80 3C 24 25 0F 85 D2 F6 FF FF 41 80 7C 24 01 6E 0F 85 C6 F6 FF FF 41 8A 04 24 33 DB 84 C0 0F 84 BA F6 FF FF E9 5C F1 FF FF 41 3B FF 0F 84 AA F6 FF FF 48 8B 54 24 68 8B CF E8 ?? ?? ?? ?? E9 99 F6 FF FF 41 3B C7 }
	condition:
		$1
}

rule file_66_3_0 {
	meta:
		name = "_mbsnset_s_l"
		size = 703
		refs = "0069 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0086 _strnset_s 00cb _ismbblead_l 01a5 _errno 0233 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 45 33 F6 33 F6 4D 8B E1 45 8B F8 48 8B FA 4C 8B E9 44 89 75 48 4D 85 C9 75 15 48 85 C9 75 19 48 85 D2 0F 85 47 02 00 00 33 C0 E9 53 02 00 00 48 85 C9 0F 84 37 02 00 00 48 85 D2 0F 84 2E 02 00 00 48 8B 55 50 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 5D E0 33 C9 41 39 4B 08 75 2D 4D 8B CC 45 8B C7 48 8B D7 49 8B CD E8 ?? ?? ?? ?? 44 8B D8 40 38 75 F0 74 0B 48 8B 45 E8 83 A0 C8 00 00 00 FD 41 8B C3 E9 FB 01 00 00 41 8B C7 49 8B DD C1 E8 08 89 45 D0 84 C0 0F 84 D3 00 00 00 45 84 FF 0F 84 DD 00 00 00 48 8D 55 D8 0F B6 C8 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 84 C7 00 00 00 41 38 4D 00 74 66 4D 85 E4 74 5D 48 FF CF 74 58 4C 8D 73 01 41 38 0E 0F 84 8A 00 00 00 85 F6 74 04 8B F1 EB 10 0F B6 0B 48 8D 55 D8 E8 ?? ?? ?? ?? 33 C9 8B F0 48 FF CF 8B 45 D0 88 03 49 8B DE 74 26 85 F6 74 04 8B F1 EB 11 41 0F B6 0E 48 8D 55 D8 E8 ?? ?? ?? ?? 33 C9 8B F0 48 FF C3 45 88 3E 49 FF CC 38 0B 75 9E 44 8B 75 48 4D 85 E4 0F 85 D1 00 00 00 85 F6 0F 84 C5 00 00 00 38 0B 0F 84 C1 00 00 00 48 FF CF 0F 84 B4 00 00 00 41 BE 01 00 00 00 38 4B 01 0F 85 98 00 00 00 88 0B 48 FF C7 E9 9B 00 00 00 88 0B 48 FF C7 41 BE 01 00 00 00 EB B8 48 8D 55 D8 41 0F B6 CF E8 ?? ?? ?? ?? 33 C9 85 C0 74 28 41 88 4D 00 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 40 38 75 F0 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD 8B C2 E9 D9 00 00 00 41 38 4D 00 0F 84 73 FF FF FF 4D 85 E4 0F 84 73 FF FF FF 48 FF CF 0F 84 61 FF FF FF 85 F6 74 04 8B F1 EB 10 0F B6 0B 48 8D 55 D8 E8 ?? ?? ?? ?? 33 C9 8B F0 44 88 3B 48 FF C3 49 FF CC 38 0B 75 C9 E9 37 FF FF FF C6 03 20 EB 05 48 FF CF 74 07 48 FF C3 38 0B 75 F4 48 85 FF 75 26 41 88 4D 00 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 40 38 7D F0 74 62 48 8B 4D E8 83 A1 C8 00 00 00 FD EB 55 45 85 F6 74 26 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 80 7D F0 00 0F 84 5C FF FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 4C FF FF FF 38 4D F0 0F 84 C9 FD FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 B9 FD FF FF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_67_0_0 {
	meta:
		name = "_fgetchar"
		size = 21
		refs = "0005 __iob_func 0011 getc"
		altNames = "getchar"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_178_0 {
	meta:
		name = "?CreateScheduleGroup@SchedulerBase@details@Concurrency@@UEAAPEAVScheduleGroup@3@XZ"
		size = 21
		refs = "0005 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 0011 ?CreateScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_132_37_0 {
	meta:
		name = "?GetCurrent@UMSThreadProxy@details@Concurrency@@SAPEAV123@XZ"
		size = 21
		refs = "0005 ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0011 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_701_0_0 {
	meta:
		name = "_fgetwchar"
		size = 21
		refs = "0005 __iob_func 0011 fgetwc"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_701_1_0 {
	meta:
		name = "getwchar"
		size = 21
		refs = "0005 __iob_func 0011 fgetwc"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_68_2_0 {
	meta:
		name = "_ungetch_nolock"
		size = 25
		refs = "0009 chbuf"
	strings:
		$1 = { 83 C8 FF 3B C8 74 11 39 05 ?? ?? ?? ?? 75 09 0F B6 C1 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_68_3_0 {
	meta:
		name = "_getextendedkeycode"
		size = 172
		refs = "0013 EnhancedKeys 0069 NormalKeys"
	strings:
		$1 = { 44 8B 41 0C 41 0F BA E0 08 73 57 44 0F B7 49 08 4C 8D 15 ?? ?? ?? ?? 33 D2 49 8B CA 8B C2 66 44 39 09 74 0D FF C2 48 83 C1 0A 83 FA 0C 72 EF F3 C3 48 63 C2 48 8D 0C 80 41 F6 C0 03 74 06 49 8D 44 4A 08 C3 41 F6 C0 0C 74 06 49 8D 44 4A 06 C3 41 F6 C0 10 74 06 49 8D 44 4A 04 C3 49 8D 44 4A 02 C3 0F B7 41 08 48 8D 0D ?? ?? ?? ?? 41 F6 C0 03 74 07 48 8D 44 C1 06 EB 1E 41 F6 C0 0C 74 07 48 8D 44 C1 04 EB 11 41 F6 C0 10 74 07 48 8D 44 C1 02 EB 04 48 8D 04 C1 33 D2 38 10 74 05 80 38 E0 75 05 38 50 01 75 03 48 8B C2 C3 }
	condition:
		$1
}

rule file_68_4_0 {
	meta:
		name = "_getch_nolock"
		size = 256
		refs = "000d __security_cookie 001b chbuf 0036 _coninpfh 0041 __initconin 0060 __imp_GetConsoleMode 006f __imp_SetConsoleMode 008e __imp_ReadConsoleInputA 00ba _getextendedkeycode 00f1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 8B 05 ?? ?? ?? ?? 83 F8 FF 74 0F 83 0D ?? ?? ?? ?? FF 0F B6 C0 E9 B5 00 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 07 0B C1 E9 8F 00 00 00 48 8D 54 24 24 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? BE 01 00 00 00 48 8B 0D ?? ?? ?? ?? 4C 8D 4C 24 20 48 8D 54 24 28 44 8B C6 FF 15 ?? ?? ?? ?? 85 C0 74 3C 83 7C 24 20 00 74 35 66 39 74 24 28 75 D4 83 7C 24 2C 00 74 CD 0F B6 5C 24 36 85 DB 75 21 48 8D 4C 24 2C E8 ?? ?? ?? ?? 48 85 C0 74 B5 0F B6 18 0F B6 40 01 89 05 ?? ?? ?? ?? EB 03 83 CB FF 8B 54 24 24 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B C3 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5E C3 }
	condition:
		$1
}

rule file_68_5_0 {
	meta:
		name = "_getche_nolock"
		size = 66
		refs = "0008 chbuf 001e _getch_nolock 002c _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? 83 F8 FF 74 0C 83 0D ?? ?? ?? ?? FF 0F B6 C0 EB 1F E8 ?? ?? ?? ?? 8B D8 83 F8 FF 74 10 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C3 EB 03 83 C8 FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_6_0 {
	meta:
		name = "_kbhit_nolock"
		size = 414
		refs = "001e __security_cookie 002e chbuf 0042 _coninpfh 004d __initconin 0068 __imp_GetNumberOfConsoleInputEvents 00bb __chkstk 00d9 malloc 010e __imp_PeekConsoleInputA 0148 _getextendedkeycode 0171 free 0184 __security_check_cookie"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8D 6C 24 20 48 89 5D 20 48 89 75 28 48 89 7D 30 4C 89 65 38 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 08 45 33 E4 83 3D ?? ?? ?? ?? FF 74 0A 41 8D 44 24 01 E9 3D 01 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 0F 84 18 01 00 00 48 8D 55 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 06 01 00 00 8B 7D 00 85 FF 0F 84 FB 00 00 00 33 D2 48 8D 42 E0 48 F7 F7 48 83 F8 14 72 66 48 8D 04 BF 48 8D 0C 85 10 00 00 00 48 81 F9 00 04 00 00 77 35 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 20 48 85 DB 0F 84 AA 00 00 00 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 C7 00 DD DD 00 00 8B 7D 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 7F 48 8B 0D ?? ?? ?? ?? 4C 8D 4D 04 44 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 74 4E 44 8B 5D 04 45 85 DB 74 45 44 3B 5D 00 77 3F 45 85 DB 74 3A 48 8D 73 04 BF 01 00 00 00 66 39 7E FC 75 1B 83 3E 00 74 16 80 7E 0A 00 75 0D 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 03 44 8B E7 41 FF CB 48 83 C6 14 44 89 5D 04 45 85 DB 75 CF 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 41 8B C4 EB 02 33 C0 48 8B 4D 08 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 20 48 8B 75 28 48 8B 7D 30 4C 8B 65 38 48 8D 65 10 5D C3 }
	condition:
		$1
}

rule file_68_7_0 {
	meta:
		name = "_ungetch"
		size = 46
		refs = "000e _lock 0016 _ungetch_nolock 0022 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 8B CB E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_412_1_0 {
	meta:
		name = "_putch"
		size = 46
		refs = "000e _lock 0016 _putch_nolock 0022 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 8B CB E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_8_0 {
	meta:
		name = "_ungetch$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_cgets_s$fin$0 _cputs$fin$0 _getch$fin$0 _getche$fin$0 _getwch$fin$0 _getwche$fin$0 _kbhit$fin$0 _putch$fin$0 _putwch$fin$0 _ungetwch$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_68_9_0 {
	meta:
		name = "_getch"
		size = 42
		refs = "000c _lock 0012 _getch_nolock 001e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_11_0 {
	meta:
		name = "_getche"
		size = 42
		refs = "000c _lock 0012 _getche_nolock 001e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_68_13_0 {
	meta:
		name = "_kbhit"
		size = 42
		refs = "000c _lock 0012 _kbhit_nolock 001e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 8B D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_69_3_0 {
	meta:
		name = "_strcoll_l"
		size = 204
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002a _errno 0035 _invalid_parameter_noinfo 0068 strcmp 0093 __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 6B 48 85 DB 74 D3 48 8B 45 E0 8B 50 10 85 D2 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 3D 8B 40 08 48 8D 4D E0 4C 8B CF 89 44 24 38 83 C8 FF 41 B8 00 10 00 00 89 44 24 30 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 91 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_70_5_0 {
	meta:
		name = "?strncnt@@YAHPEBDH@Z"
		size = 28
	strings:
		$1 = { 8B C2 85 D2 74 0E FF C8 80 39 00 74 09 48 FF C1 85 C0 75 F2 FF C8 2B D0 8D 42 FF C3 }
	condition:
		$1
}

rule file_70_6_0 {
	meta:
		name = "?__crtCompareStringA_stat@@YAHPEAUlocaleinfo_struct@@KKPEBDH1HH@Z"
		size = 836
		refs = "0019 __security_cookie 00f5 __imp_GetCPInfo 0174 __imp_MultiByteToWideChar 01bd __chkstk 01dd malloc 02fc __imp_CompareStringW 030f free 032f __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 68 48 8D 6C 24 30 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 28 8B BD A0 00 00 00 4C 8B A5 A8 00 00 00 33 DB 44 89 45 04 4D 8B E9 89 55 00 4C 8B C1 4C 89 65 08 41 BF 01 00 00 00 85 FF 7E 43 8B D7 49 8B C1 41 2B D7 83 C9 FF 38 18 74 09 49 03 C7 85 D2 75 EF 8B D1 8B C1 2B C2 03 F8 8B B5 B0 00 00 00 85 F6 7E 29 8B C6 49 8B D4 41 2B C7 38 1A 74 09 49 03 D7 85 C0 75 F2 8B C1 2B C8 03 F1 EB 12 83 C9 FF 3B F9 7D D4 33 C0 E9 88 02 00 00 3B F1 7C F5 44 8B B5 B8 00 00 00 45 85 F6 75 07 49 8B 00 44 8B 70 04 85 FF 74 08 85 F6 0F 85 99 00 00 00 3B FE 75 0A B8 02 00 00 00 E9 57 02 00 00 41 3B F7 7E 08 41 8B C7 E9 4A 02 00 00 41 3B FF 7E 0A B8 03 00 00 00 E9 3B 02 00 00 48 8D 55 10 41 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 9B 85 FF 7E 29 83 7D 10 02 72 DB 38 5D 16 48 8D 45 16 74 D2 38 58 01 74 CD 41 8A 4D 00 3A 08 72 05 3A 48 01 76 A4 48 83 C0 02 38 18 EB E4 85 F6 7E 2D 83 7D 10 02 72 A1 38 5D 16 48 8D 45 16 74 98 38 58 01 74 93 41 8A 0C 24 3A 08 72 09 3A 48 01 0F 86 73 FF FF FF 48 83 C0 02 38 18 EB E0 44 8B CF 4D 8B C5 BA 09 00 00 00 41 8B CE 89 5C 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 4C 63 F8 85 C0 0F 84 15 FF FF FF 49 B8 F0 FF FF FF FF FF FF 0F 7E 66 33 D2 48 8D 42 E0 49 F7 F7 48 83 F8 02 72 57 4B 8D 4C 3F 10 48 81 F9 00 04 00 00 77 30 48 8D 41 0F 48 3B C1 77 03 49 8B C0 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 4C 8D 64 24 30 4D 85 E4 0F 84 C6 FE FF FF 41 C7 04 24 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 0F C7 00 DD DD 00 00 49 83 C4 10 EB 03 4C 8B E3 4D 85 E4 0F 84 97 FE FF FF 44 8B CF 4D 8B C5 BA 01 00 00 00 41 8B CE 44 89 7C 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EC 00 00 00 4C 8B 45 08 44 8B CE BA 09 00 00 00 41 8B CE 89 5C 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 4C 63 E8 85 C0 0F 84 C3 00 00 00 7E 67 33 D2 48 8D 42 E0 49 F7 F5 48 83 F8 02 72 58 4B 8D 4C 2D 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 7B C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 48 8B FB 48 85 FF 74 52 4C 8B 45 08 44 8B CE BA 01 00 00 00 41 8B CE 44 89 6C 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 1E 8B 55 04 8B 4D 00 45 8B CF 4D 8B C4 44 89 6C 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 8B D8 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 49 8D 4C 24 F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 28 48 33 CD E8 ?? ?? ?? ?? 48 8D 65 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_70_7_0 {
	meta:
		name = "__crtCompareStringA"
		size = 137
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0062 ?__crtCompareStringA_stat@@YAHPEAUlocaleinfo_struct@@KKPEBDH1HH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 8B F2 48 8B D1 48 8D 4C 24 40 49 8B D9 41 8B F8 E8 ?? ?? ?? ?? 44 8B 9C 24 A8 00 00 00 8B 84 24 A0 00 00 00 48 8D 4C 24 40 44 89 5C 24 38 89 44 24 30 48 8B 84 24 98 00 00 00 48 89 44 24 28 8B 84 24 90 00 00 00 4C 8B CB 44 8B C7 8B D6 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_72_0_0 {
	meta:
		name = "store_dt"
		size = 50
	strings:
		$1 = { 44 8B C2 B8 67 66 66 66 F7 EA C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 01 8A C2 C0 E2 02 02 C2 02 C0 44 2A C0 48 8D 41 02 41 80 C0 30 44 88 41 01 C3 }
	condition:
		$1
}

rule file_72_1_0 {
	meta:
		name = "asctime_s"
		size = 773
		refs = "00a9 __ImageBase 00b1 _days 0145 __mnames 0160 __dnames 02ed _errno 02f9 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 4D 8B C8 4C 8B D1 48 85 C9 0F 84 D7 02 00 00 48 85 D2 0F 84 CE 02 00 00 C6 01 00 48 83 FA 1A 0F 82 C1 02 00 00 4D 85 C0 0F 84 B8 02 00 00 41 8B 50 14 85 D2 0F 88 AC 02 00 00 45 8B 40 10 45 85 C0 0F 88 9F 02 00 00 41 83 F8 0B 0F 8F 95 02 00 00 41 83 79 08 00 0F 8C 8A 02 00 00 41 83 79 08 17 0F 8F 7F 02 00 00 41 83 79 04 00 0F 8C 74 02 00 00 41 83 79 04 3B 0F 8F 69 02 00 00 41 83 39 00 0F 8C 5F 02 00 00 41 83 39 3B 0F 8F 55 02 00 00 41 83 79 0C 01 0F 8C 4A 02 00 00 49 63 49 10 4C 8D 1D ?? ?? ?? ?? 41 8B 84 8B ?? ?? ?? ?? 41 2B 84 8B ?? ?? ?? ?? 41 3B 41 0C 7D 66 8D 8A 6C 07 00 00 8B C1 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 85 C0 75 18 B8 1F 85 EB 51 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B CA 75 1F B8 1F 85 EB 51 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 0F 85 D8 01 00 00 41 83 F8 01 0F 85 CE 01 00 00 41 83 79 0C 1D 0F 8F C3 01 00 00 41 8B 41 18 85 C0 0F 88 B7 01 00 00 83 F8 06 0F 8F AE 01 00 00 43 8D 0C 40 4C 8D 05 ?? ?? ?? ?? 8D 04 40 48 63 D0 48 63 C1 48 2B D0 4A 8D 0C 00 49 2B D0 4E 8D 9C 1A ?? ?? ?? ?? 49 8B D2 48 2B D0 49 2B D0 41 B8 03 00 00 00 41 8A 04 0B 41 88 02 8A 01 48 FF C1 88 44 0A 03 49 FF C2 49 FF C8 75 E8 41 C6 02 20 41 C6 42 04 20 41 8B 49 0C B3 30 41 BB 67 66 66 66 41 8B C3 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 42 05 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C3 02 CB 41 88 4A 06 41 C6 42 07 20 41 8B 49 08 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 42 08 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C3 02 CB 41 88 4A 09 41 C6 42 0A 3A 41 8B 49 04 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 42 0B 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C3 02 CB 41 88 4A 0C 41 C6 42 0D 3A 41 8B 09 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 42 0E 8A C2 C0 E2 02 02 C2 02 C0 2A C8 B8 1F 85 EB 51 02 CB 41 88 4A 0F 41 C6 42 10 20 41 F7 69 14 C1 FA 05 8B C2 C1 E8 1F 44 8D 44 02 13 41 8B C3 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 B8 1F 85 EB 51 8D 0C 13 41 88 4A 11 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 44 02 C3 45 88 42 12 45 8B 41 14 41 F7 E8 C1 FA 05 41 8B C3 8B CA C1 E9 1F 03 D1 6B D2 64 44 2B C2 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 13 41 88 42 13 8A C2 C0 E2 02 02 C2 02 C0 44 2A C0 44 02 C3 33 C0 45 88 42 14 66 41 C7 42 15 0A 00 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_72_2_0 {
	meta:
		name = "asctime"
		size = 810
		refs = "0015 buf 001a _getptd_noexit 0036 _calloc_crt 00c8 __ImageBase 00d8 _days 0163 __mnames 017e __dnames 0309 _errno 0314 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 8D 3D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 21 48 83 78 68 00 75 16 BA 01 00 00 00 8D 4A 19 E8 ?? ?? ?? ?? 48 89 46 68 48 85 C0 74 04 48 8B 7E 68 4C 8B CF 48 85 FF 0F 84 B5 02 00 00 C6 07 00 48 85 DB 0F 84 A9 02 00 00 8B 53 14 85 D2 0F 88 9E 02 00 00 44 8B 43 10 45 85 C0 0F 88 91 02 00 00 41 83 F8 0B 0F 8F 87 02 00 00 83 7B 08 00 0F 8C 7D 02 00 00 83 7B 08 17 0F 8F 73 02 00 00 83 7B 04 00 0F 8C 69 02 00 00 83 7B 04 3B 0F 8F 5F 02 00 00 83 3B 00 0F 8C 56 02 00 00 83 3B 3B 0F 8F 4D 02 00 00 83 7B 0C 01 0F 8C 43 02 00 00 4C 8D 15 ?? ?? ?? ?? 49 63 C8 BE 1F 85 EB 51 41 8B 84 8A ?? ?? ?? ?? 41 2B 84 8A ?? ?? ?? ?? 3B 43 0C 7D 5F 8D 8A 6C 07 00 00 8B C1 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 85 C0 75 15 8B C6 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B CA 75 1C 8B C6 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 0F 85 D4 01 00 00 41 83 F8 01 0F 85 CA 01 00 00 83 7B 0C 1D 0F 8F C0 01 00 00 8B 43 18 85 C0 0F 88 B5 01 00 00 83 F8 06 0F 8F AC 01 00 00 43 8D 0C 40 4C 8D 05 ?? ?? ?? ?? 8D 04 40 48 63 D0 48 63 C1 48 2B D0 4A 8D 0C 00 49 2B D0 4E 8D 94 12 ?? ?? ?? ?? 48 8B D7 48 2B D0 49 2B D0 41 B8 03 00 00 00 41 8A 04 0A 41 88 01 8A 01 48 FF C1 88 44 0A 03 49 FF C1 49 FF C8 75 E8 41 C6 01 20 41 C6 41 04 20 8B 4B 0C 41 B3 30 41 BA 67 66 66 66 41 8B C2 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 41 88 41 05 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 02 CB 41 88 49 06 41 C6 41 07 20 8B 4B 08 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 41 88 41 08 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 02 CB 41 88 49 09 41 C6 41 0A 3A 8B 4B 04 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 41 88 41 0B 8A C2 C0 E2 02 02 C2 02 C0 2A C8 41 8B C2 41 02 CB 41 88 49 0C 41 C6 41 0D 3A 8B 0B F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 41 88 41 0E 8A C2 C0 E2 02 02 C2 02 C0 2A C8 8B C6 41 02 CB 41 88 49 0F 41 C6 41 10 20 F7 6B 14 C1 FA 05 8B C2 C1 E8 1F 8D 4C 02 13 41 8B C2 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8D 04 13 41 88 41 11 8A C2 C0 E2 02 02 C2 02 C0 2A C8 8B C6 41 02 CB 41 88 49 12 44 8B 43 14 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C2 6B D2 64 44 2B C2 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8A CA 41 8D 04 13 C0 E2 02 41 88 41 13 02 CA 48 8B C7 02 C9 44 2A C1 45 02 C3 45 88 41 14 66 41 C7 41 15 0A 00 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_73_0_0 {
	meta:
		name = "_wspawnle"
		size = 191
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 006b _wcapture_argv 0092 _wspawnve 00ac free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 38 02 00 00 33 ED 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 79 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D3 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 8B F8 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_129_0_0 {
	meta:
		name = "_wspawnlpe"
		size = 191
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 006b _wcapture_argv 0092 _wspawnvpe 00ac free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 38 02 00 00 33 ED 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 79 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D3 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 8B F8 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_75_0_0 {
	meta:
		name = "_fptostr"
		size = 204
		refs = "001a _errno 0026 _invalid_parameter_noinfo 00ab strlen 00bb memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 4D 8B 51 10 45 33 DB 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 90 00 00 00 48 85 D2 74 E3 41 8B C3 45 85 C0 44 88 19 41 0F 4F C0 FF C0 48 98 48 3B D0 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB CB C6 01 30 48 8D 41 01 EB 1B 45 38 1A 74 09 41 0F BE 0A 49 FF C2 EB 05 B9 30 00 00 00 88 08 48 FF C0 41 FF C8 45 85 C0 7F E0 44 88 18 78 15 41 80 3A 35 7C 0F EB 03 C6 00 30 48 FF C8 80 38 39 74 F5 FE 00 80 3B 31 75 06 41 FF 41 04 EB 19 48 8D 4B 01 E8 ?? ?? ?? ?? 48 8D 53 01 48 8B CB 4C 8D 40 01 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_76_0_0 {
	meta:
		name = "memcmp"
		size = 199
	strings:
		$1 = { 48 2B D1 49 83 F8 08 72 22 F6 C1 07 74 14 66 90 8A 01 3A 04 0A 75 2C 48 FF C1 49 FF C8 F6 C1 07 75 EE 4D 8B C8 49 C1 E9 03 75 1F 4D 85 C0 74 0F 8A 01 3A 04 0A 75 0C 48 FF C1 49 FF C8 75 F1 48 33 C0 C3 1B C0 83 D8 FF C3 90 49 C1 E9 02 74 37 48 8B 01 48 3B 04 0A 75 5B 48 8B 41 08 48 3B 44 0A 08 75 4C 48 8B 41 10 48 3B 44 0A 10 75 3D 48 8B 41 18 48 3B 44 0A 18 75 2E 48 83 C1 20 49 FF C9 75 CD 49 83 E0 1F 4D 8B C8 49 C1 E9 03 74 9B 48 8B 01 48 3B 04 0A 75 1B 48 83 C1 08 49 FF C9 75 EE 49 83 E0 07 EB 83 48 83 C1 08 48 83 C1 08 48 83 C1 08 48 8B 0C 11 48 0F C8 48 0F C9 48 3B C1 1B C0 83 D8 FF C3 }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "_wmktemp_s"
		size = 333
		refs = "0035 wcsnlen 0046 __threadid 00c6 _errno 00da _waccess_s 012c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 45 33 E4 48 8B F2 48 8B D9 48 85 C9 0F 84 F4 00 00 00 48 85 D2 0F 84 EB 00 00 00 E8 ?? ?? ?? ?? 48 8B E8 48 3B C6 0F 83 D6 00 00 00 E8 ?? ?? ?? ?? 48 8D 7C 6B FE 44 8B D8 48 83 FD 06 0F 82 BF 00 00 00 48 3B F5 0F 86 B6 00 00 00 45 8B C4 EB 3F 66 83 3F 58 0F 85 A7 00 00 00 49 83 F8 05 73 34 B8 CD CC CC CC 49 FF C0 41 F7 E3 C1 EA 03 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B D9 66 41 83 C3 30 66 44 89 1F 44 8B DA 48 83 EF 02 48 3B FB 73 BC 66 83 3F 58 75 67 49 83 F8 05 72 61 B8 61 00 00 00 66 89 07 8D 70 01 E8 ?? ?? ?? ?? 8B 28 E8 ?? ?? ?? ?? 33 D2 48 8B CB 44 89 20 E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 0C 83 FE 7B 74 12 66 89 37 FF C6 EB D4 E8 ?? ?? ?? ?? 89 28 33 C0 EB 2F 66 44 89 23 E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 17 66 44 89 23 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_78_1_0 {
	meta:
		name = "_wmktemp"
		size = 77
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0029 wcslen 0035 _wmktemp_s"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1A E8 ?? ?? ?? ?? 48 8B CB 48 8D 50 01 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_83_1_0 {
	meta:
		name = "_mktemp"
		size = 77
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0029 strlen 0035 _mktemp_s"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1A E8 ?? ?? ?? ?? 48 8B CB 48 8D 50 01 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_79_9_0 {
	meta:
		name = "_input_s_l"
		size = 4459
		refs = "0022 __security_cookie 0077 _errno 0082 _invalid_parameter_noinfo 009e _fileno 00a5 __badioinfo 00ac __pioinfo 0121 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0149 isspace 0160 _inc 017d _ungetc_nolock 01f9 isdigit 0598 __check_float_string 0749 free 0861 _cfltcvt_tab 0869 __imp_DecodePointer 092e memset 0c87 isleadbyte 0cc1 _mbtowc_l 0df8 isxdigit 114c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 80 FE FF FF 48 81 EC 80 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 70 01 00 00 45 33 F6 4C 8D 6D 10 4C 89 4D B8 49 8B D8 48 8B F2 48 89 54 24 70 4C 89 6C 24 78 4C 8B E1 48 89 4C 24 60 48 C7 45 A8 5E 01 00 00 44 89 75 88 66 44 89 75 80 41 8B FE 44 89 74 24 3C 44 89 74 24 44 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 B3 10 00 00 48 85 C9 74 E3 41 83 CF FF F6 41 18 40 75 7C E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 41 3B C7 74 1D 83 F8 FE 74 18 4C 63 C0 49 8B C8 41 83 E0 1F 48 C1 F9 05 4D 6B C0 58 4D 03 04 C9 EB 03 4C 8B C2 41 F6 40 38 7F 75 25 41 3B C7 74 1A 83 F8 FE 74 15 48 63 D0 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 03 14 C1 F6 42 38 80 74 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 41 8B C7 E9 28 10 00 00 48 8D 4D D0 48 8B D3 E8 ?? ?? ?? ?? 8A 06 33 C9 44 88 74 24 39 44 89 74 24 34 8B D9 89 4C 24 68 84 C0 0F 84 EE 0F 00 00 44 8D 69 01 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 50 45 2B F5 45 03 F5 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? 8B D8 41 3B C7 74 16 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 DD 49 8B D4 8B CB E8 ?? ?? ?? ?? 49 03 F5 0F B6 0E E8 ?? ?? ?? ?? 85 C0 75 F1 4C 8B 64 24 60 48 89 74 24 70 33 DB E9 A9 0E 00 00 B1 25 38 0E 0F 85 36 0E 00 00 38 4E 01 0F 84 1F 0E 00 00 4C 8B 74 24 70 BA 01 00 00 00 89 5C 24 5C 88 54 24 38 88 5D 84 89 5C 24 58 89 5C 24 50 44 8B EB 48 89 5D C0 88 5C 24 54 88 5C 24 40 88 5C 24 30 40 8A F3 88 5D A4 44 8A E3 8B FB 4C 03 F2 41 0F B6 1E 8B CB E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 14 43 8D 44 AD 00 41 8D 51 01 01 54 24 50 44 8D 6C 43 D0 EB 66 83 FB 2A 0F 84 07 01 00 00 83 FB 46 74 53 83 FB 49 0F 84 9F 00 00 00 83 FB 4C 0F 84 8B 00 00 00 83 FB 4E 74 3C 83 FB 68 74 2F BA 01 00 00 00 83 FB 6C 74 0A 83 FB 77 74 1B E9 CA 00 00 00 41 80 7E 01 6C 75 0B 49 FF C6 03 FA 4C 89 4D 90 EB 16 00 54 24 38 44 02 E2 EB 0D 44 00 7C 24 38 45 02 E7 BA 01 00 00 00 8A 4C 24 30 40 84 F6 0F 84 64 FF FF FF 89 7C 24 4C 8B 7C 24 3C 4C 89 74 24 70 44 8A 75 84 44 89 6C 24 48 84 C9 0F 85 93 00 00 00 48 8B 45 B8 48 89 45 B0 48 83 C0 08 48 89 45 B8 48 8B 40 F8 48 89 45 98 EB 7D BA 01 00 00 00 00 54 24 38 EB B0 41 8A 46 01 3C 36 75 16 49 8D 4E 02 80 39 34 75 0D 4C 8B F1 BA 01 00 00 00 E9 74 FF FF FF 3C 33 75 11 49 8D 4E 02 80 39 32 75 08 4C 8B F1 E9 78 FF FF FF 3C 64 74 DD 3C 69 74 D9 3C 6F 74 D5 3C 78 74 D1 3C 58 74 CD BA 01 00 00 00 4C 89 4D 90 03 FA 40 02 F2 E9 56 FF FF FF 8A 4C 24 30 BA 01 00 00 00 02 CA 88 4C 24 30 E9 46 FF FF FF 4C 89 4D 98 4C 8B 54 24 70 41 8A D9 45 84 E4 75 12 41 80 3A 53 74 09 41 80 3A 43 45 8A E7 75 03 44 8A E2 45 0F B6 2A 41 83 CD 20 44 89 6D C8 41 83 FD 6E 74 71 41 83 FD 63 74 42 41 83 FD 7B 74 3C 48 8B 74 24 60 44 8B 6C 24 34 48 8B CE 44 03 EA E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B C7 74 11 0F B6 C8 E8 ?? ?? ?? ?? BA 01 00 00 00 85 C0 75 D9 44 89 6C 24 34 44 8B 6D C8 EB 14 48 8B 4C 24 60 01 54 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 3B FF 0F 84 5F 03 00 00 4C 8B 54 24 70 8A 4C 24 30 45 33 C9 8B 44 24 50 8B 74 24 48 85 C0 74 08 85 F6 0F 84 63 0C 00 00 84 C9 75 4F 41 83 FD 63 74 0C 41 83 FD 73 74 06 41 83 FD 7B 75 3D 48 8B 45 B0 BA 01 00 00 00 48 8B 08 48 83 C0 08 4C 8B C0 48 89 45 B0 48 83 C0 08 48 89 45 B8 8B 40 F8 48 89 4D 98 48 89 45 C0 48 3B C2 0F 82 34 0C 00 00 8B 44 24 50 8A 4C 24 30 EB 09 4C 8B 45 B0 BA 01 00 00 00 41 83 FD 6F 0F 8F 44 04 00 00 0F 84 3E 09 00 00 41 83 FD 63 0F 84 15 04 00 00 41 83 FD 64 0F 84 2A 09 00 00 0F 8E 52 04 00 00 41 83 FD 67 7E 76 41 83 FD 69 74 58 41 83 FD 6E 0F 85 3C 04 00 00 44 8B 74 24 34 41 8B C6 84 C9 75 1E 44 8B 74 24 4C 48 8B 4D 98 45 85 F6 0F 84 08 0B 00 00 48 8B 45 90 48 89 01 44 8B 74 24 34 48 8B 74 24 70 4C 8B 64 24 60 41 BD 01 00 00 00 44 00 6C 24 39 49 03 F5 33 DB 48 89 74 24 70 E9 52 0B 00 00 41 BD 64 00 00 00 83 FF 2D 0F 85 24 05 00 00 88 54 24 40 E9 20 05 00 00 49 8B D9 83 FF 2D 75 0D 48 8B 44 24 78 48 8B DA 40 88 38 EB 05 83 FF 2B 75 28 4C 8B 6C 24 60 44 8B 64 24 48 44 8B 74 24 34 49 8B CD 44 2B E2 44 03 F2 E8 ?? ?? ?? ?? 45 33 C9 8B F8 89 44 24 3C EB 0F 44 8B 64 24 48 4C 8B 6C 24 60 44 8B 74 24 34 44 39 4C 24 50 40 0F B6 CF 45 0F 44 E7 E8 ?? ?? ?? ?? 33 F6 EB 5E 41 8B C4 B9 01 00 00 00 44 2B E1 85 C0 74 53 48 8B 44 24 78 01 4C 24 58 4C 8D 4D 10 40 88 3C 03 48 03 D9 48 8D 45 88 4C 8D 44 24 78 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 91 01 00 00 49 8B CD 41 FF C6 E8 ?? ?? ?? ?? 0F B6 C8 8B F8 89 44 24 3C E8 ?? ?? ?? ?? 85 C0 75 9E 48 8B 45 D0 48 8B 88 28 01 00 00 48 8B 01 B9 01 00 00 00 40 8A 30 40 3A F7 0F 85 B9 00 00 00 41 8B C4 44 2B E1 85 C0 0F 84 AB 00 00 00 44 03 F1 49 8B CD E8 ?? ?? ?? ?? 4C 8D 4D 10 4C 8D 44 24 78 8B F8 89 44 24 3C 48 8B 44 24 78 40 88 34 03 48 8D 45 88 48 FF C3 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 04 01 00 00 40 0F B6 CF E8 ?? ?? ?? ?? B9 01 00 00 00 85 C0 74 56 41 8B C4 44 2B E1 85 C0 74 4C 48 8B 44 24 78 01 4C 24 58 4C 8D 4D 10 40 88 3C 03 48 03 D9 48 8D 45 88 4C 8D 44 24 78 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 B2 00 00 00 49 8B CD 41 FF C6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 EB 9C 8B 74 24 58 85 F6 0F 84 70 01 00 00 83 FF 65 74 09 83 FF 45 0F 85 62 01 00 00 41 8B C4 44 2B E1 85 C0 0F 84 54 01 00 00 48 8B 44 24 78 4C 8D 4D 10 4C 8D 44 24 78 C6 04 03 65 48 03 D9 48 8D 45 88 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 46 49 8B CD 41 FF C6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 2D 75 7E 48 8B 44 24 78 4C 8D 4D 10 4C 8D 44 24 78 40 88 3C 03 48 8D 45 88 48 FF C3 48 8D 55 A8 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 C9 85 C0 75 55 44 8B 6C 24 44 45 33 E4 83 7D 88 01 75 0A 48 8B 4C 24 78 E8 ?? ?? ?? ?? 41 3B FF 0F 85 A6 09 00 00 8B 44 24 68 85 C0 75 08 8A 54 24 39 84 D2 74 03 44 8B F8 44 38 65 E8 0F 84 9E F9 FF FF 48 8B 4D E0 83 A1 C8 00 00 00 FD E9 8E F9 FF FF 83 F8 2B 75 27 33 C9 41 8B C4 BA 01 00 00 00 44 2B E2 85 C0 75 05 44 8B E1 EB 11 49 8B CD 44 03 F2 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 40 0F B6 CF EB 57 41 8B C4 BA 01 00 00 00 44 2B E2 85 C0 74 51 48 8B 44 24 78 03 F2 4C 8D 4D 10 40 88 3C 03 48 03 DA 48 8D 45 88 48 8D 55 A8 4C 8D 44 24 78 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 3D FF FF FF 49 8B CD 41 FF C6 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A0 B8 01 00 00 00 44 2B F0 44 89 74 24 34 41 3B FF 74 0F 49 8B D5 8B CF E8 ?? ?? ?? ?? B8 01 00 00 00 45 33 C9 85 F6 0F 84 B3 08 00 00 44 38 4C 24 30 0F 85 70 FC FF FF 48 8B 74 24 78 01 44 24 68 44 88 0C 33 0F BE 5C 24 38 48 8B 0D ?? ?? ?? ?? 2B D8 FF 15 ?? ?? ?? ?? 48 8B 55 98 4C 8D 4D D0 4C 8B C6 8B CB FF D0 E9 3B FC FF FF 85 C0 75 0A 03 F2 89 54 24 50 89 74 24 48 45 84 E4 0F 8E FC 02 00 00 40 8A F2 E9 F7 02 00 00 41 83 FD 70 0F 84 E4 04 00 00 41 83 FD 73 0F 84 D4 02 00 00 41 83 FD 75 0F 84 E2 04 00 00 41 83 FD 78 0F 84 1E FC FF FF 41 83 FD 7B 74 2D 41 0F B6 02 3B C7 0F 85 B7 07 00 00 8A 54 24 39 44 8B 74 24 34 41 02 D7 88 54 24 39 84 C9 0F 85 CA FB FF FF 4C 89 45 B8 E9 C1 FB FF FF 8B 75 A4 45 84 E4 40 0F B6 F6 0F 4F F2 4C 03 D2 41 80 3A 5E 4C 89 54 24 70 75 0D 49 FF C2 44 88 7C 24 54 4C 89 54 24 70 33 D2 48 8D 4D F0 44 8D 42 20 E8 ?? ?? ?? ?? 4C 8B 54 24 70 B3 5D 41 BB 01 00 00 00 41 38 1A 75 0A 44 8A F3 4D 03 D3 C6 45 FB 20 45 33 C9 41 8A 02 3A C3 0F 84 A4 00 00 00 4D 03 D3 3C 2D 75 7B 45 84 F6 74 76 41 8A 0A 3A CB 74 6F 4D 03 D3 4C 89 54 24 70 44 3A F1 73 05 44 8A C9 EB 06 45 8A CE 44 8A F1 45 3A F1 73 2C 45 0F B6 D6 41 0F B6 CE 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 F3 D2 E2 4D 03 D3 42 08 54 05 F0 45 3A F1 72 DD 4C 8B 54 24 70 41 0F B6 C1 45 0F B6 C1 41 8B D3 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 F0 45 33 C9 45 8A F1 E9 73 FF FF FF 44 0F B6 C0 44 8A F0 0F B6 C0 83 E0 07 41 8B D3 49 C1 E8 03 8A C8 D2 E2 42 08 54 05 F0 E9 51 FF FF FF 45 38 0A 0F 84 2C FD FF FF 4C 89 54 24 70 E9 84 01 00 00 83 FF 2B 75 16 2B F2 89 74 24 48 0F 85 D4 00 00 00 85 C0 0F 84 CC 00 00 00 8A DA 44 8B 74 24 34 4C 8B 64 24 60 83 FF 30 75 53 41 FF C6 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 3C 78 0F 84 ED 00 00 00 3C 58 0F 84 E5 00 00 00 B8 01 00 00 00 89 44 24 58 41 83 FD 78 0F 84 AA 00 00 00 45 33 C9 44 39 4C 24 50 74 0A 2B F0 89 74 24 48 75 02 02 D8 41 BD 6F 00 00 00 44 8B 74 24 4C 45 85 F6 0F 84 FC 03 00 00 48 8B 75 90 84 DB 0F 85 D9 03 00 00 44 8B 64 24 48 48 8B 5C 24 60 41 83 FD 78 0F 84 33 03 00 00 41 83 FD 70 0F 84 29 03 00 00 40 0F B6 CF E8 ?? ?? ?? ?? 45 33 C9 85 C0 0F 84 8D 03 00 00 41 83 FD 6F 0F 85 02 03 00 00 83 FF 38 0F 8D 7A 03 00 00 48 C1 E6 03 E9 33 03 00 00 44 8B 74 24 34 4C 8B 64 24 60 44 03 F2 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? 45 33 C9 8B F8 89 44 24 3C E9 18 FF FF FF 44 2B F0 44 89 74 24 34 41 3B FF 74 0A 49 8B D4 8B CF E8 ?? ?? ?? ?? BF 30 00 00 00 45 33 C9 89 7C 24 3C E9 48 FF FF FF 41 BD 01 00 00 00 49 8B CC 45 03 F5 44 89 74 24 34 E8 ?? ?? ?? ?? 45 33 C9 8B F8 89 44 24 3C 44 39 4C 24 50 74 0F 83 EE 02 89 74 24 48 41 3B F5 7D 03 41 02 DD 41 BD 78 00 00 00 E9 08 FF FF FF 0F B6 75 A4 45 84 E4 0F 4F F2 EB 03 8B 75 A4 8B 54 24 34 48 8B 5D 98 41 B8 01 00 00 00 41 2B D0 89 54 24 34 41 3B FF 74 16 48 8B 54 24 60 8B CF E8 ?? ?? ?? ?? 8B 54 24 34 41 B8 01 00 00 00 4C 8B 65 C0 41 83 FD 63 74 03 4D 2B E0 44 8A 74 24 54 45 33 C9 44 39 4C 24 50 74 15 8B 4C 24 48 8B C1 41 2B C8 89 4C 24 48 85 C0 0F 84 87 01 00 00 48 8B 4C 24 60 41 03 D0 89 54 24 34 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 3C 41 3B FF 0F 84 FE 00 00 00 41 83 FD 63 74 43 41 83 FD 73 75 13 83 FF 09 7C 09 83 FF 0D 0F 8E E4 00 00 00 83 FF 20 75 2A 41 83 FD 7B 0F 85 D5 00 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 F0 41 0F BE C6 33 C8 0F A3 D1 0F 83 B5 00 00 00 45 33 C9 44 38 4C 24 30 0F 85 95 00 00 00 4D 85 E4 0F 84 34 04 00 00 40 84 F6 74 6E 40 0F B6 CF 40 88 7D A0 E8 ?? ?? ?? ?? 85 C0 74 11 48 8B 4C 24 60 FF 44 24 34 E8 ?? ?? ?? ?? 88 45 A1 B8 3F 00 00 00 4C 8D 4D D0 48 8D 55 A0 66 89 45 80 48 8B 45 D0 48 8D 4D 80 4C 63 80 0C 01 00 00 E8 ?? ?? ?? ?? 48 8B 45 98 44 0F B7 5D 80 8B 54 24 34 66 44 89 18 48 83 C0 02 41 B8 01 00 00 00 48 89 45 98 4D 2B E0 E9 ED FE FF FF 48 8B 45 98 41 B8 01 00 00 00 40 88 38 49 03 C0 4D 2B E0 48 89 45 98 EB 09 41 B8 01 00 00 00 49 03 D8 8B 54 24 34 E9 C5 FE FF FF 44 8B 74 24 34 41 B8 01 00 00 00 45 2B F0 44 89 74 24 34 41 3B FF 74 12 48 8B 54 24 60 8B CF E8 ?? ?? ?? ?? 41 B8 01 00 00 00 45 33 C9 48 8B 45 98 48 3B D8 0F 84 E4 F9 FF FF 44 38 4C 24 30 0F 85 60 F7 FF FF 8B 5C 24 68 41 03 D8 89 5C 24 68 41 83 FD 63 0F 84 4B F7 FF FF 40 84 F6 74 10 66 44 89 08 E9 3D F7 FF FF 44 8B 74 24 34 EB BE 44 88 08 E9 2E F7 FF FF 44 8B 74 24 4C 88 54 24 38 4C 89 4D 90 44 03 F2 EB 05 44 8B 74 24 4C 83 FF 2D 75 06 88 54 24 40 EB 09 83 FF 2B 0F 85 DC FC FF FF 2B F2 89 74 24 48 75 0B 85 C0 74 07 8A DA E9 C9 FC FF FF 48 8B 4C 24 60 01 54 24 34 E8 ?? ?? ?? ?? 45 33 C9 8B F8 89 44 24 3C E9 AD FC FF FF 48 8D 34 B6 48 03 F6 EB 3A 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 66 48 C1 65 90 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 48 8B 75 90 8B FB 83 E7 DF 45 33 C9 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C 8D 47 D0 BA 01 00 00 00 01 54 24 58 48 63 C8 48 03 F1 48 89 75 90 44 39 4C 24 50 74 05 44 2B E2 74 36 48 8B 5C 24 60 01 54 24 34 48 8B CB E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 4B FC FF FF FF 4C 24 34 41 3B FF 74 0D 48 8B D3 8B CF E8 ?? ?? ?? ?? 45 33 C9 48 8B 75 90 44 38 4C 24 40 0F 84 FE 00 00 00 48 F7 DE 48 89 75 90 E9 F2 00 00 00 8B 74 24 5C 84 DB 0F 85 D9 00 00 00 44 8B 64 24 48 48 8B 5C 24 60 41 83 FD 78 74 36 41 83 FD 70 74 30 40 0F B6 CF E8 ?? ?? ?? ?? 45 33 C9 85 C0 0F 84 95 00 00 00 41 83 FD 6F 75 0E 83 FF 38 0F 8D 86 00 00 00 C1 E6 03 EB 48 8D 04 B6 8D 34 00 EB 40 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 45 33 C9 85 C0 74 67 8B 44 24 5C 8B CE 40 0F BE DF C1 E0 04 89 44 24 5C E8 ?? ?? ?? ?? 8B 74 24 5C 8B FB 45 33 C9 83 E7 DF 83 EF 07 85 C0 0F 45 FB 89 7C 24 3C B8 01 00 00 00 8D 74 3E D0 01 44 24 58 89 74 24 5C 44 39 4C 24 50 74 05 44 2B E0 74 36 48 8B 5C 24 60 01 44 24 34 48 8B CB E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 4B FF FF FF FF 4C 24 34 41 3B FF 74 0D 48 8B D3 8B CF E8 ?? ?? ?? ?? 45 33 C9 8B 74 24 5C 44 38 4C 24 40 74 06 F7 DE 89 74 24 5C 8B 44 24 58 41 83 FD 46 41 0F 44 C1 85 C0 0F 84 95 F7 FF FF 44 38 4C 24 30 0F 85 0C F5 FF FF FF 44 24 68 8B 44 24 5C E9 EB F4 FF FF 44 8B 74 24 34 44 38 4C 24 38 74 07 89 01 E9 F1 F4 FF FF 66 89 01 E9 E9 F4 FF FF 38 0E 75 0A 48 8D 46 01 38 08 48 0F 44 F0 45 03 F5 49 8B CC 44 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 06 49 03 F5 48 89 74 }
	condition:
		$1
}

rule file_80_0_0 {
	meta:
		name = "__crtMessageBoxA"
		size = 520
		refs = "0012 __security_cookie 0028 _encoded_null 0031 ?pfnMessageBox@?1??__crtMessageBoxA@@9@9 0041 ??_C@_1BG@GOEBHBDC@?$AAU?$AAS?$AAE?$AAR?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 0047 __imp_LoadLibraryW 005a ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 0063 __imp_GetProcAddress 0075 __imp_EncodePointer 007c ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 009c ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 00a6 ?pfnGetActiveWindow@?1??__crtMessageBoxA@@9@9 00bc ??_C@_0BK@CIDNPOGP@GetUserObjectInformationA?$AA@ 00c6 ?pfnGetLastActivePopup@?1??__crtMessageBoxA@@9@9 00df ?pfnGetUserObjectInformation@?1??__crtMessageBoxA@@9@9 00eb ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 0104 ?pfnGetProcessWindowStation@?1??__crtMessageBoxA@@9@9 0130 __imp_DecodePointer 01f5 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 41 8B E8 4C 8B F2 4C 8B E9 E8 ?? ?? ?? ?? 33 DB 48 39 1D ?? ?? ?? ?? 48 8B F8 0F 85 D5 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 93 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 7A 01 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 4C 8B D8 48 89 05 ?? ?? ?? ?? 48 85 C0 74 22 48 8D 15 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 10 48 8B 05 ?? ?? ?? ?? EB 0E 48 8B 05 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 48 3B C7 74 62 4C 3B DF 74 5D 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B F0 FF 15 ?? ?? ?? ?? 4C 8B E0 48 85 F6 74 3C 48 85 C0 74 37 FF D6 48 85 C0 74 2A 48 8D 4C 24 30 41 B9 0C 00 00 00 4C 8D 44 24 38 48 89 4C 24 20 41 8D 51 F5 48 8B C8 41 FF D4 85 C0 74 07 F6 44 24 40 01 75 06 0F BA ED 15 EB 40 48 8B 0D ?? ?? ?? ?? 48 3B CF 74 34 FF 15 ?? ?? ?? ?? 48 85 C0 74 29 FF D0 48 8B D8 48 85 C0 74 1F 48 8B 0D ?? ?? ?? ?? 48 3B CF 74 13 FF 15 ?? ?? ?? ?? 48 85 C0 74 08 48 8B CB FF D0 48 8B D8 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 10 44 8B CD 4D 8B C6 49 8B D5 48 8B CB FF D0 EB 02 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_591_0_0 {
	meta:
		name = "__crtMessageBoxW"
		size = 520
		refs = "0012 __security_cookie 0028 _encoded_null 0031 ?pfnMessageBox@?1??__crtMessageBoxW@@9@9 0041 ??_C@_1BG@GOEBHBDC@?$AAU?$AAS?$AAE?$AAR?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 0047 __imp_LoadLibraryW 005a ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 0063 __imp_GetProcAddress 0075 __imp_EncodePointer 007c ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 009c ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 00a6 ?pfnGetActiveWindow@?1??__crtMessageBoxW@@9@9 00bc ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 00c6 ?pfnGetLastActivePopup@?1??__crtMessageBoxW@@9@9 00df ?pfnGetUserObjectInformation@?1??__crtMessageBoxW@@9@9 00eb ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 0104 ?pfnGetProcessWindowStation@?1??__crtMessageBoxW@@9@9 0130 __imp_DecodePointer 01f5 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 41 8B E8 4C 8B F2 4C 8B E9 E8 ?? ?? ?? ?? 33 DB 48 39 1D ?? ?? ?? ?? 48 8B F8 0F 85 D5 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 93 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 7A 01 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 4C 8B D8 48 89 05 ?? ?? ?? ?? 48 85 C0 74 22 48 8D 15 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 10 48 8B 05 ?? ?? ?? ?? EB 0E 48 8B 05 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 48 3B C7 74 62 4C 3B DF 74 5D 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B F0 FF 15 ?? ?? ?? ?? 4C 8B E0 48 85 F6 74 3C 48 85 C0 74 37 FF D6 48 85 C0 74 2A 48 8D 4C 24 30 41 B9 0C 00 00 00 4C 8D 44 24 38 48 89 4C 24 20 41 8D 51 F5 48 8B C8 41 FF D4 85 C0 74 07 F6 44 24 40 01 75 06 0F BA ED 15 EB 40 48 8B 0D ?? ?? ?? ?? 48 3B CF 74 34 FF 15 ?? ?? ?? ?? 48 85 C0 74 29 FF D0 48 8B D8 48 85 C0 74 1F 48 8B 0D ?? ?? ?? ?? 48 3B CF 74 13 FF 15 ?? ?? ?? ?? 48 85 C0 74 08 48 8B CB FF D0 48 8B D8 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 10 44 8B CD 4D 8B C6 49 8B D5 48 8B CB FF D0 EB 02 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_81_0_0 {
	meta:
		name = "strchr"
		size = 26
	strings:
		$1 = { EB 07 3A C2 74 0D 48 FF C1 8A 01 84 C0 75 F3 3A C2 75 04 48 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_82_0_0 {
	meta:
		name = "logf"
		size = 597
		refs = "001b __mask_127 002d __real_inf 0042 __real_mant 004a __real_one 0051 __real_neg127 0060 __mask_mant_all7 0067 __mask_mant8 0078 __real_ef 0085 __real_notsign 008c __real_threshold 00a3 __real_half 00b2 __log_F_inv 00d8 __real_1_over_3 00e4 __real_1_over_2 00ec __real_log2_tail 00f3 __log_128_tail 00fa __log_128_lead 010e __real_log2_lead 0144 __real_two 017c __real_ca2 0184 __real_ca1 01c9 __mask_253 01e6 __real_ninf 01ed __flag_x_zero 01f2 _logf_special 0204 __real_neg_qnan 020b __flag_x_neg 0232 __real_qnanbit 023d __flag_x_nan"
	strings:
		$1 = { 48 83 EC 78 33 C0 66 0F 6F D8 F3 0F 10 E0 66 0F 72 D3 17 66 0F 7E C0 66 0F FA 1D ?? ?? ?? ?? 66 0F 6F D0 0F 5B EB 66 0F 6F C8 0F 54 0D ?? ?? ?? ?? 0F 2F 0D ?? ?? ?? ?? 0F 84 E2 01 00 00 66 0F DB 15 ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? 0F 2F 2D ?? ?? ?? ?? 0F 84 45 01 00 00 44 8B C8 23 05 ?? ?? ?? ?? 44 23 0D ?? ?? ?? ?? 41 D1 E1 41 03 C1 89 44 24 30 0F 2F 05 ?? ?? ?? ?? 0F 84 AE 00 00 00 0F 54 25 ?? ?? ?? ?? 0F 2F 25 ?? ?? ?? ?? 0F 82 AA 00 00 00 F3 0F 10 4C 24 30 C1 E8 10 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 0F 57 E4 0F 2F C4 0F 86 1E 01 00 00 F3 0F 5C CA F3 41 0F 59 0C 81 F3 0F 10 D1 F3 0F 10 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 59 DD F3 0F 58 CA F3 0F 10 05 ?? ?? ?? ?? F3 0F 5C D9 F3 0F 59 C5 F3 41 0F 58 1C 81 F3 41 0F 58 04 82 F3 0F 58 C3 48 83 C4 78 C3 90 F3 0F 10 05 ?? ?? ?? ?? 48 83 C4 78 C3 0F 1F 00 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 C8 F3 0F 5E CA F3 0F 10 E0 F3 0F 59 E1 F3 0F 58 C9 F3 0F 10 D1 F3 0F 59 D2 F3 0F 10 D9 F3 0F 59 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C D4 F3 0F 58 C2 48 83 C4 78 C3 0F 1F 80 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F3 0F 5C 15 ?? ?? ?? ?? 66 0F 6F EA 66 0F DB 15 ?? ?? ?? ?? 66 0F 7E D0 66 0F 72 D5 17 66 0F FA 2D ?? ?? ?? ?? 0F 5B ED E9 86 FE FF FF 66 66 66 0F 1F 84 00 00 00 00 00 75 1E F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 0F 1F 84 00 00 00 00 00 F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 66 0F 1F 84 00 00 00 00 00 3B 05 ?? ?? ?? ?? 74 28 3B 05 ?? ?? ?? ?? 74 D0 0B 05 ?? ?? ?? ?? 66 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 0F 1F 84 00 00 00 00 00 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_83_0_0 {
	meta:
		name = "_mktemp_s"
		size = 330
		refs = "0032 strnlen 0043 __threadid 006d _ismbstrail 00c5 _errno 00d9 _access_s 0129 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B F2 48 8B D9 48 85 C9 0F 84 F4 00 00 00 48 85 D2 0F 84 EB 00 00 00 E8 ?? ?? ?? ?? 48 8B E8 48 3B C6 0F 83 D7 00 00 00 E8 ?? ?? ?? ?? 48 8D 7C 2B FF 44 8B E0 48 83 FD 06 0F 82 C0 00 00 00 48 3B F5 0F 86 B7 00 00 00 33 F6 EB 46 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 3C 80 3F 58 0F 85 9B 00 00 00 48 83 FE 05 73 2D B8 CD CC CC CC 48 FF C6 41 F7 E4 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A E1 41 80 C4 30 44 88 27 44 8B E2 48 FF CF 48 3B FB 73 B5 80 3F 58 75 63 48 83 FE 05 72 5D C6 07 61 BE 62 00 00 00 E8 ?? ?? ?? ?? 8B 28 E8 ?? ?? ?? ?? 33 D2 48 8B CB 83 20 00 E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? 83 38 0D 75 0C 83 FE 7B 74 12 40 88 37 FF C6 EB D4 E8 ?? ?? ?? ?? 89 28 33 C0 EB 2D C6 03 00 E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 16 C6 03 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_86_3_0 {
	meta:
		name = "_mbscmp_l"
		size = 267
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0031 _errno 003c _invalid_parameter_noinfo 0071 strcmp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 33 F6 48 85 FF 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 9B 00 00 00 48 85 DB 74 D0 4C 8B 45 E8 41 39 70 08 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 6E 0F B6 0F 48 FF C7 42 F6 44 01 1D 04 74 16 40 38 37 75 04 8B CE EB 0D 0F B6 07 66 C1 E1 08 66 0B C8 48 FF C7 0F B6 13 48 FF C3 42 F6 44 02 1D 04 74 16 40 38 33 75 04 8B D6 EB 0D 0F B6 03 66 C1 E2 08 66 0B D0 48 FF C3 66 3B D1 75 1A 66 85 C9 75 AE 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 18 1B C0 83 E0 02 FF C8 40 38 75 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_87_1_0 {
	meta:
		name = "__initstdio"
		size = 224
		refs = "0008 _nstream 0030 _calloc_crt 0037 __piob 0069 _iob 009b __pioinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 05 ?? ?? ?? ?? BB 14 00 00 00 85 C0 75 07 B8 00 02 00 00 EB 05 3B C3 0F 4C C3 48 63 C8 BA 08 00 00 00 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 24 8D 50 08 48 8B CB 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 07 B8 1A 00 00 00 EB 76 33 C9 48 8D 15 ?? ?? ?? ?? 48 89 14 01 48 83 C2 30 48 83 C1 08 48 FF CB 74 09 48 8B 05 ?? ?? ?? ?? EB E6 45 33 C0 48 8D 15 ?? ?? ?? ?? 45 8D 48 03 49 8B C8 4C 8D 15 ?? ?? ?? ?? 49 8B C0 48 C1 F8 05 83 E1 1F 49 8B 04 C2 48 6B C9 58 4C 8B 14 01 49 83 FA FF 74 0B 49 83 FA FE 74 05 4D 85 D2 75 06 C7 02 FE FF FF FF 49 FF C0 48 83 C2 30 49 FF C9 75 BD 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_87_2_0 {
	meta:
		name = "__endstdio"
		size = 39
		refs = "0005 _flushall 000b _exitflag 0013 _fcloseall 001a __piob 0023 free"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_3_0 {
	meta:
		name = "_lock_file"
		size = 99
		refs = "000c _iob 0044 _lock 005f __imp_EnterCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 0D ?? ?? ?? ?? 48 3B D9 72 3E 48 8D 05 ?? ?? ?? ?? 48 3B D8 77 32 48 8B D3 48 B8 AB AA AA AA AA AA AA 2A 48 2B D1 48 F7 EA 48 C1 FA 03 48 8B CA 48 C1 E9 3F 8D 4C 11 10 E8 ?? ?? ?? ?? 0F BA 6B 18 0F 48 83 C4 20 5B C3 48 8D 4B 30 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_4_0 {
	meta:
		name = "_lock_file2"
		size = 49
		refs = "0012 _lock 002d __imp_EnterCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 83 F9 14 7D 13 83 C1 10 E8 ?? ?? ?? ?? 0F BA 6B 18 0F 48 83 C4 20 5B C3 48 8D 4A 30 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_5_0 {
	meta:
		name = "_unlock_file"
		size = 76
		refs = "0003 _iob 003d _unlock 0048 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 8D 15 ?? ?? ?? ?? 48 3B CA 72 35 48 8D 05 ?? ?? ?? ?? 48 3B C8 77 29 0F BA 71 18 0F 48 2B CA 48 B8 AB AA AA AA AA AA AA 2A 48 F7 E9 48 C1 FA 03 48 8B CA 48 C1 E9 3F 8D 4C 11 10 E9 ?? ?? ?? ?? 48 83 C1 30 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_6_0 {
	meta:
		name = "_unlock_file2"
		size = 29
		refs = "000e _unlock 0019 __imp_LeaveCriticalSection"
	strings:
		$1 = { 83 F9 14 7D 0D 0F BA 72 18 0F 83 C1 10 E9 ?? ?? ?? ?? 48 8D 4A 30 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_0_0 {
	meta:
		name = "_mbsnbcpy_s"
		size = 20
		refs = "000b _mbsnbcpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_459_7_0 {
	meta:
		name = "_aligned_recalloc"
		size = 20
		refs = "000b _aligned_offset_recalloc"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_569_20_0 {
	meta:
		name = "_cftof"
		size = 20
		refs = "000b _cftof_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_172_0_0 {
	meta:
		name = "_mbccpy_s"
		size = 20
		refs = "000b _mbccpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_909_0_0 {
	meta:
		name = "_mbsnbcat_s"
		size = 20
		refs = "000b _mbsnbcat_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_625_0_0 {
	meta:
		name = "_mbsnbset_s"
		size = 20
		refs = "000b _mbsnbset_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_888_0_0 {
	meta:
		name = "_mbsncat_s"
		size = 20
		refs = "000b _mbsncat_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "_mbsncpy_s"
		size = 20
		refs = "000b _mbsncpy_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "_mbsnset_s"
		size = 20
		refs = "000b _mbsnset_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_195_4_0 {
	meta:
		name = "wctomb_s"
		size = 20
		refs = "000b _wctomb_s_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "fast_error_exit"
		size = 44
		refs = "0008 __error_mode 0012 _FF_MSGBANNER 0019 _NMSG_WRITE 0028 __crtExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 83 3D ?? ?? ?? ?? 01 8B D9 75 05 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? B9 FF 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_2_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 409
		refs = "0014 __imp_GetStartupInfoW 0021 __ImageBase 006c _heap_init 0076 __error_mode 007e _FF_MSGBANNER 0088 _NMSG_WRITE 0092 __crtExitProcess 0097 _mtinit 00c2 _RTC_Initialize 00c8 _ioinit 00d6 _amsg_exit 00dc __imp_GetCommandLineA 00e3 _acmdln 00e8 __crtGetEnvironmentStringsA 00ef _aenvptr 00f4 _setargv 0107 _setenvp 011f _cinit 012f _wincmdln 0150 WinMain 0161 exit 0166 _cexit 017b _exit 0181 _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 81 EC A0 00 00 00 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 41 BB 4D 5A 00 00 48 8D 3D ?? ?? ?? ?? 66 44 39 1D ?? ?? ?? ?? 74 04 33 DB EB 31 48 63 05 ?? ?? ?? ?? 48 03 C7 81 38 50 45 00 00 75 EA B9 0B 02 00 00 66 39 48 18 75 DF 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 9C 24 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 44 24 6C 01 0F B7 54 24 70 41 B9 0A 00 00 00 44 0F 45 CA 4C 8B C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B F8 83 BC 24 B0 00 00 00 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 9C 24 B8 00 00 00 48 81 C4 A0 00 00 00 5F C3 }
	condition:
		$1
}

rule file_814_2_0 {
	meta:
		name = "__tmainCRTStartup"
		size = 409
		refs = "0014 __imp_GetStartupInfoW 0021 __ImageBase 006c _heap_init 0076 __error_mode 007e _FF_MSGBANNER 0088 _NMSG_WRITE 0092 __crtExitProcess 0097 _mtinit 00c2 _RTC_Initialize 00c8 _ioinit 00d6 _amsg_exit 00dc __imp_GetCommandLineW 00e3 _wcmdln 00e8 __crtGetEnvironmentStringsW 00ef _wenvptr 00f4 _wsetargv 0107 _wsetenvp 011f _cinit 012f _wwincmdln 0150 wWinMain 0161 exit 0166 _cexit 017b _exit 0181 _c_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 81 EC A0 00 00 00 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 41 BB 4D 5A 00 00 48 8D 3D ?? ?? ?? ?? 66 44 39 1D ?? ?? ?? ?? 74 04 33 DB EB 31 48 63 05 ?? ?? ?? ?? 48 03 C7 81 38 50 45 00 00 75 EA B9 0B 02 00 00 66 39 48 18 75 DF 33 DB 83 B8 84 00 00 00 0E 76 09 39 98 F8 00 00 00 0F 95 C3 89 9C 24 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 1C 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 85 C0 79 0A B9 1B 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 0A B9 09 00 00 00 E8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 44 24 6C 01 0F B7 54 24 70 41 B9 0A 00 00 00 44 0F 45 CA 4C 8B C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 8B F8 89 44 24 20 85 DB 75 07 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B F8 83 BC 24 B0 00 00 00 00 75 08 8B C8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 8B C7 48 8B 9C 24 B8 00 00 00 48 81 C4 A0 00 00 00 5F C3 }
	condition:
		$1
}

rule file_90_0_0 {
	meta:
		name = "vscan_fn"
		size = 175
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 0057 wcslen"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4C 48 85 FF 74 E6 48 8B CB E8 ?? ?? ?? ?? C7 44 24 38 49 00 00 00 48 89 5C 24 30 48 89 5C 24 20 48 3D FF FF FF 3F 76 0A C7 44 24 28 FF FF FF 7F EB 06 03 C0 89 44 24 28 4C 8B 8C 24 80 00 00 00 48 8D 4C 24 20 4C 8B C6 48 8B D7 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_90_1_0 {
	meta:
		name = "swscanf"
		size = 53
		refs = "0020 _winput_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_104_2_0 {
	meta:
		name = "fscanf"
		size = 53
		refs = "0020 _input_l 002c vfscanf"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_104_4_0 {
	meta:
		name = "fscanf_s"
		size = 53
		refs = "0020 _input_s_l 002c vfscanf"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_904_2_0 {
	meta:
		name = "fwscanf"
		size = 53
		refs = "0020 _winput_l 002c vfwscanf"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_904_4_0 {
	meta:
		name = "fwscanf_s"
		size = 53
		refs = "0020 _winput_s_l 002c vfwscanf"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_694_1_0 {
	meta:
		name = "sscanf"
		size = 53
		refs = "0020 _input_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_694_3_0 {
	meta:
		name = "sscanf_s"
		size = 53
		refs = "0020 _input_s_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_90_3_0 {
	meta:
		name = "swscanf_s"
		size = 53
		refs = "0020 _winput_s_l 002c vscan_fn"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4C 8B C2 49 8D 43 18 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_90_2_0 {
	meta:
		name = "_swscanf_l"
		size = 49
		refs = "001f _winput_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_104_3_0 {
	meta:
		name = "_fscanf_l"
		size = 49
		refs = "001f _input_l 0028 vfscanf"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_104_5_0 {
	meta:
		name = "_fscanf_s_l"
		size = 49
		refs = "001f _input_s_l 0028 vfscanf"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_904_3_0 {
	meta:
		name = "_fwscanf_l"
		size = 49
		refs = "001f _winput_l 0028 vfwscanf"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_904_5_0 {
	meta:
		name = "_fwscanf_s_l"
		size = 49
		refs = "001f _winput_s_l 0028 vfwscanf"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_694_2_0 {
	meta:
		name = "_sscanf_l"
		size = 49
		refs = "001f _input_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_694_4_0 {
	meta:
		name = "_sscanf_s_l"
		size = 49
		refs = "001f _input_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_90_4_0 {
	meta:
		name = "_swscanf_s_l"
		size = 49
		refs = "001f _winput_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 4C 8B C2 49 8D 43 20 48 8B D1 48 8D 0D ?? ?? ?? ?? 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_92_0_0 {
	meta:
		name = "_call_matherr"
		size = 92
		refs = "0037 _ctrlfp 0041 _matherr 004c _set_errno_from_matherr"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 50 F2 0F 10 84 24 80 00 00 00 8B D9 89 48 C8 48 8B 8C 24 88 00 00 00 48 89 50 D0 BA C0 FF 00 00 F2 0F 11 50 D8 F2 0F 11 58 E0 F2 0F 11 40 E8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 44 24 40 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_92_1_0 {
	meta:
		name = "_exception_enabled"
		size = 185
		refs = "0028 _set_statfp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B D9 48 8B F2 8B F9 83 E3 1F F6 C1 08 74 13 84 D2 79 0F B9 01 00 00 00 E8 ?? ?? ?? ?? 83 E3 F7 EB 57 B9 04 00 00 00 40 84 F9 74 11 48 0F BA E2 09 73 0A E8 ?? ?? ?? ?? 83 E3 FB EB 3C 40 F6 C7 01 74 16 48 0F BA E2 0A 73 0F B9 08 00 00 00 E8 ?? ?? ?? ?? 83 E3 FE EB 20 40 F6 C7 02 74 1A 48 0F BA E2 0B 73 13 40 F6 C7 10 74 0A B9 10 00 00 00 E8 ?? ?? ?? ?? 83 E3 FD 40 F6 C7 10 74 14 48 0F BA E6 0C 73 0D B9 20 00 00 00 E8 ?? ?? ?? ?? 83 E3 EF 48 8B 74 24 38 33 C0 85 DB 48 8B 5C 24 30 0F 94 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_92_2_0 {
	meta:
		name = "_handle_errorf"
		size = 347
		refs = "001d __security_cookie 0042 _ctrlfp 0064 _exception_enabled 00b0 _raise_excf 00b6 _matherr_flag 0106 _matherr 0111 _set_errno_from_matherr 013f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 C8 48 81 EC 08 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E0 8B F2 4C 8B E1 41 BD C0 FF 00 00 B9 80 1F 00 00 41 8B D5 41 8B F9 49 8B D8 E8 ?? ?? ?? ?? 8B 4D 60 48 89 44 24 38 89 5C 24 40 F3 0F 10 44 24 40 48 8B 54 24 38 F3 0F 11 44 24 30 E8 ?? ?? ?? ?? F3 0F 10 75 78 85 C0 75 43 83 BD 80 00 00 00 02 75 11 8B 45 B0 F3 0F 11 75 A0 83 E0 E1 83 C8 01 89 45 B0 44 8B 45 60 48 8D 44 24 30 48 8D 54 24 38 48 89 44 24 28 48 8D 45 70 48 8D 4C 24 70 44 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 60 85 FF 74 5C 66 0F 6E 45 70 48 8B 4C 24 38 0F 14 F6 49 8B D5 89 7C 24 48 4C 89 64 24 50 0F 5A CE 0F 5A C0 F2 0F 11 4C 24 60 F2 0F 11 44 24 58 66 0F 6E 44 24 30 0F 5A C0 F2 0F 11 44 24 68 E8 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? 85 C0 75 07 8B CF E8 ?? ?? ?? ?? F2 0F 5A 44 24 68 EB 1A 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 38 49 8B D5 E8 ?? ?? ?? ?? F3 0F 10 44 24 30 48 8B 4D E0 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 08 01 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_92_3_0 {
	meta:
		name = "_handle_error"
		size = 336
		refs = "001d __security_cookie 0042 _ctrlfp 0065 _exception_enabled 00b1 _raise_exc 00b7 _matherr_flag 00fb _matherr 0106 _set_errno_from_matherr 0134 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 C8 48 81 EC 08 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 E0 8B F2 4C 8B E1 41 BD C0 FF 00 00 B9 80 1F 00 00 41 8B D5 41 8B F9 49 8B D8 E8 ?? ?? ?? ?? 8B 4D 60 48 89 44 24 30 48 89 5C 24 40 F2 0F 10 44 24 40 48 8B 54 24 30 F2 0F 11 44 24 38 E8 ?? ?? ?? ?? F2 0F 10 75 78 85 C0 75 43 83 BD 80 00 00 00 02 75 11 8B 45 B0 F2 0F 11 75 A0 83 E0 E3 83 C8 03 89 45 B0 44 8B 45 60 48 8D 44 24 38 48 8D 54 24 30 48 89 44 24 28 48 8D 45 70 48 8D 4C 24 70 44 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 54 85 FF 74 50 F2 0F 10 45 70 F2 0F 10 4C 24 38 48 8B 4C 24 30 49 8B D5 89 7C 24 48 4C 89 64 24 50 F2 0F 11 44 24 58 F2 0F 11 4C 24 68 F2 0F 11 74 24 60 E8 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? 85 C0 75 07 8B CF E8 ?? ?? ?? ?? F2 0F 10 44 24 68 EB 1A 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 30 49 8B D5 E8 ?? ?? ?? ?? F2 0F 10 44 24 38 48 8B 4D E0 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 08 01 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_93_0_0 {
	meta:
		name = "IsRootUNCName"
		size = 153
		refs = "000a strlen"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 F8 05 72 7D 41 B1 5C 41 B0 2F 44 38 0B 74 05 44 38 03 75 6D 8A 43 01 41 3A C1 74 05 41 3A C0 75 60 8A 43 02 41 3A C1 74 58 41 3A C0 74 53 48 8D 4B 03 33 D2 8A 01 84 C0 74 47 41 3A C1 74 0E 41 3A C0 74 09 48 FF C1 8A 01 84 C0 75 ED 38 11 74 30 48 FF C1 38 11 74 29 8A 01 84 C0 74 1C 41 3A C1 74 0E 41 3A C0 74 09 48 FF C1 8A 01 84 C0 75 ED 38 11 74 05 38 51 01 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_93_1_0 {
	meta:
		name = "_fullpath_helper"
		size = 151
		refs = "0026 _errno 003e _fullpath"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4D 8B E1 49 8B D8 48 8B EA 48 8B F9 E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 4C 8B C3 83 20 00 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0C E8 ?? ?? ?? ?? 89 30 48 8B C3 EB 26 E8 ?? ?? ?? ?? 83 38 22 74 04 33 C0 EB 18 E8 ?? ?? ?? ?? 45 33 C0 48 8B D5 33 C9 89 30 E8 ?? ?? ?? ?? 49 89 04 24 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_474_1_0 {
	meta:
		name = "_wfullpath_helper"
		size = 151
		refs = "0026 _errno 003e _wfullpath"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4D 8B E1 49 8B D8 48 8B EA 48 8B F9 E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 4C 8B C3 83 20 00 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0C E8 ?? ?? ?? ?? 89 30 48 8B C3 EB 26 E8 ?? ?? ?? ?? 83 38 22 74 04 33 C0 EB 18 E8 ?? ?? ?? ?? 45 33 C0 48 8B D5 33 C9 89 30 E8 ?? ?? ?? ?? 49 89 04 24 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_93_2_0 {
	meta:
		name = "_stat64"
		size = 1260
		refs = "0022 __security_cookie 003f __doserrno 0047 _errno 0052 _invalid_parameter_noinfo 0063 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 0068 _mbspbrk 009e _mbctolower 00a9 _getdrive 00c9 __imp_FindFirstFileExA 00e3 ??_C@_03LLEJOLGL@?4?1?2?$AA@ 011c _fullpath 0168 strlen 021b __imp_GetDriveTypeA 0233 free 0266 __loctotime64_t 02c0 _sopen_s 02dd _fstat64 02e8 _close 0313 __imp_FileTimeToLocalFileTime 032b __imp_FileTimeToSystemTime 0468 __imp_FindClose 0474 __dtoxmode 04ab __imp_GetLastError 04b2 _dosmaperr 04cd __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 45 33 FF 48 8B DA 48 8B F1 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 64 04 00 00 48 85 D2 74 DE 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 18 E8 ?? ?? ?? ?? BB 02 00 00 00 89 18 E8 ?? ?? ?? ?? 89 18 E9 36 04 00 00 80 7E 01 3A 75 19 44 38 3E 74 06 44 38 7E 02 74 D7 0F BE 0E E8 ?? ?? ?? ?? 44 8D 70 A0 EB 08 E8 ?? ?? ?? ?? 44 8B F0 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CE 44 89 7C 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 41 BD 01 00 00 00 48 8B F8 48 83 F8 FF 0F 85 B1 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE 4D 8B E7 E8 ?? ?? ?? ?? 48 85 C0 0F 84 76 FF FF FF E8 ?? ?? ?? ?? 44 8B 28 E8 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 41 B8 04 01 00 00 48 8B D6 44 89 38 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 28 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 31 FF FF FF E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 33 C9 44 89 28 E8 ?? ?? ?? ?? 4C 8B E0 48 8B F8 48 85 FF 0F 84 17 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 83 F8 03 0F 84 A0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 83 F8 05 0F 82 F3 00 00 00 41 B0 5C B2 2F 44 38 07 74 08 38 17 0F 85 E1 00 00 00 8A 47 01 41 3A C0 74 08 3A C2 0F 85 D1 00 00 00 8A 47 02 41 3A C0 0F 84 C5 00 00 00 3A C2 0F 84 BD 00 00 00 48 8D 47 03 8A 08 84 C9 0F 84 AF 00 00 00 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 38 0F 84 94 00 00 00 48 FF C0 44 38 38 0F 84 88 00 00 00 8A 08 84 C9 74 1D 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 38 74 06 44 38 78 01 75 65 48 8B CF FF 15 ?? ?? ?? ?? 41 BD 01 00 00 00 41 3B C5 76 51 4D 85 E4 74 08 49 8B CC E8 ?? ?? ?? ?? 83 4C 24 30 FF 45 33 C9 45 8B C5 41 8B D5 B9 BC 07 00 00 44 89 7C 24 28 C7 44 24 60 10 00 00 00 4C 89 7C 24 7C 44 88 7D 8C 44 89 7C 24 20 E8 ?? ?? ?? ?? 48 89 43 28 48 89 43 20 48 89 43 30 E9 F1 01 00 00 4D 85 E4 0F 84 ED FD FF FF 49 8B CC E8 ?? ?? ?? ?? E9 E0 FD FF FF F7 44 24 60 00 04 00 00 74 58 81 7D 84 0C 00 00 A0 75 4F 83 4C 24 40 FF 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 48 8B D6 44 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 A5 FD FF FF 8B 4C 24 40 83 F9 FF 0F 84 98 FD FF FF 48 8B D3 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? 8B C3 E9 CF 01 00 00 44 39 7C 24 74 75 0D 44 39 7C 24 78 75 06 4C 89 7B 28 EB 68 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 8A 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 72 01 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 43 28 44 39 7C 24 6C 75 0D 44 39 7C 24 70 75 06 48 8B 43 28 EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 0E 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 F6 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 43 20 44 39 7C 24 64 75 0D 44 39 7C 24 68 75 06 48 8B 43 28 EB 60 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 92 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 7E 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CF 48 89 43 30 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D6 E8 ?? ?? ?? ?? 8B 4C 24 7C 66 44 89 6B 08 66 89 43 06 8B 45 80 48 C1 E1 20 48 03 C8 41 8D 46 FF 66 44 89 7B 04 89 03 89 43 10 33 C0 48 89 4B 18 44 89 7B 0A EB 19 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 83 C8 FF 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 03 00 00 48 81 C4 C0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_94_0_0 {
	meta:
		name = "_initp_misc_cfltcvt_tab"
		size = 54
		refs = "000d _cfltcvt_tab 001b __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? BF 0A 00 00 00 48 8B 0B FF 15 ?? ?? ?? ?? 48 89 03 48 83 C3 08 48 FF CF 75 EB 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_97_0_0 {
	meta:
		name = "_wwincmdln"
		size = 87
		refs = "0003 _wcmdln 000d ??_C@_11LOCGONAA@?$AA?$AA@"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 45 33 C0 48 8D 05 ?? ?? ?? ?? 48 85 C9 41 8B D0 48 0F 44 C8 66 83 39 20 77 0A 66 44 39 01 74 2C 85 D2 74 20 66 83 39 22 75 0A 85 D2 41 8B C0 0F 94 C0 8B D0 48 83 C1 02 EB DA 66 83 F8 20 77 0C 48 83 C1 02 0F B7 01 66 85 C0 75 EE 48 8B C1 C3 }
	condition:
		$1
}

rule file_98_0_0 {
	meta:
		name = "fgetws"
		size = 205
		refs = "002b _errno 0036 _invalid_parameter_noinfo 0064 _lock_file 007a _fgetwc_nolock 00b2 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 48 83 EC 30 4D 8B E0 8B DA 48 8B F9 48 8B F1 45 33 ED 48 85 C9 75 18 85 D2 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 7B 41 8B C5 85 D2 0F 99 C0 85 C0 74 E0 41 8B C5 4D 85 C0 0F 95 C0 85 C0 74 D3 85 D2 74 DF 4C 89 44 24 50 49 8B C8 E8 ?? ?? ?? ?? 90 48 85 FF 74 40 FF CB 89 5C 24 58 74 34 49 8B CC E8 ?? ?? ?? ?? 44 0F B7 D8 41 81 FB FF FF 00 00 75 0A 48 3B F7 75 1A 49 8B FD EB 19 66 44 89 1E 48 83 C6 02 48 89 74 24 20 41 83 FB 0A 74 02 EB C4 66 44 89 2E 49 8B CC E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_98_1_0 {
	meta:
		name = "fgetws$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "_wfsopen$fin$0 fprintf$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 50 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "_fputchar"
		size = 29
		refs = "0009 __iob_func 0019 putc"
		altNames = "putchar"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB 48 8D 50 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_100_0_0 {
	meta:
		name = "sinf"
		size = 893
		refs = "0081 L__real_3fc5555555555555 00a6 Lsinfarray 010c L__real_411E848000000000 011e L__real_3fe45f306dc9c883 012a L__real_3fe0000000000000 0141 L__real_3ff921fb54400000 014d L__real_3dd0b4611a626331 0171 L__real_3dd0b4611a600000 017e L__real_3ba3198a2e037073 0204 L__real_3ff0000000000000 0254 __remainder_piby2f 02d4 Lcosfarray 0371 _sinf_special"
	strings:
		$1 = { 48 81 EC F8 00 00 00 66 0F 57 D2 66 0F 7E C2 B8 00 00 80 7F 44 8B D0 44 23 D2 44 3B D0 0F 84 4D 03 00 00 F3 0F 5A C0 F2 0F 11 04 24 48 8B 14 24 49 BA FF FF FF FF FF FF FF 7F 4C 23 D2 41 B8 01 00 00 00 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 0F 8F 9A 00 00 00 48 B8 00 00 00 00 00 00 80 3F 4C 3B D0 7D 35 48 B8 00 00 00 00 00 00 20 3F 4C 3B D0 7D 05 E9 E7 02 00 00 F2 0F 10 D0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 D2 F2 0F 59 D0 F2 0F 59 D4 F2 0F 5C C2 E9 C6 02 00 00 F2 0F 10 D0 F2 0F 59 D0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 D8 F2 0F 59 EA F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 E9 71 02 00 00 90 49 3B D2 41 BB 00 00 00 00 74 0E 41 BB 01 00 00 00 F2 0F 5C D0 F2 0F 10 C2 4C 3B 15 ?? ?? ?? ?? 0F 83 20 01 00 00 F2 0F 10 D0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 E0 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 D3 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 F2 0F 10 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? F2 0F 11 04 24 F2 0F 10 2D ?? ?? ?? ?? 48 8B 0C 24 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 F2 0F 10 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 F2 0F 10 C4 F2 0F 10 CD F2 0F 5C C5 48 81 F9 F2 03 00 00 0F 8D AB 00 00 00 48 81 F9 DE 03 00 00 7E 4C F2 0F 10 D0 F2 0F 59 D2 44 23 C0 75 1F F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 DA F2 0F 5C C3 E9 36 01 00 00 66 0F 1F 44 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C C2 E9 17 01 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 84 07 01 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 FA 00 00 00 4C 89 1C 24 48 8D 94 24 B0 00 00 00 4C 8D 84 24 A0 00 00 00 66 48 0F 7E C1 48 83 EC 20 E8 ?? ?? ?? ?? 48 83 C4 20 4C 8B 1C 24 41 B8 01 00 00 00 F2 0F 10 8C 24 B0 00 00 00 8B 84 24 A0 00 00 00 F2 0F 10 D0 F2 0F 59 D0 44 23 C0 75 4D F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 10 E2 F2 0F 59 E2 F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 10 D8 F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 CD F2 0F 59 CB F2 0F 58 C1 EB 63 0F 1F 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 CC F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C1 66 66 66 66 0F 1F 84 00 00 00 00 00 D1 E8 8B C8 41 23 C3 F7 D1 41 F7 D3 41 23 CB 0B C1 83 E0 01 75 1A F2 0F 10 D0 66 0F 57 C0 F2 0F 5C C2 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 5A C0 48 81 C4 F8 00 00 00 C3 0F 1F 40 00 E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 C3 }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "_fdopen"
		size = 425
		refs = "0025 _errno 0053 _nhandle 006a __pioinfo 00c0 _commode 0149 _getstream 016a _cflush 0178 _unlock_file 018d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 41 54 48 83 EC 20 48 63 F1 33 C0 48 85 D2 0F 95 C0 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 58 01 00 00 83 FE FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 48 01 00 00 85 C9 0F 88 30 01 00 00 3B 35 ?? ?? ?? ?? 0F 83 24 01 00 00 48 8B CE 48 8B C6 48 C1 F8 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C0 0F BE 4C 08 08 41 BC 01 00 00 00 41 23 CC 0F 84 F4 00 00 00 EB 03 49 03 D4 80 3A 20 74 F8 80 3A 61 74 14 80 3A 72 74 0A 80 3A 77 74 0A E9 79 FF FF FF 41 8B FC EB 05 BF 02 00 00 00 45 8B C4 45 33 C9 45 33 D2 0B 3D ?? ?? ?? ?? 49 03 D4 8A 02 84 C0 74 67 45 85 C0 74 62 0F BE C8 83 E9 20 74 EA 83 E9 0B 74 3F 83 E9 37 74 30 FF C9 74 1E 83 E9 0B 74 0B 83 F9 06 0F 85 2E FF FF FF EB 1C 45 85 C9 75 26 45 8B CC 0F BA F7 0E EB BE 45 85 C9 75 18 45 8B CC 0F BA EF 0E EB B0 45 85 D2 75 0A 45 8B D4 EB A6 40 84 FF 79 05 45 33 C0 EB 9C 83 E7 FC 0F BA EF 07 EB 93 49 03 D4 80 3A 20 74 F8 33 C0 38 02 0F 94 C0 85 C0 0F 84 DC FE FF FF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 38 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB 2A 44 01 25 ?? ?? ?? ?? 89 78 18 89 70 1C 48 8B C8 E8 ?? ?? ?? ?? 48 8B C3 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_101_1_0 {
	meta:
		name = "_fdopen$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "fputc$fin$0 fputs$fin$0 fputwc$fin$0 putc$fin$0 ungetc$fin$0 ungetwc$fin$0 vfwscanf$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 38 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "vwprintf_helper"
		size = 167
		refs = "0026 __iob_func 0040 _errno 004b _invalid_parameter_noinfo 0058 _lock_file 0061 _stbuf 007e _ftbuf 0087 _unlock_file"
		altNames = "vprintf_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 41 54 41 55 41 56 48 83 EC 20 4D 8B E1 4D 8B E8 48 8B F2 4C 8B F1 E8 ?? ?? ?? ?? 48 8D 78 30 48 89 7C 24 48 33 C0 48 85 F6 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 39 48 8B CF E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4D 8B CC 4D 8B C5 48 8B D6 48 8B CF 41 FF D6 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_102_1_0 {
	meta:
		name = "vwprintf_helper$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "_freopen_helper$fin$0 _wfdopen$fin$0 fwrite$fin$0 vfprintf_helper$fin$0 vfscanf$fin$0 vfwprintf_helper$fin$0 vprintf_helper$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 48 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_102_2_0 {
	meta:
		name = "_vwprintf_l"
		size = 21
		refs = "000c _woutput_l 0011 vwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_918_2_0 {
	meta:
		name = "_vprintf_l"
		size = 21
		refs = "000c _output_l 0011 vprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_918_4_0 {
	meta:
		name = "_vprintf_p_l"
		size = 21
		refs = "000c _output_p_l 0011 vprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_918_3_0 {
	meta:
		name = "_vprintf_s_l"
		size = 21
		refs = "000c _output_s_l 0011 vprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_953_4_0 {
	meta:
		name = "_vscprintf_l"
		size = 21
		refs = "000c _output_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_953_6_0 {
	meta:
		name = "_vscprintf_p_l"
		size = 21
		refs = "000c _output_p_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_5_0 {
	meta:
		name = "_vscwprintf_l"
		size = 21
		refs = "000c _woutput_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_7_0 {
	meta:
		name = "_vscwprintf_p_l"
		size = 21
		refs = "000c _woutput_p_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_4_0 {
	meta:
		name = "_vwprintf_p_l"
		size = 21
		refs = "000c _woutput_p_l 0011 vwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_3_0 {
	meta:
		name = "_vwprintf_s_l"
		size = 21
		refs = "000c _woutput_s_l 0011 vwprintf_helper"
	strings:
		$1 = { 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_5_0 {
	meta:
		name = "vwprintf"
		size = 21
		refs = "0009 _woutput_l 0011 vwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_918_7_0 {
	meta:
		name = "_vprintf_p"
		size = 21
		refs = "0009 _output_p_l 0011 vprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_953_3_0 {
	meta:
		name = "_vscprintf"
		size = 21
		refs = "0009 _output_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_953_5_0 {
	meta:
		name = "_vscprintf_p"
		size = 21
		refs = "0009 _output_p_l 0011 _vscprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_4_0 {
	meta:
		name = "_vscwprintf"
		size = 21
		refs = "0009 _woutput_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_6_0 {
	meta:
		name = "_vscwprintf_p"
		size = 21
		refs = "0009 _woutput_p_l 0011 _vscwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_7_0 {
	meta:
		name = "_vwprintf_p"
		size = 21
		refs = "0009 _woutput_p_l 0011 vwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_918_5_0 {
	meta:
		name = "vprintf"
		size = 21
		refs = "0009 _output_l 0011 vprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_918_6_0 {
	meta:
		name = "vprintf_s"
		size = 21
		refs = "0009 _output_s_l 0011 vprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_6_0 {
	meta:
		name = "vwprintf_s"
		size = 21
		refs = "0009 _woutput_s_l 0011 vwprintf_helper"
	strings:
		$1 = { 4C 8B CA 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_103_0_0 {
	meta:
		name = "_set_output_format"
		size = 52
		refs = "0008 _outputformat 0015 _errno 0020 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 1D ?? ?? ?? ?? F7 C1 FE FF FF FF 74 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 06 89 0D ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_104_0_0 {
	meta:
		name = "vfscanf"
		size = 292
		refs = "0033 _errno 003e _invalid_parameter_noinfo 005a _lock_file 006d _fileno 0088 __pioinfo 009a __badioinfo 010a _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 54 24 10 57 41 54 41 55 48 83 EC 20 4D 8B E1 49 8B F0 48 8B DA 4C 8B E9 33 FF 33 C0 48 85 D2 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C6 00 00 00 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DC 48 8B CA E8 ?? ?? ?? ?? 90 F6 43 18 40 0F 85 86 00 00 00 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 25 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 85 FF 75 13 4C 8B 4C 24 60 4D 8B C4 48 8B D6 48 8B CB 41 FF D5 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_105_6_0 {
	meta:
		name = "_W_Getdays_l"
		size = 372
		refs = "002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b wcslen 0071 _malloc_crt 00b6 wcscpy_s 015a _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 50 48 8B D1 45 33 ED 48 8D 48 C8 41 8B F5 E8 ?? ?? ?? ?? 4C 8B 5C 24 30 49 8B AB 58 01 00 00 45 8D 65 07 48 8D BD 68 01 00 00 48 8B 4F 38 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 48 83 C7 08 48 03 C6 49 FF CC 48 8D 74 18 02 75 DB 48 8D 4C 36 02 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 94 00 00 00 48 8B F8 4D 8B E5 48 81 C5 A0 01 00 00 41 BE 3A 00 00 00 66 44 89 37 4C 8B 45 C8 48 83 C7 02 48 8B C7 48 8B D6 48 8B CF 48 2B C3 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 0F 85 9D 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8D 3C 47 66 44 89 37 4C 8B 45 00 48 83 C7 02 48 8B C7 48 8B CF 48 2B C3 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 75 52 48 8B CF E8 ?? ?? ?? ?? 49 FF C4 48 83 C5 08 48 8D 3C 47 49 83 FC 07 72 83 66 44 89 2F 44 38 6C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 4C 8D 5C 24 50 48 8B C3 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5D 41 5C C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_105_8_0 {
	meta:
		name = "_W_Getmonths_l"
		size = 372
		refs = "002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b wcslen 0071 _malloc_crt 00b6 wcscpy_s 015a _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 50 48 8B D1 45 33 ED 48 8D 48 C8 41 8B F5 E8 ?? ?? ?? ?? 4C 8B 5C 24 30 49 8B AB 58 01 00 00 45 8D 65 0C 48 8D BD D8 01 00 00 48 8B 4F 60 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 48 83 C7 08 48 03 C6 49 FF CC 48 8D 74 18 02 75 DB 48 8D 4C 36 02 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 94 00 00 00 48 8B F8 4D 8B E5 48 81 C5 38 02 00 00 41 BE 3A 00 00 00 66 44 89 37 4C 8B 45 A0 48 83 C7 02 48 8B C7 48 8B D6 48 8B CF 48 2B C3 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 0F 85 9D 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8D 3C 47 66 44 89 37 4C 8B 45 00 48 83 C7 02 48 8B C7 48 8B CF 48 2B C3 48 D1 F8 48 2B D0 48 FF C2 E8 ?? ?? ?? ?? 85 C0 75 52 48 8B CF E8 ?? ?? ?? ?? 49 FF C4 48 83 C5 08 48 8D 3C 47 49 83 FC 0C 72 83 66 44 89 2F 44 38 6C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 4C 8D 5C 24 50 48 8B C3 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5D 41 5C C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_105_10_0 {
	meta:
		name = "_W_Gettnames_l"
		size = 1091
		refs = "002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004d wcslen 0101 _malloc_crt 0128 memcpy 0154 wcscpy_s 035e _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B D1 45 33 FF 48 8D 48 B8 41 8B EF E8 ?? ?? ?? ?? 4C 8B 5C 24 30 49 8B BB 58 01 00 00 45 8D 67 07 4C 8D B7 68 01 00 00 49 8B F6 48 8B 4E 38 E8 ?? ?? ?? ?? 48 8B 0E 48 8B D8 E8 ?? ?? ?? ?? 48 83 C6 08 48 03 C5 49 FF CC 48 8D 6C 18 02 75 DB 4C 8D AF D8 01 00 00 41 BC 0C 00 00 00 49 8B F5 48 8B 4E 60 E8 ?? ?? ?? ?? 48 8B 0E 48 8B D8 E8 ?? ?? ?? ?? 48 83 C6 08 48 03 C5 49 FF CC 48 8D 6C 18 02 75 DB 48 8B 8F 98 02 00 00 E8 ?? ?? ?? ?? 48 8B 8F A0 02 00 00 48 8B D8 E8 ?? ?? ?? ?? 48 8B 8F A8 02 00 00 48 03 C5 48 8D 5C 18 02 E8 ?? ?? ?? ?? 48 8B 8F B0 02 00 00 48 8D 5C 03 01 E8 ?? ?? ?? ?? 48 8B 8F B8 02 00 00 48 8D 5C 03 01 E8 ?? ?? ?? ?? 48 8D 74 03 01 48 8D 8C 36 C0 02 00 00 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 0F 84 FE 02 00 00 48 8D 98 C0 02 00 00 41 B8 C0 02 00 00 48 8B D7 48 8B C8 4C 8B E3 E8 ?? ?? ?? ?? 4C 89 BC 24 88 00 00 00 4C 8B FD 4C 2B FF 4B 89 1C 37 4D 8B 06 48 8B C3 49 2B C4 48 8B D6 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 99 02 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8D 5C 43 02 4B 89 5C 37 38 4D 8B 46 38 48 8B C3 49 2B C4 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 4E 02 00 00 48 8B CB E8 ?? ?? ?? ?? 49 83 C6 08 48 8D 5C 43 02 48 8B 84 24 88 00 00 00 48 FF C0 48 89 84 24 88 00 00 00 48 83 F8 07 0F 82 77 FF FF FF 45 33 F6 4B 89 5C 3D 00 4D 8B 45 00 48 8B C3 49 2B C4 48 8B D6 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 DF 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8D 5C 43 02 4B 89 5C 3D 60 4D 8B 45 60 48 8B C3 49 2B C4 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 94 01 00 00 48 8B CB E8 ?? ?? ?? ?? 49 FF C6 49 83 C5 08 48 8D 5C 43 02 49 83 FE 0C 72 89 48 89 9D 98 02 00 00 4C 8B 87 98 02 00 00 48 8B C3 49 2B C4 48 8B D6 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 45 33 FF 85 C0 0F 85 35 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8D 5C 43 02 48 89 9D A0 02 00 00 4C 8B 87 A0 02 00 00 48 8B C3 49 2B C4 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 E6 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8D 5C 43 02 48 89 9D A8 02 00 00 4C 8B 87 A8 02 00 00 48 8B C3 49 2B C4 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 97 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B D6 48 8D 5C 43 02 48 89 9D B0 02 00 00 4C 8B 87 B0 02 00 00 48 8B C3 49 2B C4 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 75 4C 48 8B CB E8 ?? ?? ?? ?? 48 8D 4C 43 02 48 8B C1 48 89 8D B8 02 00 00 4C 8B 87 B8 02 00 00 49 2B C4 48 D1 F8 48 2B F0 48 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 C1 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 44 38 7C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 4C 8D 5C 24 50 48 8B C5 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_105_12_0 {
	meta:
		name = "?_W_store_str@@YAXPEA_WPEAPEA_WPEA_K@Z"
		size = 40
	strings:
		$1 = { 45 33 D2 EB 1C 44 0F B7 09 66 45 85 C9 74 17 48 8B 02 48 83 C1 02 66 44 89 08 48 83 02 02 49 FF 08 4D 39 10 75 DF F3 C3 }
	condition:
		$1
}

rule file_105_13_0 {
	meta:
		name = "?_W_store_number@@YAXHPEAPEA_WPEA_K@Z"
		size = 114
	strings:
		$1 = { 4C 8B 0A 4C 8B D2 44 8B D9 EB 3A B8 67 66 66 66 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 44 2B D9 66 41 83 C3 30 66 45 89 19 49 FF 08 49 83 C1 02 44 8B DA 85 D2 7E 06 49 83 38 01 77 C0 49 8B 12 4D 89 0A 49 83 E9 02 0F B7 02 41 0F B7 09 66 41 89 01 66 89 0A 48 83 C2 02 49 83 E9 02 49 3B D1 72 E5 F3 C3 }
	condition:
		$1
}

rule file_105_14_0 {
	meta:
		name = "?_W_store_winword@@YAHPEAUlocaleinfo_struct@@HPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@@Z"
		size = 1206
		refs = "001c __security_cookie 0091 __imp_GetTimeFormatW 009c __imp_GetDateFormatW 0133 __chkstk 0154 malloc 01cb free 025e ??_C@_1M@PBPMMENC@?$AAa?$AAm?$AA?1?$AAp?$AAm?$AA?$AA@ 0266 _wcsicmp 02c3 ??_C@_17BLFJJHMM@?$AAa?$AA?1?$AAp?$AA?$AA@ 0469 ?_W_expandtime@@YAHPEAUlocaleinfo_struct@@_WPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@I@Z 049a __security_check_cookie"
	strings:
		$1 = { 40 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8D 6C 24 40 48 89 5D 78 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 28 4C 8B A5 98 00 00 00 4C 8B B5 90 00 00 00 45 33 DB 4D 8B F9 4C 89 45 00 4C 8B E9 4C 89 65 08 48 89 4D 10 44 8B D2 4D 8B C8 85 D2 74 19 41 FF CA 74 0A 49 8B BC 24 B8 02 00 00 EB 12 49 8B BC 24 B0 02 00 00 EB 08 49 8B BC 24 A8 02 00 00 41 BA 01 00 00 00 45 39 94 24 5C 01 00 00 0F 84 F8 03 00 00 41 0F B7 40 14 4C 8B 2D ?? ?? ?? ?? 83 FA 02 4C 0F 45 2D ?? ?? ?? ?? B9 6C 07 00 00 44 89 5C 24 28 66 03 C1 41 8B 8C 24 58 01 00 00 4C 8B CF 66 89 45 18 41 0F B7 40 10 33 D2 66 41 03 C2 66 44 89 5D 26 4C 89 5C 24 20 66 89 45 1A 41 0F B7 40 0C 66 89 45 1E 41 0F B7 40 08 66 89 45 20 41 0F B7 40 04 66 89 45 22 41 0F B7 00 4C 8D 45 18 66 89 45 24 41 FF D5 45 33 DB 4C 63 E0 85 C0 0F 84 CC 00 00 00 4B 8D 4C 24 10 48 81 F9 00 04 00 00 77 38 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 45 33 DB 48 8D 5C 24 40 48 85 DB 0F 84 8E 00 00 00 C7 03 CC CC 00 00 EB 16 E8 ?? ?? ?? ?? 45 33 DB 48 8B D8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C3 10 48 85 DB 74 67 48 8B 45 08 4C 8D 45 18 4C 8B CF 8B 88 58 01 00 00 33 D2 44 89 64 24 28 48 8B F3 48 89 5C 24 20 41 FF D5 44 8D 58 FF 33 D2 EB 1C 49 39 16 76 1C 0F B7 06 49 8B 0F 48 83 C6 02 66 89 01 49 83 07 02 49 FF 0E 41 FF CB 45 85 DB 7F DF 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? B8 01 00 00 00 E9 B9 02 00 00 4C 8B 6D 10 4C 8B 65 08 E9 91 02 00 00 4D 39 1E 0F 84 A0 02 00 00 41 8B DB 41 8B CB 49 8B C3 48 8B F7 48 83 C6 02 41 03 CA 49 03 C2 66 44 39 06 74 F0 41 0F B7 D0 83 FA 64 0F 8F 49 01 00 00 41 B9 64 00 00 00 41 3B D1 0F 84 0C 01 00 00 41 B9 27 00 00 00 41 3B D1 0F 84 AB 00 00 00 41 8D 41 1A 3B D0 74 1D 44 8D 48 07 41 3B D1 74 60 41 8D 41 05 3B D0 74 25 41 8D 41 19 3B D0 0F 85 D6 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 52 48 8D 77 0A EB 63 FF C9 74 22 FF C9 74 21 FF C9 74 10 FF C9 0F 85 A9 01 00 00 8D 41 42 E9 BD 01 00 00 B8 62 00 00 00 E9 B3 01 00 00 41 8B DA B8 6D 00 00 00 E9 A6 01 00 00 FF C9 74 09 FF C9 74 08 E9 7D 01 00 00 41 8B DA 41 0F B7 C1 E9 8D 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 04 48 8D 77 06 B8 70 00 00 00 E9 6C 01 00 00 41 84 CA 74 41 48 8D 3C 47 0F B7 0F 66 85 C9 0F 84 99 01 00 00 4D 39 1E 0F 84 7E 01 00 00 48 83 C7 02 66 41 3B C9 0F 84 70 01 00 00 49 8B 07 66 89 08 49 83 07 02 49 FF 0E 0F B7 0F 66 85 C9 75 D4 E9 56 01 00 00 48 63 C1 48 8D 3C 47 E9 4A 01 00 00 FF C9 0F 84 79 FF FF FF FF C9 0F 84 74 FF FF FF FF C9 74 10 FF C9 0F 85 E2 00 00 00 8D 41 41 E9 F6 00 00 00 B8 61 00 00 00 E9 EC 00 00 00 83 EA 68 0F 84 BF 00 00 00 83 EA 05 0F 84 A2 00 00 00 83 EA 06 0F 84 85 00 00 00 FF CA 74 29 83 FA 05 0F 85 A8 00 00 00 83 F9 02 74 11 83 F9 04 0F 85 9A 00 00 00 8D 42 54 E9 AE 00 00 00 B8 79 00 00 00 E9 A4 00 00 00 41 83 79 08 0B 7F 0A 49 8B 94 24 98 02 00 00 EB 08 49 8B 94 24 A0 02 00 00 41 3B CA 75 2D 4D 39 1E 76 28 49 8B 0F 0F B7 02 66 89 01 49 83 07 02 49 FF 0E EB 1E 4D 39 1E 76 19 49 8B 07 48 83 C2 02 66 89 08 49 83 07 02 49 FF 0E 0F B7 0A 66 85 C9 75 E2 48 8B FE EB 7C FF C9 74 06 FF C9 74 05 EB 26 41 8B DA B8 53 00 00 00 EB 38 FF C9 74 06 FF C9 74 05 EB 12 41 8B DA B8 4D 00 00 00 EB 24 FF C9 74 18 FF C9 74 17 49 8B 07 48 83 C7 02 66 44 89 00 49 83 07 02 49 FF 0E EB 38 41 8B DA B8 49 00 00 00 4C 8B 45 00 89 5C 24 30 4D 8B CF 0F B7 D0 49 8B CD 4C 89 64 24 28 4C 89 74 24 20 E8 ?? ?? ?? ?? 45 33 DB 85 C0 74 3E 48 8B FE 41 BA 01 00 00 00 4C 8B 4D 00 44 0F B7 07 66 45 85 C0 0F 85 57 FD FF FF 41 8B C2 48 8B 4D 28 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 78 48 8D 65 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 33 C0 EB DC }
	condition:
		$1
}

rule file_105_15_0 {
	meta:
		name = "?_W_store_num@@YAXHHPEAPEA_WPEA_KI@Z"
		size = 239
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 45 33 DB 8B D9 44 39 5C 24 28 74 68 4D 8B 10 EB 36 B8 67 66 66 66 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 66 03 C9 66 2B D9 66 83 C3 30 66 41 89 1A 49 FF 09 49 83 C2 02 8B DA 85 D2 7E 06 49 83 39 01 77 C4 49 8B 10 4D 89 10 49 83 EA 02 0F B7 02 41 0F B7 0A 66 41 89 02 66 89 0A 48 83 C2 02 49 83 EA 02 49 3B D2 72 E5 EB 66 48 63 C2 49 3B 01 73 5B FF CA 48 63 C2 44 8D 52 01 45 85 D2 74 3E 48 8D 3C 00 B8 67 66 66 66 41 FF C3 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 C2 66 C1 E0 02 8D 0C 10 49 8B 00 66 03 C9 66 2B D9 66 83 C3 30 66 89 1C 07 48 83 EF 02 41 FF CA 8B DA 75 C6 49 63 CB 48 8D 04 09 49 01 00 49 29 09 EB 03 4D 21 19 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_105_16_0 {
	meta:
		name = "?_W_expandtime@@YAHPEAUlocaleinfo_struct@@_WPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@I@Z"
		size = 1764
		refs = "0207 ?_W_store_winword@@YAHPEAUlocaleinfo_struct@@HPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@@Z 03b6 ?_W_store_num@@YAXHHPEAPEA_WPEA_KI@Z 0532 __tzset 053e __tzname 056f _mbstowcs_s_l 05a2 _invoke_watson 06b4 _errno 06bf _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 40 44 0F B7 D2 49 8B F9 49 8B F0 48 8B E9 41 BE 01 00 00 00 41 83 FA 59 0F 8F E4 02 00 00 0F 84 91 02 00 00 41 83 FA 49 0F 8F 6D 01 00 00 0F 84 2D 01 00 00 41 83 EA 04 0F 84 54 06 00 00 41 83 EA 09 0F 84 4A 06 00 00 41 83 EA 18 0F 84 F0 00 00 00 41 83 EA 1C 0F 84 85 00 00 00 41 FF CA 74 21 41 8D 4E 05 44 3B D1 0F 85 39 06 00 00 41 8B 48 08 85 C9 0F 88 1D 06 00 00 83 F9 17 E9 F6 02 00 00 33 DB 41 39 58 10 0F 8C 09 06 00 00 41 83 78 10 0B 0F 8F FE 05 00 00 49 63 48 10 48 8B 84 24 88 00 00 00 48 8B 94 C8 38 02 00 00 48 8B 8C 24 80 00 00 00 EB 20 44 0F B7 02 66 45 85 C0 0F 84 CD 05 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 48 39 19 75 DB E9 B1 05 00 00 33 DB 41 39 58 18 0F 8C AA 05 00 00 8D 4B 06 41 39 48 18 0F 8F 9D 05 00 00 49 63 48 18 48 8B 84 24 88 00 00 00 48 8B 94 C8 A0 01 00 00 48 8B 8C 24 80 00 00 00 EB 20 44 0F B7 02 66 45 85 C0 0F 84 6C 05 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 48 39 19 75 DB E9 50 05 00 00 49 8B 01 B9 25 00 00 00 66 89 08 48 8B 84 24 80 00 00 00 49 83 01 02 48 FF 08 E9 31 05 00 00 41 8B 48 08 85 C9 0F 88 2A 05 00 00 83 F9 17 0F 8F 21 05 00 00 B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 52 C1 E0 02 2B C8 B8 0C 00 00 00 0F 44 C8 E9 E3 01 00 00 41 83 EA 4D 0F 84 FC 00 00 00 B9 06 00 00 00 44 2B D1 0F 84 D2 00 00 00 41 83 EA 02 74 62 41 83 EA 02 74 3D 41 FF CA 0F 85 DF 04 00 00 48 8B 84 24 88 00 00 00 48 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 BA 02 00 00 00 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 9B 04 00 00 E9 AB 04 00 00 41 8B 40 18 33 DB 85 C0 0F 88 8D 04 00 00 3B C1 0F 8F 85 04 00 00 85 C0 74 1F 8D 48 FF EB 1A 33 DB 41 39 58 18 0F 8C 70 04 00 00 41 39 48 18 0F 8F 66 04 00 00 41 8B 48 18 41 39 58 1C 0F 8C 58 04 00 00 41 81 78 1C 6D 01 00 00 0F 8F 4A 04 00 00 41 39 48 1C 7C 2B 45 8B 40 1C B8 93 24 49 92 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 D0 8B C2 8B DA 6B C0 07 44 2B C0 44 3B C1 7C 03 41 03 DE 8B CB E9 F9 00 00 00 33 DB 41 39 18 0F 8C 07 04 00 00 41 83 38 3B 0F 8F FD 03 00 00 8B 0E E9 DD 00 00 00 41 8B 48 04 85 C9 0F 88 EA 03 00 00 83 F9 3B E9 C3 00 00 00 41 81 78 14 94 F8 FF FF 0F 8C D4 03 00 00 41 81 78 14 A3 1F 00 00 0F 8F C6 03 00 00 45 8B 40 14 B8 1F 85 EB 51 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 8B C2 8D 4A 13 BA 04 00 00 00 6B C0 64 44 2B C0 6B C9 64 41 03 C8 E9 81 00 00 00 41 83 FA 6D 0F 8F DE 01 00 00 0F 84 BC 01 00 00 41 83 EA 5A 0F 84 F9 01 00 00 41 83 EA 07 0F 84 47 01 00 00 41 FF CA 0F 84 DF 00 00 00 41 FF CA 74 6F 41 FF CA 74 2F B9 06 00 00 00 44 3B D1 0F 85 60 03 00 00 41 8B 48 1C 85 C9 0F 88 44 03 00 00 81 F9 6D 01 00 00 0F 8F 38 03 00 00 FF C1 BA 03 00 00 00 EB 1B 41 8B 48 0C 41 3B CE 0F 8C 22 03 00 00 83 F9 1F 0F 8F 19 03 00 00 BA 02 00 00 00 8B 84 24 90 00 00 00 4C 8B 8C 24 80 00 00 00 4C 8B C7 89 44 24 20 E8 ?? ?? ?? ?? E9 EF 02 00 00 4C 8B AC 24 88 00 00 00 4C 8B A4 24 80 00 00 00 33 DB 4C 89 6C 24 28 4C 89 64 24 20 39 9C 24 90 00 00 00 74 42 41 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 CF 02 00 00 49 39 1C 24 0F 84 C5 02 00 00 48 8B 07 B9 20 00 00 00 4C 89 6C 24 28 66 89 08 48 83 07 02 49 FF 0C 24 4C 89 64 24 20 4C 8B CF 4C 8B C6 E9 D8 FD FF FF 33 D2 EB BD 33 DB 41 39 58 10 0F 8C 7D 02 00 00 41 83 78 10 0B 0F 8F 72 02 00 00 49 63 48 10 48 8B 84 24 88 00 00 00 48 8B 94 C8 D8 01 00 00 48 8B 8C 24 80 00 00 00 EB 20 44 0F B7 02 66 45 85 C0 0F 84 41 02 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 48 39 19 75 DB E9 25 02 00 00 33 DB 41 39 58 18 0F 8C 1E 02 00 00 8D 4B 06 41 39 48 18 0F 8F 11 02 00 00 49 63 48 18 48 8B 84 24 88 00 00 00 48 8B 94 C8 68 01 00 00 48 8B 8C 24 80 00 00 00 EB 20 44 0F B7 02 66 45 85 C0 0F 84 E0 01 00 00 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 48 39 19 75 DB E9 C4 01 00 00 41 8B 48 10 85 C9 0F 88 BD 01 00 00 83 F9 0B 0F 8F B4 01 00 00 FF C1 E9 94 FE FF FF 41 83 EA 70 0F 84 16 01 00 00 41 83 EA 07 0F 84 E8 00 00 00 41 FF CA 0F 84 AB 00 00 00 41 FF CA 74 7F 41 FF CA 0F 85 92 01 00 00 E8 ?? ?? ?? ?? 33 DB 48 89 5C 24 30 E8 ?? ?? ?? ?? 39 5E 20 48 8B B4 24 80 00 00 00 48 8B 17 44 8B CB 4C 8B 06 41 0F 95 C1 48 8D 4C 24 30 4E 8B 0C C8 48 89 6C 24 28 48 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 75 1B 48 8B 4C 24 30 48 8D 44 09 FE 48 01 07 49 8B C6 48 2B C1 48 01 06 E9 1C 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC 41 8B 48 14 85 C9 0F 88 00 01 00 00 B8 1F 85 EB 51 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 2B CA E9 CC FD FF FF 48 8B 84 24 88 00 00 00 33 DB 48 89 44 24 28 48 8B 84 24 80 00 00 00 48 89 44 24 20 39 9C 24 90 00 00 00 74 08 41 8B D6 E9 0B FC FF FF 33 D2 E9 04 FC FF FF 33 DB 41 39 58 18 0F 8C A5 00 00 00 8D 4B 06 41 39 48 18 0F 8F 98 00 00 00 8B 4E 18 41 8B D6 E9 79 FD FF FF 33 DB 41 39 58 08 0F 8C 81 00 00 00 41 83 78 08 17 7F 7A 41 83 78 08 0B 48 8B 84 24 88 00 00 00 7F 34 48 8B 90 98 02 00 00 48 8B 8C 24 80 00 00 00 EB 1C 44 0F B7 02 66 45 85 C0 74 4B 49 8B 01 48 83 C2 02 66 44 89 00 49 83 01 02 48 FF 09 48 39 19 75 DF EB 32 4C 8B 80 A0 02 00 00 48 8B 94 24 80 00 00 00 EB 1C 45 0F B7 08 66 45 85 C9 74 17 48 8B 0F 49 83 C0 02 66 44 89 09 48 83 07 02 48 FF 0A 48 39 1A 75 DF 41 8B C6 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_105_17_0 {
	meta:
		name = "_Wcsftime_l"
		size = 423
		refs = "003e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00fd ?_W_expandtime@@YAHPEAUlocaleinfo_struct@@_WPEBUtm@@PEAPEA_WPEA_KPEAU__lc_time_data@@I@Z 015a _errno 0172 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B FA 48 8B 55 58 4C 8B E9 48 8D 4D D8 45 33 FF 4D 8B F1 49 8B D8 45 8B E7 E8 ?? ?? ?? ?? 4C 8B 5D 30 4D 85 DB 0F 84 17 01 00 00 48 85 FF 0F 84 0E 01 00 00 66 45 89 3B 48 85 DB 0F 84 01 01 00 00 48 8B 75 50 48 85 F6 75 0B 48 8B 45 D8 48 8B B0 58 01 00 00 48 8B C7 48 89 45 D0 48 85 FF 0F 84 C0 00 00 00 48 8B 4D 30 0F B7 13 85 D2 0F 84 82 00 00 00 83 FA 25 74 20 66 89 11 48 8B 4D 30 48 8B 45 D0 48 83 C1 02 48 83 C3 02 48 FF C8 48 89 45 D0 48 89 4D 30 EB 54 4D 85 F6 0F 84 A0 00 00 00 48 83 C3 02 41 8B C7 66 83 3B 23 75 09 B8 01 00 00 00 48 83 C3 02 0F B7 13 89 44 24 30 48 8D 45 D0 4C 8D 4D 30 48 8D 4D D8 4D 8B C6 48 89 74 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 38 48 8B 4D 30 48 8B 45 D0 48 83 C3 02 48 85 C0 0F 85 73 FF FF FF 48 85 C0 74 2A 66 44 89 39 48 2B 7D D0 44 38 7D F0 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD 48 8B C7 EB 4C 4C 39 7D D0 76 06 41 BC 01 00 00 00 66 45 89 7D 00 45 85 E4 75 13 4C 39 7D D0 77 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 7D F0 74 0B 48 8B 45 E8 83 A0 C8 00 00 00 FD 33 C0 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_105_18_0 {
	meta:
		name = "_Wcsftime"
		size = 30
		refs = "0015 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_721_20_0 {
	meta:
		name = "_Strftime"
		size = 30
		refs = "0015 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_846_7_0 {
	meta:
		name = "mbstowcs_s"
		size = 30
		refs = "0015 _mbstowcs_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_155_8_0 {
	meta:
		name = "wcstombs_s"
		size = 30
		refs = "0015 _wcstombs_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 83 64 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_105_19_0 {
	meta:
		name = "_wcsftime_l"
		size = 30
		refs = "0015 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_721_18_0 {
	meta:
		name = "_strftime_l"
		size = 30
		refs = "0015 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_857_6_0 {
	meta:
		name = "_vsnprintf_s"
		size = 30
		refs = "0015 _vsnprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_137_6_0 {
	meta:
		name = "_vsnwprintf_s"
		size = 30
		refs = "0015 _vsnwprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_105_20_0 {
	meta:
		name = "wcsftime"
		size = 26
		refs = "0011 _Wcsftime_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 28 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_721_19_0 {
	meta:
		name = "strftime"
		size = 26
		refs = "0011 _Strftime_l"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 28 00 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_106_0_0 {
	meta:
		name = "frexp"
		size = 228
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0045 _ctrlfp 0066 _sptype 0083 _handle_qnan1 008d _d_ind 00a3 _except1 00b1 __real@3ff0000000000000 00bb _decomp"
	strings:
		$1 = { 48 89 5C 24 10 F2 0F 11 44 24 08 57 48 83 EC 40 0F 29 74 24 30 48 8B DA 66 0F 28 F0 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 66 0F 57 C0 E9 9A 00 00 00 BA C0 FF 00 00 B9 80 1F 00 00 E8 ?? ?? ?? ?? 0F B7 4C 24 56 66 0F 28 C6 48 8B F8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 55 83 0B FF E8 ?? ?? ?? ?? 85 C0 7E 3B 83 F8 02 7E 16 83 F8 03 75 31 8D 48 14 66 0F 28 CE 4C 8B C7 E8 ?? ?? ?? ?? EB 4B F2 0F 10 1D ?? ?? ?? ?? BA 17 00 00 00 66 0F 28 D6 48 89 7C 24 20 8D 4A F1 E8 ?? ?? ?? ?? EB 2B 66 0F 28 DE F2 0F 58 1D ?? ?? ?? ?? EB DA 48 8B D3 E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CF 66 0F 28 F0 E8 ?? ?? ?? ?? 66 0F 28 C6 48 8B 5C 24 58 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "_fsopen"
		size = 213
		refs = "0030 _errno 003b _invalid_parameter_noinfo 005b _getstream 0096 _local_unwind 00ad _openfile 00b8 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 54 48 83 EC 30 48 89 64 24 20 45 8B E0 48 8B FA 48 8B F1 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 7C 33 C0 48 85 D2 0F 95 C0 85 C0 74 E0 33 C0 38 02 0F 95 C0 85 C0 74 D5 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB C6 80 3E 00 75 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 8D 15 0C 00 00 00 48 8B 4C 24 20 E8 ?? ?? ?? ?? 90 90 33 C0 EB 1F 4C 8B C8 45 8B C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_108_1_0 {
	meta:
		name = "_fsopen$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "fwprintf$fin$0 setvbuf$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 40 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_108_3_0 {
	meta:
		name = "fopen_s"
		size = 83
		refs = "0015 _errno 0021 _invalid_parameter_noinfo 0036 _fsopen"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 8B CA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_307_3_0 {
	meta:
		name = "_wfopen_s"
		size = 83
		refs = "0015 _errno 0021 _invalid_parameter_noinfo 0036 _wfsopen"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4C 8B CA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 41 B8 80 00 00 00 48 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_111_8_0 {
	meta:
		name = "_vcwprintf_s_l"
		size = 2827
		refs = "0022 __security_cookie 0061 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0073 _errno 007e _invalid_parameter_noinfo 00f2 __lookuptable_s 0233 __nullstring 023b strlen 0297 _isleadbyte_l 0341 _mbtowc_l 0405 __wnullstring 048f _get_printf_count_output 060e _malloc_crt 0634 _cfltcvt_tab 064e __imp_DecodePointer 0742 write_multi_char 0753 write_string 07b3 _putwch_nolock 0833 free 0896 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 33 C0 48 89 4C 24 78 48 8D 4D 88 4D 8B F0 4C 89 44 24 50 89 44 24 70 44 8B E0 89 44 24 58 8B F8 89 44 24 48 89 44 24 4C 89 44 24 6C 89 44 24 44 E8 ?? ?? ?? ?? 48 8B 54 24 78 45 33 D2 48 85 D2 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D A0 74 0B 48 8B 45 98 83 A0 C8 00 00 00 FD 83 C8 FF E9 ED 07 00 00 44 0F B7 2A 41 8B F2 44 89 54 24 40 45 8B FA 45 8B C2 4C 89 55 A8 66 45 85 ED 0F 84 BA 07 00 00 48 8B 5D B0 B9 58 00 00 00 41 B9 00 02 00 00 44 8D 59 C8 48 83 C2 02 48 89 54 24 78 85 F6 0F 88 87 07 00 00 41 0F B7 C5 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C5 0F B6 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C0 48 03 C8 48 8D 05 ?? ?? ?? ?? 44 0F B6 04 01 41 C1 E8 04 44 89 44 24 5C 41 83 F8 08 0F 84 3F FF FF FF 41 8B C8 45 85 C0 0F 84 5A 08 00 00 FF C9 0F 84 96 09 00 00 FF C9 0F 84 2E 09 00 00 FF C9 0F 84 DB 08 00 00 FF C9 0F 84 C6 08 00 00 FF C9 0F 84 7A 08 00 00 FF C9 0F 84 46 07 00 00 FF C9 0F 85 DF 06 00 00 41 0F B7 C5 B9 64 00 00 00 3B C1 0F 8F 0E 02 00 00 0F 84 2D 03 00 00 83 F8 41 0F 84 CC 01 00 00 83 F8 43 0F 84 51 01 00 00 83 F8 45 0F 84 BA 01 00 00 83 F8 47 0F 84 B1 01 00 00 83 F8 53 0F 84 8C 00 00 00 83 F8 58 0F 84 77 02 00 00 83 F8 5A 74 17 83 F8 61 0F 84 9C 01 00 00 83 F8 63 0F 84 22 01 00 00 E9 D4 00 00 00 49 8B 06 49 83 C6 08 4C 89 74 24 50 48 85 C0 74 3F 48 8B 58 08 48 85 DB 74 36 BF 2D 00 00 00 41 0F BA E4 0B 73 19 0F BF 00 44 8D 6F D4 99 44 89 6C 24 44 2B C2 D1 F8 44 8B F8 E9 9F 00 00 00 44 0F BF 38 45 8B EA 44 89 54 24 44 E9 8E 00 00 00 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B F8 EB 6D 41 F7 C4 30 08 00 00 75 03 45 0B E3 83 7C 24 48 FF 49 8B 1E B8 FF FF FF 7F 0F 44 F8 49 83 C6 08 4C 89 74 24 50 45 84 E3 0F 84 83 01 00 00 48 85 DB 45 8B FA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 7E 26 44 38 16 74 21 0F B6 0E 48 8D 55 88 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C7 48 FF C6 44 3B FF 7C DA 8B 74 24 40 44 8B 6C 24 44 BF 2D 00 00 00 44 39 54 24 6C 0F 85 57 05 00 00 41 F6 C4 40 0F 84 4A 04 00 00 41 0F BA E4 08 0F 83 11 04 00 00 66 89 7C 24 64 BF 01 00 00 00 89 7C 24 4C E9 30 04 00 00 41 F7 C4 30 08 00 00 75 03 45 0B E3 41 0F B7 06 49 83 C6 08 41 BD 01 00 00 00 66 89 44 24 60 44 89 6C 24 44 4C 89 74 24 50 45 84 E3 74 34 88 44 24 68 48 8B 45 88 44 88 54 24 69 4C 63 80 0C 01 00 00 4C 8D 4D 88 48 8D 54 24 68 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0B 44 89 6C 24 6C EB 04 66 89 45 C0 48 8D 5D C0 45 8B FD E9 56 FF FF FF C7 45 80 01 00 00 00 66 45 03 EB B9 67 00 00 00 41 83 CC 40 48 8D 5D C0 41 8B F1 85 FF 0F 89 55 02 00 00 41 BF 06 00 00 00 44 89 7C 24 48 E9 98 02 00 00 83 F8 65 0F 8C 15 FF FF FF B9 67 00 00 00 3B C1 7E CB B9 69 00 00 00 3B C1 0F 84 06 01 00 00 83 F8 6E 0F 84 C4 00 00 00 B9 6F 00 00 00 3B C1 0F 84 A1 00 00 00 83 F8 70 74 61 83 F8 73 0F 84 7A FE FF FF B9 75 00 00 00 3B C1 0F 84 D9 00 00 00 B9 78 00 00 00 3B C1 0F 85 C1 FE FF FF 8D 41 AF EB 48 48 85 DB 41 BD 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 6C 24 44 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B F8 E9 88 FE FF FF BF 10 00 00 00 41 0F BA EC 0F B8 07 00 00 00 89 44 24 70 41 B9 10 00 00 00 41 BD 00 02 00 00 45 84 E4 79 76 41 8D 49 20 66 83 C0 51 8D 51 D2 66 89 4C 24 64 66 89 44 24 66 EB 63 41 B9 08 00 00 00 45 84 E4 79 4E 41 BD 00 02 00 00 45 0B E5 EB 49 49 8B 3E 49 83 C6 08 4C 89 74 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 D4 FB FF FF 45 8D 5A 20 45 84 E3 74 05 66 89 37 EB 02 89 37 C7 44 24 6C 01 00 00 00 E9 6B 03 00 00 41 83 CC 40 41 B9 0A 00 00 00 41 BD 00 02 00 00 8B 54 24 4C B8 00 80 00 00 44 85 E0 74 09 4D 8B 06 49 83 C6 08 EB 39 41 0F BA E4 0C 72 F0 49 83 C6 08 45 84 E3 74 19 4C 89 74 24 50 41 F6 C4 40 74 07 4D 0F BF 46 F8 EB 1C 45 0F B7 46 F8 EB 15 41 F6 C4 40 74 06 4D 63 46 F8 EB 04 45 8B 46 F8 4C 89 74 24 50 41 F6 C4 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EC 08 44 85 E0 75 0A 41 0F BA E4 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E4 F7 41 3B FD 41 0F 4F FD 8B 74 24 70 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C6 88 03 48 FF CB EB D4 8B 74 24 40 48 8D 85 BF 01 00 00 89 7C 24 48 2B C3 48 FF C3 44 8B F8 45 85 E5 0F 84 F7 FC FF FF 85 C0 B8 30 00 00 00 74 08 38 03 0F 84 E6 FC FF FF 48 FF CB 41 FF C7 88 03 E9 D9 FC FF FF 75 11 66 44 3B E9 75 41 41 BF 01 00 00 00 E9 9E FD FF FF 41 3B F9 41 BF A3 00 00 00 41 0F 4F F9 89 7C 24 48 41 3B FF 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 A8 48 85 C0 0F 84 6D FD FF FF 48 8B D8 8B F7 44 8B 7C 24 48 EB 03 44 8B FF 49 8B 06 48 8B 0D ?? ?? ?? ?? 49 83 C6 08 4C 89 74 24 50 41 0F BE FD 48 63 F6 48 89 45 B0 FF 15 ?? ?? ?? ?? 48 8D 4D 88 48 89 4C 24 30 8B 4D 80 44 8B CF 89 4C 24 28 48 8D 4D B0 4C 8B C6 48 8B D3 44 89 7C 24 20 FF D0 41 8B FC 81 E7 80 00 00 00 74 1B 45 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 88 48 8B CB FF D0 B9 67 00 00 00 66 44 3B E9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 88 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EC 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 74 24 40 44 8B 6C 24 44 44 8B F8 45 33 D2 E9 CF FB FF FF 41 F6 C4 01 74 0F B8 2B 00 00 00 66 89 44 24 64 E9 DF FB FF FF 41 F6 C4 02 74 13 B8 20 00 00 00 66 89 44 24 64 8D 78 E1 89 7C 24 4C EB 09 8B 7C 24 4C B8 20 00 00 00 44 8B 74 24 58 45 2B F7 44 2B F7 41 F6 C4 0C 75 0F 4C 8D 44 24 40 8B C8 41 8B D6 E8 ?? ?? ?? ?? 4C 8D 44 24 40 48 8D 4C 24 64 8B D7 E8 ?? ?? ?? ?? 41 F6 C4 08 74 18 41 F6 C4 04 75 12 4C 8D 44 24 40 B9 30 00 00 00 41 8B D6 E8 ?? ?? ?? ?? 45 85 ED 75 67 45 85 FF 7E 62 48 8B FB 41 8B F7 48 8B 45 88 4C 8D 4D 88 48 8D 4C 24 60 4C 63 80 0C 01 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 45 33 D2 4C 63 E8 85 C0 7E 2B 0F B7 4C 24 60 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 07 83 4C 24 40 FF EB 04 FF 44 24 40 49 03 FD 45 33 D2 85 F6 7F AF EB 1C 83 CE FF 89 74 24 40 EB 17 4C 8D 44 24 40 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 8B 74 24 40 85 F6 78 1F 41 F6 C4 04 74 19 4C 8D 44 24 40 B9 20 00 00 00 41 8B D6 E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 4C 8B 74 24 50 41 BB 20 00 00 00 48 8B 45 A8 48 85 C0 74 13 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 45 8D 5A 20 4C 89 55 A8 44 8B 44 24 5C 48 8B 54 24 78 8B 7C 24 48 41 B9 00 02 00 00 B9 58 00 00 00 44 0F B7 2A 66 45 85 ED 0F 85 68 F8 FF FF 45 85 C0 74 0A 41 83 F8 07 0F 85 FA F7 FF FF 44 38 55 A0 74 0B 48 8B 4D 98 83 A1 C8 00 00 00 FD 8B C6 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 0F B7 C5 83 F8 49 74 4B 83 F8 68 74 3E B9 6C 00 00 00 3B C1 74 14 B9 58 00 00 00 83 F8 77 75 85 41 0F BA EC 0B E9 7B FF FF FF 66 39 0A B9 58 00 00 00 75 0E 48 83 C2 02 41 0F BA EC 0C E9 63 FF FF FF 41 83 CC 10 E9 5A FF FF FF 45 0B E3 E9 4D FF FF FF 41 0F BA EC 0F 66 83 3A 36 75 15 66 83 7A 02 34 75 0E 48 83 C2 04 41 0F BA EC 0F E9 2D FF FF FF 66 83 3A 33 75 15 66 83 7A 02 32 75 0E 48 83 C2 04 41 0F BA F4 0F E9 12 FF FF FF B8 64 00 00 00 66 39 02 0F 84 04 FF FF FF B8 69 00 00 00 66 39 02 0F 84 F6 FE FF FF B8 6F 00 00 00 66 39 02 0F 84 E8 FE FF FF B8 75 00 00 00 8D 48 E3 66 39 02 0F 84 DC FE FF FF 8D 41 20 66 39 02 0F 84 D0 FE FF FF 66 39 0A 0F 84 C7 FE FF FF 44 89 54 24 5C 41 0F B7 CD C7 44 24 44 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 78 44 8B 44 24 5C B9 FF FF 00 00 41 BB 20 00 00 00 41 B9 00 02 00 00 66 3B C1 41 8D 4B 38 0F 85 32 01 00 00 83 CE FF 89 74 24 40 45 33 D2 E9 7A FE FF FF 66 41 83 FD 2A 75 29 41 8B 3E 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 7C 24 48 85 FF 0F 89 56 FE FF FF 83 CF FF 89 7C 24 48 E9 4A FE FF FF 8D 0C BF 41 0F B7 C5 8D 7C 48 D0 89 7C 24 48 E9 31 FE FF FF 41 8B FA 44 89 54 24 48 E9 24 FE FF FF 66 41 83 FD 2A 75 2C 41 8B 06 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 44 24 58 85 C0 0F 89 05 FE FF FF 41 83 CC 04 F7 D8 89 44 24 58 E9 F6 FD FF FF 8B 44 24 58 8D 0C 80 41 0F B7 C5 8D 44 48 D0 89 44 24 58 E9 D9 FD FF FF 41 0F B7 C5 41 3B C3 74 4E 83 F8 23 74 3F B9 2B 00 00 00 3B C1 74 2D B9 2D 00 00 00 3B C1 74 1B B9 30 00 00 00 3B C1 B9 58 00 00 00 0F 85 AC FD FF FF 41 83 CC 08 E9 A3 FD FF FF 41 83 CC 04 E9 95 FD FF FF 41 83 CC 01 E9 8C FD FF FF 41 0F BA EC 07 E9 82 FD FF FF 41 83 CC 02 E9 79 FD FF FF 83 CF FF 44 89 55 80 44 89 54 24 6C 44 89 54 24 58 44 89 54 24 4C 45 8B E2 89 7C 24 48 44 89 54 24 44 E9 52 FD FF FF FF C6 E9 CA FE FF FF }
	condition:
		$1
}

rule file_112_1_0 {
	meta:
		name = "scaleDouble_2"
		size = 73
	strings:
		$1 = { 8B C2 44 8B C2 66 0F 28 D0 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C0 48 03 CA 49 63 C0 48 C1 E1 34 48 03 C2 48 89 4C 24 08 48 C1 E0 34 F2 0F 10 44 24 08 48 89 44 24 08 F2 0F 59 C2 F2 0F 10 4C 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_112_3_0 {
	meta:
		name = "val_with_flags"
		size = 37
		refs = "0013 _controlfp_s"
	strings:
		$1 = { 48 83 EC 38 44 8B C2 33 C9 0F 29 74 24 20 66 0F 28 F0 E8 ?? ?? ?? ?? 66 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_112_4_0 {
	meta:
		name = "infinity_with_flags"
		size = 42
		refs = "000c _controlfp_s"
	strings:
		$1 = { 48 83 EC 28 44 8B C1 8B D1 33 C9 E8 ?? ?? ?? ?? 49 BB 00 00 00 00 00 00 F0 7F 4C 89 5C 24 38 F2 0F 10 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_112_6_0 {
	meta:
		name = "cosh"
		size = 962
		refs = "0056 __real@3ff0000000000000 006a _controlfp_s 00bc ??_C@_04HPJJNFIM@cosh?$AA@ 00c6 _handle_error 0100 __mask@@NegDouble@ 0109 ?max_cosh_arg@?1??cosh@@9@9 014a ?small_threshold@?1??cosh@@9@9 0158 ?log2_by_32_tail@?1??cosh@@9@9 0160 ?log2_by_32_lead@?1??cosh@@9@9 0168 ?thirtytwo_by_log2@?1??cosh@@9@9 01a7 splitexp 026d __ImageBase 027c ?cosh_tail@?1??cosh@@9@9 0285 ?cosh_lead@?1??cosh@@9@9 028e ?sinh_lead@?1??cosh@@9@9 02b5 __real@3da9984b7f63fcd7 02bd __real@3d6b4125921ea08b 02ca __real@3e21ee56385b7b20 02d2 __real@3de611cb2bdcb7be 02e2 __real@3e927e5069f1cb55 02ea __real@3e5ae6460fbe61c0 02fa __real@3efa01a019079011 0302 __real@3ec71de3a4e13e7d 0312 __real@3f56c16c16c212e5 031a __real@3f2a01a01a01ee80 032a __real@3fa5555555555502 0332 __real@3f811111111110fd 0342 __real@3fe0000000000000 034a __real@3fc5555555555555 035b ?sinh_tail@?1??cosh@@9@9"
	strings:
		$1 = { 40 53 48 81 EC 80 00 00 00 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 70 F2 0F 11 84 24 A8 00 00 00 48 8B 8C 24 A8 00 00 00 0F 29 7C 24 60 66 0F 28 C8 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 30 3E 44 0F 29 44 24 50 48 3B C2 73 23 48 85 C0 75 0D F2 0F 10 05 ?? ?? ?? ?? E9 4A 03 00 00 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? EB E2 48 BB 00 00 00 00 00 00 F0 7F 48 3B C3 72 72 76 4E 66 0F 57 C0 C7 44 24 40 01 00 00 00 49 B8 00 00 00 00 00 00 08 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 4C 0B C1 83 64 24 20 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? E9 DA 02 00 00 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 9C 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 E9 B8 02 00 00 66 44 0F 28 C0 48 3B C1 74 09 66 44 0F 57 05 ?? ?? ?? ?? 66 44 0F 2F 05 ?? ?? ?? ?? 72 36 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 03 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 4C 8B C3 E9 74 FF FF FF 66 44 0F 2F 05 ?? ?? ?? ?? 0F 82 11 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 84 24 A0 00 00 00 48 89 44 24 38 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 66 41 0F 28 C0 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 FF C9 44 89 8C 24 90 00 00 00 41 8D 81 FE 03 00 00 3D FD 07 00 00 77 34 49 63 C1 BA FF 03 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 0F 10 BC 24 98 00 00 00 F2 0F 58 BC 24 A0 00 00 00 EB 5C 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 A8 00 00 00 48 C1 E0 34 F2 0F 10 8C 24 A8 00 00 00 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 0F 10 BC 24 98 00 00 00 F2 0F 58 BC 24 A0 00 00 00 F2 0F 59 F9 F2 0F 59 F8 E9 40 01 00 00 F2 41 0F 2C C0 48 8D 0D ?? ?? ?? ?? 66 0F 6E C0 48 98 F2 0F 10 94 C1 ?? ?? ?? ?? F2 0F 10 A4 C1 ?? ?? ?? ?? F2 0F 10 9C C1 ?? ?? ?? ?? F3 0F E6 C0 F2 44 0F 5C C0 66 41 0F 28 C8 F2 41 0F 59 C8 66 0F 28 E9 66 0F 28 F1 66 0F 28 C1 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 35 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F1 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 35 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F0 F2 0F 10 8C C1 ?? ?? ?? ?? 66 0F 28 C2 F2 0F 59 C5 66 0F 28 F9 F2 41 0F 59 C8 F2 0F 59 FE F2 0F 58 F8 F2 0F 58 F9 66 0F 28 CC F2 0F 59 CD F2 0F 58 FA 66 0F 28 D3 F2 41 0F 59 D8 F2 0F 59 D6 F2 0F 58 F9 F2 0F 58 FA F2 0F 58 FB F2 0F 58 FC 66 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 80 00 00 00 5B C3 }
	condition:
		$1
}

rule file_113_1_0 {
	meta:
		name = "__pctype_func"
		size = 59
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 81 40 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_114_3_0 {
	meta:
		name = "_mbscpy_s_l"
		size = 418
		refs = "0033 _errno 003f _invalid_parameter_noinfo 0062 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 007b strcpy_s 00c7 _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 40 49 8B F0 48 8B FA 48 8B D9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 2B 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 40 5D C3 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5D E8 48 8B CB 41 83 7B 08 00 75 1E 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 80 7D F8 00 74 C0 48 8B 4D F0 83 A1 C8 00 00 00 FD EB B3 8A 06 48 FF C6 88 01 48 FF C1 84 C0 74 05 48 FF CF 75 ED 48 85 FF 0F 85 86 00 00 00 40 38 3E 75 53 48 8D 71 FF 48 8B FE 48 3B F3 72 18 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CF 48 3B FB 73 E8 8B C6 2B C7 A8 01 74 27 C6 06 00 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C2 E9 3F FF FF FF C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7D F8 00 0F 84 1F FF FF FF 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 0F FF FF FF 48 8D 79 FE 48 8B F7 48 3B FB 72 18 0F B6 0E 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF CE 48 3B F3 73 E8 8B C7 2B C6 A8 01 74 2A 48 3B FB 72 25 C6 07 00 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 80 7D F8 00 74 85 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 75 FF FF FF 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 A3 FE FF FF }
	condition:
		$1
}

rule file_116_0_0 {
	meta:
		name = "_local_unwind"
		size = 48
		refs = "0018 RtlUnwindEx"
	strings:
		$1 = { 48 81 EC D8 04 00 00 4D 33 C0 4D 33 C9 48 89 64 24 20 4C 89 44 24 28 E8 ?? ?? ?? ?? 48 81 C4 D8 04 00 00 C3 CC CC CC CC CC CC 66 0F 1F 44 00 00 }
	condition:
		$1
}

rule file_116_1_0 {
	meta:
		name = "_NLG_Notify"
		size = 32
	strings:
		$1 = { 48 89 4C 24 08 48 89 54 24 18 44 89 44 24 10 49 C7 C1 20 05 93 19 EB 08 CC CC CC CC CC CC 66 90 }
	condition:
		$1
}

rule file_116_2_0 {
	meta:
		name = "__NLG_Dispatch2"
		size = 16
	strings:
		$1 = { C3 CC CC CC CC CC CC 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_117_0_0 {
	meta:
		name = "_execlpe"
		size = 180
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0063 _capture_argv 0089 _execvpe 00a3 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 38 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 74 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_840_0_0 {
	meta:
		name = "_execle"
		size = 180
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0063 _capture_argv 0089 _execve 00a3 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 38 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 74 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8B 44 24 20 48 8B CB 49 83 C0 08 48 8B D0 48 8B F8 4C 89 44 24 20 4D 8B 40 F8 48 83 64 24 20 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_119_0_0 {
	meta:
		name = "_expf_special"
		size = 221
		refs = "00ba ??_C@_04KBNCNMNN@expf?$AA@ 00cc _handle_errorf"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 41 FF C8 0F 29 70 E8 0F 28 D0 0F 28 F1 74 65 41 FF C8 74 31 41 FF C8 0F 85 AC 00 00 00 0F 57 C0 C7 40 D8 01 00 00 00 45 8D 48 03 F3 0F 11 40 D0 F3 0F 11 50 C8 C7 40 C0 22 00 00 00 C7 40 B8 11 00 00 00 EB 59 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 04 00 00 00 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 EB 2A 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 01 00 00 00 F3 0F 11 44 24 38 F3 0F 11 54 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 83 A4 24 88 00 00 00 00 F3 0F 11 B4 24 88 00 00 00 48 8D 0D ?? ?? ?? ?? 4C 8B 84 24 88 00 00 00 BA 14 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_119_1_0 {
	meta:
		name = "_exp_special"
		size = 212
		refs = "00b3 ??_C@_03KHJOGHMM@exp?$AA@ 00c2 _handle_error"
	strings:
		$1 = { 48 8B C4 48 83 EC 68 41 FF C8 0F 29 70 E8 66 0F 28 D0 66 0F 28 F1 74 67 41 FF C8 74 32 41 FF C8 0F 85 A0 00 00 00 66 0F 57 C0 C7 40 D8 01 00 00 00 45 8D 48 03 F2 0F 11 40 D0 F2 0F 11 50 C8 C7 40 C0 22 00 00 00 C7 40 B8 11 00 00 00 EB 5B 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 04 00 00 00 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 EB 2B 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 54 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 F2 0F 11 4C 24 78 48 8D 0D ?? ?? ?? ?? BA 14 00 00 00 4C 8B 44 24 78 E8 ?? ?? ?? ?? 66 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "sqrtf"
		size = 224
		refs = "006b ??_C@_05KGFAIMPG@sqrtf?$AA@ 0075 _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 58 BA 00 00 80 7F F3 0F 11 44 24 68 41 B8 00 00 00 80 8B 4C 24 68 8B C1 23 C2 3B C2 0F 85 8D 00 00 00 F7 C1 FF FF 7F 00 74 48 0F 57 C0 F3 0F 10 4C 24 60 41 B9 01 00 00 00 44 89 4C 24 40 44 8B C1 49 0F BA E8 16 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 05 00 00 00 E8 ?? ?? ?? ?? EB 60 41 85 C8 74 45 0F 57 C0 F3 0F 10 4C 24 60 41 B9 01 00 00 00 44 89 4C 24 40 41 B8 00 00 C0 FF F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB B0 41 85 C8 74 08 F7 C1 FF FF FF 7F EB B9 F3 0F 10 44 24 60 F3 0F 51 C0 F3 0F 11 44 24 70 F3 0F 10 44 24 70 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_122_0_0 {
	meta:
		name = "?swprintf@@YAHPEAG_KPEBGZZ"
		size = 36
		refs = "001b ?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_227_6_0 {
	meta:
		name = "_sprintf_p"
		size = 36
		refs = "001b _vsprintf_p_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_520_4_0 {
	meta:
		name = "_swprintf_p"
		size = 36
		refs = "001b _vswprintf_p_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_227_2_0 {
	meta:
		name = "sprintf_s"
		size = 36
		refs = "001b _vsprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_438_1_0 {
	meta:
		name = "swprintf"
		size = 36
		refs = "001b _vswprintf_c_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_520_2_0 {
	meta:
		name = "swprintf_s"
		size = 36
		refs = "001b _vswprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 49 8D 43 20 45 33 C9 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_122_1_0 {
	meta:
		name = "?swprintf@@YAHPEA_W_KPEB_WZZ"
		size = 177
		refs = "0029 memset 0063 _woutput_l 0089 _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 8B FA 33 D2 49 8B F0 48 8B D9 48 8D 4D D0 44 8D 42 28 E8 ?? ?? ?? ?? 4C 8D 4D 40 C7 45 E0 42 00 00 00 48 89 5D D8 48 89 5D C8 48 81 FF FF FF FF 3F 76 09 C7 45 D0 FF FF FF 7F EB 06 8D 04 3F 89 45 D0 48 8D 4D C8 45 33 C0 48 8B D6 E8 ?? ?? ?? ?? FF 4D D0 8B D8 78 14 48 8B 4D C8 C6 01 00 48 8B 4D C8 48 FF C1 48 89 4D C8 EB 0F 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 48 8B 4D C8 FF 4D D0 78 05 C6 01 00 EB 0B 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "_lsearch"
		size = 163
		refs = "002e _errno 0039 _invalid_parameter_noinfo 007f memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 20 45 33 E4 41 8B F1 49 8B F8 48 8B DA 4C 8B E9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 47 4D 85 C0 74 E7 48 85 D2 74 E2 45 85 C9 74 DD 4C 39 64 24 50 74 D6 45 39 20 76 19 48 8B D3 49 8B CD FF 54 24 50 85 C0 74 1B 41 FF C4 48 03 DE 44 3B 27 72 E7 4C 8B C6 49 8B D5 48 8B CB E8 ?? ?? ?? ?? FF 07 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 64 24 48 48 83 C4 20 41 5D C3 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "_wchdir"
		size = 331
		refs = "001e __security_cookie 0041 __doserrno 0049 _errno 0054 _invalid_parameter_noinfo 005f __imp_SetCurrentDirectoryW 0077 __imp_GetCurrentDirectoryW 0090 _calloc_crt 00da towupper 00f5 __imp_SetEnvironmentVariableW 0104 __imp_GetLastError 010b _dosmaperr 0118 free 012a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 45 33 ED 83 CE FF 48 8D 5C 24 30 45 8B E5 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 BF 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 97 00 00 00 48 8D 54 24 30 B9 05 01 00 00 FF 15 ?? ?? ?? ?? 8B F8 3D 04 01 00 00 7E 2F 8D 68 01 BA 02 00 00 00 48 63 CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 66 41 BC 01 00 00 00 85 FF 74 5C 48 8B D0 8B CD FF 15 ?? ?? ?? ?? 8B F8 85 FF 74 4B 0F B7 03 66 83 F8 5C 74 06 66 83 F8 2F 75 06 66 3B 43 02 74 31 B8 3D 00 00 00 66 89 44 24 20 0F B7 0B E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D3 66 89 44 24 22 C7 44 24 24 3A 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 05 41 8B F5 EB 0D FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 45 85 E4 74 08 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 28 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_125_0_0 {
	meta:
		name = "??0exception@std@@QEAA@XZ"
		size = 23
		refs = "0008 ??_7exception@std@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? C6 41 10 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_125_1_0 {
	meta:
		name = "??0exception@std@@QEAA@AEBQEBDH@Z"
		size = 25
		refs = "0003 ??_7exception@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 C6 41 10 00 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_125_2_0 {
	meta:
		name = "?what@exception@std@@UEBAPEBDXZ"
		size = 18
		refs = "0008 ??_C@_0BC@EOODALEL@Unknown?5exception?$AA@"
	strings:
		$1 = { 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 0F 45 41 08 C3 }
	condition:
		$1
}

rule file_125_3_0 {
	meta:
		name = "?_Copy_str@exception@std@@AEAAXPEBD@Z"
		size = 90
		refs = "001e strlen 002a malloc 0042 strcpy_s"
	strings:
		$1 = { 48 85 D2 74 54 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B F0 48 8D 48 01 E8 ?? ?? ?? ?? 48 89 47 08 48 85 C0 74 13 48 8D 56 01 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? C6 47 10 01 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_125_4_0 {
	meta:
		name = "?_Tidy@exception@std@@AEAAXXZ"
		size = 39
		refs = "0014 free"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 10 00 48 8B D9 74 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 63 08 00 C6 43 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_5_0 {
	meta:
		name = "??0exception@std@@QEAA@AEBQEBD@Z"
		size = 45
		refs = "000e ??_7exception@std@@6B@ 0020 ?_Copy_str@exception@std@@AEAAXPEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? C6 41 10 00 48 89 01 48 8B 12 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_125_6_0 {
	meta:
		name = "??4exception@std@@QEAAAEAV01@AEBV01@@Z"
		size = 68
		refs = "0016 ?_Tidy@exception@std@@AEAAXXZ 0028 ?_Copy_str@exception@std@@AEAAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 21 E8 ?? ?? ?? ?? 80 7F 10 00 74 0E 48 8B 57 08 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B 47 08 48 89 43 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_125_15_0 {
	meta:
		name = "??0exception@std@@QEAA@AEBV01@@Z"
		size = 42
		refs = "000e ??_7exception@std@@6B@ 001d ??4exception@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C6 41 10 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_126_0_0 {
	meta:
		name = "vscanf"
		size = 143
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0043 __iob_func 004d _lock_file2 0073 _unlock_file2"
		altNames = "vwscanf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 83 EC 20 49 8B F9 49 8B F0 48 8B DA 4C 8B E1 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 37 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B C8 4C 8B CF 4C 8B C6 48 8B D3 41 FF D4 8B D8 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_126_1_0 {
	meta:
		name = "vscanf$fin$0"
		size = 32
		refs = "000a __iob_func 0014 _unlock_file2"
		altNames = "_gets_helper$fin$0 _getws_helper$fin$0 vwscanf$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_126_2_0 {
	meta:
		name = "scanf"
		size = 50
		refs = "0021 _input_l 0029 vscanf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_126_4_0 {
	meta:
		name = "scanf_s"
		size = 50
		refs = "0021 _input_s_l 0029 vscanf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_2_0 {
	meta:
		name = "wscanf"
		size = 50
		refs = "0021 _winput_l 0029 vwscanf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_4_0 {
	meta:
		name = "wscanf_s"
		size = 50
		refs = "0021 _winput_s_l 0029 vwscanf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8B D1 4C 8D 48 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_126_3_0 {
	meta:
		name = "_scanf_l"
		size = 46
		refs = "0020 _input_l 0025 vscanf"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_126_5_0 {
	meta:
		name = "_scanf_s_l"
		size = 46
		refs = "0020 _input_s_l 0025 vscanf"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_3_0 {
	meta:
		name = "_wscanf_l"
		size = 46
		refs = "0020 _winput_l 0025 vwscanf"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_261_5_0 {
	meta:
		name = "_wscanf_s_l"
		size = 46
		refs = "0020 _winput_s_l 0025 vwscanf"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8B C2 48 8B D1 4C 8D 48 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_127_0_0 {
	meta:
		name = "_get_daylight"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _daylight"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_127_1_0 {
	meta:
		name = "_get_dstbias"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _dstbias"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_245_2_0 {
	meta:
		name = "_get_fmode"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _fmode"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_127_2_0 {
	meta:
		name = "_get_timezone"
		size = 47
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _timezone"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 0A 8B 05 ?? ?? ?? ?? 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_127_3_0 {
	meta:
		name = "_get_tzname"
		size = 182
		refs = "004a _tzname 0053 strlen 006c _errno 0078 _invalid_parameter_noinfo 0097 strcpy_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 49 8B D8 48 8B FA 48 8B F1 48 85 D2 74 3F 48 85 DB 74 3F 48 85 D2 74 03 C6 02 00 48 85 C9 74 32 45 85 C9 74 06 41 83 F9 01 75 27 49 63 E9 4C 8D 25 ?? ?? ?? ?? 49 8B 0C EC E8 ?? ?? ?? ?? 48 FF C0 48 89 06 48 85 FF 75 1E 33 C0 EB 35 48 85 DB 74 C1 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 1B 48 3B C3 76 07 B8 22 00 00 00 EB 0F 4D 8B 04 EC 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "__addl"
		size = 25
	strings:
		$1 = { 44 8D 0C 11 33 C0 44 3B C9 72 05 44 3B CA 73 05 B8 01 00 00 00 45 89 08 C3 }
	condition:
		$1
}

rule file_128_1_0 {
	meta:
		name = "__add_12"
		size = 122
	strings:
		$1 = { 8B 01 44 8B 12 45 33 C9 46 8D 04 10 4C 8B DA 44 3B C0 72 05 45 3B C2 73 06 41 B9 01 00 00 00 44 89 01 45 85 C9 74 23 8B 41 04 45 33 C0 8D 50 01 3B D0 72 05 83 FA 01 73 06 41 B8 01 00 00 00 89 51 04 45 85 C0 74 03 FF 41 08 8B 41 04 45 8B 4B 04 45 33 C0 42 8D 14 08 3B D0 72 05 41 3B D1 73 06 41 B8 01 00 00 00 89 51 04 45 85 C0 74 03 FF 41 08 41 8B 43 08 01 41 08 C3 }
	condition:
		$1
}

rule file_128_2_0 {
	meta:
		name = "__shl_12"
		size = 44
	strings:
		$1 = { 8B 01 8B 51 04 44 8B C0 03 C0 44 8B CA 89 01 8D 04 12 41 C1 E8 1F 41 0B C0 41 C1 E9 1F 89 41 04 8B 41 08 03 C0 41 0B C1 89 41 08 C3 }
	condition:
		$1
}

rule file_128_3_0 {
	meta:
		name = "__mtold12"
		size = 537
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 56 48 83 EC 10 41 83 20 00 41 83 60 04 00 41 83 60 08 00 4D 8B D8 8B FA 48 8B E9 BB 4E 40 00 00 85 D2 0F 84 38 01 00 00 45 33 C9 45 33 D2 45 8D 71 01 49 8B 33 45 8B 63 08 41 8B D1 45 03 C9 45 03 D2 C1 EA 1F 44 0B D2 44 8D 04 36 8B CE C1 E9 1F 45 03 D2 41 8B C0 44 0B C9 45 03 C0 C1 E8 1F 41 8B C9 45 03 C9 48 89 34 24 C1 E9 1F 44 0B C8 33 C0 44 0B D1 8B CE 45 89 03 41 8D 14 08 45 89 4B 04 45 89 53 08 41 3B D0 72 04 3B D1 73 03 41 8B C6 41 89 13 85 C0 74 24 41 8B C1 41 FF C1 33 C9 44 3B C8 72 05 45 3B CE 73 03 41 8B CE 45 89 4B 04 85 C9 74 07 41 FF C2 45 89 53 08 48 C1 EE 20 33 C0 45 8D 04 31 45 3B C1 72 05 44 3B C6 73 03 41 8B C6 45 89 43 04 85 C0 74 07 45 03 D6 45 89 53 08 45 03 D4 8B C2 03 D2 C1 E8 1F 41 8B C8 47 8D 0C 00 C1 E9 1F 44 0B C8 45 03 D2 44 0B D1 45 89 4B 04 41 89 13 45 89 53 08 44 0F BE 45 00 33 C9 42 8D 04 02 3B C2 72 05 41 3B C0 73 03 41 8B CE 41 89 03 85 C9 74 24 41 8B C1 41 FF C1 33 C9 44 3B C8 72 05 45 3B CE 73 03 41 8B CE 45 89 4B 04 85 C9 74 07 41 FF C2 45 89 53 08 49 03 EE FF CF 45 89 4B 04 45 89 53 08 0F 85 D2 FE FF FF 41 83 7B 08 00 75 3A 45 8B 4B 04 41 8B 13 41 8B C1 45 8B C1 C1 E0 10 8B CA 41 C1 E8 10 C1 E9 10 C1 E2 10 45 89 43 08 44 8B C9 41 89 13 44 0B C8 B8 F0 FF 00 00 66 03 D8 45 89 4B 04 45 85 C0 74 CA 45 8B 43 08 41 BA 00 80 00 00 45 85 C2 75 38 45 8B 4B 04 41 8B 03 41 8B D1 45 03 C0 8B C8 03 C0 C1 EA 1F C1 E9 1F 45 03 C9 44 0B C2 44 0B C9 41 89 03 B8 FF FF 00 00 66 03 D8 45 89 4B 04 45 89 43 08 45 85 C2 74 CC 48 8B 6C 24 38 48 8B 74 24 40 66 41 89 5B 0A 48 8B 5C 24 30 48 83 C4 10 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_131_0_0 {
	meta:
		name = "_onexit_nolock"
		size = 244
		refs = "001e __onexitbegin 0024 __imp_DecodePointer 002b __onexitend 005c _msize 0080 _realloc_crt 00ac __imp_EncodePointer"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 4C 8B E9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B E8 FF 15 ?? ?? ?? ?? 48 8B F8 48 3B C5 0F 82 95 00 00 00 48 8B D8 48 2B DD 4C 8D 63 08 49 83 FC 08 0F 82 81 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 49 3B C4 73 4F BA 00 10 00 00 48 3B C2 48 0F 42 D0 48 03 D0 48 3B D0 72 0D 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 75 16 48 8D 56 20 48 3B D6 72 47 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 3A 48 C1 FB 03 48 8B C8 48 8D 3C D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B CD FF 15 ?? ?? ?? ?? 48 8D 4F 08 48 89 07 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B C5 EB 02 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_131_1_0 {
	meta:
		name = "__onexitinit"
		size = 67
		refs = "000f _calloc_crt 001b __imp_EncodePointer 0022 __onexitbegin 0029 __onexitend"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 08 00 00 00 8D 4A 18 E8 ?? ?? ?? ?? 48 8B C8 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 DB 75 05 8D 43 18 EB 06 48 83 23 00 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_131_2_0 {
	meta:
		name = "_onexit"
		size = 266
		refs = "001d _lockexit 0025 __onexitbegin 002b __imp_DecodePointer 0035 __onexitend 0063 _msize 0087 _realloc_crt 00b9 __imp_EncodePointer 00e9 _unlockexit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 55 41 56 48 83 EC 20 4C 8B F1 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B E0 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 49 3B C4 0F 82 9B 00 00 00 48 8B F8 49 2B FC 4C 8D 6F 08 49 83 FD 08 0F 82 87 00 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B F0 49 3B C5 73 55 BA 00 10 00 00 48 3B C2 48 0F 42 D0 48 03 D0 48 3B D0 72 11 49 8B CC E8 ?? ?? ?? ?? 33 DB 48 85 C0 75 1A EB 02 33 DB 48 8D 56 20 48 3B D6 72 49 49 8B CC E8 ?? ?? ?? ?? 48 85 C0 74 3C 48 C1 FF 03 48 8D 1C F8 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B CE FF 15 ?? ?? ?? ?? 48 89 03 48 8D 4B 08 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 49 8B DE EB 02 33 DB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_131_3_0 {
	meta:
		name = "_onexit$fin$0"
		size = 22
		refs = "000a _unlockexit"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_21_0 {
	meta:
		name = "__CxxCallUnwindDelDtor$filt$0"
		size = 22
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_19_0 {
	meta:
		name = "__CxxCallUnwindDtor$filt$0"
		size = 22
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_23_0 {
	meta:
		name = "__CxxCallUnwindStdDelDtor$filt$0"
		size = 22
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_25_0 {
	meta:
		name = "__CxxCallUnwindVecDtor$filt$0"
		size = 22
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_6_0 {
	meta:
		name = "__FrameUnwindToState$filt$0"
		size = 32
		refs = "000a __FrameUnwindFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_131_4_0 {
	meta:
		name = "atexit"
		size = 23
		refs = "0005 _onexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 F7 D8 1B C0 F7 D8 FF C8 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_132_3_0 {
	meta:
		name = "?GetThreadProxyId@ResourceManager@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_579_59_0 {
	meta:
		name = "?GetExecutionContextId@Concurrency@@YAIXZ"
		size = 16
		refs = "0009 ?s_executionContextIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_579_55_0 {
	meta:
		name = "?GetExecutionContextId@ResourceManager@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_executionContextIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_735_71_0 {
	meta:
		name = "?GetNewWorkQueueId@SchedulerBase@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_workQueueIdCounter@SchedulerBase@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_579_58_0 {
	meta:
		name = "?GetSchedulerId@Concurrency@@YAIXZ"
		size = 16
		refs = "0009 ?s_schedulerIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_579_54_0 {
	meta:
		name = "?GetSchedulerId@ResourceManager@details@Concurrency@@SAIXZ"
		size = 16
		refs = "0009 ?s_schedulerIdCount@ResourceManager@details@Concurrency@@0JC"
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 C3 }
	condition:
		$1
}

rule file_132_10_0 {
	meta:
		name = "??1UMSThreadProxy@details@Concurrency@@UEAA@XZ"
		size = 91
		refs = "0009 ??_7UMSThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 0016 ??_7UMSThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0021 ??_7UMSThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 0034 __imp_CloseHandle 0051 ?DeleteUmsThreadContext@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 48 8B 49 30 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 28 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 20 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_132_12_0 {
	meta:
		name = "?ForceEnterHyperCriticalRegion@UMSThreadProxy@details@Concurrency@@QEAAHXZ"
		size = 21
	strings:
		$1 = { 8B 81 90 00 00 00 FF 81 8C 00 00 00 FF C0 89 81 90 00 00 00 C3 }
	condition:
		$1
}

rule file_132_13_0 {
	meta:
		name = "?ExitHyperCriticalRegion@UMSThreadProxy@details@Concurrency@@UEAAHXZ"
		size = 21
	strings:
		$1 = { 8B 81 88 00 00 00 FF 89 84 00 00 00 FF C8 89 81 88 00 00 00 C3 }
	condition:
		$1
}

rule file_132_14_0 {
	meta:
		name = "?GetCriticalRegionType@UMSThreadProxy@details@Concurrency@@UEBA?AW4CriticalRegionType@3@XZ"
		size = 26
	strings:
		$1 = { 33 C0 39 81 88 00 00 00 76 06 B8 02 00 00 00 C3 39 81 84 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule file_132_15_0 {
	meta:
		name = "?GetNextUnblockNotification@UMSThreadProxy@details@Concurrency@@UEAAPEAUIUMSUnblockNotification@3@XZ"
		size = 33
	strings:
		$1 = { 48 8B 81 90 00 00 00 48 8D 88 60 FF FF FF 48 F7 D8 48 1B C0 48 23 C1 74 05 48 83 C0 10 C3 33 C0 C3 }
	condition:
		$1
}

rule file_132_18_0 {
	meta:
		name = "?ReadyForDispatch@UMSThreadProxy@details@Concurrency@@AEAAXXZ"
		size = 39
		refs = "0023 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 08 48 8B 01 FF 50 30 48 8B CB C7 43 5C 07 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_132_19_0 {
	meta:
		name = "?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z"
		size = 136
		refs = "0030 ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z 003a __imp_GetLastError 0052 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0059 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0063 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 50 33 DB 48 85 C9 75 04 33 C0 EB 71 41 B9 08 00 00 00 48 8D 44 24 60 4C 8D 44 24 68 41 8D 51 F9 48 89 5C 24 68 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8B 4C 24 68 48 85 C9 74 0D 48 8B 11 FF 12 84 C0 48 0F 44 5C 24 68 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_132_21_0 {
	meta:
		name = "??0scheduler_resource_allocation_error@Concurrency@@QEAA@AEBV01@@Z"
		size = 51
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7scheduler_resource_allocation_error@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 8B 43 18 48 8B 5C 24 30 89 47 18 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_11_1 {
	meta:
		name = "??0regex_error@tr1@std@@QEAA@AEBV012@@Z"
		size = 51
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7regex_error@tr1@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 8B 43 18 48 8B 5C 24 30 89 47 18 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_132_23_0 {
	meta:
		name = "?FromListEntry@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAU_SLIST_ENTRY@@@Z"
		size = 16
	strings:
		$1 = { 48 85 C9 75 03 33 C0 C3 48 8D 81 60 FF FF FF C3 }
	condition:
		$1
}

rule file_132_24_0 {
	meta:
		name = "?InternalSwitchTo@UMSThreadProxy@details@Concurrency@@IEAAXPEAV123@W4SwitchingProxyState@3@@Z"
		size = 176
		refs = "0017 __security_cookie 0059 ?GetResourceManager@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAAPEAVResourceManager@23@XZ 0068 ?PerformTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 007b ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z 0097 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B 41 08 48 8B D9 48 83 C1 08 49 63 F0 48 8B EA C7 44 24 20 02 00 00 00 C7 44 24 24 01 00 00 00 C7 44 24 28 03 00 00 00 FF 50 30 83 FE 02 75 18 48 8B 4B 40 E8 ?? ?? ?? ?? 48 8B D3 48 8B 88 A0 00 00 00 E8 ?? ?? ?? ?? 8B 54 B4 20 48 8B CB 48 89 6B 60 89 53 5C E8 ?? ?? ?? ?? 85 F6 74 0B 48 8B 43 08 48 8D 4B 08 FF 50 38 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_132_25_0 {
	meta:
		name = "?InternalSwitchOut@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 80
		refs = "0036 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 08 48 8B D9 48 83 C1 08 FF 50 30 48 8B 43 68 48 8B CB 48 85 C0 74 0A 48 C7 43 68 00 00 00 00 EB 07 C7 43 5C 06 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 08 48 8D 4B 08 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 60 38 }
	condition:
		$1
}

rule file_132_26_0 {
	meta:
		name = "?Deactivate@UMSThreadProxy@details@Concurrency@@IEAA_NXZ"
		size = 89
		refs = "002d ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 08 48 8B F9 48 83 C1 08 FF 50 30 48 83 67 60 00 48 8B CF C7 47 5C 04 00 00 00 E8 ?? ?? ?? ?? 83 7F 70 01 48 8B 57 08 0F 94 C3 83 67 70 00 48 8D 4F 08 FF 52 38 48 8B 74 24 38 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_132_27_0 {
	meta:
		name = "?SetPriority@UMSThreadProxy@details@Concurrency@@QEAAXH@Z"
		size = 74
		refs = "000d __imp_SetThreadPriority 0017 __imp_GetLastError 002f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0036 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0040 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 89 51 54 48 8B 49 28 FF 15 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_132_29_0 {
	meta:
		name = "?IsSuspended@UMSThreadProxy@details@Concurrency@@QEAA_NXZ"
		size = 51
		refs = "0022 ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 49 20 33 DB 4C 8D 44 24 40 44 8D 4B 01 8D 53 05 88 5C 24 40 48 89 5C 24 20 E8 ?? ?? ?? ?? 38 5C 24 40 0F 95 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_132_30_0 {
	meta:
		name = "?IsTerminated@UMSThreadProxy@details@Concurrency@@QEAA_NXZ"
		size = 51
		refs = "0022 ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 49 20 33 DB 4C 8D 44 24 40 44 8D 4B 01 8D 53 06 88 5C 24 40 48 89 5C 24 20 E8 ?? ?? ?? ?? 38 5C 24 40 0F 95 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_132_31_0 {
	meta:
		name = "?PrepareToRun@UMSThreadProxy@details@Concurrency@@IEAAXPEAVUMSFreeVirtualProcessorRoot@23@@Z"
		size = 16
	strings:
		$1 = { C7 41 38 00 00 00 00 48 89 51 48 48 89 51 40 C3 }
	condition:
		$1
}

rule file_132_39_0 {
	meta:
		name = "?EnterHyperCriticalRegion@UMSThreadProxy@details@Concurrency@@UEAAHXZ"
		size = 21
	strings:
		$1 = { 8B 81 88 00 00 00 FF 81 84 00 00 00 FF C0 89 81 88 00 00 00 C3 }
	condition:
		$1
}

rule file_132_42_0 {
	meta:
		name = "?UMSThreadProxyMain@UMSThreadProxy@details@Concurrency@@CAKPEAX@Z"
		size = 32
		refs = "000a ?ReadyForDispatch@UMSThreadProxy@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 41 FF 53 10 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_132_43_0 {
	meta:
		name = "?InternalYieldToSystem@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 66
		refs = "0028 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 08 48 8B D9 48 83 C1 08 FF 50 30 48 83 63 60 00 48 8B CB C7 43 5C 08 00 00 00 E8 ?? ?? ?? ?? 4C 8B 5B 08 48 8D 4B 08 48 8B 5C 24 30 48 83 C4 20 5F 49 FF 63 38 }
	condition:
		$1
}

rule file_132_44_0 {
	meta:
		name = "?FreeViaExit@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 74
		refs = "0015 ?s_fRequireUMSWorkaround@ResourceManager@details@Concurrency@@0_NA 0046 ?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 08 48 8B 01 FF 50 30 80 3D ?? ?? ?? ?? 00 74 1A 48 8B 43 40 80 B8 BA 00 00 00 00 74 0D C7 43 78 01 00 00 00 48 83 C4 20 5B C3 48 8B CB C7 43 5C 05 00 00 00 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_132_46_0 {
	meta:
		name = "??0UMSThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z"
		size = 740
		refs = "0042 ??_7UMSThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 004f ??_7UMSThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 005d ??_7UMSThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 008b __imp_CreateEventW 009a __imp_GetLastError 00b1 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00b8 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00c1 _CxxThrowException 00cf ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC 00e0 ?CreateUmsThreadContext@UMS@details@Concurrency@@SAHPEAPEAX@Z 012d ?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z 0189 ?InitializeProcThreadAttributeList@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@Z 0192 ??_U@YAPEAX_K@Z 01b4 ??_V@YAXPEAX@Z 0209 ?UpdateProcThreadAttribute@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@Z 0253 __imp_GetCurrentProcess 0264 ?UMSThreadProxyMain@UMSThreadProxy@details@Concurrency@@CAKPEAX@Z 027e ?CreateRemoteThreadEx@UMS@details@Concurrency@@SAPEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@Z 028a ?DeleteProcThreadAttributeList@UMS@details@Concurrency@@SAXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 48 8D 6C 24 E0 48 81 EC 20 01 00 00 45 33 ED 48 89 51 18 44 89 49 50 4C 89 69 20 4C 89 69 28 4C 89 69 30 4C 89 69 48 44 88 69 58 44 89 69 5C 44 89 69 70 48 8D 05 ?? ?? ?? ?? 41 8B F9 48 89 01 48 8D 05 ?? ?? ?? ?? 4D 8B E0 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 8B F1 48 89 41 10 44 89 69 38 4C 89 69 40 4C 89 69 68 4C 89 A9 8C 00 00 00 44 89 69 78 33 C9 45 33 C9 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 89 46 30 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D D8 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 E8 ?? ?? ?? ?? CC B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 48 8D 4E 20 89 86 88 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D 98 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 98 E8 ?? ?? ?? ?? CC 48 8B 4E 20 41 B9 08 00 00 00 4C 8D 45 58 41 8D 51 F9 48 89 75 58 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 58 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? CC 48 8B 46 20 45 33 C0 4C 8D 4D 50 41 8D 50 01 33 C9 C7 44 24 40 00 01 00 00 48 89 44 24 48 4C 89 64 24 50 E8 ?? ?? ?? ?? 48 8B 4D 50 E8 ?? ?? ?? ?? 45 33 C0 4C 8D 4D 50 41 8D 50 01 48 8B C8 4C 8B E0 E8 ?? ?? ?? ?? 49 8B CC 85 C0 75 35 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 4C 24 78 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 78 E8 ?? ?? ?? ?? CC 4C 89 6C 24 30 4C 8D 4C 24 40 33 D2 41 B8 06 00 03 00 4C 89 6C 24 28 48 C7 44 24 20 18 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 36 49 8B CC E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 4D B8 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D B8 E8 ?? ?? ?? ?? CC 48 8D 9E 94 00 00 00 C1 E7 0A FF 15 ?? ?? ?? ?? 48 89 5C 24 38 4C 89 64 24 30 4C 8D 0D ?? ?? ?? ?? 48 8B C8 44 8B C7 33 D2 C7 44 24 28 00 00 01 00 48 89 74 24 20 E8 ?? ?? ?? ?? 49 8B CC 48 89 46 28 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 4C 39 6E 28 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D F8 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F8 E8 ?? ?? ?? ?? CC 48 8B C6 48 8B 9C 24 60 01 00 00 48 81 C4 20 01 00 00 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_132_48_0 {
	meta:
		name = "?SpinUntilBlocked@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
		size = 60
		refs = "001a ?_Sleep0@details@Concurrency@@YAXXZ 0029 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 41 40 48 8B D9 48 85 C0 74 24 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5B 40 4D 85 DB 75 ED 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_132_49_0 {
	meta:
		name = "?SpinOnAndReturnBlockingType@UMSThreadProxy@details@Concurrency@@IEAA?AW4BlockingType@123@XZ"
		size = 60
		refs = "0017 ?_Sleep0@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 41 38 48 8B D9 85 C0 75 23 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 5B 38 45 85 DB 74 ED 8B 43 38 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_3_0 {
	meta:
		name = "_isalpha_l"
		size = 102
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 03 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_4_0 {
	meta:
		name = "isalpha"
		size = 131
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 03 01 00 00 EB 59 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 03 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_5_0 {
	meta:
		name = "_isupper_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 01 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 01 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_6_0 {
	meta:
		name = "isupper"
		size = 126
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 01 EB 56 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 01 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 01 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_7_0 {
	meta:
		name = "_islower_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 02 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 02 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_8_0 {
	meta:
		name = "islower"
		size = 126
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 02 EB 56 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 02 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 02 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_9_0 {
	meta:
		name = "_isdigit_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 04 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 04 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_10_0 {
	meta:
		name = "isdigit"
		size = 126
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 04 EB 56 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 04 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 04 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_11_0 {
	meta:
		name = "_isxdigit_l"
		size = 102
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 80 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 80 00 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_12_0 {
	meta:
		name = "isxdigit"
		size = 131
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 80 00 00 00 EB 59 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 80 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 80 00 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_13_0 {
	meta:
		name = "_isspace_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 08 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_14_0 {
	meta:
		name = "isspace"
		size = 126
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 08 EB 56 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 08 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 08 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_15_0 {
	meta:
		name = "_ispunct_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 10 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_16_0 {
	meta:
		name = "ispunct"
		size = 126
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 10 EB 56 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 10 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_17_0 {
	meta:
		name = "_isalnum_l"
		size = 102
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 07 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_18_0 {
	meta:
		name = "isalnum"
		size = 131
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 07 01 00 00 EB 59 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 07 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_19_0 {
	meta:
		name = "_isprint_l"
		size = 102
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 57 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 57 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_20_0 {
	meta:
		name = "isprint"
		size = 131
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 57 01 00 00 EB 59 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 57 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 57 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_21_0 {
	meta:
		name = "_isgraph_l"
		size = 102
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 17 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 17 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_22_0 {
	meta:
		name = "isgraph"
		size = 131
		refs = "0008 __locale_changed 0015 __initiallocinfo 002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 12 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 25 17 01 00 00 EB 59 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 17 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 17 01 00 00 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_23_0 {
	meta:
		name = "_iscntrl_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 20 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 20 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_24_0 {
	meta:
		name = "iscntrl"
		size = 126
		refs = "0008 __locale_changed 0015 __initiallocinfo 002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0049 _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 48 63 D9 75 10 48 8B 05 ?? ?? ?? ?? 0F B7 04 58 83 E0 20 EB 56 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 20 00 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 83 E3 20 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 41 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_27_0 {
	meta:
		name = "_iscsymf_l"
		size = 117
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 03 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 03 01 00 00 33 C9 38 4C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 45 85 DB 75 05 83 FB 5F 75 05 B9 01 00 00 00 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_28_0 {
	meta:
		name = "__iscsymf"
		size = 37
		refs = "0009 isalpha"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 05 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_133_29_0 {
	meta:
		name = "_iscsym_l"
		size = 117
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _isctype_l"
	strings:
		$1 = { 40 53 48 83 EC 40 48 63 D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 83 B8 0C 01 00 00 01 7E 16 4C 8D 44 24 20 BA 07 01 00 00 8B CB E8 ?? ?? ?? ?? 44 8B D8 EB 13 48 8B 80 40 01 00 00 44 0F B7 1C 58 41 81 E3 07 01 00 00 33 C9 38 4C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 45 85 DB 75 05 83 FB 5F 75 05 B9 01 00 00 00 8B C1 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_133_30_0 {
	meta:
		name = "__iscsym"
		size = 40
		refs = "000c isalnum"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 0F B6 C9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 05 80 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_134_1_0 {
	meta:
		name = "_strdup"
		size = 112
		refs = "0018 strlen 0024 malloc 003b strcpy_s 0059 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B D9 48 85 C9 74 47 E8 ?? ?? ?? ?? 48 8B F0 48 8D 48 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 2E 48 8D 56 01 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C7 EB 18 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_135_1_0 {
	meta:
		name = "_GET_RTERRMSG"
		size = 41
		refs = "0003 rterrs"
	strings:
		$1 = { 4C 8D 05 ?? ?? ?? ?? 33 C0 49 8B D0 3B 0A 74 0E FF C0 48 83 C2 10 83 F8 16 72 F1 33 C0 C3 48 98 48 03 C0 49 8B 44 C0 08 C3 }
	condition:
		$1
}

rule file_135_2_0 {
	meta:
		name = "_NMSG_WRITE"
		size = 605
		refs = "001e __security_cookie 0030 _GET_RTERRMSG 0046 _set_error_mode 0061 __app_type 007b ?outmsg@?8??_NMSG_WRITE@@9@9 0088 ??_C@_1DE@JNGNBFGO@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 0093 wcscpy_s 00ba __imp_GetModuleFileNameW 00ca ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 00ec _invoke_watson 00f5 wcslen 010d ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 012c wcsncpy_s 014c ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 0157 wcscat_s 0174 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 0182 __crtMessageBoxW 01cf __imp_GetStdHandle 0211 strlen 022c __imp_WriteFile 023c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 48 81 EC 50 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 02 00 00 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 0F 84 EE 01 00 00 8D 4E 03 E8 ?? ?? ?? ?? 83 F8 01 0F 84 75 01 00 00 8D 4E 03 E8 ?? ?? ?? ?? 85 C0 75 0D 83 3D ?? ?? ?? ?? 01 0F 84 5C 01 00 00 81 FF FC 00 00 00 0F 84 B8 01 00 00 48 8D 2D ?? ?? ?? ?? 41 BC 14 03 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B CD 41 8B D4 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 14 01 00 00 4C 8D 2D ?? ?? ?? ?? 41 B8 04 01 00 00 66 89 35 ?? ?? ?? ?? 49 8B D5 FF 15 ?? ?? ?? ?? 41 8D 7C 24 E7 85 C0 75 2A 4C 8D 05 ?? ?? ?? ?? 8B D7 49 8B CD E8 ?? ?? ?? ?? 85 C0 74 15 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 49 8B CD E8 ?? ?? ?? ?? 48 FF C0 48 83 F8 3C 76 47 49 8B CD E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 41 B9 03 00 00 00 48 8D 4C 45 BC 48 8B C1 49 2B C5 48 D1 F8 48 2B F8 48 8B D7 E8 ?? ?? ?? ?? 85 C0 74 15 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 4C 8D 05 ?? ?? ?? ?? 49 8B D4 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 41 4C 8B C3 49 8B D4 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 1A 48 8D 15 ?? ?? ?? ?? 41 B8 10 20 01 00 48 8B CD E8 ?? ?? ?? ?? E9 A5 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 74 24 20 E8 ?? ?? ?? ?? CC B9 F4 FF FF FF FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 55 48 83 F8 FF 74 4F 8B D6 4C 8D 44 24 40 8A 0B 41 88 08 66 39 33 74 11 FF C2 49 FF C0 48 83 C3 02 81 FA F4 01 00 00 72 E5 48 8D 4C 24 40 40 88 B4 24 33 02 00 00 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 48 8D 54 24 40 48 8B CF 4C 8B C0 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B 8C 24 40 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 02 00 00 49 8B 5B 28 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_135_3_0 {
	meta:
		name = "_FF_MSGBANNER"
		size = 67
		refs = "000a _set_error_mode 0023 __app_type 0030 _NMSG_WRITE"
	strings:
		$1 = { 48 83 EC 28 B9 03 00 00 00 E8 ?? ?? ?? ?? 83 F8 01 74 17 B9 03 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 1D 83 3D ?? ?? ?? ?? 01 75 14 B9 FC 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_136_0_0 {
	meta:
		name = "?set_new_handler@@YAP6AXXZP6AXXZ@Z"
		size = 18
		refs = "0007 ?_set_new_handler@@YAP6AH_K@ZP6AH0@Z@Z"
	strings:
		$1 = { 48 83 EC 28 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "_vswprintf_helper"
		size = 282
		refs = "0038 memset 0042 _errno 004d _invalid_parameter_noinfo 00c7 _flsbuf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 48 8B EC 48 83 EC 50 33 DB 4D 8B E0 4C 8B E9 48 8B F2 48 8D 4D D8 44 8D 43 28 33 D2 49 8B F9 48 89 5D D0 E8 ?? ?? ?? ?? 48 85 FF 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 A7 00 00 00 4D 85 E4 74 05 48 85 F6 74 DE C7 45 E8 42 00 00 00 48 89 75 E0 48 89 75 D0 49 81 FC FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 07 43 8D 04 24 89 45 D8 4C 8B 4D 48 4C 8B 45 40 48 8D 4D D0 48 8B D7 41 FF D5 8B F8 48 85 F6 74 5C 85 C0 78 49 FF 4D D8 78 13 48 8B 45 D0 88 18 48 8B 45 D0 48 FF C0 48 89 45 D0 EB 14 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 21 48 8B 45 D0 FF 4D D8 78 04 88 18 EB 10 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C7 EB 0F 39 5D D8 66 42 89 5C 66 FE 0F 9D C3 8D 43 FE 4C 8D 5C 24 50 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_137_1_0 {
	meta:
		name = "_vswprintf_c"
		size = 49
		refs = "001b _woutput_l 0020 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_857_1_0 {
	meta:
		name = "_vsnprintf_c"
		size = 49
		refs = "001b _output_l 0020 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_857_7_0 {
	meta:
		name = "_vsprintf_p"
		size = 49
		refs = "001b _output_p_l 0020 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_137_7_0 {
	meta:
		name = "_vswprintf_p"
		size = 49
		refs = "001b _woutput_p_l 0020 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 28 48 83 64 24 20 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_137_2_0 {
	meta:
		name = "_vswprintf_c_l"
		size = 53
		refs = "001f _woutput_l 0024 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_857_2_0 {
	meta:
		name = "_vsnprintf_c_l"
		size = 53
		refs = "001f _output_l 0024 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_857_8_0 {
	meta:
		name = "_vsprintf_p_l"
		size = 53
		refs = "001f _output_p_l 0024 _vsnprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_137_8_0 {
	meta:
		name = "_vswprintf_p_l"
		size = 53
		refs = "001f _woutput_p_l 0024 _vswprintf_helper"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 85 C0 0F 48 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_137_3_0 {
	meta:
		name = "_vswprintf_s_l"
		size = 121
		refs = "0039 _woutput_s_l 003e _vswprintf_helper 004f _errno 0067 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 33 FF 48 8B D9 4D 85 C0 74 47 48 85 C9 74 42 48 85 D2 74 3D 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 03 66 89 3B 83 F8 FE 75 20 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_137_4_0 {
	meta:
		name = "vswprintf_s"
		size = 22
		refs = "000d _vswprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_685_3_0 {
	meta:
		name = "?vswprintf@@YAHPEAG_KPEBGPEAD@Z"
		size = 22
		refs = "000d ?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_685_1_0 {
	meta:
		name = "?vswprintf@@YAHPEA_W_KPEB_WPEAD@Z"
		size = 22
		refs = "000d ?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_621_1_0 {
	meta:
		name = "_vsnprintf"
		size = 22
		refs = "000d _vsnprintf_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_380_1_0 {
	meta:
		name = "_vsnwprintf"
		size = 22
		refs = "000d _vsnwprintf_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_857_4_0 {
	meta:
		name = "vsprintf_s"
		size = 22
		refs = "000d _vsprintf_s_l"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_137_5_0 {
	meta:
		name = "_vsnwprintf_s_l"
		size = 333
		refs = "0062 _errno 006d _woutput_s_l 008e _vswprintf_helper 012d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 30 45 33 ED 49 8B E9 49 8B F0 48 8B DA 48 8B F9 4D 85 C9 0F 84 F1 00 00 00 4D 85 C0 75 15 48 85 C9 75 19 48 85 D2 0F 85 DE 00 00 00 33 C0 E9 EA 00 00 00 48 85 C9 0F 84 CE 00 00 00 48 85 D2 0F 84 C5 00 00 00 49 3B D0 76 50 E8 ?? ?? ?? ?? 4C 8D 46 01 48 8D 0D ?? ?? ?? ?? 8B 18 48 8B 44 24 78 4C 8B CD 48 89 44 24 28 48 8B 44 24 70 48 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 70 E8 ?? ?? ?? ?? 83 38 22 0F 85 8C 00 00 00 E8 ?? ?? ?? ?? 89 18 E9 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B CD 44 8B 20 48 8B 44 24 78 4C 8B C3 48 89 44 24 28 48 8B 44 24 70 48 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 66 44 89 6C 5F FE 83 F8 FE 75 1A 48 83 FE FF 75 18 E8 ?? ?? ?? ?? 83 38 22 75 34 E8 ?? ?? ?? ?? 44 89 20 EB 2A 85 C0 79 29 66 44 89 2F 83 F8 FE 75 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_143_1_0 {
	meta:
		name = "winit_namebuf"
		size = 309
		refs = "0029 tmpnam_s_buf 0039 tmpfile_buf 0047 tmpnam_buf 0053 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 005e wcscpy_s 00ad _getpid 00c0 _ultow_s 00cb ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 00d6 wcscat_s 00ef _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 33 F6 8B D9 8B D1 85 C9 74 26 FF CA 74 14 FF CA 75 09 48 8D 2D ?? ?? ?? ?? EB 0E 48 8B 6C 24 48 EB 1A 48 8D 2D ?? ?? ?? ?? BE 12 00 00 00 EB 0C 48 8D 2D ?? ?? ?? ?? BE 0E 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 A0 00 00 00 48 8D 7D 02 B8 5C 00 00 00 66 39 47 FE 74 0E 66 83 7F FE 2F 74 07 66 89 07 48 83 C7 02 B8 74 00 00 00 83 FB 01 74 05 B8 73 00 00 00 66 89 07 48 83 C7 02 48 8B DE 48 8B C7 48 2B C5 48 D1 F8 48 2B D8 E8 ?? ?? ?? ?? 41 B9 20 00 00 00 4C 8B C3 48 8B D7 8B C8 E8 ?? ?? ?? ?? 85 C0 75 2C 4C 8D 05 ?? ?? ?? ?? 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 85 C0 74 42 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 5C 24 40 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_143_2_0 {
	meta:
		name = "wgenfname"
		size = 236
		refs = "0015 __security_cookie 0030 wcsrchr 005d wcstoul 0077 _ultow_s 008e wcscpy_s 00a7 _invoke_watson 00c3 _invalid_parameter_noinfo 00d3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B FA BA 2E 00 00 00 45 8B E0 48 8B E9 E8 ?? ?? ?? ?? 48 8D 70 02 48 3B F5 0F 82 81 00 00 00 48 8B DE 48 2B DD 48 D1 FB 48 3B FB 76 73 BD 20 00 00 00 33 D2 48 8B CE 44 8B C5 E8 ?? ?? ?? ?? FF C0 41 3B C4 73 5F 44 8D 45 E8 48 8D 54 24 30 44 8B CD 8B C8 E8 ?? ?? ?? ?? 85 C0 75 2D 48 2B FB 4C 8D 44 24 30 48 8B CE 48 8B D7 E8 ?? ?? ?? ?? 85 C0 74 34 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 38 49 8B E3 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_143_3_0 {
	meta:
		name = "_wtmpnam_helper"
		size = 453
		refs = "002b _errno 0039 _mtinitlocknum 005e _lock 006a tmpnam_buf 0077 tmpnam_s_buf 008b winit_namebuf 009d wgenfname 00af _waccess_s 00da _getptd_noexit 00ff _calloc_crt 011c wcscpy_s 0134 _invoke_watson 0140 wcslen 0187 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 44 89 48 20 41 54 41 56 41 57 48 83 EC 40 41 8B F8 4C 8B FA 4C 8B E1 33 F6 8B DE E8 ?? ?? ?? ?? 8B 00 89 44 24 30 8D 4E 02 E8 ?? ?? ?? ?? 85 C0 75 17 48 8B 84 24 80 00 00 00 48 89 30 E8 ?? ?? ?? ?? 8B 00 E9 53 01 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 85 FF 75 0D 48 8D 35 ?? ?? ?? ?? 44 8D 77 0E EB 0D 48 8D 35 ?? ?? ?? ?? 41 BE 12 00 00 00 33 C0 66 39 06 75 09 8B CF E8 ?? ?? ?? ?? EB 18 44 8B 44 24 78 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 D8 00 00 00 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 1A 44 8B 44 24 78 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 B2 00 00 00 EB D8 45 33 F6 4D 85 E4 75 5F E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0A BB 0C 00 00 00 E9 91 00 00 00 4C 39 70 50 75 16 BA 02 00 00 00 8D 4A 0C E8 ?? ?? ?? ?? 48 89 47 50 48 85 C0 74 DA 4C 8B 67 50 4C 8B C6 BA 0E 00 00 00 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 5D 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 85 FF 74 1E 48 8B CE E8 ?? ?? ?? ?? 49 3B C7 72 11 BB 22 00 00 00 4D 85 FF 74 2E 66 45 89 34 24 EB 27 4C 8B C6 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 15 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 B9 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B 9C 24 80 00 00 00 4D 89 23 E8 ?? ?? ?? ?? 85 DB 74 04 89 18 EB 06 8B 4C 24 30 89 08 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_143_5_0 {
	meta:
		name = "_wtmpnam_s"
		size = 64
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0037 _wtmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 1B 48 8D 44 24 40 41 B9 FF FF FF 7F 41 B8 02 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_259_6_0 {
	meta:
		name = "tmpnam_s"
		size = 64
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0037 _tmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 1B 48 8D 44 24 40 41 B9 FF FF FF 7F 41 B8 02 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_143_6_0 {
	meta:
		name = "_wtmpnam"
		size = 48
		refs = "0022 _wtmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 48 00 48 8D 44 24 48 41 B9 FF 7F 00 00 45 33 C0 48 83 CA FF 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 48 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_259_7_0 {
	meta:
		name = "tmpnam"
		size = 48
		refs = "0022 _tmpnam_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 48 00 48 8D 44 24 48 41 B9 FF 7F 00 00 45 33 C0 48 83 CA FF 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 48 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "_logb"
		size = 290
		refs = "0073 ??_C@_05JGDBENOH@_logb?$AA@ 007d _handle_error"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 41 B8 FF 03 00 00 48 BA FF FF FF FF FF FF FF 7F 48 8B 44 24 60 66 0F 28 C8 48 8B C8 48 C1 E9 34 81 E1 FF 07 00 00 49 2B C8 48 85 C2 75 4E 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 02 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 49 B8 00 00 00 00 00 00 F0 FF 48 8D 0D ?? ?? ?? ?? BA 25 00 00 00 E8 ?? ?? ?? ?? E9 97 00 00 00 48 C7 C2 02 FC FF FF 48 3B CA 7C 10 49 3B C8 7F 10 66 0F EF C0 F2 48 0F 2A C1 EB 7B 49 3B C8 7E 49 48 B9 FF FF FF FF FF FF 0F 00 48 85 C1 74 67 66 0F 57 C0 C7 44 24 40 01 00 00 00 49 B8 00 00 00 00 00 00 08 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 4C 0B C0 83 64 24 20 00 41 B9 01 00 00 00 EB 80 48 B9 FF FF FF FF FF FF 0F 00 48 23 C1 48 B9 00 00 00 00 00 00 10 00 EB 06 48 03 C0 48 FF CA 48 3B C1 72 F5 66 0F EF C0 F2 48 0F 2A C2 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_146_3_0 {
	meta:
		name = "_validate_param_reuseW"
		size = 372
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 44 0F B7 59 10 8B FA 48 8B D9 66 41 83 FB 70 0F 84 3C 01 00 00 66 41 83 F8 70 0F 84 31 01 00 00 45 33 D2 BA 01 00 00 00 66 41 83 FB 73 74 0A 41 8B CA 66 41 83 FB 53 75 02 8B CA 66 41 83 F8 73 74 0A 41 8B C2 66 41 83 F8 53 75 02 8B C2 85 C9 0F 85 DA 00 00 00 85 C0 0F 85 EC 00 00 00 66 B9 69 00 66 41 83 FB 64 74 77 66 44 3B D9 74 45 66 41 83 FB 6F 74 3E 66 41 83 FB 75 74 37 66 41 83 FB 78 74 30 66 41 83 FB 58 74 29 66 41 83 F8 64 74 22 66 44 3B C1 74 1C 66 41 83 F8 6F 74 15 66 41 83 F8 75 74 0E 66 41 83 F8 78 74 07 66 41 83 F8 58 75 78 66 41 83 FB 64 74 25 66 44 3B D9 74 1F 66 41 83 FB 6F 74 18 66 41 83 FB 75 74 11 66 41 83 FB 78 74 0A 41 8B C2 66 41 83 FB 58 75 02 8B C2 66 41 83 F8 64 74 25 66 44 3B C1 74 1F 66 41 83 F8 6F 74 18 66 41 83 F8 75 74 11 66 41 83 F8 78 74 0A 66 41 83 F8 58 74 03 41 8B D2 3B C2 74 04 33 C0 EB 49 8B 4B 14 8B C1 41 33 C1 0F BA E0 10 72 EE 41 33 C9 F6 C1 20 75 E6 39 3B EB 28 3B C8 75 16 8B 43 14 41 C1 E9 05 C1 E8 05 41 F7 D1 F7 D0 41 33 C1 84 C2 74 03 41 8B D2 8B C2 EB 0E 45 33 D2 66 45 3B D8 41 0F 94 C2 41 8B C2 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_146_4_0 {
	meta:
		name = "write_char"
		size = 55
		refs = "001c _fputwc_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 42 18 40 49 8B D8 74 0C 48 83 7A 10 00 75 05 41 FF 00 EB 16 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 05 83 0B FF EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_146_5_0 {
	meta:
		name = "write_multi_char"
		size = 81
		refs = "002f write_char"
	strings:
		$1 = { 85 D2 7E 4C 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B F0 8B DA 0F B7 E9 4C 8B C7 48 8B D6 0F B7 CD FF CB E8 ?? ?? ?? ?? 83 3F FF 74 04 85 DB 7F E7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_146_6_0 {
	meta:
		name = "write_string"
		size = 172
		refs = "0025 _errno 0054 write_char"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 49 8B D9 49 8B F0 8B FA 48 8B E9 E8 ?? ?? ?? ?? F6 46 18 40 44 8B 20 74 0B 48 83 7E 10 00 75 04 01 3B EB 54 E8 ?? ?? ?? ?? 83 20 00 EB 34 0F B7 4D 00 4C 8B C3 48 8B D6 FF CF E8 ?? ?? ?? ?? 48 83 C5 02 83 3B FF 75 1A E8 ?? ?? ?? ?? 83 38 2A 75 14 B9 3F 00 00 00 4C 8B C3 48 8B D6 E8 ?? ?? ?? ?? 85 FF 7F C8 E8 ?? ?? ?? ?? 83 38 00 75 08 E8 ?? ?? ?? ?? 44 89 20 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_146_9_0 {
	meta:
		name = "_woutput_p_l"
		size = 4520
		refs = "0022 __security_cookie 0060 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0075 _errno 0080 _invalid_parameter_noinfo 014b __lookuptable_s 01a9 wcstol 01d4 memset 040d _validate_param_reuseW 0447 __nullstring 044f strlen 051a _mbtowc_l 0693 _isleadbyte_l 06be __wnullstring 077e _get_printf_count_output 0ac4 _malloc_crt 0b27 _cfltcvt_tab 0b34 __imp_DecodePointer 0c25 write_multi_char 0c38 write_string 0ca1 write_char 0d04 free 1108 get_crtdouble_arg 1189 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 A0 F2 FF FF 48 81 EC 60 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 0D 00 00 33 FF 48 8B D9 48 89 4D C8 4C 8B E2 48 89 55 E8 48 8D 4C 24 68 49 8B D0 4C 89 4C 24 50 89 7D C0 44 8B F7 89 7C 24 64 89 7C 24 48 89 7C 24 40 E8 ?? ?? ?? ?? 41 83 C8 FF 41 8B F0 48 89 7D B8 48 85 DB 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7D 80 74 0C 48 8B 4C 24 78 83 A1 C8 00 00 00 FD 83 C8 FF E9 E0 10 00 00 4D 85 E4 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7D 80 74 DD 48 8B 44 24 78 83 A0 C8 00 00 00 FD EB CF 48 8B 5D E8 4C 8B 6C 24 50 8B C7 8B CF 89 44 24 60 89 4D B0 83 F9 01 75 08 85 F6 0F 84 84 10 00 00 41 8B D0 4D 8B CC 45 0F B7 24 24 45 8B D8 44 89 44 24 44 41 8B F0 44 89 45 88 4C 63 45 B0 44 8B FF 44 8B D7 48 89 7D D8 89 7D 8C 89 7C 24 58 89 54 24 5C 4C 89 45 98 66 45 85 E4 0F 84 05 10 00 00 49 83 C1 02 4C 89 4D A0 85 C0 0F 88 79 0F 00 00 41 8D 44 24 E0 B9 58 00 00 00 66 3B C1 77 18 48 8D 0D ?? ?? ?? ?? 41 0F B7 C4 0F B6 4C 08 E0 83 E1 0F 45 33 DB EB 06 45 33 DB 41 8B CB 48 63 C1 48 8D 0C C0 49 63 C2 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 04 01 C1 E8 04 89 45 C4 83 F8 01 0F 85 DE 00 00 00 66 41 83 39 25 0F 84 DC 00 00 00 83 FE FF 75 5D 44 8D 40 09 48 8D 55 B8 49 8B C9 E8 ?? ?? ?? ?? 45 33 DB 85 C0 7E 2E 48 8B 45 B8 66 83 38 24 75 24 4C 39 5D 98 75 14 48 8D 8D F0 03 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 89 75 88 EB 1D 4C 8B 6C 24 50 8B 54 24 5C 4C 8B 45 98 4C 8B 4D A0 41 8B F3 44 89 5D 88 83 FE 01 75 75 48 8B 4D A0 48 8D 55 B8 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D B8 4C 8B 45 98 4C 8D 49 02 8D 50 FF 45 33 DB 4C 89 4D A0 89 54 24 5C 4D 85 C0 75 33 85 D2 0F 88 E0 01 00 00 66 83 39 24 0F 85 D6 01 00 00 45 8D 50 64 41 3B D2 0F 8D C9 01 00 00 8B 44 24 44 4C 8B 6C 24 50 3B D0 0F 4F C2 89 44 24 44 EB 16 4C 8B 6C 24 50 EB 09 83 F8 08 0F 84 A5 01 00 00 41 BA 64 00 00 00 8B 4D C4 85 C9 0F 84 CF 0D 00 00 FF C9 0F 84 A4 0D 00 00 FF C9 0F 84 44 0D 00 00 FF C9 0F 84 A4 0C 00 00 FF C9 0F 84 8F 0C 00 00 FF C9 0F 84 54 0B 00 00 FF C9 0F 84 67 0A 00 00 FF C9 0F 85 D7 0D 00 00 41 0F B7 C4 41 3B C2 0F 8F F5 02 00 00 0F 84 EA 04 00 00 83 F8 41 0F 84 82 02 00 00 83 F8 43 0F 84 B4 01 00 00 83 F8 45 0F 84 70 02 00 00 83 F8 47 0F 84 67 02 00 00 83 F8 53 0F 84 63 01 00 00 B9 58 00 00 00 3B C1 0F 84 EE 03 00 00 83 F8 5A 74 5E 83 F8 61 0F 84 4F 02 00 00 83 F8 63 0F 84 89 01 00 00 BF 2D 00 00 00 B9 20 00 00 00 44 8B 64 24 40 8B 44 24 48 83 7D 88 01 75 0D 4C 8B 45 98 4D 85 C0 0F 84 41 0D 00 00 85 C0 0F 85 AB 09 00 00 41 F6 C6 40 0F 84 A8 08 00 00 41 0F BA E6 08 0F 83 77 08 00 00 66 89 7D A8 E9 7D 08 00 00 85 F6 75 0F 49 83 C5 08 4C 89 6C 24 50 49 8B 45 F8 EB 24 83 FA 63 0F 87 90 00 00 00 48 63 C2 48 8D 0C 40 4D 85 C0 0F 84 A4 02 00 00 48 8B 84 CD F8 03 00 00 48 8B 00 48 85 C0 0F 84 97 00 00 00 48 8B 58 08 48 85 DB 0F 84 8A 00 00 00 B9 20 00 00 00 8D 79 0D 41 0F BA E6 0B 73 6A 0F BF 00 C7 44 24 40 01 00 00 00 99 2B C2 D1 F8 44 8B F8 E9 4A FF FF FF C7 00 02 00 00 00 66 44 89 A4 CD 00 04 00 00 44 89 B4 CD 04 04 00 00 E9 24 FF FF FF BA 02 00 00 00 45 0F B7 C4 45 8B CE 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 08 FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C9 38 4D 80 E9 84 FC FF FF 44 0F BF 38 44 89 5C 24 40 45 8B E3 E9 EC FE FF FF 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 8B F8 4C 8B 6C 24 50 E9 C1 FE FF FF 41 F7 C6 30 08 00 00 75 04 41 83 CE 20 83 FF FF 8B F7 B8 FF FF FF 7F 0F 44 F0 44 39 5D 88 0F 85 A4 01 00 00 49 83 C5 08 4C 89 6C 24 50 49 8B 5D F8 E9 C8 01 00 00 41 B9 20 00 00 00 41 F7 C6 30 08 00 00 75 0B 45 0B F1 EB 06 41 B9 20 00 00 00 C7 44 24 40 01 00 00 00 85 F6 75 10 49 83 C5 08 4C 89 6C 24 50 41 0F B7 45 F8 EB 24 83 FA 63 0F 87 44 FF FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 0F 84 CA 03 00 00 48 8B 84 CD F8 03 00 00 0F B7 00 66 89 45 90 45 84 F1 74 43 88 45 AC 48 8B 44 24 68 44 88 5D AD 4C 63 80 0C 01 00 00 4C 8D 4C 24 68 48 8D 55 AC 48 8D 4D F0 E8 ?? ?? ?? ?? 4C 8B 6C 24 50 85 C0 79 19 C7 44 24 48 01 00 00 00 EB 0F C7 00 01 00 00 00 E9 AB FE FF FF 66 89 45 F0 41 BF 01 00 00 00 48 8D 5D F0 41 8D 4F 1F 45 8B E7 BF 2D 00 00 00 E9 D5 FD FF FF C7 45 D0 01 00 00 00 66 41 83 C4 20 B9 67 00 00 00 41 83 CE 40 83 FE 01 0F 85 01 05 00 00 4D 85 C0 0F 85 F8 04 00 00 83 FA 63 0F 87 8E FE FF FF 48 63 C2 48 8D 0C 40 48 8D 84 CD F0 03 00 00 44 39 18 0F 85 AF 04 00 00 C7 00 07 00 00 00 66 44 89 A4 CD 00 04 00 00 44 89 B4 CD 04 04 00 00 E9 D5 0A 00 00 83 F8 65 0F 8C 59 FD FF FF B9 67 00 00 00 3B C1 7E 9B B9 69 00 00 00 3B C1 0F 84 DC 01 00 00 83 F8 6E 0F 84 5F 01 00 00 B9 6F 00 00 00 3B C1 0F 84 39 01 00 00 83 F8 70 0F 84 ED 00 00 00 83 F8 73 0F 84 67 FE FF FF B9 75 00 00 00 3B C1 0F 84 AB 01 00 00 B9 78 00 00 00 3B C1 0F 85 01 FD FF FF 8D 41 AF E9 D5 00 00 00 83 FA 63 0F 87 E8 FD FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 75 16 48 8D 84 CD F0 03 00 00 44 39 18 0F 84 93 FD FF FF E9 AA FD FF FF 48 8B 9C CD F8 03 00 00 48 8B 1B B9 20 00 00 00 44 84 F1 74 49 48 85 DB 45 8B FB 48 0F 44 1D ?? ?? ?? ?? 48 8B FB 85 F6 0F 8E 50 05 00 00 44 38 1F 0F 84 CC FD FF FF 0F B6 0F 48 8D 54 24 68 E8 ?? ?? ?? ?? 45 33 DB 85 C0 74 03 48 FF C7 41 FF C7 48 FF C7 44 3B FE 7C D5 E9 A5 FD FF FF 48 85 DB 41 BC 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 64 24 40 48 8B C3 EB 0C FF CE 66 44 39 18 74 08 48 83 C0 02 85 F6 75 F0 48 2B C3 48 D1 F8 44 8B F8 E9 67 FE FF FF BF 10 00 00 00 41 0F BA EE 0F 89 7C 24 58 B8 07 00 00 00 89 45 C0 41 B9 10 00 00 00 45 84 F6 0F 89 B5 00 00 00 41 8D 49 20 45 8D 51 F2 66 83 C0 51 66 89 4D A8 44 89 54 24 64 66 89 45 AA E9 9C 00 00 00 41 B9 08 00 00 00 45 84 F6 0F 89 88 00 00 00 B8 00 02 00 00 44 0B F0 EB 7E 85 F6 75 0F 49 83 C5 08 4C 89 6C 24 50 49 8B 7D F8 EB 24 83 FA 63 0F 87 B7 FC FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 0F 84 CB FE FF FF 48 8B 84 CD F8 03 00 00 48 8B 38 E8 ?? ?? ?? ?? 85 C0 0F 84 8F FC FF FF 8B 44 24 60 B9 20 00 00 00 44 84 F1 74 05 66 89 07 EB 02 89 07 4C 8B 6C 24 50 44 8B 64 24 40 B8 01 00 00 00 8D 78 2C 89 44 24 48 E9 7A FB FF FF 41 83 CE 40 41 B9 0A 00 00 00 44 8B 54 24 64 41 0F BA E6 0F 73 4D 85 F6 75 12 49 83 C5 08 4C 89 6C 24 50 4D 8B 45 F8 E9 A5 01 00 00 83 FA 63 0F 87 2A FC FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 75 64 48 8D 84 CD F0 03 00 00 44 39 18 75 0B C7 00 03 00 00 00 E9 D4 FB FF FF BA 03 00 00 00 E9 E5 FB FF FF 41 0F BA E6 0C 73 4B 85 F6 74 AC 83 FA 63 0F 87 E8 FB FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 75 22 48 8D 84 CD F0 03 00 00 44 39 18 75 0B C7 00 04 00 00 00 E9 92 FB FF FF BA 04 00 00 00 E9 A3 FB FF FF 48 8B 84 CD F8 03 00 00 4C 8B 00 E9 1C 01 00 00 B8 20 00 00 00 44 84 F0 0F 84 98 00 00 00 41 F6 C6 40 74 58 85 F6 75 13 49 83 C5 08 4C 89 6C 24 50 4D 0F BF 45 F8 E9 F1 00 00 00 83 FA 63 0F 87 76 FB FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 75 1B 48 8D 84 CD F0 03 00 00 44 39 18 0F 84 71 FC FF FF BA 01 00 00 00 E9 38 FB FF FF 48 8B 84 CD F8 03 00 00 4C 0F BF 00 E9 B0 00 00 00 85 F6 75 13 49 83 C5 08 4C 89 6C 24 50 45 0F B7 45 F8 E9 99 00 00 00 83 FA 63 0F 87 1E FB FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 74 A8 48 8B 84 CD F8 03 00 00 44 0F B7 00 EB 76 41 F6 C6 40 74 39 85 F6 75 0F 49 83 C5 08 4C 89 6C 24 50 4D 63 45 F8 EB 5D 83 FA 63 0F 87 E2 FA FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 0F 84 68 FF FF FF 48 8B 84 CD F8 03 00 00 4C 63 00 EB 37 85 F6 75 0F 49 83 C5 08 4C 89 6C 24 50 45 8B 45 F8 EB 24 83 FA 63 0F 87 A9 FA FF FF 48 63 C2 48 8D 0C 40 4D 85 C0 0F 84 2F FF FF FF 48 8B 84 CD F8 03 00 00 44 8B 00 41 F6 C6 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EE 08 41 0F BA E6 0F 72 0A 41 0F BA E6 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0E BA 00 02 00 00 41 83 E6 F7 3B FA 0F 4F FA 44 8B 6D C0 49 8B C0 48 8D 9D EF 01 00 00 48 F7 D8 1B C9 41 23 CA 89 4C 24 64 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C5 88 03 48 FF CB EB D3 4C 8B 6C 24 50 4C 8D BD EF 01 00 00 B8 00 02 00 00 44 2B FB 48 FF C3 89 7C 24 58 44 85 F0 0F 84 EE F8 FF FF B8 30 00 00 00 45 85 FF 74 08 38 03 0F 84 DC F8 FF FF 48 FF CB 41 FF C7 88 03 E9 CF F8 FF FF 45 8B CE 45 0F B7 C4 BA 07 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 E2 06 00 00 4C 8B 45 98 E9 12 06 00 00 B8 00 02 00 00 48 8D 5D F0 8B F0 85 FF 79 0D 41 BF 06 00 00 00 44 89 7C 24 58 EB 56 75 0E 66 44 3B E1 75 44 41 BF 01 00 00 00 EB E9 3B F8 41 BF A3 00 00 00 0F 4F F8 89 7C 24 58 41 3B FF 7E 2F 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 4C 8B 6C 24 50 8B 54 24 5C 45 33 DB 48 89 45 D8 48 85 C0 74 B2 48 8B D8 8B F7 44 8B 7C 24 58 EB 03 44 8B FF 44 39 5D 88 75 13 49 83 C5 08 4C 89 6C 24 50 49 8B 45 F8 48 89 45 E0 EB 1F 83 FA 63 0F 87 0B F9 FF FF 48 63 C2 48 8D 0C 40 48 8B 84 CD F8 03 00 00 48 8B 08 48 89 4D E0 48 8B 0D ?? ?? ?? ?? 41 0F BE FC 48 63 F6 FF 15 ?? ?? ?? ?? 48 8D 4C 24 68 44 8B CF 48 89 4C 24 30 8B 4D D0 4C 8B C6 89 4C 24 28 48 8D 4D E0 48 8B D3 44 89 7C 24 20 FF D0 41 8B FE 81 E7 80 00 00 00 74 1C 45 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 BA 67 00 00 00 66 44 3B E2 75 1B 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EE 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 4C 8B 6C 24 50 44 8B F8 E9 55 F7 FF FF BF 2D 00 00 00 E9 50 F7 FF FF 41 F6 C6 01 74 14 B8 2B 00 00 00 66 89 45 A8 BE 01 00 00 00 89 74 24 64 EB 10 41 F6 C6 02 74 06 66 89 4D A8 EB E9 8B 74 24 64 44 8B 6D 8C 48 8B 7D C8 45 2B EF 44 2B EE 41 F6 C6 0C 75 10 4C 8D 4C 24 60 4C 8B C7 41 8B D5 E8 ?? ?? ?? ?? 4C 8D 4C 24 60 48 8D 4D A8 4C 8B C7 8B D6 E8 ?? ?? ?? ?? 41 F6 C6 08 74 1B 41 F6 C6 04 75 15 4C 8D 4C 24 60 B9 30 00 00 00 4C 8B C7 41 8B D5 E8 ?? ?? ?? ?? 45 85 E4 75 5D 45 85 FF 7E 58 48 8B FB 41 8B F7 48 8B 44 24 68 4C 8D 4C 24 68 48 8D 4D 90 4C 63 80 0C 01 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 4C 63 E0 85 C0 7E 1F 48 8B 55 C8 0F B7 4D 90 4C 8D 44 24 60 E8 ?? ?? ?? ?? 49 03 FC 85 F6 7F C1 48 8B 7D C8 EB 20 48 8B 7D C8 83 C8 FF 89 44 24 60 EB 17 4C 8D 4C 24 60 4C 8B C7 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B 44 24 60 85 C0 78 1B 41 F6 C6 04 74 15 4C 8D 4C 24 60 B9 20 00 00 00 4C 8B C7 41 8B D5 E8 ?? ?? ?? ?? 4C 8B 6C 24 50 48 8B 4D D8 48 85 C9 74 10 E8 ?? ?? ?? ?? 4C 8B 6C 24 50 33 C9 48 89 4D D8 8B 7C 24 58 E9 55 FD FF FF 41 0F B7 C4 83 F8 49 74 4C 83 F8 68 74 3E B9 6C 00 00 00 3B C1 74 13 83 F8 77 0F 85 58 03 00 00 41 0F BA EE 0B E9 4E 03 00 00 44 8B 5C 24 44 66 41 39 09 75 0E 49 83 C1 02 41 0F BA EE 0C E9 3A 03 00 00 41 83 CE 10 E9 31 03 00 00 41 83 CE 20 E9 23 03 00 00 B8 00 80 00 00 44 0B F0 66 41 83 39 36 75 14 66 41 83 79 02 34 75 0C 49 83 C1 04 44 0B F0 E9 00 03 00 00 66 41 83 39 33 75 16 66 41 83 79 02 32 75 0E 49 83 C1 04 41 0F BA F6 0F E9 E3 02 00 00 66 45 39 11 74 40 B8 69 00 00 00 66 41 39 01 74 35 B8 6F 00 00 00 66 41 39 01 74 2A B8 75 00 00 00 66 41 39 01 74 1F B8 78 00 00 00 66 41 39 01 74 14 B8 58 00 00 00 66 41 39 01 74 09 44 89 5D C4 E9 72 02 00 00 41 0F BA EE 10 E9 93 02 00 00 B8 2A 00 00 00 66 44 3B E0 0F 85 10 01 00 00 85 F6 75 12 49 83 C5 08 4C 89 6C 24 50 41 8B 7D F8 E9 DD 00 00 00 48 8D 55 B8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D B8 4C 8B 45 98 4C 8D 49 02 FF C8 4C 89 4D A0 4D 85 C0 0F 85 97 00 00 00 85 C0 0F 88 BE F5 FF FF 66 83 39 24 0F 85 B4 F5 FF FF 8B 54 24 5C 41 BA 64 00 00 00 41 3B D2 0F 8D A1 F5 FF FF 44 8B 5C 24 44 41 3B C3 44 0F 4F D8 48 98 45 33 E4 48 8D 0C 40 44 89 5C 24 44 48 8D 84 CD F0 03 00 00 44 39 20 75 24 4C 8B 6C 24 50 C7 00 01 00 00 00 41 8D 42 C6 66 89 84 CD 00 04 00 00 44 89 B4 CD 04 04 00 00 E9 D6 01 00 00 41 B8 2A 00 00 00 45 8B CE 48 8B C8 41 8D 50 D7 E8 ?? ?? ?? ?? 85 C0 0F 84 73 02 00 00 4C 8B 6C 24 50 E9 87 FB FF FF 4C 8B 6C 24 50 8B 54 24 5C 48 98 48 8D 0C 40 48 8B 84 CD F8 03 00 00 8B 38 44 8B 5C 24 44 89 7C 24 58 85 FF 0F 89 85 01 00 00 83 CF FF 89 7C 24 58 E9 79 01 00 00 8D 0C BF 41 0F B7 C4 8D 7C 48 D0 89 7C 24 58 E9 60 01 00 00 41 8B FB 44 89 5C 24 58 E9 53 01 00 00 B8 2A 00 00 00 66 44 3B E0 75 77 85 F6 75 0F 49 83 C5 08 4C 89 6C 24 50 41 8B 4D F8 EB 46 48 8D 55 B8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D B8 4C 8B 45 98 4C 8D 49 02 FF C8 4C 89 4D A0 4D 85 C0 0F 84 C7 FE FF FF 4C 8B 6C 24 50 8B 54 24 5C 48 98 48 8D 0C 40 48 8B 84 CD F8 03 00 00 8B 08 44 8B 5C 24 44 89 4D 8C 85 C9 0F 89 E4 00 00 00 41 83 CE 04 F7 D9 89 4D 8C E9 D6 00 00 00 8B 45 8C 8D 0C 80 41 0F B7 C4 8D 4C 48 D0 89 4D 8C E9 BB 00 00 00 41 0F B7 C4 B9 20 00 00 00 3B C1 74 45 83 F8 23 74 39 B9 2B 00 00 00 3B C1 74 2A B9 2D 00 00 00 3B C1 74 1B 44 8B 5C }
	condition:
		$1
}

rule file_148_3_0 {
	meta:
		name = "_mbctolower_l"
		size = 228
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 008c __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 4D E8 81 FB FF 00 00 00 0F 86 8B 00 00 00 8B C3 88 5D 11 C1 E8 08 88 45 10 0F B6 C0 F6 44 08 1D 04 75 17 80 7D F8 00 0F 84 8C 00 00 00 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 7F 8B 41 04 C7 44 24 40 01 00 00 00 BA 02 00 00 00 89 44 24 38 89 54 24 30 48 8D 45 20 48 89 44 24 28 89 54 24 20 8B 51 0C 48 8D 4D E0 4C 8D 4D 10 41 B8 00 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 AA 0F B6 45 20 0F B6 4D 21 C1 E0 08 03 C1 80 7D F8 00 74 2F 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 22 F6 44 0B 1D 10 74 08 0F B6 9C 0B 1D 01 00 00 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_149_3_0 {
	meta:
		name = "?TraceContextEvent@ContextBase@details@Concurrency@@IEAAXW4ConcRT_EventType@3@EKK@Z"
		size = 53
		refs = "0006 ?g_TraceOn@details@Concurrency@@3_NA 0018 ?g_EnableLevel@details@Concurrency@@3EA 002c ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 83 EC 28 80 3D ?? ?? ?? ?? 00 45 8B D1 41 8A C0 44 8B DA 74 1A 3A 05 ?? ?? ?? ?? 77 12 44 8B 4C 24 50 45 8B C2 8A D0 41 8B CB E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_229_36_0 {
	meta:
		name = "?TraceVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@AEAAXW4ConcRT_EventType@3@EKK@Z"
		size = 53
		refs = "0006 ?g_TraceOn@details@Concurrency@@3_NA 0018 ?g_EnableLevel@details@Concurrency@@3EA 002c ?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 83 EC 28 80 3D ?? ?? ?? ?? 00 45 8B D1 41 8A C0 44 8B DA 74 1A 3A 05 ?? ?? ?? ?? 77 12 44 8B 4C 24 50 45 8B C2 8A D0 41 8B CB E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_149_4_0 {
	meta:
		name = "??0ExternalStatistics@details@Concurrency@@QEAA@XZ"
		size = 21
	strings:
		$1 = { 33 C0 48 89 41 20 48 89 41 28 C7 41 30 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_149_6_0 {
	meta:
		name = "?GetCurrentSubAllocator@ExternalContextBase@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ"
		size = 46
		refs = "0016 ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 D8 00 00 00 00 48 8B D9 75 0E B1 01 E8 ?? ?? ?? ?? 48 89 83 D8 00 00 00 48 8B 83 D8 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_149_7_0 {
	meta:
		name = "?DetachStatistics@ExternalContextBase@details@Concurrency@@QEAAPEAVExternalStatistics@23@XZ"
		size = 23
	strings:
		$1 = { 48 8B 81 D0 00 00 00 48 83 A1 D0 00 00 00 00 C7 40 30 00 00 00 00 C3 }
	condition:
		$1
}

rule file_149_8_0 {
	meta:
		name = "?PrepareForUse@ExternalContextBase@details@Concurrency@@QEAAX_N@Z"
		size = 198
		refs = "0021 __imp_GetCurrentThreadId 0032 __imp_GetCurrentProcess 003b __imp_GetCurrentThread 006c __imp_DuplicateHandle 0076 __imp_GetLastError 008e ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0095 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 009f _CxxThrowException 00ac ?RegisterForExitTracking@SchedulerBase@details@Concurrency@@QEAAXPEAVExternalContextBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 60 8A DA 48 8B E9 88 91 C8 00 00 00 FF 15 ?? ?? ?? ?? 89 45 68 84 DB 0F 85 80 00 00 00 FF 15 ?? ?? ?? ?? 48 8B F8 FF 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? C7 44 24 30 02 00 00 00 83 64 24 28 00 83 64 24 20 00 4C 8D 8D E0 00 00 00 48 8B C8 4C 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 48 8B 4D 38 48 8B D5 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_149_12_0 {
	meta:
		name = "?Block@ExternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 105
		refs = "001c ?g_TraceOn@details@Concurrency@@3_NA 0027 ?g_EnableLevel@details@Concurrency@@3EA 0039 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 005a __imp_WaitForSingleObject"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 79 20 48 8B D9 48 8B 49 38 48 8B 01 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CF 44 8B C0 B9 03 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 54 FF C0 83 F8 01 75 10 48 8B 8B E8 00 00 00 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_13_0 {
	meta:
		name = "?Unblock@ExternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 170
		refs = "000e ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0026 ?g_TraceOn@details@Concurrency@@3_NA 0034 ?g_EnableLevel@details@Concurrency@@3EA 0043 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 005c __imp_SetEvent 0078 ??0context_unblock_unbalanced@Concurrency@@QEAA@XZ 007f _TI2?AVcontext_unblock_unbalanced@Concurrency@@ 0089 _CxxThrowException 0094 ??0context_self_unblock@Concurrency@@QEAA@XZ 009b _TI2?AVcontext_self_unblock@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B D9 E8 ?? ?? ?? ?? 48 3B D8 74 77 48 8B 4B 38 8B 7B 20 48 8B 01 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B9 04 00 00 00 38 0D ?? ?? ?? ?? 72 0D 44 8B CF 44 8B C0 8A D1 E8 ?? ?? ?? ?? 83 C8 FF F0 0F C1 43 54 FF C8 75 18 48 8B 8B E8 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 FF C0 83 F8 01 76 EE 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_149_20_0 {
	meta:
		name = "?Yield@ExternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 66
		refs = "0015 ?g_TraceOn@details@Concurrency@@3_NA 0020 ?g_EnableLevel@details@Concurrency@@3EA 0032 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 003e __imp_SwitchToThread"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 59 20 48 8B 49 38 48 8B 01 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CB 44 8B C0 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_21_0 {
	meta:
		name = "?Oversubscribe@ExternalContextBase@details@Concurrency@@UEAAX_N@Z"
		size = 58
		refs = "001a ??0invalid_oversubscribe_operation@Concurrency@@QEAA@XZ 0021 _TI2?AVinvalid_oversubscribe_operation@Concurrency@@ 002b _CxxThrowException"
		altNames = "?Oversubscribe@UMSThreadInternalContext@details@Concurrency@@UEAAX_N@Z"
	strings:
		$1 = { 48 83 EC 48 84 D2 74 05 FF 41 2C EB 28 8B 41 2C 85 C0 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC FF C8 89 41 2C 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_149_25_0 {
	meta:
		name = "?Alloc@ExternalContextBase@details@Concurrency@@UEAAPEAX_K@Z"
		size = 81
		refs = "001d ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z 0038 ?Alloc@SubAllocator@details@Concurrency@@QEAAPEAX_K@Z 0042 ?StaticAlloc@SubAllocator@details@Concurrency@@SAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 D8 00 00 00 00 48 8B FA 48 8B D9 75 0E B1 01 E8 ?? ?? ?? ?? 48 89 83 D8 00 00 00 48 8B 8B D8 00 00 00 48 85 C9 74 0A 48 8B D7 E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_26_0 {
	meta:
		name = "?Free@ExternalContextBase@details@Concurrency@@UEAAXPEAX@Z"
		size = 82
		refs = "001d ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z 0038 ?Free@SubAllocator@details@Concurrency@@QEAAXPEAX@Z 0043 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 D8 00 00 00 00 48 8B DA 48 8B F9 75 0E B1 01 E8 ?? ?? ?? ?? 48 89 87 D8 00 00 00 48 8B 8F D8 00 00 00 48 85 C9 74 0A 48 8B D3 E8 ?? ?? ?? ?? EB 09 48 8D 4B F8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_27_0 {
	meta:
		name = "?RemoveFromUse@ExternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 46
		refs = "000a ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ 001c __imp_CloseHandle"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 48 85 C9 74 0E FF 15 ?? ?? ?? ?? 48 83 A3 E0 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_149_28_0 {
	meta:
		name = "?Cleanup@ExternalContextBase@details@Concurrency@@AEAAXXZ"
		size = 103
		refs = "000a ?Cleanup@ContextBase@details@Concurrency@@QEAAXXZ 001c __imp_CloseHandle 0047 ?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 48 85 C9 74 0E FF 15 ?? ?? ?? ?? 48 83 A3 E0 00 00 00 00 48 8B 8B E8 00 00 00 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 8B D8 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 83 D0 00 00 00 48 83 A3 D0 00 00 00 00 C7 40 30 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_149_41_0 {
	meta:
		name = "?Add@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAAHPEAVExternalStatistics@23@@Z"
		size = 367
		refs = "00c1 ??_U@YAPEAX_K@Z 00d6 memset 00e0 ??2@YAPEAX_K@Z 0127 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0136 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?Add@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAAHPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 55 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B EA 48 8B F9 49 83 CB FF 44 8D 7E 01 44 39 5B 10 7C 50 4C 8B 0B 33 D2 39 57 50 7E 46 4D 8B C1 49 83 38 00 75 18 8D 04 32 48 63 CA 41 89 45 00 44 8B 57 70 33 C0 F0 4D 0F B1 2C C9 74 0E 41 03 D7 49 83 C0 08 3B 57 50 7D 19 EB D4 03 F2 41 8A EF 41 3B F2 7C 05 F0 44 01 7F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B4 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 76 33 C0 F0 4C 0F B1 7B 08 75 6C 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B E0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 20 EB 03 45 33 DB 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 4C 89 1C C8 44 01 7F 6C 4C 87 5B 08 4C 39 7B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 7B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 D9 FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_149_42_0 {
	meta:
		name = "?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ"
		size = 119
		refs = "0036 ??3@YAXPEAX@Z 005e memset"
		altNames = "?Wipe@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 83 79 04 00 48 8B F9 7E 45 33 F6 39 31 7E 29 33 ED 48 8B 47 08 48 8B 0C 28 48 85 C9 74 10 48 8B 19 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 F0 FF C6 48 83 C5 08 3B 37 7C D9 4C 63 07 48 8B 4F 08 83 67 04 00 49 C1 E0 03 33 D2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_149_44_0 {
	meta:
		name = "??1?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@XZ"
		size = 28
		refs = "000a ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ 0018 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_273_0 {
	meta:
		name = "??1?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 28
		refs = "000a ?Wipe@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXXZ 0018 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_45_0 {
	meta:
		name = "??1ContextBase@details@Concurrency@@QEAA@XZ"
		size = 35
		refs = "0011 ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ 001f ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 99 B8 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_46_0 {
	meta:
		name = "??1ExternalContextBase@details@Concurrency@@UEAA@XZ"
		size = 67
		refs = "0019 ??_7ExternalContextBase@details@Concurrency@@6B@ 0021 ?Cleanup@ExternalContextBase@details@Concurrency@@AEAAXXZ 002e ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ 003f ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8D 8B B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B C0 00 00 00 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_52_0 {
	meta:
		name = "?GetCriticalRegionType@ContextBase@details@Concurrency@@UEBA?AW4CriticalRegionType@3@XZ"
		size = 20
	strings:
		$1 = { 33 C0 39 41 28 76 06 B8 02 00 00 00 C3 39 41 24 0F 97 C0 C3 }
	condition:
		$1
}

rule file_149_58_0 {
	meta:
		name = "??0ExternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z"
		size = 241
		refs = "0022 ??0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z 002a ??_7ExternalContextBase@details@Concurrency@@6B@ 004d __imp_CreateEventW 005f __imp_GetLastError 0077 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 007e _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0088 _CxxThrowException 0092 ?GetAnonymousScheduleGroup@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 00a0 ??2@YAPEAX_K@Z 00d3 ?Add@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAAHPEAVExternalStatistics@23@@Z 00de ?PrepareForUse@ExternalContextBase@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 68 41 8A F8 48 8B D9 41 B0 01 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 A3 D8 00 00 00 00 48 83 A3 E0 00 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 83 E8 00 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 4B 38 E8 ?? ?? ?? ?? 48 89 43 30 B9 40 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 17 83 60 20 00 83 60 24 00 83 60 28 00 83 60 2C 00 C7 40 30 01 00 00 00 48 89 83 D0 00 00 00 48 8B 4B 38 48 83 C1 60 48 8B D0 E8 ?? ?? ?? ?? 40 8A D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_150_0_0 {
	meta:
		name = "clock"
		size = 62
		refs = "000b __imp_GetSystemTimeAsFileTime 001f start_tics"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 8B 44 24 30 44 8B 5C 24 34 49 C1 E3 20 4C 2B 1D ?? ?? ?? ?? 4C 03 D8 48 B8 4B 59 86 38 D6 C5 6D 34 49 F7 E3 48 C1 EA 0B 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_150_1_0 {
	meta:
		name = "__inittime"
		size = 45
		refs = "000b __imp_GetSystemTimeAsFileTime 0024 start_tics"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 8B 44 24 30 44 8B 5C 24 34 49 C1 E3 20 4C 03 D8 33 C0 4C 89 1D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "_lseeki64_nolock"
		size = 149
		refs = "0018 _get_osfhandle 0023 _errno 0044 __imp_SetFilePointer 0053 __imp_GetLastError 005e _dosmaperr 006d __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 D9 41 8B F8 48 89 54 24 38 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 E8 ?? ?? ?? ?? C7 00 09 00 00 00 48 83 C8 FF EB 57 8B 54 24 38 4C 8D 44 24 3C 44 8B CF 48 8B C8 FF 15 ?? ?? ?? ?? 89 44 24 38 83 F8 FF 75 13 FF 15 ?? ?? ?? ?? 85 C0 74 09 8B C8 E8 ?? ?? ?? ?? EB C9 48 8B CB 48 8B C3 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 80 64 08 08 FD 48 8B 44 24 38 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_151_1_0 {
	meta:
		name = "_lseeki64"
		size = 227
		refs = "0024 __doserrno 002c _errno 0041 _nhandle 0054 __pioinfo 0070 __lock_fhandle 0089 _lseeki64_nolock 00ac _unlock_fhandle 00c9 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 57 41 54 41 55 41 56 48 83 EC 20 41 8B F0 4C 8B E2 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 92 00 00 00 85 C9 78 76 3B 3D ?? ?? ?? ?? 73 6E 48 8B DF 4C 8B EF 49 C1 FD 05 4C 8D 35 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 4B 8B 04 EE 0F BE 4C 18 08 83 E1 01 74 48 8B CF E8 ?? ?? ?? ?? 90 4B 8B 04 EE F6 44 18 08 01 74 12 44 8B C6 49 8B D4 8B CF E8 ?? ?? ?? ?? 48 8B D8 EB 17 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 48 83 CB FF 8B CF E8 ?? ?? ?? ?? 48 8B C3 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_151_2_0 {
	meta:
		name = "_lseeki64$fin$0"
		size = 25
		refs = "000d _unlock_fhandle"
		altNames = "_filelength$fin$0 _filelengthi64$fin$0 _locking$fin$0 _lseek$fin$0 _read$fin$0 _write$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 50 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_152_1_0 {
	meta:
		name = "?Constructor@_HeapManager@@QEAAXP6APEAX_K@ZP6AXPEAX@Z@Z"
		size = 22
	strings:
		$1 = { 33 C0 48 89 11 4C 89 41 08 48 89 41 20 48 89 41 10 48 89 41 18 C3 }
	condition:
		$1
}

rule file_152_2_0 {
	meta:
		name = "?Destructor@_HeapManager@@QEAAXXZ"
		size = 65
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 08 00 48 8B D9 74 2B 48 8B 41 10 48 89 41 18 48 85 C0 74 1E 48 8B 43 18 48 8B 08 48 89 4B 10 48 8B C8 FF 53 08 4C 8B 5B 10 4C 89 5B 18 4D 85 DB 75 E2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_3_0 {
	meta:
		name = "?getNumberOfDimensions@UnDecorator@@CAHXZ"
		size = 110
		refs = "0003 ?gName@UnDecorator@@0PEBDEB"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 8A 01 84 C0 75 03 33 C0 C3 3C 30 7C 15 3C 39 7F 11 0F BE C0 83 E8 2F 48 FF C1 48 89 0D ?? ?? ?? ?? C3 33 D2 41 B0 40 EB 21 84 C0 74 D9 3C 41 7C 32 3C 50 7F 2E 03 D2 0F BE C0 48 FF C1 8D 54 D0 BF 48 89 0D ?? ?? ?? ?? 8A 01 41 3A C0 75 DA 8A 01 48 FF C1 48 89 0D ?? ?? ?? ?? 41 3A C0 75 03 8B C2 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_152_4_0 {
	meta:
		name = "?getTypeEncoding@UnDecorator@@CAHXZ"
		size = 1277
		refs = "0007 ?gName@UnDecorator@@0PEBDEB 01fd ?getTypeEncoding@UnDecorator@@CAHXZ"
	strings:
		$1 = { 48 83 EC 28 4C 8B 05 ?? ?? ?? ?? 41 B9 00 40 00 00 33 D2 41 80 38 5F 75 0D 49 FF C0 41 8B D1 4C 89 05 ?? ?? ?? ?? 41 8A 00 3C 41 7C 08 3C 5A 0F 8E 9C 00 00 00 3C 24 0F 85 4A 03 00 00 49 FF C0 45 32 D2 4C 89 05 ?? ?? ?? ?? 41 0F BE 08 83 F9 42 0F 8F 07 02 00 00 0F 84 F6 01 00 00 85 C9 0F 84 E1 01 00 00 83 F9 24 0F 85 B0 01 00 00 49 8D 40 01 80 38 50 4C 0F 44 C0 49 FF C0 4C 89 05 ?? ?? ?? ?? 45 38 10 0F 84 88 01 00 00 41 80 38 46 74 30 41 80 38 48 74 2A 41 80 38 4A 0F 84 31 01 00 00 41 80 38 4B 0F 8E 86 00 00 00 41 80 38 4D 7E 10 41 80 38 4F 0F 8E 17 01 00 00 41 80 38 51 75 70 49 FF C0 4C 89 05 ?? ?? ?? ?? E9 40 FF FF FF 45 0F BE 10 49 FF C0 41 B9 00 80 00 00 41 83 EA 41 41 0B D1 4C 89 05 ?? ?? ?? ?? 41 F6 C2 01 74 06 0F BA EA 0D EB 04 0F BA F2 0D 41 83 FA 18 0F 8D F0 03 00 00 41 BB FF EF FF FF 41 85 D1 74 09 41 23 D3 0F BA EA 0B EB 06 81 E2 FF 9F FF FF 41 8B C2 83 E0 18 74 3A 83 F8 08 74 20 83 F8 10 74 0A B8 FF FF 00 00 E9 BC 03 00 00 8B C2 8B CA 25 3F FF FF FF 81 E2 FF E7 FF FF EB 27 8B C2 8B CA 0F BA F2 0B 83 E0 BF 0F BA E8 07 0F BA EA 0C EB 12 8B C2 8B CA 41 23 D3 0F BA F0 07 83 C8 40 0F BA EA 0B 41 23 C9 0F 45 D0 41 83 E2 06 0F 84 72 03 00 00 41 83 FA 02 74 2A 41 83 FA 04 74 15 41 83 FA 06 75 9C 81 E2 FF FC FF FF 0F BA EA 0A E9 51 03 00 00 81 E2 FF F9 FF FF 0F BA EA 08 E9 42 03 00 00 41 85 D1 74 0F 81 E2 FF FA FF FF 0F BA EA 09 E9 2E 03 00 00 81 E2 FF 9F FF FF E9 23 03 00 00 49 FF C0 4C 89 05 ?? ?? ?? ?? 41 80 38 30 7C 27 41 80 38 39 7F 21 41 0F BE 00 83 E8 2F 48 98 4C 03 C0 4C 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA E8 10 E9 EE 02 00 00 BA FF FF 00 00 E9 64 01 00 00 B8 FE FF 00 00 E9 DA 02 00 00 83 F9 2F 0F 8E 0B FF FF FF 83 F9 35 7E 74 83 F9 41 0F 85 FD FE FF FF 81 E2 FF F4 FF FF 81 CA 00 90 00 00 E9 32 01 00 00 BA FE FF 00 00 49 FF C8 E9 25 01 00 00 81 CA 00 98 00 00 E9 1A 01 00 00 83 E9 43 0F 84 0B 01 00 00 FF C9 0F 84 F5 00 00 00 FF C9 0F 84 DF 00 00 00 83 F9 0D 0F 85 B2 FE FF FF 49 FF C0 41 B2 01 4C 89 05 ?? ?? ?? ?? 41 8A 00 3C 30 0F 8C AE 00 00 00 3C 35 0F 8F A6 00 00 00 41 0F BE 00 41 B9 00 80 00 00 41 BB FF EF FF FF 41 0B D1 83 E8 30 41 85 D1 74 09 41 23 D3 0F BA EA 0B EB 06 81 E2 FF 9F FF FF 45 84 D2 74 0C 0F BA F2 08 81 CA 00 06 00 00 EB 0A 0F BA F2 09 81 CA 00 05 00 00 A8 01 74 06 0F BA EA 0D EB 04 0F BA F2 0D 83 E0 06 74 34 83 F8 02 74 1A 83 F8 04 0F 85 2C FE FF FF 8B C2 8B CA 25 3F FF FF FF 81 E2 FF E7 FF FF EB 27 8B C2 8B CA 0F BA F2 0B 83 E0 BF 0F BA E8 07 0F BA EA 0C EB 12 8B C2 8B CA 41 23 D3 0F BA F0 07 83 C8 40 0F BA EA 0B 41 23 C9 0F 45 D0 EB 32 F6 D8 BA FF FF 00 00 1B C0 03 C2 E9 A2 01 00 00 81 E2 FF F6 FF FF 81 CA 00 92 00 00 EB 14 81 E2 FF F5 FF FF 81 CA 00 91 00 00 EB 06 81 CA 00 7C 00 00 49 FF C0 4C 89 05 ?? ?? ?? ?? E9 6F 01 00 00 41 8A 00 3C 30 0F 8C 42 01 00 00 3C 38 0F 8F 3A 01 00 00 49 FF C0 0F BE C8 0F BA F2 0F 83 E9 30 4C 89 05 ?? ?? ?? ?? 0F 84 E3 00 00 00 FF C9 0F 84 A9 00 00 00 FF C9 74 77 FF C9 74 67 FF C9 74 56 FF C9 74 41 FF C9 74 2C FF C9 74 17 FF C9 0F 85 56 FD FF FF 0F BA F2 0A 81 CA 00 78 00 00 E9 0B 01 00 00 81 E2 FF F3 FF FF 81 CA 00 70 00 00 E9 FA 00 00 00 81 E2 FF EB FF FF 81 CA 00 68 00 00 E9 E9 00 00 00 81 E2 FF E3 FF FF 81 CA 00 60 00 00 E9 D8 00 00 00 0F BA F2 0E 0F BA EA 0D E9 CB 00 00 00 0F BA F2 0D 41 0B D1 E9 BF 00 00 00 41 B9 00 80 00 00 41 85 D1 74 0C 81 E2 FF FA FF FF 0F BA EA 09 EB 06 81 E2 FF 9F FF FF 8B C2 8B CA 25 3F FF FF FF 81 E2 FF E7 FF FF EB 67 41 B9 00 80 00 00 41 85 D1 74 0C 81 E2 FF FA FF FF 0F BA EA 09 EB 06 81 E2 FF 9F FF FF 8B C2 8B CA 0F BA F2 0B 83 E0 BF 0F BA E8 07 0F BA EA 0C EB 35 41 B9 00 80 00 00 41 85 D1 74 0C 81 E2 FF FA FF FF 0F BA EA 09 EB 06 81 E2 FF 9F FF FF 8B C2 8B CA 41 BB FF EF FF FF 0F BA F0 07 41 23 D3 83 C8 40 0F BA EA 0B 41 23 C9 0F 45 D0 EB 22 3C 39 75 11 49 FF C0 BA FD FF 00 00 4C 89 05 ?? ?? ?? ?? EB 0D F6 D8 BA FE FF 00 00 1B C9 F7 D9 03 D1 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_152_11_0 {
	meta:
		name = "?doThisTypes@UnDecorator@@SAHXZ"
		size = 18
		refs = "0002 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 33 C0 83 E1 60 80 F9 60 0F 95 C0 C3 }
	condition:
		$1
}

rule file_152_21_0 {
	meta:
		name = "?UScore@UnDecorator@@SAPEBDW4Tokens@@@Z"
		size = 31
		refs = "0002 ?disableFlags@UnDecorator@@0KA 0010 tokenTable"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? F7 D0 A8 01 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 75 04 48 83 C0 02 C3 }
	condition:
		$1
}

rule file_152_22_0 {
	meta:
		name = "?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
		size = 180
		refs = "004f heap 005f ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 7A 07 48 8B D9 48 83 E7 F8 45 85 C0 74 0A 48 8B 03 48 8B CF FF D0 EB 7B B8 08 00 00 00 48 85 FF 48 0F 44 F8 48 8B 41 20 48 3B C7 73 52 BE 00 10 00 00 48 3B FE 76 04 33 C0 EB 58 48 8D 0D ?? ?? ?? ?? BA 08 10 00 00 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 83 20 00 48 85 C0 74 D7 48 8B 4B 18 48 85 C9 74 05 48 89 01 EB 04 48 89 43 10 48 2B F7 48 89 43 18 48 89 73 20 EB 07 48 2B C7 48 89 41 20 48 8B 4B 18 48 8B 43 20 48 8D 44 01 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_23_0 {
	meta:
		name = "??0DName@@QEAA@XZ"
		size = 19
	strings:
		$1 = { 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B C1 C3 }
	condition:
		$1
}

rule file_152_30_0 {
	meta:
		name = "?isUDC@DName@@QEBAHXZ"
		size = 22
	strings:
		$1 = { 33 C0 48 39 01 74 0E F7 41 08 00 02 00 00 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_152_32_0 {
	meta:
		name = "?isUDTThunk@DName@@QEBAHXZ"
		size = 22
	strings:
		$1 = { 33 C0 48 39 01 74 0E F7 41 08 00 04 00 00 74 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_152_43_0 {
	meta:
		name = "?length@DName@@QEBAHXZ"
		size = 17
	strings:
		$1 = { 48 8B 09 48 85 C9 75 03 33 C0 C3 48 8B 01 48 FF 20 }
	condition:
		$1
}

rule file_152_44_0 {
	meta:
		name = "?getLastChar@DName@@QEBADXZ"
		size = 18
	strings:
		$1 = { 48 8B 09 48 85 C9 75 03 32 C0 C3 48 8B 01 48 FF 60 08 }
	condition:
		$1
}

rule file_152_45_0 {
	meta:
		name = "?getString@DName@@QEBAPEADPEAD0@Z"
		size = 19
	strings:
		$1 = { 48 8B 09 48 85 C9 75 04 48 8B C2 C3 48 8B 01 48 FF 60 10 }
	condition:
		$1
}

rule file_152_46_0 {
	meta:
		name = "??_5DName@@QEAAAEAV0@AEBV0@@Z"
		size = 20
	strings:
		$1 = { 80 79 08 03 74 0A 8A 42 08 3C 01 7E 03 88 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_152_51_0 {
	meta:
		name = "??0charNode@@QEAA@D@Z"
		size = 17
		refs = "0003 ??_7charNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 88 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_152_54_0 {
	meta:
		name = "?getString@charNode@@UEBAPEADPEAD0@Z"
		size = 17
	strings:
		$1 = { 49 3B D0 73 08 8A 41 08 88 02 48 FF C2 48 8B C2 C3 }
	condition:
		$1
}

rule file_152_55_0 {
	meta:
		name = "??0pDNameNode@@QEAA@PEAVDName@@@Z"
		size = 40
		refs = "0003 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 85 D2 74 0C 80 7A 08 02 74 09 80 7A 08 03 74 03 48 8B C2 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_152_56_0 {
	meta:
		name = "?length@pDNameNode@@UEBAHXZ"
		size = 33
	strings:
		$1 = { 48 83 EC 28 48 8B 51 08 33 C0 48 85 D2 74 0D 48 8B 0A 48 85 C9 74 05 48 8B 01 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_152_57_0 {
	meta:
		name = "?getLastChar@pDNameNode@@UEBADXZ"
		size = 34
	strings:
		$1 = { 48 83 EC 28 48 8B 51 08 33 C0 48 85 D2 74 0E 48 8B 0A 48 85 C9 74 06 48 8B 01 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_152_58_0 {
	meta:
		name = "?getString@pDNameNode@@UEBAPEADPEAD0@Z"
		size = 38
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 48 85 C9 74 11 48 8B 09 48 85 C9 74 09 48 8B 01 FF 50 10 48 8B D0 48 8B C2 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_152_59_0 {
	meta:
		name = "??0DNameStatusNode@@AEAA@W4DNameStatus@@@Z"
		size = 33
		refs = "0003 ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 33 C0 83 FA 01 44 8D 40 04 41 0F 44 C0 89 41 0C 48 8B C1 C3 }
	condition:
		$1
}

rule file_152_62_0 {
	meta:
		name = "?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
		size = 136
		refs = "0002 ??_B?1??make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z@51 0011 ?nodes@?1??make@DNameStatusNode@@SAPEAV2@W4DNameStatus@@@Z@4PAV2@A 0022 ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? A8 01 75 5F 83 C8 01 33 D2 C7 05 ?? ?? ?? ?? 01 00 00 00 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 04 00 00 00 48 89 15 ?? ?? ?? ?? 48 C7 05 ?? ?? ?? ?? 02 00 00 00 48 C7 05 ?? ?? ?? ?? 03 00 00 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 83 F9 03 77 12 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 C1 E0 04 48 03 C1 C3 48 8D 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_152_63_0 {
	meta:
		name = "??0pairNode@@QEAA@PEAVDNameNode@@0@Z"
		size = 26
		refs = "0007 ??_7pairNode@@6B@"
	strings:
		$1 = { 83 49 18 FF 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 4C 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_152_64_0 {
	meta:
		name = "?length@pairNode@@UEBAHXZ"
		size = 71
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 79 18 00 48 8B F1 7D 1C 48 8B 49 10 48 8B 5E 08 48 8B 01 FF 10 48 8B 13 48 8B CB 8B F8 FF 12 03 F8 89 7E 18 8B 46 18 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_65_0 {
	meta:
		name = "?getLastChar@pairNode@@UEBADXZ"
		size = 39
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 48 8B 01 FF 50 08 84 C0 75 0A 48 8B 4B 08 48 8B 01 FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_66_0 {
	meta:
		name = "?getString@pairNode@@UEBAPEADPEAD0@Z"
		size = 59
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 49 08 49 8B D8 48 8B 01 FF 50 10 48 3B C3 73 11 48 8B 4F 10 4C 8B C3 48 8B D0 4C 8B 09 41 FF 51 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_67_0 {
	meta:
		name = "?und_strlen@@YAIPEBD@Z"
		size = 18
	strings:
		$1 = { 33 C0 38 01 74 0A 48 FF C1 FF C0 80 39 00 75 F6 F3 C3 }
	condition:
		$1
}

rule file_152_68_0 {
	meta:
		name = "?und_memcpy@@YAXPEADPEBDI@Z"
		size = 26
	strings:
		$1 = { 45 85 C0 74 13 48 2B D1 45 8B C0 8A 04 0A 88 01 48 FF C1 49 FF C8 75 F3 F3 C3 }
	condition:
		$1
}

rule file_152_69_0 {
	meta:
		name = "?und_strncmp@@YAIPEBD0I@Z"
		size = 44
	strings:
		$1 = { 45 85 C0 75 03 33 C0 C3 41 83 C9 FF EB 10 8A 01 84 C0 74 0F 3A 02 75 0B 48 FF C1 48 FF C2 45 03 C1 75 EB 0F B6 01 0F B6 0A 2B C1 C3 }
	condition:
		$1
}

rule file_152_70_0 {
	meta:
		name = "??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z"
		size = 113
		refs = "0011 ?name@UnDecorator@@0PEBDEB 0018 ?gName@UnDecorator@@0PEBDEB 0027 ?maxStringLength@UnDecorator@@0HA 002e ?outputString@UnDecorator@@0PEADEA 0045 ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 0050 ?pArgList@UnDecorator@@0PEAVReplicator@@EA 0056 ?disableFlags@UnDecorator@@0KA 0062 ?fExplicitTemplateParams@UnDecorator@@0_NA 0069 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA"
	strings:
		$1 = { 41 83 CA FF 48 8D 41 58 44 89 11 44 89 10 4C 89 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 45 33 C0 48 85 D2 74 10 44 89 0D ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? EB 0E 4C 89 05 ?? ?? ?? ?? 44 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 44 24 30 48 89 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8B 44 24 28 44 88 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C1 C3 }
	condition:
		$1
}

rule file_152_71_0 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
		size = 70
		refs = "002d ??_C@_00CNPNBAHC@?$AA@ 0039 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
		altNames = "?getStorageConvention@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 48 8B D9 33 C9 B8 00 00 FF FF 49 89 4B D8 21 44 24 38 49 89 4B E8 21 44 24 48 89 4C 24 20 4D 8D 4B D8 4C 8D 05 ?? ?? ?? ?? 49 8D 53 E8 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_152_72_0 {
	meta:
		name = "?getThisType@UnDecorator@@CA?AVDName@@XZ"
		size = 71
		refs = "0026 ??_C@_00CNPNBAHC@?$AA@ 003a ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 49 83 63 D8 00 49 83 63 E8 00 B8 00 00 FF FF 21 44 24 38 21 44 24 48 4D 8D 4B D8 4C 8D 05 ?? ?? ?? ?? 49 8D 53 E8 48 8B D9 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_152_74_0 {
	meta:
		name = "?getStringHelper@@YAPEADPEAD00H@Z"
		size = 44
	strings:
		$1 = { 2B D1 44 3B CA 44 0F 4F CA 45 85 C9 74 17 48 8B D1 4C 2B C1 45 8B D1 41 8A 04 10 88 02 48 FF C2 49 FF CA 75 F2 49 63 C1 48 03 C1 C3 }
	condition:
		$1
}

rule file_152_75_0 {
	meta:
		name = "??0DName@@QEAA@PEAV0@@Z"
		size = 119
		refs = "001b heap 0024 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0030 ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 85 D2 74 45 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 1C 48 8D 0D ?? ?? ?? ?? 48 89 08 80 7F 08 02 74 06 80 7F 08 03 75 02 33 FF 48 89 78 08 48 89 03 48 F7 D8 1A C0 F6 D0 24 03 88 43 08 EB 08 48 83 21 00 C6 41 08 00 81 63 08 FF 00 FF FF 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_76_0 {
	meta:
		name = "??0DName@@QEAA@W4DNameStatus@@@Z"
		size = 74
		refs = "0031 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 81 61 08 FF 00 FF FF 48 8B D9 83 FA 02 74 09 83 FA 03 74 04 33 C0 EB 02 8B C2 48 83 21 00 88 41 08 B9 01 00 00 00 3B D1 75 11 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 04 C6 43 08 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_77_0 {
	meta:
		name = "?getString@DName@@QEBAPEADPEADH@Z"
		size = 134
		refs = "002d heap 003b ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B 09 41 8B F0 48 8B DA 48 85 C9 74 4B 48 85 D2 75 22 48 8B 01 FF 10 48 8D 0D ?? ?? ?? ?? 45 33 C0 8D 70 01 48 63 D6 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 2C 48 8B 0F 48 85 C9 75 05 48 8B C3 EB 12 4C 8B 09 48 63 C6 48 8B D3 4C 8D 44 18 FF 41 FF 51 10 C6 00 00 EB 08 48 85 D2 74 03 C6 02 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_78_0 {
	meta:
		name = "?append@DName@@AEAAXPEAVDNameNode@@@Z"
		size = 99
		refs = "001b heap 0024 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0037 ??_7pairNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 85 D2 74 3F 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 20 E8 ?? ?? ?? ?? 48 85 C0 74 19 48 8B 13 83 48 18 FF 48 8D 0D ?? ?? ?? ?? 48 89 50 08 48 89 08 48 89 78 10 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_79_0 {
	meta:
		name = "??4DName@@QEAAAEAV0@PEAV0@@Z"
		size = 120
		refs = "002a heap 0033 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 003f ??_7pDNameNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B FA 48 8B D9 48 85 D2 74 42 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 1C 48 8D 0D ?? ?? ?? ?? 48 89 08 80 7F 08 02 74 06 80 7F 08 03 75 02 33 FF 48 89 78 08 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 03 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_80_0 {
	meta:
		name = "??4DName@@QEAAAEAV0@W4DNameStatus@@@Z"
		size = 60
		refs = "001d ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 81 61 08 FF 00 FF FF 48 8B D9 88 51 08 B9 01 00 00 00 3B D1 75 13 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 48 83 23 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_81_0 {
	meta:
		name = "??YReplicator@@QEAAAEAV0@AEBVDName@@@Z"
		size = 95
		refs = "0021 heap 002a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 39 09 48 8B FA 48 8B D9 74 3C 48 83 3A 00 74 36 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 09 0F 10 07 F3 0F 7F 00 EB 03 45 33 DB 4D 85 DB 74 0A FF 03 48 63 03 4C 89 5C C3 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_82_0 {
	meta:
		name = "??AReplicator@@QEBA?AVDName@@H@Z"
		size = 65
	strings:
		$1 = { 41 83 F8 09 77 28 83 39 FF 74 16 44 3B 01 7F 11 49 63 C0 48 8B 4C C1 08 0F 10 01 F3 0F 7F 02 EB 1C 81 62 08 FF 00 FF FF C6 42 08 02 EB 0B 81 62 08 FF 00 FF FF C6 42 08 03 48 83 22 00 48 8B C2 C3 }
	condition:
		$1
}

rule file_152_83_0 {
	meta:
		name = "??0pcharNode@@QEAA@PEBDH@Z"
		size = 131
		refs = "0012 ??_7pcharNode@@6B@ 002f heap 003a ?getMemory@_HeapManager@@QEAAPEAX_KH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 41 8B F0 48 8B FA 48 8B D9 48 89 01 45 85 C0 74 40 48 85 D2 74 3B 48 8D 0D ?? ?? ?? ?? 48 63 D6 45 33 C0 E8 ?? ?? ?? ?? 89 73 10 4C 8B D8 48 89 43 08 48 85 C0 74 23 85 F6 74 1F 48 2B F8 8B CE 42 8A 04 1F 41 88 03 49 FF C3 48 FF C9 75 F1 EB 09 48 83 61 08 00 83 61 10 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_85_0 {
	meta:
		name = "?getLastChar@pcharNode@@UEBADXZ"
		size = 20
	strings:
		$1 = { 33 C0 39 41 10 74 0C 48 63 51 10 48 8B 41 08 8A 44 10 FF C3 }
	condition:
		$1
}

rule file_152_86_0 {
	meta:
		name = "?getString@pcharNode@@UEBAPEADPEAD0@Z"
		size = 53
	strings:
		$1 = { 44 8B 49 10 4C 8B 51 08 44 2B C2 45 3B C8 45 0F 4F C8 45 85 C9 74 17 48 8B CA 4C 2B D2 45 8B C1 41 8A 04 0A 88 01 48 FF C1 49 FF C8 75 F2 49 63 C1 48 03 C2 C3 }
	condition:
		$1
}

rule file_152_87_0 {
	meta:
		name = "?getString@DNameStatusNode@@UEBAPEADPEAD0@Z"
		size = 68
		refs = "001e ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@"
	strings:
		$1 = { 83 79 08 01 75 3A 44 2B C2 41 B9 04 00 00 00 45 3B C1 45 0F 4C C8 45 85 C9 74 1E 4C 8D 05 ?? ?? ?? ?? 48 8B CA 45 8B D1 4C 2B C2 41 8A 04 08 88 01 48 FF C1 49 FF CA 75 F2 49 63 C1 48 03 C2 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_152_88_0 {
	meta:
		name = "?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
		size = 52
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0020 ??0DName@@QEAA@PEAV0@@Z 0027 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 40 75 11 48 FF C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_90_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
		size = 69
		refs = "0026 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 0031 ?append@DName@@AEAAXPEAVDNameNode@@@Z 0038 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 01 48 8B D9 7F 2D 48 83 39 00 74 22 83 FA 02 74 1D 83 FA 03 74 18 85 D2 74 19 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_91_0 {
	meta:
		name = "?doPchar@DName@@AEAAXPEBDH@Z"
		size = 172
		refs = "0044 heap 004f ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0062 ??0pcharNode@@QEAA@PEBDH@Z 007c ??_7charNode@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 39 00 41 8B F8 48 8B F2 48 8B D9 74 11 81 61 08 FF 00 FF FF 48 83 21 00 C6 41 08 03 EB 6D 48 85 D2 74 64 45 85 C0 74 5F 41 8B C8 45 33 C0 FF C9 48 8D 0D ?? ?? ?? ?? 74 1E 41 8D 50 18 E8 ?? ?? ?? ?? 48 85 C0 74 30 44 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? EB 22 BA 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 11 8A 0E 48 8D 15 ?? ?? ?? ?? 88 48 08 48 89 10 EB 02 33 C0 48 89 03 48 85 C0 75 0A C6 43 08 03 EB 04 C6 41 08 02 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_92_0 {
	meta:
		name = "??0DName@@QEAA@D@Z"
		size = 56
		refs = "002b ?doPchar@DName@@AEAAXPEBDH@Z"
		altNames = "??4DName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 88 54 24 10 53 48 83 EC 20 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B D9 84 D2 74 10 48 8D 54 24 38 41 B8 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_93_0 {
	meta:
		name = "??0DName@@QEAA@PEBD@Z"
		size = 71
		refs = "003a ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 88 4B 08 81 63 08 FF 00 FF FF 48 89 0B 48 85 D2 74 21 48 8B C2 44 8B C1 38 0A 74 17 48 FF C0 41 FF C0 38 08 75 F6 45 85 C0 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_94_0 {
	meta:
		name = "??0DName@@QEAA@AEAPEBDD@Z"
		size = 237
		refs = "007f ?disableFlags@UnDecorator@@0KA 009c ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B FA 48 8B 12 41 8A F0 48 8B D9 48 85 D2 0F 84 A3 00 00 00 80 3A 00 0F 84 94 00 00 00 45 33 C0 48 8B 0F 8A 01 40 3A C6 74 4F 3C 5F 74 3C 3C 24 74 38 3C 3C 74 34 3C 3E 74 30 3C 2D 74 2C 3C 61 7C 04 3C 7A 7E 24 3C 41 7C 04 3C 5A 7E 1C 3C 30 7C 04 3C 39 7E 14 3C 80 72 04 3C FE 76 0C F7 05 ?? ?? ?? ?? 00 00 01 00 74 35 48 8D 41 01 41 FF C0 48 89 07 80 38 00 75 A7 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 8A 08 84 C9 74 1B 48 FF C0 48 89 07 40 3A CE 74 26 48 83 23 00 C6 43 08 03 EB 1C C6 43 08 02 EB 16 80 7B 08 00 75 10 C6 43 08 01 EB 0A C6 41 08 01 EB 04 C6 41 08 02 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_95_0 {
	meta:
		name = "??0DName@@QEAA@_K@Z"
		size = 143
		refs = "0009 __security_cookie 0075 ?doPchar@DName@@AEAAXPEBDH@Z 0085 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 45 33 D2 4C 8B C2 48 8B D9 44 88 51 08 81 61 08 FF 00 FF FF 4C 8D 4C 24 34 4C 89 11 44 88 54 24 34 49 FF C9 48 B8 CD CC CC CC CC CC CC CC 49 F7 E0 48 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A C1 41 80 C0 30 45 88 01 4C 8B C2 48 85 D2 75 D0 4C 8D 44 24 34 49 8B D1 48 8B CB 45 2B C1 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_152_96_0 {
	meta:
		name = "??0DName@@QEAA@_J@Z"
		size = 169
		refs = "0009 __security_cookie 008f ?doPchar@DName@@AEAAXPEBDH@Z 009f __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 45 33 DB 4C 8B C2 48 8B D9 44 88 59 08 81 61 08 FF 00 FF FF 4C 8D 4C 24 35 4C 89 19 44 88 5C 24 35 45 8A D3 48 85 D2 79 06 41 B2 01 49 F7 D8 49 FF C9 48 B8 CD CC CC CC CC CC CC CC 49 F7 E0 48 C1 EA 03 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A C1 41 80 C0 30 45 88 01 4C 8B C2 48 85 D2 75 D0 45 84 D2 74 07 49 FF C9 41 C6 01 2D 4C 8D 44 24 35 49 8B D1 48 8B CB 45 2B C1 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_152_97_0 {
	meta:
		name = "??HDName@@QEBA?AV0@W4DNameStatus@@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 41 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_98_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@AEBV0@@Z"
		size = 64
		refs = "001a ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0033 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 01 48 8B D9 7F 28 48 83 3A 00 75 0B 0F BE 52 08 E8 ?? ?? ?? ?? EB 17 48 83 39 00 75 09 0F 10 02 F3 0F 7F 01 EB 08 48 8B 12 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_99_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@PEAV0@@Z"
		size = 138
		refs = "0022 ??4DName@@QEAAAEAV0@PEAV0@@Z 0037 ??YDName@@QEAAAEAV0@W4DNameStatus@@@Z 0043 heap 004c ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0058 ??_7pDNameNode@@6B@ 0078 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 80 79 08 01 48 8B FA 48 8B D9 7F 66 48 85 D2 74 61 48 83 39 00 75 07 E8 ?? ?? ?? ?? EB 54 8A 42 08 84 C0 74 0E 3C 01 74 0A 0F BE D0 E8 ?? ?? ?? ?? EB 3F 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 1C 48 8D 0D ?? ?? ?? ?? 48 89 08 80 7F 08 02 74 06 80 7F 08 03 75 02 33 FF 48 89 78 08 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_101_0 {
	meta:
		name = "??4DName@@QEAAAEAV0@PEBD@Z"
		size = 61
		refs = "0030 ?doPchar@DName@@AEAAXPEBDH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 48 8B C2 88 4B 08 81 63 08 FF 00 FF FF 48 89 0B 44 8B C1 38 0A 74 0A 48 FF C0 41 FF C0 38 08 75 F6 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_102_0 {
	meta:
		name = "?getCallingConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 254
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 003e ?disableFlags@UnDecorator@@0KA 007e tokenTable 00c9 ??4DName@@QEAAAEAV0@PEBD@Z 00f1 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B D9 33 C9 38 08 0F 84 CE 00 00 00 0F BE 10 48 FF C0 83 EA 41 48 89 05 ?? ?? ?? ?? 83 FA 0E 0F 87 A5 00 00 00 8B 44 24 28 48 89 4C 24 20 8B 0D ?? ?? ?? ?? 25 02 00 FF FF 83 C8 02 89 44 24 28 8B C1 D1 E8 F7 D0 A8 01 74 75 83 E2 FE 74 54 83 FA 02 74 46 83 FA 04 74 38 83 FA 06 74 2A 83 FA 08 74 1C 83 FA 0C 74 0E 83 FA 0E 75 52 48 8B 15 ?? ?? ?? ?? EB 34 48 8B 15 ?? ?? ?? ?? EB 2B 48 8B 15 ?? ?? ?? ?? EB 22 48 8B 15 ?? ?? ?? ?? EB 19 48 8B 15 ?? ?? ?? ?? EB 10 48 8B 15 ?? ?? ?? ?? EB 07 48 8B 15 ?? ?? ?? ?? F7 D1 F6 C1 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 44 24 20 F3 0F 7F 03 EB 1D 81 63 08 FF 00 FF FF 48 89 0B C6 43 08 02 EB 0D BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_152_103_0 {
	meta:
		name = "?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ"
		size = 86
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0031 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 003d ??0DName@@QEAA@PEBD@Z 0049 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 00 74 2E 80 38 41 74 11 81 61 08 FF 00 FF FF 48 83 21 00 C6 41 08 02 EB 22 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_104_0 {
	meta:
		name = "??HDName@@QEBA?AV0@AEBV0@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_105_0 {
	meta:
		name = "??HDName@@QEBA?AV0@PEAV0@@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@PEAV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_114_0 {
	meta:
		name = "??HDName@@QEBA?AV0@PEBD@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 49 8B D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_106_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@D@Z"
		size = 132
		refs = "003f ?doPchar@DName@@AEAAXPEBDH@Z 004b heap 0054 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0060 ??_7charNode@@6B@ 0072 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 41 B8 01 00 00 00 40 8A FA 48 8B D9 44 38 41 08 7F 5A 84 D2 74 56 48 83 39 00 75 1F 48 83 21 00 88 54 24 30 C6 41 08 00 81 61 08 FF 00 FF FF 48 8D 54 24 30 E8 ?? ?? ?? ?? EB 31 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8D 0D ?? ?? ?? ?? 40 88 78 08 48 89 08 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_107_0 {
	meta:
		name = "??YDName@@QEAAAEAV0@PEBD@Z"
		size = 138
		refs = "002c ??4DName@@QEAAAEAV0@PEBD@Z 0038 heap 0041 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0065 ??0pcharNode@@QEAA@PEBDH@Z 0073 ?append@DName@@AEAAXPEAVDNameNode@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 80 79 08 01 48 8B F2 48 8B F9 7F 5C 33 DB 48 85 D2 74 55 38 1A 74 51 48 39 19 75 07 E8 ?? ?? ?? ?? EB 45 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 18 E8 ?? ?? ?? ?? 48 85 C0 74 22 48 8B CE 44 8B C3 38 1E 74 0A 48 FF C1 41 FF C0 38 19 75 F6 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_152_108_0 {
	meta:
		name = "?getArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 357
		refs = "0033 ?gName@UnDecorator@@0PEBDEB 0057 ??YDName@@QEAAAEAV0@D@Z 007c ?pArgList@UnDecorator@@0PEAVReplicator@@EA 0090 ??AReplicator@@QEBA?AVDName@@H@Z 009b ??YDName@@QEAAAEAV0@AEBV0@@Z 00bd ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 00e3 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 0134 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 013f ?append@DName@@AEAAXPEAVDNameNode@@@Z 014e ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 80 79 08 00 48 8B D9 BE 01 00 00 00 0F 85 22 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 84 12 01 00 00 80 38 5A 0F 84 09 01 00 00 85 F6 74 04 33 F6 EB 11 B2 2C 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 B7 00 00 00 44 0F BE 00 41 83 E8 30 41 83 F8 09 77 28 48 8B 0D ?? ?? ?? ?? 48 FF C0 48 8D 54 24 40 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? EB 6E 48 83 64 24 20 00 81 64 24 28 00 00 FF FF 48 8D 54 24 20 48 8D 4C 24 30 48 8B F8 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 4C 2B DF 49 83 FB 01 7E 16 48 8B 0D ?? ?? ?? ?? 83 39 09 74 0A 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 3B C7 75 16 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 48 8B 05 ?? ?? ?? ?? 80 7B 08 00 0F 84 17 FF FF FF EB 30 80 7B 08 01 7F 2A 48 83 3B 00 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? EB 0D BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 68 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_152_109_0 {
	meta:
		name = "?getVdispMapType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 91
		refs = "000c ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 0018 ??YDName@@QEAAAEAV0@PEBD@Z 0022 ?getScope@UnDecorator@@CA?AVDName@@XZ 002d ??YDName@@QEAAAEAV0@AEBV0@@Z 0037 ??YDName@@QEAAAEAV0@D@Z 003e ?gName@UnDecorator@@0PEBDEB"
	strings:
		$1 = { 40 53 48 83 EC 30 0F 10 02 48 8D 15 ?? ?? ?? ?? 48 8B D9 F3 0F 7F 01 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? B2 7D 48 8B CB E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 41 80 3B 40 75 0A 49 FF C3 4C 89 1D ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_152_110_0 {
	meta:
		name = "??H@YA?AVDName@@DAEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@D@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 48 8D 4C 24 20 49 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_152_112_0 {
	meta:
		name = "??H@YA?AVDName@@PEBDAEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@PEBD@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 48 8D 4C 24 20 49 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_152_111_0 {
	meta:
		name = "??H@YA?AVDName@@W4DNameStatus@@AEBV0@@Z"
		size = 58
		refs = "0016 ??0DName@@QEAA@W4DNameStatus@@@Z 0028 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B F9 48 8D 4C 24 20 49 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B C7 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_152_113_0 {
	meta:
		name = "??HDName@@QEBA?AV0@D@Z"
		size = 36
		refs = "0017 ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F 10 01 48 8B DA 48 8B CB F3 0F 7F 02 41 8A D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_115_0 {
	meta:
		name = "?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		size = 360
		refs = "001a ?gName@UnDecorator@@0PEBDEB 0036 ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 004c ??0DName@@QEAA@W4DNameStatus@@@Z 00de ??0DName@@QEAA@_J@Z 0112 ??0DName@@QEAA@_K@Z 0121 ??0DName@@QEAA@PEBD@Z 0135 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 4C 8B 05 ?? ?? ?? ?? 33 F6 44 8A CA 41 80 38 51 48 8B F9 44 8D 56 01 75 11 4D 03 C2 48 8D 35 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 41 8A 00 84 C0 75 0D 41 8B D2 E8 ?? ?? ?? ?? E9 FA 00 00 00 3C 30 7C 2F 3C 39 7F 2B 41 0F BE 00 4D 03 C2 83 E8 2F 4C 89 05 ?? ?? ?? ?? 48 63 D0 48 85 F6 74 09 48 8D 4D D0 E9 92 00 00 00 48 8D 4D F0 E9 BB 00 00 00 33 D2 41 B3 40 EB 29 84 C0 74 62 3C 41 7C 4D 3C 50 7F 49 0F BE C0 48 C1 E2 04 83 E8 41 48 63 C8 48 03 D1 4D 03 C2 4C 89 05 ?? ?? ?? ?? 41 8A 00 41 3A C3 75 D2 41 8A 00 4D 03 C2 4C 89 05 ?? ?? ?? ?? 41 3A C3 75 15 45 84 C9 74 34 48 85 F6 74 24 48 8D 4D F0 E8 ?? ?? ?? ?? EB 32 81 67 08 FF 00 FF FF 48 83 27 00 C6 47 08 02 EB 5A 48 8B CF E9 4B FF FF FF 48 8D 4D D0 E8 ?? ?? ?? ?? EB 40 48 85 F6 74 32 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D6 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D C0 48 8B D3 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 45 C0 EB 09 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 4C 8D 5C 24 60 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_116_0 {
	meta:
		name = "?getEnumType@UnDecorator@@CA?AVDName@@XZ"
		size = 256
		refs = "0010 ?gName@UnDecorator@@0PEBDEB 0053 ??_C@_05CJIMAING@long?5?$AA@ 005c ??_C@_04LAHKHJMA@int?5?$AA@ 0065 ??_C@_06EHJMALKF@short?5?$AA@ 006e ??_C@_05CIHEBHNO@char?5?$AA@ 0077 ??4DName@@QEAAAEAV0@PEBD@Z 00a9 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 00b2 ??0DName@@QEAA@PEBD@Z 00c7 ??YDName@@QEAAAEAV0@AEBV0@@Z 00ee ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 81 65 D8 00 00 FF FF 48 8B D9 33 C9 48 89 4D D0 38 08 0F 84 B9 00 00 00 8A 00 3C 30 0F 8C 9F 00 00 00 3C 31 7E 31 3C 33 7E 24 3C 34 74 39 3C 35 74 13 2C 36 3C 01 0F 87 85 00 00 00 48 8D 15 ?? ?? ?? ?? EB 19 48 8D 15 ?? ?? ?? ?? EB 10 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F BE 08 48 FF 05 ?? ?? ?? ?? 83 F9 31 74 15 83 F9 33 74 10 83 F9 35 74 0B 83 F9 37 74 06 0F 28 45 D0 EB 29 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 45 E0 F3 0F 7F 03 EB 1D 81 63 08 FF 00 FF FF 48 89 0B C6 43 08 02 EB 0D BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_152_117_0 {
	meta:
		name = "?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 263
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0028 ?getArgumentList@UnDecorator@@CA?AVDName@@XZ 006a ??_C@_0M@ELJOJFFH@?0?$DMellipsis?$DO?$AA@ 0077 ?disableFlags@UnDecorator@@0KA 0090 ??_C@_04EENFHACM@?0?4?4?4?$AA@ 0099 ??YDName@@QEAAAEAV0@PEBD@Z 00c3 ??_C@_0L@EGPHHEKN@?$DMellipsis?$DO?$AA@ 00de ??_C@_03KHICJKCI@?4?4?4?$AA@ 00ee ??_C@_04GKJNKENE@void?$AA@ 00fa ??0DName@@QEAA@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 58 0F 84 CF 00 00 00 80 38 5A 0F 84 9B 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 45 33 DB 44 38 5C 24 28 75 7C 48 8B 05 ?? ?? ?? ?? 44 38 18 74 70 80 38 40 74 61 80 38 5A 74 13 81 63 08 FF 00 FF FF 4C 89 1B C6 43 08 02 E9 9F 00 00 00 0F 28 44 24 20 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8D 4C 24 20 66 0F 7F 44 24 20 C1 E8 12 F7 D0 A8 01 48 8D 05 ?? ?? ?? ?? 48 0F 45 D0 E8 ?? ?? ?? ?? 0F 28 6C 24 20 F3 0F 7F 2B EB 56 48 FF C0 48 89 05 ?? ?? ?? ?? 0F 28 44 24 20 F3 0F 7F 03 EB 41 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C1 E8 12 F7 D0 A8 01 48 8D 05 ?? ?? ?? ?? 48 0F 45 D0 EB 11 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_152_118_0 {
	meta:
		name = "?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 242
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 004e ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0055 ??_C@_07HDJPLPEK@?5throw?$CI?$AA@ 0061 ??0DName@@QEAA@PEBD@Z 0075 ??YDName@@QEAAAEAV0@AEBV0@@Z 00ad ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 00b9 ?append@DName@@AEAAXPEAVDNameNode@@@Z 00c9 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00db ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 33 DB 48 8B F9 38 18 74 61 80 38 5A 75 22 48 FF C0 81 65 D8 00 00 FF FF 48 89 5D D0 0F 10 45 D0 48 89 05 ?? ?? ?? ?? F3 0F 7F 01 E9 96 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 10 6D D0 F3 0F 7F 2F EB 52 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 D0 80 7D D8 01 7F 2C 48 39 5D D0 74 18 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D0 E8 ?? ?? ?? ?? EB 0E 48 8D 4D D0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 45 D0 F3 0F 7F 07 B2 29 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 8B 7C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_152_119_0 {
	meta:
		name = "?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AEAPEBDAEA_NH@Z"
		size = 613
		refs = "0026 ?gName@UnDecorator@@0PEBDEB 00dd ?doPchar@DName@@AEAAXPEBDH@Z 00e8 ??0DName@@QEAA@_K@Z 00fd ??YDName@@QEAAAEAV0@AEBV0@@Z 0117 ??YDName@@QEAAAEAV0@D@Z 017e ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 018a ?append@DName@@AEAAXPEAVDNameNode@@@Z 0198 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 01b5 ??0DName@@QEAA@W4DNameStatus@@@Z 01c1 ??_C@_01FGNFDNOH@?$CF?$AA@ 021e ??_C@_01JKBOJNNK@?$FO?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 4C 89 64 24 18 55 48 8B EC 48 83 EC 60 44 8B 55 D8 48 83 65 D0 00 48 8B D9 48 8B 0D ?? ?? ?? ?? 4C 8B DA 41 81 E2 00 00 FF FF 41 BC 01 00 00 00 49 8B F8 44 89 55 D8 49 03 CC 48 89 0D ?? ?? ?? ?? 44 0F BE 01 41 8B D0 83 EA 41 0F 84 AF 01 00 00 FF CA 0F 84 67 01 00 00 FF CA 0F 84 53 01 00 00 80 39 00 0F 84 3A 01 00 00 8A 41 01 84 C0 0F 84 2F 01 00 00 45 85 C9 74 14 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 E9 B4 01 00 00 45 03 C0 48 83 C1 02 0F BE C0 42 8D BC C0 D0 FC FF FF 48 89 0D ?? ?? ?? ?? 41 3B FC 76 51 48 83 65 D0 00 41 81 E2 00 FF FF FF 48 8D 55 C0 41 81 E2 FF 00 FF FF 48 8D 4D D0 45 8B C4 44 89 55 D8 C6 45 C0 2C E8 ?? ?? ?? ?? 48 8D 4D F0 8B D7 E8 ?? ?? ?? ?? 48 8D 4D E0 0F 28 45 D0 48 8B D0 66 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 6D E0 EB 04 0F 28 6D D0 48 8D 4D E0 B2 3E 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 6D E0 80 38 24 66 0F 7F 6D D0 75 0C 49 03 C4 48 89 05 ?? ?? ?? ?? EB 20 48 8D 4D E0 B2 5E 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 6D E0 66 0F 7F 6D D0 80 38 00 74 0C 49 03 C4 48 89 05 ?? ?? ?? ?? EB 2F 44 38 65 D8 7F 29 48 83 7D D0 00 74 16 41 8B CC E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D0 E8 ?? ?? ?? ?? EB 0C 48 8D 4D D0 41 8B D4 E8 ?? ?? ?? ?? 0F BA 6D D8 0E 0F 28 45 D0 F3 0F 7F 03 E9 9E 00 00 00 41 8B D4 48 8B CB E8 ?? ?? ?? ?? E9 8E 00 00 00 48 8D 15 ?? ?? ?? ?? 49 89 13 EB 37 45 85 C9 0F 85 B1 FE FF FF 48 83 65 D0 00 41 81 E2 00 FF FF FF 48 8D 55 C0 41 81 E2 FF 00 FF FF 48 8D 4D D0 45 8B C4 44 88 27 C6 45 C0 3E 44 89 55 D8 E8 ?? ?? ?? ?? 4C 01 25 ?? ?? ?? ?? EB 33 45 85 C9 75 24 49 8B 03 48 8D 15 ?? ?? ?? ?? 8A 08 48 8D 05 ?? ?? ?? ?? 80 F9 26 48 0F 44 C2 49 89 03 48 8B 0D ?? ?? ?? ?? 49 03 CC 48 89 0D ?? ?? ?? ?? 48 83 23 00 C6 43 08 00 81 63 08 FF 00 FF FF 4C 8D 5C 24 60 48 8B C3 49 8B 5B 10 49 8B 7B 18 4D 8B 63 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_120_0 {
	meta:
		name = "?getArrayType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 738
		refs = "0021 ?gName@UnDecorator@@0PEBDEB 0038 ?getNumberOfDimensions@UnDecorator@@CAHXZ 0051 ??0DName@@QEAA@D@Z 006e ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 007a ?append@DName@@AEAAXPEAVDNameNode@@@Z 008a ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 009e ??YDName@@QEAAAEAV0@D@Z 00c4 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 00cd ??YDName@@QEAAAEAV0@PEBD@Z 00f0 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0112 ??YDName@@QEAAAEAV0@AEBV0@@Z 01b5 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 01fa ??_C@_02GOGNNPBN@?$CJ?$FL?$AA@ 02be ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 64 24 18 55 41 55 41 56 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 45 33 F6 4C 8B E2 48 8B F1 44 38 30 0F 84 94 01 00 00 E8 ?? ?? ?? ?? 85 C0 44 8B E8 45 0F 48 EE 45 85 ED 75 61 48 8D 4D D0 B2 5B E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 A0 80 7D A8 01 7F 2B 4C 39 75 A0 74 17 41 8D 4E 01 E8 ?? ?? ?? ?? 48 8D 4D A0 48 8B D0 E8 ?? ?? ?? ?? EB 0E 48 8D 4D A0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 28 45 A0 48 8D 4D B0 B2 5D 66 0F 7F 45 B0 E8 ?? ?? ?? ?? 48 8D 55 B0 E9 0F 02 00 00 81 65 A8 00 00 FF FF 41 F7 44 24 08 00 08 00 00 4C 89 75 A0 74 76 48 8D 15 ?? ?? ?? ?? 48 8D 4D A0 E8 ?? ?? ?? ?? EB 64 41 8B C5 41 FF CD 85 C0 74 60 48 8B 05 ?? ?? ?? ?? 44 38 30 74 54 48 8D 4D E0 33 D2 E8 ?? ?? ?? ?? 48 8D 4D F0 B2 5B 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D C0 48 8B D3 0F 10 00 F3 0F 7F 45 C0 E8 ?? ?? ?? ?? 0F 28 6D C0 48 8D 4D D0 B2 5D 66 0F 7F 6D D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D A0 E8 ?? ?? ?? ?? 80 7D A8 01 7E 96 4D 39 34 24 74 69 41 F7 44 24 08 00 08 00 00 74 0C 41 0F 10 04 24 F3 0F 7F 45 D0 EB 3C 48 8D 4D F0 B2 28 E8 ?? ?? ?? ?? 48 8D 4D D0 49 8B D4 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 6D D0 48 8D 4D D0 B2 29 66 0F 7F 6D D0 E8 ?? ?? ?? ?? 0F 28 6D D0 66 0F 7F 6D D0 48 8D 55 A0 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 28 6D D0 66 0F 7F 6D A0 48 8D 55 A0 48 8D 4D B0 E8 ?? ?? ?? ?? 0F BA 6D B8 0B 0F 10 45 B0 F3 0F 7F 06 E9 F7 00 00 00 48 8D 4D F0 4C 39 32 0F 84 89 00 00 00 B2 28 E8 ?? ?? ?? ?? 48 8D 4D D0 49 8B D4 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 6D D0 48 8D 15 ?? ?? ?? ?? 48 8D 4D A0 66 0F 7F 6D A0 E8 ?? ?? ?? ?? 80 7D A8 01 0F 28 6D A0 66 0F 7F 6D B0 7F 2C 4C 39 75 A0 74 18 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D B0 48 8B D0 E8 ?? ?? ?? ?? EB 0E 48 8D 4D B0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 28 45 B0 48 8D 4D C0 B2 5D 66 0F 7F 45 C0 E8 ?? ?? ?? ?? 48 8D 55 C0 EB 59 B2 5B E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 A0 80 7D A8 01 7F 2C 4C 39 75 A0 74 18 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D A0 48 8B D0 E8 ?? ?? ?? ?? EB 0E 48 8D 4D A0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 28 45 A0 48 8D 4D D0 B2 5D 66 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8B CE E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 48 8B C6 49 8B 5B 20 49 8B 73 28 4D 8B 63 30 49 8B E3 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_152_121_0 {
	meta:
		name = "?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ"
		size = 95
		refs = "0015 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0024 ??0DName@@QEAA@D@Z 003a ??YDName@@QEAAAEAV0@AEBV0@@Z 004d ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B F9 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 40 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D3 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 6C 24 20 B2 27 48 8B CF F3 0F 7F 2F E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B C7 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_152_122_0 {
	meta:
		name = "?getDisplacement@UnDecorator@@CA?AVDName@@XZ"
		size = 25
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 B2 01 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_123_0 {
	meta:
		name = "?getCallIndex@UnDecorator@@CA?AVDName@@XZ"
		size = 25
		refs = "000c ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		altNames = "?getGuardNumber@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_125_0 {
	meta:
		name = "?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 497
		refs = "0029 ?gName@UnDecorator@@0PEBDEB 0051 ??_C@_00CNPNBAHC@?$AA@ 0064 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0078 ??YDName@@QEAAAEAV0@D@Z 008d ??YDName@@QEAAAEAV0@AEBV0@@Z 00b6 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 00be ??YDName@@QEAAAEAV0@PEBD@Z 00e2 ?getScope@UnDecorator@@CA?AVDName@@XZ 00f0 ??0DName@@QEAA@D@Z 014c ??_C@_02MDINNEEG@s?5?$AA@ 016c ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 0177 ?append@DName@@AEAAXPEAVDNameNode@@@Z 0186 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 01bc ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 70 0F 10 02 48 8B F9 F3 0F 7F 01 80 79 08 01 0F 8F B6 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 76 01 00 00 48 83 65 C0 00 48 83 65 D0 00 83 64 24 20 00 B8 00 00 FF FF 4C 8D 4D C0 4C 8D 05 ?? ?? ?? ?? 21 45 C8 21 45 D8 48 8D 55 D0 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D E0 B2 20 0F 28 6D F0 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D7 0F 28 6D E0 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 0F 28 6D E0 F3 0F 7F 2F 80 7F 08 01 0F 8F 39 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 84 ED 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 7F 08 01 0F 8F C8 00 00 00 80 38 00 74 7D 80 38 40 74 78 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D C0 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D3 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 6D E0 48 8D 4D D0 B2 27 66 0F 7F 6D D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 80 7F 08 01 7F 57 80 38 40 74 80 48 8D 15 ?? ?? ?? ?? E9 65 FF FF FF 80 7F 08 01 7F 40 80 38 00 75 2A 48 83 3F 00 74 17 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B CF 48 8B D0 E8 ?? ?? ?? ?? EB 0D BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? B2 7D 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 3C 48 FF C0 48 89 05 ?? ?? ?? ?? EB 30 80 79 08 01 7F 2A 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D7 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 10 6D E0 F3 0F 7F 2F 4C 8D 5C 24 70 48 8B C7 49 8B 5B 10 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_126_0 {
	meta:
		name = "?getStringEncoding@UnDecorator@@CA?AVDName@@PEADH@Z"
		size = 209
		refs = "000f ??0DName@@QEAA@PEBD@Z 0016 ?gName@UnDecorator@@0PEBDEB 0052 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00b3 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 41 8A 03 49 FF C3 4C 89 1D ?? ?? ?? ?? 3C 40 0F 85 8A 00 00 00 41 8A 03 49 FF C3 4C 89 1D ?? ?? ?? ?? 3C 5F 75 79 49 FF C3 48 8D 4C 24 30 33 D2 4C 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 41 8A 03 84 C0 74 30 3C 40 74 11 49 FF C3 4C 89 1D ?? ?? ?? ?? 41 8A 03 84 C0 75 EB 41 80 3B 00 74 15 0F 10 44 24 20 49 FF C3 4C 89 1D ?? ?? ?? ?? F3 0F 7F 03 EB 28 49 FF CB BA 01 00 00 00 48 8B CB 4C 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_152_127_0 {
	meta:
		name = "?getSignedDimension@UnDecorator@@CA?AVDName@@XZ"
		size = 124
		refs = "0010 ?gName@UnDecorator@@0PEBDEB 0023 ??0DName@@QEAA@W4DNameStatus@@@Z 003f ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 004e ??0DName@@QEAA@D@Z 0060 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B 0D ?? ?? ?? ?? 8A 01 84 C0 75 0F BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? EB 45 33 D2 3C 3F 75 37 48 FF C1 48 89 0D ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 2D 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_152_128_0 {
	meta:
		name = "?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ"
		size = 869
		refs = "001e __security_cookie 002f ?gName@UnDecorator@@0PEBDEB 0077 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 00a7 ?getString@DName@@QEBAPEADPEADH@Z 00e8 ??0DName@@QEAA@PEBD@Z 00fd ??YDName@@QEAAAEAV0@D@Z 0112 ??YDName@@QEAAAEAV0@AEBV0@@Z 0126 ??_C@_04HIBGFPH@NULL?$AA@ 0143 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 014a ??_C@_01HNPIGOCE@?$CG?$AA@ 0187 ??0DName@@QEAA@W4DNameStatus@@@Z 01c0 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 01e7 ?disableFlags@UnDecorator@@0KA 020a atol 0212 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0231 ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 0257 ??_C@_01GEODFPGF@?8?$AA@ 0263 ??YDName@@QEAAAEAV0@PEBD@Z 026f ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 027d ??0DName@@QEAA@D@Z 0348 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D 68 B8 48 81 EC 40 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 30 48 8B F9 48 8B 0D ?? ?? ?? ?? 0F BE 31 48 FF C1 48 89 0D ?? ?? ?? ?? 8B DE 83 FE 44 0F 8F 45 01 00 00 83 FB 44 0F 84 87 01 00 00 85 DB 0F 84 18 01 00 00 83 EB 30 0F 84 02 01 00 00 FF CB 0F 84 AE 00 00 00 FF CB 75 3F 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 80 7C 24 28 01 0F 8F EF 00 00 00 80 7D B8 01 0F 8F E5 00 00 00 44 8D 43 64 48 8D 55 C1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 C0 75 14 81 67 08 FF 00 FF FF 48 83 27 00 C6 47 08 02 E9 79 02 00 00 8A 45 C1 88 45 C0 3C 2D 75 0C 8A 45 C2 C6 45 C2 2E 88 45 C1 EB 04 C6 45 C1 2E 48 8D 55 C0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 65 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 6C 24 20 48 8D 55 B0 F3 0F 7F 2F 48 8B CF E8 ?? ?? ?? ?? E9 22 02 00 00 80 39 40 75 1E 48 FF C1 48 8D 15 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? E9 FF 01 00 00 48 8D 4D 90 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 0F 10 00 F3 0F 7F 07 EB A7 48 8B CF E8 ?? ?? ?? ?? E9 C9 01 00 00 48 FF C9 48 89 0D ?? ?? ?? ?? BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? E9 AD 01 00 00 83 FB 45 0F 84 9C 01 00 00 0F 8E 11 FF FF FF 83 FB 4A 0F 8E CD 00 00 00 83 FB 51 74 2E 83 FB 52 0F 85 FA FE FF FF 48 8D 4D B0 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 6D B0 F3 0F 7F 2F E9 62 01 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 74 32 48 8D 55 B0 48 8D 4C 24 20 41 B8 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 08 48 8B D0 E9 0E FF FF FF 48 8D 4C 24 30 40 80 FE 44 75 3E 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4D B0 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 6D B0 48 8D 15 ?? ?? ?? ?? 48 8B CF F3 0F 7F 2F E8 ?? ?? ?? ?? E9 D1 00 00 00 48 8D 15 ?? ?? ?? ?? EB C0 48 8D 4C 24 20 B2 7B E8 ?? ?? ?? ?? 40 80 FE 48 7C 29 40 80 FE 4A 7F 23 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 2C E8 ?? ?? ?? ?? 83 EB 46 74 33 FF CB 74 0C FF CB 74 4D FF CB 74 27 FF CB 75 5B 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 2C E8 ?? ?? ?? ?? 48 8D 4D 80 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 2C E8 ?? ?? ?? ?? 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 0F 10 44 24 20 B2 7D 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D 30 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_129_0 {
	meta:
		name = "?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z"
		size = 263
		refs = "0015 ?gName@UnDecorator@@0PEBDEB 0045 ??_C@_04GKJNKENE@void?$AA@ 004a ??0DName@@QEAA@PEBD@Z 0056 ??_C@_05BEFAKPML@void?5?$AA@ 0075 ?getArrayType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0080 ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0090 ??_C@_0M@EALIELKG@cli?3?3array?$DM?$AA@ 00ae ??YDName@@QEAAAEAV0@AEBV0@@Z 00c4 ??_C@_0O@GKABPPIF@cli?3?3pin_ptr?$DM?$AA@ 00de ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 8B FA 48 8B D9 80 38 00 0F 84 AC 00 00 00 45 85 C0 74 38 80 38 58 75 33 48 FF C0 48 89 05 ?? ?? ?? ?? 48 83 3A 00 75 11 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? EB 7D 80 38 59 75 11 48 FF C0 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 79 48 8D 4D D0 E8 ?? ?? ?? ?? F7 47 08 00 40 00 00 74 2B 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 6D E0 EB 16 F7 47 08 00 20 00 00 74 09 48 8D 15 ?? ?? ?? ?? EB CA 0F 28 6D D0 F3 0F 7F 2B EB 20 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 48 8B D7 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_152_130_0 {
	meta:
		name = "?getVbTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 23
		refs = "000a ?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_253_2_0 {
	meta:
		name = "??0_Exception_ptr@std@@QEAA@AEBV01@@Z"
		size = 23
		refs = "000a ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_253_0_0 {
	meta:
		name = "??0_Exception_ptr@std@@QEAA@XZ"
		size = 23
		refs = "000a ?__ExceptionPtrCreate@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_192_1 {
	meta:
		name = "??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_528_1 {
	meta:
		name = "??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_526_1 {
	meta:
		name = "??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@XZ"
		size = 23
		refs = "000a ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_186_1 {
	meta:
		name = "??Y?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_422_1 {
	meta:
		name = "??Y?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_419_1 {
	meta:
		name = "??Y?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@_J@Z"
		size = 23
		refs = "000a ??Y?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_136_0 {
	meta:
		name = "?getECSUName@UnDecorator@@CA?AVDName@@XZ"
		size = 23
		refs = "000a ?getScopedName@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_149_0 {
	meta:
		name = "?getReferenceType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
		size = 23
		refs = "000a ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_131_0 {
	meta:
		name = "?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 625
		refs = "001e __security_cookie 0043 ?fGetTemplateArgumentList@UnDecorator@@0_NA 0054 ?gName@UnDecorator@@0PEBDEB 0078 ??YDName@@QEAAAEAV0@D@Z 0093 ?pTemplateArgList@UnDecorator@@0PEAVReplicator@@EA 00a6 ??AReplicator@@QEBA?AVDName@@H@Z 00ce ??_C@_04GKJNKENE@void?$AA@ 00df ??4DName@@QEAAAEAV0@PEBD@Z 0100 ?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ 0117 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 011d ?disableFlags@UnDecorator@@0KA 0136 ?getString@DName@@QEBAPEADPEADH@Z 013f atol 0147 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0158 ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 0161 ??0DName@@QEAA@PEBD@Z 0176 ??YDName@@QEAAAEAV0@AEBV0@@Z 0181 ??_C@_01GEODFPGF@?8?$AA@ 018f ??YDName@@QEAAAEAV0@PEBD@Z 01f8 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0227 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 0254 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D 68 A1 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 47 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF BE 01 00 00 00 48 8B D9 40 88 35 ?? ?? ?? ?? 80 79 08 00 0F 85 F1 01 00 00 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 E1 01 00 00 80 38 40 0F 84 D8 01 00 00 85 F6 74 04 33 F6 EB 11 B2 2C 48 8B CB E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F BE 08 44 8D 41 D0 41 83 F8 09 77 22 48 8B 0D ?? ?? ?? ?? 48 FF C0 48 8D 55 E7 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D0 E9 7E 01 00 00 48 83 64 24 20 00 81 64 24 28 00 00 FF FF 48 8B F8 80 F9 58 75 20 48 FF C0 48 8D 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? E9 1D 01 00 00 80 F9 24 75 1C 48 FF C0 38 08 74 15 48 8D 4D 07 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F3 00 00 00 80 F9 3F 0F 85 D1 00 00 00 48 8D 4D 87 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 74 72 48 8D 55 37 48 8D 4D 87 41 B8 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D 37 E8 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 05 48 8B D0 EB 84 48 8D 15 ?? ?? ?? ?? 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4D D7 0F 10 00 F3 0F 7F 45 D7 E8 ?? ?? ?? ?? 0F 28 6D D7 48 8D 15 ?? ?? ?? ?? 48 8D 4D C7 66 0F 7F 6D C7 E8 ?? ?? ?? ?? 0F 28 6D C7 EB 42 48 8D 15 ?? ?? ?? ?? 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4D B7 0F 10 00 F3 0F 7F 45 B7 E8 ?? ?? ?? ?? 0F 28 6D B7 48 8D 15 ?? ?? ?? ?? 48 8D 4D A7 66 0F 7F 6D A7 E8 ?? ?? ?? ?? 0F 28 6D A7 66 0F 7F 6C 24 20 EB 22 48 83 65 97 00 81 65 9F 00 00 FF FF 48 8D 55 97 48 8D 4D 17 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 44 24 20 48 8B 05 ?? ?? ?? ?? 48 2B C7 48 83 F8 01 7E 16 48 8B 0D ?? ?? ?? ?? 83 39 09 74 0A 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 80 7B 08 00 0F 84 0F FE FF FF C6 05 ?? ?? ?? ?? 00 48 8B C3 48 8B 4D 47 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_132_0 {
	meta:
		name = "?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z"
		size = 1849
		refs = "0022 ?gName@UnDecorator@@0PEBDEB 0085 __ImageBase 008d nameTable 0096 ??4DName@@QEAAAEAV0@PEBD@Z 00a8 ??_C@_08LHJFAFGD@operator?$AA@ 00b1 ??0DName@@QEAA@PEBD@Z 00c6 ??YDName@@QEAAAEAV0@AEBV0@@Z 00e7 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 00f5 ??0DName@@QEAA@D@Z 0134 ??YDName@@QEAAAEAV0@D@Z 0179 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 0209 ??0DName@@QEAA@W4DNameStatus@@@Z 0301 ??_C@_08OBABFOLI@?$GAstring?8?$AA@ 030a ?getStringEncoding@UnDecorator@@CA?AVDName@@PEADH@Z 0344 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 03b7 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 03c2 ?append@DName@@AEAAXPEAVDNameNode@@@Z 03d1 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 03fa rttiTable 0473 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 04f0 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0532 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 05ab ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 066e ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 069b ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 06ae ??_C@_02OHHJMEON@?8?8?$AA@ 06b7 ??YDName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 4C 89 40 18 55 48 8D 68 A1 48 81 EC F0 00 00 00 48 8B 1D ?? ?? ?? ?? 45 33 C0 48 8B F9 0F BE 03 B9 00 00 FF FF 48 FF C3 21 4D 9F 21 4D 8F 4C 89 45 97 4C 89 45 87 41 8B F0 48 89 1D ?? ?? ?? ?? 83 F8 41 0F 8F B7 01 00 00 0F 84 A1 06 00 00 85 C0 0F 84 90 01 00 00 83 F8 2F 0F 8E BF 02 00 00 83 F8 31 7E 5F 83 F8 39 0F 8F B1 02 00 00 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 83 7D 97 00 0F 84 2D 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D A7 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 0F 28 45 A7 E9 03 01 00 00 21 4D 8F 4C 89 45 87 84 D2 0F 84 8D 00 00 00 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8D 4D B7 B2 3C 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D A7 48 8B D3 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8B 4D 87 48 85 C9 74 15 48 8B 01 FF 50 08 3C 3E 75 0B 48 8D 4D 87 B2 20 E8 ?? ?? ?? ?? 48 8D 4D 87 B2 3E E8 ?? ?? ?? ?? 48 8B 45 77 48 85 C0 74 03 C6 00 01 48 8B 1D ?? ?? ?? ?? 40 38 33 75 06 0F 10 45 87 EB 75 48 8B 75 87 48 FF C3 48 89 1D ?? ?? ?? ?? 48 8D 4D 47 45 33 C0 33 D2 E8 ?? ?? ?? ?? 0F 10 00 48 89 1D ?? ?? ?? ?? 0F 29 45 97 48 83 7D 97 00 74 2E 80 7B FF 31 75 28 48 8D 4D B7 B2 7E E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D A7 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 0F 28 45 A7 0F 29 45 97 48 85 F6 74 11 48 8D 55 87 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 28 45 97 F3 0F 7F 07 4C 8D 9C 24 F0 00 00 00 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 28 49 8B E3 5D C3 48 FF CB BA 01 00 00 00 48 89 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? EB CB 83 F8 42 0F 84 E2 04 00 00 0F 8E 10 01 00 00 83 F8 5A 0F 8E D8 04 00 00 83 F8 5F 0F 85 FE 00 00 00 0F BE 0B 8D 70 A2 48 03 DE 48 89 1D ?? ?? ?? ?? 83 F9 4F 0F 8F 01 01 00 00 83 F9 44 0F 8D 76 04 00 00 83 F9 39 0F 8F 88 00 00 00 74 5F 85 C9 74 51 83 F9 2F 0F 8E C4 00 00 00 83 F9 36 7E 2A 83 F9 38 0F 8F B6 00 00 00 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? E9 41 FF FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 DF FD FF FF 48 2B DE 8B D6 E9 42 FF FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 87 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA 6D 8F 0F E9 78 FE FF FF 83 F9 3F 74 30 83 F9 40 7E 41 83 F9 42 0F 8E D2 03 00 00 83 F9 43 75 33 44 8B C6 48 8D 15 ?? ?? ?? ?? 48 8D 4D 87 E8 ?? ?? ?? ?? 0F BA 6D 8F 0C E9 43 FE FF FF 0F BE 03 48 03 DE 48 89 1D ?? ?? ?? ?? 85 C0 74 89 83 F8 30 74 13 81 67 08 FF 00 FF FF 4C 89 07 C6 47 08 02 E9 99 FE FF FF 48 8D 15 ?? ?? ?? ?? EB BB 83 F9 54 0F 8F 7E 02 00 00 83 F9 53 0F 8D 6C 03 00 00 83 E9 50 0F 84 1F 02 00 00 FF C9 0F 84 65 FE FF FF FF C9 75 BD 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 97 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 41 8A 03 84 C0 75 3E 0F 28 45 97 F3 0F 7F 07 40 38 77 08 0F 8F 2C FE FF FF 48 83 3F 00 74 17 8B CE E8 ?? ?? ?? ?? 48 8B CF 48 8B D0 E8 ?? ?? ?? ?? E9 0F FE FF FF 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 00 FE FF FF 0F BE C0 83 E8 30 0F 88 8A 01 00 00 83 F8 05 0F 83 81 01 00 00 48 63 D0 48 8D 4D 87 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 41 0F BE 03 4C 03 DE 4C 89 1D ?? ?? ?? ?? 83 F8 30 0F 84 0A 01 00 00 83 F8 31 74 32 83 C0 CE 48 8B CF 83 F8 02 77 16 0F 28 45 97 F3 0F 7F 07 48 8D 55 87 E8 ?? ?? ?? ?? E9 93 FD FF FF 4C 2B DE 8B D6 4C 89 1D ?? ?? ?? ?? E9 B0 FD FF FF 0F 28 45 97 48 8D 55 87 48 8D 4D 97 66 0F 7F 45 97 E8 ?? ?? ?? ?? 48 8D 4D D7 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 2C 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D 37 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 2C 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 2C 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D E7 33 D2 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 29 0F 10 00 F3 0F 7F 45 A7 E8 ?? ?? ?? ?? 48 8D 55 A7 48 8D 4D 97 E8 ?? ?? ?? ?? B2 27 48 8B CF 0F 28 6D 97 F3 0F 7F 2F E8 ?? ?? ?? ?? E9 AF FC FF FF 48 8D 4D B7 33 D2 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 20 0F 28 6D B7 66 0F 7F 6D A7 E8 ?? ?? ?? ?? 48 8D 55 97 48 8D 4D A7 0F 28 6D A7 66 0F 7F 6D A7 E8 ?? ?? ?? ?? 0F 28 6D A7 F3 0F 7F 2F 48 8B CF E9 C9 FE FF FF 81 67 08 FF 00 FF FF 48 83 27 00 C6 47 08 02 E9 56 FC FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 97 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D 07 45 33 C0 33 D2 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 87 48 83 7D 87 00 74 09 F7 45 8F 00 04 00 00 75 A9 0F 28 45 97 F3 0F 7F 07 EB 97 83 F9 55 0F 8C 54 FD FF FF 83 F9 56 0F 8E FE 00 00 00 83 F9 57 0F 8E 42 FD FF FF 83 F9 59 0F 8E D3 00 00 00 83 F9 5F 0F 85 30 FD FF FF 0F BE 03 48 03 DE 48 89 1D ?? ?? ?? ?? 83 F8 41 0F 8C 1A FD FF FF 83 F8 44 7E 0E 83 F8 46 7E 22 83 F8 4A 0F 8F 07 FD FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 4C FC FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 87 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 3F 75 2D 48 8D 4D 27 E8 ?? ?? ?? ?? 48 8D 4D 87 48 8B D0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 75 21 48 03 C6 48 89 05 ?? ?? ?? ?? EB 15 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8D 4D 87 48 8B D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 87 E8 ?? ?? ?? ?? 0F 10 6D 87 F3 0F 7F 2F E9 12 FB FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 AB FB FF FF 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8B 94 D3 ?? ?? ?? ?? E9 97 F9 FF FF BE 01 00 00 00 48 0F BE 53 FF 48 8D 1D ?? ?? ?? ?? 48 8D 4D 97 48 8B 94 D3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 76 F9 FF FF 48 83 7D 97 00 0F 84 A3 FA FF FF 0F BA 6D 9F 09 E9 99 FA FF FF }
	condition:
		$1
}

rule file_152_133_0 {
	meta:
		name = "?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z"
		size = 466
		refs = "0027 ?gName@UnDecorator@@0PEBDEB 0047 ?pArgList@UnDecorator@@0PEAVReplicator@@EA 004e ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 0055 ?pTemplateArgList@UnDecorator@@0PEAVReplicator@@EA 00bf ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 00cf ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 00d9 ?fExplicitTemplateParams@UnDecorator@@0_NA 0100 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 010f ??0DName@@QEAA@D@Z 0125 ??YDName@@QEAAAEAV0@AEBV0@@Z 0154 ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8D 6C 24 80 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 44 8A E2 48 8B F9 80 38 3F 0F 85 65 01 00 00 80 78 01 24 0F 85 5B 01 00 00 4C 8B 2D ?? ?? ?? ?? 4C 8B 35 ?? ?? ?? ?? 4C 8B 3D ?? ?? ?? ?? 83 C9 FF 48 83 C0 02 32 DB 89 4C 24 60 89 4D C0 89 4D 20 48 8D 4C 24 60 BE 01 00 00 00 48 89 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8D 4D C0 88 9D C0 00 00 00 48 89 0D ?? ?? ?? ?? 48 8D 4D 20 40 8A D6 48 89 0D ?? ?? ?? ?? 80 38 3F 48 8D 4C 24 30 75 1E 48 03 C6 4C 8D 85 C0 00 00 00 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 9D C0 00 00 00 EB 08 44 8A C6 E8 ?? ?? ?? ?? 0F 10 00 0F B6 05 ?? ?? ?? ?? F3 0F 7F 44 24 20 48 83 7C 24 20 00 0F 44 C6 88 05 ?? ?? ?? ?? 84 DB 0F 85 85 00 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 40 B2 3C 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D3 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 20 48 85 C9 74 16 48 8B 01 FF 50 08 3C 3E 75 0C 48 8D 4C 24 20 B2 20 E8 ?? ?? ?? ?? 48 8D 4C 24 20 B2 3E E8 ?? ?? ?? ?? 45 84 E4 74 16 48 8B 05 ?? ?? ?? ?? 80 38 00 74 0A 48 03 C6 48 89 05 ?? ?? ?? ?? 0F 10 44 24 20 4C 89 2D ?? ?? ?? ?? 4C 89 35 ?? ?? ?? ?? 4C 89 3D ?? ?? ?? ?? F3 0F 7F 07 EB 0F 81 61 08 FF 00 FF FF 48 83 21 00 C6 41 08 02 4C 8D 9C 24 80 01 00 00 48 8B C7 49 8B 5B 30 49 8B 73 38 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_152_134_0 {
	meta:
		name = "?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
		size = 632
		refs = "001d __security_cookie 002b ?gName@UnDecorator@@0PEBDEB 004c ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 005b ??AReplicator@@QEBA?AVDName@@H@Z 0080 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00c0 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00cc ??_C@_0BE@JAEOCHPE@template?9parameter?9?$AA@ 0104 ??_C@_0O@KHGCOMHP@generic?9type?9?$AA@ 0147 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 014d ?disableFlags@UnDecorator@@0KA 0166 ?getString@DName@@QEBAPEADPEADH@Z 016f atol 0177 ?m_pGetParameter@UnDecorator@@0P6APEADJ@ZEA 0188 ??4DName@@QEAAAEAV0@PEBD@Z 0198 ??_C@_01NLNLIGKH@?$GA?$AA@ 01a9 ??0DName@@QEAA@PEBD@Z 01be ??YDName@@QEAAAEAV0@AEBV0@@Z 01c9 ??_C@_01GEODFPGF@?8?$AA@ 01d7 ??YDName@@QEAAAEAV0@PEBD@Z 0222 ??0DName@@QEAA@AEAPEBDD@Z 0244 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 025b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4C 8B 0D ?? ?? ?? ?? 45 8A D0 40 8A F2 45 0F BE 01 48 8B D9 41 83 E8 30 41 83 F8 09 77 1E 48 8B D1 48 8B 0D ?? ?? ?? ?? 49 FF C1 4C 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EC 01 00 00 48 83 65 A0 00 41 BB 00 00 FF FF 44 21 5D A8 41 80 39 3F 75 50 48 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 00 8A 01 48 FF C1 48 89 0D ?? ?? ?? ?? F3 0F 7F 45 A0 3C 40 0F 84 87 01 00 00 48 FF C9 48 89 0D ?? ?? ?? ?? 8A 01 48 8D 4D A0 F6 D8 1B D2 F7 DA FF C2 E8 ?? ?? ?? ?? E9 65 01 00 00 48 8D 3D ?? ?? ?? ?? 49 8B C9 41 B8 12 00 00 00 48 8B C7 8A 11 84 D2 74 0F 3A 10 75 0B 48 FF C1 48 FF C0 41 FF C8 75 EB 0F B6 09 0F B6 00 2B C8 75 06 49 83 C1 13 EB 3A 48 8D 3D ?? ?? ?? ?? 49 8B C9 41 B8 0C 00 00 00 48 8B C7 8A 11 84 D2 74 0F 3A 10 75 0B 48 FF C1 48 FF C0 41 FF C8 75 EB 0F B6 09 0F B6 00 2B C8 0F 85 B3 00 00 00 49 83 C1 0D 48 8D 4D C0 4C 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 40 00 00 74 3A 48 8D 55 E8 48 8D 4D C0 41 B8 10 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D E8 E8 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? 48 8D 4D A0 48 85 C0 74 11 48 8B D0 E8 ?? ?? ?? ?? E9 9D 00 00 00 48 8D 4D A0 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D D8 48 8B D7 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D B0 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 28 6D B0 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 66 0F 7F 6D B0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D A0 E8 ?? ?? ?? ?? EB 44 45 84 D2 74 24 41 80 39 40 75 1E 48 83 65 C0 00 44 21 5D C8 0F 28 45 C0 49 FF C1 66 0F 7F 45 A0 4C 89 0D ?? ?? ?? ?? EB 1B 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 41 B0 40 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 A0 40 84 F6 74 15 48 8B 0D ?? ?? ?? ?? 83 39 09 74 09 48 8D 55 A0 E8 ?? ?? ?? ?? 0F 28 45 A0 F3 0F 7F 03 48 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_135_0 {
	meta:
		name = "?getScopedName@UnDecorator@@CA?AVDName@@XZ"
		size = 280
		refs = "0029 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 003b ?gName@UnDecorator@@0PEBDEB 0050 ?getScope@UnDecorator@@CA?AVDName@@XZ 0057 ??_C@_02MOLJINC@?3?3?$AA@ 0068 ??YDName@@QEAAAEAV0@PEBD@Z 007d ??YDName@@QEAAAEAV0@AEBV0@@Z 00c6 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00d1 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 40 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 48 8B D9 48 8D 4D E0 45 33 C0 B2 01 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 03 80 7B 08 00 48 8B 05 ?? ?? ?? ?? 75 4F 80 38 00 74 4A 80 38 40 74 4A 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 6D E0 48 8D 4D E0 48 8B D3 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 0F 28 6D E0 F3 0F 7F 2B 48 8B 05 ?? ?? ?? ?? 80 38 40 75 0C 48 FF C0 48 89 05 ?? ?? ?? ?? EB 69 80 38 00 74 11 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 EB 53 48 83 3B 00 BA 01 00 00 00 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 3E 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 0F 10 00 F3 0F 7F 45 E0 E8 ?? ?? ?? ?? 0F 28 6D E0 48 8D 4D E0 48 8B D3 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 0F 28 6D E0 F3 0F 7F 2B 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_152_137_0 {
	meta:
		name = "?getECSUDataType@UnDecorator@@CA?AVDName@@XZ"
		size = 349
		refs = "0019 ?disableFlags@UnDecorator@@0KA 0042 ?gName@UnDecorator@@0PEBDEB 0083 ??_C@_0N@DLIEFKNA@cointerface?5?$AA@ 008c ??_C@_08KOFANOFK@coclass?5?$AA@ 009a ?getEnumType@UnDecorator@@CA?AVDName@@XZ 00a1 ??_C@_05LJGMCFOG@enum?5?$AA@ 00ad ??0DName@@QEAA@PEBD@Z 00c1 ??YDName@@QEAAAEAV0@AEBV0@@Z 00d3 ??_C@_06LJBABKPM@class?5?$AA@ 00dc ??_C@_07DIBCDNGL@struct?5?$AA@ 00e5 ??_C@_06MOJHIBMG@union?5?$AA@ 00ee ??4DName@@QEAAAEAV0@PEBD@Z 0110 ?getScopedName@UnDecorator@@CA?AVDName@@XZ 013b ??_C@_0P@GCIFDJCJ@?$GAunknown?5ecsu?8?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 8B 05 ?? ?? ?? ?? 48 8B F9 44 8B C0 41 C1 E8 0F 41 F7 D0 41 83 E0 01 74 0D 0F BA E0 0C 72 07 BE 01 00 00 00 EB 02 33 F6 48 8B 15 ?? ?? ?? ?? 48 83 65 C0 00 81 65 C8 00 00 FF FF 0F BE 0A 48 FF C2 48 89 15 ?? ?? ?? ?? 85 C9 0F 84 C4 00 00 00 83 E9 54 74 76 FF C9 74 69 FF C9 74 5C FF C9 74 1A FF C9 74 0D FF C9 75 72 48 8D 15 ?? ?? ?? ?? EB 60 48 8D 15 ?? ?? ?? ?? EB 57 48 8D 4D E0 41 8B F0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 6D D0 66 0F 7F 6D C0 EB 22 48 8D 15 ?? ?? ?? ?? EB 10 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? 48 83 65 D0 00 81 65 D8 00 00 FF FF 85 F6 74 09 0F 28 45 C0 66 0F 7F 45 D0 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 28 6D D0 F3 0F 7F 2F EB 19 48 FF CA 48 8B CF 48 89 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8D 5C 24 60 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_138_0 {
	meta:
		name = "?getSymbolName@UnDecorator@@CA?AVDName@@XZ"
		size = 76
		refs = "0009 ?gName@UnDecorator@@0PEBDEB 0020 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 0033 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 003f ?getZName@UnDecorator@@CA?AVDName@@_N0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 8B D9 80 38 3F 75 24 48 FF C0 80 38 24 75 09 B2 01 E8 ?? ?? ?? ?? EB 1D 45 33 C0 33 D2 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_139_0 {
	meta:
		name = "?getBasedType@UnDecorator@@CA?AVDName@@XZ"
		size = 234
		refs = "0008 ?disableFlags@UnDecorator@@0KA 000f tokenTable 0026 ??0DName@@QEAA@PEBD@Z 002d ?gName@UnDecorator@@0PEBDEB 006b ?getScopedName@UnDecorator@@CA?AVDName@@XZ 0078 ??YDName@@QEAAAEAV0@AEBV0@@Z 0081 ??_C@_04GKJNKENE@void?$AA@ 008b ??YDName@@QEAAAEAV0@PEBD@Z 00a5 ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 00b2 ?append@DName@@AEAAXPEAVDNameNode@@@Z 00c3 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 00ca ??_C@_02KCKGHPCA@?$CJ?5?$AA@"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B D9 F7 D0 A8 01 75 04 48 83 C2 02 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 45 33 DB 44 38 19 74 58 0F BE 01 48 FF C1 48 89 0D ?? ?? ?? ?? 83 F8 30 74 33 83 F8 32 74 15 83 F8 35 75 72 81 63 08 FF 00 FF FF 4C 89 1B C6 43 08 02 EB 7C 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? EB 49 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB 36 80 7C 24 28 01 7F 2F 4C 39 5C 24 20 74 19 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? EB 0F 48 8D 4C 24 20 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F 10 6C 24 20 F3 0F 7F 2B 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_152_140_0 {
	meta:
		name = "?composeDeclaration@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 3353
		refs = "003a ?getTypeEncoding@UnDecorator@@CAHXZ 008b ??0DName@@QEAA@W4DNameStatus@@@Z 009d ??YDName@@QEAAAEAV0@AEBV0@@Z 0153 ?disableFlags@UnDecorator@@0KA 0171 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 017f ??0DName@@QEAA@D@Z 01f7 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 020c ??YDName@@QEAAAEAV0@D@Z 0238 ?gName@UnDecorator@@0PEBDEB 0263 ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 0273 ??0DName@@QEAA@PEBD@Z 02bb ??_C@_03OPGICMGF@?$HN?8?5?$AA@ 02c9 ??YDName@@QEAAAEAV0@PEBD@Z 02de ??_C@_02IGFCGPIL@?$HN?8?$AA@ 02f2 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 0489 ??_C@_00CNPNBAHC@?$AA@ 049f ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 05bd ?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z 05c4 ??_C@_01CLKCMJKC@?5?$AA@ 061b heap 0624 ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 067e ??_C@_0N@CBHHHENL@?$GAvtordispex?$HL?$AA@ 070c ??_C@_0L@GHPFDFH@?$GAvtordisp?$HL?$AA@ 075b ??_C@_0L@HNGCOGAE@?$GAadjustor?$HL?$AA@ 0794 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0817 ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 08ae ?getVfTableType@UnDecorator@@CA?AVDName@@AEBV2@@Z 094e ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 0963 ?getScope@UnDecorator@@CA?AVDName@@XZ 0a06 ??_C@_0CB@KJDOOODE@?$GAlocal?5static?5destructor?5helper?8@ 0a30 ??_C@_0DB@ILEFOCIJ@?$GAtemplate?5static?5data?5member?5con@ 0a5a ??_C@_0DA@HGFJFBBE@?$GAtemplate?5static?5data?5member?5des@ 0af1 ?getExternalDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0b3f ??_C@_07PGOEDBHP@static?5?$AA@ 0b9b ??_C@_08NIEOINHE@virtual?5?$AA@ 0bfc ??_C@_09LAPHOOG@private?3?5?$AA@ 0c26 ??_C@_0M@GAIFPFIP@protected?3?5?$AA@ 0c48 ??_C@_08GPDDCMKI@public?3?5?$AA@ 0c8b ??_C@_08KJLFOPNE@?$FLthunk?$FN?3?$AA@ 0cc3 ??_C@_0M@DHNBOJMP@extern?5?$CCC?$CC?5?$AA@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC F0 00 00 00 48 83 64 24 40 00 81 64 24 48 00 00 FF FF 0F 29 70 B8 0F 29 78 A8 4C 8B EA 48 8B F9 E8 ?? ?? ?? ?? 49 83 7D 00 00 8B F0 74 13 41 F7 45 08 00 02 00 00 74 09 C7 45 7F 01 00 00 00 EB 04 83 65 7F 00 3D FF FF 00 00 75 14 81 67 08 FF 00 FF FF 48 83 27 00 C6 47 08 02 E9 78 0C 00 00 3D FE FF 00 00 75 26 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 49 8B D5 48 8B CF 0F 10 00 F3 0F 7F 07 E8 ?? ?? ?? ?? E9 4B 0C 00 00 3D FD FF 00 00 75 0E 41 0F 10 45 00 F3 0F 7F 07 E9 36 0C 00 00 44 8B F0 41 81 E6 00 80 00 00 0F 84 B6 07 00 00 45 33 FF 8B C8 44 8B E0 81 E1 00 18 00 00 8B D8 BA 00 10 00 00 81 F9 00 08 00 00 89 4D 6F 41 0F 94 C7 44 23 E2 81 E3 00 04 00 00 45 85 FF 41 8B C4 44 89 7D C7 0F 45 C3 89 5D 77 44 89 65 CB 85 C0 74 0F 8B C6 25 00 1B 00 00 3B C2 0F 84 64 07 00 00 45 85 FF 41 8B C4 0F 45 C3 85 C0 74 1D 8B C6 25 00 1B 00 00 3D 00 11 00 00 0F 84 45 07 00 00 3D 00 12 00 00 0F 84 3A 07 00 00 0F BA E6 0E 0F 83 82 00 00 00 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 74 45 C1 E9 03 F7 D1 F6 C1 01 74 3B 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4D A7 B2 20 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 87 48 8B D3 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 6D 87 8B 5D 77 66 0F 7F 6C 24 40 EB 2A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 19 80 78 08 01 7E 13 0F BE 40 08 8B 4C 24 48 33 C1 0F B6 C0 33 C8 89 4C 24 48 8B 4D 6F 45 85 FF 44 0F 45 E3 45 85 E4 0F 84 9D 01 00 00 81 F9 00 18 00 00 0F 85 91 01 00 00 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8D 4D 87 B2 7B 41 0F 10 6D 00 F3 0F 7F 6D 87 E8 ?? ?? ?? ?? 48 8D 54 24 30 0F 28 6D 87 48 8D 4D 87 66 0F 7F 6D 87 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 41 80 3B 00 74 37 41 80 3B 41 74 15 8B 45 BF 25 02 00 FF FF 83 C8 02 48 83 65 B7 00 89 45 BF EB 2A 49 FF C3 48 8D 15 ?? ?? ?? ?? 48 8D 4D B7 4C 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 48 8D 4D B7 BA 01 00 00 00 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 10 00 00 75 48 48 8D 4C 24 30 B2 2C E8 ?? ?? ?? ?? 48 8D 55 B7 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 6D 87 48 8D 15 ?? ?? ?? ?? 48 8D 4D 87 66 0F 7F 6D 87 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 44 8B 1D ?? ?? ?? ?? 41 8B C3 D1 E8 F7 D0 A8 01 0F 84 67 05 00 00 41 8B C3 C1 E8 04 F7 D0 A8 01 0F 84 57 05 00 00 41 0F BA E3 0C 0F 82 4C 05 00 00 48 8D 4D A7 B2 20 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 87 0F 10 00 F3 0F 7F 45 87 E8 ?? ?? ?? ?? 0F 28 6D 87 48 8D 4D 87 B2 20 66 0F 7F 6D 87 E8 ?? ?? ?? ?? 48 8D 54 24 40 0F 28 6D 87 48 8D 4D 87 66 0F 7F 6D 87 E8 ?? ?? ?? ?? 0F 28 75 87 44 8B 6D 6F E9 78 07 00 00 8B 5D BF 48 83 65 E7 00 48 83 65 F7 00 48 83 65 D7 00 48 83 65 A7 00 48 83 65 B7 00 44 8B 65 CB B9 00 00 FF FF 21 4D EF 21 4D FF 21 4D DF 21 4D AF 23 D9 45 85 FF 41 8B C4 89 5D BF 0F 45 45 77 85 C0 0F 84 82 00 00 00 45 85 FF 74 65 8B C6 25 00 07 00 00 3D 00 06 00 00 75 2E 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 01 0F 28 6C 24 30 66 0F 7F 6D E7 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D F7 EB 13 45 85 FF 74 24 8B C6 25 00 07 00 00 3D 00 05 00 00 75 16 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D D7 48 8D 4C 24 30 B2 01 E8 ?? ?? ?? ?? B9 00 00 FF FF 0F 28 7C 24 30 EB 04 0F 28 7D A7 45 85 FF 0F 84 81 00 00 00 8B C6 25 00 07 00 00 3D 00 02 00 00 74 73 21 4D AF 21 4D 8F 8B 05 ?? ?? ?? ?? 48 83 65 A7 00 48 83 65 87 00 83 E0 60 C7 44 24 20 01 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 3C 60 74 19 4C 8D 4D A7 48 8D 55 87 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D B7 EB 29 4C 8D 4D 87 48 8D 55 A7 E8 ?? ?? ?? ?? 80 7D BF 03 74 16 80 7C 24 38 01 7E 0F 0F BE 44 24 38 33 C3 0F B6 C0 33 D8 89 5D BF 8B 0D ?? ?? ?? ?? 8B C1 D1 E8 F7 D0 A8 01 74 38 C1 E9 04 F7 D1 F6 C1 01 74 2E 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6C 24 40 EB 2A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 19 80 78 08 01 7E 13 8B 4C 24 48 0F BE 40 08 33 C1 0F B6 C0 33 C8 89 4C 24 48 49 83 7D 00 00 74 51 48 83 7C 24 40 00 74 3E F7 05 ?? ?? ?? ?? 00 10 00 00 75 32 48 8D 4D 87 B2 20 E8 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D5 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 0B 41 0F 10 45 00 F3 0F 7F 44 24 40 81 65 8F 00 00 FF FF 45 33 ED 4C 21 6D 87 44 39 6D 7F 74 5F 48 8D 4D A7 33 D2 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D3 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? F7 05 ?? ?? ?? ?? 00 10 00 00 74 0A 0F 28 44 24 40 E9 A3 FA FF FF 0F 28 75 87 EB 3E 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 11 48 83 20 00 C6 40 08 00 81 60 08 FF 00 FF FF EB 03 45 33 ED 48 8D 4D 97 49 8B D5 E8 ?? ?? ?? ?? 0F 10 30 45 85 FF 44 0F 45 65 77 45 85 E4 0F 84 2B 01 00 00 45 85 FF 0F 84 EB 00 00 00 8B C6 25 00 07 00 00 3D 00 06 00 00 75 7B 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 E7 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 48 8D 4C 24 30 B2 2C 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 8D 55 F7 0F 28 6C 24 30 48 8D 4C 24 30 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 6C 24 30 B2 2C 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6C 24 30 EB 2C 45 85 FF 74 5D 8B C6 25 00 07 00 00 3D 00 05 00 00 75 4F 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 44 24 30 48 8D 55 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 2C 0F 28 6C 24 30 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 11 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 66 0F 7F 7C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 4D 87 B2 28 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D3 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 48 8D 4C 24 30 B2 29 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 45 85 FF 74 1C 8B C6 25 00 07 00 00 3D 00 02 00 00 74 0E 48 8D 55 B7 48 8D 4C 24 40 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8D 4D 97 C1 E8 08 F7 D0 A8 01 74 14 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D0 E8 ?? ?? ?? ?? EB 25 E8 ?? ?? ?? ?? 80 7C 24 48 03 74 19 80 78 08 01 7E 13 0F BE 40 08 8B 4C 24 48 33 C1 0F B6 C0 33 C8 89 4C 24 48 8B 05 ?? ?? ?? ?? C1 E8 02 F7 D0 A8 01 74 15 4D 85 ED 74 10 0F 28 44 24 40 F3 41 0F 7F 45 00 E9 04 FB FF FF 0F 28 74 24 40 44 8B 6D 6F E9 7C 02 00 00 48 8D 4C 24 40 49 8B D5 E8 ?? ?? ?? ?? 41 BB 00 7C 00 00 45 85 F6 75 2F 8B C6 41 23 C3 3D 00 68 00 00 75 12 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? E9 3A 04 00 00 45 85 F6 75 0C 8B C6 41 23 C3 3D 00 70 00 00 74 DD B9 00 60 00 00 45 85 F6 0F 85 C5 00 00 00 8B C6 41 23 C3 3B C1 75 58 48 8D 4D 87 33 D2 E8 ?? ?? ?? ?? 48 8D 4C 24 30 B2 7B 0F 28 6C 24 40 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 8D 55 87 48 8D 4C 24 30 0F 28 6C 24 30 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF 0F 28 6C 24 30 F3 0F 7F 2F E8 ?? ?? ?? ?? E9 BA 03 00 00 45 85 F6 75 5F 8B C6 41 23 C3 41 3B C3 75 55 0F 28 44 24 40 48 8D 15 ?? ?? ?? ?? 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8B CF 48 8B D0 E8 ?? ?? ?? ?? B2 7D 48 8B CF E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 65 03 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? E9 56 03 00 00 45 33 FF 44 8B EE 8B C6 41 81 E5 00 18 00 00 44 8B E6 41 81 FD 00 08 00 00 41 0F 94 C7 85 F1 B9 00 00 00 00 0F 94 C1 45 85 F6 41 0F 45 CF 25 00 04 00 00 41 81 E4 00 10 00 00 85 C9 89 4D C7 44 0F 45 E0 45 85 E4 0F 84 83 00 00 00 33 C9 8B C6 41 8B D6 25 00 1B 00 00 3D 00 10 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 09 48 8D 15 ?? ?? ?? ?? EB 52 45 85 E4 74 59 33 C9 8B C6 41 8B D6 25 00 1B 00 00 3D 00 11 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 09 48 8D 15 ?? ?? ?? ?? EB 28 45 85 E4 74 2F 33 C9 8B C6 41 8B D6 25 00 1B 00 00 3D 00 12 00 00 0F 94 C1 F7 DA 1B C0 85 C1 74 13 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? EB 15 45 85 F6 75 10 8B C6 41 23 C3 3D 00 78 00 00 0F 84 86 FB FF FF 45 85 E4 74 63 33 C9 8B D6 41 8B C6 81 E2 00 1B 00 00 81 FA 00 11 00 00 0F 94 C1 F7 D8 1B C0 85 C1 75 16 33 C9 81 FA 00 12 00 00 41 8B C6 0F 94 C1 F7 D8 1B C0 85 C1 74 2F 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 EB 11 48 8D 54 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 0F 10 30 0F 29 74 24 40 83 7D C7 00 0F 84 70 01 00 00 8B 05 ?? ?? ?? ?? C1 E8 09 F7 D0 A8 01 0F 84 B0 00 00 00 33 C9 8B DE B8 01 00 00 00 81 E3 00 07 00 00 81 FB 00 02 00 00 0F 94 C1 45 85 F6 0F 45 C1 85 C0 74 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 45 85 F6 74 08 81 FB 00 01 00 00 74 1D 45 85 E4 74 4A 81 FB 00 05 00 00 74 10 81 FB 00 06 00 00 74 08 81 FB 00 04 00 00 75 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 8B 05 ?? ?? ?? ?? C1 E8 07 F7 D0 A8 01 0F 84 9A 00 00 00 33 C0 8B D6 81 E2 C0 00 00 00 83 FA 40 0F 94 C0 45 85 F6 44 0F 45 F8 45 85 FF 74 09 48 8D 15 ?? ?? ?? ?? EB 4A 33 C9 81 FA 80 00 00 00 0F 94 C1 33 C0 41 81 FD 00 10 00 00 0F 94 C0 45 85 F6 0F 45 C1 85 C0 74 09 48 8D 15 ?? ?? ?? ?? EB 20 33 C9 85 D2 0F 94 C1 33 C0 45 85 ED 0F 94 C0 45 85 F6 0F 45 C1 85 C0 74 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 45 85 E4 74 3E F7 05 ?? ?? ?? ?? 00 10 00 00 75 32 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 0F 29 74 24 40 0F BA E6 10 73 2D 48 8D 15 ?? ?? ?? ?? 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 54 24 40 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 74 24 30 F3 0F 7F 37 4C 8D 9C 24 F0 00 00 00 48 8B C7 49 8B 5B 40 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_152_141_0 {
	meta:
		name = "?getDecoratedName@UnDecorator@@CA?AVDName@@XZ"
		size = 653
		refs = "0014 ?disableFlags@UnDecorator@@0KA 0032 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 004e ?gName@UnDecorator@@0PEBDEB 0078 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 00a2 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00b5 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 00c5 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 011e ?getScope@UnDecorator@@CA?AVDName@@XZ 012f ?fExplicitTemplateParams@UnDecorator@@0_NA 014f ??YDName@@QEAAAEAV0@AEBV0@@Z 0193 ??_C@_02MOLJINC@?3?3?$AA@ 0198 ??YDName@@QEAAAEAV0@PEBD@Z 024d ?composeDeclaration@UnDecorator@@CA?AVDName@@AEBV2@@Z 0276 ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 55 48 8B EC 48 83 EC 50 8B 05 ?? ?? ?? ?? 48 8B D9 0F BA E0 0D 73 2A 0F BA F0 0D 48 8D 4D F0 33 D2 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BA 2D ?? ?? ?? ?? 0D 0F 10 45 F0 F3 0F 7F 03 E9 2F 02 00 00 48 8B 05 ?? ?? ?? ?? B2 3F 8A 08 3A CA 0F 85 0B 02 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 38 10 75 4F 48 FF C0 38 10 75 23 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? EB 0A 48 FF C0 48 89 05 ?? ?? ?? ?? 80 38 00 75 F1 EB A8 80 38 24 48 8D 4D D0 75 09 B2 01 E8 ?? ?? ?? ?? EB 21 45 33 C0 33 D2 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 48 8D 4D D0 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 83 7D D0 00 8B 75 D8 74 0F 0F BA E6 09 73 09 C7 45 20 01 00 00 00 EB 04 83 65 20 00 8B CE C1 E9 0F 83 E1 01 80 7D D8 01 89 4D 18 7E 09 0F 28 45 D0 E9 42 FF FF FF 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 B1 00 00 00 80 38 40 0F 84 A8 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 83 7D E0 00 0F 84 91 00 00 00 80 3D ?? ?? ?? ?? 00 48 8D 4D F0 74 4D 0F 28 45 D0 48 8D 55 E0 C6 05 ?? ?? ?? ?? 00 66 0F 7F 45 F0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 6D F0 80 38 40 66 0F 7F 6D D0 74 53 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D F0 0F 10 00 F3 0F 7F 45 E0 0F 10 08 F3 0F 7F 4D F0 EB 09 0F 28 45 E0 66 0F 7F 45 F0 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D F0 0F 28 6D F0 66 0F 7F 6D F0 E8 ?? ?? ?? ?? 0F 28 6D F0 66 0F 7F 6D D0 8B 75 D8 8B 4D 18 8B 55 20 85 D2 74 0E 48 83 7D D0 00 74 07 0F BA EE 09 89 75 D8 41 B8 00 80 00 00 85 C9 74 06 41 0B F0 89 75 D8 48 83 7D D0 00 0F 84 06 FF FF FF B9 00 10 00 00 85 F1 0F 85 F9 FE FF FF 48 8B 05 ?? ?? ?? ?? 80 38 00 74 1D 80 38 40 74 11 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 EB 5A 48 FF 05 ?? ?? ?? ?? 85 0D ?? ?? ?? ?? 74 2C 85 D2 75 28 41 85 F0 75 23 48 83 65 E0 00 81 65 E8 00 00 FF FF 48 8D 55 E0 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 28 6D D0 F3 0F 7F 2B EB 1F 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? EB 11 84 C9 75 A2 BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 78 48 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_152_142_0 {
	meta:
		name = "?getScope@UnDecorator@@CA?AVDName@@XZ"
		size = 1003
		refs = "0040 ?gName@UnDecorator@@0PEBDEB 0058 ?fExplicitTemplateParams@UnDecorator@@0_NA 0061 ?fGetTemplateArgumentList@UnDecorator@@0_NA 0075 ??_C@_02MOLJINC@?3?3?$AA@ 0081 ??0DName@@QEAA@PEBD@Z 0095 ??YDName@@QEAAAEAV0@AEBV0@@Z 00b0 ??0DName@@QEAA@D@Z 0122 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 013f ??0DName@@QEAA@AEBV0@@Z 0161 ??YDName@@QEAAAEAV0@D@Z 0195 ?getZName@UnDecorator@@CA?AVDName@@_N0@Z 01f4 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPEA_N@Z 0235 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 02a2 ??0DName@@QEAA@AEAPEBDD@Z 02a9 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 02d5 ?pZNameList@UnDecorator@@0PEAVReplicator@@EA 02e3 ??YReplicator@@QEAAAEAV0@AEBVDName@@@Z 0385 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 0390 ??0DName@@QEAA@W4DNameStatus@@@Z 03aa ??YDName@@QEAAAEAV0@PEBD@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 48 8D A8 38 FF FF FF 48 81 EC C0 01 00 00 48 83 21 00 C6 41 08 00 81 61 08 FF 00 FF FF 40 32 F6 48 8B F9 40 38 71 08 0F 85 17 03 00 00 48 8B 05 ?? ?? ?? ?? 80 38 00 0F 84 07 03 00 00 80 38 40 0F 84 FE 02 00 00 80 3D ?? ?? ?? ?? 00 74 0D 80 3D ?? ?? ?? ?? 00 0F 84 63 03 00 00 48 83 3F 00 74 64 48 8D 15 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D7 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 10 6D D0 F3 0F 7F 2F 40 84 F6 74 30 48 8D 8D B0 00 00 00 B2 5B E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 0F 10 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 0F 10 6C 24 40 40 32 F6 F3 0F 7F 2F 48 8B 05 ?? ?? ?? ?? 80 38 3F 0F 85 38 02 00 00 48 FF C0 48 89 05 ?? ?? ?? ?? 0F BE 08 83 E9 24 0F 84 ED 01 00 00 FF C9 0F 84 8F 01 00 00 83 E9 1A 0F 84 C0 00 00 00 83 E9 02 0F 84 7D 01 00 00 83 F9 08 74 69 48 8D 4D 40 33 D2 E8 ?? ?? ?? ?? 48 8D 8D 80 00 00 00 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D F0 48 8B D0 E8 ?? ?? ?? ?? 48 8D 4D F0 48 8B D3 E8 ?? ?? ?? ?? 48 8D 4C 24 60 B2 27 0F 28 6D F0 66 0F 7F 6C 24 60 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D7 0F 28 6C 24 60 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 0F 28 6D E0 E9 C3 01 00 00 48 FF 05 ?? ?? ?? ?? 48 8D 4D 60 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8D 4D 80 B2 5D 0F 10 00 F3 0F 7F 45 80 E8 ?? ?? ?? ?? 0F 28 6D 80 48 8D 4D C0 48 8B D7 66 0F 7F 6D C0 E8 ?? ?? ?? ?? 40 B6 01 0F 28 6D C0 E9 7A 01 00 00 48 8B 05 ?? ?? ?? ?? 48 8D 48 01 80 39 5F 75 53 80 78 02 3F 75 4D 48 89 0D ?? ?? ?? ?? 48 8D 4D 20 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8D 4D A0 48 8B D7 0F 10 00 F3 0F 7F 45 A0 E8 ?? ?? ?? ?? 0F 10 6D A0 F3 0F 7F 2F 48 8B 05 ?? ?? ?? ?? 80 38 40 0F 85 27 01 00 00 48 FF 05 ?? ?? ?? ?? E9 1B 01 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 48 8D 4D 50 B2 60 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4C 24 50 48 8B D3 0F 10 00 F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 0F 28 6C 24 50 48 8D 4C 24 70 B2 27 66 0F 7F 6C 24 70 E8 ?? ?? ?? ?? 48 8D 4D 90 0F 28 6C 24 70 48 8B D7 66 0F 7F 6D 90 E8 ?? ?? ?? ?? 0F 28 6D 90 E9 B4 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D 00 41 B0 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 70 E8 ?? ?? ?? ?? 48 8D 4D B0 48 8B D7 0F 10 00 F3 0F 7F 45 B0 E8 ?? ?? ?? ?? 0F 10 6D B0 F3 0F 7F 2F 48 8B 0D ?? ?? ?? ?? 83 39 09 74 6D 48 8D 55 00 E8 ?? ?? ?? ?? EB 62 48 FF 0D ?? ?? ?? ?? 48 8D 8D 90 00 00 00 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D7 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 10 6C 24 30 EB 29 48 8D 4D 10 45 33 C0 B2 01 E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D7 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 10 6C 24 20 F3 0F 7F 2F 80 7F 08 00 E9 E3 FC FF FF 48 8B 05 ?? ?? ?? ?? 80 38 00 74 16 80 38 40 74 6A 81 67 08 FF 00 FF FF 48 83 27 00 C6 47 08 02 EB 59 48 83 3F 00 BA 01 00 00 00 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 44 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F 10 00 F3 0F 7F 44 24 20 E8 ?? ?? ?? ?? 0F 28 6C 24 20 48 8D 4C 24 20 48 8B D7 66 0F 7F 6C 24 20 E8 ?? ?? ?? ?? 0F 28 6C 24 20 F3 0F 7F 2F 4C 8D 9C 24 C0 01 00 00 48 8B C7 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_152_143_0 {
	meta:
		name = "?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 1257
		refs = "0026 ?gName@UnDecorator@@0PEBDEB 003e ??0DName@@QEAA@W4DNameStatus@@@Z 0050 ??YDName@@QEAAAEAV0@AEBV0@@Z 010c ??_C@_02MOLJINC@?3?3?$AA@ 0115 ??0DName@@QEAA@PEBD@Z 0147 ?getScope@UnDecorator@@CA?AVDName@@XZ 0155 ??0DName@@QEAA@D@Z 01d9 ?disableFlags@UnDecorator@@0KA 01e8 ??_C@_00CNPNBAHC@?$AA@ 020c ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0237 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 0297 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 039e ??YDName@@QEAAAEAV0@D@Z 03b1 heap 03ba ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 03e1 ?getReturnType@UnDecorator@@CA?AVDName@@PEAV2@@Z 03ea ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 046c ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 33 DB 4C 8B F2 48 8B F9 38 18 75 23 8D 53 01 48 8D 4D 17 E8 ?? ?? ?? ?? 49 8B D6 0F 10 00 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? E9 6C 04 00 00 80 38 36 7C 05 80 38 39 7E 18 80 38 5F 74 13 81 61 08 FF 00 FF FF 48 89 19 C6 41 08 02 E9 4A 04 00 00 0F BE 30 41 BC 01 00 00 00 83 C9 FF 49 03 C4 83 EE 36 48 89 05 ?? ?? ?? ?? 83 FE 29 75 26 38 18 74 1A 0F BE 30 49 03 C4 83 EE 3D 48 89 05 ?? ?? ?? ?? 83 FE 04 7C 16 83 FE 07 EB 0F 41 8B D4 E9 7A FF FF FF 85 F6 78 05 83 FE 03 7E 02 8B F1 3B F1 75 13 81 67 08 FF 00 FF FF 48 89 1F C6 47 08 02 E9 E4 03 00 00 44 8B 6D EF 0F 10 02 44 8B FE 41 81 E5 00 00 FF FF 41 83 E7 02 48 89 5D E7 44 89 6D EF F3 0F 7F 45 D7 0F 84 10 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D 17 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 07 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 6D 07 48 8D 4D 17 66 0F 7F 6D D7 38 18 74 41 E8 ?? ?? ?? ?? 48 8D 4D F7 B2 20 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 07 48 8B D3 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 0F 28 6D 07 48 8D 55 D7 48 8D 4D 07 66 0F 7F 6D 07 E8 ?? ?? ?? ?? 33 DB EB 1D 41 8B D4 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 07 0F 10 00 F3 0F 7F 45 07 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 6D 07 66 0F 7F 6D D7 38 18 0F 84 3F 01 00 00 80 38 40 0F 85 09 FF FF FF 49 03 C4 48 89 5D F7 48 89 5D 07 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 44 89 64 24 20 83 E0 60 4C 8D 05 ?? ?? ?? ?? 48 8D 4D 17 3C 60 B8 00 00 FF FF 0F 84 C1 00 00 00 21 45 FF 21 45 0F 4C 8D 4D F7 48 8D 55 07 E8 ?? ?? ?? ?? 0F 28 6D 17 66 0F 7F 6D E7 40 F6 C6 04 74 5D 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 41 84 C4 0F 84 DE 00 00 00 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 4D F7 B2 20 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 17 48 8B D3 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 6D 17 48 8D 55 D7 48 8D 4D 17 66 0F 7F 6D 17 E8 ?? ?? ?? ?? 0F 28 6D 17 66 0F 7F 6D D7 8B 5D DF 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 41 84 C4 0F 84 B1 00 00 00 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 6D 17 66 0F 7F 6D D7 E9 A8 00 00 00 21 45 0F 21 45 FF 4C 8D 4D 07 48 8D 55 F7 E8 ?? ?? ?? ?? 80 7D EF 03 0F 84 3E FF FF FF 44 38 65 1F 0F 8E 34 FF FF FF 0F BE 45 1F 41 33 C5 0F B6 C0 44 33 E8 44 89 6D EF E9 1E FF FF FF 48 8D 4D 17 41 8B D4 E8 ?? ?? ?? ?? 48 8D 55 D7 E9 35 FD FF FF 48 8D 4D 17 E8 ?? ?? ?? ?? 80 7D DF 03 0F 84 59 FF FF FF 44 38 60 08 0F 8E 4F FF FF FF 8B 5D DF 0F BE 40 08 33 C3 0F B6 C0 33 D8 89 5D DF E9 3C FF FF FF 48 8D 4D 17 E8 ?? ?? ?? ?? 80 7D DF 03 74 14 44 38 60 08 7E 0E 0F BE 40 08 33 C3 0F B6 C0 33 D8 89 5D DF 45 33 ED 4D 39 2E 74 3D 48 8D 4D 07 B2 28 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8D 4D 17 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 6D 17 48 8D 4D 17 B2 29 66 0F 7F 6D 17 E8 ?? ?? ?? ?? 0F 28 6D 17 66 0F 7F 6D D7 45 33 C0 48 8D 0D ?? ?? ?? ?? 41 8D 50 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 10 44 88 68 08 81 60 08 FF 00 FF FF 4C 89 28 EB 03 49 8B F5 48 8D 4D 27 48 8B D6 E8 ?? ?? ?? ?? 48 8D 4D 07 E8 ?? ?? ?? ?? 48 8D 4D F7 B2 28 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D 17 48 8B D3 0F 10 00 F3 0F 7F 45 17 E8 ?? ?? ?? ?? 0F 28 6D 17 48 8D 4D 17 B2 29 66 0F 7F 6D 17 E8 ?? ?? ?? ?? 48 8D 55 17 48 8D 4D D7 E8 ?? ?? ?? ?? 44 8B 1D ?? ?? ?? ?? 41 8B C3 83 E0 60 3C 60 74 19 45 85 FF 74 14 48 8D 55 E7 48 8D 4D D7 E8 ?? ?? ?? ?? 44 8B 1D ?? ?? ?? ?? 41 C1 EB 08 48 8D 4D 17 41 F7 D3 45 84 DC 74 13 E8 ?? ?? ?? ?? 48 8D 4D D7 48 8B D0 E8 ?? ?? ?? ?? EB 22 E8 ?? ?? ?? ?? 80 7D DF 03 74 17 44 38 60 08 7E 11 8B 4D DF 0F BE 40 08 33 C1 0F B6 C0 33 C8 89 4D DF 48 85 F6 74 12 0F 28 45 D7 F3 0F 7F 06 0F 10 4D 27 F3 0F 7F 0F EB 0E 81 67 08 FF 00 FF FF 4C 89 2F C6 47 08 03 4C 8D 9C 24 90 00 00 00 48 8B C7 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_152_144_0 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z"
		size = 1856
		refs = "002b ?gName@UnDecorator@@0PEBDEB 0069 ?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AEAPEBDAEA_NH@Z 00b6 ?disableFlags@UnDecorator@@0KA 00ef tokenTable 010c ??YDName@@QEAAAEAV0@D@Z 0121 ??YDName@@QEAAAEAV0@PEBD@Z 01b2 ??4DName@@QEAAAEAV0@PEBD@Z 02ce ??0DName@@QEAA@PEBD@Z 02e6 ??YDName@@QEAAAEAV0@AEBV0@@Z 0398 ??_C@_02MOLJINC@?3?3?$AA@ 03d7 ?getScope@UnDecorator@@CA?AVDName@@XZ 03e3 ??0DName@@QEAA@W4DNameStatus@@@Z 046d ?make@DNameStatusNode@@SAPEAV1@W4DNameStatus@@@Z 0479 ?append@DName@@AEAAXPEAVDNameNode@@@Z 0489 ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 04b3 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 050c ??_C@_09GAIEOBLP@volatile?5?$AA@ 0543 ??_C@_06LIJLOJAG@const?5?$AA@ 059a ??0DName@@QEAA@D@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 4C 89 40 18 55 57 41 54 41 55 41 56 48 8D 68 A9 48 81 EC E0 00 00 00 33 F6 0F 29 70 C8 48 8B 05 ?? ?? ?? ?? 4C 8B E2 BA 00 00 FF FF 4D 8B E9 21 55 C7 48 8B D9 48 89 75 BF 40 88 74 24 20 40 38 30 0F 84 1E 06 00 00 80 38 24 75 2E 44 8B 4D 7F 4C 8D 44 24 20 48 8D 55 6F 48 8D 4D AF E8 ?? ?? ?? ?? 48 39 75 AF 74 0D 0F 10 45 AF F3 0F 7F 03 E9 9C 06 00 00 BA 00 00 FF FF 48 8B 05 ?? ?? ?? ?? 48 89 75 8F 48 89 75 AF 0F BE 08 B8 16 00 00 00 4C 8B F6 44 8D 40 2B 8B F9 41 3A C8 41 0F 4D C0 21 55 B7 2B F8 21 55 97 8B 15 ?? ?? ?? ?? 0F 28 75 8F 8B C7 83 E8 04 0F 84 F7 00 00 00 FF C8 74 75 83 F8 03 0F 85 D0 01 00 00 8B C2 D1 E8 F7 D0 A8 01 0F 84 63 01 00 00 F7 D2 48 39 75 AF 74 47 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 0F 28 45 AF 48 8D 4D EF B2 20 66 0F 7F 45 EF E8 ?? ?? ?? ?? 48 8D 4D CF 0F 28 6D EF 48 8B D7 66 0F 7F 6D CF E8 ?? ?? ?? ?? 0F 28 6D CF 66 0F 7F 6D AF E9 08 01 00 00 F6 C2 01 48 8B 15 ?? ?? ?? ?? E9 EA 00 00 00 8B C2 D1 E8 F7 D0 A8 01 0F 84 F7 00 00 00 F7 D2 4D 85 F6 74 46 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 48 8D 4D 0F B2 20 66 0F 7F 75 0F E8 ?? ?? ?? ?? 48 8D 4D FF 48 8B D7 0F 28 6D 0F 66 0F 7F 6D FF E8 ?? ?? ?? ?? 0F 28 75 FF 0F 29 75 8F 4C 8B 75 8F E9 9E 00 00 00 F6 C2 01 48 8B 15 ?? ?? ?? ?? 75 04 48 83 C2 02 48 8D 4D 8F E8 ?? ?? ?? ?? 4C 8B 75 8F 0F 28 75 8F EB 7B 8B C2 D1 E8 F7 D0 A8 01 74 7D 8B C2 C1 E8 11 F7 D0 A8 01 74 72 F7 D2 48 39 75 AF 74 45 48 8B 3D ?? ?? ?? ?? F6 C2 01 75 04 48 83 C7 02 0F 28 45 AF 48 8D 4D DF B2 20 66 0F 7F 45 DF E8 ?? ?? ?? ?? 48 8D 4C 24 30 0F 28 6D DF 48 8B D7 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 E9 07 FF FF FF F6 C2 01 48 8B 15 ?? ?? ?? ?? 75 04 48 83 C2 02 48 8D 4D AF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 41 B8 41 00 00 00 48 8B 05 ?? ?? ?? ?? 48 FF C0 48 89 05 ?? ?? ?? ?? 80 38 24 75 2C 44 8B 4D 7F 4C 8D 44 24 20 48 8D 55 6F 48 8D 4D 9F E8 ?? ?? ?? ?? 48 39 75 9F 0F 85 EA 03 00 00 8B 15 ?? ?? ?? ?? 41 B8 41 00 00 00 48 8B 05 ?? ?? ?? ?? B9 16 00 00 00 44 38 00 0F BE 38 41 0F 4D C8 2B F9 E9 18 FE FF FF 48 8B 05 ?? ?? ?? ?? 40 38 30 74 07 48 FF 05 ?? ?? ?? ?? 83 FF 1F 0F 87 92 03 00 00 48 8B 75 6F 48 8D 4D 8F 48 8B D6 E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 28 6D BF 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 83 7D AF 00 0F 28 6C 24 30 66 0F 7F 6D 8F 74 35 48 8D 4C 24 30 B2 20 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 48 8D 55 AF 48 8D 4C 24 30 0F 28 6C 24 30 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D 8F 4D 85 F6 74 35 48 8D 4C 24 30 B2 20 66 0F 7F 74 24 30 E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 28 6C 24 30 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D 8F 45 33 F6 40 F6 C7 10 0F 84 16 01 00 00 44 39 75 7F 74 13 81 63 08 FF 00 FF FF 4C 89 33 C6 43 08 02 E9 8C 03 00 00 44 38 36 74 75 48 8D 15 ?? ?? ?? ?? 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 0F 28 6C 24 30 48 8D 4D 9F 66 0F 7F 6D 8F 44 38 30 74 07 E8 ?? ?? ?? ?? EB 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 48 8D 55 8F 48 8D 4C 24 30 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D 8F EB 30 48 8B 05 ?? ?? ?? ?? 44 38 30 74 45 48 8D 4D 9F E8 ?? ?? ?? ?? 80 7D 97 03 74 15 80 78 08 01 7E 0F 0F BE 40 08 8B 4D 97 33 C1 0F B6 C0 31 45 97 48 8B 05 ?? ?? ?? ?? 8A 08 84 C9 74 14 48 FF C0 48 89 05 ?? ?? ?? ?? 80 F9 40 74 37 E9 22 FF FF FF 80 7D 97 01 7F 2C 4C 39 75 8F 74 18 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D 8F 48 8B D0 E8 ?? ?? ?? ?? EB 0E 48 8D 4D 8F BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? D1 E8 F7 D0 A8 01 8B C7 74 3D 83 E0 0C 3C 0C 75 5F 44 39 75 7F 0F 85 CF FE FF FF 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D 8F EB 29 83 E0 0C 3C 0C 75 22 48 8D 4D 9F E8 ?? ?? ?? ?? 80 7D 97 03 74 13 80 78 08 01 7E 0D 0F BE 40 08 33 45 97 0F B6 C0 31 45 97 40 F6 C7 02 74 31 48 8D 15 ?? ?? ?? ?? 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D 8F 40 F6 C7 01 74 31 48 8D 15 ?? ?? ?? ?? 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 8F 48 8D 4C 24 30 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 66 0F 7F 6D 8F BF 00 01 00 00 44 39 75 7F 0F 85 B7 00 00 00 4D 39 34 24 74 7C 41 85 7C 24 08 75 4E 4D 39 75 00 74 48 48 8D 4D 9F B2 20 E8 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D5 0F 10 00 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 0F 28 6C 24 30 48 8D 4C 24 30 B2 20 66 0F 7F 6C 24 30 E8 ?? ?? ?? ?? 49 8B D4 0F 28 6C 24 30 66 0F 7F 6C 24 30 EB 44 41 F7 44 24 08 00 08 00 00 74 0C 41 0F 10 04 24 F3 0F 7F 45 8F EB 45 48 8D 4D 9F B2 20 E8 ?? ?? ?? ?? 49 8B D4 EB 14 4D 39 75 00 74 2F 48 8D 4D 9F B2 20 E8 ?? ?? ?? ?? 49 8B D5 0F 10 00 F3 0F 7F 44 24 30 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 8F E8 ?? ?? ?? ?? 8B 4D 97 0B CF 89 4D 97 44 38 74 24 20 74 05 0F BA 6D 97 0D 0F 28 45 8F E9 23 FA FF FF 81 63 08 FF 00 FF FF 48 89 33 C6 43 08 02 E9 B5 00 00 00 0F 10 45 9F E9 07 FA FF FF 39 75 7F 0F 85 99 00 00 00 49 39 34 24 74 74 BF 00 01 00 00 41 85 7C 24 08 75 51 49 39 31 74 4C 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D 9F 49 8B D5 0F 10 00 F3 0F 7F 45 9F E8 ?? ?? ?? ?? 0F 28 6D 9F 48 8D 4D 9F B2 20 66 0F 7F 6D 9F E8 ?? ?? ?? ?? 0F 28 6D 9F F3 0F 7F 2B 49 8B D4 48 8B CB E8 ?? ?? ?? ?? EB 40 48 8D 4D 9F BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 03 EB DC 49 39 31 74 1A 48 8D 4D 9F BA 01 00 00 00 E8 ?? ?? ?? ?? 49 8B D5 0F 10 00 F3 0F 7F 03 EB C0 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 48 8B C3 49 8B 5B 30 49 8B 73 38 41 0F 28 73 F0 49 8B E3 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_152_145_0 {
	meta:
		name = "??BUnDecorator@@QEAAPEADXZ"
		size = 422
		refs = "0025 ?name@UnDecorator@@0PEBDEB 0042 ?gName@UnDecorator@@0PEBDEB 004c ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0053 ??_C@_04HEJADOOB@CV?3?5?$AA@ 005f ??0DName@@QEAA@PEBD@Z 0073 ??YDName@@QEAAAEAV0@AEBV0@@Z 0089 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00d3 ?disableFlags@UnDecorator@@0KA 00fc ??4DName@@QEAAAEAV0@PEBD@Z 0103 ?outputString@UnDecorator@@0PEADEA 0121 ?maxStringLength@UnDecorator@@0HA 012f heap 014e ?getString@DName@@QEBAPEADPEADH@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 70 48 83 65 B0 00 48 83 65 C0 00 B8 00 00 FF FF 21 45 B8 21 45 C8 48 8B 05 ?? ?? ?? ?? 48 85 C0 0F 84 88 00 00 00 80 38 3F 75 71 8A 48 01 80 F9 40 75 3E 48 83 05 ?? ?? ?? ?? 02 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 48 8B D8 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 6D D0 EB 37 80 F9 24 75 26 48 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 0F 10 28 0F 29 6D B0 80 7D B8 02 75 24 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 28 0F 29 6D B0 EB 04 0F 28 6D B0 80 7D B8 03 75 07 33 C0 E9 CD 00 00 00 80 7D B8 02 74 1F F7 05 ?? ?? ?? ?? 00 10 00 00 75 0C 48 8B 05 ?? ?? ?? ?? 80 38 00 75 07 66 0F 7F 6D C0 EB 10 48 8B 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 33 48 8B 4D C0 48 85 C9 74 05 48 8B 01 FF 10 FF C0 48 63 C8 89 05 ?? ?? ?? ?? 48 83 C1 07 48 83 E1 F8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 59 44 8B 05 ?? ?? ?? ?? 48 8D 4D C0 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 41 8A 03 49 8B CB 84 C0 74 29 B2 20 3A C2 75 14 49 FF C3 88 11 48 FF C1 EB 03 49 FF C3 41 38 13 74 F8 EB 08 88 01 48 FF C1 49 FF C3 41 8A 03 84 C0 75 D9 41 8A 03 88 01 48 8B 05 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_152_146_0 {
	meta:
		name = "?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
		size = 310
		refs = "001e ?gName@UnDecorator@@0PEBDEB 004f ??0DName@@QEAA@PEBD@Z 006f ??YDName@@QEAAAEAV0@AEBV0@@Z 008c ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z 00a7 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 00be ?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z 00ce ??0DName@@QEAA@W4DNameStatus@@@Z 00da ??YDName@@QEAAAEAV0@PEBD@Z 0102 ??YDName@@QEAAAEAV0@D@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 48 8B EC 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 33 DB 4D 8B E9 49 8B F8 4C 8B E2 48 8B F1 38 18 0F 84 8C 00 00 00 80 38 36 7C 05 80 38 39 7E 05 80 38 5F 75 4E 48 8D 4D F0 49 8B D1 E8 ?? ?? ?? ?? 49 39 1C 24 74 1A 48 39 1F 74 09 F7 47 08 00 01 00 00 75 0C 48 8D 4D F0 49 8B D4 E8 ?? ?? ?? ?? 48 39 1F 74 0C 48 8D 4D F0 48 8B D7 E8 ?? ?? ?? ?? 48 8D 55 F0 48 8B CE E8 ?? ?? ?? ?? E9 85 00 00 00 4C 8B CA 48 8D 4D F0 4D 8B C5 48 8B D7 89 5C 24 20 E8 ?? ?? ?? ?? 41 80 7D 00 2A 48 8D 55 F0 0F 94 C3 48 8B CE 44 8B C3 E8 ?? ?? ?? ?? EB 56 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D F0 49 8B D5 E8 ?? ?? ?? ?? 49 39 1C 24 74 0C 48 8D 4D F0 49 8B D4 E8 ?? ?? ?? ?? 48 39 1F 74 1D 49 39 1C 24 74 0B 48 8D 4D F0 B2 20 E8 ?? ?? ?? ?? 48 8D 4D F0 48 8B D7 E8 ?? ?? ?? ?? 0F 10 45 F0 F3 0F 7F 06 48 8B 5C 24 60 48 8B 7C 24 70 48 8B C6 48 8B 74 24 68 48 83 C4 40 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_152_147_0 {
	meta:
		name = "?getPointerType@UnDecorator@@CA?AVDName@@AEBV2@0@Z"
		size = 30
		refs = "0009 ??_C@_01NBENCBCI@?$CK?$AA@ 0011 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 0D ?? ?? ?? ?? 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_148_0 {
	meta:
		name = "?getPointerTypeArray@UnDecorator@@CA?AVDName@@AEBV2@0@Z"
		size = 30
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 0011 ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 0D ?? ?? ?? ?? 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_152_150_0 {
	meta:
		name = "__unDName"
		size = 261
		refs = "0036 _mtinitlocknum 0044 _lock 004c heap 0098 ??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z 00a2 ??BUnDecorator@@QEAAPEADXZ 00e4 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 81 EC E0 00 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B E1 4D 85 C9 75 07 33 C0 E9 BB 00 00 00 B9 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 EB B9 05 00 00 00 E8 ?? ?? ?? ?? 90 48 89 1D ?? ?? ?? ?? 48 8B 84 24 10 01 00 00 48 89 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 25 ?? ?? ?? ?? 00 48 83 25 ?? ?? ?? ?? 00 0F B7 84 24 18 01 00 00 89 44 24 28 48 83 64 24 20 00 44 8B CF 4C 8B C6 49 8B D4 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 74 29 48 8B 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 85 C9 74 16 48 8B 11 48 89 15 ?? ?? ?? ?? 41 FF D0 4C 8B 05 ?? ?? ?? ?? EB D7 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5C C3 }
	condition:
		$1
}

rule file_152_151_0 {
	meta:
		name = "__unDName$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "__unDNameEx$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 05 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_152_152_0 {
	meta:
		name = "__unDNameEx"
		size = 267
		refs = "0036 _mtinitlocknum 0044 _lock 004c heap 009e ??0UnDecorator@@QEAA@PEADPEBDHP6APEADJ@ZK@Z 00a8 ??BUnDecorator@@QEAAPEADXZ 00ea _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 81 EC E0 00 00 00 49 8B D9 41 8B F8 48 8B F2 4C 8B E1 4D 85 C9 75 07 33 C0 E9 C1 00 00 00 B9 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 EB B9 05 00 00 00 E8 ?? ?? ?? ?? 90 48 89 1D ?? ?? ?? ?? 48 8B 84 24 10 01 00 00 48 89 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 25 ?? ?? ?? ?? 00 48 83 25 ?? ?? ?? ?? 00 8B 84 24 20 01 00 00 89 44 24 28 48 8B 84 24 18 01 00 00 48 89 44 24 20 44 8B CF 4C 8B C6 49 8B D4 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 74 29 48 8B 0D ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 85 C9 74 16 48 8B 11 48 89 15 ?? ?? ?? ?? 41 FF D0 4C 8B 05 ?? ?? ?? ?? EB D7 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 4C 8D 9C 24 E0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5C C3 }
	condition:
		$1
}

rule file_152_154_0 {
	meta:
		name = "?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 1081
		refs = "001a ?gName@UnDecorator@@0PEBDEB 007f ??_C@_05KNFBNCOH@float?$AA@ 0088 ??4DName@@QEAAAEAV0@PEBD@Z 0094 ??_C@_04GOKPGOLB@long?$AA@ 009d ??_C@_03JBIPMCLC@int?$AA@ 00a6 ??_C@_05BFKKPKCG@short?$AA@ 00af ??_C@_04ENMBGAPA@char?$AA@ 0122 ??_C@_06EBGKOKIG@__int8?$AA@ 0139 ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 0140 ??_C@_06GCICPBLB@__w64?5?$AA@ 014c ??0DName@@QEAA@PEBD@Z 016c ??4DName@@QEAAAEAV0@W4DNameStatus@@@Z 0178 ??_C@_07ICFHOGAF@__int16?$AA@ 0190 ??_C@_07LFCOJCAC@__int64?$AA@ 0199 ??_C@_07OFLPPHGP@__int32?$AA@ 01a2 ??_C@_08GAHOLHEO@__int128?$AA@ 01da ?getECSUDataType@UnDecorator@@CA?AVDName@@XZ 01fc ??_C@_07NFANNNEC@UNKNOWN?$AA@ 0208 ??_C@_07CLGGIAMF@wchar_t?$AA@ 0214 ??_C@_09EEKGDCPH@?$DMunknown?$DO?$AA@ 0242 ??_C@_00CNPNBAHC@?$AA@ 025b ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z 0267 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 0270 ??YDName@@QEAAAEAV0@PEBD@Z 0280 ??_C@_04DDKJGDCM@bool?$AA@ 028c ??_C@_04GKJNKENE@void?$AA@ 02c5 ??_C@_05CJIMAING@long?5?$AA@ 02d5 ??_C@_06BNJCAIGJ@double?$AA@ 0332 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 033b ??_C@_07EDHNAJHC@signed?5?$AA@ 0359 ??YDName@@QEAAAEAV0@AEBV0@@Z 0377 ??0DName@@QEAA@D@Z 03b3 ??_C@_05BNCCCJPP@const?$AA@ 03c8 ??_C@_09EFNPDFFP@?5volatile?$AA@ 03df ??_C@_08PABEKFH@volatile?$AA@ 03ef ??_C@_01NBENCBCI@?$CK?$AA@ 040f ??0DName@@QEAA@W4DNameStatus@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 55 56 57 48 8B EC 48 83 EC 70 48 8B F9 48 8B 0D ?? ?? ?? ?? 40 8A 31 40 84 F6 0F 84 DB 03 00 00 48 83 65 B0 00 81 65 B8 00 00 FF FF 48 FF C1 40 0F B6 C6 83 CB FF 48 89 0D ?? ?? ?? ?? C6 45 30 00 83 F8 4E 7F 65 0F 84 7C 02 00 00 83 F8 43 0F 8C 3D 02 00 00 83 F8 45 7E 48 83 F8 47 7E 3A 83 F8 49 7E 2C 83 F8 4B 7E 1E 83 F8 4D 0F 85 20 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? E9 5E 02 00 00 48 8D 15 ?? ?? ?? ?? EB E9 48 8D 15 ?? ?? ?? ?? EB E0 48 8D 15 ?? ?? ?? ?? EB D7 48 8D 15 ?? ?? ?? ?? EB CE 83 F8 4F 0F 84 04 02 00 00 0F 8E D8 01 00 00 83 F8 53 0F 8E C8 01 00 00 83 F8 58 0F 84 B3 01 00 00 83 F8 5F 0F 85 BD 01 00 00 0F B6 19 48 FF C1 8B C3 48 89 0D ?? ?? ?? ?? 83 FB 4D 0F 8F B4 00 00 00 83 F8 4C 0F 8D 9F 00 00 00 83 F8 47 7F 79 83 F8 46 7D 6B 85 C0 74 4A 83 F8 24 74 21 83 C0 BC 83 F8 01 0F 87 DA 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? E9 BE 01 00 00 48 8D 4D D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 48 8B D8 E8 ?? ?? ?? ?? 48 8B D3 E9 BF 02 00 00 48 FF C9 BA 01 00 00 00 48 89 0D ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? E9 7D 01 00 00 48 8D 15 ?? ?? ?? ?? EB A8 83 F8 48 7C 76 83 F8 49 7E 0E 83 F8 4B 7F 6C 48 8D 15 ?? ?? ?? ?? EB 90 48 8D 15 ?? ?? ?? ?? EB 87 48 8D 15 ?? ?? ?? ?? E9 7B FF FF FF 83 F8 4E 0F 84 C9 00 00 00 83 F8 4F 74 64 83 F8 52 74 53 83 F8 57 74 42 83 C0 A8 83 F8 01 77 2E 48 FF C9 48 89 0D ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 10 00 0F 29 45 B0 48 83 7D B0 00 0F 85 02 01 00 00 F3 0F 7F 07 E9 2D 02 00 00 48 8D 15 ?? ?? ?? ?? E9 21 FF FF FF 48 8D 15 ?? ?? ?? ?? E9 15 FF FF FF 48 8D 15 ?? ?? ?? ?? E9 09 FF FF FF BB FE FF FF FF 0F 10 02 48 83 65 B0 00 81 65 B8 00 00 FF FF F3 0F 7F 45 C0 83 FB FE 0F 85 66 01 00 00 4C 8D 0D ?? ?? ?? ?? 4C 8D 45 C0 48 8D 55 B0 48 8D 4D D0 BB 00 08 00 00 09 5D C8 E8 ?? ?? ?? ?? 85 5D D8 75 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 0F 10 45 D0 E9 73 FF FF FF 48 8D 15 ?? ?? ?? ?? E9 9D FE FF FF 48 8D 15 ?? ?? ?? ?? E9 EE FD FF FF 8B D8 83 E3 03 EB 4A 48 FF C9 48 89 0D ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 0F 10 00 0F 29 45 B0 48 83 7D B0 00 75 32 E9 2E FF FF FF 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8B 55 28 83 FB FF 0F 85 33 FF FF FF 8A 5D 30 40 80 FE 43 74 40 40 80 FE 45 74 31 40 80 FE 47 74 2B 40 80 FE 49 74 25 40 80 FE 4B 74 1F 40 80 FE 5F 75 50 80 FB 45 74 14 80 FB 47 74 0F 80 FB 49 74 0A 80 FB 4B 74 05 80 FB 4D 75 37 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 55 B0 48 8D 4D D0 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 0F 28 6D D0 66 0F 7F 6D B0 48 8B 5D 28 48 83 3B 00 74 2C 48 8D 4D F0 B2 20 E8 ?? ?? ?? ?? 48 8D 4D D0 48 8B D3 0F 10 00 F3 0F 7F 45 D0 E8 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D B0 E8 ?? ?? ?? ?? 0F 28 45 B0 E9 4B FE FF FF 48 83 3A 00 75 41 F6 C3 01 74 27 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? F6 C3 02 74 27 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? EB 15 F6 C3 02 74 10 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 45 C0 48 8D 55 B0 48 8B CF E8 ?? ?? ?? ?? EB 21 48 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 28 0F 10 00 48 8B CF F3 0F 7F 07 E8 ?? ?? ?? ?? 48 8B C7 48 8B 9C 24 90 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_152_155_0 {
	meta:
		name = "?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 527
		refs = "001d ?gName@UnDecorator@@0PEBDEB 0050 ?getBasicDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 005c ??_C@_08PABEKFH@volatile?$AA@ 0065 ??4DName@@QEAAAEAV0@PEBD@Z 0076 ??YDName@@QEAAAEAV0@D@Z 0084 ??_C@_01HNPIGOCE@?$CG?$AA@ 00ab ?getPtrRefType@UnDecorator@@CA?AVDName@@AEBV2@0PEBD@Z 0119 ??_C@_0P@GCOCNKDM@std?3?3nullptr_t?$AA@ 0128 ??0DName@@QEAA@PEBD@Z 0168 ??_C@_02PPKAJPJL@?$CG?$CG?$AA@ 0189 ??_C@_00CNPNBAHC@?$AA@ 019c ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 01bf ?getPtrRefDataType@UnDecorator@@CA?AVDName@@AEBV2@H@Z 01d6 ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@AEBV2@@Z 01e6 ??0DName@@QEAA@W4DNameStatus@@@Z 01f8 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 48 83 65 D0 00 48 8B D9 48 8B 0D ?? ?? ?? ?? 44 0F BE 01 41 B9 00 00 FF FF 48 8B FA 44 21 4D D8 45 85 C0 0F 84 A1 01 00 00 41 83 E8 24 74 73 41 83 E8 1D 74 3A 41 FF C8 74 0D 48 8B CB E8 ?? ?? ?? ?? E9 A3 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 83 3F 00 74 0B 48 8D 4D D0 B2 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 0F 10 07 48 FF C1 4C 8D 45 E0 48 89 0D ?? ?? ?? ?? 48 8D 55 D0 48 8B CB F3 0F 7F 45 E0 0F BA 6D E8 08 E8 ?? ?? ?? ?? E9 48 01 00 00 8A 41 01 3C 24 74 1C 84 C0 0F 84 19 01 00 00 81 63 08 FF 00 FF FF 48 83 23 00 C6 43 08 02 E9 25 01 00 00 48 83 C1 02 48 89 0D ?? ?? ?? ?? 0F BE 11 85 D2 0F 84 EF 00 00 00 83 EA 41 0F 84 CF 00 00 00 FF CA 0F 84 AA 00 00 00 FF CA 74 6F 83 EA 0E 74 5E FF CA 74 32 FF CA 74 22 FF CA 75 B0 48 FF C1 48 8D 15 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E9 CB 00 00 00 48 FF C1 48 89 0D ?? ?? ?? ?? EB 86 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? 48 83 3F 00 74 0B 48 8D 4D D0 B2 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? E9 17 FF FF FF 44 21 4D E8 48 83 65 E0 00 83 64 24 20 00 48 FF C1 4C 8D 4D E0 4C 8D 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 8D 4D F0 48 8B D7 E8 ?? ?? ?? ?? 48 8B D0 E9 A4 FE FF FF 48 FF C1 41 B8 01 00 00 00 48 8B D7 48 89 0D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 37 48 FF C1 48 8B D7 48 89 0D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 20 48 8D 4D E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D7 48 8B CB 0F 10 00 F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B 7C 24 78 48 8B C3 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_152_156_0 {
	meta:
		name = "?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z"
		size = 229
		refs = "0015 ??0DName@@QEAA@PEAV0@@Z 001c ?gName@UnDecorator@@0PEBDEB 003f ?getPrimaryDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z 005b ??_C@_04GKJNKENE@void?$AA@ 0063 ??0DName@@QEAA@PEBD@Z 006c ??_C@_05BEFAKPML@void?5?$AA@ 008c ??_C@_00CNPNBAHC@?$AA@ 00a8 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 00c0 ??0DName@@QEAA@W4DNameStatus@@@Z 00d3 ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 60 48 8B D9 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 33 C0 41 38 03 0F 84 8B 00 00 00 41 80 3B 3F 74 4A 41 80 3B 58 74 11 48 8D 55 D0 48 8B CB E8 ?? ?? ?? ?? E9 8F 00 00 00 49 FF C3 4C 89 1D ?? ?? ?? ?? 48 39 45 D0 75 11 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 6E 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? EB 49 81 65 E8 00 00 FF FF 49 FF C3 4C 8D 4D E0 4C 8D 05 ?? ?? ?? ?? 48 8D 55 D0 48 8D 4D F0 4C 89 1D ?? ?? ?? ?? 48 89 45 E0 89 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 45 D0 EB 81 48 8D 4D E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 48 8D 55 D0 48 8B CB F3 0F 7F 03 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_152_157_0 {
	meta:
		name = "?getExternalDataType@UnDecorator@@CA?AVDName@@AEBV2@@Z"
		size = 210
		refs = "0027 heap 002c ?getMemory@_HeapManager@@QEAAPEAX_KH@Z 0052 ?getDataType@UnDecorator@@CA?AVDName@@PEAV2@@Z 0077 ??_C@_00CNPNBAHC@?$AA@ 0084 ?getDataIndirectType@UnDecorator@@CA?AVDName@@AEBV2@PEBD0H@Z 0098 ??YDName@@QEAAAEAV0@D@Z 00ad ??YDName@@QEAAAEAV0@AEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 45 33 C0 48 8B F2 48 8B F9 41 8D 50 10 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 48 83 20 00 C6 40 08 00 81 60 08 FF 00 FF FF EB 02 33 DB 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 83 65 D0 00 48 83 65 E0 00 83 64 24 20 00 B8 00 00 FF FF 4C 8D 4D D0 21 45 D8 21 45 E8 4C 8D 05 ?? ?? ?? ?? 48 8D 55 E0 48 8D 4D F0 E8 ?? ?? ?? ?? 48 8D 4D E0 B2 20 0F 28 6D F0 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 48 8D 4D E0 48 8B D6 0F 28 6D E0 66 0F 7F 6D E0 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 48 8B C7 0F 28 6D E0 F3 0F 7F 2B 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "__C_specific_handler"
		size = 509
		refs = "00ad _pDestructExceptionObject 00bc _IsNonwritableInCurrentImage 00e2 _NLG_Notify 010c __imp_RtlUnwindEx 0111 __NLG_Return2"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 18 49 89 73 20 49 89 53 10 57 41 54 41 55 41 56 41 57 48 83 EC 40 4D 8B 79 08 4D 8B 31 8B 41 04 49 8B 79 38 4D 2B F7 4D 8B E1 4C 8B EA 48 8B E9 A8 66 0F 85 ED 00 00 00 49 63 71 48 49 89 4B C8 4D 89 43 D0 48 8B C6 3B 37 0F 83 81 01 00 00 48 03 C0 48 8D 5C C7 0C 8B 43 F8 4C 3B F0 0F 82 A8 00 00 00 8B 43 FC 4C 3B F0 0F 83 9C 00 00 00 83 7B 04 00 0F 84 92 00 00 00 83 3B 01 74 19 8B 03 48 8D 4C 24 30 49 8B D5 49 03 C7 FF D0 85 C0 0F 88 89 00 00 00 7E 74 81 7D 00 63 73 6D E0 75 28 48 83 3D ?? ?? ?? ?? 00 74 1E 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0E BA 01 00 00 00 48 8B CD FF 15 ?? ?? ?? ?? 8B 4B 04 41 B8 01 00 00 00 49 8B D5 49 03 CF E8 ?? ?? ?? ?? 49 8B 44 24 40 8B 53 04 4C 63 4D 00 48 89 44 24 28 49 8B 44 24 28 49 03 D7 4C 8B C5 49 8B CD 48 89 44 24 20 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF C6 48 83 C3 10 3B 37 0F 83 B7 00 00 00 E9 39 FF FF FF 33 C0 E9 B0 00 00 00 4D 8B 41 20 33 ED 45 33 ED 4D 2B C7 A8 20 74 3B 33 D2 39 17 76 35 48 8D 4F 08 8B 41 FC 4C 3B C0 72 07 8B 01 4C 3B C0 76 0C FF C2 48 83 C1 10 3B 17 73 18 EB E5 8B C2 48 03 C0 8B 4C C7 10 85 C9 75 06 8B 6C C7 0C EB 03 44 8B E9 49 63 71 48 48 8B DE 3B 37 73 55 48 FF C3 48 C1 E3 04 48 03 DF 8B 43 F4 4C 3B F0 72 39 8B 43 F8 4C 3B F0 73 31 45 85 ED 74 05 44 3B 2B 74 31 85 ED 74 05 3B 6B FC 74 28 83 3B 00 75 19 48 8B 54 24 78 8D 46 01 B1 01 41 89 44 24 48 44 8B 43 FC 4D 03 C7 41 FF D0 FF C6 48 83 C3 10 3B 37 72 B5 B8 01 00 00 00 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_155_3_0 {
	meta:
		name = "?wcsncnt@@YA_KPEB_W_K@Z"
		size = 54
	strings:
		$1 = { 45 33 C9 48 8B C1 4C 8B C2 48 85 D2 74 24 66 44 39 08 74 09 48 83 C0 02 49 FF C8 75 F1 4D 85 C0 74 10 66 44 39 08 75 0A 48 2B C1 48 D1 F8 48 FF C0 C3 48 8B C2 C3 }
	condition:
		$1
}

rule file_155_4_0 {
	meta:
		name = "_wcstombs_l_helper"
		size = 914
		refs = "001d __security_cookie 0052 _errno 005d _invalid_parameter_noinfo 0072 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 015f __imp_WideCharToMultiByte 01ed __imp_GetLastError 0373 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 45 33 FF 49 8B F8 48 8B F2 4C 8B E9 41 8B DF 44 89 7D C0 48 85 C9 74 0C 4D 85 C0 75 07 33 C0 E9 1F 03 00 00 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 01 03 00 00 48 8D 4D C8 49 8B D1 E8 ?? ?? ?? ?? 4D 85 ED 0F 84 43 02 00 00 4C 8B 75 C8 45 39 7E 14 75 72 48 85 FF 0F 84 C5 02 00 00 B9 FF 00 00 00 66 39 0E 77 3A 8A 06 41 88 44 1D 00 0F B7 06 48 83 C6 02 66 85 C0 74 0D 48 FF C3 48 3B DF 72 E0 E9 9B 02 00 00 44 38 7D E0 0F 84 A2 02 00 00 48 8B 4D D8 83 A1 C8 00 00 00 FD E9 92 02 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 44 38 7D E0 0F 84 76 FF FF FF 48 8B 45 D8 83 A0 C8 00 00 00 FD E9 66 FF FF FF 41 83 BE 0C 01 00 00 01 0F 85 93 00 00 00 48 85 FF 74 2C 48 8B C6 48 8B CF 66 44 39 38 74 09 48 83 C0 02 48 FF C9 75 F1 48 85 C9 74 12 66 44 39 38 75 0C 48 8B F8 48 2B FE 48 D1 FF 48 FF C7 41 8B 4E 04 48 8D 45 C0 44 8B CF 48 89 44 24 38 4C 89 7C 24 30 4C 8B C6 33 D2 89 7C 24 28 4C 89 6C 24 20 FF 15 ?? ?? ?? ?? 48 98 48 85 C0 0F 84 68 FF FF FF 44 39 7D C0 0F 85 5E FF FF FF 45 38 7C 05 FF 75 03 48 FF C8 44 38 7D E0 0F 84 DF 01 00 00 48 8B 4D D8 83 A1 C8 00 00 00 FD E9 CF 01 00 00 41 8B 4E 04 48 8D 45 C0 48 83 CB FF 48 89 44 24 38 4C 89 7C 24 30 44 8B CB 4C 8B C6 33 D2 89 7C 24 28 4C 89 6C 24 20 FF 15 ?? ?? ?? ?? 4C 63 E0 85 C0 74 11 44 39 7D C0 0F 85 72 01 00 00 49 8D 44 24 FF EB A1 44 39 7D C0 0F 85 61 01 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 52 01 00 00 48 85 FF 0F 84 93 00 00 00 41 8B 4E 04 48 8D 45 C0 41 B9 01 00 00 00 48 89 44 24 38 41 8B 86 0C 01 00 00 4C 89 7C 24 30 89 44 24 28 48 8D 45 E8 4C 8B C6 33 D2 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 0A 01 00 00 44 39 7D C0 0F 85 00 01 00 00 85 C0 0F 88 F8 00 00 00 83 F8 05 0F 87 EF 00 00 00 48 63 D0 4A 8D 04 22 48 3B C7 77 2D 49 8B CF 48 85 D2 7E 18 8A 44 0D E8 43 88 44 25 00 84 C0 74 2B 48 FF C1 49 FF C4 48 3B CA 7C E8 48 83 C6 02 4C 3B E7 0F 82 6D FF FF FF 44 38 7D E0 74 1E 48 8B 45 D8 83 A0 C8 00 00 00 FD EB 11 44 38 7D E0 74 0B 48 8B 4D D8 83 A1 C8 00 00 00 FD 49 8B C4 E9 A9 00 00 00 48 8B 45 C8 44 39 78 14 75 3E 0F B7 06 49 8B D7 66 85 C0 74 1D B9 FF 00 00 00 66 3B C1 0F 87 F1 FD FF FF 48 83 C6 02 48 FF C2 0F B7 06 66 85 C0 75 E8 44 38 7D E0 74 0B 48 8B 4D D8 83 A1 C8 00 00 00 FD 48 8B C2 EB 61 48 8D 4D C0 48 83 CB FF 4C 8B C6 48 89 4C 24 38 8B 48 04 4C 89 7C 24 30 44 8B CB 33 D2 44 89 7C 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 98 48 85 C0 74 0E 44 39 7D C0 75 08 48 FF C8 E9 36 FE FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 44 38 7D E0 74 0B 48 8B 45 D8 83 A0 C8 00 00 00 FD 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_155_7_0 {
	meta:
		name = "_wcstombs_s_l"
		size = 236
		refs = "005f _wcstombs_l_helper 0072 _errno 008c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 83 EC 20 45 33 E4 49 8B C1 49 8B F8 48 8B DA 48 8B F1 48 85 D2 74 51 4D 85 C0 74 51 48 85 D2 74 03 44 88 22 48 85 C9 74 03 4C 21 21 4C 8B 44 24 50 4C 3B C7 4C 0F 47 C7 49 81 F8 FF FF FF 7F 77 2C 4C 8B 4C 24 58 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 75 2B 48 85 DB 74 03 44 88 23 E8 ?? ?? ?? ?? 8B 00 EB 5C 4D 85 C0 74 AF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 42 48 FF C0 48 85 DB 74 2F 48 3B C7 76 25 48 83 7C 24 50 FF 74 14 44 88 23 48 3B F8 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB CC 48 8B C7 41 BC 50 00 00 00 C6 44 18 FF 00 48 85 F6 74 03 48 89 06 41 8B C4 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_156_0_0 {
	meta:
		name = "pow"
		size = 2993
		refs = "0032 __exp_mant_mask 0042 __pos_one 004f __sign_mask 0060 __pos_zero 008c __exp_mask 00ad __ay_max_bound 00c4 __ay_min_bound 00e3 __mask_1023 00f3 __real_mant 00fb __mask_1023_f 010f __mask_mant_all8 0116 __mask_mant9 011e __real_one 0134 __real_notsign 0149 __real_half 0159 __real_threshold 0160 __log_F_inv_head 0167 __log_F_inv_tail 019c __log_256_lead 01a4 __real_1_over_6 01ac __real_1_over_3 01c8 __real_1_over_5 01d0 __real_1_over_2 01e4 __real_1_over_4 01fc __real_log2_tail 0203 __log_256_tail 022b __real_log2_lead 0247 __real_fffffffff8000000 02ca __real_64_by_log2 02e1 __real_p65536 02ef __real_m68800 0300 __two_to_jby64_head_table 0307 __two_to_jby64_tail_table 0313 __real_log2_by_64_head 0330 __real_log2_by_64_tail 034d __real_1_by_2 0355 __real_1_by_24 035d __real_1_by_720 0385 __real_1_by_6 0391 __real_1_by_120 03a6 __denormal_threshold 03d8 __real_inf 0442 __enable_almost_inf 0486 __denormal_tiny_threshold 04c4 __real_smallest_denormal 04e3 __real_zero 054a __mask_2045 0587 __exp_shift 0591 __exp_bias 05b0 __yexp_53 05bc __mant_full 05cf __1_before_mant 05ea __neg_zero 05f7 __neg_one 067f __real_1_over_7 079e __mant_mask 0844 __neg_qnan 084b __flag_x_neg_y_notint 0850 _pow_special 08d4 __pos_inf 090a __flag_x_zero_z_inf 0926 __neg_inf 0a63 __flag_z_zero 0a72 __flag_z_inf 0ae8 __flag_x_nan 0b14 __flag_y_nan 0b36 __ind_pattern 0b7b __flag_x_nan_y_nan 0ba3 __flag_z_denormal"
	strings:
		$1 = { 48 81 EC 18 01 00 00 66 0F 7F B4 24 B0 00 00 00 66 0F 7F BC 24 C0 00 00 00 F2 0F 11 44 24 40 F2 0F 11 4C 24 50 48 8B 54 24 40 4C 8B 44 24 50 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 84 31 07 00 00 4C 3B 05 ?? ?? ?? ?? 0F 84 34 07 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 44 24 70 0F 84 F1 04 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 E4 06 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 27 08 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 B0 08 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F A9 07 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8C F2 08 00 00 4D 33 C0 66 0F 6F D8 66 0F 73 D3 34 66 49 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 6F D0 F3 0F E6 F3 66 0F DB 15 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 1B 04 00 00 F2 0F 10 F8 4D 8B C8 4C 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 49 D1 E1 4D 03 C1 4C 89 84 24 A0 00 00 00 66 0F 54 3D ?? ?? ?? ?? F2 0F 10 8C 24 A0 00 00 00 49 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 66 0F 2F 3D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 0F 82 BF 04 00 00 F2 0F 5C CA F2 0F 10 E1 F2 43 0F 59 0C C1 F2 0F 10 E9 F2 42 0F 59 24 C2 F2 0F 10 FC F2 0F 58 CC F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 5C EA F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 FD F2 0F 59 DC F2 0F 58 CB F2 0F 58 CF F2 0F 10 2D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? F2 0F 59 EE F2 43 0F 10 04 C1 F2 0F 5C E9 F2 42 0F 10 1C C2 F2 0F 58 DD F2 0F 10 CB F2 0F 5C DA F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 FE F2 0F 58 C7 F2 0F 10 F8 F2 0F 58 C3 F2 0F 10 E8 66 0F 54 05 ?? ?? ?? ?? 48 8B 44 24 50 48 23 05 ?? ?? ?? ?? F2 0F 58 D3 F2 0F 5C FD F2 0F 5C CA F2 0F 58 FB F2 0F 5C E8 48 89 84 24 90 00 00 00 F2 0F 10 64 24 50 F2 0F 58 F9 F2 0F 58 FD F2 0F 10 94 24 90 00 00 00 F2 0F 5C E2 F2 0F 10 DC F2 0F 10 EF F2 0F 10 F0 F2 0F 59 DF F2 0F 59 E0 F2 0F 59 EA F2 0F 59 F2 F2 0F 10 CE F2 0F 58 DC F2 0F 58 DD F2 0F 58 CB F2 0F 10 C1 F2 0F 5C F1 F2 0F 58 F3 F2 0F 10 3D ?? ?? ?? ?? F2 0F 11 44 24 60 F2 0F 59 F8 48 8B 54 24 60 66 0F 2F 3D ?? ?? ?? ?? 0F 87 15 02 00 00 66 0F 2F 3D ?? ?? ?? ?? 0F 82 E7 01 00 00 F2 0F E6 E7 4C 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F3 0F E6 CC F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 66 0F 7E E1 48 C7 C0 3F 00 00 00 23 C1 F2 0F 5C C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 10 D0 2B C8 C1 F9 06 F2 0F 58 D1 F2 0F 58 D6 F2 0F 10 CA F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 59 DA F2 0F 59 E2 F2 0F 10 E9 F2 0F 59 CA F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D9 F2 0F 59 E5 45 33 C9 3B 0D ?? ?? ?? ?? F2 0F 58 DC F2 0F 58 C3 44 0F 4E C9 48 81 C1 FF 03 00 00 48 C1 E1 34 F2 41 0F 10 2C C3 F2 41 0F 10 0C C2 F2 0F 59 E8 F2 0F 59 C8 48 3B 0D ?? ?? ?? ?? F2 41 0F 58 2C C3 F2 0F 58 CD F2 41 0F 58 0C C2 F2 0F 10 C1 74 3E 45 85 C9 48 89 4C 24 60 75 54 F2 0F 59 44 24 60 66 0F 56 44 24 70 66 0F 6F BC 24 C0 00 00 00 66 0F 6F B4 24 B0 00 00 00 48 81 C4 18 01 00 00 C3 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F 2F 05 ?? ?? ?? ?? 0F 83 C2 00 00 00 66 0F 56 05 ?? ?? ?? ?? 66 0F 56 44 24 70 EB BA 66 90 41 8B C9 45 33 DB 66 0F 2F 05 ?? ?? ?? ?? 44 0F 43 D9 44 3B 1D ?? ?? ?? ?? 75 15 F2 0F 59 44 24 60 66 0F 56 44 24 70 EB 8F 0F 1F 80 00 00 00 00 4D 33 C0 48 3B 15 ?? ?? ?? ?? 49 C7 C1 01 00 00 00 7F 2D 81 C1 32 04 00 00 49 0F 48 C8 49 D3 E1 49 8B C9 48 89 4C 24 60 F2 0F 59 44 24 60 66 0F 56 44 24 70 E9 D7 06 00 00 0F 1F 80 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 56 44 24 70 E9 BD 06 00 00 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 70 E9 6F 05 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 1D ?? ?? ?? ?? 4C 0B 5C 24 70 E9 4F 05 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 49 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 AE FB FF FF 66 0F 1F 84 00 00 00 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 0F 8F E9 02 00 00 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4D 8B DA 48 8B 0D ?? ?? ?? ?? 49 D3 EA 4C 2B 15 ?? ?? ?? ?? 0F 88 75 02 00 00 48 8B 05 ?? ?? ?? ?? 48 23 C2 48 89 84 24 80 00 00 00 4C 3B 15 ?? ?? ?? ?? 49 8B CA 7F 2E 4C 8B 0D ?? ?? ?? ?? 49 D3 E9 4D 23 CB 0F 85 44 02 00 00 4C 8B 0D ?? ?? ?? ?? 49 D3 E9 4D 23 CB 74 0C 48 8B 05 ?? ?? ?? ?? 48 89 44 24 70 48 3B 15 ?? ?? ?? ?? 0F 84 BC 02 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 BF 01 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 38 03 00 00 F2 0F 10 84 24 80 00 00 00 E9 A8 FA FF FF 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 C1 F2 0F 5C CA F2 0F 10 E1 F2 43 0F 10 1C C1 F2 42 0F 58 1C C2 F2 0F 59 E3 66 0F 54 25 ?? ?? ?? ?? F2 0F 10 EC F2 0F 59 E0 F2 0F 5C CC F2 0F 59 CB F2 0F 10 F9 F2 0F 58 CD F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 C8 F2 0F 59 DC F2 0F 10 D5 F2 0F 10 C7 F2 0F 59 C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 EF F2 0F 58 E8 F2 0F 58 EF F2 0F 10 C2 F2 0F 10 FA F2 0F 59 C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 E0 F2 0F 58 D0 F2 0F 5C FA F2 0F 58 FC F2 0F 58 DF F2 0F 10 25 ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 E6 48 8D 15 ?? ?? ?? ?? F2 0F 58 CD F2 42 0F 58 24 C2 F2 0F 5C E1 F2 0F 10 DC F2 0F 10 CC F2 0F 5C DA F2 43 0F 10 04 C1 F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 FE F2 0F 58 C7 E9 D8 FA FF FF 90 E9 A3 FC FF FF 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 8B FC FF FF 0F 1F 00 48 33 C0 4C 8B DA 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 48 0F 44 C2 4C 8B 0D ?? ?? ?? ?? 4C 23 C8 0F 85 05 03 00 00 66 48 0F 6E C2 E9 53 FC FF FF 66 66 66 0F 1F 84 00 00 00 00 00 48 8B 15 ?? ?? ?? ?? 48 0B 54 24 70 48 33 C0 4D 8B D8 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 0F 85 09 03 00 00 66 48 0F 6E C2 E9 07 FC FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 29 01 00 00 48 3B 15 ?? ?? ?? ?? 0F 84 7C 00 00 00 F2 0F 10 44 24 40 F2 0F 10 4C 24 50 F2 0F 10 15 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF FB FF FF 0F 1F 80 00 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 3B 0D ?? ?? ?? ?? 0F 84 D9 00 00 00 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 74 2D 48 3B 15 ?? ?? ?? ?? 0F 84 30 FF FF FF 4C 8B CA 4C 23 0D ?? ?? ?? ?? 4C 3B 0D ?? ?? ?? ?? 0F 8C 39 01 00 00 E9 54 01 00 00 0F 1F 40 00 4C 8B 15 ?? ?? ?? ?? 48 33 C0 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 74 5A 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 48 0F 45 05 ?? ?? ?? ?? 75 16 66 48 0F 6E C0 66 0F 56 44 24 70 E9 1E FB FF FF 66 0F 1F 44 00 00 F2 0F 10 44 24 40 F2 0F 10 4C 24 50 66 48 0F 6E D0 66 0F 56 54 24 70 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F0 FA FF FF 0F 1F 84 00 00 00 00 00 4D 8B D8 4C 3B 05 ?? ?? ?? ?? 48 0F 44 05 ?? ?? ?? ?? 74 BC 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 0F 85 BC 01 00 00 66 48 0F 6E C0 E9 BA FA FF FF 66 90 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 44 1D ?? ?? ?? ?? 48 8B C2 4C 8B 0D ?? ?? ?? ?? 4C 23 CA 4C 0F 45 D8 0F 85 34 01 00 00 48 33 C0 4D 8B C8 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 4D 0F 45 D9 0F 85 55 01 00 00 66 49 0F 6E C3 66 0F 56 44 24 70 E9 4D FA FF FF 0F 1F 44 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 E9 37 FA FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 45 1D ?? ?? ?? ?? EB 29 66 0F 1F 84 00 00 00 00 00 4D 33 DB 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 0F 44 1D ?? ?? ?? ?? 66 66 66 0F 1F 84 00 00 00 00 00 48 33 C0 4D 8B C8 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 4D 0F 45 D9 0F 85 B1 00 00 00 48 85 C0 75 4C 66 66 66 66 0F 1F 84 00 00 00 00 00 44 8B 0D ?? ?? ?? ?? 4C 85 1D ?? ?? ?? ?? 44 0F 45 0D ?? ?? ?? ?? F2 0F 10 44 24 40 F2 0F 10 4C 24 50 66 49 0F 6E D3 E8 ?? ?? ?? ?? E9 77 F9 FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 49 0F 6E C3 E9 5E F9 FF FF 66 0F 1F 44 00 00 48 33 C0 4C 8B 15 ?? ?? ?? ?? 4D 23 D0 4C 3B 15 ?? ?? ?? ?? 49 0F 44 C0 4C 8B 15 ?? ?? ?? ?? 4C 23 D0 75 5C F2 0F 10 44 24 40 F2 0F 10 4C 24 50 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 12 F9 FF FF 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 44 24 40 F2 0F 10 4C 24 50 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E6 F8 FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4D 8B C8 4C 3B 1D ?? ?? ?? ?? 4D 0F 44 D9 74 27 4C 3B 0D ?? ?? ?? ?? 4D 0F 44 CB 4D 8B D1 4C 23 15 ?? ?? ?? ?? 4D 0F 45 CB 4D 8B D3 4C 23 15 ?? ?? ?? ?? 4D 0F 45 D9 F2 0F 10 44 24 40 F2 0F 10 4C 24 50 66 49 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7F F8 FF FF 0F 1F 80 00 00 00 00 F2 0F 10 D0 F2 0F 10 44 24 40 F2 0F 10 4C 24 50 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 57 F8 FF FF }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "_wgetpath"
		size = 228
		refs = "0039 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B D9 4C 8B E2 66 B9 3B 00 EB 04 48 83 C3 02 66 39 0B 74 F7 33 FF 49 FF C8 48 8B EB 75 0C E8 ?? ?? ?? ?? 8D 77 22 89 30 EB 76 0F B7 03 66 85 C0 74 69 BE 22 00 00 00 66 3B C1 74 5B 48 83 C3 02 66 3B C6 74 18 66 41 89 04 24 49 83 C4 02 49 FF C8 75 3A 48 8B EB E8 ?? ?? ?? ?? EB C9 0F B7 03 66 85 C0 74 36 66 3B C6 74 1A 66 41 89 04 24 48 83 C3 02 49 83 C4 02 49 FF C8 74 D7 0F B7 03 66 85 C0 75 E1 66 39 3B 74 12 48 83 C3 02 0F B7 03 66 85 C0 74 06 EB A0 48 83 C3 02 66 39 0B 74 F7 48 8B 74 24 40 48 3B EB 48 8B 6C 24 38 66 41 89 3C 24 48 0F 45 FB 48 8B 5C 24 30 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_159_1_0 {
	meta:
		name = "__getlocaleinfo"
		size = 475
		refs = "0015 __security_cookie 0059 __crtGetLocaleInfoA 0066 __imp_GetLastError 0092 _calloc_crt 00e3 free 00f6 __security_check_cookie 011a strncpy_s 0143 _invoke_watson 0162 __imp_GetLocaleInfoW"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C0 00 00 00 48 8B 9C 24 30 01 00 00 41 8B F1 45 8B E0 4C 8B F1 83 FA 01 0F 85 0A 01 00 00 4C 8D 4C 24 40 44 8B C6 41 8B D4 48 8D 7C 24 40 33 ED C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 44 8B E8 85 C0 75 5C FF 15 ?? ?? ?? ?? 83 F8 7A 75 78 21 6C 24 20 45 33 C9 44 8B C6 41 8B D4 49 8B CE E8 ?? ?? ?? ?? 4C 63 E8 85 C0 74 5C 8D 55 01 49 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 49 4C 8B C8 44 8B C6 41 8B D4 49 8B CE BD 01 00 00 00 44 89 6C 24 20 E8 ?? ?? ?? ?? 44 8B E8 85 C0 74 1F 49 63 F5 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 48 89 03 48 85 C0 75 31 85 ED 74 08 48 8B CF E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 C0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 41 8D 45 FF 4C 8B C7 48 8B D6 4C 63 C8 E8 ?? ?? ?? ?? 85 C0 75 10 85 ED 74 08 48 8B CF E8 ?? ?? ?? ?? 33 C0 EB B8 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC BD 02 00 00 00 3B D5 75 54 48 83 23 00 45 33 C9 45 33 C0 8B D6 41 8B CC FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 74 27 48 8B CF 8B D5 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 74 15 44 8B CF 4C 8B C0 8B D6 41 8B CC FF 15 ?? ?? ?? ?? 85 C0 75 9A 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 E9 42 FF FF FF 85 D2 0F 85 3A FF FF FF 21 54 24 30 0F BA EE 1D 4C 8D 44 24 30 8B D6 44 8B CD 41 8B CC FF 15 ?? ?? ?? ?? 85 C0 0F 84 17 FF FF FF 8A 44 24 30 88 03 E9 53 FF FF FF }
	condition:
		$1
}

rule file_160_0_0 {
	meta:
		name = "strcpy_s"
		size = 97
		refs = "0019 _errno 0025 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C9 4D 2B C8 41 8A 00 43 88 04 01 49 FF C0 84 C0 74 05 48 FF CA 75 ED 48 85 D2 75 0E 88 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB C5 33 C0 EB CA }
	condition:
		$1
}

rule file_161_0_0 {
	meta:
		name = "fprintf"
		size = 302
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0057 _lock_file 006a _fileno 0085 __pioinfo 0097 __badioinfo 00f4 _stbuf 0109 _output_l 0115 _ftbuf 011e _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 4C 89 40 18 4C 89 48 20 53 56 57 41 54 48 83 EC 28 48 8B F9 33 F6 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 DF 00 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DC 4C 8D 64 24 60 E8 ?? ?? ?? ?? 90 F6 47 18 40 0F 85 86 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 25 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CE FF 85 F6 75 2A 48 8B CF E8 ?? ?? ?? ?? 8B D8 4D 8B CC 45 33 C0 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 83 C4 28 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_161_2_0 {
	meta:
		name = "_fprintf_l"
		size = 29
		refs = "0014 _vfprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_520_1_0 {
	meta:
		name = "__swprintf_l"
		size = 29
		refs = "0014 __vswprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_161_5_0 {
	meta:
		name = "_fprintf_p_l"
		size = 29
		refs = "0014 _vfprintf_p_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_161_3_0 {
	meta:
		name = "_fprintf_s_l"
		size = 29
		refs = "0014 _vfprintf_s_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_166_2_0 {
	meta:
		name = "_fwprintf_l"
		size = 29
		refs = "0014 _vfwprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_166_5_0 {
	meta:
		name = "_fwprintf_p_l"
		size = 29
		refs = "0014 _vfwprintf_p_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_166_3_0 {
	meta:
		name = "_fwprintf_s_l"
		size = 29
		refs = "0014 _vfwprintf_s_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_227_1_0 {
	meta:
		name = "_sprintf_l"
		size = 29
		refs = "0014 _vsprintf_l"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_161_4_0 {
	meta:
		name = "fprintf_s"
		size = 36
		refs = "001b _vfprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_161_6_0 {
	meta:
		name = "_fprintf_p"
		size = 36
		refs = "001b _vfprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_166_6_0 {
	meta:
		name = "_fwprintf_p"
		size = 36
		refs = "001b _vfwprintf_p_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_166_4_0 {
	meta:
		name = "fwprintf_s"
		size = 36
		refs = "001b _vfwprintf_s_l"
	strings:
		$1 = { 48 8B C4 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 4C 8D 48 18 45 33 C0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_164_3_0 {
	meta:
		name = "_wpopen"
		size = 1804
		refs = "001e __security_cookie 0056 _errno 0061 _invalid_parameter_noinfo 00f4 _pipe 0134 _mtinitlocknum 0141 _close 0159 _lock 016a __imp_GetCurrentProcess 0180 __pioinfo 01b1 __imp_DuplicateHandle 01db _wfdopen 01f8 __idpairs 020d __idtabsiz 025d _recalloc_crt 029e ??_C@_1BA@HMCCKBDK@?$AAC?$AAO?$AAM?$AAS?$AAP?$AAE?$AAC?$AA?$AA@ 02aa _wdupenv_s 02c7 _invoke_watson 02dc ??_C@_1BA@DBKIDAPL@?$AAc?$AAm?$AAd?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 02f3 memset 0351 wcslen 0366 ??_C@_19FNCMDGGJ@?$AA?5?$AA?1?$AAc?$AA?5?$AA?$AA@ 037b _calloc_crt 0395 wcscpy_s 03b1 wcscat_s 03ed _waccess_s 0432 __imp_CreateProcessW 045b free 0480 ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 04d1 _wgetpath 050a ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0617 __imp_CloseHandle 0691 fclose 06d8 _unlock 06eb __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 18 49 89 73 20 57 41 54 41 55 41 56 41 57 48 81 EC 40 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 38 01 00 00 48 89 4C 24 60 33 DB 44 8B FB 48 89 5C 24 78 41 89 5B C8 66 41 89 5B CC 89 5C 24 54 8B C3 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 73 06 00 00 8B C3 48 85 D2 0F 95 C0 85 C0 74 DD 66 B9 20 00 BE 02 00 00 00 66 39 0A 75 05 48 03 D6 EB F6 0F B7 02 66 83 F8 77 74 06 66 83 F8 72 75 BB 66 89 84 24 30 01 00 00 48 03 D6 66 39 0A 74 F8 0F B7 02 66 85 C0 74 0C 66 83 F8 74 74 06 66 83 F8 62 75 97 66 89 84 24 32 01 00 00 66 83 F8 74 75 08 41 B8 00 40 00 00 EB 10 44 8B C3 B9 00 80 00 00 66 83 F8 62 44 0F 44 C1 41 0F BA E8 07 BA 00 04 00 00 48 8D 4C 24 58 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 DB 05 00 00 41 BC 01 00 00 00 66 83 BC 24 30 01 00 00 77 75 0B 44 8B EB 44 8B F3 41 8B FC EB 08 45 8B EC 45 8B F4 8B FB 89 7C 24 70 44 89 74 24 50 B9 09 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 17 8B 4C 24 58 E8 ?? ?? ?? ?? 8B 4C 24 5C E8 ?? ?? ?? ?? E9 12 FF FF FF B9 09 00 00 00 E8 ?? ?? ?? ?? 90 44 89 64 24 6C 44 89 64 24 68 FF 15 ?? ?? ?? ?? 49 63 DE 48 63 4C 9C 58 48 8B D1 48 C1 FA 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 14 D0 89 74 24 30 44 89 64 24 28 83 64 24 20 00 4C 8D 8C 24 80 00 00 00 4C 8B C0 48 8B 14 0A 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EE 04 00 00 8B 4C 9C 58 E8 ?? ?? ?? ?? 83 64 9C 68 00 48 63 C7 48 8D 94 24 30 01 00 00 8B 4C 84 58 E8 ?? ?? ?? ?? 4C 8B F8 48 89 84 24 A0 00 00 00 33 DB 48 85 C0 0F 84 B8 04 00 00 4C 8B 0D ?? ?? ?? ?? 49 8B F9 4C 89 8C 24 90 00 00 00 44 8D 43 10 8B 15 ?? ?? ?? ?? 48 8B CA 48 C1 E1 04 49 03 C9 48 3B F9 73 12 48 39 1F 74 0D 49 03 F8 48 89 BC 24 90 00 00 00 EB DF 48 8B C2 48 C1 E0 04 49 03 C1 48 3B F8 72 51 8D 42 01 3B C2 72 47 8B D0 48 B8 FF FF FF FF FF FF FF 0F 48 3B D0 73 36 49 8B C9 E8 ?? ?? ?? ?? 48 85 C0 74 29 48 89 05 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B F9 48 C1 E7 04 48 03 F8 48 89 BC 24 90 00 00 00 41 03 CC 89 0D ?? ?? ?? ?? EB 03 48 8B FB 48 85 FF 0F 84 F2 03 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 78 E8 ?? ?? ?? ?? 85 C0 74 1D 83 F8 16 75 14 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 85 C0 75 0A 4C 8B 74 24 78 4D 85 F6 75 07 4C 8D 35 ?? ?? ?? ?? BB 68 00 00 00 44 8B C3 33 D2 48 8D 8C 24 C0 00 00 00 E8 ?? ?? ?? ?? 89 9C 24 C0 00 00 00 C7 84 24 FC 00 00 00 00 01 00 00 48 8B 84 24 80 00 00 00 48 8B 0D ?? ?? ?? ?? 45 85 ED 48 8B D0 74 03 48 8B 11 48 89 94 24 10 01 00 00 45 3B EC 74 04 48 8B 41 58 48 89 84 24 18 01 00 00 48 8B 81 B0 00 00 00 48 89 84 24 20 01 00 00 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B D8 49 8B CE E8 ?? ?? ?? ?? 48 03 D8 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 5C 18 01 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 FB 02 00 00 4D 8B C6 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 D1 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 A3 02 00 00 4C 8B 44 24 60 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 77 02 00 00 E8 ?? ?? ?? ?? 8B 18 89 9C 24 88 00 00 00 33 D2 49 8B CE E8 ?? ?? ?? ?? 33 C9 85 C0 75 47 48 8D 84 24 A8 00 00 00 48 89 44 24 48 48 8D 84 24 C0 00 00 00 48 89 44 24 40 48 89 4C 24 38 48 89 4C 24 30 89 4C 24 28 44 89 64 24 20 45 33 C9 45 33 C0 49 8B D5 49 8B CE FF 15 ?? ?? ?? ?? 44 8B E0 E9 BD 01 00 00 48 89 4C 24 60 48 8B D6 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 25 33 C9 E8 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? 48 8B 4C 24 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 E9 09 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 33 C9 85 C0 74 2A 83 F8 16 75 12 48 89 4C 24 20 45 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 85 C0 74 0F 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B CE EB 9A 48 8B 4C 24 60 33 DB 41 B8 03 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 48 85 C0 0F 84 F7 00 00 00 66 39 1E 0F 84 EE 00 00 00 48 8B CE E8 ?? ?? ?? ?? 66 83 7C 46 FE 5C 74 34 66 83 7C 46 FE 2F 74 2C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 14 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 86 00 00 00 4D 8B C6 8B D0 48 8B CE E8 ?? ?? ?? ?? 33 DB 85 C0 75 5F 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 44 48 8D 84 24 A8 00 00 00 48 89 44 24 48 48 8D 84 24 C0 00 00 00 48 89 44 24 40 48 89 5C 24 38 48 89 5C 24 30 89 5C 24 28 44 89 64 24 20 45 33 C9 45 33 C0 49 8B D5 48 8B CE FF 15 ?? ?? ?? ?? 44 8B E0 EB 26 48 8B 8C 24 98 00 00 00 E9 FE FE FF FF 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 44 8B 64 24 54 48 8B 4C 24 60 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 8B 9C 24 88 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 8B 4C 24 78 E8 ?? ?? ?? ?? 48 8B 8C 24 80 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 8C 24 B0 00 00 00 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 18 33 DB 45 85 E4 74 14 48 8B 84 24 A8 00 00 00 48 89 47 08 4C 89 3F E9 87 00 00 00 48 89 1F EB 38 48 89 4C 24 20 45 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 89 4C 24 20 45 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 89 4C 24 20 45 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 33 DB 44 8B 74 24 50 49 8B CF E8 ?? ?? ?? ?? 48 63 7C 24 70 89 5C BC 68 4C 8B FB 48 89 9C 24 A0 00 00 00 EB 02 33 DB 49 63 C6 39 5C 84 68 74 09 8B 4C 84 58 E8 ?? ?? ?? ?? 48 63 C7 39 5C 84 68 74 0A 8B 4C 84 58 E8 ?? ?? ?? ?? 90 B9 09 00 00 00 E8 ?? ?? ?? ?? 49 8B C7 48 8B 8C 24 38 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 01 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_165_3_0 {
	meta:
		name = "_validate_param_reuseA"
		size = 346
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 44 8A 59 10 41 8B D9 8B FA 4C 8B C9 41 80 FB 70 0F 84 22 01 00 00 41 80 F8 70 0F 84 18 01 00 00 45 33 D2 BA 01 00 00 00 41 80 FB 73 74 09 41 8B CA 41 80 FB 53 75 02 8B CA 41 80 F8 73 74 09 41 8B C2 41 80 F8 53 75 02 8B C2 85 C9 0F 85 C0 00 00 00 85 C0 0F 85 D7 00 00 00 B1 69 41 80 FB 64 74 66 44 3A D9 74 3B 41 80 FB 6F 74 35 41 80 FB 75 74 2F 41 80 FB 78 74 29 41 80 FB 58 74 23 41 80 F8 64 74 1D 44 3A C1 74 18 41 80 F8 6F 74 12 41 80 F8 75 74 0C 41 80 F8 78 74 06 41 80 F8 58 75 6B 41 80 FB 64 74 20 44 3A D9 74 1B 41 80 FB 6F 74 15 41 80 FB 75 74 0F 41 80 FB 78 74 09 41 8B C2 41 80 FB 58 75 02 8B C2 41 80 F8 64 74 20 44 3A C1 74 1B 41 80 F8 6F 74 15 41 80 F8 75 74 0F 41 80 F8 78 74 09 41 80 F8 58 74 03 41 8B D2 3B C2 74 04 33 C0 EB 4D 41 8B 49 14 8B C1 33 C3 0F BA E0 10 72 EE 33 CB F6 C1 20 75 E7 41 39 39 EB 2C 3B C8 75 1B B8 10 08 00 00 41 8B CA 41 85 41 14 0F 95 C1 85 D8 41 8B C2 0F 95 C0 3B C8 74 03 41 8B D2 8B C2 EB 0D 45 33 D2 45 3A D8 41 0F 94 C2 41 8B C2 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_165_4_0 {
	meta:
		name = "write_char"
		size = 70
		refs = "0031 _flsbuf"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 42 18 40 49 8B D8 74 0C 48 83 7A 10 00 75 05 41 FF 00 EB 25 FF 4A 08 78 0D 48 8B 02 88 08 48 FF 02 0F B6 C1 EB 08 0F BE C9 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_165_5_0 {
	meta:
		name = "write_multi_char"
		size = 81
		refs = "002f write_char"
	strings:
		$1 = { 85 D2 7E 4C 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B F0 8B DA 40 8A E9 4C 8B C7 48 8B D6 40 8A CD FF CB E8 ?? ?? ?? ?? 83 3F FF 74 04 85 DB 7F E7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_165_6_0 {
	meta:
		name = "write_string"
		size = 167
		refs = "0025 _errno 0053 write_char"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 49 8B D9 49 8B F0 8B FA 48 8B E9 E8 ?? ?? ?? ?? F6 46 18 40 44 8B 20 74 0B 48 83 7E 10 00 75 04 01 3B EB 4F E8 ?? ?? ?? ?? 83 20 00 EB 2F 8A 4D 00 4C 8B C3 48 8B D6 FF CF E8 ?? ?? ?? ?? 48 FF C5 83 3B FF 75 17 E8 ?? ?? ?? ?? 83 38 2A 75 11 4C 8B C3 48 8B D6 B1 3F E8 ?? ?? ?? ?? 85 FF 7F CD E8 ?? ?? ?? ?? 83 38 00 75 08 E8 ?? ?? ?? ?? 44 89 20 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_165_11_0 {
	meta:
		name = "_output_p_l"
		size = 4373
		refs = "0022 __security_cookie 005d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0072 _errno 007d _invalid_parameter_noinfo 00aa _fileno 00b1 __badioinfo 00c5 __ImageBase 00dc __pioinfo 01d2 __lookuptable_s 022a strtol 0254 memset 045b _validate_param_reuseA 0494 __nullstring 049c strlen 054a wctomb_s 06ab __wnullstring 077b _get_printf_count_output 0a85 _malloc_crt 0ada _cfltcvt_tab 0ae7 __imp_DecodePointer 0bce write_multi_char 0be2 write_string 0cac free 0fa6 _isleadbyte_l 0fbb write_char 10f6 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 A0 F4 FF FF 48 81 EC 60 0C 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 58 0B 00 00 33 FF 48 8B D9 48 89 4D C0 4C 8B E2 48 89 55 E8 48 8D 4C 24 60 49 8B D0 4D 8B F1 89 7D B0 44 8B EF 89 7C 24 50 89 7C 24 44 89 7D 90 E8 ?? ?? ?? ?? 41 83 CF FF 41 8B F7 48 89 7D A8 48 85 DB 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 78 74 0C 48 8B 4C 24 70 83 A1 C8 00 00 00 FD 41 8B C7 E9 4F 10 00 00 F6 43 18 40 0F 85 A2 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 41 3B C7 74 28 83 F8 FE 74 23 4C 63 C0 4C 8D 0D ?? ?? ?? ?? 49 8B C8 41 83 E0 1F 48 C1 F9 05 4D 6B C0 58 4D 03 84 C9 ?? ?? ?? ?? EB 0A 4C 8B C2 4C 8D 0D ?? ?? ?? ?? 41 F6 40 38 7F 75 29 41 3B C7 74 1E 83 F8 FE 74 19 48 63 D0 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 03 94 C1 ?? ?? ?? ?? F6 42 38 80 74 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 78 0F 84 5D FF FF FF 48 8B 44 24 70 83 A0 C8 00 00 00 FD E9 4C FF FF FF 4D 85 E4 74 CF 48 8B 5D E8 8B C7 44 8B DF 89 44 24 4C 89 7D B8 41 83 FB 01 75 08 85 F6 0F 84 6D 0F 00 00 83 CE FF 89 7C 24 54 4D 8B CC 45 8A 24 24 4D 63 C3 8B D7 48 89 7D D8 45 8B D7 44 89 7C 24 40 89 7D 80 89 7C 24 48 44 89 7D C8 89 75 A0 4C 89 45 98 45 84 E4 0F 84 D4 0E 00 00 41 BB 01 00 00 00 4D 03 CB 4C 89 4D 88 85 C0 0F 88 5B 0E 00 00 41 8D 44 24 E0 3C 58 77 1B 48 8D 0D ?? ?? ?? ?? 49 0F BE C4 0F B6 8C 08 ?? ?? ?? ?? 83 E1 0F 45 33 D2 EB 06 45 33 D2 41 8B CA 48 63 C1 48 8D 0C C0 48 63 C2 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 84 01 ?? ?? ?? ?? C1 E8 04 89 45 B4 41 3B C3 0F 85 D5 00 00 00 41 80 39 25 0F 84 D4 00 00 00 83 FE FF 75 59 44 8D 46 0B 48 8D 55 A8 49 8B C9 E8 ?? ?? ?? ?? 45 33 D2 85 C0 7E 2D 48 8B 45 A8 80 38 24 75 24 4C 39 55 98 75 14 48 8D 8D F0 01 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 89 75 A0 EB 1A 4C 8B 45 98 4C 8B 4D 88 41 8B F2 44 89 55 A0 41 BB 01 00 00 00 41 3B F3 75 71 48 8B 4D 88 48 8D 55 A8 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D A8 4C 8B 45 98 44 8B F8 41 BB 01 00 00 00 4C 8D 49 01 45 2B FB 45 33 D2 4C 89 4D 88 44 89 7D C8 4D 85 C0 75 36 45 85 FF 0F 88 D9 0D 00 00 80 39 24 0F 85 D0 0D 00 00 41 83 FF 64 0F 8D C6 0D 00 00 8B 44 24 40 44 3B F8 41 0F 4F C7 89 44 24 40 EB 09 83 F8 08 0F 84 AC 0D 00 00 8B 4D B4 85 C9 0F 84 8C 0C 00 00 FF C9 0F 84 62 0C 00 00 FF C9 0F 84 06 0C 00 00 FF C9 0F 84 14 0B 00 00 FF C9 0F 84 FF 0A 00 00 FF C9 0F 84 53 0A 00 00 FF C9 0F 84 95 09 00 00 FF C9 0F 85 C4 0C 00 00 41 0F BE C4 83 F8 64 0F 8F CC 02 00 00 0F 84 66 04 00 00 83 F8 41 0F 84 62 02 00 00 83 F8 43 0F 84 7C 01 00 00 83 F8 45 0F 84 50 02 00 00 83 F8 47 0F 84 47 02 00 00 83 F8 53 0F 84 32 01 00 00 83 F8 58 0F 84 8B 03 00 00 83 F8 5A 74 53 83 F8 61 0F 84 2F 02 00 00 83 F8 63 0F 84 4F 01 00 00 45 33 E4 8B 44 24 44 83 7D A0 01 75 0D 4C 8B 45 98 4D 85 C0 0F 84 42 0C 00 00 85 C0 0F 85 F0 08 00 00 41 F6 C5 40 0F 84 EA 07 00 00 41 0F BA E5 08 0F 83 BC 07 00 00 C6 44 24 58 2D E9 BD 07 00 00 85 F6 75 09 49 8B 06 49 83 C6 08 EB 25 41 83 FF 63 0F 87 B1 0C 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 7E 02 00 00 48 8B 84 CD F8 01 00 00 48 8B 00 48 85 C0 0F 84 85 00 00 00 48 8B 58 08 48 85 DB 74 7C 0F BF 00 41 0F BA E5 0B 73 65 99 44 89 5D 90 2B C2 D1 F8 89 44 24 54 E9 5F FF FF FF C7 00 03 00 00 00 44 88 A4 CD 00 02 00 00 44 89 AC CD 04 02 00 00 E9 44 FF FF FF BA 03 00 00 00 45 8B CD 45 8A C4 48 8B C8 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 85 29 FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 64 24 78 E9 2A 0C 00 00 44 89 55 90 89 44 24 54 E9 FF FE FF FF 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB E6 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 83 FF FF 8B D7 B8 FF FF FF 7F 0F 44 D0 85 F6 0F 85 9B 01 00 00 49 8B 1E 49 83 C6 08 E9 C6 01 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 41 F7 C5 10 08 00 00 74 77 85 F6 75 0A 45 0F B7 0E 49 83 C6 08 EB 44 41 83 FF 63 0F 87 99 0B 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 22 48 8D 84 CD F0 01 00 00 44 39 10 75 0B C7 00 02 00 00 00 E9 13 FF FF FF BA 02 00 00 00 E9 23 FF FF FF 48 8B 84 CD F8 01 00 00 44 0F B7 08 48 8D 55 F0 48 8D 4C 24 54 41 B8 00 02 00 00 E8 ?? ?? ?? ?? 45 33 E4 85 C0 74 48 C7 44 24 44 01 00 00 00 EB 3E 85 F6 75 0A 41 0F B7 06 49 83 C6 08 EB 25 41 83 FF 63 0F 87 22 0B 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 09 03 00 00 48 8B 84 CD F8 01 00 00 0F B7 00 88 45 F0 44 89 5C 24 54 45 33 E4 48 8D 5D F0 E9 ED FD FF FF 44 89 18 E9 89 FE FF FF 44 89 5D CC 41 80 C4 20 41 83 CD 40 41 3B F3 0F 85 7F 04 00 00 4D 85 C0 0F 85 76 04 00 00 41 83 FF 63 0F 87 C3 0A 00 00 49 63 C7 48 8D 0C 40 48 8D 84 CD F0 01 00 00 44 39 10 0F 85 2D 04 00 00 C7 00 08 00 00 00 44 88 A4 CD 00 02 00 00 44 89 AC CD 04 02 00 00 E9 EB 09 00 00 83 F8 65 0F 8C 7E FD FF FF 83 F8 67 7E 9F 83 F8 69 0F 84 89 01 00 00 83 F8 6E 0F 84 1F 01 00 00 83 F8 6F 0F 84 01 01 00 00 83 F8 70 0F 84 BB 00 00 00 83 F8 73 0F 84 6C FE FF FF 83 F8 75 0F 84 60 01 00 00 83 F8 78 0F 85 3A FD FF FF B8 27 00 00 00 E9 A9 00 00 00 41 83 FF 63 0F 87 2F 0A 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 16 48 8D 84 CD F0 01 00 00 44 39 10 0F 84 AA FD FF FF E9 C0 FD FF FF 48 8B 9C CD F8 01 00 00 48 8B 1B 41 F7 C5 10 08 00 00 74 30 48 85 DB 44 89 5D 90 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0D 41 2B D3 66 44 39 10 74 08 48 83 C0 02 85 D2 75 EF 48 2B C3 48 D1 F8 E9 B8 FD FF FF 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0B 41 2B D3 44 38 10 74 07 49 03 C3 85 D2 75 F1 2B C3 E9 92 FD FF FF BF 10 00 00 00 41 0F BA ED 0F 89 7C 24 48 B8 07 00 00 00 89 45 B0 41 B9 10 00 00 00 45 84 ED 0F 89 98 00 00 00 41 8D 51 F2 04 51 C6 44 24 58 30 89 54 24 50 88 44 24 59 E9 84 00 00 00 41 B9 08 00 00 00 45 84 ED 79 75 B8 00 02 00 00 44 0B E8 EB 6B 85 F6 75 09 49 8B 3E 49 83 C6 08 EB 25 41 83 FF 63 0F 87 3A 09 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 07 FF FF FF 48 8B 84 CD F8 01 00 00 48 8B 38 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 E0 FC FF FF 8B 44 24 4C 41 F6 C5 20 74 05 66 89 07 EB 02 89 07 B8 01 00 00 00 89 44 24 44 E9 EE FB FF FF 41 83 CD 40 41 B9 0A 00 00 00 8B 54 24 50 41 0F BA E5 0F 73 48 85 F6 75 0C 4D 8B 06 49 83 C6 08 E9 8D 01 00 00 41 83 FF 63 0F 87 C1 08 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 65 48 8D 84 CD F0 01 00 00 44 39 10 75 0B C7 00 04 00 00 00 E9 3B FC FF FF BA 04 00 00 00 E9 4B FC FF FF 41 0F BA E5 0C 73 4C 85 F6 74 B1 41 83 FF 63 0F 87 7E 08 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 22 48 8D 84 CD F0 01 00 00 44 39 10 75 0B C7 00 05 00 00 00 E9 F8 FB FF FF BA 05 00 00 00 E9 08 FC FF FF 48 8B 84 CD F8 01 00 00 4C 8B 00 E9 02 01 00 00 41 F6 C5 20 0F 84 8C 00 00 00 41 F6 C5 40 74 51 85 F6 75 0D 4D 0F BF 06 49 83 C6 08 E9 E1 00 00 00 41 83 FF 63 0F 87 15 08 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 19 48 8D 84 CD F0 01 00 00 44 39 10 0F 84 05 FD FF FF 41 8B D3 E9 A8 FB FF FF 48 8B 84 CD F8 01 00 00 4C 0F BF 00 E9 A1 00 00 00 85 F6 75 0D 45 0F B7 06 49 83 C6 08 E9 90 00 00 00 41 83 FF 63 0F 87 C4 07 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 74 AF 48 8B 84 CD F8 01 00 00 44 0F B7 00 EB 6C 41 F6 C5 40 74 34 85 F6 75 09 4D 63 06 49 83 C6 08 EB 59 41 83 FF 63 0F 87 8D 07 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 74 FF FF FF 48 8B 84 CD F8 01 00 00 4C 63 00 EB 32 85 F6 75 09 45 8B 06 49 83 C6 08 EB 25 41 83 FF 63 0F 87 59 07 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 40 FF FF FF 48 8B 84 CD F8 01 00 00 44 8B 00 41 F6 C5 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA ED 08 41 0F BA E5 0F 72 0A 41 0F BA E5 0C 72 03 45 8B C0 BE 00 02 00 00 85 FF 79 05 41 8B FB EB 09 41 83 E5 F7 3B FE 0F 4F FE 44 8B 7D B0 49 8B C0 48 8D 9D EF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 50 8B CF 41 2B FB 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C7 88 03 49 2B DB EB D2 44 8B 7D C8 48 8D 85 EF 01 00 00 89 7C 24 48 2B C3 49 03 DB 89 44 24 54 44 85 EE 0F 84 92 F9 FF FF 85 C0 74 09 80 3B 30 0F 84 85 F9 FF FF 49 2B DB 44 01 5C 24 54 C6 03 30 E9 75 F9 FF FF 45 8B CD 45 8A C4 BA 08 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 31 FA FF FF 4C 8B 45 98 E9 AE 05 00 00 B8 00 02 00 00 48 8D 5D F0 8B F0 85 FF 79 0A C7 44 24 48 06 00 00 00 EB 49 75 0D 41 80 FC 67 75 41 44 89 5C 24 48 EB 3A 3B F8 0F 4F F8 89 7C 24 48 81 FF A3 00 00 00 7E 29 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 45 33 D2 48 89 45 D8 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 48 A3 00 00 00 44 39 55 A0 75 0D 49 8B 06 49 83 C6 08 48 89 45 E0 EB 20 41 83 FF 63 0F 87 D8 05 00 00 49 63 C7 48 8D 0C 40 48 8B 84 CD F8 01 00 00 48 8B 08 48 89 4D E0 48 8B 0D ?? ?? ?? ?? 41 0F BE FC 48 63 F6 FF 15 ?? ?? ?? ?? 48 8D 4C 24 60 44 8B CF 48 89 4C 24 30 8B 4D CC 4C 8B C6 89 4C 24 28 8B 4C 24 48 48 8B D3 89 4C 24 20 48 8D 4D E0 FF D0 41 8B FD 81 E7 80 00 00 00 74 1E 83 7C 24 48 00 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 60 48 8B CB FF D0 41 80 FC 67 75 20 45 33 E4 85 FF 75 1C 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 60 48 8B CB FF D0 EB 03 45 33 E4 80 3B 2D 75 08 41 0F BA ED 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 89 44 24 54 E9 10 F8 FF FF 41 F6 C5 01 74 10 C6 44 24 58 2B BF 01 00 00 00 89 7C 24 50 EB 11 41 F6 C5 02 74 07 C6 44 24 58 20 EB E8 8B 7C 24 50 44 8B 65 80 48 8B 75 C0 44 2B 64 24 54 44 2B E7 41 F6 C5 0C 75 12 4C 8D 4C 24 4C 4C 8B C6 41 8B D4 B1 20 E8 ?? ?? ?? ?? 4C 8D 4C 24 4C 48 8D 4C 24 58 4C 8B C6 8B D7 E8 ?? ?? ?? ?? 41 F6 C5 08 74 18 41 F6 C5 04 75 12 4C 8D 4C 24 4C 4C 8B C6 41 8B D4 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 54 33 C0 39 45 90 74 5E 85 FF 7E 5A 48 8B F3 44 0F B7 0E 48 8D 95 50 0B 00 00 48 8D 4D D0 41 B8 06 00 00 00 FF CF 48 83 C6 02 E8 ?? ?? ?? ?? 85 C0 75 26 8B 55 D0 85 D2 74 1F 4C 8B 45 C0 4C 8D 4C 24 4C 48 8D 8D 50 0B 00 00 E8 ?? ?? ?? ?? 85 FF 75 BC 48 8B 75 C0 EB 1F 48 8B 75 C0 83 C8 FF 89 44 24 4C EB 16 4C 8D 4C 24 4C 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B 44 24 4C 85 C0 78 18 41 F6 C5 04 74 12 4C 8D 4C 24 4C 4C 8B C6 41 8B D4 B1 20 E8 ?? ?? ?? ?? 45 33 E4 48 8B 4D D8 48 85 C9 74 09 E8 ?? ?? ?? ?? 4C 89 65 D8 8B 7C 24 48 E9 7C FD FF FF 41 80 FC 49 74 4A 41 80 FC 68 74 3B 41 80 FC 6C 74 14 41 80 FC 77 0F 85 1B 03 00 00 41 0F BA ED 0B E9 11 03 00 00 41 80 39 6C 44 8B 54 24 40 75 0D 4D 03 CB 41 0F BA ED 0C E9 FE 02 00 00 41 83 CD 10 E9 F5 02 00 00 41 83 CD 20 E9 E7 02 00 00 41 8A 01 B9 00 80 00 00 44 0B E9 3C 36 75 13 41 80 79 01 34 75 0C 49 83 C1 02 44 0B E9 E9 C5 02 00 00 3C 33 75 15 41 80 79 01 32 75 0E 49 83 C1 02 41 0F BA F5 0F E9 AC 02 00 00 3C 64 74 1D 3C 69 74 19 3C 6F 74 15 3C 75 74 11 3C 78 74 0D 3C 58 74 09 44 89 55 B4 E9 2F 02 00 00 41 0F BA ED 10 E9 81 02 00 00 41 80 FC 2A 0F 85 86 00 00 00 85 F6 75 09 41 8B 3E 49 83 C6 08 EB 44 48 8D 55 A8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D A8 4C 8B 45 98 4C 8D 49 01 41 BB 01 00 00 00 41 2B C3 4C 89 4D 88 4D 85 C0 0F 84 B0 00 00 00 48 98 48 8D 0C 40 48 8B 84 CD F8 01 00 00 8B 38 44 8B 54 24 40 89 7C 24 48 85 FF 0F 89 1A 02 00 00 83 CF FF 89 7C 24 48 E9 0E 02 00 00 44 89 18 C6 84 CD 00 02 00 00 2A 44 89 AC CD 04 02 00 00 E9 F6 01 00 00 8D 0C BF 41 0F BE C4 8D 7C 48 D0 89 7C 24 48 E9 DD 01 00 00 41 8B FA 44 89 54 24 48 E9 D0 01 00 00 41 80 FC 2A 0F 85 CA 00 00 00 85 F6 75 0C 41 8B 0E 49 83 C6 08 E9 9C 00 00 00 48 8D 55 A8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D A8 4C 8B 45 98 4C 8D 49 01 41 BB 01 00 00 00 41 2B C3 4C 89 4D 88 4D 85 C0 75 5C 85 C0 0F 88 23 02 00 00 80 39 24 0F 85 1A 02 00 00 41 83 FF 64 0F 8D 10 02 00 00 44 8B 54 24 40 41 3B C2 44 0F 4F D0 48 98 45 33 E4 48 8D 0C 40 44 89 54 24 40 48 8D 84 CD F0 01 00 00 44 39 20 0F 84 37 FF FF FF 45 8B CD 41 B0 2A 41 8B D3 48 8B C8 E8 ?? ?? ?? ?? E9 67 FB FF FF 48 98 48 8D 0C 40 48 8B 84 CD F8 01 00 00 8B 08 44 8B 54 24 40 89 4D 80 85 C9 0F 89 0F 01 00 00 41 83 CD 04 F7 D9 89 4D 80 E9 01 01 00 00 8B 45 80 8D 0C 80 41 0F BE C4 8D 4C 48 D0 89 4D 80 E9 E6 00 00 00 41 80 FC 20 74 45 41 80 FC 23 74 35 41 80 FC 2B 74 27 41 80 FC 2D 74 18 44 8B 54 24 40 41 80 FC 30 0F 85 C4 00 00 00 41 83 CD 08 E9 BB 00 00 00 41 83 CD 04 E9 AD 00 00 00 45 0B EB E9 A5 00 00 00 41 0F BA ED 07 E9 9B 00 00 00 41 83 CD 02 E9 92 00 00 00 83 CF FF 44 89 55 CC 44 89 54 24 44 44 89 55 80 44 89 54 24 50 45 8B EA 89 7C 24 48 44 89 55 90 EB 70 4D 85 C0 75 05 41 3B F3 74 66 4D 3B C3 75 05 83 FE FF 74 5C 48 8D 54 24 60 41 0F B6 CC 44 89 55 90 E8 ?? ?? ?? ?? 85 C0 74 28 48 8B 55 C0 4C 8D 44 24 4C 41 8A CC E8 ?? ?? ?? ?? 48 8B 45 88 44 8A 20 48 FF C0 48 89 45 88 45 84 E4 0F 84 C3 00 00 00 48 8B 55 C0 4C 8D 44 24 4C 41 8A CC E8 ?? ?? ?? ?? E9 4D FA FF FF 8B 7C 24 48 4C 8B 4D 88 44 8B 54 24 40 45 8A 21 8B 75 A0 8B }
	condition:
		$1
}

rule file_166_0_0 {
	meta:
		name = "fwprintf"
		size = 145
		refs = "002a _errno 0035 _invalid_parameter_noinfo 0050 _lock_file 0059 _stbuf 006e _woutput_l 007a _ftbuf 0083 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 4C 89 40 18 4C 89 48 20 53 56 57 48 83 EC 20 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4B 33 C0 48 85 D2 0F 95 C0 85 C0 74 DF 48 8D 74 24 50 E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4C 8B CE 45 33 C0 48 8B 54 24 48 48 8B CF E8 ?? ?? ?? ?? 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule file_167_3_0 {
	meta:
		name = "_wcsicoll_l"
		size = 261
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0031 _errno 003c _invalid_parameter_noinfo 00c4 __crtCompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 50 48 8B F9 48 8B DA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 33 F6 48 85 FF 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 95 00 00 00 48 85 DB 74 D0 48 8B 45 E0 8B 48 10 85 C9 75 42 48 2B FB 0F B7 04 1F 66 83 F8 41 72 0A 66 83 F8 5A 77 04 66 83 C0 20 0F B7 0B 66 83 F9 41 72 0A 66 83 F9 5A 77 04 66 83 C1 20 48 83 C3 02 66 85 C0 74 05 66 3B C1 74 CB 0F B7 C9 0F B7 C0 2B C1 EB 32 41 83 C9 FF 4C 8B C7 BA 01 10 00 00 44 89 4C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 64 FF FF FF 83 C0 FE 40 38 75 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_167_4_0 {
	meta:
		name = "_wcsicoll"
		size = 134
		refs = "000d __locale_changed 0019 _errno 0024 _invalid_parameter_noinfo 0082 _wcsicoll_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 4C 8B C9 44 39 05 ?? ?? ?? ?? 75 6A 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B CA 41 0F B7 04 11 66 83 F8 41 72 0A 66 83 F8 5A 77 04 66 83 C0 20 0F B7 0A 66 83 F9 41 72 0A 66 83 F9 5A 77 04 66 83 C1 20 48 83 C2 02 66 85 C0 74 05 66 3B C1 74 CA 0F B7 C9 0F B7 C0 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_192_4_0 {
	meta:
		name = "_wcsicmp"
		size = 134
		refs = "000d __locale_changed 0019 _errno 0024 _invalid_parameter_noinfo 0082 _wcsicmp_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 4C 8B C9 44 39 05 ?? ?? ?? ?? 75 6A 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B CA 41 0F B7 04 11 66 83 F8 41 72 0A 66 83 F8 5A 77 04 66 83 C0 20 0F B7 0A 66 83 F9 41 72 0A 66 83 F9 5A 77 04 66 83 C1 20 48 83 C2 02 66 85 C0 74 05 66 3B C1 74 CA 0F B7 C9 0F B7 C0 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_168_5_0 {
	meta:
		name = "?_strupr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
		size = 507
		refs = "001e __security_cookie 0038 _errno 0044 _invalid_parameter_noinfo 004e strnlen 0093 __crtLCMapStringA 0125 __chkstk 013f malloc 01b2 strcpy_s 01d3 free 01e1 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 48 83 EC 60 48 8D 6C 24 50 48 89 5D 30 48 89 75 38 48 89 7D 40 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 4D 8B E0 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 8A 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 05 C6 03 00 EB DB 49 8B 04 24 8B 50 14 85 D2 74 60 8B 40 04 C7 44 24 40 01 00 00 00 4C 8B CB 89 44 24 38 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF 41 B8 00 02 00 00 49 8B CC E8 ?? ?? ?? ?? 4C 63 E8 85 C0 75 35 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 23 01 00 00 8A 03 3C 61 7C 08 3C 7A 7F 04 2C 20 88 03 48 FF C3 80 3B 00 75 EA 33 C0 E9 06 01 00 00 49 8B CD 49 3B F5 73 12 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 54 FF FF FF 85 C0 7E 66 33 D2 48 8D 42 E0 48 F7 F1 48 83 F8 01 72 57 48 83 C1 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 50 48 85 FF 74 28 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 3C FF FF FF 49 8B 0C 24 C7 44 24 40 01 00 00 00 4C 8B CB 8B 41 04 8B 51 14 41 B8 00 02 00 00 89 44 24 38 44 89 6C 24 30 49 8B CC 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 48 8D 65 10 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_168_6_0 {
	meta:
		name = "_strupr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_strupr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_720_6_0 {
	meta:
		name = "_strlwr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_strlwr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_821_6_0 {
	meta:
		name = "_wcslwr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_wcslwr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_230_6_0 {
	meta:
		name = "_wcsupr_s_l"
		size = 75
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 ?_wcsupr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 44 24 20 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_168_8_0 {
	meta:
		name = "_strupr_l"
		size = 30
		refs = "0011 _strupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_720_8_0 {
	meta:
		name = "_strlwr_l"
		size = 30
		refs = "0011 _strlwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_821_8_0 {
	meta:
		name = "_wcslwr_l"
		size = 30
		refs = "0011 _wcslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_230_8_0 {
	meta:
		name = "_wcsupr_l"
		size = 30
		refs = "0011 _wcsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C2 48 83 CA FF 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_168_9_0 {
	meta:
		name = "_strupr"
		size = 98
		refs = "000d __locale_changed 0019 _errno 0024 _invalid_parameter_noinfo 0055 _strupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 39 15 ?? ?? ?? ?? 75 3A 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 30 48 8B C1 38 11 74 26 8A 08 80 F9 61 7C 0A 80 F9 7A 7F 05 80 E9 20 88 08 48 FF C0 38 10 75 E8 EB 0C 45 33 C0 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_170_0_0 {
	meta:
		name = "log"
		size = 702
		refs = "0026 __mask_1023 003a __real_inf 0050 __real_mant 0058 __real_one 0060 __mask_1023_f 0070 __mask_mant_all8 0077 __mask_mant9 008a __real_notsign 0092 __real_threshold 00aa __real_half 00b9 __log_F_inv 00e0 __log_256_lead 00e8 __real_1_over_6 00f0 __real_1_over_3 0108 __real_1_over_5 0110 __real_1_over_2 0124 __real_1_over_4 0138 __real_log2_tail 014d __log_256_tail 015e __real_log2_lead 0184 __real_two 01a0 __real_ca2 01a8 __real_ca4 01cc __real_ca1 01d4 __real_ca3 0230 __mask_2045 0246 __real_ninf 024d __flag_x_zero 0252 _log_special 0264 __real_neg_qnan 026b __flag_x_neg 0295 __real_qnanbit 02a1 __flag_x_nan"
	strings:
		$1 = { 48 81 EC 98 00 00 00 66 0F 7F 74 24 40 48 33 C0 66 0F 6F D8 F2 0F 10 E0 66 0F 73 D3 34 66 48 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 6F D0 F3 0F E6 F3 66 0F 6F E8 66 0F 54 2D ?? ?? ?? ?? 66 0F 2F 2D ?? ?? ?? ?? 0F 84 34 02 00 00 66 0F DB 15 ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? 66 0F 2F 35 ?? ?? ?? ?? 0F 84 9C 01 00 00 4C 8B C8 48 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 49 03 C1 48 89 44 24 30 66 0F 54 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 0F 82 E4 00 00 00 F2 0F 10 4C 24 30 48 C1 E8 2C 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 66 0F 57 ED 66 0F 2F C5 0F 86 75 01 00 00 F2 0F 5C CA F2 41 0F 59 0C C1 F2 0F 10 D1 F2 0F 10 C1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 59 C2 F2 0F 10 E0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 DA F2 0F 59 C8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CA F2 0F 59 DC F2 0F 58 CB F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C E9 F2 41 0F 10 04 C1 48 8D 15 ?? ?? ?? ?? F2 0F 10 14 C2 F2 0F 58 D5 F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 E6 F2 0F 58 C4 F2 0F 58 C2 66 0F 6F 74 24 40 48 81 C4 98 00 00 00 C3 0F 1F 40 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 10 C8 F2 0F 5E CA F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 F0 F2 0F 59 F1 F2 0F 58 C9 F2 0F 10 D1 F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 EA F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 D1 F2 0F 59 E2 F2 0F 59 D2 F2 0F 59 D1 F2 0F 59 EA F2 0F 58 E5 F2 0F 5C E6 F2 0F 58 C4 66 0F 6F 74 24 40 48 81 C4 98 00 00 00 C3 66 0F EB 15 ?? ?? ?? ?? F2 0F 5C 15 ?? ?? ?? ?? F2 0F 10 EA 66 0F DB 15 ?? ?? ?? ?? 66 48 0F 7E D0 66 0F 73 D5 34 66 0F FA 2D ?? ?? ?? ?? F3 0F E6 F5 E9 2D FE FF FF 0F 1F 00 75 1E F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 66 0F 1F 84 00 00 00 00 00 48 3B 05 ?? ?? ?? ?? 74 27 48 3B 05 ?? ?? ?? ?? 74 CE 48 0B 05 ?? ?? ?? ?? 66 48 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 0F 1F 40 00 66 0F 6F 74 24 40 48 81 C4 98 00 00 00 C3 }
	condition:
		$1
}

rule file_171_0_0 {
	meta:
		name = "_chmod"
		size = 115
		refs = "0015 __doserrno 001c _errno 0027 _invalid_parameter_noinfo 0032 __imp_GetFileAttributesA 003d __imp_GetLastError 0044 _dosmaperr 005e __imp_SetFileAttributesA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B FA 48 8B D9 48 85 C9 75 1C E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 38 FF 15 ?? ?? ?? ?? 83 F8 FF 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB E1 40 84 FF 79 05 83 E0 FE EB 03 83 C8 01 8B D0 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 D5 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_235_0_0 {
	meta:
		name = "_wchmod"
		size = 115
		refs = "0015 __doserrno 001c _errno 0027 _invalid_parameter_noinfo 0032 __imp_GetFileAttributesW 003d __imp_GetLastError 0044 _dosmaperr 005e __imp_SetFileAttributesW"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B FA 48 8B D9 48 85 C9 75 1C E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 38 FF 15 ?? ?? ?? ?? 83 F8 FF 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB E1 40 84 FF 79 05 83 E0 FE EB 03 83 C8 01 8B D0 48 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 D5 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_174_3_0 {
	meta:
		name = "_mbsrev_l"
		size = 237
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 0060 _strrev"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B F1 48 8B F9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 E9 8C 00 00 00 48 8B 54 24 28 83 7A 08 00 75 1D 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 72 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 64 8A 03 84 C0 74 40 0F B6 C0 48 FF C3 8A 4C 10 1D 80 E1 04 74 EB 8A 0B 84 C9 74 0D 8A 43 FF 88 4B FF 88 03 48 FF C3 EB D8 E8 ?? ?? ?? ?? 48 FF CB C7 00 16 00 00 00 C6 03 00 EB 0B 8A 0F 8A 03 88 07 48 FF C7 88 0B 48 FF CB 48 3B FB 72 ED 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_175_0_0 {
	meta:
		name = "wcscmp"
		size = 57
	strings:
		$1 = { 44 0F B7 02 0F B7 01 41 2B C0 75 1A 48 2B CA 66 45 85 C0 74 11 48 83 C2 02 44 0F B7 02 0F B7 04 11 41 2B C0 74 E9 85 C0 79 04 83 C8 FF C3 B9 01 00 00 00 85 C0 0F 4F C1 C3 }
	condition:
		$1
}

rule file_176_0_0 {
	meta:
		name = "_gets_helper"
		size = 603
		refs = "0034 _errno 003f _invalid_parameter_noinfo 0057 __iob_func 0061 _lock_file2 0079 _fileno 0094 __pioinfo 00a6 __badioinfo 0131 _filbuf 0228 _local_unwind 0240 _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 40 48 89 64 24 38 45 8B E8 48 8B FA 4C 8B E1 48 8B D9 48 8B F1 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 FD 01 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DD E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? F6 40 18 40 0F 85 8A 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 25 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 F6 48 89 74 24 20 48 85 F6 0F 84 2D 01 00 00 E8 ?? ?? ?? ?? FF 48 08 78 16 E8 ?? ?? ?? ?? 4C 8B D8 48 8B 00 0F B6 08 48 FF C0 49 89 03 EB 0F E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B C8 89 4C 24 60 83 F9 FF 75 10 33 F6 48 89 74 24 20 45 85 ED 0F 85 E5 00 00 00 48 83 FF FF 75 51 83 F9 0A 0F 84 D3 00 00 00 83 F9 FF 0F 84 CA 00 00 00 88 0B 48 FF C3 48 89 5C 24 30 E8 ?? ?? ?? ?? FF 48 08 78 16 E8 ?? ?? ?? ?? 4C 8B D8 48 8B 00 0F B6 08 48 FF C0 49 89 03 EB 0F E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B C8 89 4C 24 60 EB AF 48 89 7C 24 28 83 F9 0A 74 51 83 F9 FF 74 4C 48 85 FF 74 12 48 FF CF 48 89 7C 24 28 88 0B 48 FF C3 48 89 5C 24 30 E8 ?? ?? ?? ?? FF 48 08 78 16 E8 ?? ?? ?? ?? 4C 8B D8 48 8B 00 0F B6 08 48 FF C0 49 89 03 EB 0F E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B C8 89 4C 24 60 EB AA 48 85 FF 75 2B 41 88 3C 24 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? 90 90 33 C0 EB 15 C6 03 00 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 40 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_177_0_0 {
	meta:
		name = "_memccpy"
		size = 39
	strings:
		$1 = { 4D 85 C9 74 18 48 FF CA 48 FF C2 48 FF C1 8A 02 88 41 FF 41 3A C0 74 05 49 FF C9 75 EB 49 F7 D9 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "_cputs"
		size = 120
		refs = "001c __doserrno 0023 _errno 002e _invalid_parameter_noinfo 003d _lock 0052 _putch_nolock 0067 _unlock"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B F9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 1C E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 36 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 38 1F 74 1B 0F BE 0F 48 FF C7 48 89 7C 24 30 E8 ?? ?? ?? ?? 83 F8 FF 75 04 0B D8 EB 02 EB E1 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_179_0_0 {
	meta:
		name = "strlen"
		size = 168
	strings:
		$1 = { 48 8B C1 48 F7 D9 48 A9 07 00 00 00 74 0F 66 90 8A 10 48 FF C0 84 D2 74 5F A8 07 75 F3 49 B8 FF FE FE FE FE FE FE 7E 49 BB 00 01 01 01 01 01 01 81 48 8B 10 4D 8B C8 48 83 C0 08 4C 03 CA 48 F7 D2 49 33 D1 49 23 D3 74 E8 48 8B 50 F8 84 D2 74 51 84 F6 74 47 48 C1 EA 10 84 D2 74 39 84 F6 74 2F 48 C1 EA 10 84 D2 74 21 84 F6 74 17 C1 EA 10 84 D2 74 0A 84 F6 75 B9 48 8D 44 01 FF C3 48 8D 44 01 FE C3 48 8D 44 01 FD C3 48 8D 44 01 FC C3 48 8D 44 01 FB C3 48 8D 44 01 FA C3 48 8D 44 01 F9 C3 48 8D 44 01 F8 C3 }
	condition:
		$1
}

rule file_180_0_0 {
	meta:
		name = "_wstrdate_s"
		size = 343
		refs = "000d __security_cookie 003a _errno 004d __imp_GetLocalTime 0139 _invalid_parameter_noinfo 0148 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 0F 84 05 01 00 00 48 85 D2 0F 84 FC 00 00 00 66 89 39 48 83 FA 09 73 0D E8 ?? ?? ?? ?? 8D 5F 22 E9 F0 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 4C 24 20 44 0F B7 5C 24 22 44 0F B7 44 24 26 41 BA 67 66 66 66 B8 1F 85 EB 51 66 89 7B 10 66 BF 30 00 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 B8 2F 00 00 00 66 89 43 0A 66 89 43 04 41 8B C2 6B D2 64 44 2B CA 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B D8 41 8B C2 66 44 03 DF 66 44 89 5B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 0C 17 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 44 03 C7 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 89 43 0C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C8 66 44 03 CF 33 C0 66 44 89 4B 0E EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_180_1_0 {
	meta:
		name = "_wstrdate"
		size = 314
		refs = "000d __security_cookie 0024 _errno 002f _invalid_parameter_noinfo 0044 __imp_GetLocalTime 012b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 E8 00 00 00 66 89 39 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 4C 24 20 44 0F B7 5C 24 22 44 0F B7 44 24 26 41 BA 67 66 66 66 B8 1F 85 EB 51 66 89 7B 10 66 BF 30 00 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 B8 2F 00 00 00 66 89 43 0A 66 89 43 04 41 8B C2 6B D2 64 44 2B CA 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B D8 41 8B C2 66 44 03 DF 66 44 89 5B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 0C 17 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 44 03 C7 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 8D 0C 17 66 89 4B 0C 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C9 66 44 03 CF 66 44 89 4B 0E 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "_ungetwc_nolock"
		size = 515
		refs = "0019 __security_cookie 006a _getbuf 007c _fileno 0083 __badioinfo 008a __pioinfo 0146 wctomb_s 01e1 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 41 55 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 41 BD FF FF 00 00 48 8B FA 0F B7 E9 66 89 4C 24 24 66 41 3B CD 0F 84 94 01 00 00 F6 42 18 01 BE 02 00 00 00 75 14 F6 42 18 80 0F 84 7F 01 00 00 40 84 72 18 0F 85 75 01 00 00 48 83 7A 10 00 75 08 48 8B CA E8 ?? ?? ?? ?? F6 47 18 40 0F 85 2A 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 25 ?? ?? ?? ?? 4C 8D 3D ?? ?? ?? ?? 83 F8 FF 74 35 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 28 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 1F 4D 6B DB 58 4D 03 1C DF EB 03 4D 8B DC 41 F6 43 08 80 0F 84 CC 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 33 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 26 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 44 8B E0 41 83 E4 1F 4D 6B E4 58 4D 03 24 DF 41 F6 44 24 38 7F 74 13 8A 44 24 25 40 88 6C 24 28 89 74 24 20 88 44 24 29 EB 25 48 8D 54 24 28 48 8D 4C 24 20 44 0F B7 CD 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 82 00 00 00 8B 74 24 20 48 8B 47 10 48 63 D6 48 03 D0 48 39 17 73 0E 83 7F 08 00 75 69 3B 77 24 7F 64 48 89 17 8D 46 FF 48 63 D0 85 C0 78 15 48 FF 0F 8A 44 14 28 48 FF CA 48 8B 0F 88 01 79 EF 8B 74 24 20 01 77 08 83 67 18 EF 83 4F 18 01 0F B7 C5 EB 36 48 8B 47 10 48 03 C6 48 39 07 73 0E 83 7F 08 00 75 20 39 77 24 72 1B 48 89 07 48 83 07 FE F6 47 18 40 48 8B 07 74 35 66 39 28 74 C4 48 03 C6 48 89 07 41 0F B7 C5 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 40 49 8B 6B 48 49 8B E3 41 5F 41 5D 41 5C 5F 5E C3 66 89 28 EB 8F }
	condition:
		$1
}

rule file_181_1_0 {
	meta:
		name = "ungetwc"
		size = 101
		refs = "0022 _errno 002d _invalid_parameter_noinfo 003c _lock_file 0048 _ungetwc_nolock 0053 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 0F B7 F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 22 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 0F B7 CF E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_351_1_0 {
	meta:
		name = "fputwc"
		size = 101
		refs = "0022 _errno 002d _invalid_parameter_noinfo 003c _lock_file 0048 _fputwc_nolock 0053 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 0F B7 F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 22 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 0F B7 CF E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "__report_gsfailure"
		size = 330
		refs = "000f GS_ContextRecord 0015 __imp_RtlCaptureContext 0033 RtlLookupFunctionEntry 007f RtlVirtualUnwind 00b1 GS_ExceptionRecord 00db __security_cookie 00e7 __security_cookie_complement 00f2 __imp_IsDebuggerPresent 00f8 DebuggerWasPresent 0102 __crt_debugger_hook 010a __imp_SetUnhandledExceptionFilter 0111 GS_ExceptionPointers 0117 __imp_UnhandledExceptionFilter 0130 __imp_GetCurrentProcess 013e __imp_TerminateProcess"
	strings:
		$1 = { 48 89 4C 24 08 48 81 EC 88 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 44 24 58 45 33 C0 48 8D 54 24 60 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 89 44 24 50 48 83 7C 24 50 00 74 41 48 C7 44 24 38 00 00 00 00 48 8D 44 24 48 48 89 44 24 30 48 8D 44 24 40 48 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 4C 8B 4C 24 50 4C 8B 44 24 58 48 8B 54 24 60 33 C9 E8 ?? ?? ?? ?? EB 22 48 8B 84 24 88 00 00 00 48 89 05 ?? ?? ?? ?? 48 8D 84 24 88 00 00 00 48 83 C0 08 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 84 24 90 00 00 00 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B 05 ?? ?? ?? ?? 48 89 44 24 68 48 8B 05 ?? ?? ?? ?? 48 89 44 24 70 FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A B9 01 00 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? BA 09 04 00 C0 48 8B C8 FF 15 ?? ?? ?? ?? 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_184_15_0 {
	meta:
		name = "?IncrementEnqueuedTaskCounter@InternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 29
		refs = "000b ?IncrementEnqueuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B 41 48 83 78 10 01 75 05 E9 ?? ?? ?? ?? 48 8B 81 E0 00 00 00 FF 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule file_184_16_0 {
	meta:
		name = "?InternalReference@ScheduleGroupBase@details@Concurrency@@IEAAJXZ"
		size = 28
		altNames = "?Reference@ScheduleGroupBase@details@Concurrency@@UEAAIXZ"
	strings:
		$1 = { F6 81 BC 00 00 00 04 75 10 B8 01 00 00 00 F0 0F C1 81 B4 00 00 00 FF C0 C3 33 C0 C3 }
	condition:
		$1
}

rule file_184_17_0 {
	meta:
		name = "?InternalRelease@ScheduleGroupBase@details@Concurrency@@IEAAJXZ"
		size = 57
		refs = "0029 ?RemoveScheduleGroup@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 81 BC 00 00 00 04 75 22 83 CB FF F0 0F C1 99 B4 00 00 00 FF CB 75 0F 48 8B D1 48 8B 89 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_184_23_0 {
	meta:
		name = "?AddRunnableContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z"
		size = 130
		refs = "0019 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0026 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 0064 ?StartupIdleVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 74 0A C7 83 38 01 00 00 01 00 00 00 48 8B 07 48 8B D3 48 8B CF FF 50 28 48 8B 87 A8 00 00 00 8B 88 7C 01 00 00 85 C9 7E 12 48 8B 8F A8 00 00 00 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 48 8B 74 24 38 C7 83 38 01 00 00 00 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_24_0 {
	meta:
		name = "?GetInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z"
		size = 85
		refs = "0025 ?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 0039 ?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAU_Chore@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B E9 48 8B 89 A8 00 00 00 41 8A F8 48 8B F2 E8 ?? ?? ?? ?? 44 8A CF 4C 8B C6 48 8B D5 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_25_0 {
	meta:
		name = "?ReleaseInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@@Z"
		size = 49
		refs = "0014 ?RemoveFromUse@InternalContextBase@details@Concurrency@@QEAAXXZ 002d ?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B 8F A8 00 00 00 48 8B D3 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_29_0 {
	meta:
		name = "?MarkDetachment@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXXZ"
		size = 53
		refs = "0015 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0031 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 10 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 8B 47 04 48 8B CB 89 47 1C C6 47 18 01 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_40_0 {
	meta:
		name = "?Enqueue@?$SQueue@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
		size = 20
	strings:
		$1 = { 4C 8D 42 20 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_184_41_0 {
	meta:
		name = "?Dequeue@?$SQueue@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
		size = 34
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 4A 20 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_184_52_0 {
	meta:
		name = "?IsUnstructuredEmpty@WorkQueue@details@Concurrency@@QEBA_NXZ"
		size = 18
	strings:
		$1 = { 8B 91 A4 00 00 00 8B 89 A0 00 00 00 3B D1 0F 9E C0 C3 }
	condition:
		$1
}

rule file_184_53_0 {
	meta:
		name = "?MarkDetachment@WorkQueue@details@Concurrency@@QEAAXXZ"
		size = 65
		refs = "0018 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 003d ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 99 B0 00 00 00 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 8B 87 A4 00 00 00 48 8B CB 89 87 BC 00 00 00 C6 87 B8 00 00 00 01 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_54_0 {
	meta:
		name = "?IsEmpty@WorkQueue@details@Concurrency@@QEBA_NXZ"
		size = 34
	strings:
		$1 = { 8B 51 04 8B 01 3B D0 7F 16 8B 91 A4 00 00 00 8B 81 A0 00 00 00 3B D0 7F 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_184_55_0 {
	meta:
		name = "?SetDetached@WorkQueue@details@Concurrency@@QEAAX_N@Z"
		size = 108
		refs = "002b ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0046 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 40 8A EA 48 8B F1 84 D2 74 2A 48 8B 99 B0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 48 8B CB 89 86 BC 00 00 00 C6 86 B8 00 00 00 01 E8 ?? ?? ?? ?? 48 8B 5C 24 30 40 84 ED 48 8B 6C 24 38 40 0F 95 C7 87 BE 80 00 00 00 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_56_0 {
	meta:
		name = "??0?$SafeSQueue@VRealizedChore@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
		size = 19
		altNames = "??0?$SafeSQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ ??0?$SafeSQueue@VSafePointInvocation@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ ??0?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 83 21 00 48 89 49 08 48 8B C1 C7 41 10 00 00 00 00 C3 }
	condition:
		$1
}

rule file_184_58_0 {
	meta:
		name = "?Enqueue@?$SafeSQueue@VRealizedChore@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
		size = 73
		refs = "001a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0045 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 10 48 8B FA E8 ?? ?? ?? ?? 4C 8D 5F 20 48 8D 4E 10 49 83 23 00 48 8B 46 08 48 89 38 4C 89 5E 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_59_0 {
	meta:
		name = "?Dequeue@?$SafeSQueue@VRealizedChore@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
		size = 84
		refs = "0017 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 003d ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 83 C1 10 E8 ?? ?? ?? ?? 4C 8B 1F 33 F6 4D 85 DB 74 13 49 8B 43 20 48 89 07 48 85 C0 75 04 48 89 7F 08 49 8B F3 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_63_0 {
	meta:
		name = "?DeleteElements@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 36
		refs = "0015 ??3@YAXPEAX@Z"
		altNames = "?DeleteElements@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
	strings:
		$1 = { 48 85 D2 74 1E 53 48 83 EC 20 48 8B DA 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_184_64_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 79
		refs = "0017 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 002f ??3@YAXPEAX@Z"
		altNames = "?CheckForDeletionBridge@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 1E 48 8B 77 20 EB 0C 48 8D 4E F0 48 8B 36 E8 ?? ?? ?? ?? 48 85 F6 75 EF 48 89 5F 20 87 5F 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_65_0 {
	meta:
		name = "??1WorkQueue@details@Concurrency@@QEAA@XZ"
		size = 35
		refs = "0011 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 10 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_66_0 {
	meta:
		name = "?GetRealizedChore@ScheduleGroupBase@details@Concurrency@@IEAAPEAVRealizedChore@23@XZ"
		size = 94
		refs = "0023 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0047 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 79 08 33 F6 48 39 37 75 04 33 C0 EB 30 48 8D 4F 10 E8 ?? ?? ?? ?? 4C 8B 1F 4D 85 DB 74 13 49 8B 43 20 48 89 07 48 85 C0 75 04 48 89 7F 08 49 8B F3 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_69_0 {
	meta:
		name = "??1?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 210
		refs = "0019 __imp_InterlockedFlushSList 002d ??3@YAXPEAX@Z 00a1 ??_V@YAXPEAX@Z"
		altNames = "??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 11 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 5F 20 EB 0C 48 8D 4B F0 48 8B 1B E8 ?? ?? ?? ?? 48 85 DB 75 EF 48 8B 77 58 48 85 F6 74 3C 33 DB 39 5F 50 7E 19 33 ED 48 8B 0E 48 8B 0C 29 E8 ?? ?? ?? ?? FF C3 48 83 C5 08 3B 5F 50 7C E9 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 C4 48 8B 4F 60 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_72_0 {
	meta:
		name = "??_GWorkQueue@details@Concurrency@@QEAAPEAXI@Z"
		size = 63
		refs = "0017 ??_V@YAXPEAX@Z 002d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 89 C0 00 00 00 8B DA E8 ?? ?? ?? ?? 48 8B 4F 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_74_0 {
	meta:
		name = "?ScheduleTask@ScheduleGroupBase@details@Concurrency@@UEAAXP6AXPEAX@Z0@Z"
		size = 391
		refs = "001b ??_C@_04MGCDEED@proc?$AA@ 002c ??0exception@std@@QEAA@AEBQEBD@Z 0033 ??_7invalid_argument@std@@6B@ 003a _TI3?AVinvalid_argument@std@@ 0049 _CxxThrowException 0056 ?GetRealizedChore@SchedulerBase@details@Concurrency@@QEAAPEAVRealizedChore@23@P6AXPEAX@Z0@Z 0072 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 008e ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0093 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00a3 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 00d4 ?IncrementEnqueuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXXZ 00f5 __imp_TlsGetValue 0105 ??2@YAPEAX_K@Z 013b ?Add@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAAHPEAVExternalStatistics@23@@Z 014f __imp_TlsSetValue"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 40 48 8B F9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 89 A8 00 00 00 E8 ?? ?? ?? ?? F6 87 BC 00 00 00 04 48 8B F0 75 07 F0 FF 87 B4 00 00 00 48 8D 4F 18 E8 ?? ?? ?? ?? 4C 8D 5E 20 48 8D 4F 18 49 83 23 00 48 8B 47 10 48 89 30 4C 89 5F 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 4A 48 8B C8 E8 ?? ?? ?? ?? 48 3B 87 A8 00 00 00 75 39 80 7B 70 00 74 0F 48 8B 83 D0 00 00 00 FF 40 20 E9 91 00 00 00 48 8B 43 38 83 78 10 01 75 0B 48 8D 4B F0 E8 ?? ?? ?? ?? EB 7C 48 8B 83 D0 00 00 00 FF 80 A0 00 00 00 EB 6D 48 8B 87 A8 00 00 00 8B 48 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 52 8D 48 40 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 83 60 20 00 83 60 24 00 83 60 28 00 83 60 2C 00 C7 40 30 01 00 00 00 EB 02 33 DB 48 8B 8F A8 00 00 00 48 8B D3 48 83 C1 60 E8 ?? ?? ?? ?? 4C 8B 9F A8 00 00 00 48 8B D3 41 8B 4B 20 FF 15 ?? ?? ?? ?? FF 43 20 48 8B 87 A8 00 00 00 8B 88 7C 01 00 00 85 C9 7E 10 48 8B 8F A8 00 00 00 48 8B D7 48 8B 01 FF 50 50 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_184_77_0 {
	meta:
		name = "?DetachActiveWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVWorkQueue@23@@Z"
		size = 131
		refs = "003a ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0055 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 007f ?Add@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAAHPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 F6 81 BC 00 00 00 04 48 8B EA 48 8B F9 BE 01 00 00 00 75 07 F0 01 B1 B4 00 00 00 48 8B 9A B0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 8B 85 A4 00 00 00 48 8B CB 89 85 BC 00 00 00 40 88 B5 B8 00 00 00 E8 ?? ?? ?? ?? 87 B5 80 00 00 00 48 8D 55 50 48 8D 8F C0 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_78_0 {
	meta:
		name = "?RedetachQueue@ScheduleGroupBase@details@Concurrency@@QEAAXPEAVWorkQueue@23@@Z"
		size = 16
		refs = "000c ?Add@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAAHPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@@Z"
	strings:
		$1 = { 48 83 C2 50 48 81 C1 C0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_79_0 {
	meta:
		name = "?Remove@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@H_N@Z"
		size = 320
		refs = "00b0 __imp_QueryDepthSList 00c8 __imp_InterlockedPushEntrySList 00e5 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00fc __imp_InterlockedFlushSList 010b ?CheckForDeletionBridge@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0117 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D F1 00 00 00 48 8B 43 60 44 3B 53 68 7C 1F 48 63 4B 68 4C 8B 44 C8 F8 78 1B 44 2B 53 68 42 8D 44 15 00 48 2B C5 4D 8B 40 08 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 E4 F0 4C 0F B1 24 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 90 00 00 00 41 8D 44 24 FE F0 45 0F B1 58 10 45 84 C9 74 7B 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 56 10 44 0F B7 D8 44 3B 5B 74 7E 5B 48 8D 4B 10 FF 15 ?? ?? ?? ?? 48 8D 4B 10 FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 5B 74 7E 46 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 39 33 C0 F0 0F B1 6B 78 75 30 48 8D 4B 10 FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_184_80_0 {
	meta:
		name = "??$_InternalDeleteHelper@VWorkQueue@details@Concurrency@@@details@Concurrency@@YAXPEAVWorkQueue@01@@Z"
		size = 48
		refs = "0015 ??_V@YAXPEAX@Z 0026 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 85 C9 74 2A 53 48 83 EC 20 48 8B D9 48 8B 89 C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_184_81_0 {
	meta:
		name = "?GetDetachedWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ"
		size = 268
		refs = "00a7 ?Remove@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@H_N@Z 0103 ?RemoveScheduleGroup@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 48 83 EC 20 44 8B A9 30 01 00 00 33 F6 48 8B D9 8B FE 45 85 ED 0F 8E 8B 00 00 00 8B 8B 14 01 00 00 8B D7 D3 FA 3B 93 2C 01 00 00 7D 6E 48 8B 83 20 01 00 00 3B 93 28 01 00 00 7C 22 2B 93 28 01 00 00 48 63 8B 28 01 00 00 4C 8B 44 C8 F8 78 15 8D 4A 01 48 FF C9 4D 8B 40 08 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 83 10 01 00 00 FF C8 48 63 C8 48 63 C7 48 23 C8 49 8B 00 4C 8B 24 C8 4D 85 E4 74 19 48 8D 8B C0 00 00 00 45 33 C9 44 8B C7 49 8B D4 E8 ?? ?? ?? ?? 84 C0 75 26 FF C7 41 3B FD 0F 8C 75 FF FF FF 33 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 49 8B 7C 24 20 87 B7 80 00 00 00 F6 83 BC 00 00 00 04 75 1E 83 C9 FF F0 0F C1 8B B4 00 00 00 FF C9 75 0F 48 8B 8B A0 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 48 8B C7 EB B0 }
	condition:
		$1
}

rule file_184_83_0 {
	meta:
		name = "?DeleteElements@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 75
		refs = "0026 ??_V@YAXPEAX@Z 0037 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 85 D2 74 45 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8D 7B E0 48 8B 1B 48 85 FF 74 1D 48 8B 8F C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 10 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 85 DB 75 D2 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_84_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 118
		refs = "001c ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 0040 ??_V@YAXPEAX@Z 0051 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 3B 48 8B 7E 20 EB 29 48 8D 6F E0 48 8B 3F 48 85 ED 74 1D 48 8B 8D C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D 10 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 85 FF 75 D2 48 89 5E 20 87 5E 78 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_85_0 {
	meta:
		name = "?SafelyDeleteDetachedWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAA_NPEAVWorkQueue@23@@Z"
		size = 93
		refs = "0022 ?Remove@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NPEAU?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@23@H_N@Z 0043 ?RetireAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z 004c ?RedetachFromScheduleGroupAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 83 C2 50 48 8B F9 44 8B 02 48 81 C1 C0 00 00 00 45 33 C9 E8 ?? ?? ?? ?? 84 C0 74 26 44 8B 83 A4 00 00 00 8B 83 A0 00 00 00 48 8B D7 48 8B CB 44 3B C0 7F 09 E8 ?? ?? ?? ?? B0 01 EB 07 E8 ?? ?? ?? ?? 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_86_0 {
	meta:
		name = "??1?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 339
		refs = "001e __imp_InterlockedFlushSList 003e ??_V@YAXPEAX@Z 004f ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 2E 48 8D 73 E0 48 8B 1B 48 85 F6 74 1D 48 8B 8E C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4E 10 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 75 D2 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 2E 48 8D 73 E0 48 8B 1B 48 85 F6 74 1D 48 8B 8E C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4E 10 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 75 D2 48 8B 5F 20 EB 29 48 8D 73 E0 48 8B 1B 48 85 F6 74 1D 48 8B 8E C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4E 10 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 85 DB 75 D2 48 8B 77 58 48 85 F6 74 5B 33 DB 39 5F 50 7E 38 33 ED 48 8B 06 4C 8B 24 28 4D 85 E4 74 1F 49 8B 8C 24 C0 00 00 00 E8 ?? ?? ?? ?? 49 8B 4C 24 10 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? FF C3 48 83 C5 08 3B 5F 50 7C CA 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 A5 48 8B 4F 60 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_88_0 {
	meta:
		name = "??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z"
		size = 171
		refs = "0021 ??_7ScheduleGroupBase@details@Concurrency@@6B@ 004f ??0?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 007c ??0?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 0093 ?GetNewScheduleGroupId@SchedulerBase@details@Concurrency@@QEAAIXZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 41 08 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 48 83 C1 20 41 B9 40 00 00 00 41 B8 00 01 00 00 48 8B 12 E8 ?? ?? ?? ?? 90 48 89 9F A0 00 00 00 C7 87 B4 00 00 00 01 00 00 00 48 8D 8F C0 00 00 00 41 B9 FF FF FF 7F 41 B8 00 01 00 00 48 8B 13 E8 ?? ?? ?? ?? 90 48 8B 87 A0 00 00 00 48 8B 08 48 89 8F A8 00 00 00 E8 ?? ?? ?? ?? 89 87 B8 00 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_184_89_0 {
	meta:
		name = "?dtor$0@?0???0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z@4HA"
		size = 16
		refs = "000c ??1?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_240_72_0 {
	meta:
		name = "?dtor$0@?0???0SchedulingRing@details@Concurrency@@QEAA@PEAVSchedulerBase@12@H@Z@4HA"
		size = 16
		refs = "000c ??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_240_63_0 {
	meta:
		name = "?dtor$0@?0???1SchedulingRing@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 20 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_90_0 {
	meta:
		name = "?dtor$1@?0???0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z@4HA"
		size = 19
		refs = "000f ??1?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 C0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_93_0 {
	meta:
		name = "?IsEmptyAtSafePoint@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NXZ"
		size = 55
		altNames = "?IsEmptyAtSafePoint@?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 8B 41 58 48 85 C0 74 28 44 8B 41 50 33 D2 45 85 C0 7E 14 48 8B 08 48 83 39 00 75 17 FF C2 48 83 C1 08 41 3B D0 7C EF 48 8B 40 08 48 85 C0 75 DC B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_184_96_0 {
	meta:
		name = "?Release@ScheduleGroupBase@details@Concurrency@@UEAAIXZ"
		size = 57
		refs = "0029 ?RemoveScheduleGroup@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 81 BC 00 00 00 04 75 20 83 CB FF F0 0F C1 99 B4 00 00 00 FF CB 75 13 48 8B D1 48 8B 89 A0 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_184_97_0 {
	meta:
		name = "??1ScheduleGroupBase@details@Concurrency@@UEAA@XZ"
		size = 45
		refs = "0009 ??_7ScheduleGroupBase@details@Concurrency@@6B@ 001b ??1?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@XZ 0029 ??1?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		altNames = "??1CacheLocalScheduleGroup@details@Concurrency@@UEAA@XZ ??1FairScheduleGroup@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 81 C1 C0 00 00 00 E8 ?? ?? ?? ?? 48 8D 4B 20 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_98_0 {
	meta:
		name = "??_GScheduleGroupBase@details@Concurrency@@UEAAPEAXI@Z"
		size = 73
		refs = "000d ??_7ScheduleGroupBase@details@Concurrency@@6B@ 0021 ??1?$ListArray@U?$ListArrayInlineLink@VWorkQueue@details@Concurrency@@@details@Concurrency@@@details@Concurrency@@QEAA@XZ 002a ??1?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA@XZ 0037 ??3@YAXPEAX@Z"
		altNames = "??_GCacheLocalScheduleGroup@details@Concurrency@@UEAAPEAXI@Z ??_GFairScheduleGroup@details@Concurrency@@UEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 81 C1 C0 00 00 00 E8 ?? ?? ?? ?? 48 8D 4F 20 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_184_99_0 {
	meta:
		name = "?StealUnrealizedChore@ScheduleGroupBase@details@Concurrency@@IEAAPEAV_UnrealizedChore@23@XZ"
		size = 809
		refs = "0022 __security_cookie 00f3 ?TryToSteal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@AEA_N@Z 011d ?Steal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ 02e4 ?SafelyDeleteDetachedWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAA_NPEAVWorkQueue@23@@Z 0304 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 44 8B A1 90 00 00 00 45 32 F6 48 8B D9 41 BF 01 00 00 00 45 85 E4 0F 8E F8 01 00 00 33 ED 33 F6 45 33 ED 40 88 6C 24 20 45 85 E4 0F 8E E3 01 00 00 8B 4B 74 8B D6 D3 FA 3B 93 8C 00 00 00 0F 8D E6 00 00 00 4C 63 83 88 00 00 00 48 8B 83 80 00 00 00 41 3B D0 7C 18 41 2B D0 4E 8B 4C C0 F8 78 15 8D 4A 01 49 2B CF 4D 8B 49 08 75 F7 EB 07 48 63 CA 4C 8B 0C C8 8B 43 70 41 2B C7 48 63 C8 48 63 C6 48 23 C8 49 8B 01 48 8B 3C C8 48 85 FF 0F 84 95 00 00 00 8B 4F 04 8B 07 3B C8 7F 1E 8B 8F A4 00 00 00 8B 87 A0 00 00 00 3B C8 7F 0E 8B 87 80 00 00 00 41 3B C7 0F 94 C0 EB 6B 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 0F 85 FB 01 00 00 38 44 24 20 75 24 49 83 FD 0F 7D 0D 42 89 74 AC 30 41 03 EF 4D 03 EF EB 3F 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 0F 85 D1 01 00 00 8B 87 80 00 00 00 41 3B C7 75 1E 8B 4F 04 8B 07 3B C8 7F 15 8B 8F A4 00 00 00 8B 87 A0 00 00 00 3B C8 7F 05 41 8B C7 EB 02 33 C0 44 0A F0 41 03 F7 41 3B F4 0F 8C FB FE FF FF 85 ED 0F 8E D6 00 00 00 48 63 ED 33 F6 48 85 ED 0F 8E C8 00 00 00 8B 54 B4 30 8B 4B 74 D3 FA 3B 93 8C 00 00 00 0F 8D A7 00 00 00 4C 63 83 88 00 00 00 48 8B 83 80 00 00 00 41 3B D0 7C 18 41 2B D0 4E 8B 4C C0 F8 78 15 8D 4A 01 49 2B CF 4D 8B 49 08 75 F7 EB 07 48 63 CA 4C 8B 0C C8 8B 43 70 41 2B C7 48 63 C8 48 63 44 B4 30 48 23 C8 49 8B 01 48 8B 3C C8 48 85 FF 74 58 8B 0F 8B 47 04 3B C1 7F 10 8B 8F A4 00 00 00 8B 87 A0 00 00 00 3B C8 7E 11 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 0F 85 F3 00 00 00 8B 87 80 00 00 00 41 3B C7 75 1E 8B 0F 8B 47 04 3B C1 7F 15 8B 8F A4 00 00 00 8B 87 A0 00 00 00 3B C8 7F 05 41 8B C7 EB 02 33 C0 44 0A F0 49 03 F7 48 3B F5 0F 8C 38 FF FF FF 8B 83 30 01 00 00 85 C0 0F 8E A9 00 00 00 45 84 F6 0F 84 A0 00 00 00 8B 83 90 00 00 00 33 FF 85 C0 0F 8E 90 00 00 00 8B 4B 74 8B D7 D3 FA 3B 93 8C 00 00 00 7D 70 4C 63 8B 88 00 00 00 48 8B 83 80 00 00 00 41 3B D1 7C 18 41 2B D1 4E 8B 44 C8 F8 78 15 8D 4A 01 49 2B CF 4D 8B 40 08 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 43 70 41 2B C7 48 63 C8 48 63 C7 48 23 C8 49 8B 00 48 8B 14 C8 48 85 D2 74 23 8B 82 80 00 00 00 41 3B C7 75 18 8B 8A A4 00 00 00 8B 82 A0 00 00 00 3B C8 7F 08 48 8B CB E8 ?? ?? ?? ?? 8B 83 90 00 00 00 41 03 FF 3B F8 0F 8C 70 FF FF FF 33 C0 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_184_100_0 {
	meta:
		name = "?HasUnrealizedChores@ScheduleGroupBase@details@Concurrency@@IEAA_NXZ"
		size = 197
		refs = "00a0 ?SafelyDeleteDetachedWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAA_NPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 81 90 00 00 00 33 FF 48 8B D9 85 C0 0F 8E 97 00 00 00 8B 4B 74 8B D7 D3 FA 3B 93 8C 00 00 00 7D 78 4C 63 83 88 00 00 00 48 8B 83 80 00 00 00 41 3B D0 7C 18 41 2B D0 4E 8B 4C C0 F8 78 15 8D 4A 01 48 FF C9 4D 8B 49 08 75 F7 EB 07 48 63 CA 4C 8B 0C C8 8B 43 70 FF C8 48 63 C8 48 63 C7 48 23 C8 49 8B 01 48 8B 14 C8 48 85 D2 74 2C 8B 4A 04 8B 02 3B C8 7F 40 8B 8A A4 00 00 00 8B 82 A0 00 00 00 3B C8 7F 30 8B 82 80 00 00 00 83 F8 01 75 08 48 8B CB E8 ?? ?? ?? ?? 8B 83 90 00 00 00 FF C7 3B F8 0F 8C 69 FF FF FF 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 B0 01 EB F1 }
	condition:
		$1
}

rule file_184_101_0 {
	meta:
		name = "?Remove@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVWorkQueue@23@H_N@Z"
		size = 320
		refs = "00b0 __imp_QueryDepthSList 00c8 __imp_InterlockedPushEntrySList 00e5 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00fc __imp_InterlockedFlushSList 010b ?CheckForDeletionBridge@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0117 ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D F1 00 00 00 48 8B 43 60 44 3B 53 68 7C 1F 48 63 4B 68 4C 8B 44 C8 F8 78 1B 44 2B 53 68 42 8D 44 15 00 48 2B C5 4D 8B 40 08 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 E4 F0 4C 0F B1 24 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 90 00 00 00 41 8D 44 24 FE F0 45 0F B1 58 10 45 84 C9 74 7B 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 56 20 44 0F B7 D8 44 3B 5B 74 7E 5B 48 8D 4B 10 FF 15 ?? ?? ?? ?? 48 8D 4B 10 FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 5B 74 7E 46 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 39 33 C0 F0 0F B1 6B 78 75 30 48 8D 4B 10 FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_184_103_0 {
	meta:
		name = "?RetireDetachedQueue@ScheduleGroupBase@details@Concurrency@@QEAAXPEAVWorkQueue@23@@Z"
		size = 73
		refs = "0018 ?Remove@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVWorkQueue@23@H_N@Z 003f ?RemoveScheduleGroup@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 44 8B 82 94 00 00 00 48 8B D9 41 B1 01 48 83 C1 20 E8 ?? ?? ?? ?? F6 83 BC 00 00 00 04 75 1E 83 C8 FF F0 0F C1 83 B4 00 00 00 FF C8 75 0F 48 8B 8B A0 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "_ftelli64_nolock"
		size = 751
		refs = "001e __chkstk 0028 __security_cookie 003b _fileno 0056 _lseeki64 007f __ImageBase 0087 __pioinfo 0129 __imp_ReadFile 0191 _lookuptrailbytes 01e2 _errno 02ca __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 B8 50 10 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 10 00 00 48 8B E9 E8 ?? ?? ?? ?? 33 DB 4C 63 E0 39 5D 08 7D 03 89 5D 08 33 D2 41 8B CC 44 8D 42 01 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 79 09 48 83 C8 FF E9 53 02 00 00 8B 55 18 4D 8B EC 4D 8B FC 49 C1 FF 05 41 83 E5 1F 48 8D 05 ?? ?? ?? ?? 4A 8B 8C F8 ?? ?? ?? ?? 4D 6B ED 58 45 8A 74 0D 38 45 02 F6 41 D0 FE F7 C2 08 01 00 00 75 0F 48 63 45 08 48 2B F0 48 8B C6 E9 0D 02 00 00 48 8B 7D 00 48 2B 7D 10 F6 C2 03 0F 84 1B 01 00 00 41 80 FE 01 0F 85 E5 00 00 00 41 39 5C 0D 48 0F 84 DA 00 00 00 48 D1 EF 39 5D 08 74 CA 49 8B 54 0D 40 45 33 C0 41 8B CC E8 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4A 8B 8C FD ?? ?? ?? ?? 48 8B D8 49 3B 44 0D 40 0F 85 56 FF FF FF 49 8B 4C 0D 00 48 83 64 24 20 00 4C 8D 4C 24 30 48 8D 54 24 40 41 B8 00 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 2D FF FF FF 45 33 C0 48 8B D6 41 8B CC E8 ?? ?? ?? ?? 48 85 C0 0F 88 16 FF FF FF 8B 44 24 30 48 3B F8 0F 87 09 FF FF FF 48 8D 4C 24 40 48 85 FF 74 3D 48 8D 54 04 40 48 FF CF 48 3B CA 73 30 80 39 0D 75 14 48 8D 42 FF 48 3B C8 73 1A 80 79 01 0A 75 14 48 FF C1 EB 0F 0F B6 01 48 0F BE 84 28 ?? ?? ?? ?? 48 03 C8 48 FF C1 48 85 FF 75 C8 48 8D 44 24 40 48 2B C8 48 8D 04 0B E9 0D 01 00 00 41 F6 44 0D 08 80 74 17 48 8B 45 10 EB 0B 80 38 0A 75 03 48 FF C7 48 FF C0 48 3B 45 00 72 EF 48 85 F6 75 1C 48 8B C7 E9 E1 00 00 00 84 D2 78 EF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 71 FE FF FF F6 C2 01 0F 84 B7 00 00 00 39 5D 08 75 08 48 8B FB E9 AA 00 00 00 48 63 5D 08 48 2B 5D 10 48 03 5D 00 41 F6 44 0D 08 80 0F 84 86 00 00 00 33 D2 41 8B CC 44 8D 42 02 E8 ?? ?? ?? ?? 48 3B C6 75 23 48 8B 45 10 48 8D 0C 18 EB 0B 80 38 0A 75 03 48 FF C3 48 FF C0 48 3B C1 72 F0 F7 45 18 00 20 00 00 EB 4B 45 33 C0 48 8B D6 41 8B CC E8 ?? ?? ?? ?? 48 85 C0 0F 88 F6 FD FF FF B8 00 02 00 00 48 3B D8 77 11 F6 45 18 08 74 0B F7 45 18 00 04 00 00 8B D8 74 04 48 63 5D 24 48 8D 2D ?? ?? ?? ?? 4A 8B 84 FD ?? ?? ?? ?? 41 F6 44 05 08 04 74 03 48 FF C3 41 80 FE 01 75 03 48 D1 EB 48 2B F3 41 80 FE 01 75 03 48 D1 EF 48 8D 04 37 48 8B 8C 24 40 10 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 10 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_185_1_0 {
	meta:
		name = "_ftelli64"
		size = 91
		refs = "001f _errno 002a _invalid_parameter_noinfo 0035 _lock_file 003e _ftelli64_nolock 0049 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 1C E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_185_2_0 {
	meta:
		name = "_ftelli64$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "_fseeki64$fin$0 clearerr_s$fin$0 fclose$fin$0 fflush$fin$0 fgetc$fin$0 fgetwc$fin$0 fseek$fin$0 ftell$fin$0 getc$fin$0 rewind$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_35_0 {
	meta:
		name = "__CxxExceptionFilter$fin$0"
		size = 26
		refs = "000e _SetImageBase"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_186_8_0 {
	meta:
		name = "_vcwprintf_l"
		size = 2800
		refs = "0022 __security_cookie 0061 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0073 _errno 007e _invalid_parameter_noinfo 00f2 __lookuptable 0221 __nullstring 0229 strlen 0285 _isleadbyte_l 032f _mbtowc_l 03f3 __wnullstring 047d _get_printf_count_output 05fc _malloc_crt 0622 _cfltcvt_tab 063c __imp_DecodePointer 0730 write_multi_char 0741 write_string 07a1 _putwch_nolock 0821 free 0874 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 33 C0 48 89 4C 24 78 48 8D 4D 90 4D 8B F0 4C 89 44 24 50 89 44 24 70 44 8B E0 89 44 24 58 8B F8 89 44 24 48 89 44 24 4C 89 44 24 6C 89 44 24 44 E8 ?? ?? ?? ?? 4C 8B 44 24 78 45 33 D2 4D 85 C0 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D A8 74 0B 48 8B 45 A0 83 A0 C8 00 00 00 FD 83 C8 FF E9 CB 07 00 00 45 0F B7 28 41 8B F2 44 89 54 24 40 45 8B FA 41 8B D2 4C 89 55 88 66 45 85 ED 0F 84 98 07 00 00 48 8B 5D B0 B9 58 00 00 00 41 B9 00 02 00 00 44 8D 59 C8 49 83 C0 02 4C 89 44 24 78 85 F6 0F 88 74 07 00 00 41 0F B7 C5 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C5 0F BE 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 48 8D 05 ?? ?? ?? ?? 0F BE 14 02 C1 FA 04 89 54 24 5C 8B CA 85 D2 0F 84 52 08 00 00 FF C9 0F 84 8D 09 00 00 FF C9 0F 84 25 09 00 00 FF C9 0F 84 D2 08 00 00 FF C9 0F 84 BD 08 00 00 FF C9 0F 84 71 08 00 00 FF C9 0F 84 36 07 00 00 FF C9 0F 85 DE 06 00 00 41 0F B7 C5 B9 64 00 00 00 3B C1 0F 8F 0E 02 00 00 0F 84 2D 03 00 00 83 F8 41 0F 84 CC 01 00 00 83 F8 43 0F 84 51 01 00 00 83 F8 45 0F 84 BA 01 00 00 83 F8 47 0F 84 B1 01 00 00 83 F8 53 0F 84 8C 00 00 00 83 F8 58 0F 84 77 02 00 00 83 F8 5A 74 17 83 F8 61 0F 84 9C 01 00 00 83 F8 63 0F 84 22 01 00 00 E9 D4 00 00 00 49 8B 06 49 83 C6 08 4C 89 74 24 50 48 85 C0 74 3F 48 8B 58 08 48 85 DB 74 36 BF 2D 00 00 00 41 0F BA E4 0B 73 19 0F BF 00 44 8D 6F D4 99 44 89 6C 24 44 2B C2 D1 F8 44 8B F8 E9 9F 00 00 00 44 0F BF 38 45 8B EA 44 89 54 24 44 E9 8E 00 00 00 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B F8 EB 6D 41 F7 C4 30 08 00 00 75 03 45 0B E3 83 7C 24 48 FF 49 8B 1E B8 FF FF FF 7F 0F 44 F8 49 83 C6 08 4C 89 74 24 50 45 84 E3 0F 84 83 01 00 00 48 85 DB 45 8B FA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 7E 26 44 38 16 74 21 0F B6 0E 48 8D 55 90 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C7 48 FF C6 44 3B FF 7C DA 8B 74 24 40 44 8B 6C 24 44 BF 2D 00 00 00 44 39 54 24 6C 0F 85 57 05 00 00 41 F6 C4 40 0F 84 4A 04 00 00 41 0F BA E4 08 0F 83 11 04 00 00 66 89 7C 24 64 BF 01 00 00 00 89 7C 24 4C E9 30 04 00 00 41 F7 C4 30 08 00 00 75 03 45 0B E3 41 0F B7 06 49 83 C6 08 41 BD 01 00 00 00 66 89 44 24 60 44 89 6C 24 44 4C 89 74 24 50 45 84 E3 74 34 88 44 24 68 48 8B 45 90 44 88 54 24 69 4C 63 80 0C 01 00 00 4C 8D 4D 90 48 8D 54 24 68 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0B 44 89 6C 24 6C EB 04 66 89 45 C0 48 8D 5D C0 45 8B FD E9 56 FF FF FF C7 45 80 01 00 00 00 66 45 03 EB B9 67 00 00 00 41 83 CC 40 48 8D 5D C0 41 8B F1 85 FF 0F 89 55 02 00 00 41 BF 06 00 00 00 44 89 7C 24 48 E9 98 02 00 00 83 F8 65 0F 8C 15 FF FF FF B9 67 00 00 00 3B C1 7E CB B9 69 00 00 00 3B C1 0F 84 06 01 00 00 83 F8 6E 0F 84 C4 00 00 00 B9 6F 00 00 00 3B C1 0F 84 A1 00 00 00 83 F8 70 74 61 83 F8 73 0F 84 7A FE FF FF B9 75 00 00 00 3B C1 0F 84 D9 00 00 00 B9 78 00 00 00 3B C1 0F 85 C1 FE FF FF 8D 41 AF EB 48 48 85 DB 41 BD 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 6C 24 44 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B F8 E9 88 FE FF FF BF 10 00 00 00 41 0F BA EC 0F B8 07 00 00 00 89 44 24 70 41 B9 10 00 00 00 41 BD 00 02 00 00 45 84 E4 79 76 41 8D 49 20 66 83 C0 51 8D 51 D2 66 89 4C 24 64 66 89 44 24 66 EB 63 41 B9 08 00 00 00 45 84 E4 79 4E 41 BD 00 02 00 00 45 0B E5 EB 49 49 8B 3E 49 83 C6 08 4C 89 74 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 E6 FB FF FF 45 8D 5A 20 45 84 E3 74 05 66 89 37 EB 02 89 37 C7 44 24 6C 01 00 00 00 E9 6B 03 00 00 41 83 CC 40 41 B9 0A 00 00 00 41 BD 00 02 00 00 8B 54 24 4C B8 00 80 00 00 44 85 E0 74 09 4D 8B 06 49 83 C6 08 EB 39 41 0F BA E4 0C 72 F0 49 83 C6 08 45 84 E3 74 19 4C 89 74 24 50 41 F6 C4 40 74 07 4D 0F BF 46 F8 EB 1C 45 0F B7 46 F8 EB 15 41 F6 C4 40 74 06 4D 63 46 F8 EB 04 45 8B 46 F8 4C 89 74 24 50 41 F6 C4 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EC 08 44 85 E0 75 0A 41 0F BA E4 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E4 F7 41 3B FD 41 0F 4F FD 8B 74 24 70 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C6 88 03 48 FF CB EB D4 8B 74 24 40 48 8D 85 BF 01 00 00 89 7C 24 48 2B C3 48 FF C3 44 8B F8 45 85 E5 0F 84 F7 FC FF FF 85 C0 B8 30 00 00 00 74 08 38 03 0F 84 E6 FC FF FF 48 FF CB 41 FF C7 88 03 E9 D9 FC FF FF 75 11 66 44 3B E9 75 41 41 BF 01 00 00 00 E9 9E FD FF FF 41 3B F9 41 BF A3 00 00 00 41 0F 4F F9 89 7C 24 48 41 3B FF 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 88 48 85 C0 0F 84 6D FD FF FF 48 8B D8 8B F7 44 8B 7C 24 48 EB 03 44 8B FF 49 8B 06 48 8B 0D ?? ?? ?? ?? 49 83 C6 08 4C 89 74 24 50 41 0F BE FD 48 63 F6 48 89 45 B0 FF 15 ?? ?? ?? ?? 48 8D 4D 90 48 89 4C 24 30 8B 4D 80 44 8B CF 89 4C 24 28 48 8D 4D B0 4C 8B C6 48 8B D3 44 89 7C 24 20 FF D0 41 8B FC 81 E7 80 00 00 00 74 1B 45 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 B9 67 00 00 00 66 44 3B E9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EC 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 74 24 40 44 8B 6C 24 44 44 8B F8 45 33 D2 E9 CF FB FF FF 41 F6 C4 01 74 0F B8 2B 00 00 00 66 89 44 24 64 E9 DF FB FF FF 41 F6 C4 02 74 13 B8 20 00 00 00 66 89 44 24 64 8D 78 E1 89 7C 24 4C EB 09 8B 7C 24 4C B8 20 00 00 00 44 8B 74 24 58 45 2B F7 44 2B F7 41 F6 C4 0C 75 0F 4C 8D 44 24 40 8B C8 41 8B D6 E8 ?? ?? ?? ?? 4C 8D 44 24 40 48 8D 4C 24 64 8B D7 E8 ?? ?? ?? ?? 41 F6 C4 08 74 18 41 F6 C4 04 75 12 4C 8D 44 24 40 B9 30 00 00 00 41 8B D6 E8 ?? ?? ?? ?? 45 85 ED 75 67 45 85 FF 7E 62 48 8B FB 41 8B F7 48 8B 45 90 4C 8D 4D 90 48 8D 4C 24 60 4C 63 80 0C 01 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 45 33 D2 4C 63 E8 85 C0 7E 2B 0F B7 4C 24 60 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 07 83 4C 24 40 FF EB 04 FF 44 24 40 49 03 FD 45 33 D2 85 F6 7F AF EB 1C 83 CE FF 89 74 24 40 EB 17 4C 8D 44 24 40 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 8B 74 24 40 85 F6 78 1F 41 F6 C4 04 74 19 4C 8D 44 24 40 B9 20 00 00 00 41 8B D6 E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 4C 8B 74 24 50 41 BB 20 00 00 00 48 8B 45 88 48 85 C0 74 13 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 45 8D 5A 20 4C 89 55 88 8B 54 24 5C 4C 8B 44 24 78 8B 7C 24 48 41 B9 00 02 00 00 B9 58 00 00 00 45 0F B7 28 66 45 85 ED 0F 85 7B F8 FF FF 44 38 55 A8 74 0B 48 8B 4D A0 83 A1 C8 00 00 00 FD 8B C6 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 0F B7 C5 83 F8 49 74 49 83 F8 68 74 3C B9 6C 00 00 00 3B C1 74 11 B9 58 00 00 00 83 F8 77 75 94 41 0F BA EC 0B EB 8D 66 41 39 08 B9 58 00 00 00 75 0E 49 83 C0 02 41 0F BA EC 0C E9 74 FF FF FF 41 83 CC 10 E9 6B FF FF FF 45 0B E3 E9 5E FF FF FF 41 0F BA EC 0F 66 41 83 38 36 75 16 66 41 83 78 02 34 75 0E 49 83 C0 04 41 0F BA EC 0F E9 3C FF FF FF 66 41 83 38 33 75 16 66 41 83 78 02 32 75 0E 49 83 C0 04 41 0F BA F4 0F E9 1F FF FF FF B8 64 00 00 00 66 41 39 00 0F 84 10 FF FF FF B8 69 00 00 00 66 41 39 00 0F 84 01 FF FF FF B8 6F 00 00 00 66 41 39 00 0F 84 F2 FE FF FF B8 75 00 00 00 8D 48 E3 66 41 39 00 0F 84 E5 FE FF FF 8D 41 20 66 41 39 00 0F 84 D8 FE FF FF 66 41 39 08 0F 84 CE FE FF FF 44 89 54 24 5C 41 0F B7 CD C7 44 24 44 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B 44 24 78 8B 54 24 5C B9 FF FF 00 00 41 BB 20 00 00 00 41 B9 00 02 00 00 66 3B C1 41 8D 4B 38 0F 85 32 01 00 00 83 CE FF 89 74 24 40 45 33 D2 E9 82 FE FF FF 66 41 83 FD 2A 75 29 41 8B 3E 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 7C 24 48 85 FF 0F 89 5E FE FF FF 83 CF FF 89 7C 24 48 E9 52 FE FF FF 8D 0C BF 41 0F B7 C5 8D 7C 48 D0 89 7C 24 48 E9 39 FE FF FF 41 8B FA 44 89 54 24 48 E9 2C FE FF FF 66 41 83 FD 2A 75 2C 41 8B 06 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 44 24 58 85 C0 0F 89 0D FE FF FF 41 83 CC 04 F7 D8 89 44 24 58 E9 FE FD FF FF 8B 44 24 58 8D 0C 80 41 0F B7 C5 8D 44 48 D0 89 44 24 58 E9 E1 FD FF FF 41 0F B7 C5 41 3B C3 74 4E 83 F8 23 74 3F B9 2B 00 00 00 3B C1 74 2D B9 2D 00 00 00 3B C1 74 1B B9 30 00 00 00 3B C1 B9 58 00 00 00 0F 85 B4 FD FF FF 41 83 CC 08 E9 AB FD FF FF 41 83 CC 04 E9 9D FD FF FF 41 83 CC 01 E9 94 FD FF FF 41 0F BA EC 07 E9 8A FD FF FF 41 83 CC 02 E9 81 FD FF FF 83 CF FF 44 89 55 80 44 89 54 24 6C 44 89 54 24 58 44 89 54 24 4C 45 8B E2 89 7C 24 48 44 89 54 24 44 E9 5A FD FF FF FF C6 E9 CA FE FF FF }
	condition:
		$1
}

rule file_187_10_0 {
	meta:
		name = "?SwitchTo@UMSFreeThreadProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@W4SwitchingProxyState@3@@Z"
		size = 221
		refs = "0025 ??_C@_08BAFMHLII@pContext?$AA@ 0036 ??0exception@std@@QEAA@AEBQEBD@Z 003d ??_7invalid_argument@std@@6B@ 0044 _TI3?AVinvalid_argument@std@@ 0053 _CxxThrowException 00d9 ?InternalSwitchTo@UMSThreadProxy@details@Concurrency@@IEAAXPEAV123@W4SwitchingProxyState@3@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 18 49 89 73 20 57 48 83 EC 40 41 8B E8 48 8B DA 48 8B F9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 01 FF 50 20 48 8B 47 38 33 F6 48 3B 98 A0 00 00 00 75 04 33 DB EB 08 48 8B 47 38 48 8B 70 38 48 8B 07 48 8B CF FF 50 28 33 D2 48 85 DB 74 34 48 8B 03 48 8B CB FF 50 10 48 85 C0 74 06 48 8D 50 F8 EB 02 33 D2 48 85 D2 75 19 48 8B 06 48 8B D3 48 8B CE FF 50 38 48 85 C0 74 06 48 8D 50 F8 EB 02 33 D2 48 8D 4F F8 44 8B C5 48 8B 5C 24 50 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_187_14_0 {
	meta:
		name = "?Dispatch@UMSFreeThreadProxy@details@Concurrency@@EEAAXXZ"
		size = 123
		refs = "0039 __imp_TlsSetValue 0065 ?FreeViaExit@UMSThreadProxy@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 8B 41 78 83 64 24 34 00 48 8B F9 C7 44 24 30 08 00 00 00 85 C0 75 48 48 8B 49 18 48 8B DF 48 8B 01 48 83 CB 02 FF 50 20 48 8B D3 8B C8 FF 15 ?? ?? ?? ?? EB 2A 48 8B 8F 00 01 00 00 C6 47 58 00 48 8D 54 24 30 48 8B 01 FF 50 20 80 7F 58 00 74 06 C6 47 58 00 EB 08 48 8B CF E8 ?? ?? ?? ?? 8B 47 78 85 C0 74 CF 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_187_15_0 {
	meta:
		name = "?AssociateExecutionContext@UMSFreeThreadProxy@details@Concurrency@@AEAAXPEAUIExecutionContext@3@@Z"
		size = 37
	strings:
		$1 = { 48 83 EC 28 4C 8B C2 48 89 91 00 01 00 00 48 85 D2 74 0D 49 8B 00 48 8D 51 08 49 8B C8 FF 50 18 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_187_16_0 {
	meta:
		name = "?ReturnIdleProxy@UMSFreeThreadProxy@details@Concurrency@@AEAAXXZ"
		size = 35
	strings:
		$1 = { 33 C0 C6 41 58 01 48 8D 51 08 48 89 81 8C 00 00 00 48 89 81 00 01 00 00 48 8B 49 18 48 8B 01 48 FF 60 08 }
	condition:
		$1
}

rule file_188_0_0 {
	meta:
		name = "vfwprintf_helper"
		size = 160
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0055 _lock_file 005e _stbuf 007d _ftbuf 0086 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 54 24 10 57 41 54 41 55 48 83 EC 20 4D 8B E1 49 8B F0 48 8B FA 4C 8B E9 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 47 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DF 48 8B CA E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4C 8B 4C 24 60 4D 8B C4 48 8B D6 48 8B CF 41 FF D5 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_188_2_0 {
	meta:
		name = "_vfwprintf_l"
		size = 35
		refs = "0015 _woutput_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_915_2_0 {
	meta:
		name = "_vfprintf_l"
		size = 35
		refs = "0015 _output_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_915_4_0 {
	meta:
		name = "_vfprintf_p_l"
		size = 35
		refs = "0015 _output_p_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_915_3_0 {
	meta:
		name = "_vfprintf_s_l"
		size = 35
		refs = "0015 _output_s_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_188_4_0 {
	meta:
		name = "_vfwprintf_p_l"
		size = 35
		refs = "0015 _woutput_p_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_188_3_0 {
	meta:
		name = "_vfwprintf_s_l"
		size = 35
		refs = "0015 _woutput_s_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_188_5_0 {
	meta:
		name = "vfwprintf"
		size = 35
		refs = "0012 _woutput_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_915_7_0 {
	meta:
		name = "_vfprintf_p"
		size = 35
		refs = "0012 _output_p_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_188_7_0 {
	meta:
		name = "_vfwprintf_p"
		size = 35
		refs = "0012 _woutput_p_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_915_5_0 {
	meta:
		name = "vfprintf"
		size = 35
		refs = "0012 _output_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_915_6_0 {
	meta:
		name = "vfprintf_s"
		size = 35
		refs = "0012 _output_s_l 001a vfprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_188_6_0 {
	meta:
		name = "vfwprintf_s"
		size = 35
		refs = "0012 _woutput_s_l 001a vfwprintf_helper"
	strings:
		$1 = { 48 83 EC 38 4C 89 44 24 20 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_189_0_0 {
	meta:
		name = "_chdir"
		size = 301
		refs = "0018 __security_cookie 0037 __doserrno 003e _errno 0049 _invalid_parameter_noinfo 0054 __imp_SetCurrentDirectoryA 006c __imp_GetCurrentDirectoryA 0086 _calloc_crt 00c5 _mbctoupper 00de __imp_SetEnvironmentVariableA 00ec __imp_GetLastError 00f3 _dosmaperr 00ff free 0111 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 81 EC 50 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 40 01 00 00 33 ED 83 CF FF 48 8D 5C 24 30 48 85 C9 75 1C E8 ?? ?? ?? ?? 21 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 B1 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 8A 00 00 00 48 8D 54 24 30 B9 05 01 00 00 FF 15 ?? ?? ?? ?? 8B F0 3D 04 01 00 00 7E 30 44 8D 60 01 BA 01 00 00 00 49 63 CC E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 58 BD 01 00 00 00 85 F6 74 4F 48 8B D0 41 8B CC FF 15 ?? ?? ?? ?? 8B F0 85 F6 74 3D 8A 03 3C 5C 74 04 3C 2F 75 05 3A 43 01 74 2A C6 44 24 20 3D 0F B6 0B E8 ?? ?? ?? ?? 48 8D 4C 24 20 48 8B D3 88 44 24 21 66 C7 44 24 22 3A 00 FF 15 ?? ?? ?? ?? 85 C0 74 04 33 FF EB 0D FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 ED 74 08 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 8C 24 40 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 50 01 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_190_0_0 {
	meta:
		name = "_isnan"
		size = 43
	strings:
		$1 = { 48 B8 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 48 BA 00 00 00 00 00 00 F0 7F 48 8B 4C 24 08 48 23 C8 33 C0 48 3B CA 0F 97 C0 C3 }
	condition:
		$1
}

rule file_190_1_0 {
	meta:
		name = "_isnanf"
		size = 26
	strings:
		$1 = { 33 C0 F3 0F 11 44 24 08 8B 4C 24 08 0F BA F1 1F 81 F9 00 00 80 7F 0F 97 C0 C3 }
	condition:
		$1
}

rule file_190_2_0 {
	meta:
		name = "_fpclass"
		size = 186
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF 0F 00 F2 0F 11 44 24 08 48 BA 00 00 00 00 00 00 F0 7F 48 8B 44 24 08 48 85 C1 48 8B C8 74 3D 48 23 CA 48 3B CA 75 17 48 B9 00 00 00 00 00 00 08 00 48 23 C1 48 F7 D8 1B C0 F7 D8 FF C0 C3 48 85 C9 48 B9 00 00 00 00 00 00 00 80 75 43 48 23 C1 48 F7 D8 1B C0 83 E0 90 83 E8 80 C3 48 23 CA 48 3B CA 75 1D 48 B9 00 00 00 00 00 00 00 80 48 23 C1 48 F7 D8 1B C0 25 04 FE FF FF 05 00 02 00 00 C3 48 85 C9 48 B9 00 00 00 00 00 00 00 80 74 13 48 23 C1 48 F7 D8 1B C0 25 08 FF FF FF 05 00 01 00 00 C3 48 23 C1 48 F7 D8 1B C0 83 E0 E0 83 C0 40 C3 }
	condition:
		$1
}

rule file_190_3_0 {
	meta:
		name = "_fpclassf"
		size = 118
	strings:
		$1 = { F3 0F 11 44 24 08 B9 00 00 80 7F 8B 44 24 08 8B D0 23 D1 A9 FF FF 7F 00 74 26 3B D1 75 0E 25 00 00 40 00 F7 D8 1B C0 F7 D8 FF C0 C3 25 00 00 00 80 85 D2 75 27 F7 D8 1B C0 83 E0 90 83 E8 80 C3 25 00 00 00 80 3B D1 75 0F F7 D8 1B C0 25 04 FE FF FF 05 00 02 00 00 C3 85 D2 74 0F F7 D8 1B C0 25 08 FF FF FF 05 00 01 00 00 C3 F7 D8 1B C0 83 E0 E0 83 C0 40 C3 }
	condition:
		$1
}

rule file_190_4_0 {
	meta:
		name = "_nextafter"
		size = 485
		refs = "0083 ??_C@_0L@KDOEJCKC@_nextafter?$AA@ 008d _handle_error"
	strings:
		$1 = { 48 83 EC 58 F2 0F 11 44 24 60 48 8B 4C 24 60 F2 0F 11 4C 24 60 4C 8B 44 24 60 49 3B C8 75 09 66 0F 28 C1 E9 B8 01 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 8B C1 49 B9 FF FF FF FF FF FF 0F 00 48 23 C2 48 3B C2 75 4F 49 85 C9 74 4A 49 B8 00 00 00 00 00 00 08 00 4C 0B C1 C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 26 00 00 00 E8 ?? ?? ?? ?? E9 4A 01 00 00 49 8B C0 48 23 C2 48 3B C2 75 14 4D 85 C1 74 0F 48 B8 00 00 00 00 00 00 08 00 4C 0B C0 EB A4 66 0F 2F C8 48 B8 00 00 00 00 00 00 00 80 76 7A 48 85 C8 74 30 48 B8 FE FF FF FF FF FF FF 7F 48 85 C8 0F 85 B0 00 00 00 80 E1 01 48 B8 FF FF FF FF FF FF FF 7F F6 D9 48 1B C9 48 23 C8 48 FF C1 E9 A2 00 00 00 48 FF C1 48 3B CA 0F 85 96 00 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 49 B8 00 00 00 00 00 00 F0 7F C7 44 24 20 11 00 00 00 E9 41 FF FF FF 48 85 C8 74 44 48 FF C1 48 B8 00 00 00 00 00 00 F0 FF 48 3B C8 75 46 C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 4C 8B C0 C7 44 24 20 11 00 00 00 E9 F8 FE FF FF 48 85 C9 74 05 48 FF C9 EB 0A 48 B9 01 00 00 00 00 00 00 80 48 85 CA 75 34 49 85 C9 74 2F C7 44 24 40 02 00 00 00 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 83 64 24 28 00 41 B9 04 00 00 00 4C 8B C1 C7 44 24 20 12 00 00 00 E9 AB FE FF FF 48 89 4C 24 60 F2 0F 10 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_190_5_0 {
	meta:
		name = "_nextafterf"
		size = 393
		refs = "0071 ??_C@_0M@LNMOKHH@_nextafterf?$AA@ 007b _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 F3 0F 11 44 24 60 8B 4C 24 60 F3 0F 11 4C 24 60 8B 54 24 60 3B CA 75 08 0F 28 C1 E9 60 01 00 00 41 B8 00 00 80 7F 8B C1 41 B9 FF FF 7F 00 41 23 C0 41 3B C0 75 4A 41 85 C9 74 45 4C 8B C1 C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 21 00 00 00 49 0F BA E8 16 83 64 24 20 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 26 00 00 00 E8 ?? ?? ?? ?? E9 00 01 00 00 8B C2 41 23 C0 41 3B C0 75 0A 41 85 D1 74 05 4C 8B C2 EB AA 0F 2F C8 76 58 85 C9 79 1E F7 C1 FE FF FF 7F 0F 85 8B 00 00 00 80 E1 01 F6 D9 1B C9 0F BA F1 1F FF C1 E9 82 00 00 00 FF C1 41 3B C8 75 7B C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 C7 44 24 20 11 00 00 00 E9 79 FF FF FF 85 C9 79 3D FF C1 B8 00 00 80 FF 3B C8 75 3D C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 03 00 00 00 44 8B C0 C7 44 24 20 11 00 00 00 E9 38 FF FF FF 74 04 FF C9 EB 05 B9 01 00 00 80 41 85 C8 75 34 41 85 C9 74 2F C7 44 24 40 02 00 00 00 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 83 64 24 28 00 44 8B C1 41 B9 04 00 00 00 C7 44 24 20 12 00 00 00 E9 F4 FE FF FF 89 4C 24 60 F3 0F 10 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_190_6_0 {
	meta:
		name = "_scalb"
		size = 476
		refs = "0099 ??_C@_06HBLGGACK@_scalb?$AA@ 00a3 _handle_error"
	strings:
		$1 = { 40 53 48 83 EC 50 F2 0F 11 44 24 60 48 B8 00 00 00 00 00 00 00 80 66 0F 28 C8 4C 8B 44 24 60 4D 8B D0 4C 23 D0 4D 3B C2 0F 84 A8 01 00 00 48 BB 00 00 00 00 00 00 F0 7F 49 8B C8 48 23 CB 48 3B CB 75 69 49 BB FF FF FF FF FF FF 0F 00 4D 85 C3 0F 84 75 01 00 00 C7 44 24 40 02 00 00 00 66 0F EF C0 48 B8 00 00 00 00 00 00 08 00 F2 48 0F 2A C2 4C 0B C0 45 33 C9 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 89 4C 24 20 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 19 00 00 00 E8 ?? ?? ?? ?? E9 2A 01 00 00 81 FA 00 00 00 80 75 08 4D 8B C2 E9 0F 01 00 00 45 33 C9 85 D2 0F 84 04 01 00 00 49 BB FF FF FF FF FF FF 0F 00 48 C1 E9 34 4D 23 C3 49 8B C0 85 D2 79 3F F7 DA 48 63 C2 48 3B C1 76 26 48 2B C1 48 83 F8 34 73 C2 48 85 C9 74 0D 48 B9 00 00 00 00 00 00 10 00 4C 0B C1 8D 48 01 49 D3 E8 E9 B9 00 00 00 48 2B C8 48 C1 E1 34 4C 0B C1 E9 AA 00 00 00 48 85 C9 0F 85 8B 00 00 00 4D 03 C0 48 B9 00 00 00 00 00 00 F0 FF 41 FF C1 4C 85 C1 74 EB 41 3B D1 7C 67 41 8D 81 FE 07 00 00 3B D0 7D 1E 49 63 C1 48 63 CA 48 2B C8 49 8B C0 48 FF C1 49 23 C3 48 C1 E1 34 4C 8B C1 4C 0B C0 EB 5E C7 44 24 40 02 00 00 00 66 0F EF C0 4C 0B D3 F2 48 0F 2A C2 41 B9 03 00 00 00 4D 8B C2 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E9 EE FE FF FF 8B CA 4C 8B C0 49 D3 E0 EB 16 4C 63 CA 4C 03 C9 49 81 F9 FF 07 00 00 73 A9 49 C1 E1 34 4D 0B C1 4D 0B C2 4C 89 44 24 60 F2 0F 10 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_190_7_0 {
	meta:
		name = "_scalbf"
		size = 414
		refs = "007f ??_C@_07OIGNLDJH@_scalbf?$AA@ 0089 _handle_errorf"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 28 C8 B8 00 00 00 80 F3 0F 11 4C 24 60 44 8B 44 24 60 45 8B C8 44 23 C8 45 3B C1 75 05 E9 6F 01 00 00 BB 00 00 80 7F 41 8B C8 23 CB 3B CB 75 5B 41 BB FF FF 7F 00 45 85 C3 0F 84 47 01 00 00 C7 44 24 40 02 00 00 00 66 0F EF C0 49 0F BA E8 16 45 33 D2 F3 48 0F 2A C2 45 8D 4A 01 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 89 54 24 20 48 8D 0D ?? ?? ?? ?? BA 19 00 00 00 E8 ?? ?? ?? ?? E9 06 01 00 00 3B D0 75 08 45 8B C1 E9 EF 00 00 00 45 33 D2 85 D2 0F 84 E4 00 00 00 41 BB FF FF 7F 00 C1 E9 17 45 23 C3 41 8B C0 85 D2 79 2E F7 DA 3B D1 7E 1B 2B D1 83 FA 17 7D CD 85 C9 74 05 41 0F BA E8 17 8D 4A 01 41 D3 E8 E9 AD 00 00 00 C1 E1 17 C1 E2 17 2B CA E9 9D 00 00 00 85 C9 0F 85 83 00 00 00 45 03 C0 41 FF C2 41 F7 C0 00 00 80 FF 74 F1 41 3B D2 7C 65 41 8D 82 FE 00 00 00 3B D0 7D 1C C1 E2 17 41 8B C0 41 C1 E2 17 41 2B D2 41 23 C3 44 8D 82 00 00 80 00 44 0B C0 EB 5D C7 44 24 40 02 00 00 00 45 8B C1 66 0F EF C0 F3 48 0F 2A C2 4C 0B C3 41 B9 03 00 00 00 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E9 11 FF FF FF 8B CA 44 8B C0 41 D3 E0 EB 15 8D 04 11 3D FF 00 00 00 7D AE C1 E1 17 C1 E2 17 03 CA 44 0B C1 45 0B C1 44 89 44 24 60 F3 0F 10 44 24 60 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_191_3_0 {
	meta:
		name = "_mbsnextc_l"
		size = 133
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 001f _errno 002a _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8D 4C 24 20 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 35 0F B6 0B 48 8B 44 24 28 F6 44 01 1D 04 74 0E 40 38 7B 01 74 08 8B F9 C1 E7 08 48 FF C3 0F B6 03 03 C7 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_192_3_0 {
	meta:
		name = "_wcsicmp_l"
		size = 258
		refs = "0022 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002e _errno 0039 _invalid_parameter_noinfo 00ac _towlower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F1 48 8B FA 48 8D 48 D8 49 8B D0 E8 ?? ?? ?? ?? 33 ED 48 85 F6 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 6C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 93 00 00 00 48 85 FF 74 CE 48 8B 44 24 20 39 68 14 75 3A 48 2B F7 0F B7 1C 3E 66 83 FB 41 72 0A 66 83 FB 5A 77 04 66 83 C3 20 0F B7 07 66 83 F8 41 72 0A 66 83 F8 5A 77 04 66 83 C0 20 48 83 C7 02 66 85 DB 74 36 66 3B D8 74 CB EB 2F 0F B7 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 0F B7 0F 48 8D 54 24 20 0F B7 D8 48 83 C6 02 E8 ?? ?? ?? ?? 48 83 C7 02 66 85 DB 74 05 66 3B D8 74 D1 0F B7 C8 0F B7 C3 2B C1 40 38 6C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_194_1_0 {
	meta:
		name = "wcomexecmd"
		size = 141
		refs = "001b _errno 0026 _invalid_parameter_noinfo 004b _wcenvarg 0064 _wdospawn 0071 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4D 8B D1 49 8B C0 48 8B DA 8B F9 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 52 48 85 C0 74 E5 48 89 54 24 20 4C 8D 4C 24 30 4C 8D 44 24 58 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 30 4C 8B 44 24 58 48 8B D3 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 58 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_753_1_0 {
	meta:
		name = "comexecmd"
		size = 141
		refs = "001b _errno 0026 _invalid_parameter_noinfo 004b _cenvarg 0064 _dospawn 0071 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4D 8B D1 49 8B C0 48 8B DA 8B F9 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 52 48 85 C0 74 E5 48 89 54 24 20 4C 8D 4C 24 30 4C 8D 44 24 58 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 30 4C 8B 44 24 58 48 8B D3 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 58 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_194_2_0 {
	meta:
		name = "_wspawnve"
		size = 653
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0082 wcsrchr 00af wcschr 00c3 wcslen 00d2 _calloc_crt 00e5 ??_C@_15PCEAIKAA@?$AA?4?$AA?2?$AA?$AA@ 00f0 wcscpy_s 0102 wcscat_s 0120 _invoke_watson 0161 _waccess_s 017a wcomexecmd 01d6 ext_strings 0248 free"
	strings:
		$1 = { 48 89 5C 24 18 4C 89 4C 24 20 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 FF 4D 8B E1 4D 8B F0 48 8B EA 44 8B E9 48 8B FA 48 85 D2 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 44 39 3A 74 CE 4D 85 C0 74 C9 49 8B 00 48 85 C0 74 C1 66 44 39 38 74 BB BA 5C 00 00 00 48 8B CD E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 48 85 C0 0F 85 9B 00 00 00 48 85 F6 0F 85 9F 00 00 00 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 85 88 00 00 00 48 8B CD E8 ?? ?? ?? ?? 8D 56 02 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 62 FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 2D 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 06 48 8D 77 04 EB 37 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 28 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 DF 00 00 00 4D 8B CC 4D 8B C6 48 8B D7 41 8B CD E8 ?? ?? ?? ?? 48 8B D8 E9 C6 00 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 4C 8D 60 05 49 8B CC E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 9C FE FF FF 4C 8B C7 49 8B D4 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 B6 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 3C 46 E8 ?? ?? ?? ?? 4C 8D 2D ?? ?? ?? ?? 8B 00 89 44 24 78 49 8B C7 48 2B C6 48 D1 F8 4C 2B E0 4D 8B 45 00 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 85 C0 75 63 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 48 8D 05 ?? ?? ?? ?? 49 83 ED 08 4C 3B E8 7D CF EB 25 E8 ?? ?? ?? ?? 8B 4C 24 78 4C 8B 8C 24 88 00 00 00 89 08 8B 4C 24 70 4D 8B C6 48 8B D6 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 4F FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 42 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_195_3_0 {
	meta:
		name = "_wctomb_s_l"
		size = 452
		refs = "0048 _errno 0054 _invalid_parameter_noinfo 0065 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0099 memset 0158 __imp_WideCharToMultiByte 0175 __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 08 66 44 89 4C 24 20 55 56 57 48 8B EC 48 83 EC 60 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 13 4D 85 C0 74 0E 48 85 C9 74 02 21 11 33 C0 E9 8A 00 00 00 48 85 C9 74 03 83 09 FF 49 81 F8 FF FF FF 7F 76 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 64 48 8B 55 40 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 5D E0 41 83 7B 14 00 0F 85 B2 00 00 00 0F B7 45 38 B9 FF 00 00 00 66 3B C1 76 4A 48 85 F6 74 12 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 8B 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 9C 24 80 00 00 00 48 83 C4 60 5F 5E 5D C3 48 85 F6 74 30 48 85 FF 75 29 E8 ?? ?? ?? ?? 8D 5F 22 89 18 E8 ?? ?? ?? ?? 40 38 7D F8 0F 84 65 FF FF FF 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 55 FF FF FF 88 06 48 85 DB 74 06 C7 03 01 00 00 00 80 7D F8 00 0F 84 15 FF FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 05 FF FF FF 83 65 28 00 41 8B 4B 04 48 8D 45 28 48 89 44 24 38 48 83 64 24 30 00 4C 8D 45 38 41 B9 01 00 00 00 33 D2 89 7C 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 13 83 7D 28 00 0F 85 33 FF FF FF 48 85 DB 74 A1 89 03 EB 9D FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 1B FF FF FF 48 85 F6 74 12 48 85 FF 74 0D 4C 8B C7 33 D2 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7D F8 00 0F 84 A4 FE FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 94 FE FF FF }
	condition:
		$1
}

rule file_195_5_0 {
	meta:
		name = "_wctomb_l"
		size = 123
		refs = "0024 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004b _wctomb_s_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 57 48 83 EC 50 48 8B F9 0F B7 DA 48 8D 48 D8 83 CE FF 49 8B D0 89 70 20 E8 ?? ?? ?? ?? 4C 8B 5C 24 30 4D 63 83 0C 01 00 00 48 8D 44 24 30 48 8D 4C 24 78 44 0F B7 CB 48 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 44 74 24 78 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 48 8B 5C 24 60 8B C6 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_195_6_0 {
	meta:
		name = "wctomb"
		size = 84
		refs = "001d ___mb_cur_max_func 0037 _wctomb_s_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 83 CE FF 0F B7 DA 48 8B F9 89 74 24 50 E8 ?? ?? ?? ?? 48 83 64 24 20 00 48 8D 4C 24 50 4C 63 C0 44 0F B7 CB 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 40 85 C0 0F 44 74 24 50 8B C6 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_196_0_0 {
	meta:
		name = "_swab"
		size = 88
		refs = "000d _errno 001c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 4C 8B C9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? 48 85 D2 74 E7 45 85 C0 78 E2 41 83 F8 01 7E 23 41 83 C0 FE 41 D1 E8 41 FF C0 41 8A 41 01 41 8A 09 49 83 C1 02 88 02 88 4A 01 48 83 C2 02 49 FF C8 75 E7 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_197_0_0 {
	meta:
		name = "_setmaxstdio"
		size = 277
		refs = "0018 _errno 0023 _invalid_parameter_noinfo 0035 _lock 003c _nstream 0050 __piob 0055 _recalloc_crt 00bd free 0104 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 63 D9 8D 43 EC 3D EC 07 00 00 76 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 DB 00 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 8B 05 ?? ?? ?? ?? 3B D8 7E 44 48 8B D3 41 B8 08 00 00 00 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 84 95 00 00 00 8B 15 ?? ?? ?? ?? 89 54 24 24 3B D3 7D 0C 48 63 CA 48 83 24 C8 00 FF C2 EB EC 89 1D ?? ?? ?? ?? 89 5C 24 20 EB 66 75 08 8B D8 89 44 24 20 EB 6C 89 5C 24 20 8D 78 FF 89 7C 24 24 48 8B 0D ?? ?? ?? ?? 3B FB 7C 28 48 63 C7 48 83 3C C1 00 74 16 48 8B 0C C1 F6 41 18 83 75 3B E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF CF 89 7C 24 24 EB D4 83 FB FF 74 29 48 8B D3 41 B8 08 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 0F 89 1D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 07 83 CB FF 89 5C 24 20 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_197_1_0 {
	meta:
		name = "_setmaxstdio$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_fcloseall$fin$0 _getstream$fin$0 _rmtmp$fin$1 flsall$fin$1"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 01 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_199_0_0 {
	meta:
		name = "__chkstk"
		size = 78
	strings:
		$1 = { 48 83 EC 10 4C 89 14 24 4C 89 5C 24 08 4D 33 DB 4C 8D 54 24 18 4C 2B D0 4D 0F 42 D3 65 4C 8B 1C 25 10 00 00 00 4D 3B D3 73 16 66 41 81 E2 00 F0 4D 8D 9B 00 F0 FF FF 41 C6 03 00 4D 3B D3 75 F0 4C 8B 14 24 4C 8B 5C 24 08 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_201_0_0 {
	meta:
		name = "fgets"
		size = 359
		refs = "0024 _errno 002f _invalid_parameter_noinfo 005e _lock_file 0071 _fileno 008c __pioinfo 009e __badioinfo 011b _filbuf 0154 _unlock_file"
	strings:
		$1 = { 40 53 56 57 41 54 41 55 48 83 EC 30 49 8B D8 8B F2 4C 8B E9 4C 8B E1 48 8B F9 48 85 C9 75 1B 85 D2 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 21 01 00 00 33 C0 85 D2 0F 99 C0 85 C0 74 DE 33 C0 48 85 DB 0F 95 C0 85 C0 74 D2 85 D2 74 DE 48 89 5C 24 78 48 8B CB E8 ?? ?? ?? ?? 90 F6 43 18 40 0F 85 8A 00 00 00 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 25 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 FF 48 89 7C 24 20 48 85 FF 74 54 FF CE 89 74 24 68 74 47 FF 4B 08 78 0E 48 8B 03 0F B6 08 48 FF C0 48 89 03 EB 0A 48 8B CB E8 ?? ?? ?? ?? 8B C8 89 4C 24 60 83 F9 FF 75 0E 4D 3B E5 75 1C 33 FF 48 89 7C 24 20 EB 18 41 88 0C 24 49 FF C4 4C 89 64 24 28 80 F9 0A 74 02 EB B1 41 C6 04 24 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 83 C4 30 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_201_1_0 {
	meta:
		name = "fgets$fin$0"
		size = 26
		refs = "000e _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 78 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_202_0_0 {
	meta:
		name = "_wexecv"
		size = 71
		refs = "000d _errno 0018 _invalid_parameter_noinfo 0043 _wexecve"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 66 44 39 01 74 E1 48 85 D2 74 DC 48 8B 02 48 85 C0 74 D4 66 44 39 00 74 CE 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_204_3_0 {
	meta:
		name = "_mbsncat_l"
		size = 322
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0054 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006e strncat 00a9 _ismbslead_l 00f4 _mbsbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B E8 48 8B FA 48 8B D9 4D 85 C0 75 08 48 8B C1 E9 03 01 00 00 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 E7 00 00 00 48 85 D2 74 E4 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 83 7B 08 00 75 2A 4C 8B C5 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 0F 84 B0 00 00 00 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 9F 00 00 00 48 8B F3 8A 03 48 FF C3 84 C0 75 F7 48 FF CB 4C 8D 44 24 20 48 8B CE 48 8B D3 E8 ?? ?? ?? ?? 85 C0 74 03 48 FF CB 48 8B 4C 24 28 0F B6 07 48 FF CD F6 44 08 1D 04 88 03 74 3B 8A 47 01 48 83 C3 02 48 83 C7 02 88 43 FF 84 C0 75 33 88 43 FE 48 3B DE 74 32 8B C3 4C 8D 44 24 20 48 8B CE 2B C6 FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 17 C6 43 FF 00 EB 14 48 FF C3 48 FF C7 84 C0 74 D0 48 85 ED 74 CB EB A5 C6 03 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C6 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_205_0_0 {
	meta:
		name = "_spawnl"
		size = 173
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0068 _capture_argv 0081 _spawnve 009b free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 6B 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 68 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 48 8B D3 8B CE 4C 8B C0 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_206_1_0 {
	meta:
		name = "_make__time32_t"
		size = 701
		refs = "0010 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 00ad _days 0104 __security_check_cookie 0205 __tzset 020e _get_dstbias 021b _get_timezone 0232 _localtime32_s 0273 _invoke_watson 0297 _gmtime32_s 02b1 memcpy"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 83 65 C8 00 83 65 C4 00 44 8B D2 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 49 14 41 B9 08 04 00 00 8D 41 BB 89 4D C0 41 3B C1 0F 87 93 00 00 00 44 8B 43 10 45 85 C0 78 06 41 83 F8 0B 7E 3C B8 AB AA AA 2A 41 F7 E8 D1 FA 8B C2 C1 E8 1F 03 D0 03 CA 8D 04 52 89 4D C0 C1 E0 02 44 2B C0 44 89 43 10 45 85 C0 79 0C 41 8D 40 0C FF C9 89 43 10 89 4D C0 8D 41 BB 41 3B C1 77 48 48 63 43 10 48 8D 15 ?? ?? ?? ?? 8B 14 82 F6 C1 03 75 08 83 7B 10 01 7E 02 FF C2 8D 41 FF 69 C9 6D 01 00 00 C1 F8 02 03 C2 8D 8C 01 21 9C FF FF 8B 43 0C 44 8D 04 01 44 89 45 C0 85 C9 78 31 85 C0 78 36 45 85 C0 79 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 85 C0 79 05 45 85 C0 79 CF 47 8D 0C 40 33 C9 41 C1 E1 03 45 85 C0 74 0D 41 8B C1 99 41 F7 F8 83 F8 18 0F 95 C1 85 C9 75 AF 8B 43 08 42 8D 0C 08 89 4D C0 45 85 C9 78 0A 85 C0 78 0E 85 C9 78 98 EB 08 85 C0 79 04 85 C9 79 8E 44 8B C1 45 6B C0 3C 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 3C 0F 95 C1 EB 02 33 C9 85 C9 0F 85 69 FF FF FF 8B 43 04 42 8D 0C 00 89 4D C0 45 85 C0 78 0E 85 C0 78 16 85 C9 0F 88 4E FF FF FF EB 0C 85 C0 79 08 85 C9 0F 89 40 FF FF FF 44 8B C1 45 6B C0 3C 85 C9 74 10 41 8B C0 99 F7 F9 33 C9 83 F8 3C 0F 95 C1 EB 02 33 C9 85 C9 0F 85 1B FF FF FF 8B 0B 42 8D 04 01 89 45 C0 45 85 C0 78 0E 85 C9 78 16 85 C0 0F 88 01 FF FF FF EB 0C 85 C9 79 08 85 C0 0F 89 F3 FE FF FF 45 85 D2 0F 84 8A 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 75 62 48 8D 4D C4 E8 ?? ?? ?? ?? 85 C0 75 3F 8B 45 C4 48 8D 55 C0 48 8D 4D D0 01 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 85 B0 FE FF FF 8B 43 20 85 C0 7F 08 79 5C 83 7D F0 00 7E 56 8B 45 C8 48 8D 55 C0 48 8D 4D D0 01 45 C0 E8 ?? ?? ?? ?? EB 39 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 0F 85 4B FE FF FF 48 8D 55 D0 48 8B CB 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 E9 3F FE FF FF }
	condition:
		$1
}

rule file_208_0_0 {
	meta:
		name = "_makepath_s"
		size = 326
		refs = "0084 _mbsdec 010c _errno 012b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 48 8B E9 48 85 C9 0F 84 FB 00 00 00 48 85 D2 0F 84 F2 00 00 00 33 FF 48 8B D9 4D 85 C0 74 21 41 8A 00 84 C0 74 1A BF 02 00 00 00 48 3B D7 0F 86 BC 00 00 00 48 8D 59 01 88 01 C6 03 3A 48 FF C3 49 8B D1 4D 85 C9 74 41 41 80 39 00 74 3B 48 FF C7 48 3B FE 0F 83 96 00 00 00 8A 02 48 FF C2 88 03 48 FF C3 80 3A 00 75 E5 49 8B C9 E8 ?? ?? ?? ?? 80 38 2F 74 13 80 38 5C 74 0E 48 FF C7 48 3B FE 73 6D C6 03 5C 48 FF C3 48 8B 4C 24 50 48 85 C9 74 19 EB 12 48 FF C7 48 3B FE 73 53 8A 01 88 03 48 FF C3 48 FF C1 80 39 00 75 E9 48 8B 4C 24 58 48 85 C9 74 31 8A 01 84 C0 74 2B 3C 2E 74 22 48 FF C7 48 3B FE 73 28 C6 03 2E 48 FF C3 EB 12 48 FF C7 48 3B FE 73 18 8A 01 88 03 48 FF C3 48 FF C1 80 39 00 75 E9 48 8D 47 01 48 3B C6 76 10 C6 45 00 00 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 11 C6 03 00 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_209_2_0 {
	meta:
		name = "?CPtoLCID@@YAHH@Z"
		size = 49
	strings:
		$1 = { 81 E9 A4 03 00 00 74 23 83 E9 04 74 18 83 E9 0D 74 0D FF C9 74 03 33 C0 C3 B8 04 04 00 00 C3 B8 12 04 00 00 C3 B8 04 08 00 00 C3 B8 11 04 00 00 C3 }
	condition:
		$1
}

rule file_209_3_0 {
	meta:
		name = "?setSBCS@@YAXPEAUthreadmbcinfostruct@@@Z"
		size = 140
		refs = "0029 memset 004a __initialmbcinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 59 1C 48 8B E9 BE 01 01 00 00 48 8B CB 44 8B C6 33 D2 E8 ?? ?? ?? ?? 45 33 DB 48 8D 7D 10 41 8D 4B 06 41 0F B7 C3 44 89 5D 0C 4C 89 5D 04 66 F3 AB 48 8D 3D ?? ?? ?? ?? 48 2B FD 8A 04 1F 88 03 48 FF C3 48 FF CE 75 F3 48 8D 8D 1D 01 00 00 BA 00 01 00 00 8A 04 39 88 01 48 FF C1 48 FF CA 75 F3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_209_4_0 {
	meta:
		name = "?setSBUpLow@@YAXPEAUthreadmbcinfostruct@@@Z"
		size = 496
		refs = "0021 __security_cookie 003c __imp_GetCPInfo 008e memset 00cb __crtGetStringTypeA 00fa __crtLCMapStringA 01d3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 55 48 8D A8 78 FB FF FF 48 81 EC 80 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 70 04 00 00 48 8B F1 8B 49 04 48 8D 54 24 50 FF 15 ?? ?? ?? ?? BB 00 01 00 00 85 C0 0F 84 3C 01 00 00 33 C0 48 8D 4C 24 70 88 01 FF C0 48 FF C1 3B C3 72 F5 8A 44 24 56 C6 44 24 70 20 48 8D 7C 24 56 EB 29 0F B6 57 01 44 0F B6 C0 44 3B C2 77 16 41 2B D0 41 8B C0 4A 8D 4C 04 70 44 8D 42 01 B2 20 E8 ?? ?? ?? ?? 48 83 C7 02 8A 07 84 C0 75 D3 8B 46 0C 83 64 24 38 00 4C 8D 44 24 70 89 44 24 30 8B 46 04 44 8B CB 89 44 24 28 48 8D 85 70 02 00 00 BA 01 00 00 00 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 83 64 24 40 00 8B 46 04 8B 56 0C 89 44 24 38 48 8D 45 70 89 5C 24 30 48 89 44 24 28 4C 8D 4C 24 70 44 8B C3 33 C9 89 5C 24 20 E8 ?? ?? ?? ?? 83 64 24 40 00 8B 46 04 8B 56 0C 89 44 24 38 48 8D 85 70 01 00 00 89 5C 24 30 48 89 44 24 28 4C 8D 4C 24 70 41 B8 00 02 00 00 33 C9 89 5C 24 20 E8 ?? ?? ?? ?? 48 8D 55 70 4C 8D 85 70 01 00 00 48 2B D6 4C 8D 9D 70 02 00 00 48 8D 4E 1D 4C 2B C6 41 F6 03 01 74 09 80 09 10 8A 44 0A E3 EB 0E 41 F6 03 02 74 10 80 09 20 41 8A 44 08 E3 88 81 00 01 00 00 EB 07 C6 81 00 01 00 00 00 48 FF C1 49 83 C3 02 48 FF CB 75 C8 EB 3F 33 D2 48 8D 4E 1D 44 8D 42 9F 41 8D 40 20 83 F8 19 77 08 80 09 10 8D 42 20 EB 0C 41 83 F8 19 77 0E 80 09 20 8D 42 E0 88 81 00 01 00 00 EB 07 C6 81 00 01 00 00 00 FF C2 48 FF C1 3B D3 72 C7 48 8B 8D 70 04 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 05 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_209_5_0 {
	meta:
		name = "__updatetmbcinfo"
		size = 186
		refs = "000b _getptd 001a __globallocalestatus 0039 _lock 004d __ptmbcinfo 0060 __initialmbcinfo 006f free 009b _unlock 00a8 _amsg_exit"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B F8 8B 88 C8 00 00 00 85 0D ?? ?? ?? ?? 74 13 48 83 B8 C0 00 00 00 00 74 09 48 8B 98 B8 00 00 00 EB 6C B9 0D 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 9F B8 00 00 00 48 89 5C 24 30 48 3B 1D ?? ?? ?? ?? 74 42 48 85 DB 74 1B F0 FF 0B 75 16 48 8D 05 ?? ?? ?? ?? 48 8B 4C 24 30 48 3B C8 74 05 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 87 B8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 89 44 24 30 F0 FF 00 48 8B 5C 24 30 B9 0D 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 75 08 8D 4B 20 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_209_6_0 {
	meta:
		name = "__updatetmbcinfo$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_free_locale$fin$1 _freefls$fin$1 _get_current_locale$fin$0 _initptd$fin$1 _setmbcp$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0D 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_209_8_0 {
	meta:
		name = "?getSystemCP@@YAHH@Z"
		size = 144
		refs = "0010 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0016 fSystemSet 002c __imp_GetOEMCP 0056 __imp_GetACP"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 83 FB FE 75 25 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 80 7C 24 38 00 74 53 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 45 83 FB FD 75 12 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? EB D4 83 FB FC 75 14 48 8B 44 24 20 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 40 04 EB BB 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_209_9_0 {
	meta:
		name = "_setmbcp_nolock"
		size = 629
		refs = "0013 __security_cookie 0023 ?getSystemCP@@YAHH@Z 0033 ?setSBCS@@YAXPEAUthreadmbcinfostruct@@@Z 003f __rgcode_page_info 0085 __imp_IsValidCodePage 009a __imp_GetCPInfo 00b3 memset 016d fSystemSet 0198 __rgctypeflag 024e ?setSBUpLow@@YAXPEAUthreadmbcinfostruct@@@Z 025d __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 48 8B F2 E8 ?? ?? ?? ?? 33 DB 8B F8 85 C0 75 0D 48 8B CE E8 ?? ?? ?? ?? E9 16 02 00 00 4C 8D 2D ?? ?? ?? ?? 8B CB 48 8B EB 49 8B C5 41 BC 01 00 00 00 39 38 0F 84 26 01 00 00 41 03 CC 49 03 EC 48 83 C0 30 83 F9 05 72 E9 81 FF E8 FD 00 00 0F 84 03 01 00 00 81 FF E9 FD 00 00 0F 84 F7 00 00 00 0F B7 CF FF 15 ?? ?? ?? ?? 85 C0 0F 84 E6 00 00 00 48 8D 54 24 20 8B CF FF 15 ?? ?? ?? ?? 85 C0 0F 84 C5 00 00 00 48 8D 4E 1C 33 D2 41 B8 01 01 00 00 E8 ?? ?? ?? ?? 89 7E 04 89 5E 0C 44 39 64 24 20 0F 86 8C 00 00 00 48 8D 44 24 26 38 5C 24 26 74 2D 38 58 01 74 28 0F B6 38 0F B6 48 01 3B F9 77 15 2B CF 48 8D 54 37 1D 41 03 CC 80 0A 04 49 03 D4 49 2B CC 75 F5 48 83 C0 02 38 18 75 D3 48 8D 46 1E B9 FE 00 00 00 80 08 08 49 03 C4 49 2B CC 75 F5 8B 4E 04 81 E9 A4 03 00 00 74 27 83 E9 04 74 1B 83 E9 0D 74 0F FF C9 74 04 8B C3 EB 1A B8 04 04 00 00 EB 13 B8 12 04 00 00 EB 0C B8 04 08 00 00 EB 05 B8 11 04 00 00 89 46 0C 44 89 66 08 EB 03 89 5E 08 48 8D 7E 10 0F B7 C3 B9 06 00 00 00 66 F3 AB E9 DF 00 00 00 39 1D ?? ?? ?? ?? 0F 85 B8 FE FF FF 83 C8 FF E9 D5 00 00 00 48 8D 4E 1C 33 D2 41 B8 01 01 00 00 E8 ?? ?? ?? ?? 4C 8D 54 6D 00 4C 8D 1D ?? ?? ?? ?? 49 C1 E2 04 BD 04 00 00 00 4F 8D 44 2A 10 49 8B C8 41 38 18 74 31 38 59 01 74 2C 0F B6 11 0F B6 41 01 3B D0 77 19 4C 8D 4C 32 1D 41 8A 03 41 03 D4 41 08 01 0F B6 41 01 4D 03 CC 3B D0 76 EC 48 83 C1 02 38 19 75 CF 49 83 C0 08 4D 03 DC 49 2B EC 75 BB 89 7E 04 81 EF A4 03 00 00 44 89 66 08 74 23 83 EF 04 74 17 83 EF 0D 74 0B FF CF 75 1A BB 04 04 00 00 EB 13 BB 12 04 00 00 EB 0C BB 04 08 00 00 EB 05 BB 11 04 00 00 4C 2B D6 89 5E 0C 48 8D 4E 10 4B 8D 7C 2A F4 BA 06 00 00 00 0F B7 04 0F 66 89 01 48 83 C1 02 49 2B D4 75 F0 48 8B CE E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_209_10_0 {
	meta:
		name = "_getmbcp"
		size = 80
		refs = "000c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 28 45 33 DB 44 39 58 08 74 18 8B 40 04 44 38 5C 24 38 74 23 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 15 44 38 5C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_209_11_0 {
	meta:
		name = "_setmbcp"
		size = 478
		refs = "0020 _getptd 0028 __updatetmbcinfo 0036 ?getSystemCP@@YAHH@Z 004c _malloc_crt 006f memcpy 007c _setmbcp_nolock 0095 __initialmbcinfo 00ab free 00c8 __globallocalestatus 00db _lock 00e5 __mbcodepage 00ee __ismbcodepage 00f7 __mblcid 0100 __ImageBase 011a __mbulinfo 013b _mbctype 015d _mbcasemap 0168 __ptmbcinfo 018f _unlock 01af _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 30 8B F9 41 83 CD FF E8 ?? ?? ?? ?? 48 8B F0 E8 ?? ?? ?? ?? 48 8B 9E B8 00 00 00 8B CF E8 ?? ?? ?? ?? 44 8B E0 3B 43 04 0F 84 75 01 00 00 B9 20 02 00 00 E8 ?? ?? ?? ?? 48 8B D8 33 FF 48 85 C0 0F 84 62 01 00 00 48 8B 96 B8 00 00 00 48 8B C8 41 B8 20 02 00 00 E8 ?? ?? ?? ?? 89 3B 48 8B D3 41 8B CC E8 ?? ?? ?? ?? 44 8B E8 85 C0 0F 85 0A 01 00 00 48 8B 8E B8 00 00 00 4C 8D 25 ?? ?? ?? ?? F0 FF 09 75 11 48 8B 8E B8 00 00 00 49 3B CC 74 05 E8 ?? ?? ?? ?? 48 89 9E B8 00 00 00 F0 FF 03 F6 86 C8 00 00 00 02 0F 85 FA 00 00 00 F6 05 ?? ?? ?? ?? 01 0F 85 ED 00 00 00 BE 0D 00 00 00 8B CE E8 ?? ?? ?? ?? 90 8B 43 04 89 05 ?? ?? ?? ?? 8B 43 08 89 05 ?? ?? ?? ?? 8B 43 0C 89 05 ?? ?? ?? ?? 8B D7 4C 8D 05 ?? ?? ?? ?? 89 54 24 20 83 FA 05 7D 15 48 63 CA 0F B7 44 4B 10 66 41 89 84 48 ?? ?? ?? ?? FF C2 EB E2 8B D7 89 54 24 20 81 FA 01 01 00 00 7D 13 48 63 CA 8A 44 19 1C 42 88 84 01 ?? ?? ?? ?? FF C2 EB E1 89 7C 24 20 81 FF 00 01 00 00 7D 16 48 63 CF 8A 84 19 1D 01 00 00 42 88 84 01 ?? ?? ?? ?? FF C7 EB DE 48 8B 05 ?? ?? ?? ?? F0 FF 08 75 11 48 8B 0D ?? ?? ?? ?? 49 3B CC 74 05 E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? F0 FF 03 8B CE E8 ?? ?? ?? ?? EB 2B 83 F8 FF 75 26 4C 8D 25 ?? ?? ?? ?? 49 3B DC 74 08 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 05 33 FF 44 8B EF 41 8B C5 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 30 41 5D C3 }
	condition:
		$1
}

rule file_209_13_0 {
	meta:
		name = "__initmbctable"
		size = 40
		refs = "0006 __mbctype_initialized 0013 _setmbcp"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 14 B9 FD FF FF FF E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_211_0_0 {
	meta:
		name = "wcschr"
		size = 31
	strings:
		$1 = { EB 09 66 3B C2 74 11 48 83 C1 02 0F B7 01 66 85 C0 75 EF 66 3B C2 75 04 48 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "wcsncmp"
		size = 43
	strings:
		$1 = { 4D 85 C0 75 18 33 C0 C3 0F B7 01 66 85 C0 74 12 66 3B 02 75 0D 48 83 C1 02 48 83 C2 02 49 FF C8 75 E6 0F B7 01 0F B7 0A 2B C1 C3 }
	condition:
		$1
}

rule file_213_1_0 {
	meta:
		name = "_setenvp"
		size = 304
		refs = "0016 __mbctype_initialized 001e __initmbctable 0025 _aenvptr 0042 strlen 005d _calloc_crt 0067 _environ 00ae strcpy_s 00d0 free 00e2 __env_initialized 0112 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 33 FF 48 85 DB 75 1B 83 C8 FF E9 B4 00 00 00 3C 3D 74 02 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8D 5C 03 01 8A 03 84 C0 75 E7 8D 47 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 05 ?? ?? ?? ?? 48 85 C0 74 C0 48 8B 1D ?? ?? ?? ?? 80 3B 00 74 50 48 8B CB E8 ?? ?? ?? ?? 80 3B 3D 8D 70 01 74 2E 48 63 EE BA 01 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 89 07 48 85 C0 74 73 4C 8B C3 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 4B 48 83 C7 08 48 63 C6 48 03 D8 80 3B 00 75 B7 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 27 00 C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E9 00 FF FF FF }
	condition:
		$1
}

rule file_214_1_0 {
	meta:
		name = "_assert"
		size = 2138
		refs = "0022 __security_cookie 003f _set_error_mode 005e __app_type 0072 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 007f strcpy_s 008e dblnewline 009b strcat_s 00aa ??_C@_09KLGCKDOD@Program?3?5?$AA@ 00db __imp_GetModuleFileNameA 00e6 ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@ 010f _invoke_watson 0123 strlen 0146 dotdotdot 016c _mbsnbcpy_s 01a4 newline 01c0 ??_C@_06IGPBOHMJ@File?3?5?$AA@ 0253 _mbsnbcat_s 049e ??_C@_06FIEBOLOH@Line?3?5?$AA@ 04e3 _itoa_s 050e ??_C@_0N@MEECIJGN@Expression?3?5?$AA@ 05e4 ??_C@_0HA@OJHAGA@For?5information?5on?5how?5your?5prog@ 0618 ??_C@_0DN@EBBNMLME@?$CIPress?5Retry?5to?5debug?5the?5applic@ 0630 ??_C@_0CF@GOGNBNAK@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@ 0640 __crtMessageBoxA 064d raise 0657 _exit 07d9 __iob_func 07f9 setvbuf 0805 _assertstring 0819 fprintf 0827 fflush 082c abort 083b __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 90 FD FF FF 48 81 EC 70 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 02 00 00 4C 8B F1 B9 03 00 00 00 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 83 F8 01 0F 84 8C 07 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 33 F6 85 C0 75 0D 83 3D ?? ?? ?? ?? 01 0F 84 6F 07 00 00 41 BC 1C 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 41 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 38 07 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 41 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 07 07 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 41 8B D4 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 D6 06 00 00 48 8D 95 50 01 00 00 41 B8 04 01 00 00 40 88 B5 54 02 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 31 4C 8D 05 ?? ?? ?? ?? 48 8D 8D 50 01 00 00 BA 05 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 8D 8D 50 01 00 00 48 8D BD 50 01 00 00 E8 ?? ?? ?? ?? 41 BD 31 00 00 00 48 83 C0 0B 48 83 F8 3C 76 52 48 8D 8D 50 01 00 00 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8D 95 55 02 00 00 48 8B F8 48 8D 85 50 01 00 00 45 8D 4D D2 49 2B C5 48 03 F8 48 2B D7 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 15 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 30 4C 8B C7 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 E5 05 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 B4 05 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 83 05 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C0 08 48 83 F8 3C 0F 86 78 02 00 00 48 8B CB E8 ?? ?? ?? ?? BF 01 00 00 00 4C 8B E0 8A 44 03 FF 3C 5C 74 1A 4A 8D 4C 23 FF 3C 2F 74 11 49 3B FC 73 0C 48 FF C9 48 FF C7 8A 01 3C 5C 75 EB 49 8B F4 48 2B F7 48 83 FE 23 0F 86 A2 00 00 00 48 83 FF 11 0F 83 94 00 00 00 4C 2B EF 41 BC 1C 02 00 00 48 8D 4C 24 30 4D 8B CD 41 8B D4 4C 8B C3 E8 ?? ?? ?? ?? 85 C0 75 5E 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 41 8B D4 E8 ?? ?? ?? ?? 85 C0 75 30 4C 8D 04 1E 48 8D 4C 24 30 41 8B D4 E8 ?? ?? ?? ?? 33 F6 85 C0 0F 84 F1 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 FE 23 4C 8B C3 48 8D 4C 24 30 0F 83 93 00 00 00 48 D1 EF 4C 2B EF 4D 8B CD 41 BD 1C 02 00 00 41 8B D5 E8 ?? ?? ?? ?? 33 F6 85 C0 75 61 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 41 8B D5 E8 ?? ?? ?? ?? 85 C0 75 34 48 2B DF 48 8D 4C 24 30 41 8B D5 4D 8D 04 1C 45 8B E5 E8 ?? ?? ?? ?? 85 C0 0F 84 4A 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 41 BD 1C 02 00 00 41 B9 20 00 00 00 41 8B D5 E8 ?? ?? ?? ?? 85 C0 0F 85 C1 00 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 41 8B D5 E8 ?? ?? ?? ?? 85 C0 0F 85 8F 00 00 00 4C 8D 04 1E 44 8D 48 07 48 8D 4C 24 30 41 8B D5 E8 ?? ?? ?? ?? 33 F6 85 C0 75 5F 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 41 8B D5 E8 ?? ?? ?? ?? 85 C0 75 32 4E 8D 44 23 F9 48 8D 4C 24 30 41 8B D5 45 8B E5 E8 ?? ?? ?? ?? 85 C0 0F 84 83 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8D 4C 24 30 4C 8B C3 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 C8 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 97 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 66 02 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B DC 48 2B D8 E8 ?? ?? ?? ?? 41 B9 0A 00 00 00 48 8D 54 04 30 4C 8B C3 41 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 19 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 E8 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 B7 01 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8D 4C 24 30 48 8B D8 E8 ?? ?? ?? ?? 48 8D 8C 03 B0 00 00 00 49 3B CC 48 8D 4C 24 30 76 64 E8 ?? ?? ?? ?? 41 B9 69 01 00 00 48 8D 4C 24 30 4D 8B C6 49 8B D4 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 75 2D 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 74 3D 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 4D 8B C6 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 04 01 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 D3 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 0F 85 A2 00 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 75 75 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 30 49 8B D4 E8 ?? ?? ?? ?? 85 C0 75 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 41 B8 12 20 01 00 E8 ?? ?? ?? ?? 83 F8 03 75 13 8D 48 13 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC 83 F8 04 75 06 CC E9 C9 01 00 00 83 F8 05 0F 85 BB 01 00 00 E9 BB 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? F7 40 78 0C 01 00 00 75 17 E8 ?? ?? ?? ?? 45 33 C9 33 D2 48 8D 48 60 45 8D 41 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8B CB 48 8D 48 60 4D 8B C6 44 89 7C 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 48 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 8D 60 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 03 00 00 48 81 C4 70 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_215_0_0 {
	meta:
		name = "fgetpos"
		size = 75
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 002f _ftelli64"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B FA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 17 48 85 D2 74 E6 E8 ?? ?? ?? ?? 48 83 F8 FF 48 89 07 0F 95 C3 8D 43 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_217_1_0 {
	meta:
		name = "_wgetenv_helper_nolock"
		size = 187
		refs = "0011 __env_initialized 0019 _wenviron 002e _environ 0035 __crtGetEnvironmentStringsW 003c _wenvptr 0041 _wsetenvp 004a __mbtow_environ 0067 wcslen 0091 _wcsnicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 3D ?? ?? ?? ?? 00 48 8B 1D ?? ?? ?? ?? 48 8B F1 0F 84 83 00 00 00 48 85 DB 75 33 48 39 1D ?? ?? ?? ?? 74 75 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 09 E8 ?? ?? ?? ?? 85 C0 75 57 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 4B 48 85 F6 74 46 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B 0B 48 85 C9 74 33 E8 ?? ?? ?? ?? 48 3B C7 76 19 48 8B 0B 66 83 3C 79 3D 75 0F 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 06 48 83 C3 08 EB CF 48 8B 03 48 8D 44 78 02 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_217_2_0 {
	meta:
		name = "_wgetenv_s_helper"
		size = 208
		refs = "002b _errno 0037 _invalid_parameter_noinfo 0079 _wgetenv_helper_nolock 008d wcslen 00b3 wcscpy_s 00cb _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 45 33 E4 49 8B D8 48 8B FA 48 8B E9 48 85 C9 75 2E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 4C 89 21 48 85 D2 74 07 48 85 DB 75 07 EB C3 48 85 DB 75 BE 48 85 D2 74 04 66 44 89 22 49 8B C9 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 04 33 C0 EB B4 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 48 89 45 00 48 85 DB 74 E8 48 3B C3 76 07 B8 22 00 00 00 EB 94 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 CA 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_217_3_0 {
	meta:
		name = "_wdupenv_s_helper"
		size = 212
		refs = "0020 _errno 002c _invalid_parameter_noinfo 005d _wgetenv_helper_nolock 0071 wcslen 0082 calloc 00ac wcscpy_s 00cf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B DA 48 8B F9 48 85 C9 75 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 21 00 48 85 D2 74 04 48 83 22 00 4D 85 C0 74 C6 49 8B C8 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 04 33 C0 EB C5 48 8B C8 E8 ?? ?? ?? ?? BA 02 00 00 00 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 90 4C 8B C5 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0A 48 85 DB 74 B0 48 89 33 EB AB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_217_4_0 {
	meta:
		name = "_wgetenv"
		size = 107
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 002f wcsnlen 0048 _lock 0051 _wgetenv_helper_nolock 005e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3C BA FF 7F 00 00 E8 ?? ?? ?? ?? 33 C9 48 3D FF 7F 00 00 0F 92 C1 85 C9 74 D3 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_795_4_0 {
	meta:
		name = "getenv"
		size = 107
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 002f strnlen 0048 _lock 0051 _getenv_helper_nolock 005e _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3C BA FF 7F 00 00 E8 ?? ?? ?? ?? 33 C9 48 3D FF 7F 00 00 0F 92 C1 85 C9 74 D3 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_217_6_0 {
	meta:
		name = "_wgetenv_s"
		size = 254
		refs = "002b _lock 003f _errno 004b _invalid_parameter_noinfo 0082 _wgetenv_helper_nolock 0092 wcslen 00b8 wcscpy_s 00c6 _unlock 00de _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 30 4D 8B E1 49 8B F0 48 8B FA 4C 8B E9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 ED 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 6F 49 89 5D 00 48 85 FF 74 0A 48 85 F6 75 0A 48 85 FF 75 0C 48 85 F6 75 07 B8 01 00 00 00 EB 02 8B C3 85 C0 74 C8 48 85 FF 74 03 66 89 1F 49 8B CC E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 32 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 49 89 45 00 48 85 F6 74 1E 48 3B C6 76 07 BB 22 00 00 00 EB 12 4D 8B C4 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 0E B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 30 41 5D C3 }
	condition:
		$1
}

rule file_217_7_0 {
	meta:
		name = "_wgetenv_s$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_dupenv_s$fin$0 _wdupenv_s$fin$0 getenv_s$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_217_8_0 {
	meta:
		name = "_wdupenv_s"
		size = 258
		refs = "0028 _lock 003c _errno 0048 _invalid_parameter_noinfo 0069 _wgetenv_helper_nolock 0079 wcslen 008a calloc 00b4 wcscpy_s 00ca _unlock 00e2 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 30 4D 8B E0 48 8B FA 48 8B F1 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 48 85 F6 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 76 48 89 1E 48 85 FF 74 03 48 89 1F 8B C3 4D 85 E4 0F 95 C0 85 C0 74 D6 49 8B CC E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 4F 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 60 01 BA 02 00 00 00 49 8B CC E8 ?? ?? ?? ?? 48 89 06 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 1A 4D 8B C5 49 8B D4 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 16 48 85 FF 74 03 4C 89 27 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 30 41 5D C3 }
	condition:
		$1
}

rule file_218_0_0 {
	meta:
		name = "_flsbuf"
		size = 397
		refs = "001e _fileno 002e _errno 008d __iob_func 00ab _isatty 00b7 _getbuf 00ea _write 0110 __pioinfo 0128 __badioinfo 013b _lseeki64"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 89 48 08 57 48 83 EC 20 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 8B 4B 18 48 63 F0 F6 C1 82 75 17 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 4B 18 20 83 C8 FF E9 34 01 00 00 F6 C1 40 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB E2 33 FF F6 C1 01 74 19 89 7B 08 F6 C1 10 0F 84 89 00 00 00 48 8B 43 10 83 E1 FE 48 89 03 89 4B 18 8B 43 18 89 7B 08 83 E0 EF 83 C8 02 89 43 18 A9 0C 01 00 00 75 2F E8 ?? ?? ?? ?? 48 83 C0 30 48 3B D8 74 0E E8 ?? ?? ?? ?? 48 83 C0 60 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 08 48 8B CB E8 ?? ?? ?? ?? F7 43 18 08 01 00 00 0F 84 8D 00 00 00 8B 2B 48 8B 53 10 2B 6B 10 48 8D 42 01 48 89 03 8B 43 24 FF C8 89 43 08 85 ED 7E 19 44 8B C5 8B CE E8 ?? ?? ?? ?? 8B F8 EB 57 83 C9 20 89 4B 18 E9 3F FF FF FF 83 FE FF 74 23 83 FE FE 74 1E 48 8B CE 48 8B C6 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 C1 F8 05 48 6B C9 58 48 03 0C C2 EB 07 48 8D 0D ?? ?? ?? ?? F6 41 08 20 74 17 33 D2 8B CE 44 8D 42 02 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 EF FE FF FF 48 8B 4B 10 8A 44 24 30 88 01 EB 16 BD 01 00 00 00 48 8D 54 24 30 8B CE 44 8B C5 E8 ?? ?? ?? ?? 8B F8 3B FD 0F 85 C5 FE FF FF 0F B6 44 24 30 48 8B 5C 24 38 48 8B 6C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_219_0_0 {
	meta:
		name = "_filbuf"
		size = 338
		refs = "0018 _errno 0023 _invalid_parameter_noinfo 005c _getbuf 006d _fileno 007c _read 00c2 __pioinfo 00e6 __badioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 13 01 00 00 8B 41 18 A8 83 0F 84 08 01 00 00 A8 40 0F 85 00 01 00 00 A8 02 74 0B 83 C8 20 89 41 18 E9 F1 00 00 00 83 C8 01 89 41 18 A9 0C 01 00 00 75 07 E8 ?? ?? ?? ?? EB 07 48 8B 41 10 48 89 01 48 8B CF E8 ?? ?? ?? ?? 44 8B 47 24 48 8B 57 10 8B C8 E8 ?? ?? ?? ?? 89 47 08 85 C0 0F 84 A3 00 00 00 83 F8 FF 0F 84 9A 00 00 00 F6 47 18 82 75 5F 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 3C 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2F 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 8D 35 ?? ?? ?? ?? 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 1F 4D 6B DB 58 4C 03 1C DE EB 07 4C 8D 1D ?? ?? ?? ?? 41 8A 43 08 24 82 3C 82 75 05 0F BA 6F 18 0D 81 7F 24 00 02 00 00 75 1B F6 47 18 08 74 15 8B 47 24 F7 47 18 00 04 00 00 B9 00 10 00 00 0F 44 C1 89 47 24 48 8B 0F FF 4F 08 0F B6 01 48 FF C1 48 89 0F EB 14 F7 D8 1B C0 83 E0 10 83 C0 10 09 47 18 83 67 08 00 83 C8 FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_221_0_0 {
	meta:
		name = "_powf_special"
		size = 293
		refs = "0105 ??_C@_04MBFDLNIM@powf?$AA@ 0114 _handle_errorf"
	strings:
		$1 = { 48 83 EC 78 0F 29 74 24 60 B8 02 00 00 00 0F 28 F2 41 83 F9 01 0F 84 BB 00 00 00 44 3B C8 0F 84 8D 00 00 00 0F 86 EE 00 00 00 41 83 F9 06 76 61 41 83 F9 07 74 33 41 83 F9 09 0F 85 D8 00 00 00 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8D 48 01 C7 44 24 20 11 00 00 00 E9 8D 00 00 00 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 04 00 00 00 C7 44 24 20 12 00 00 00 EB 65 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 21 00 00 00 41 B9 01 00 00 00 EB 3D 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8B C8 C7 44 24 20 04 00 00 00 EB 20 89 44 24 40 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 83 64 24 28 00 45 33 C9 C7 44 24 20 08 00 00 00 48 83 64 24 50 00 F3 0F 11 74 24 50 48 8D 0D ?? ?? ?? ?? 4C 8B 44 24 50 BA 1D 00 00 00 E8 ?? ?? ?? ?? 0F 28 C6 0F 28 74 24 60 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_221_1_0 {
	meta:
		name = "_pow_special"
		size = 256
		refs = "00dc ??_C@_03JGHBODFD@pow?$AA@ 00ee _handle_error"
	strings:
		$1 = { 48 83 EC 68 B8 02 00 00 00 0F 29 74 24 50 66 0F 28 F2 44 3B C8 0F 84 92 00 00 00 0F 86 D1 00 00 00 41 83 F9 06 76 5E 41 83 F9 08 76 30 41 83 F9 09 0F 85 BB 00 00 00 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8D 48 01 C7 44 24 20 11 00 00 00 EB 73 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 41 B9 04 00 00 00 C7 44 24 20 12 00 00 00 EB 4B 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 41 B9 01 00 00 00 C7 44 24 20 08 00 00 00 EB 23 89 44 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 22 00 00 00 44 8B C8 C7 44 24 20 04 00 00 00 F2 0F 11 94 24 80 00 00 00 48 8D 0D ?? ?? ?? ?? BA 1D 00 00 00 4C 8B 84 24 80 00 00 00 E8 ?? ?? ?? ?? 66 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_223_0_0 {
	meta:
		name = "??__C@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z"
		size = 101
	strings:
		$1 = { 4C 89 44 24 18 48 89 4C 24 08 53 56 57 41 54 41 55 48 83 EC 30 45 8B E9 4D 8B E0 48 8B F2 48 8B F9 33 DB 89 5C 24 20 89 5C 24 24 41 3B DD 7D 21 48 8B D6 48 8B CF FF 94 24 80 00 00 00 49 03 FC 48 89 7C 24 60 49 03 F4 48 89 74 24 68 FF C3 EB D6 C7 44 24 20 01 00 00 00 48 83 C4 30 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_223_1_0 {
	meta:
		name = "?fin$0@?0???__C@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z@4HA"
		size = 47
		refs = "0023 ?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
		altNames = "?fin$0@?0???__D@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 19 4C 8B 8D 88 00 00 00 44 8B 45 24 48 8B 55 70 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_224_0_0 {
	meta:
		name = "_openfile"
		size = 694
		refs = "0018 _commode 0052 _errno 005d _invalid_parameter_noinfo 01a0 ?ccsField@?P@??_openfile@@9@9 01ae _mbsnbcmp 01dc ?utf8encoding@?P@??_openfile@@9@9 01ea _mbsnbicmp 01ff ?utf16encoding@?P@??_openfile@@9@9 0222 ?unicodeencoding@?P@??_openfile@@9@9 026e _sopen_s 027d _cflush"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 54 41 55 41 57 48 83 EC 30 8B 2D ?? ?? ?? ?? 49 8B F1 45 33 C9 45 33 D2 45 33 DB 80 3A 20 45 8D 79 01 45 8B E0 48 8B DA 4C 8B E9 75 08 49 03 DF 80 3B 20 74 F8 80 3B 61 74 2F 80 3B 72 74 23 80 3B 77 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 37 02 00 00 BF 01 03 00 00 EB 0C 33 FF 41 0B EF EB 08 BF 09 01 00 00 83 CD 02 49 03 DF 41 8B D7 8A 03 84 C0 0F 84 BB 01 00 00 41 B8 00 40 00 00 85 D2 0F 84 EE 00 00 00 0F BE C8 83 F9 53 7F 79 74 6A 83 E9 20 0F 84 CE 00 00 00 83 E9 0B 74 47 FF C9 74 3E 83 E9 18 74 27 83 E9 0A 74 19 83 F9 04 75 8A 45 85 D2 0F 85 A5 00 00 00 45 8B D7 83 CF 10 E9 A2 00 00 00 0F BA EF 07 E9 99 00 00 00 40 F6 C7 40 0F 85 87 00 00 00 83 CF 40 E9 87 00 00 00 45 8B DF EB 7A 40 F6 C7 02 75 74 83 E7 FE 83 E5 FC 83 CF 02 0F BA ED 07 EB 6D 45 85 D2 75 60 45 8B D7 83 CF 20 EB 60 83 E9 54 74 4D 83 E9 0E 74 3A FF C9 74 29 83 E9 0B 74 16 83 F9 06 0F 85 18 FF FF FF F7 C7 00 C0 00 00 75 34 41 0B F8 EB 37 45 85 C9 75 2A 45 8B CF 0F BA F5 0E EB 29 45 85 C9 75 1C 45 8B CF 41 0B E8 EB 1C F7 C7 00 C0 00 00 75 0C 0F BA EF 0F EB 0E 0F BA E7 0C 73 04 33 D2 EB 04 0F BA EF 0C 49 03 DF 8A 03 84 C0 0F 85 0A FF FF FF 45 85 DB 0F 84 B6 00 00 00 EB 03 49 03 DF 80 3B 20 74 F8 48 8D 0D ?? ?? ?? ?? 41 B8 03 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 97 FE FF FF 48 83 C3 03 EB 03 49 03 DF 80 3B 20 74 F8 80 3B 3D 0F 85 80 FE FF FF 49 03 DF 80 3B 20 74 F8 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 05 0F BA EF 12 EB 4D 48 8D 15 ?? ?? ?? ?? 41 B8 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 08 0F BA EF 11 EB 2A 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 15 FE FF FF 48 83 C3 07 0F BA EF 10 EB 03 49 03 DF 80 3B 20 74 F8 80 3B 00 0F 85 FA FD FF FF 48 8D 4C 24 68 45 8B CC 44 8B C7 49 8B D5 C7 44 24 20 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 E7 FD FF FF 44 01 3D ?? ?? ?? ?? 21 46 08 8B 44 24 68 48 83 26 00 48 83 66 10 00 48 83 66 28 00 89 46 1C 89 6E 18 48 8B C6 48 8B 5C 24 60 48 8B 6C 24 70 48 83 C4 30 41 5F 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_225_3_0 {
	meta:
		name = "_ismbstrail_l"
		size = 164
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 70 48 85 D2 74 E9 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 83 7B 08 00 74 3F 48 3B DF 77 3A 80 3B 00 74 35 0F B6 03 42 F6 44 18 1D 04 74 0D 48 FF C3 48 3B DF 74 0A 80 3B 00 74 1D 48 FF C3 EB D9 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 83 C8 FF EB 15 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_227_0_0 {
	meta:
		name = "sprintf"
		size = 160
		refs = "002f memset 0039 _errno 0044 _invalid_parameter_noinfo 0077 _output_l 0092 _flsbuf"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 55 53 57 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 48 8B D9 48 8D 4D D8 44 8D 42 28 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4B 48 85 DB 74 E6 4C 8D 4D 30 48 8D 4D D0 45 33 C0 48 8B D7 C7 45 D8 FF FF FF 7F C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 09 48 8B 4D D0 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_227_3_0 {
	meta:
		name = "_sprintf_s_l"
		size = 29
		refs = "0014 _vsprintf_s_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_919_1_0 {
	meta:
		name = "_snprintf_c_l"
		size = 29
		refs = "0014 _vsnprintf_c_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_296_1_0 {
	meta:
		name = "_snprintf_l"
		size = 29
		refs = "0014 _vsnprintf_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_619_1_0 {
	meta:
		name = "_snwprintf_l"
		size = 29
		refs = "0014 _vsnwprintf_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_227_7_0 {
	meta:
		name = "_sprintf_p_l"
		size = 29
		refs = "0014 _vsprintf_p_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_714_1_0 {
	meta:
		name = "_swprintf_c_l"
		size = 29
		refs = "0014 _vswprintf_c_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_520_7_0 {
	meta:
		name = "_swprintf_p_l"
		size = 29
		refs = "0014 _vswprintf_p_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_520_5_0 {
	meta:
		name = "_swprintf_s_l"
		size = 29
		refs = "0014 _vswprintf_s_l"
	strings:
		$1 = { 4C 89 4C 24 20 48 83 EC 38 48 8D 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_227_4_0 {
	meta:
		name = "_snprintf_s"
		size = 34
		refs = "0019 _vsnprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 49 83 63 E8 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_520_3_0 {
	meta:
		name = "_snwprintf_s"
		size = 34
		refs = "0019 _vsnwprintf_s_l"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 49 83 63 E8 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_227_5_0 {
	meta:
		name = "_snprintf_s_l"
		size = 33
		refs = "0018 _vsnprintf_s_l"
	strings:
		$1 = { 4C 8B DC 48 83 EC 38 49 8D 43 30 49 89 43 F0 49 8B 43 28 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_520_6_0 {
	meta:
		name = "_snwprintf_s_l"
		size = 33
		refs = "0018 _vsnwprintf_s_l"
	strings:
		$1 = { 4C 8B DC 48 83 EC 38 49 8D 43 30 49 89 43 F0 49 8B 43 28 49 89 43 E8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_227_8_0 {
	meta:
		name = "_scprintf"
		size = 37
		refs = "001c _vscprintf"
		altNames = "_scprintf_p"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 50 10 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_520_8_0 {
	meta:
		name = "_scwprintf"
		size = 37
		refs = "001c _vscwprintf"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 50 10 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_520_9_0 {
	meta:
		name = "_scwprintf_p"
		size = 37
		refs = "001c _vscwprintf_p"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 48 83 EC 28 48 8D 50 10 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_228_1_0 {
	meta:
		name = "_call_reportfault"
		size = 331
		refs = "0020 __security_cookie 003b __crt_debugger_hook 0052 memset 006f __imp_RtlCaptureContext 0086 RtlLookupFunctionEntry 00c0 RtlVirtualUnwind 00f7 __imp_IsDebuggerPresent 0101 __imp_SetUnhandledExceptionFilter 010c __imp_UnhandledExceptionFilter 012f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 54 48 8D AC 24 10 FB FF FF 48 81 EC F0 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 04 00 00 41 8B F8 8B F2 8B D9 83 F9 FF 74 05 E8 ?? ?? ?? ?? 83 64 24 70 00 48 8D 4C 24 74 33 D2 41 B8 94 00 00 00 E8 ?? ?? ?? ?? 4C 8D 5C 24 70 48 8D 45 10 48 8D 4D 10 4C 89 5C 24 48 48 89 44 24 50 FF 15 ?? ?? ?? ?? 4C 8B A5 08 01 00 00 48 8D 54 24 40 49 8B CC 45 33 C0 E8 ?? ?? ?? ?? 48 85 C0 74 37 48 83 64 24 38 00 48 8B 54 24 40 48 8D 4C 24 60 48 89 4C 24 30 48 8D 4C 24 58 4C 8B C8 48 89 4C 24 28 48 8D 4D 10 4D 8B C4 48 89 4C 24 20 33 C9 E8 ?? ?? ?? ?? EB 1C 48 8B 85 08 05 00 00 48 89 85 08 01 00 00 48 8D 85 08 05 00 00 48 89 85 A8 00 00 00 48 8B 85 08 05 00 00 89 74 24 70 89 7C 24 74 48 89 45 80 FF 15 ?? ?? ?? ?? 33 C9 8B F8 FF 15 ?? ?? ?? ?? 48 8D 4C 24 48 FF 15 ?? ?? ?? ?? 85 C0 75 10 85 FF 75 0C 83 FB FF 74 07 8B CB E8 ?? ?? ?? ?? 48 8B 8D E0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 05 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_228_4_0 {
	meta:
		name = "_invoke_watson"
		size = 49
		refs = "0014 _call_reportfault 001a __imp_GetCurrentProcess 002d __imp_TerminateProcess"
	strings:
		$1 = { 48 83 EC 28 41 B8 01 00 00 00 BA 17 04 00 C0 41 8D 48 01 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? BA 17 04 00 C0 48 8B C8 48 83 C4 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_228_5_0 {
	meta:
		name = "?_invoke_watson@@YAXPEBG00I_K@Z"
		size = 20
		refs = "000f _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_228_6_0 {
	meta:
		name = "_invalid_parameter"
		size = 111
		refs = "001a __pInvalidArgHandler 0029 __imp_DecodePointer 006a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B E9 48 8B 0D ?? ?? ?? ?? 41 8B D9 49 8B F8 48 8B F2 FF 15 ?? ?? ?? ?? 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 48 85 C0 74 21 4C 8B 54 24 60 4C 89 54 24 20 FF D0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_228_7_0 {
	meta:
		name = "_invalid_parameter_noinfo"
		size = 30
		refs = "0015 _invalid_parameter"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_228_8_0 {
	meta:
		name = "_invalid_parameter_noinfo_noreturn"
		size = 47
		refs = "0015 _invalid_parameter 002a _invoke_watson"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_228_9_0 {
	meta:
		name = "?_invalid_parameter@@YAXPEBG00I_K@Z"
		size = 24
		refs = "000f _invalid_parameter"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_46_84_1 {
	meta:
		name = "??$_LStrcoll@D@std@@YAHPEBD000PEBU_Collvec@@@Z"
		size = 24
		refs = "000f _Strcoll"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_65_234_1 {
	meta:
		name = "??$_LStrcoll@_W@std@@YAHPEB_W000PEBU_Collvec@@@Z"
		size = 24
		refs = "000f _Wcscoll"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_46_85_1 {
	meta:
		name = "??$_LStrxfrm@D@std@@YA_KPEAD0PEBD1PEBU_Collvec@@@Z"
		size = 24
		refs = "000f _Strxfrm"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_65_235_1 {
	meta:
		name = "??$_LStrxfrm@_W@std@@YA_KPEA_W0PEB_W1PEBU_Collvec@@@Z"
		size = 24
		refs = "000f _Wcsxfrm"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_685_2_0 {
	meta:
		name = "?_vswprintf_l@@YAHPEAG_KPEBGPEAUlocaleinfo_struct@@PEAD@Z"
		size = 24
		refs = "000f ?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_229_3_0 {
	meta:
		name = "??0WorkSearchContext@details@Concurrency@@QEAA@XZ"
		size = 22
	strings:
		$1 = { 33 C0 48 89 41 10 48 89 41 18 48 89 41 28 48 89 41 30 48 8B C1 C3 }
	condition:
		$1
}

rule file_229_9_0 {
	meta:
		name = "?GetEnqueuedTaskCount@VirtualProcessor@details@Concurrency@@AEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 A0 00 00 00 8B C2 2B 81 A8 00 00 00 89 91 A8 00 00 00 C3 }
	condition:
		$1
}

rule file_229_10_0 {
	meta:
		name = "?GetDequeuedTaskCount@VirtualProcessor@details@Concurrency@@AEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 A4 00 00 00 8B C2 2B 81 AC 00 00 00 89 91 AC 00 00 00 C3 }
	condition:
		$1
}

rule file_229_14_0 {
	meta:
		name = "?SaveRetiredVirtualProcessorStatistics@SchedulerBase@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@@Z"
		size = 63
	strings:
		$1 = { 8B 82 A0 00 00 00 44 8B C0 44 2B 82 A8 00 00 00 89 82 A8 00 00 00 F0 44 0F C1 81 80 01 00 00 8B 82 A4 00 00 00 44 8B C0 44 2B 82 AC 00 00 00 89 82 AC 00 00 00 F0 44 0F C1 81 84 01 00 00 C3 }
	condition:
		$1
}

rule file_229_19_0 {
	meta:
		name = "?StartupWorkerContext@VirtualProcessor@details@Concurrency@@EEAAXPEAVScheduleGroupBase@23@@Z"
		size = 74
		refs = "001f ?GetInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 B0 00 00 00 00 48 8B C2 48 8B D9 75 1A 45 33 C0 33 D2 48 8B C8 E8 ?? ?? ?? ?? 4C 8B 03 48 8B CB 48 8B D0 41 FF 50 20 48 8B 8B 88 00 00 00 48 8B 93 B0 00 00 00 48 8B 01 48 83 C4 20 5B 48 FF 60 28 }
	condition:
		$1
}

rule file_229_20_0 {
	meta:
		name = "?Affinitize@VirtualProcessor@details@Concurrency@@MEAAXPEAVInternalContextBase@23@@Z"
		size = 77
		refs = "0014 ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 4C 8B 1B 48 8B D7 48 8B CB 41 FF 53 40 48 89 9F B0 00 00 00 F6 83 FF 00 00 00 01 74 0D FF 87 A4 00 00 00 80 A3 FF 00 00 00 FE 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_229_21_0 {
	meta:
		name = "?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ"
		size = 58
	strings:
		$1 = { 8B 41 08 4C 8B C1 83 F8 01 75 2C 33 C0 87 41 08 83 F8 01 75 22 80 B9 C3 00 00 00 00 75 16 48 8B 49 70 48 8B 11 F0 FF 8A 7C 01 00 00 49 8B 48 70 F0 FF 49 10 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_229_22_0 {
	meta:
		name = "?MakeAvailable@VirtualProcessor@details@Concurrency@@QEAAXXZ"
		size = 35
	strings:
		$1 = { 48 8B 41 70 41 B8 01 00 00 00 48 8B 10 F0 44 01 82 7C 01 00 00 48 8B 41 70 F0 44 01 40 10 44 87 41 08 C3 }
	condition:
		$1
}

rule file_229_23_0 {
	meta:
		name = "?Oversubscribe@VirtualProcessor@details@Concurrency@@EEAAPEAV123@XZ"
		size = 56
		refs = "0034 ?AddVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 70 48 8B D9 48 8B 10 48 8B 8A 70 01 00 00 48 8B 93 88 00 00 00 48 8B 01 FF 50 28 48 8B 4B 70 41 B0 01 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_229_24_0 {
	meta:
		name = "?GetCurrentSubAllocator@VirtualProcessor@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ"
		size = 46
		refs = "0016 ?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 90 00 00 00 00 48 8B D9 75 0E 33 C9 E8 ?? ?? ?? ?? 48 89 83 90 00 00 00 48 8B 83 90 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_229_25_0 {
	meta:
		name = "?UpdateRamblingState@VirtualProcessor@details@Concurrency@@QEAAX_NPEAVSchedulingRing@23@@Z"
		size = 120
		refs = "0047 ?CheckForNewOwningRing@SchedulingNode@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 4C 8B C9 4C 39 41 78 74 6E 8B 81 98 00 00 00 45 33 D2 84 D2 74 35 85 C0 75 5D 48 8B 41 70 4C 89 41 78 41 8D 52 01 C7 81 98 00 00 00 01 00 00 00 F0 0F C1 50 18 48 8B 41 70 FF C2 8B 48 14 3B D1 75 35 49 8B 49 70 E9 ?? ?? ?? ?? 85 C0 74 28 48 8B 41 70 48 8B 48 08 49 89 49 78 49 89 89 80 00 00 00 45 87 91 98 00 00 00 41 83 FA 01 75 08 49 8B 41 70 F0 FF 48 18 C3 }
	condition:
		$1
}

rule file_229_26_0 {
	meta:
		name = "?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z"
		size = 156
		refs = "0018 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0036 memset 003d ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 004b VirtualProcessorEventGuid 0081 ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 68 08 48 89 70 10 48 89 78 18 41 54 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8B F9 41 8B F0 40 8A EA 44 8B E1 74 5A 33 D2 48 8D 48 BA 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 05 ?? ?? ?? ?? 41 BB 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 44 88 64 24 24 40 88 6C 24 25 89 74 24 54 66 44 89 5C 24 20 89 7C 24 50 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 6B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5C C3 }
	condition:
		$1
}

rule file_229_28_0 {
	meta:
		name = "?SafePoint@VirtualProcessor@details@Concurrency@@QEAA_NXZ"
		size = 19
		refs = "000f ?MarkSafePoint@SchedulerBase@details@Concurrency@@QEAA_NPEAVSafePointMarker@23@@Z"
	strings:
		$1 = { 48 8B 41 70 48 8D 91 00 01 00 00 48 8B 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_229_29_0 {
	meta:
		name = "??0?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_HyperNonReentrantLock@12@@Z"
		size = 72
		refs = "0027 ??_U@YAPEAX_K@Z 003b memset"
		altNames = "??0?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_CriticalNonReentrantLock@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 C7 01 00 00 00 00 48 8B D9 48 89 51 18 C7 41 04 00 00 00 00 C7 41 08 3F 00 00 00 B9 00 02 00 00 E8 ?? ?? ?? ?? 33 D2 41 B8 00 02 00 00 48 8B C8 48 89 43 10 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_229_31_0 {
	meta:
		name = "?Pop@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 44
		altNames = "?Pop@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ ?PopStructured@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ"
	strings:
		$1 = { 4C 8B C9 8B 49 04 4D 63 41 08 49 8B 51 10 FF C9 48 63 C1 41 89 49 04 4C 23 C0 33 C0 4A 87 04 C2 48 85 C0 75 06 FF C1 41 89 49 04 C3 }
	condition:
		$1
}

rule file_229_35_0 {
	meta:
		name = "?GetLocalRunnableContext@VirtualProcessor@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ"
		size = 63
	strings:
		$1 = { 8B 51 14 8B 41 10 4C 8B C1 2B D0 85 D2 7E 2D 44 8B 49 14 48 63 51 18 41 FF C9 44 89 49 14 48 8B 49 20 49 63 C1 48 23 D0 33 C0 48 87 04 D1 48 85 C0 75 0B 41 8D 49 01 41 89 48 14 C3 33 C0 C3 }
	condition:
		$1
}

rule file_229_37_0 {
	meta:
		name = "??0VirtualProcessor@details@Concurrency@@QEAA@XZ"
		size = 139
		refs = "0014 ??_7VirtualProcessor@details@Concurrency@@6B@ 003d ??_U@YAPEAX_K@Z 0051 memset"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 99 B8 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 C7 41 10 00 00 00 00 C7 41 14 00 00 00 00 48 89 59 28 C7 41 18 3F 00 00 00 B9 00 02 00 00 E8 ?? ?? ?? ?? 33 D2 41 B8 00 02 00 00 48 8B C8 48 89 47 20 E8 ?? ?? ?? ?? 48 83 67 40 00 48 83 67 48 00 48 83 67 58 00 48 83 67 60 00 C7 03 00 00 00 00 48 8B 5C 24 30 C6 87 D0 00 00 00 00 83 A7 00 01 00 00 00 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_229_40_0 {
	meta:
		name = "?Initialize@VirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 241
		refs = "009c ?Reset@WorkSearchContext@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@W4Algorithm@123@@Z 00c1 ?g_TraceOn@details@Concurrency@@3_NA 00cb ?g_EnableLevel@details@Concurrency@@3EA 00dd ?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 89 51 70 48 8B 42 08 48 89 81 80 00 00 00 48 8B 42 08 4C 89 81 88 00 00 00 48 89 41 78 48 8B 41 70 40 88 B1 C1 00 00 00 89 B1 98 00 00 00 40 88 B1 C0 00 00 00 48 8B D9 C7 41 08 01 00 00 00 40 88 B1 C3 00 00 00 48 89 B1 A0 00 00 00 48 89 B1 A8 00 00 00 48 89 B1 B0 00 00 00 48 89 B1 C8 00 00 00 89 B1 00 01 00 00 48 89 B1 90 00 00 00 48 8B 08 39 71 14 49 8B F8 48 8B D3 48 8D 4B 30 44 8D 46 01 74 04 44 8D 46 02 E8 ?? ?? ?? ?? 48 8B 07 48 8B CF FF 50 20 89 83 BC 00 00 00 8B F8 48 8B 43 70 48 8B 08 48 8B 01 FF 50 08 40 38 35 ?? ?? ?? ?? 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CF 44 8B C0 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_229_41_0 {
	meta:
		name = "??1VirtualProcessor@details@Concurrency@@UEAA@XZ"
		size = 71
		refs = "0019 ??_7VirtualProcessor@details@Concurrency@@6B@ 002d ?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z 0043 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 89 90 00 00 00 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 A3 90 00 00 00 00 48 8B 4B 20 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_229_42_0 {
	meta:
		name = "?dtor$0@?0???1VirtualProcessor@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_103_0 {
	meta:
		name = "?dtor$0@?0???1InternalContextBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1ContextBase@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_382_1 {
	meta:
		name = "?dtor$1@?0???0_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_268_1 {
	meta:
		name = "?dtor$1@?0???0_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_229_43_0 {
	meta:
		name = "?MarkForRetirement@VirtualProcessor@details@Concurrency@@AEAAXXZ"
		size = 81
		refs = "0008 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 83 EC 28 4C 8B C9 E8 ?? ?? ?? ?? 84 C0 74 34 49 8B 91 B0 00 00 00 48 85 D2 74 1A 49 8B 89 88 00 00 00 41 C6 81 C1 00 00 00 01 48 8B 01 48 83 C4 28 48 FF 60 28 49 8B 01 49 8B C9 48 83 C4 28 48 FF 60 18 41 C6 81 C1 00 00 00 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_229_46_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 92
		refs = "0017 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		altNames = "?CheckForDeletionBridge@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 2B 48 8B 7E 20 EB 19 48 8D 8F 10 FF FF FF 48 8B 3F 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 85 FF 75 E2 48 89 5E 20 87 5E 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_229_48_0 {
	meta:
		name = "?Remove@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@H_N@Z"
		size = 323
		refs = "00b0 __imp_QueryDepthSList 00cb __imp_InterlockedPushEntrySList 00e8 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00ff __imp_InterlockedFlushSList 010e ?CheckForDeletionBridge@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 011a ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D F4 00 00 00 48 8B 43 60 44 3B 53 68 7C 1F 48 63 4B 68 4C 8B 44 C8 F8 78 1B 44 2B 53 68 42 8D 44 15 00 48 2B C5 4D 8B 40 08 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 E4 F0 4C 0F B1 24 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 93 00 00 00 41 8D 44 24 FE F0 45 0F B1 58 10 45 84 C9 74 7E 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 96 F0 00 00 00 44 0F B7 D8 44 3B 5B 74 7E 5B 48 8D 4B 10 FF 15 ?? ?? ?? ?? 48 8D 4B 10 FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 5B 74 7E 46 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 39 33 C0 F0 0F B1 6B 78 75 30 48 8D 4B 10 FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_229_50_0 {
	meta:
		name = "?Retire@VirtualProcessor@details@Concurrency@@MEAAXXZ"
		size = 405
		refs = "0039 ?UpdateRamblingState@VirtualProcessor@details@Concurrency@@QEAAX_NPEAVSchedulingRing@23@@Z 00d2 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 00e0 ?AddRunnableContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z 0137 ?g_TraceOn@details@Concurrency@@3_NA 0142 ?g_EnableLevel@details@Concurrency@@3EA 0154 ?ThrowVirtualProcessorEvent@VirtualProcessor@details@Concurrency@@CAXW4ConcRT_EventType@3@EKK@Z 0165 ?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z 0191 ?Remove@?$ListArray@VVirtualProcessor@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@H_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 80 B9 D0 00 00 00 00 48 8B D9 74 10 48 8B 41 70 48 8B D3 48 8B 08 48 8B 01 FF 50 68 8B 83 98 00 00 00 85 C0 74 0D 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 8B 43 70 F0 FF 48 14 80 BB C0 00 00 00 00 75 0B 48 8B 43 70 48 8B 08 F0 FF 49 1C 48 8B 43 70 48 8B 10 8B 83 A0 00 00 00 8B C8 2B 8B A8 00 00 00 89 83 A8 00 00 00 F0 0F C1 8A 80 01 00 00 8B 83 A4 00 00 00 8B C8 2B 8B AC 00 00 00 89 83 AC 00 00 00 F0 0F C1 8A 84 01 00 00 48 83 A3 B0 00 00 00 00 8B 43 10 8B 4B 14 2B C8 33 FF 85 C9 7E 4C 8B 53 14 48 63 4B 18 FF CA 48 63 C2 48 23 C8 48 8B 43 20 89 53 14 48 87 3C C8 48 85 FF 74 27 48 8D 4F 10 E8 ?? ?? ?? ?? 45 33 C0 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 44 8B 5B 10 8B 43 14 41 2B C3 33 FF 85 C0 EB B8 8D 42 01 89 43 14 48 85 FF 75 CE 48 8B 43 70 48 8B 8B 88 00 00 00 48 8B 10 4C 8B 01 48 8B 92 68 01 00 00 41 FF 50 10 48 21 BB 88 00 00 00 48 8B 43 70 48 8B 08 8B BB BC 00 00 00 48 8B 01 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CF 44 8B C0 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 A3 90 00 00 00 00 48 8B 4B 70 44 8B 83 9C 00 00 00 41 B1 01 48 83 C1 20 48 8B D3 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_230_5_0 {
	meta:
		name = "?_wcsupr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
		size = 491
		refs = "0022 __security_cookie 003f _errno 004b _invalid_parameter_noinfo 0055 wcsnlen 0086 __crtLCMapStringW 0124 __chkstk 013e malloc 019e wcscpy_s 01bf free 01cd __security_check_cookie"
	strings:
		$1 = { 40 55 41 55 41 56 48 83 EC 40 48 8D 6C 24 30 48 89 5D 30 48 89 75 38 48 89 7D 40 4C 89 65 48 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 45 33 F6 4D 8B E8 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 6F 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 06 66 44 89 33 EB DA 49 8B 45 00 8B 48 14 85 C9 74 54 41 83 C9 FF 4C 8B C3 BA 00 02 00 00 44 89 74 24 28 4C 89 74 24 20 E8 ?? ?? ?? ?? 4C 63 E0 85 C0 75 3F E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 1C 01 00 00 0F B7 03 66 83 F8 61 72 0D 66 83 F8 7A 77 07 66 83 E8 20 66 89 03 48 83 C3 02 66 44 39 33 75 E0 33 C0 E9 F5 00 00 00 49 8B CC 49 3B F4 73 13 66 44 89 33 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5D FF FF FF 85 C0 7E 67 33 D2 48 8D 42 E0 48 F7 F1 48 83 F8 02 72 58 4B 8D 4C 24 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 29 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 49 8B FE 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 2F FF FF FF 49 8B 45 00 41 83 C9 FF 4C 8B C3 8B 48 14 BA 00 02 00 00 44 89 64 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 4C 8B 65 48 48 8D 65 10 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_230_9_0 {
	meta:
		name = "_wcsupr"
		size = 111
		refs = "000f __locale_changed 001b _errno 0026 _invalid_parameter_noinfo 0062 _wcsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 48 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3B 48 8B C1 66 44 39 01 74 2F 0F B7 08 BA 61 00 00 00 66 3B D1 77 0D 66 83 F9 7A 77 07 66 83 E9 20 66 89 08 48 83 C0 02 66 44 39 00 75 DC EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_231_0_0 {
	meta:
		name = "_abstract_cw"
		size = 156
	strings:
		$1 = { 33 C0 F6 C1 80 41 BA 00 02 00 00 8D 50 10 0F 45 C2 41 85 CA 74 03 83 C8 08 0F BA E1 0A 73 03 83 C8 04 0F BA E1 0B 73 03 83 C8 02 0F BA E1 0C 73 03 83 C8 01 41 B8 00 01 00 00 41 85 C8 74 04 0F BA E8 13 8B D1 41 B9 00 60 00 00 41 23 D1 74 24 81 FA 00 20 00 00 74 19 81 FA 00 40 00 00 74 0C 41 3B D1 75 0F 0D 00 03 00 00 EB 08 41 0B C2 EB 03 41 0B C0 81 E1 40 80 00 00 83 E9 40 74 18 81 E9 C0 7F 00 00 74 0A 83 F9 40 75 0F 0F BA E8 18 C3 0D 00 00 00 03 C3 0F BA E8 19 C3 }
	condition:
		$1
}

rule file_231_1_0 {
	meta:
		name = "_hw_cw"
		size = 156
	strings:
		$1 = { 33 C0 F6 C1 10 BA 80 00 00 00 0F 45 C2 41 BA 00 02 00 00 F6 C1 08 74 03 41 0B C2 F6 C1 04 74 04 0F BA E8 0A F6 C1 02 74 04 0F BA E8 0B F6 C1 01 74 04 0F BA E8 0C 41 B8 00 01 00 00 0F BA E1 13 73 03 41 0B C0 8B D1 41 B9 00 03 00 00 41 23 D1 74 20 41 3B D0 74 17 41 3B D2 74 0C 41 3B D1 75 11 0D 00 60 00 00 EB 0A 0F BA E8 0E EB 04 0F BA E8 0D BA 00 00 00 03 23 CA 81 F9 00 00 00 01 74 15 81 F9 00 00 00 02 74 09 3B CA 75 0E 0F BA E8 0F C3 83 C8 40 C3 0D 40 80 00 00 C3 }
	condition:
		$1
}

rule file_231_2_0 {
	meta:
		name = "_abstract_sw"
		size = 57
	strings:
		$1 = { 33 C0 F6 C1 3F 74 31 F6 C1 01 8D 50 10 0F 45 C2 F6 C1 04 74 03 83 C8 08 F6 C1 08 74 03 83 C8 04 84 CA 74 03 83 C8 02 F6 C1 20 74 03 83 C8 01 F6 C1 02 74 04 0F BA E8 13 C3 }
	condition:
		$1
}

rule file_231_4_0 {
	meta:
		name = "_statusfp"
		size = 66
	strings:
		$1 = { 0F AE 5C 24 08 33 C0 8B 4C 24 08 F6 C1 3F 74 31 F6 C1 01 8D 50 10 0F 45 C2 F6 C1 04 74 03 83 C8 08 F6 C1 08 74 03 83 C8 04 84 CA 74 03 83 C8 02 F6 C1 20 74 03 83 C8 01 F6 C1 02 74 04 0F BA E8 13 C3 }
	condition:
		$1
}

rule file_231_5_0 {
	meta:
		name = "_clearfp"
		size = 80
		refs = "0007 _get_fpsr 000e _fclrf"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 F6 C3 3F 74 31 F6 C3 01 8D 48 10 0F 45 C1 F6 C3 04 74 03 83 C8 08 F6 C3 08 74 03 83 C8 04 84 D9 74 03 83 C8 02 F6 C3 20 74 03 83 C8 01 F6 C3 02 74 04 0F BA E8 13 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_231_6_0 {
	meta:
		name = "_control87"
		size = 656
		refs = "0024 _get_fpsr 01a2 ?dazSupported@?1??_control87@@9@9 01b0 _set_fpsr"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 54 41 55 41 56 48 83 EC 20 8B DA 8B F1 81 E3 1F 03 08 03 E8 ?? ?? ?? ?? 44 8B D8 33 FF 41 BA 80 00 00 00 41 84 C2 8B C7 8D 4F 10 0F 45 C1 41 BE 00 02 00 00 45 85 DE 74 03 83 C8 08 41 0F BA E3 0A 73 03 83 C8 04 41 B8 00 08 00 00 45 85 D8 74 03 83 C8 02 41 B9 00 10 00 00 45 85 D9 74 03 83 C8 01 41 BC 00 01 00 00 45 85 DC 74 04 0F BA E8 13 41 8B CB 41 BD 00 60 00 00 41 23 CD 74 24 81 F9 00 20 00 00 74 19 81 F9 00 40 00 00 74 0C 41 3B CD 75 0F 0D 00 03 00 00 EB 08 41 0B C6 EB 03 41 0B C4 BA 40 80 00 00 44 23 DA 41 83 EB 40 74 1C 41 81 EB C0 7F 00 00 74 0C 41 83 FB 40 75 11 0F BA E8 18 EB 0B 0D 00 00 00 03 EB 04 0F BA E8 19 8B CB F7 D1 23 C8 23 F3 0B CE 3B C8 0F 84 83 01 00 00 BE 10 00 00 00 40 84 CE 8B DF 41 0F 45 DA 89 5C 24 40 F6 C1 08 74 07 41 0B DE 89 5C 24 40 F6 C1 04 74 08 0F BA EB 0A 89 5C 24 40 F6 C1 02 74 07 41 0B D8 89 5C 24 40 F6 C1 01 74 07 41 0B D9 89 5C 24 40 0F BA E1 13 73 07 41 0B DC 89 5C 24 40 8B C1 25 00 03 00 00 74 24 41 3B C4 74 17 41 3B C6 74 0C 3D 00 03 00 00 75 13 41 0B DD EB 0A 0F BA EB 0E EB 04 0F BA EB 0D 89 5C 24 40 81 E1 00 00 00 03 81 F9 00 00 00 01 74 1B 81 F9 00 00 00 02 74 0E 81 F9 00 00 00 03 75 11 0F BA EB 0F EB 07 83 CB 40 EB 02 0B DA 89 5C 24 40 40 38 3D ?? ?? ?? ?? 74 3C F6 C3 40 74 37 8B CB E8 ?? ?? ?? ?? EB 2C C6 05 ?? ?? ?? ?? 00 8B 5C 24 40 83 E3 BF 8B CB E8 ?? ?? ?? ?? 33 FF 8D 77 10 41 BE 00 02 00 00 41 BC 00 01 00 00 41 BD 00 60 00 00 EB 0A 83 E3 BF 8B CB E8 ?? ?? ?? ?? F6 C3 80 0F 45 FE 41 85 DE 74 03 83 CF 08 0F BA E3 0A 73 03 83 CF 04 0F BA E3 0B 73 03 83 CF 02 0F BA E3 0C 73 03 83 CF 01 41 85 DC 74 04 0F BA EF 13 8B C3 41 23 C5 74 23 3D 00 20 00 00 74 19 3D 00 40 00 00 74 0D 41 3B C5 75 10 81 CF 00 03 00 00 EB 08 41 0B FE EB 03 41 0B FC 81 E3 40 80 00 00 83 EB 40 74 1B 81 EB C0 7F 00 00 74 0B 83 FB 40 75 12 0F BA EF 18 EB 0C 81 CF 00 00 00 03 EB 04 0F BA EF 19 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_231_7_0 {
	meta:
		name = "_control87$filt$0"
		size = 44
		altNames = "_ctrlfp$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 81 38 05 00 00 C0 74 0C 81 38 1D 00 00 C0 74 04 33 C0 EB 05 B8 01 00 00 00 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_231_9_0 {
	meta:
		name = "_set_controlfp"
		size = 52
		refs = "002b _control87"
	strings:
		$1 = { 48 83 EC 28 81 F9 1F 00 09 00 75 1A 83 FA FF 75 15 0F AE 5C 24 30 8B 44 24 30 25 C0 FE 00 00 3D 80 1E 00 00 74 09 0F BA F2 13 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "_mbctokata_l"
		size = 41
		refs = "0009 _ismbchira_l"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 85 C0 74 10 81 C3 A1 00 00 00 81 FB 7F 83 00 00 72 02 FF C3 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_233_0_0 {
	meta:
		name = "_vswprintf_l"
		size = 221
		refs = "0037 memset 0041 _errno 004c _invalid_parameter_noinfo 007e _woutput_l 00a4 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 4D 8B E0 48 8B D9 44 8D 42 28 48 8D 4D D8 49 8B F1 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6E 48 85 DB 74 E6 48 8D 4D D0 4C 8B CE 4D 8B C4 48 8B D7 C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 C7 45 D8 FF FF FF 7F E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 14 48 8B 4D D0 C6 01 00 48 8B 4D D0 48 FF C1 48 89 4D D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 4D D0 FF 4D D8 78 05 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 64 24 78 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_233_3_0 {
	meta:
		name = "_vscwprintf_helper"
		size = 143
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo"
		altNames = "_vscprintf_helper"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F0 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F9 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 2C 48 83 64 24 30 00 48 83 64 24 20 00 48 8D 4C 24 20 4C 8B CF 4C 8B C6 48 8B D3 C7 44 24 28 FF FF FF 7F C7 44 24 38 42 00 00 00 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_234_0_0 {
	meta:
		name = "_endthreadex"
		size = 35
		refs = "0009 _getptd_noexit 0016 _freeptd 001e __imp_ExitThread"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 74 08 48 8B C8 E8 ?? ?? ?? ?? 8B CB FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_234_1_0 {
	meta:
		name = "_callthreadstartex"
		size = 44
		refs = "0005 _getptd 001a _endthreadex 0022 _exit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 90 48 8B 88 98 00 00 00 FF 90 90 00 00 00 8B C8 E8 ?? ?? ?? ?? 90 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_234_3_0 {
	meta:
		name = "_threadstartex"
		size = 128
		refs = "000a __set_flsgetvalue 000f __get_flsindex 0016 __fls_getvalue 002d __fls_setvalue 0037 __imp_GetLastError 003f __imp_ExitThread 0046 __imp_GetCurrentThreadId 0076 _freefls 007b _callthreadstartex"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 2C E8 ?? ?? ?? ?? 48 8B D3 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? CC FF 15 ?? ?? ?? ?? 89 03 EB 2C 48 8B 83 90 00 00 00 48 8B CB 49 89 83 90 00 00 00 48 8B 83 98 00 00 00 49 89 83 98 00 00 00 48 8B 43 08 49 89 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_234_4_0 {
	meta:
		name = "_beginthreadex"
		size = 242
		refs = "002c _errno 0037 _invalid_parameter_noinfo 0041 __set_flsgetvalue 0050 _calloc_crt 005d _getptd 006c _initptd 0098 _threadstartex 00b3 __imp_CreateThread 00be __imp_GetLastError 00c8 free 00d3 _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 41 54 41 55 48 83 EC 30 33 DB 49 8B E9 49 8B F0 44 8B E2 4C 8B E9 4D 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 97 00 00 00 E8 ?? ?? ?? ?? BA C8 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 68 E8 ?? ?? ?? ?? 48 8B CF 48 8B 90 C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 83 4F 08 FF 8B 44 24 70 48 85 C9 4C 8D 44 24 60 4C 0F 45 C1 49 8B D4 4C 8B CF 4C 89 44 24 28 4C 8D 05 ?? ?? ?? ?? 49 8B CD 48 89 B7 90 00 00 00 48 89 AF 98 00 00 00 89 44 24 20 FF 15 ?? ?? ?? ?? 48 85 C0 75 1D FF 15 ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 07 8B CB E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_236_0_0 {
	meta:
		name = "memchr"
		size = 27
	strings:
		$1 = { 4D 85 C0 74 0C 38 11 74 08 48 FF C1 49 FF C8 75 F4 49 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_237_0_0 {
	meta:
		name = "wcscat_s"
		size = 133
		refs = "0020 _errno 002c _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 4C 8B C9 48 85 C9 74 0E 48 85 D2 74 09 4D 85 C0 75 1D 66 44 89 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 66 44 39 11 74 09 48 83 C1 02 48 FF CA 75 F1 48 85 D2 75 06 66 45 89 11 EB CD 49 2B C8 41 0F B7 00 66 42 89 04 01 49 83 C0 02 66 85 C0 74 05 48 FF CA 75 E9 48 85 D2 75 10 66 45 89 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB A8 33 C0 EB AD }
	condition:
		$1
}

rule file_238_3_0 {
	meta:
		name = "_mbspbrk_l"
		size = 242
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0035 strpbrk 0044 _errno 004f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 54 24 28 33 F6 39 72 08 75 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 91 00 00 00 48 85 DB 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 74 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 78 48 85 FF 74 D4 EB 4F 48 8B CF 40 38 37 74 2D 0F B6 01 F6 44 10 1D 04 74 17 3A 03 75 08 8A 43 01 38 41 01 74 17 40 38 71 01 74 11 48 FF C1 EB 04 3A 03 74 08 48 FF C1 40 38 31 75 D3 40 38 31 75 1A 0F B6 03 F6 44 10 1D 04 74 08 48 FF C3 40 38 33 74 08 48 FF C3 40 38 33 75 AC 8A 03 F6 D8 48 1B C0 48 23 C3 40 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_239_3_0 {
	meta:
		name = "_mbstok_s_l"
		size = 517
		refs = "0031 _errno 003c _invalid_parameter_noinfo 005e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0076 strtok_s 00b7 _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 45 33 FF 4D 8B F0 4C 8B EA 48 8B D9 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 A0 01 00 00 48 85 D2 74 E4 48 85 C9 75 05 4D 39 38 74 DA 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5D E8 45 39 7B 08 75 28 4D 8B C6 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 44 38 7D F8 0F 84 63 01 00 00 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 53 01 00 00 48 85 DB 75 03 49 8B 1E 44 38 3B 74 7D BE 2A 00 00 00 49 8B FD 45 38 7D 00 74 41 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 17 8A 4F 01 84 C9 74 20 8A 03 38 07 75 05 3A 4B 01 74 1F 48 FF C7 EB 06 8A 03 38 07 74 14 48 FF C7 44 38 3F 74 3A EB C9 48 FF C7 E8 ?? ?? ?? ?? 89 30 44 38 3F 74 29 0F B6 0B 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF C3 44 38 3B 74 0A 48 FF C3 44 38 3B 74 09 EB 8F E8 ?? ?? ?? ?? 89 30 48 8B F3 44 38 3B 0F 84 87 00 00 00 49 8B FD 45 8B E7 45 38 7D 00 74 42 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 17 8A 4F 01 84 C9 74 28 8A 03 38 07 75 05 3A 4B 01 74 15 48 FF C7 EB 06 8A 03 38 07 74 15 48 FF C7 44 38 3F 74 12 EB C9 41 BC 01 00 00 00 EB 03 48 FF C7 44 38 3F 75 23 0F B6 0B 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 09 44 38 7B 01 74 08 48 FF C3 48 FF C3 EB 86 44 88 3B EB 11 44 88 3B 48 FF C3 45 85 E4 74 06 44 88 3B 48 FF C3 49 89 1E 48 3B F3 75 1A 44 38 7D F8 0F 84 7D FE FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 6D FE FF FF 44 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B C6 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_240_9_0 {
	meta:
		name = "?FreeScheduleGroup@SchedulingRing@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
		size = 31
	strings:
		$1 = { 48 83 EC 28 4C 8B C2 48 85 D2 74 0E 48 8B 02 49 8B C8 BA 01 00 00 00 FF 50 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_240_12_0 {
	meta:
		name = "?PullFromFreePool@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
		size = 26
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 74 06 48 05 C0 FE FF FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_240_21_0 {
	meta:
		name = "??$_InternalDeleteHelper@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@YAXPEAVScheduleGroupBase@01@@Z"
		size = 25
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_240_28_0 {
	meta:
		name = "?DeleteElements@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@AEAAXPEAU_SLIST_ENTRY@@@Z"
		size = 50
	strings:
		$1 = { 48 85 D2 74 2C 53 48 83 EC 20 48 8B DA 48 8D 8B C0 FE FF FF 48 8B 1B 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 85 DB 75 E1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_240_30_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 93
		refs = "0017 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		altNames = "?CheckForDeletionBridge@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 49 48 E8 ?? ?? ?? ?? 33 DB 84 C0 75 2C 48 8B 7E 20 EB 1A 48 8D 8F C0 FE FF FF 48 8B 3F 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 85 FF 75 E1 48 89 5E 20 87 5E 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_240_33_0 {
	meta:
		name = "??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 265
		refs = "0019 __imp_InterlockedFlushSList 00d8 ??_V@YAXPEAX@Z 00e0 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 20 48 8D 8B C0 FE FF FF 48 8B 1B 48 85 C9 74 0C 4C 8B 01 BA 01 00 00 00 41 FF 50 20 48 85 DB 75 E0 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 20 48 8D 8B C0 FE FF FF 48 8B 1B 48 85 C9 74 0C 4C 8B 01 BA 01 00 00 00 41 FF 50 20 48 85 DB 75 E0 48 8B 5F 20 EB 1A 48 8D 8B C0 FE FF FF 48 8B 1B 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 48 85 DB 75 E1 48 8B 77 58 48 85 F6 74 47 33 DB 39 5F 50 7E 24 33 ED 48 8B 06 48 8B 0C 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 20 FF C3 48 83 C5 08 3B 5F 50 7C DE 48 8B 0E 48 8B 5E 08 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 B9 48 8B 4F 60 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_240_34_0 {
	meta:
		name = "?Add@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAAHPEAVScheduleGroupBase@23@@Z"
		size = 370
		refs = "00c4 ??_U@YAPEAX_K@Z 00d9 memset 00e3 ??2@YAPEAX_K@Z 012a ?_UnderlyingYield@details@Concurrency@@YAXXZ 0139 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 55 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B EA 48 8B F9 49 83 CB FF 44 8D 7E 01 44 39 5B 10 7C 53 4C 8B 0B 33 D2 39 57 50 7E 49 4D 8B C1 49 83 38 00 75 1B 8D 04 32 48 63 CA 41 89 85 B0 00 00 00 44 8B 57 70 33 C0 F0 4D 0F B1 2C C9 74 0E 41 03 D7 49 83 C0 08 3B 57 50 7D 19 EB D1 03 F2 41 8A EF 41 3B F2 7C 05 F0 44 01 7F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B4 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 76 33 C0 F0 4C 0F B1 7B 08 75 6C 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B E0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 20 EB 03 45 33 DB 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 4C 89 1C C8 44 01 7F 6C 4C 87 5B 08 4C 39 7B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 7B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 D6 FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_240_38_0 {
	meta:
		name = "?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
		size = 323
		refs = "00b0 __imp_QueryDepthSList 00cb __imp_InterlockedPushEntrySList 00e8 ?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ 00ff __imp_InterlockedFlushSList 010e ?CheckForDeletionBridge@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 011a ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D F4 00 00 00 48 8B 43 60 44 3B 53 68 7C 1F 48 63 4B 68 4C 8B 44 C8 F8 78 1B 44 2B 53 68 42 8D 44 15 00 48 2B C5 4D 8B 40 08 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 50 49 63 CB 48 8B 44 24 50 45 33 E4 F0 4C 0F B1 24 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 50 48 3B C8 0F 85 93 00 00 00 41 8D 44 24 FE F0 45 0F B1 58 10 45 84 C9 74 7E 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 96 40 01 00 00 44 0F B7 D8 44 3B 5B 74 7E 5B 48 8D 4B 10 FF 15 ?? ?? ?? ?? 48 8D 4B 10 FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 5B 74 7E 46 48 8B 4B 48 E8 ?? ?? ?? ?? 84 C0 75 39 33 C0 F0 0F B1 6B 78 75 30 48 8D 4B 10 FF 15 ?? ?? ?? ?? 4C 8B 4B 48 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 89 43 20 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_240_42_0 {
	meta:
		name = "?RemoveScheduleGroup@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupBase@23@@Z"
		size = 19
		refs = "000f ?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
	strings:
		$1 = { 44 8B 82 B0 00 00 00 48 83 C1 20 41 B1 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_240_49_0 {
	meta:
		name = "?InternalRelease@ScheduleGroupBase@details@Concurrency@@IEAAJXZ"
		size = 71
		refs = "0037 ?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 81 BC 00 00 00 04 48 8B D1 75 2D 83 CB FF F0 0F C1 99 B4 00 00 00 FF CB 75 1A 48 8B 89 A0 00 00 00 44 8B 82 B0 00 00 00 41 B1 01 48 83 C1 20 E8 ?? ?? ?? ?? 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_240_51_0 {
	meta:
		name = "??0CacheLocalScheduleGroup@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z"
		size = 62
		refs = "000a ??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z 0018 ??_7CacheLocalScheduleGroup@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 83 50 01 00 00 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 C6 83 BC 00 00 00 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_240_55_0 {
	meta:
		name = "?Dequeue@?$SQueue@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 37
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 8A 40 01 00 00 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_240_56_0 {
	meta:
		name = "?Dequeue@?$SafeSQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 87
		refs = "0017 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0040 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 83 C1 10 E8 ?? ?? ?? ?? 4C 8B 1F 33 F6 4D 85 DB 74 16 49 8B 83 40 01 00 00 48 89 07 48 85 C0 75 04 48 89 7F 08 49 8B F3 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_240_57_0 {
	meta:
		name = "?GetRunnableContext@CacheLocalScheduleGroup@details@Concurrency@@EEAAPEAVInternalContextBase@23@XZ"
		size = 100
		refs = "0026 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 004d ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
		altNames = "?GetRunnableContext@FairScheduleGroup@details@Concurrency@@EEAAPEAVInternalContextBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D B9 50 01 00 00 33 F6 48 39 37 75 04 33 C0 EB 33 48 8D 4F 10 E8 ?? ?? ?? ?? 4C 8B 1F 4D 85 DB 74 16 49 8B 83 40 01 00 00 48 89 07 48 85 C0 75 04 48 89 7F 08 49 8B F3 48 8D 4F 10 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_240_59_0 {
	meta:
		name = "??0FairScheduleGroup@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z"
		size = 62
		refs = "000a ??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z 0018 ??_7FairScheduleGroup@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 83 50 01 00 00 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 C6 83 BC 00 00 00 02 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_240_62_0 {
	meta:
		name = "??1SchedulingRing@details@Concurrency@@QEAA@XZ"
		size = 106
		refs = "0053 ?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z 0066 ??1?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 41 10 80 A0 BC 00 00 00 FB 48 8B 51 10 F6 82 BC 00 00 00 04 75 29 83 C8 FF F0 0F C1 82 B4 00 00 00 FF C8 75 1A 48 8B 8A A0 00 00 00 48 83 C1 20 41 B1 01 44 8B 82 B0 00 00 00 E8 ?? ?? ?? ?? 48 83 63 10 00 48 8D 4B 20 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_240_64_0 {
	meta:
		name = "?AllocateScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
		size = 197
		refs = "0026 ??2@YAPEAX_K@Z 003e ??0ScheduleGroupBase@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z 0045 ??_7CacheLocalScheduleGroup@details@Concurrency@@6B@ 008f ??_7FairScheduleGroup@details@Concurrency@@6B@"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8B 01 B9 70 01 00 00 83 78 14 00 75 4A E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 85 C0 74 34 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8D 83 50 01 00 00 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 C6 83 BC 00 00 00 01 EB 02 33 DB EB 48 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 85 C0 74 34 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8D 83 50 01 00 00 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 C6 83 BC 00 00 00 02 EB 02 33 DB 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_240_65_0 {
	meta:
		name = "?dtor$0@?0??AllocateScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ@4HA"
		size = 16
		refs = "0008 ??3CacheLocalScheduleGroup@details@Concurrency@@CAXPEAX@Z"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_998_2 {
	meta:
		name = "?dtor$0@?0???0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_957_2 {
	meta:
		name = "?dtor$0@?0???0?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@QEAA@AEBV?$function@$$A6AXAEB_K@Z@tr1@std@@@Z@4HA"
		size = 16
		refs = "0008 ??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_864_1 {
	meta:
		name = "?dtor$0@?0???0?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_867_2 {
	meta:
		name = "?dtor$0@?0???0?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_749_1 {
	meta:
		name = "?dtor$0@?0???0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_967_1 {
	meta:
		name = "?dtor$0@?0???0?$single_assignment@_K@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_738_1 {
	meta:
		name = "?dtor$0@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_742_1 {
	meta:
		name = "?dtor$0@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_601_1 {
	meta:
		name = "?dtor$0@?0???0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_735_2 {
	meta:
		name = "?dtor$0@?0???0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_845_34_0 {
	meta:
		name = "?dtor$0@?0???0WorkQueue@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_263_2 {
	meta:
		name = "?dtor$0@?0???0_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA@0I@Z@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_278_2 {
	meta:
		name = "?dtor$0@?0???0_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA@0I@Z@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_381_1 {
	meta:
		name = "?dtor$0@?0???0_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_267_1 {
	meta:
		name = "?dtor$0@?0???0_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_993_1 {
	meta:
		name = "?dtor$0@?0???1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_849_2 {
	meta:
		name = "?dtor$0@?0???1?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_811_2 {
	meta:
		name = "?dtor$0@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_830_2 {
	meta:
		name = "?dtor$0@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_870_2 {
	meta:
		name = "?dtor$0@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_925_2 {
	meta:
		name = "?dtor$0@?0???1?$single_assignment@_K@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_639_1 {
	meta:
		name = "?dtor$0@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_663_1 {
	meta:
		name = "?dtor$0@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_559_1 {
	meta:
		name = "?dtor$0@?0???1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_562_2 {
	meta:
		name = "?dtor$0@?0???1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_687_2 {
	meta:
		name = "?dtor$0@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_735_290_0 {
	meta:
		name = "?dtor$0@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1Scheduler@Concurrency@@MEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_385_2 {
	meta:
		name = "?dtor$0@?0???1_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_620_2 {
	meta:
		name = "?dtor$0@?0???1_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_74_35_1 {
	meta:
		name = "?dtor$0@?0???1_Locimp@locale@std@@MEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1facet@locale@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_86_144_2 {
	meta:
		name = "?dtor$0@?0???1_Locinfo@std@@QEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_722_1 {
	meta:
		name = "?dtor$0@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "0008 ??1?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_726_2 {
	meta:
		name = "?dtor$0@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_73_38_2 {
	meta:
		name = "?dtor$0@?0???_G_Locimp@locale@std@@MEAAPEAXI@Z@4HA"
		size = 16
		refs = "0008 ??1facet@locale@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_816_1 {
	meta:
		name = "?dtor$7@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_835_1 {
	meta:
		name = "?dtor$7@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_240_67_0 {
	meta:
		name = "?CreateScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
		size = 106
		refs = "0018 __imp_InterlockedPopEntrySList 0044 ?AllocateScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 0053 ?Add@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAAHPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 83 C1 20 FF 15 ?? ?? ?? ?? 48 85 C0 74 1F 48 8D 98 C0 FE FF FF 48 85 DB 74 13 C7 83 B4 00 00 00 01 00 00 00 48 89 BB A0 00 00 00 EB 0B 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 8D 4F 20 48 8B D3 E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_240_68_0 {
	meta:
		name = "?Release@ScheduleGroupBase@details@Concurrency@@UEAAIXZ"
		size = 71
		refs = "0037 ?Remove@?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVScheduleGroupBase@23@H_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 81 BC 00 00 00 04 48 8B D1 75 2B 83 CB FF F0 0F C1 99 B4 00 00 00 FF CB 75 1E 48 8B 89 A0 00 00 00 44 8B 82 B0 00 00 00 41 B1 01 48 83 C1 20 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_240_71_0 {
	meta:
		name = "??0SchedulingRing@details@Concurrency@@QEAA@PEAVSchedulerBase@12@H@Z"
		size = 111
		refs = "003c ??0?$ListArray@VScheduleGroupBase@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 0052 ?CreateScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 41 8B D8 48 8B F9 48 89 11 48 83 61 08 00 48 83 61 10 00 48 83 C1 20 41 B9 40 00 00 00 41 B8 00 01 00 00 E8 ?? ?? ?? ?? 90 83 A7 A0 00 00 00 00 89 9F A4 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 89 47 10 80 88 BC 00 00 00 04 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_241_0_0 {
	meta:
		name = "_wstrtime_s"
		size = 319
		refs = "000d __security_cookie 003a _errno 004d __imp_GetLocalTime 0121 _invalid_parameter_noinfo 0130 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 0F 84 ED 00 00 00 48 85 D2 0F 84 E4 00 00 00 66 89 39 48 83 FA 09 73 0D E8 ?? ?? ?? ?? 8D 5F 22 E9 D8 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 5C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C B8 3A 00 00 00 41 BA 67 66 66 66 66 89 43 0A 66 89 43 04 41 8B C2 66 89 7B 10 66 BF 30 00 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B D8 41 8B C2 66 44 03 DF 66 44 89 5B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 0C 17 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 44 03 C7 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 89 43 0C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C8 66 44 03 CF 33 C0 66 44 89 4B 0E EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_241_1_0 {
	meta:
		name = "_wstrtime"
		size = 290
		refs = "000d __security_cookie 0024 _errno 002f _invalid_parameter_noinfo 0044 __imp_GetLocalTime 0113 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 33 FF 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 D0 00 00 00 66 89 39 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 5C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C B8 3A 00 00 00 41 BA 67 66 66 66 66 89 43 0A 66 89 43 04 41 8B C2 66 89 7B 10 66 BF 30 00 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 89 03 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B D8 41 8B C2 66 44 03 DF 66 44 89 5B 02 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 0C 17 66 89 4B 06 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 44 03 C7 66 44 89 43 08 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 8D 0C 17 66 89 4B 0C 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C9 66 44 03 CF 66 44 89 4B 0E 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_242_0_0 {
	meta:
		name = "_fgetwc_nolock"
		size = 506
		refs = "0017 __pioinfo 001e __badioinfo 0029 _fileno 0088 _filbuf 0156 isleadbyte 0189 ungetc 01a9 mbtowc 01b7 _errno 01e8 _filwbuf"
	strings:
		$1 = { 48 89 5C 24 18 56 57 41 54 48 83 EC 20 F6 41 18 40 48 8B F9 4C 8D 25 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 0F 85 A9 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 35 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 28 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 1F 4D 6B DB 58 4D 03 1C DC EB 03 4C 8B DE 41 F6 43 38 7F 74 60 FF 4F 08 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 75 0A B8 FF FF 00 00 E9 4F 01 00 00 FF 4F 08 88 4C 24 40 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 74 D0 88 4C 24 41 0F B7 44 24 40 E9 1B 01 00 00 F6 47 18 40 0F 85 EB 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 31 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 24 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 8B F0 83 E6 1F 48 6B F6 58 49 03 34 DC F6 46 08 80 0F 84 A3 00 00 00 FF 4F 08 BB 01 00 00 00 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 0F 84 45 FF FF FF 88 4C 24 48 0F B6 C9 E8 ?? ?? ?? ?? 85 C0 74 3D FF 4F 08 78 0E 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0A 48 8B CF E8 ?? ?? ?? ?? 8B C8 83 F9 FF 75 12 0F BE 4C 24 48 48 8B D7 E8 ?? ?? ?? ?? E9 01 FF FF FF 88 4C 24 49 BB 02 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 4C 63 C3 E8 ?? ?? ?? ?? 83 F8 FF 0F 85 11 FF FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E9 CD FE FF FF 48 63 47 08 48 83 C0 FE 89 47 08 85 C0 78 0F 48 8B 0F 0F B7 01 48 83 C1 02 48 89 0F EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_242_1_0 {
	meta:
		name = "fgetwc"
		size = 92
		refs = "001f _errno 002a _invalid_parameter_noinfo 0036 _lock_file 003f _fgetwc_nolock 004a _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 1C E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 0F B7 F8 48 8B CB E8 ?? ?? ?? ?? 0F B7 C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_243_0_0 {
	meta:
		name = "_sleep"
		size = 17
		refs = "000d __imp_Sleep"
	strings:
		$1 = { B8 01 00 00 00 85 C9 0F 44 C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_244_3_0 {
	meta:
		name = "_strnicoll_l"
		size = 259
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 004e _errno 0059 _invalid_parameter_noinfo 009c _strnicmp_l 00c4 __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B F1 48 8B FA 48 8D 4D E0 49 8B D1 49 8B D8 E8 ?? ?? ?? ?? 48 85 DB 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 A5 00 00 00 48 85 F6 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 78 48 85 FF 74 D3 48 81 FB FF FF FF 7F 77 CA 48 8B 45 E0 8B 50 10 85 D2 75 14 4C 8D 4D E0 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? EB 3A 8B 40 08 48 8D 4D E0 4C 8B CE 89 44 24 38 89 5C 24 30 41 B8 01 10 00 00 48 89 7C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 84 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_244_4_0 {
	meta:
		name = "_strnicoll"
		size = 22
		refs = "0002 __locale_changed 000a _strnicmp 0012 _strnicoll_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E9 ?? ?? ?? ?? 45 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_245_0_0 {
	meta:
		name = "_setmode_nolock"
		size = 206
		refs = "000b __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 4C 63 C1 48 8D 1D ?? ?? ?? ?? 4D 8B C8 41 83 E0 1F 49 C1 F9 05 4D 6B C0 58 4A 8B 0C CB 42 8A 44 01 38 46 0F B6 5C 01 08 02 C0 41 81 E3 80 00 00 00 44 0F BE D0 41 D1 FA 81 FA 00 40 00 00 74 58 81 FA 00 80 00 00 74 48 81 FA 00 00 01 00 74 28 81 FA 00 00 02 00 74 20 81 FA 00 00 04 00 75 48 42 80 4C 01 08 80 4A 8B 04 CB 42 80 64 00 38 81 42 80 4C 00 38 01 EB 30 42 80 4C 01 08 80 4A 8B 04 CB 42 80 64 00 38 82 42 80 4C 00 38 02 EB 18 42 80 64 01 08 7F EB 10 42 80 4C 01 08 80 4A 8B 0C CB 42 80 64 01 38 80 45 85 DB 75 07 B8 00 80 00 00 EB 0F 41 F7 DA 1B C0 25 00 C0 00 00 05 00 40 00 00 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_245_1_0 {
	meta:
		name = "_set_fmode"
		size = 64
		refs = "001d _errno 0028 _invalid_parameter_noinfo 0035 _fmode"
	strings:
		$1 = { 48 83 EC 28 81 F9 00 40 00 00 74 27 81 F9 00 80 00 00 74 1F 81 F9 00 00 01 00 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 08 87 0D ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_245_3_0 {
	meta:
		name = "_setmode"
		size = 250
		refs = "0045 _errno 006c _nhandle 007f __pioinfo 009c __lock_fhandle 00b2 _setmode_nolock 00cb _unlock_fhandle 00df _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 89 4C 24 08 57 41 54 41 55 48 83 EC 20 8B DA 48 63 F9 81 FA 00 40 00 00 74 30 81 FA 00 80 00 00 74 28 81 FA 00 00 01 00 74 20 81 FA 00 00 04 00 74 18 81 FA 00 00 02 00 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 8A 00 00 00 83 FF FE 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 7D 85 C9 78 69 3B 3D ?? ?? ?? ?? 73 61 48 8B F7 4C 8B E7 49 C1 FC 05 4C 8D 2D ?? ?? ?? ?? 83 E6 1F 48 6B F6 58 4B 8B 44 E5 00 0F BE 4C 06 08 83 E1 01 74 3A 8B CF E8 ?? ?? ?? ?? 90 4B 8B 44 E5 00 F6 44 06 08 01 74 0D 8B D3 8B CF E8 ?? ?? ?? ?? 8B D8 EB 0E E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_246_0_0 {
	meta:
		name = "_fileno"
		size = 38
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 03 8B 41 1C 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_247_14_0 {
	meta:
		name = "?ResetSubscriptionLevel@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ"
		size = 30
		refs = "0015 ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
	strings:
		$1 = { 48 83 EC 28 8B 41 70 83 F8 01 75 0D 48 8D 51 08 48 8B 49 28 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_247_18_0 {
	meta:
		name = "?Remove@VirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIScheduler@3@@Z"
		size = 147
		refs = "0011 ??_C@_0L@HKFDMHB@pScheduler?$AA@ 0025 ??0exception@std@@QEAA@AEBQEBD@Z 002c ??_7invalid_argument@std@@6B@ 0033 _TI3?AVinvalid_argument@std@@ 0042 _CxxThrowException 0057 ??0invalid_operation@Concurrency@@QEAA@XZ 005e _TI2?AVinvalid_operation@Concurrency@@ 007e ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 008f ?DestroyVirtualProcessorRoot@SchedulerProxy@details@Concurrency@@QEAAXPEAVVirtualProcessorRoot@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 68 48 8D 4C 24 20 48 89 44 24 68 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 41 28 48 39 50 10 74 1C 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 8B 41 70 83 F8 01 75 0D 48 8D 51 08 48 8B 49 28 E8 ?? ?? ?? ?? 48 8B 4B 28 48 8B D3 48 83 C4 50 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_247_24_0 {
	meta:
		name = "??0VirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 79
		refs = "000d ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 001c ??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 0034 ?s_currentId@VirtualProcessorRoot@details@Concurrency@@0JA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 45 33 DB 66 44 89 5F 68 41 8D 43 01 44 89 5F 70 F0 0F C1 05 ?? ?? ?? ?? 48 8B 5C 24 30 FF C0 89 47 6C 48 89 7F 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_248_2_0 {
	meta:
		name = "__shr_12"
		size = 43
	strings:
		$1 = { 8B 41 08 8B 51 04 44 8B C0 D1 E8 44 8B CA 89 41 08 8B 01 41 C1 E0 1F 41 C1 E1 1F D1 EA D1 E8 41 0B C1 41 0B D0 89 01 89 51 04 C3 }
	condition:
		$1
}

rule file_248_3_0 {
	meta:
		name = "__ld12mul"
		size = 823
		refs = "0022 __security_cookie 0316 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 0F B7 42 0A 45 33 F6 4C 8B C1 48 89 4D D8 0F B7 49 0A 0F B7 F0 66 33 F1 4C 8B E2 BA 00 80 00 00 66 23 F2 BA FF 7F 00 00 44 89 75 D4 66 23 CA 66 23 C2 4C 89 75 E0 44 8D 0C 01 44 89 75 E8 66 89 75 D2 66 44 89 4D D0 66 3B CA 0F 83 79 02 00 00 66 3B C2 0F 83 70 02 00 00 BA FD BF 00 00 66 44 3B CA 0F 87 61 02 00 00 BA BF 3F 00 00 66 44 3B CA 77 0C 4D 89 70 04 45 89 30 E9 62 02 00 00 BA FF FF FF 7F 41 BD 01 00 00 00 66 85 C9 75 24 66 45 03 CD 66 44 89 4D D0 41 85 50 08 75 15 45 39 70 04 75 0F 45 39 30 75 0A 66 45 89 70 0A E9 2E 02 00 00 66 85 C0 75 1D 66 45 03 CD 66 44 89 4D D0 41 85 54 24 08 75 0D 45 39 74 24 04 75 06 45 39 34 24 74 9E 41 8B DE 48 8D 4D E4 BA 05 00 00 00 4D 8B CD 8D 04 1B 44 8B EA 4C 63 D0 85 D2 7E 57 8B F3 4F 8D 3C 02 4D 8D 74 24 08 41 23 F1 45 33 C0 41 0F B7 06 45 0F B7 17 41 8B F8 44 0F AF D0 8B 41 FC 46 8D 1C 10 44 3B D8 72 05 45 3B DA 73 03 41 8B F9 44 89 59 FC 85 FF 74 04 66 44 01 09 45 2B E9 49 83 C7 02 49 83 EE 02 45 85 ED 7F C1 4C 8B 45 D8 45 33 F6 41 2B D1 48 83 C1 02 41 03 D9 85 D2 7F 8E 44 0F B7 4D D0 44 8B 55 E8 44 8B 5D E0 B8 02 C0 00 00 BB 00 00 00 80 41 BC FF FF 00 00 66 44 03 C8 66 45 85 C9 7E 3C 44 85 D3 75 31 8B 7D E4 41 8B D3 45 03 D2 C1 EA 1F 45 03 DB 8B CF C1 E9 1F 8D 04 3F 66 45 03 CC 0B C2 44 0B D1 44 89 5D E0 89 45 E4 44 89 55 E8 66 45 85 C9 7F CA 66 45 85 C9 7F 6D 66 45 03 CC 41 BD 01 00 00 00 79 67 44 8B 45 D4 41 0F B7 C1 66 F7 D8 0F B7 D0 66 44 03 CA 44 84 6D E0 74 03 45 03 C5 8B 7D E4 41 8B C2 41 D1 EB 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 EA 44 0B D9 49 2B D5 89 7D E4 44 89 5D E0 75 D0 45 85 C0 4C 8B 45 D8 44 89 55 E8 74 18 41 0F B7 C3 66 41 0B C5 66 89 45 E0 44 8B 5D E0 EB 0A 41 BD 01 00 00 00 0F B7 45 E0 0F B7 75 D2 BA 00 80 00 00 66 3B C2 77 10 41 81 E3 FF FF 01 00 41 81 FB 00 80 01 00 75 49 8B 45 E2 83 C9 FF 3B C1 75 39 8B 45 E6 44 89 75 E2 3B C1 75 22 0F B7 45 EA 44 89 75 E6 66 41 3B C4 75 0A 66 89 55 EA 66 45 03 CD EB 10 66 41 03 C5 66 89 45 EA EB 06 41 03 C5 89 45 E6 44 8B 55 E8 EB 06 41 03 C5 89 45 E2 B8 FF 7F 00 00 66 44 3B C8 72 09 49 C7 00 00 00 00 00 EB 26 0F B7 45 E2 66 44 0B CE 45 89 50 06 66 41 89 00 8B 45 E4 66 45 89 48 0A 41 89 40 02 EB 18 BB 00 00 00 80 4D 89 30 66 F7 DE 1B C0 23 C3 05 00 80 FF 7F 41 89 40 08 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_248_4_0 {
	meta:
		name = "__multtenpow12"
		size = 926
		refs = "002a __security_cookie 0038 _pow10pos 0053 _pow10neg 037c __security_check_cookie"
	strings:
		$1 = { 85 D2 0F 84 95 03 00 00 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 8D 2D ?? ?? ?? ?? 33 FF 44 8B DA 49 83 ED 60 4C 8B C9 48 89 4D C8 85 D2 79 0E 4C 8D 2D ?? ?? ?? ?? 41 F7 DB 49 83 ED 60 45 85 C0 75 03 66 89 39 45 85 DB 0F 84 05 03 00 00 BB FF 7F 00 00 BE 01 00 00 00 44 8D 63 01 41 8B C3 41 C1 FB 03 49 83 C5 54 83 E0 07 44 89 5D C0 0F 84 D6 02 00 00 48 98 48 8D 0C 40 49 8D 54 8D 00 66 44 39 22 72 1A 48 8B 0A 8B 42 08 48 8D 55 E0 48 89 4D E0 48 C1 E9 10 89 45 E8 2B CE 89 4D E2 0F B7 4A 0A 41 0F B7 41 0A 89 7D B8 44 0F B7 D1 66 23 CB 48 C7 45 D0 00 00 00 00 66 44 33 D0 66 23 C3 89 7D D8 66 45 23 D4 44 8D 04 08 66 44 89 55 B0 66 3B C3 0F 83 55 02 00 00 66 3B CB 0F 83 4C 02 00 00 BB FD BF 00 00 66 44 3B C3 0F 87 38 02 00 00 41 BA BF 3F 00 00 66 45 3B C2 77 15 49 C7 41 04 00 00 00 00 41 89 39 BB FF 7F 00 00 E9 37 02 00 00 66 85 C0 75 20 66 44 03 C6 41 F7 41 08 FF FF FF 7F 75 12 41 39 79 04 75 0C 41 39 39 75 07 66 41 89 79 0A EB D1 66 85 C9 75 16 66 44 03 C6 F7 42 08 FF FF FF 7F 75 09 39 7A 04 75 04 39 3A 74 AB 45 33 DB 4C 8D 55 D4 41 8D 7B 05 45 8B E3 43 8D 04 24 89 7D B4 48 63 C8 85 FF 7E 5B 41 8B C4 4E 8D 3C 09 4C 8D 72 08 23 C6 44 8B C8 41 0F B7 07 41 0F B7 0E 41 8B F3 0F AF C8 41 8B 42 FC 8D 1C 08 3B D8 72 04 3B D9 73 05 BE 01 00 00 00 85 F6 41 89 5A FC BE 01 00 00 00 74 04 66 41 01 32 8B 5D B4 49 83 C7 02 49 83 EE 02 2B DE 89 5D B4 85 DB 7F B9 4C 8B 4D C8 2B FE 49 83 C2 02 44 03 E6 85 FF 7F 8A 44 8B 55 D8 8B 5D D0 B8 02 C0 00 00 66 44 03 C0 41 BE FF FF 00 00 66 45 85 C0 7E 39 45 85 D2 78 2E 8B 7D D4 8B D3 45 03 D2 C1 EA 1F 03 DB 8B CF C1 E9 1F 8D 04 3F 66 45 03 C6 0B C2 44 0B D1 89 5D D0 89 45 D4 44 89 55 D8 66 45 85 C0 7F CD 66 45 85 C0 7F 61 66 45 03 C6 79 5B 44 8B 4D B8 41 0F B7 C0 66 F7 D8 0F B7 D0 66 44 03 C2 40 84 75 D0 74 03 44 03 CE 8B 7D D4 41 8B C2 D1 EB 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 EA 0B D9 48 2B D6 89 7D D4 89 5D D0 75 D3 45 85 C9 4C 8B 4D C8 44 89 55 D8 74 0F 0F B7 C3 66 0B C6 66 89 45 D0 8B 5D D0 EB 04 0F B7 45 D0 44 8B 5D C0 41 BC 00 80 00 00 66 41 3B C4 77 0E 81 E3 FF FF 01 00 81 FB 00 80 01 00 75 46 8B 45 D2 83 F8 FF 75 39 8B 45 D6 33 FF 89 7D D2 83 F8 FF 75 21 0F B7 45 DA 89 7D D6 66 41 3B C6 75 0B 66 44 89 65 DA 66 44 03 C6 EB 0E 66 03 C6 66 89 45 DA EB 05 03 C6 89 45 D6 44 8B 55 D8 EB 07 03 C6 89 45 D2 33 FF BB FF 7F 00 00 66 44 3B C3 72 09 0F B7 45 B0 66 F7 D8 EB 28 0F B7 45 D2 66 44 0B 45 B0 45 89 51 06 66 41 89 01 8B 45 D4 66 45 89 41 0A 41 89 41 02 EB 20 BB FF 7F 00 00 66 41 F7 DA 1B C0 49 C7 01 00 00 00 00 25 00 00 00 80 05 00 80 FF 7F 41 89 41 08 45 85 DB 0F 85 09 FD FF FF 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_248_5_0 {
	meta:
		name = "__strgtold12_l"
		size = 2146
		refs = "001f __security_cookie 0064 _errno 006f _invalid_parameter_noinfo 0445 __mtold12 047e _pow10pos 0493 _pow10neg 0843 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 8B 6D 7F 33 DB 44 89 4D 8F 44 8D 4B 01 48 89 4D A7 48 89 55 97 4C 8D 55 DF 66 89 5D 93 8B FB 44 89 4D 8B 44 8B F3 89 5D 87 44 8B FB 8B F3 44 8B E3 8B CB 4D 85 ED 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 C1 07 00 00 4D 8B D8 41 8A 00 3C 20 74 0C 3C 09 74 08 3C 0A 74 04 3C 0D 75 05 4D 03 C1 EB E8 41 8A 10 4D 03 C1 83 F9 05 0F 8F 1A 02 00 00 0F 84 FA 01 00 00 44 8B C9 85 C9 0F 84 8E 01 00 00 41 FF C9 0F 84 3D 01 00 00 41 FF C9 0F 84 E1 00 00 00 41 FF C9 0F 84 8B 00 00 00 41 FF C9 0F 85 AA 02 00 00 41 B9 01 00 00 00 45 8B F1 44 89 4D 87 85 FF 75 31 EB 09 41 8A 10 45 2B E1 4D 03 C1 80 FA 30 74 F2 EB 1F 80 FA 39 7F 1F 83 FF 19 73 0F 80 EA 30 41 03 F9 41 88 12 4D 03 D1 45 2B E1 41 8A 10 4D 03 C1 80 FA 30 7D DC 80 FA 2B 74 29 80 FA 2D 74 24 80 FA 43 0F 8E 4A 01 00 00 80 FA 45 7E 0C 80 EA 64 41 3A D1 0F 87 39 01 00 00 B9 06 00 00 00 E9 47 FF FF FF 4D 2B C1 B9 0B 00 00 00 E9 3A FF FF FF 41 B9 01 00 00 00 B0 30 45 8B F1 EB 20 80 FA 39 7F 1F 83 FF 19 73 0D 2A D0 41 03 F9 41 88 12 4D 03 D1 EB 03 45 03 E1 41 8A 10 4D 03 C1 3A D0 7D DC 49 8B 45 00 48 8B 88 28 01 00 00 48 8B 01 3A 10 75 82 B9 04 00 00 00 E9 ED FE FF FF 8D 42 CF 3C 08 77 13 B9 03 00 00 00 41 B9 01 00 00 00 4D 2B C1 E9 D3 FE FF FF 49 8B 45 00 48 8B 88 28 01 00 00 48 8B 01 3A 10 75 10 B9 05 00 00 00 41 B9 01 00 00 00 E9 B1 FE FF FF 80 FA 30 0F 85 F7 01 00 00 41 B9 01 00 00 00 41 8B C9 E9 9A FE FF FF 8D 42 CF 41 B9 01 00 00 00 45 8B F1 3C 08 77 06 41 8D 49 02 EB A9 49 8B 45 00 48 8B 88 28 01 00 00 48 8B 01 3A 10 0F 84 77 FF FF FF 80 FA 2B 0F 84 1E FF FF FF 80 FA 2D 0F 84 15 FF FF FF 80 FA 30 74 B5 E9 E7 FE FF FF 8D 42 CF 3C 08 0F 86 61 FF FF FF 49 8B 45 00 48 8B 88 28 01 00 00 48 8B 01 3A 10 0F 84 70 FF FF FF 80 FA 2B 74 2D 80 FA 2D 74 17 80 FA 30 0F 84 76 FF FF FF 41 B9 01 00 00 00 4D 2B C1 E9 68 01 00 00 B9 02 00 00 00 C7 45 93 00 80 00 00 E9 43 FF FF FF B9 02 00 00 00 66 89 5D 93 E9 35 FF FF FF 80 EA 30 44 89 4D 87 80 FA 09 0F 87 D9 00 00 00 B9 04 00 00 00 E9 FC FE FF FF 44 8B C9 41 83 E9 06 0F 84 9C 00 00 00 41 FF C9 74 73 41 FF C9 74 42 41 FF C9 0F 84 B4 00 00 00 41 83 F9 02 0F 85 9B 00 00 00 39 5D 77 74 8A 4D 8D 58 FF 80 FA 2B 74 17 80 FA 2D 0F 85 E5 00 00 00 83 4D 8B FF B9 07 00 00 00 E9 CC FE FF FF B9 07 00 00 00 E9 C2 FE FF FF 41 B9 01 00 00 00 45 8B F9 EB 06 41 8A 10 4D 03 C1 80 FA 30 74 F5 80 EA 31 80 FA 08 0F 87 44 FF FF FF B9 09 00 00 00 E9 77 FE FF FF 8D 42 CF 3C 08 77 0A B9 09 00 00 00 E9 60 FE FF FF 80 FA 30 0F 85 87 00 00 00 B9 08 00 00 00 E9 72 FE FF FF 8D 42 CF 4D 8D 58 FE 3C 08 76 D8 80 FA 2B 74 07 80 FA 2D 74 83 EB D6 B9 07 00 00 00 83 F9 0A 74 5F E9 4C FE FF FF 4D 8B C3 EB 5B 41 B9 01 00 00 00 41 B3 30 45 8B F9 EB 1D 80 FA 39 7F 35 8D 0C B6 0F BE C2 8D 74 48 D0 81 FE 50 14 00 00 7F 0D 41 8A 10 4D 03 C1 41 3A D3 7D DE EB 16 BE 51 14 00 00 EB 0F 80 FA 39 0F 8F A9 FE FF FF 41 8A 10 4D 03 C1 41 3A D3 7D EC E9 99 FE FF FF 4D 8B C3 41 B9 01 00 00 00 48 8B 45 97 4C 89 00 45 85 F6 0F 84 14 04 00 00 83 FF 18 76 18 8A 45 F6 3C 05 7C 06 41 02 C1 88 45 F6 4D 2B D1 BF 18 00 00 00 45 03 E1 85 FF 75 14 0F B7 D3 0F B7 C3 8B FB 8B CB E9 F3 03 00 00 FF CF 45 03 E1 4D 2B D1 41 38 1A 74 F3 4C 8D 45 BF 48 8D 4D DF 8B D7 E8 ?? ?? ?? ?? 39 5D 8B 7D 02 F7 DE 41 03 F4 45 85 FF 75 03 03 75 67 39 5D 87 75 03 2B 75 6F 81 FE 50 14 00 00 0F 8F 8C 03 00 00 81 FE B0 EB FF FF 0F 8C 70 03 00 00 4C 8D 2D ?? ?? ?? ?? 49 83 ED 60 85 F6 0F 84 4B 03 00 00 79 0D 4C 8D 2D ?? ?? ?? ?? F7 DE 49 83 ED 60 39 5D 8F 75 04 66 89 5D BF 85 F6 0F 84 2B 03 00 00 BF 00 00 00 80 41 BA FF 7F 00 00 41 BC 01 00 00 00 8B C6 49 83 C5 54 C1 FE 03 83 E0 07 89 75 8F 4C 89 6D 9F 0F 84 F9 02 00 00 48 98 41 BF 00 80 00 00 48 8D 0C 40 49 8D 54 8D 00 66 44 39 3A 72 1B 48 8B 0A 8B 42 08 48 8D 55 CF 48 89 4D CF 48 C1 E9 10 89 45 D7 41 2B CC 89 4D D1 0F B7 42 0A 0F B7 4D C9 48 89 5D AF 44 0F B7 C8 66 41 23 C2 89 5D B7 66 44 33 C9 66 41 23 CA 66 45 23 CF 44 8D 04 01 66 44 89 4D 8B 66 41 3B CA 0F 83 7D 02 00 00 66 41 3B C2 0F 83 73 02 00 00 41 BB FD BF 00 00 66 45 3B C3 0F 87 63 02 00 00 41 B9 BF 3F 00 00 66 45 3B C1 77 0C 48 89 5D C3 89 5D BF E9 5F 02 00 00 66 85 C9 75 20 66 45 03 C4 F7 45 C7 FF FF FF 7F 75 13 39 5D C3 75 0E 39 5D BF 75 09 66 89 5D C9 E9 3A 02 00 00 66 85 C0 75 16 66 45 03 C4 F7 42 08 FF FF FF 7F 75 09 39 5A 04 75 04 39 1A 74 B4 41 BA 05 00 00 00 44 8B E3 48 8D 4D B3 45 8D 6A FC 43 8D 04 24 44 89 55 87 4C 63 C8 45 85 D2 7E 55 41 8B FC 4E 8D 74 0D BF 4C 8D 7A 08 41 23 FD 41 0F B7 06 45 0F B7 0F 44 8B DB 44 0F AF C8 8B 41 FC 42 8D 34 08 3B F0 72 05 41 3B F1 73 03 45 8B DD 89 71 FC 45 85 DB 74 04 66 44 01 29 44 8B 5D 87 49 83 C6 02 49 83 EF 02 45 2B DD 44 89 5D 87 45 85 DB 7F BA 45 2B D5 48 83 C1 02 45 03 E5 45 85 D2 7F 8C 44 8B 55 B7 44 8B 4D AF B8 02 C0 00 00 66 44 03 C0 BF 00 00 00 80 41 BE FF FF 00 00 66 45 85 C0 7E 3F 44 85 D7 75 34 44 8B 5D B3 41 8B D1 45 03 D2 C1 EA 1F 45 03 C9 41 8B CB C1 E9 1F 43 8D 04 1B 66 45 03 C6 0B C2 44 0B D1 44 89 4D AF 89 45 B3 44 89 55 B7 66 45 85 C0 7F C7 66 45 85 C0 7F 6A 66 45 03 C6 79 64 41 0F B7 C0 8B FB 66 F7 D8 0F B7 D0 66 44 03 C2 44 84 6D AF 74 03 41 03 FD 44 8B 5D B3 41 8B C2 41 D1 E9 41 8B CB C1 E0 1F 41 D1 EB C1 E1 1F 44 0B D8 41 D1 EA 44 0B C9 49 2B D5 44 89 5D B3 44 89 4D AF 75 CB 85 FF 44 89 55 B7 BF 00 00 00 80 74 12 41 0F B7 C1 66 41 0B C5 66 89 45 AF 44 8B 4D AF EB 04 0F B7 45 AF 4C 8B 6D 9F 41 BF 00 80 00 00 66 41 3B C7 77 10 41 81 E1 FF FF 01 00 41 81 F9 00 80 01 00 75 50 8B 45 B1 83 C9 FF 41 BC 01 00 00 00 3B C1 75 38 8B 45 B5 89 5D B1 3B C1 75 22 0F B7 45 B9 89 5D B5 66 41 3B C6 75 0B 66 44 89 7D B9 66 45 03 C4 EB 10 66 41 03 C4 66 89 45 B9 EB 06 41 03 C4 89 45 B5 44 8B 55 B7 EB 0E 41 03 C4 89 45 B1 EB 06 41 BC 01 00 00 00 8B 75 8F B8 FF 7F 00 00 66 44 3B C0 72 0F 0F B7 45 8B 41 BA FF 7F 00 00 66 F7 D8 EB 28 0F B7 45 B1 66 44 0B 45 8B 44 89 55 C5 66 89 45 BF 8B 45 B3 66 44 89 45 C9 89 45 C1 41 BA FF 7F 00 00 EB 14 66 41 F7 D9 1B C0 48 89 5D BF 23 C7 05 00 80 FF 7F 89 45 C7 85 F6 0F 85 E6 FC FF FF 8B 45 C7 0F B7 55 BF 8B 4D C1 8B 7D C5 C1 E8 10 EB 35 8B D3 0F B7 C3 8B FB 8B CB BB 01 00 00 00 EB 25 8B CB 0F B7 D3 B8 FF 7F 00 00 BB 02 00 00 00 BF 00 00 00 80 EB 0F 0F B7 D3 0F B7 C3 8B FB 8B CB BB 04 00 00 00 4C 8B 45 A7 66 0B 45 93 66 41 89 40 0A 8B C3 66 41 89 10 41 89 48 02 41 89 78 06 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_248_6_0 {
	meta:
		name = "__STRINGTOLD_L"
		size = 117
		refs = "000d __security_cookie 003d __strgtold12_l 004c _ld12told 0063 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B 84 24 90 00 00 00 48 8B D9 48 8D 4C 24 40 48 89 44 24 38 33 C0 89 44 24 30 89 44 24 28 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D3 8B F8 E8 ?? ?? ?? ?? 83 F8 01 75 03 83 CF 02 8B C7 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_600_6_0 {
	meta:
		name = "__WSTRINGTOLD_L"
		size = 117
		refs = "000d __security_cookie 003d __wstrgtold12_l 004c _ld12told 0063 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B 84 24 90 00 00 00 48 8B D9 48 8D 4C 24 40 48 89 44 24 38 33 C0 89 44 24 30 89 44 24 28 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D3 8B F8 E8 ?? ?? ?? ?? 83 F8 01 75 03 83 CF 02 8B C7 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_249_0_0 {
	meta:
		name = "bsearch"
		size = 240
		refs = "0042 _errno 004d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 57 48 83 EC 20 49 8D 78 FF 45 33 E4 4D 8B E9 49 8B F0 48 8B DA 4C 8B F9 49 0F AF F9 48 03 FA 48 85 D2 75 36 4D 85 C0 74 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5D 41 5C C3 4D 85 C9 74 CA 4C 39 64 24 60 74 C3 48 3B D7 77 CE 48 8B EE 48 D1 ED 74 41 40 F6 C6 01 48 8D 75 FF 49 8B CF 48 0F 45 F5 4C 8B E6 4D 0F AF E5 4C 03 E3 49 8B D4 FF 54 24 60 85 C0 74 18 79 08 49 8B FC 49 2B FD EB 07 4B 8D 1C 2C 48 8B F5 48 3B DF 76 BE EB 8A 49 8B C4 EB 87 45 33 E4 48 85 F6 0F 84 79 FF FF FF 48 8B D3 49 8B CF FF 54 24 60 85 C0 49 0F 45 DC 48 8B C3 E9 63 FF FF FF }
	condition:
		$1
}

rule file_250_0_0 {
	meta:
		name = "_wexeclp"
		size = 167
		refs = "0024 _errno 002f _invalid_parameter_noinfo 0066 _wcapture_argv 007b _wexecvp 0095 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 63 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB 48 8B F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_251_0_0 {
	meta:
		name = "?set_terminate@@YAP6AXXZP6AXXZ@Z"
		size = 51
		refs = "000e _getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 98 D0 00 00 00 E8 ?? ?? ?? ?? 48 89 B8 D0 00 00 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_251_1_0 {
	meta:
		name = "_get_terminate"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 D0 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_251_2_0 {
	meta:
		name = "?set_unexpected@@YAP6AXXZP6AXXZ@Z"
		size = 51
		refs = "000e _getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 98 D8 00 00 00 E8 ?? ?? ?? ?? 48 89 B8 D8 00 00 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_251_3_0 {
	meta:
		name = "_get_unexpected"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 D8 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_251_4_0 {
	meta:
		name = "?_set_se_translator@@YAP6AXIPEAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z"
		size = 51
		refs = "000e _getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 98 E0 00 00 00 E8 ?? ?? ?? ?? 48 89 B8 E0 00 00 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_252_0_0 {
	meta:
		name = "_d_inttype"
		size = 90
		refs = "000e _fpclass 001b _frnd 002b __real@3fe0000000000000"
	strings:
		$1 = { 48 83 EC 38 0F 29 74 24 20 66 0F 28 F0 E8 ?? ?? ?? ?? A8 90 75 38 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E C6 7A 29 75 27 F2 0F 59 35 ?? ?? ?? ?? 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2E C6 7A 09 75 07 B8 02 00 00 00 EB 09 B8 01 00 00 00 EB 02 33 C0 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_252_1_0 {
	meta:
		name = "_powhlp"
		size = 316
		refs = "001a __mask@@AbsDouble@ 0049 __real@3ff0000000000000 0057 _d_inf 00af _d_ind 00f7 _d_inttype 0116 __mask@@NegDouble@ 012f _d_mzero"
	strings:
		$1 = { 48 8B C4 48 89 58 18 F2 0F 11 48 10 F2 0F 11 40 08 57 48 83 EC 30 66 0F 54 05 ?? ?? ?? ?? 0F 29 70 E8 48 8B 40 10 48 8B C8 49 8B D8 41 B8 00 00 F0 7F 48 C1 E9 20 33 FF 66 0F 28 F1 41 3B C8 75 44 85 C0 75 40 F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C1 76 0D F2 0F 10 05 ?? ?? ?? ?? E9 D3 00 00 00 66 0F 2F C8 77 3A 48 B8 00 00 00 00 00 00 F0 3F 48 89 03 48 8B 5C 24 50 0F 28 74 24 20 8B C7 48 83 C4 30 5F C3 BA 00 00 F0 FF 3B CA 75 30 85 C0 75 2C F2 0F 10 0D ?? ?? ?? ?? 66 0F 2F C1 76 05 48 89 3B EB CE 66 0F 2F C8 77 A8 F2 0F 10 05 ?? ?? ?? ?? BF 01 00 00 00 F2 0F 11 03 EB B5 48 8B 4C 24 40 48 8B C1 48 C1 E8 20 41 3B C0 75 1B 85 C9 75 17 66 0F 57 C0 66 0F 2F C8 0F 87 72 FF FF FF 66 0F 2F C1 E9 7A FF FF FF 3B C2 75 85 85 C9 75 81 66 0F 28 C1 E8 ?? ?? ?? ?? 66 0F 57 C0 66 0F 2F F0 76 17 F2 0F 10 05 ?? ?? ?? ?? 83 F8 01 75 21 66 0F 57 05 ?? ?? ?? ?? EB 17 66 0F 2F C6 0F 86 40 FF FF FF 83 F8 01 75 08 F2 0F 10 05 ?? ?? ?? ?? F2 0F 11 03 E9 37 FF FF FF }
	condition:
		$1
}

rule file_253_4_0 {
	meta:
		name = "?_Current_exception@_Exception_ptr@std@@SA?AV12@XZ"
		size = 58
		refs = "001c ?__ExceptionPtrCreate@@YAXPEAX@Z 002c ?__ExceptionPtrCurrentException@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 83 64 24 48 00 E8 ?? ?? ?? ?? C7 44 24 48 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 CC }
	condition:
		$1
}

rule file_253_5_0 {
	meta:
		name = "?dtor$0@?0??_Current_exception@_Exception_ptr@std@@SA?AV12@XZ@4HA"
		size = 38
		refs = "001c ??1_Exception_ptr@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 48 83 E0 01 85 C0 74 0D 83 65 48 FE 48 8B 4D 40 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_253_6_0 {
	meta:
		name = "?current_exception@std@@YA?AV_Exception_ptr@1@XZ"
		size = 28
		refs = "000f ?_Current_exception@_Exception_ptr@std@@SA?AV12@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 30 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_253_7_0 {
	meta:
		name = "?rethrow_exception@std@@YAXV_Exception_ptr@1@@Z"
		size = 41
		refs = "0017 ?__ExceptionPtrRethrow@@YAXPEBX@Z 0025 ?__ExceptionPtrDestroy@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_253_13_0 {
	meta:
		name = "?_SafeGetParent@_TaskCollectionBase@details@Concurrency@@IEAAPEAV123@XZ"
		size = 21
	strings:
		$1 = { 8B 41 08 BA FF FF FF 0F 23 C2 3B C2 74 04 48 8B 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_253_16_0 {
	meta:
		name = "?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
		size = 139
		refs = "003d ??2@YAPEAX_K@Z 0052 ?current_exception@std@@YA?AV_Exception_ptr@1@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 41 20 48 8B D0 48 83 E2 FC 74 06 48 83 FA 0C 75 60 48 8B C8 83 E1 03 48 83 C9 08 F0 48 0F B1 4B 20 75 DF B9 10 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 45 33 C0 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 48 8B 43 20 48 8B C8 83 E1 03 49 0B C8 F0 48 0F B1 4B 20 74 17 48 8B D0 48 8B C8 83 E1 03 49 0B C8 F0 48 0F B1 4B 20 48 3B C2 75 E9 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_253_19_0 {
	meta:
		name = "?_MarkCancellation@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
		size = 31
	strings:
		$1 = { 48 8B 41 20 EB 0F 48 8B D0 48 83 CA 01 F0 48 0F B1 51 20 74 07 A8 03 74 ED 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_253_20_0 {
	meta:
		name = "?_FinishCancelState@_TaskCollectionBase@details@Concurrency@@IEAAX_K@Z"
		size = 54
	strings:
		$1 = { 48 8B 41 20 4C 8B D2 4C 8B C9 4C 8B C0 49 83 E0 FC 4C 0B C2 F0 4C 0F B1 41 20 74 18 48 8B C8 48 8B D0 48 83 E1 FC 49 0B CA F0 49 0F B1 49 20 48 3B C2 75 E8 F3 C3 }
	condition:
		$1
}

rule file_253_21_0 {
	meta:
		name = "?_RaisedCancel@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
		size = 34
	strings:
		$1 = { 48 8B 41 20 EB 12 48 8B D0 83 E2 03 48 83 CA 0C F0 48 0F B1 51 20 74 08 48 A9 FC FF FF FF 74 E6 F3 C3 }
	condition:
		$1
}

rule file_253_22_0 {
	meta:
		name = "?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ"
		size = 99
		refs = "003c ?_IsMarkedForAbnormalExit@_TaskCollection@details@Concurrency@@QEBA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 41 08 BF FF FF FF 0F 23 C7 3B C7 74 05 48 8B 19 EB 02 33 DB 48 85 DB 74 32 8B 43 08 C1 F8 1C 24 01 74 06 F6 43 20 03 75 1E 84 C0 75 0C 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 0E 8B 43 08 23 C7 3B C7 74 D0 48 8B 1B EB CD B0 01 EB 02 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_253_23_0 {
	meta:
		name = "?_Interrupt@_TaskCollectionBase@details@Concurrency@@IEAAX_NH@Z"
		size = 115
		refs = "0019 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0032 ?_WillInterruptForPendingCancel@_TaskCollectionBase@details@Concurrency@@IEAA_NXZ 004d ??0task_canceled@details@Concurrency@@QEAA@XZ 0054 _TI2?AVtask_canceled@details@Concurrency@@ 005e _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 41 8B D8 40 8A F2 48 8B F9 E8 ?? ?? ?? ?? 44 8B 88 A0 00 00 00 45 85 C9 7F 11 40 84 F6 75 0C 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 29 85 DB 74 09 C1 E3 1C 0B 5F 08 89 5F 08 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_253_27_0 {
	meta:
		name = "?_RethrowException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ"
		size = 151
		refs = "0030 ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z 0039 ?__ExceptionPtrDestroy@@YAXPEAX@Z 0041 ??3@YAXPEAX@Z 004b ?__uncaught_exception@@YA_NXZ 0072 ?__ExceptionPtrRethrow@@YAXPEBX@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 68 48 8B F9 48 8B 59 20 48 83 E3 FC 74 6B 48 83 FB 0C 74 65 48 8B D3 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 67 20 00 E8 ?? ?? ?? ?? 84 C0 75 2F 48 8D 54 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 5C 24 28 4C 89 5C 24 60 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_253_28_0 {
	meta:
		name = "?dtor$0@?0??_RethrowException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1_Exception_ptr@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_246_1 {
	meta:
		name = "?dtor$0@?0??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_288_1 {
	meta:
		name = "?dtor$0@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_878_1 {
	meta:
		name = "?dtor$0@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_836_1 {
	meta:
		name = "?dtor$0@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_252_1 {
	meta:
		name = "?dtor$1@?0???$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_758_1 {
	meta:
		name = "?dtor$1@?0???$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_752_1 {
	meta:
		name = "?dtor$1@?0???$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_755_1 {
	meta:
		name = "?dtor$1@?0???$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_749_1 {
	meta:
		name = "?dtor$1@?0???$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_883_119_0 {
	meta:
		name = "?dtor$3@?0??_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ@4HA"
		size = 16
		refs = "0008 ??1bad_alloc@std@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_255_0_0 {
	meta:
		name = "??_L@YAXPEAX_KHP6AX0@Z2@Z"
		size = 100
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 48 89 48 08 57 41 54 41 55 48 83 EC 30 4D 8B E9 45 8B E0 48 8B F2 48 8B F9 33 DB 89 58 D8 89 5C 24 24 41 3B DC 7D 12 48 8B CF 41 FF D5 48 03 FE 48 89 7C 24 50 FF C3 EB E5 C7 44 24 20 01 00 00 00 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_255_1_0 {
	meta:
		name = "?fin$0@?0???_L@YAXPEAX_KHP6AX0@Z2@Z@4HA"
		size = 44
		refs = "0020 ?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
		altNames = "?fin$0@?0???_N@YAXPEAX_KHP6AX0@Z2@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 16 4C 8B 4D 70 44 8B 45 24 48 8B 55 58 48 8B 4D 50 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_256_4_0 {
	meta:
		name = "?_Nomemory@std@@YAXXZ"
		size = 127
		refs = "0008 ?$S1@?1??_Nomemory@std@@YAXXZ@4IA 0015 ??_7bad_alloc@std@@6B@ 0029 ?nomem@?1??_Nomemory@std@@YAXXZ@4Vbad_alloc@2@B 0036 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0040 ??0exception@std@@QEAA@AEBQEBDH@Z 0047 ??__Fnomem@?1??_Nomemory@std@@YAXXZ@YAXXZ 0053 atexit 0064 ??0exception@std@@QEAA@AEBV01@@Z 006b _TI2?AVbad_alloc@std@@ 007a _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 05 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8D 1D ?? ?? ?? ?? 41 84 C0 75 39 41 0B C0 48 8D 54 24 50 48 8D 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_256_5_0 {
	meta:
		name = "??__Fnomem@?1??_Nomemory@std@@YAXXZ@YAXXZ"
		size = 26
		refs = "0003 ??_7bad_alloc@std@@6B@ 000a ?nomem@?1??_Nomemory@std@@YAXXZ@4Vbad_alloc@2@B 0016 ??1exception@std@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_574_5_0 {
	meta:
		name = "??__Fnomem@?5???2@YAPEAX_K@Z@YAXXZ"
		size = 26
		refs = "0003 ??_7bad_alloc@std@@6B@ 000a ?nomem@?5???2@YAPEAX_K@Z@4Vbad_alloc@std@@B 0016 ??1exception@std@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_312_1 {
	meta:
		name = "??__Fnomem@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z@YAXXZ"
		size = 26
		refs = "0003 ??_7bad_alloc@std@@6B@ 000a ?nomem@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV234@PEAVfacet@34@_K@Z@4Vbad_alloc@4@B 0016 ??1exception@std@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_311_1 {
	meta:
		name = "??__Fnomem@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z@YAXXZ"
		size = 26
		refs = "0003 ??_7bad_alloc@std@@6B@ 000a ?nomem@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPEAV234@AEBV234@@Z@4Vbad_alloc@4@B 0016 ??1exception@std@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_0_0 {
	meta:
		name = "_wincmdln"
		size = 121
		refs = "000e __mbctype_initialized 0015 __initmbctable 001c _acmdln 0023 ??_C@_00CNPNBAHC@?$AA@ 004e _ismbblead"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 39 3D ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 85 DB 48 0F 44 D8 80 3B 20 77 09 80 3B 00 74 33 85 FF 74 29 80 3B 22 75 09 33 C0 85 FF 0F 94 C0 8B F8 0F B6 0B E8 ?? ?? ?? ?? 85 C0 74 03 48 FF C3 48 FF C3 EB D0 3C 20 77 09 48 FF C3 8A 03 84 C0 75 F3 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_258_0_0 {
	meta:
		name = "fix_grouping"
		size = 58
	strings:
		$1 = { 45 33 C9 48 8B D1 44 38 09 74 16 8A 02 3C 30 7C 12 3C 39 7F 0E 2C 30 88 02 48 FF C2 44 38 0A 75 EA F3 C3 3C 3B 75 F2 4C 8B C2 41 8A 40 01 41 88 00 49 FF C0 84 C0 75 F2 EB E2 }
	condition:
		$1
}

rule file_258_1_0 {
	meta:
		name = "__free_lconv_num"
		size = 108
		refs = "0013 __lconv_c 001a free"
	strings:
		$1 = { 48 85 C9 74 66 53 48 83 EC 20 48 8B D9 48 8B 09 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 08 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 10 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 58 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 60 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_258_2_0 {
	meta:
		name = "__init_numeric"
		size = 616
		refs = "003c __lconv_c 0056 _calloc_crt 0078 memcpy 0084 _malloc_crt 0094 free 00d6 __getlocaleinfo 0168 __free_lconv_num"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 DB 48 8B F1 48 89 48 C8 48 89 58 D0 39 59 1C 75 17 39 59 18 75 12 44 8B EB 44 8B F3 48 8D 2D ?? ?? ?? ?? E9 B6 01 00 00 BF 98 00 00 00 41 BC 01 00 00 00 8B D7 41 8B CC E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 08 41 8B C4 E9 E0 01 00 00 48 8B 96 28 01 00 00 48 8B C8 4C 8B C7 E8 ?? ?? ?? ?? BF 04 00 00 00 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 0A 48 8B CD E8 ?? ?? ?? ?? EB C8 89 18 39 5E 1C 0F 84 10 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 B7 00 00 00 89 18 0F B7 7E 3E 48 8D 4C 24 30 41 B9 0E 00 00 00 41 8B D4 44 8B C7 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8D 4D 08 48 89 4C 24 20 48 8D 4C 24 30 41 B9 0F 00 00 00 44 8B C7 41 8B D4 8B D8 E8 ?? ?? ?? ?? 4C 8D 7D 10 48 8D 4C 24 30 41 B9 10 00 00 00 44 8B C7 41 8B D4 0B D8 4C 89 7C 24 20 E8 ?? ?? ?? ?? 41 B9 0E 00 00 00 0B D8 48 8D 45 58 48 8D 4C 24 30 41 8D 51 F4 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 0F 00 00 00 0B D8 48 8D 45 60 48 8D 4C 24 30 41 8D 51 F3 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 0B C3 74 1C 48 8B CD E8 ?? ?? ?? ?? 41 83 CC FF 48 8B CD E8 ?? ?? ?? ?? 49 8B CE E9 13 FF FF FF 49 8B 17 33 DB EB 11 8A 02 3C 30 7C 11 3C 39 7F 0D 2C 30 88 02 49 03 D4 38 1A 75 EB EB 51 3C 3B 75 F3 4C 8B C2 41 8A 40 01 41 88 00 49 FF C0 84 C0 75 F2 EB E3 48 8B 05 ?? ?? ?? ?? 4C 8B EB 48 89 45 00 48 8B 05 ?? ?? ?? ?? 48 89 45 08 48 8B 05 ?? ?? ?? ?? 48 89 45 10 48 8B 05 ?? ?? ?? ?? 48 89 45 58 48 8B 05 ?? ?? ?? ?? 48 89 45 60 45 89 26 4D 85 ED 74 04 45 89 65 00 48 8B 86 18 01 00 00 48 85 C0 74 03 F0 FF 08 48 8B 8E 10 01 00 00 48 85 C9 74 1D F0 FF 09 75 18 48 8B 8E 10 01 00 00 E8 ?? ?? ?? ?? 48 8B 8E 28 01 00 00 E8 ?? ?? ?? ?? 4C 89 AE 18 01 00 00 4C 89 B6 10 01 00 00 48 89 AE 28 01 00 00 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_259_1_0 {
	meta:
		name = "init_namebuf"
		size = 289
		refs = "0029 tmpnam_s_buf 0039 tmpfile_buf 0047 tmpnam_buf 0053 ??_C@_01KICIPPFI@?2?$AA@ 005e strcpy_s 0099 _getpid 00ac _ultoa_s 00b7 ??_C@_01LFCBOECM@?4?$AA@ 00c2 strcat_s 00db _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 33 F6 8B D9 8B D1 85 C9 74 26 FF CA 74 14 FF CA 75 09 48 8D 2D ?? ?? ?? ?? EB 0E 48 8B 6C 24 48 EB 1A 48 8D 2D ?? ?? ?? ?? BE 12 00 00 00 EB 0C 48 8D 2D ?? ?? ?? ?? BE 0E 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 8C 00 00 00 48 8D 7D 01 8A 47 FF 3C 5C 74 0A 3C 2F 74 06 C6 07 5C 48 FF C7 83 FB 01 75 05 C6 07 74 EB 03 C6 07 73 48 FF C7 48 8B DD 48 2B DF 48 03 DE E8 ?? ?? ?? ?? 41 B9 20 00 00 00 4C 8B C3 48 8B D7 8B C8 E8 ?? ?? ?? ?? 85 C0 75 2C 4C 8D 05 ?? ?? ?? ?? 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 85 C0 74 42 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 5C 24 40 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_259_2_0 {
	meta:
		name = "genfname"
		size = 214
		refs = "000f __security_cookie 002a _mbsrchr 004c strtoul 0068 _ultoa_s 0080 strcpy_s 0099 _invoke_watson 00b5 _invalid_parameter_noinfo 00c5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 48 8B DA BA 2E 00 00 00 41 8B E8 48 8B F1 E8 ?? ?? ?? ?? 48 8D 78 01 48 3B FE 72 7D 48 8B C7 48 2B C6 48 3B D8 76 72 33 D2 48 8B CF 44 8D 42 20 E8 ?? ?? ?? ?? FF C0 3B C5 73 63 41 B9 20 00 00 00 48 8D 54 24 30 8B C8 45 8D 41 E8 E8 ?? ?? ?? ?? 85 C0 75 2E 48 2B DF 4C 8D 44 24 30 48 8B CF 48 8D 14 1E E8 ?? ?? ?? ?? 85 C0 74 34 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_259_4_0 {
	meta:
		name = "_tmpnam_helper"
		size = 445
		refs = "0029 _errno 0039 _mtinitlocknum 005b _lock 0067 tmpnam_buf 0074 tmpnam_s_buf 0086 init_namebuf 0098 genfname 00aa _access_s 00d2 _getptd_noexit 00f5 _malloc_crt 0112 strcpy_s 012b _invoke_watson 0137 strlen 017f _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 44 89 48 20 41 54 41 56 41 57 48 83 EC 40 41 8B F8 4C 8B FA 4C 8B E1 33 DB E8 ?? ?? ?? ?? 8B 00 89 44 24 30 8D 73 02 8B CE E8 ?? ?? ?? ?? 85 C0 75 17 48 8B 84 24 80 00 00 00 48 21 18 E8 ?? ?? ?? ?? 8B 00 E9 4B 01 00 00 8B CE E8 ?? ?? ?? ?? 90 85 FF 75 0D 48 8D 35 ?? ?? ?? ?? 44 8D 77 0E EB 0D 48 8D 35 ?? ?? ?? ?? 41 BE 12 00 00 00 80 3E 00 75 09 8B CF E8 ?? ?? ?? ?? EB 18 44 8B 44 24 78 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 D5 00 00 00 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 1A 44 8B 44 24 78 49 8B D6 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 AF 00 00 00 EB D8 4D 85 E4 75 5E E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0A BB 0C 00 00 00 E9 91 00 00 00 48 83 78 48 00 75 13 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 89 47 48 48 85 C0 74 DC 4C 8B 67 48 4C 8B C6 BA 0E 00 00 00 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 5F 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 85 FF 74 1E 48 8B CE E8 ?? ?? ?? ?? 49 3B C7 72 11 BB 22 00 00 00 4D 85 FF 74 2F 41 C6 04 24 00 EB 28 4C 8B C6 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 B9 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B 9C 24 80 00 00 00 4D 89 23 E8 ?? ?? ?? ?? 85 DB 74 04 89 18 EB 06 8B 4C 24 30 89 08 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_259_8_0 {
	meta:
		name = "_tmpfile_helper"
		size = 649
		refs = "002f _errno 0039 _invalid_parameter_noinfo 004f _mtinitlocknum 0066 _lock 0074 tmpfile_buf 008b ??_C@_01KICIPPFI@?2?$AA@ 0090 strcpy_s 00df _getpid 00f2 _ultoa_s 00fd ??_C@_01LFCBOECM@?4?$AA@ 010c strcat_s 0125 _invoke_watson 015a genfname 0167 _getstream 01c0 _sopen_s 0207 _strdup 021c _close 0231 _commode 0259 _unlock_file 0263 _unlock"
	strings:
		$1 = { 48 89 5C 24 18 89 54 24 10 56 57 41 55 41 56 41 57 48 83 EC 50 4C 8B F1 33 F6 45 33 FF 44 89 7C 24 30 33 C0 48 85 C9 0F 95 C0 85 C0 75 16 E8 ?? ?? ?? ?? 8D 5E 16 89 18 E8 ?? ?? ?? ?? 8B C3 E9 30 02 00 00 48 21 31 BB 02 00 00 00 8B CB E8 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? 8B 00 E9 11 02 00 00 8B CB E8 ?? ?? ?? ?? 90 41 BD 12 00 00 00 48 8D 0D ?? ?? ?? ?? 41 8B D5 80 3D ?? ?? ?? ?? 00 0F 85 CB 00 00 00 4C 8D 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 A2 00 00 00 48 8D 3D ?? ?? ?? ?? 48 89 7C 24 38 8A 05 ?? ?? ?? ?? 3C 5C 74 17 3C 2F 74 13 C6 05 ?? ?? ?? ?? 5C 48 8D 3D ?? ?? ?? ?? 48 89 7C 24 38 C6 07 74 48 FF C7 48 89 7C 24 38 48 8D 1D ?? ?? ?? ?? 48 2B DF E8 ?? ?? ?? ?? 8B C8 41 B9 20 00 00 00 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 2F 4C 8D 05 ?? ?? ?? ?? 49 8B D5 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 52 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 41 B8 FF FF FF 7F E8 ?? ?? ?? ?? 85 C0 0F 85 E5 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 40 48 85 C0 75 08 8D 70 18 E9 D0 00 00 00 41 BF 01 00 00 00 44 89 7C 24 30 E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 83 20 00 C7 44 24 20 80 01 00 00 44 8B 8C 24 88 00 00 00 41 B8 42 85 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 83 F8 11 75 1B 41 B8 FF FF FF 7F 49 8B D5 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 02 EB B6 E8 ?? ?? ?? ?? 83 38 00 75 07 E8 ?? ?? ?? ?? 89 38 83 BC 24 80 00 00 00 FF 74 51 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 28 48 85 C0 75 0E 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? EB 2E 83 63 08 00 48 83 23 00 48 83 63 10 00 8B 05 ?? ?? ?? ?? 0F BA E8 07 89 43 18 8B 84 24 80 00 00 00 89 43 1C 49 89 1E EB 05 48 8B 5C 24 40 45 85 FF 74 08 48 8B CB E8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 85 F6 74 07 E8 ?? ?? ?? ?? 89 30 8B C6 48 8B 9C 24 90 00 00 00 48 83 C4 50 41 5F 41 5E 41 5D 5F 5E C3 }
	condition:
		$1
}

rule file_259_9_0 {
	meta:
		name = "_tmpfile_helper$fin$0"
		size = 43
		refs = "0014 _unlock_file 001f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 83 7D 30 00 74 0A 48 8B 4D 40 E8 ?? ?? ?? ?? 90 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_259_10_0 {
	meta:
		name = "tmpfile"
		size = 35
		refs = "0015 _tmpfile_helper"
	strings:
		$1 = { 48 83 EC 28 48 83 64 24 30 00 48 8D 4C 24 30 BA 40 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_262_0_0 {
	meta:
		name = "log2"
		size = 895
		refs = "0081 ??_C@_04KGLCPMCP@log2?$AA@ 008b _handle_error 015e __real@3ff0000000000000 018b __real@4000000000000000 01b9 ?ca_4@?1??log2@@9@9 01c1 ?ca_3@?1??log2@@9@9 01cd ?ca_2@?1??log2@@9@9 01dd ?ca_1@?1??log2@@9@9 01f1 ?log2e_lead@?1??log2@@9@9 01f9 ?log2e_tail@?1??log2@@9@9 0253 ?corr@?N@??log2@@9@9 0277 __ImageBase 02cf ?ln_lead_table@?1??log2@@9@9 02db __real@3f80000000000000 02eb __real@3fe0000000000000 030f ?cb_3@?1??log2@@9@9 0317 ?cb_2@?1??log2@@9@9 0323 ?cb_1@?1??log2@@9@9 034d ?ln_tail_table@?1??log2@@9@9"
	strings:
		$1 = { 48 83 EC 68 48 B9 00 00 00 00 00 00 F0 7F F2 0F 11 44 24 70 0F 29 74 24 50 48 8B 54 24 70 66 0F 28 E8 48 8B C2 48 23 C1 48 3B C1 0F 85 AA 00 00 00 48 B9 FF FF FF FF FF FF 0F 00 48 85 D1 74 54 66 0F 57 C0 C7 44 24 40 01 00 00 00 48 B8 00 00 00 00 00 00 08 00 F2 0F 11 44 24 38 48 0B D0 45 33 C0 F2 0F 11 6C 24 30 C7 44 24 28 21 00 00 00 44 89 44 24 20 4C 8B C2 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 1A 00 00 00 E8 ?? ?? ?? ?? E9 E1 02 00 00 48 B8 00 00 00 00 00 00 00 80 48 85 D0 0F 84 CE 02 00 00 66 0F 57 C0 C7 44 24 40 01 00 00 00 49 B8 00 00 00 00 00 00 F8 FF F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB 9D 48 B8 FF FF FF FF FF FF FF 7F 48 85 D0 75 3D 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 02 00 00 00 F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 49 B8 00 00 00 00 00 00 F0 FF E9 57 FF FF FF 48 B8 00 00 00 00 00 00 00 80 48 85 D0 0F 85 6D FF FF FF 48 B8 00 00 00 00 56 F0 11 C0 48 B9 00 00 00 00 82 F8 02 00 48 03 C2 48 3B C1 0F 87 C8 00 00 00 F2 0F 5C 2D ?? ?? ?? ?? 48 B9 00 00 00 00 FF FF FF FF 66 0F 28 C5 66 0F 28 CD F2 0F 11 6C 24 70 48 8B 44 24 70 48 23 C1 48 89 44 24 70 F2 0F 58 05 ?? ?? ?? ?? F2 0F 10 64 24 70 F2 0F 5E C8 66 0F 28 D1 F2 0F 58 C9 F2 0F 59 D5 66 0F 28 C1 F2 0F 5C EC F2 0F 59 C1 66 0F 28 D8 F2 0F 59 1D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 C1 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C DA 66 0F 28 D4 F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 DD 66 0F 28 C3 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C2 F2 0F 58 C3 E9 4F 01 00 00 48 B8 00 00 00 00 00 00 10 00 48 3B D0 73 33 48 B8 00 00 00 00 00 00 D0 03 41 B8 3C 00 00 00 48 0B D0 48 89 54 24 70 F2 0F 10 44 24 70 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 11 44 24 70 48 8B 54 24 70 EB 03 45 33 C0 48 8B C2 48 B9 FF FF FF FF FF FF 0F 00 4C 8D 0D ?? ?? ?? ?? 48 23 C1 48 B9 00 00 00 00 00 00 E0 3F 48 0B C1 48 8B CA 48 89 44 24 70 48 8B C2 48 C1 E9 2E 83 E1 3F 48 C1 E8 2D 48 C1 EA 34 F2 0F 10 54 24 70 83 E0 01 83 C9 40 81 E2 FF 07 00 00 03 C8 41 2B D0 48 63 C1 81 EA FF 03 00 00 66 0F 6E C9 F2 41 0F 10 B4 C1 ?? ?? ?? ?? F3 0F E6 C9 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C D1 66 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 5E D0 66 0F 6E C2 F3 0F E6 C0 66 0F 28 CA F2 0F 59 CA 66 0F 28 E9 F2 0F 59 2D ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 CE F2 0F 59 35 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 EA F2 41 0F 58 AC C1 ?? ?? ?? ?? F2 0F 58 C1 66 0F 28 E5 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 E6 F2 0F 58 E5 F2 0F 58 C4 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_264_0_0 {
	meta:
		name = "wcscat"
		size = 44
	strings:
		$1 = { 66 83 39 00 4C 8B C1 74 0B 49 83 C0 02 66 41 83 38 00 75 F5 4C 2B C2 0F B7 02 66 41 89 04 10 48 83 C2 02 66 85 C0 75 EF 48 8B C1 C3 }
	condition:
		$1
}

rule file_264_1_0 {
	meta:
		name = "wcscpy"
		size = 27
	strings:
		$1 = { 4C 8B C1 4C 2B C2 0F B7 02 66 41 89 04 10 48 83 C2 02 66 85 C0 75 EF 48 8B C1 C3 }
	condition:
		$1
}

rule file_265_0_0 {
	meta:
		name = "_recalloc"
		size = 134
		refs = "002b _errno 0043 _msize 0051 realloc 006f memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 48 8B DA 48 8B F1 48 85 D2 74 1D 33 D2 48 8D 47 E0 48 F7 F3 49 3B C0 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 3D 49 0F AF D8 48 85 C9 74 08 E8 ?? ?? ?? ?? 48 8B F8 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 16 48 3B FB 73 11 48 2B DF 48 8D 0C 07 33 D2 4C 8B C3 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_266_0_0 {
	meta:
		name = "log10f"
		size = 645
		refs = "001b __mask_127 002d __real_inf 0042 __real_mant 004a __real_one 0051 __real_neg127 0060 __mask_mant_all7 0067 __mask_mant8 0078 __real_notsign 007f __real_threshold 0096 __real_half 00a5 __log_F_inv 00cb __real_1_over_3 00d7 __real_1_over_2 00df __real_log10_2_tail 00e6 __log_128_tail 00ed __log_128_lead 0101 __real_log10_e 0109 __real_log10_2_lead 0134 __real_two 016c __real_ca2 0174 __real_ca1 0188 __mask_lower 01a0 __real_log10_e_tail 01b0 __real_log10_e_lead 01f6 __mask_253 0216 __real_ninf 021d __flag_x_zero 0222 _log10f_special 0234 __real_neg_qnan 023b __flag_x_neg 0262 __real_qnanbit 026d __flag_x_nan"
	strings:
		$1 = { 48 83 EC 78 33 C0 66 0F 6F D8 F3 0F 10 E0 66 0F 72 D3 17 66 0F 7E C0 66 0F FA 1D ?? ?? ?? ?? 66 0F 6F D0 0F 5B EB 66 0F 6F C8 0F 54 0D ?? ?? ?? ?? 0F 2F 0D ?? ?? ?? ?? 0F 84 12 02 00 00 66 0F DB 15 ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? 0F 2F 2D ?? ?? ?? ?? 0F 84 72 01 00 00 44 8B C8 23 05 ?? ?? ?? ?? 44 23 0D ?? ?? ?? ?? 41 D1 E1 41 03 C1 89 44 24 30 0F 54 25 ?? ?? ?? ?? 0F 2F 25 ?? ?? ?? ?? 0F 82 A7 00 00 00 F3 0F 10 4C 24 30 C1 E8 10 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 0F 57 E4 0F 2F C4 0F 86 5B 01 00 00 F3 0F 5C CA F3 41 0F 59 0C 81 F3 0F 10 D1 F3 0F 10 C1 F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 C1 F3 0F 58 15 ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? F3 0F 59 D0 F3 0F 59 DD F3 0F 58 CA F3 0F 59 0D ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5C D9 F3 0F 59 C5 F3 41 0F 58 1C 81 F3 41 0F 58 04 82 F3 0F 58 C3 48 83 C4 78 C3 66 0F 1F 44 00 00 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C 05 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 C8 F3 0F 5E CA F3 0F 10 E0 F3 0F 59 E1 F3 0F 58 C9 F3 0F 10 D1 F3 0F 59 D2 F3 0F 10 D9 F3 0F 59 DA F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 15 ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C D4 66 0F 6F E8 66 0F DB 2D ?? ?? ?? ?? F3 0F 5C C5 F3 0F 58 D0 F3 0F 10 C5 F3 0F 10 CA F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 2D ?? ?? ?? ?? F3 0F 58 C2 F3 0F 58 C1 F3 0F 58 C5 48 83 C4 78 C3 66 0F EB 15 ?? ?? ?? ?? F3 0F 5C 15 ?? ?? ?? ?? 66 0F 6F EA 66 0F DB 15 ?? ?? ?? ?? 66 0F 7E D0 66 0F 72 D5 17 66 0F FA 2D ?? ?? ?? ?? 0F 5B ED E9 59 FE FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 75 1E F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 0F 1F 84 00 00 00 00 00 F3 0F 10 0D ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 66 0F 1F 84 00 00 00 00 00 3B 05 ?? ?? ?? ?? 74 28 3B 05 ?? ?? ?? ?? 74 D0 0B 05 ?? ?? ?? ?? 66 0F 6E C8 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 0F 1F 84 00 00 00 00 00 48 83 C4 78 C3 }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "setbuf"
		size = 28
		refs = "0018 setvbuf"
	strings:
		$1 = { 48 85 D2 75 09 45 33 C9 44 8D 42 04 EB 09 41 B9 00 02 00 00 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_268_1_0 {
	meta:
		name = "_get_sys_err_msg"
		size = 49
		refs = "000d __sys_nerr 001d __sys_errlist"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 85 C9 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 4C 8B D8 48 63 C3 49 8B 04 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_268_2_0 {
	meta:
		name = "_strerror"
		size = 337
		refs = "0013 _getptd_noexit 0045 _calloc_crt 0073 _mbsnbcat_s 007e ??_C@_02LMMGGCAJ@?3?5?$AA@ 0089 strcat_s 00a2 _invoke_watson 00be _errno 00c9 __sys_nerr 00d9 __sys_errlist 00e8 strlen 00ff strncat_s 010a ??_C@_01EEMJAFIK@?6?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 30 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 12 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 83 C4 30 5F C3 48 83 78 38 00 BD 86 00 00 00 75 15 BA 01 00 00 00 8B CD E8 ?? ?? ?? ?? 48 89 47 38 48 85 C0 74 CD 48 8B 7F 38 C6 07 00 48 85 DB 74 5F 80 3B 00 74 5A 41 B9 82 00 00 00 4C 8B C3 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 2C 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 2C 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 1C C8 48 8B CF E8 ?? ?? ?? ?? 41 B9 84 00 00 00 4C 8B C3 48 8B D5 48 8B CF 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 75 34 4C 8D 05 ?? ?? ?? ?? 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C7 E9 FC FE FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_268_3_0 {
	meta:
		name = "_strerror_s"
		size = 231
		refs = "001e _errno 002a _invalid_parameter_noinfo 004c strlen 0063 strcpy_s 006e ??_C@_02LMMGGCAJ@?3?5?$AA@ 0079 strcat_s 0092 _invoke_watson 00d3 strerror_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 49 8B D8 48 8B FA 48 8B F1 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 A2 00 00 00 48 85 D2 74 E3 C6 01 00 48 85 DB 74 6B 41 80 38 00 74 65 48 8B CB E8 ?? ?? ?? ?? 48 8D 4F F9 48 3B C1 73 54 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 2C 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 2C 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B CE 48 2B F8 E8 ?? ?? ?? ?? 44 8B 03 48 8D 0C 06 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_269_0_0 {
	meta:
		name = "_chgsignf"
		size = 25
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 0F BA F8 1F 89 44 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_271_3_0 {
	meta:
		name = "_mbsupr_s_l"
		size = 338
		refs = "0034 strnlen 0048 _errno 0054 _invalid_parameter_noinfo 0067 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00c4 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 48 8B EC 48 83 EC 70 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 1D 48 85 D2 74 1D 48 85 C9 0F 84 DF 00 00 00 E8 ?? ?? ?? ?? 48 3B C3 72 22 C6 07 00 EB 05 48 85 D2 74 E3 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 B5 00 00 00 48 8D 4D E0 48 8B D6 E8 ?? ?? ?? ?? 80 3F 00 48 8B F7 48 8B DF 0F 84 84 00 00 00 48 8B 4D E8 0F B6 06 48 8D 14 08 F6 42 1D 04 74 5A 8B 41 04 8B 51 0C C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 45 10 C7 44 24 30 02 00 00 00 48 89 44 24 28 48 8D 4D E0 4C 8B CE 41 B8 00 02 00 00 C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 5E 8A 4D 10 48 FF C6 88 0B 48 8B 4D E8 48 FF C3 83 F8 01 7E 16 8A 45 11 EB 0C F6 42 1D 20 74 06 8A 82 1D 01 00 00 88 03 48 FF C3 48 FF C6 80 3E 00 75 80 80 7D F8 00 C6 03 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 E8 ?? ?? ?? ?? 80 7D F8 00 8B 00 74 CF 48 8B 4D F0 83 A1 C8 00 00 00 FD EB C2 }
	condition:
		$1
}

rule file_271_5_0 {
	meta:
		name = "_mbsupr_l"
		size = 43
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 4C 8B C2 48 8B D9 48 F7 D8 48 1B D2 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_627_5_0 {
	meta:
		name = "_mbslwr_l"
		size = 43
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 4C 8B C2 48 8B D9 48 F7 D8 48 1B D2 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_271_6_0 {
	meta:
		name = "_mbsupr"
		size = 43
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 F7 D8 48 1B D2 45 33 C0 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_627_6_0 {
	meta:
		name = "_mbslwr"
		size = 43
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 F7 D8 48 1B D2 45 33 C0 E8 ?? ?? ?? ?? 33 D2 85 C0 48 0F 44 D3 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_273_3_0 {
	meta:
		name = "?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
		size = 619
		refs = "0030 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0042 _errno 004d _invalid_parameter_noinfo 0090 _isctype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 4C 8B FA 48 8B D1 48 8D 4D E0 45 8B E9 4D 8B F0 E8 ?? ?? ?? ?? 4D 85 F6 74 03 4D 89 3E 4D 85 FF 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 E9 E4 01 00 00 45 85 ED 74 0C 41 83 FD 02 7C DC 41 83 FD 24 7F D6 45 8A 27 4C 8B 45 E0 33 FF 49 8D 5F 01 41 83 B8 0C 01 00 00 01 7E 18 4C 8D 45 E0 41 0F B6 CC BA 08 00 00 00 E8 ?? ?? ?? ?? 4C 8B 45 E0 EB 12 49 8B 80 40 01 00 00 41 0F B6 CC 0F B7 04 48 83 E0 08 85 C0 74 08 44 8A 23 48 FF C3 EB C0 8B 75 50 41 80 FC 2D 75 05 83 CE 02 EB 06 41 80 FC 2B 75 06 44 8A 23 48 FF C3 45 85 ED 0F 88 57 01 00 00 41 83 FD 01 0F 84 4D 01 00 00 41 83 FD 24 0F 8F 43 01 00 00 45 85 ED 75 28 41 80 FC 30 74 08 41 BD 0A 00 00 00 EB 38 80 3B 78 74 0D 80 3B 58 74 08 41 BD 08 00 00 00 EB 26 41 BD 10 00 00 00 EB 0C 41 83 FD 10 75 18 41 80 FC 30 75 12 80 3B 78 74 05 80 3B 58 75 08 44 8A 63 01 48 83 C3 02 4D 8B 90 40 01 00 00 33 D2 83 C8 FF 41 F7 F5 44 8B C8 41 0F B6 CC 45 0F B7 04 4A 41 8B C8 83 E1 04 74 09 41 0F BE CC 83 E9 30 EB 1C 41 81 E0 03 01 00 00 74 2E 41 8D 44 24 9F 41 0F BE CC 3C 19 77 03 83 E9 20 83 C1 C9 41 3B CD 73 16 83 CE 08 41 3B F9 72 22 75 04 3B CA 76 1C 83 CE 04 4D 85 F6 75 1A 48 FF CB 40 F6 C6 08 75 19 4D 85 F6 49 0F 45 DF 33 FF EB 5C 41 0F AF FD 03 F9 44 8A 23 48 FF C3 EB 8D 41 BC FF FF FF 7F 40 F6 C6 04 75 1E 40 F6 C6 01 75 3C 8B C6 83 E0 02 74 08 81 FF 00 00 00 80 77 09 85 C0 75 29 41 3B FC 76 24 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C6 01 74 05 83 CF FF EB 0E 40 8A C6 24 02 F6 D8 1B FF F7 DF 41 03 FC 4D 85 F6 74 03 49 89 1E 40 F6 C6 02 74 02 F7 DF 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 EB 1B 4D 85 F6 74 03 4D 89 3E 40 38 7D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_273_4_0 {
	meta:
		name = "strtol"
		size = 48
		refs = "000e __locale_changed 001e __initiallocalestructinfo 0027 ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 45 8B C8 4C 8B C2 39 05 ?? ?? ?? ?? 89 44 24 20 48 8B D1 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_860_4_0 {
	meta:
		name = "_strtoi64"
		size = 48
		refs = "000e __locale_changed 001e __initiallocalestructinfo 0027 ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 45 8B C8 4C 8B C2 39 05 ?? ?? ?? ?? 89 44 24 20 48 8B D1 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_664_3_0 {
	meta:
		name = "_wcstoi64"
		size = 48
		refs = "000e __locale_changed 001e __initiallocalestructinfo 0027 ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 33 C0 45 8B C8 4C 8B C2 39 05 ?? ?? ?? ?? 89 44 24 20 48 8B D1 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_273_5_0 {
	meta:
		name = "_strtol_l"
		size = 34
		refs = "0019 ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_860_5_0 {
	meta:
		name = "_strtoi64_l"
		size = 34
		refs = "0019 ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_664_4_0 {
	meta:
		name = "_wcstoi64_l"
		size = 34
		refs = "0019 ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_273_6_0 {
	meta:
		name = "strtoul"
		size = 51
		refs = "0006 __locale_changed 0021 __initiallocalestructinfo 002a ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 45 8B C8 4C 8B C2 48 8B D1 C7 44 24 20 01 00 00 00 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_860_6_0 {
	meta:
		name = "_strtoui64"
		size = 51
		refs = "0006 __locale_changed 0021 __initiallocalestructinfo 002a ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 45 8B C8 4C 8B C2 48 8B D1 C7 44 24 20 01 00 00 00 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_664_5_0 {
	meta:
		name = "_wcstoui64"
		size = 51
		refs = "0006 __locale_changed 0021 __initiallocalestructinfo 002a ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 83 3D ?? ?? ?? ?? 00 45 8B C8 4C 8B C2 48 8B D1 C7 44 24 20 01 00 00 00 75 09 48 8D 0D ?? ?? ?? ?? EB 02 33 C9 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_273_7_0 {
	meta:
		name = "_strtoul_l"
		size = 37
		refs = "001c ?strtoxl@@YAKPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_860_7_0 {
	meta:
		name = "_strtoui64_l"
		size = 37
		refs = "001c ?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_664_6_0 {
	meta:
		name = "_wcstoui64_l"
		size = 37
		refs = "001c ?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
	strings:
		$1 = { 48 83 EC 38 49 8B C1 45 8B C8 4C 8B C2 48 8B D1 48 8B C8 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_274_3_0 {
	meta:
		name = "_isleadbyte_l"
		size = 69
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 20 44 0F B6 DB 48 8B 88 40 01 00 00 42 0F B7 04 59 25 00 80 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_274_4_0 {
	meta:
		name = "isleadbyte"
		size = 71
		refs = "0010 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 8B 44 24 20 44 0F B6 DB 48 8B 88 40 01 00 00 42 0F B7 04 59 25 00 80 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_274_28_0 {
	meta:
		name = "_iswcsym_l"
		size = 44
		refs = "000f iswctype"
		altNames = "__iswcsym"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 07 01 00 00 0F B7 D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 06 66 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_274_30_0 {
	meta:
		name = "_iswcsymf_l"
		size = 44
		refs = "000f iswctype"
		altNames = "__iswcsymf"
	strings:
		$1 = { 40 53 48 83 EC 20 BA 03 01 00 00 0F B7 D9 E8 ?? ?? ?? ?? 33 D2 85 C0 75 06 66 83 FB 5F 75 05 BA 01 00 00 00 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_275_0_0 {
	meta:
		name = "__remainder_piby2"
		size = 1246
		refs = "0030 __security_cookie 0088 ?pibits@?1??__remainder_piby2@@9@9 03f9 __real@c000000000000000 0403 __real@4000000000000000 040b ?piby2_lead@?1??__remainder_piby2@@9@9 042e ?piby2_part3@?1??__remainder_piby2@@9@9 044f ?piby2_part2@?1??__remainder_piby2@@9@9 0460 ?piby2_part1@?1??__remainder_piby2@@9@9 04b0 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 08 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 D8 F0 FF FF 48 81 EC F0 0F 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 0E 00 00 4C 8B E2 41 BF FF 03 00 00 48 B8 FF FF FF FF FF FF 0F 00 F2 0F 11 04 24 4C 8B 14 24 48 83 65 A8 00 4D 8B DA 4C 23 D0 48 B8 00 00 00 00 00 00 10 00 4C 0B D0 49 C1 EB 34 B8 67 66 66 66 41 81 E3 FF 07 00 00 49 8B F9 4C 8D 0D ?? ?? ?? ?? 45 2B DF 4D 8B E8 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 92 03 C0 44 2B D8 8D 42 12 4C 63 C0 4B 8B 0C C1 4B 8B 54 C1 F8 49 0F AF CA 49 0F AF D2 48 8B C1 48 C1 E9 0A 48 03 D1 4B 8B 4C C1 F0 49 23 C7 48 89 45 A0 48 8B C2 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 E8 49 23 C7 48 89 45 98 48 8B C1 48 C1 E9 0A 49 0F AF D2 48 03 D1 4B 8B 4C C1 E0 49 23 C7 48 89 45 90 48 8B C2 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 D8 49 23 C7 48 89 45 88 48 8B C1 48 C1 E9 0A 49 0F AF D2 48 03 D1 4B 8B 4C C1 D0 49 23 C7 48 89 45 80 48 8B C2 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 C8 49 23 C7 48 89 44 24 78 48 8B C1 48 C1 E9 0A 49 0F AF D2 49 23 C7 48 03 D1 48 89 44 24 70 48 8B C2 49 23 C7 48 89 44 24 68 4B 8B 4C C1 C0 48 C1 EA 0A 49 0F AF CA 48 03 CA 4B 8B 54 C1 B8 48 8B C1 48 C1 E9 0A 49 23 C7 48 89 44 24 60 49 0F AF D2 48 03 D1 4B 8B 4C C1 B0 48 8B C2 48 C1 EA 0A 49 23 C7 48 89 44 24 58 49 0F AF CA 48 03 CA 4B 8B 54 C1 A8 48 8B C1 48 C1 E9 0A 49 23 C7 48 89 44 24 50 49 0F AF D2 48 03 D1 4B 8B 4C C1 A0 48 8B C2 48 C1 EA 0A 49 23 C7 48 89 44 24 48 49 0F AF CA 48 03 CA 4B 8B 54 C1 98 48 8B C1 48 C1 E9 0A 49 23 C7 48 89 44 24 40 49 0F AF D2 48 03 D1 4B 8B 4C C1 90 48 8B C2 48 C1 EA 0A 49 23 C7 48 89 44 24 38 49 0F AF CA 48 03 CA 4B 8B 54 C1 88 48 8B C1 48 C1 E9 0A 49 23 C7 48 89 44 24 30 49 0F AF D2 48 03 D1 4B 8B 4C C1 80 48 8B C2 48 C1 EA 0A 49 23 C7 48 89 44 24 28 49 0F AF CA 48 03 CA 4B 8B 94 C1 70 FF FF FF 48 8B C1 48 C1 E9 0A 49 23 C7 48 89 44 24 20 4B 8B 84 C1 78 FF FF FF 49 0F AF D2 49 0F AF C2 48 03 C1 48 8B D8 48 C1 E8 0A 48 03 D0 49 23 DF B8 0A 00 00 00 49 23 D7 41 2B C3 48 89 5C 24 18 48 89 54 24 10 48 C1 E2 0A 8D 48 FF 48 0B D3 48 D3 EA 41 BE 01 00 00 00 49 BA 00 00 00 00 00 00 20 00 83 E2 07 45 8B CE 8B C8 8B F2 41 23 F6 74 52 D1 FA 48 F7 D3 41 03 D6 83 E2 03 89 17 41 8B D6 48 D3 E2 49 2B D6 48 23 D3 49 3B D2 73 27 4C 8D 44 24 18 48 8B C2 49 83 C0 08 45 03 CE 49 8B 08 48 C1 E0 0A 48 F7 D1 49 23 CF 48 8B D1 48 0B D0 49 3B D2 72 DE 49 63 C1 4C 8B 44 C4 18 49 F7 D0 EB 35 D1 FA 89 17 49 8B D6 48 D3 E2 49 2B D6 48 23 D3 49 3B D2 73 18 48 8D 44 24 18 48 83 C0 08 48 C1 E2 0A 45 03 CE 48 0B 10 49 3B D2 72 ED 49 63 C1 4C 8B 44 C4 18 43 8D 04 89 49 C1 E0 36 03 C0 44 2B D8 41 83 C3 34 EB 19 49 8B C0 48 8B CA 45 03 DE 48 C1 E1 3F 48 D1 E8 4C 8B C1 4C 0B C0 48 D1 EA 49 3B D2 73 E2 49 63 CB 49 B9 FF FF FF FF FF FF 0F 00 49 23 D1 48 8D 81 FF 03 00 00 48 C1 E0 34 48 0B C2 85 F6 74 0D 48 BA 00 00 00 00 00 00 00 80 48 0B C2 48 89 04 24 49 C1 E8 0C 48 8D 81 CA 03 00 00 F2 44 0F 10 04 24 48 C1 E0 34 48 89 04 24 4C 0B C0 F2 0F 10 04 24 4C 89 04 24 F2 0F 10 3C 24 F2 0F 5C F8 85 F6 74 0A F2 0F 59 3D ?? ?? ?? ?? EB 08 F2 0F 59 3D ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 44 0F 11 04 24 66 41 0F 28 D8 48 8B 04 24 66 41 0F 28 F0 48 25 00 00 00 F8 F2 44 0F 59 05 ?? ?? ?? ?? 48 89 04 24 F2 0F 10 14 24 F2 0F 5C DA 66 0F 28 EA F2 0F 59 35 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? 66 0F 28 C3 F2 44 0F 58 C7 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C EE F2 0F 58 E8 F2 0F 58 EA F2 0F 58 EB F2 41 0F 58 E8 66 0F 28 C5 F2 0F 58 C6 F2 0F 5C F0 F2 41 0F 11 04 24 F2 0F 58 F5 F2 41 0F 11 75 00 48 8B 8D B0 0E 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 0F 00 00 49 8B 5B 40 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_276_0_0 {
	meta:
		name = "expf"
		size = 344
		refs = "000d __real_inf 0027 __real_64_by_log2 0033 __real_p8192 0041 __real_m9600 0052 __two_to_jby64_table 005e __real_log2_by_64 0084 __real_1_by_6 0094 __real_1_by_2 00d4 __real_zero 00df __flag_y_zero 00e4 _expf_special 00ff __flag_y_inf 011a __real_ninf 0122 __real_qnanbit 012d __flag_x_nan"
	strings:
		$1 = { 48 81 EC 88 00 00 00 66 0F 7E C2 8B 05 ?? ?? ?? ?? 23 C2 3B 05 ?? ?? ?? ?? 0F 84 F1 00 00 00 F3 0F 5A C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 66 0F 2F 1D ?? ?? ?? ?? 0F 83 B3 00 00 00 66 0F 2F 1D ?? ?? ?? ?? 0F 82 85 00 00 00 F2 0F E6 E3 4C 8D 15 ?? ?? ?? ?? F3 0F E6 CC F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 66 0F 7E E1 48 C7 C0 3F 00 00 00 23 C1 F2 0F 5C C2 F2 0F 10 C8 2B C8 C1 F9 06 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 C0 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 C3 F2 0F 58 C1 48 81 C1 FF 03 00 00 48 C1 E1 34 F2 41 0F 10 14 C2 F2 0F 59 C2 F2 0F 58 C2 48 89 4C 24 30 F2 0F 59 44 24 30 F2 0F 5A C0 48 81 C4 88 00 00 00 C3 F3 0F 10 0D ?? ?? ?? ?? 66 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 63 00 00 00 0F 1F 00 F3 0F 10 0D ?? ?? ?? ?? 66 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 66 0F 1F 44 00 00 3B 15 ?? ?? ?? ?? 74 38 3B 15 ?? ?? ?? ?? 74 20 0B 15 ?? ?? ?? ?? 66 0F 6E CA 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 0F 1F 84 00 00 00 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 7B FF FF FF 0F 1F 00 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "_wputenv_helper"
		size = 697
		refs = "0025 __env_initialized 003d _errno 0048 _invalid_parameter_noinfo 005b wcschr 0083 wcsnlen 0090 wcslen 00a1 _calloc_crt 010e wcscpy_s 0144 __crtwsetenv 015a free 0166 _environ 0197 __imp_WideCharToMultiByte 023c strlen 0281 __crtsetenv"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 55 57 41 54 41 55 41 56 48 8B EC 48 83 EC 40 45 33 F6 48 8B F2 48 8B F9 44 39 35 ?? ?? ?? ?? 4C 89 75 48 75 08 83 C8 FF E9 6B 02 00 00 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB E1 48 85 D2 75 67 44 8D 6A 3D 41 8B D5 E8 ?? ?? ?? ?? 48 85 C0 74 28 48 8B C8 48 2B CF 48 83 E1 FE 48 81 F9 FE FF 00 00 7D C5 BB FF 7F 00 00 48 8D 48 02 8B D3 E8 ?? ?? ?? ?? 48 3B C3 73 B0 48 8B CF E8 ?? ?? ?? ?? BA 02 00 00 00 48 8D 48 01 48 8B D8 E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 74 81 4C 8B C7 48 8D 53 01 48 8B C8 EB 7B BB FF 7F 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8B CE 4C 8B E0 E8 ?? ?? ?? ?? 4C 3B E3 0F 83 60 FF FF FF 48 3B C3 0F 83 57 FF FF FF 4A 8D 5C 20 02 BA 02 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 0F 84 2B FF FF FF 4C 8B C7 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B 45 48 41 BD 3D 00 00 00 66 46 89 2C 60 48 8B 45 48 49 FF C4 49 2B DC 4C 8B C6 4A 8D 0C 60 48 8B D3 E8 ?? ?? ?? ?? 48 8D 4D 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 48 48 85 C9 0F 84 D6 FE FF FF E8 ?? ?? ?? ?? E9 CC FE FF FF 4C 39 35 ?? ?? ?? ?? 0F 84 30 01 00 00 4C 89 74 24 38 4C 89 74 24 30 83 CB FF 4C 8B C7 33 D2 33 C9 44 8B CB 44 89 74 24 28 4C 89 75 40 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 44 8B E0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B C3 E9 EE 00 00 00 48 85 F6 74 2D 4C 89 74 24 38 4C 89 74 24 30 44 8B CB 4C 8B C6 33 D2 33 C9 44 89 74 24 28 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 C1 45 8D 64 04 01 49 63 CC BA 01 00 00 00 E8 ?? ?? ?? ?? 48 89 45 40 48 85 C0 74 B1 4C 89 74 24 38 4C 89 74 24 30 44 8B CB 4C 8B C7 33 D2 33 C9 44 89 64 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0E 48 8B 4D 40 E8 ?? ?? ?? ?? E9 70 FF FF FF 48 85 F6 74 43 48 8B 4D 40 E8 ?? ?? ?? ?? 48 8B 4D 40 4C 89 74 24 38 44 88 2C 08 48 FF C0 4C 89 74 24 30 44 2B E0 48 03 45 40 44 8B CB 4C 8B C6 33 D2 33 C9 44 89 64 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 AA 48 8D 4D 40 33 D2 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 40 48 85 C9 0F 84 17 FF FF FF E8 ?? ?? ?? ?? E9 0D FF FF FF 33 C0 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 40 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_278_1_0 {
	meta:
		name = "_wputenv"
		size = 50
		refs = "000f _lock 001a _wputenv_helper 0026 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 D2 48 8B CB E8 ?? ?? ?? ?? 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_345_1_0 {
	meta:
		name = "_putenv"
		size = 50
		refs = "000f _lock 001a _putenv_helper 0026 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 D2 48 8B CB E8 ?? ?? ?? ?? 8B D8 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_278_3_0 {
	meta:
		name = "_wputenv_s"
		size = 117
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 003e _lock 004a _wputenv_helper 005f _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B F1 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 2D B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 8B 18 B9 07 00 00 00 E8 ?? ?? ?? ?? EB CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_345_3_0 {
	meta:
		name = "_putenv_s"
		size = 117
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 003e _lock 004a _putenv_helper 005f _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B F1 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 2D B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 8B 18 B9 07 00 00 00 E8 ?? ?? ?? ?? EB CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_279_0_0 {
	meta:
		name = "__isnand"
		size = 37
	strings:
		$1 = { 41 B8 00 00 F0 7F 8B C2 41 23 C0 41 3B C0 75 12 F7 C2 FF FF 0F 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_279_1_0 {
	meta:
		name = "__Fill_FPIEEE_RECORD2"
		size = 242
		altNames = "__Fill_FPIEEE_RECORD"
	strings:
		$1 = { 48 8B 51 20 8B 41 10 4C 8B C1 33 02 41 BB FE FF FF FF 41 BA FD FF FF FF 83 E0 03 41 B9 FB FF FF FF 31 02 8B 41 14 48 8B 51 20 C1 E0 02 33 02 83 E0 1C 31 02 48 8B 49 20 41 8B 00 C1 E8 05 BA F7 FF FF FF F7 D0 33 41 08 83 E0 01 31 41 08 41 8B 00 49 8B 48 20 C1 E8 03 F7 D0 33 41 08 83 E0 02 31 41 08 41 8B 00 49 8B 48 20 D1 E8 F7 D0 33 41 08 83 E0 04 31 41 08 41 8B 00 49 8B 48 20 03 C0 F7 D0 33 41 08 83 E0 08 31 41 08 41 8B 00 49 8B 48 20 C1 E0 04 F7 D0 33 41 08 83 E0 10 31 41 08 49 8B 40 20 B9 EF FF FF FF 44 21 58 0C 49 8B 40 20 44 21 50 0C 49 8B 40 20 44 21 48 0C 49 8B 40 20 21 50 0C 49 8B 40 20 21 48 0C 49 8B 40 20 44 21 58 04 49 8B 40 20 44 21 50 04 49 8B 40 20 44 21 48 04 49 8B 40 20 21 50 04 49 8B 40 20 21 48 04 C3 }
	condition:
		$1
}

rule file_279_2_0 {
	meta:
		name = "fp64_is_qnan"
		size = 32
	strings:
		$1 = { 48 C1 E9 20 BA 00 00 F0 7F 8B C1 23 C2 3B C2 75 0C 0F BA E1 13 73 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_279_3_0 {
	meta:
		name = "fp64_is_snan"
		size = 50
	strings:
		$1 = { 41 B8 00 00 F0 7F 48 8B D1 48 C1 EA 20 8B C2 41 23 C0 41 3B C0 75 18 0F BA E2 13 72 12 F7 C2 FF FF 07 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_279_4_0 {
	meta:
		name = "fp64_is_inf"
		size = 42
	strings:
		$1 = { 41 B8 00 00 F0 7F 48 8B D1 48 C1 EA 20 8B C2 41 23 C0 41 3B C0 75 10 F7 C2 FF FF 0F 00 75 08 85 C9 75 04 8D 41 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_279_5_0 {
	meta:
		name = "fp64_is_zero"
		size = 32
	strings:
		$1 = { 48 8B C1 48 C1 E8 20 A9 00 00 F0 7F 75 0F A9 FF FF 0F 00 75 08 85 C9 75 04 8D 41 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_279_6_0 {
	meta:
		name = "fp64_is_denormal"
		size = 34
	strings:
		$1 = { 48 8B C1 48 C1 E8 20 A9 00 00 F0 7F 75 11 A9 FF FF 0F 00 75 04 85 C9 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_279_7_0 {
	meta:
		name = "RoundDoubleToIntegral"
		size = 607
		refs = "006a fp64_is_inf 0091 fp64_is_denormal"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 48 83 EC 20 8B D9 41 BB FF 07 00 00 48 8B CA 48 C1 E9 20 45 33 D2 49 8B E8 8B C1 4C 8B CA C1 E8 14 41 23 C3 41 3B C3 75 0A 0F BA E1 13 0F 82 F4 01 00 00 8B 7C 24 48 41 BD FF FF 0F 00 85 C0 75 0D 41 85 CD 75 08 85 FF 0F 84 D9 01 00 00 48 8B CA E8 ?? ?? ?? ?? 85 C0 0F 85 C9 01 00 00 44 8B 44 24 4C 41 8B D0 C1 EA 14 41 23 D3 81 FA 33 04 00 00 0F 83 AF 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 E7 00 00 00 81 FA FF 03 00 00 0F 82 DB 00 00 00 44 8D 9A 01 FC FF FF 8D 48 34 41 8B C2 41 2B CB 41 8B F0 49 BC 00 00 00 00 00 00 10 00 49 23 F5 48 C1 E6 20 48 0B F7 49 0B F4 48 8B FE 48 D3 EF 48 8B D7 48 D3 E2 41 8D 4B 0C 48 D3 E6 48 D3 EE B9 33 00 00 00 48 85 F6 0F 95 C0 89 45 00 8D 41 CE 44 3B D9 74 06 41 2B CB 48 D3 E0 41 B9 00 00 00 80 85 DB 75 0D 48 3B F0 72 3C 75 21 40 F6 C7 01 EB 19 83 FB 01 75 07 45 85 C1 74 2A EB 0A 83 FB 02 75 23 45 85 C1 75 1E 48 85 F6 74 19 48 8D 14 42 48 B8 00 00 00 00 00 00 20 00 48 3B D0 75 06 41 FF C3 49 8B D4 41 8D 8B FF 03 00 00 48 8B C2 45 23 C1 C1 E1 14 48 C1 E8 20 89 54 24 48 41 23 C5 81 E1 00 00 F0 7F 0B C8 41 0B C8 89 4C 24 4C 48 8B 44 24 48 E9 C2 00 00 00 41 B9 00 00 00 80 85 DB 75 4E 45 85 C1 74 2C 81 FA FE 03 00 00 75 18 45 85 C5 75 04 85 FF 74 0F 49 BA 00 00 00 00 00 00 F0 BF E9 80 00 00 00 49 BA 00 00 00 00 00 00 00 80 EB 74 81 FA FE 03 00 00 75 6C 45 85 C5 75 04 85 FF 74 63 49 BA 00 00 00 00 00 00 F0 3F EB 57 45 23 C1 83 FB 01 75 15 41 F7 D8 49 BA 00 00 00 00 00 00 F0 BF 48 1B C0 4C 23 D0 EB 3A 83 FB 02 75 22 41 F7 D8 48 B9 00 00 00 00 00 00 10 40 49 BA 00 00 00 00 00 00 F0 3F 48 1B C0 48 23 C1 4C 03 D0 EB 13 41 F7 D8 49 BA 00 00 00 00 00 00 00 80 48 1B C9 4C 23 D1 C7 45 00 01 00 00 00 49 8B C2 EB 07 49 8B C1 44 89 55 00 48 8B 5C 24 40 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_279_8_0 {
	meta:
		name = "XMMI2_FP_Emulation"
		size = 6336
		refs = "001d __read_mxcsr 002c __write_mxcsr 0123 __int_maxsd 0136 __int_minsd 0143 __Fill_FPIEEE_RECORD2 01df __int_sqrtsd 036f __int_divsd 0382 __int_mulsd 038f __int_subsd 039c __int_addsd 045d __MIN_DOUBLE_NORMAL 050e __TWO_TO_768 0b1d __int_cmpsd 0beb __int_ucomisd 0bf8 __int_comisd 0de3 __int_cvtsd2ss 0e7a __int_cvtss2sd 125d __int_cvttsd2si 1264 __int64_cvttsd2si 127f __int_cvtsd2si 128c __int64_cvtsd2si 1399 __int_cvtsi2ss 14ea fp64_is_snan 1544 fp64_is_denormal 15cd RoundDoubleToIntegral 17e1 __int_cvttss2si 17ef __int_cvtss2si"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 38 33 FF 4C 8B E1 89 7D 58 E8 ?? ?? ?? ?? BE 80 1F 00 00 8B CE 89 45 48 E8 ?? ?? ?? ?? 49 8B 54 24 20 41 BD FF 0F 00 00 8B 0A 44 8B FF 89 7D 50 41 33 4C 24 10 83 E1 03 31 0A 49 8B 4C 24 20 41 8B 44 24 14 C1 E0 02 33 01 83 E0 1C 31 01 49 8B 4C 24 20 8B 01 C1 E8 05 41 23 C5 83 F8 5D 0F 87 DE 0C 00 00 0F 84 14 16 00 00 83 F8 58 0F 87 F4 0A 00 00 83 F8 57 0F 83 55 0A 00 00 83 F8 49 0F 82 FE 0A 00 00 83 F8 50 0F 86 10 02 00 00 83 F8 52 0F 86 E0 00 00 00 83 F8 56 0F 87 E3 0A 00 00 41 39 7C 24 0C 8D 46 40 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 8B 03 49 8B 4B 10 49 8B 53 30 C1 E8 05 41 23 C5 83 F8 53 72 28 83 F8 54 76 15 83 F8 56 77 1E 41 81 23 1F 05 FE FF 41 81 0B 00 05 00 00 EB 0E 41 81 23 3F 05 FE FF 41 81 0B 20 05 00 00 49 8B 44 24 20 44 8B 00 41 C1 E8 05 45 23 C5 41 83 E8 28 74 18 41 FF C8 75 0A E8 ?? ?? ?? ?? E9 F5 09 00 00 48 8B 5D E8 E9 EF 09 00 00 E8 ?? ?? ?? ?? E9 E2 09 00 00 49 8B CC E8 ?? ?? ?? ?? 85 FF 74 05 45 09 74 24 04 85 F6 74 0E 49 8B 44 24 20 83 48 0C 10 45 09 6C 24 04 49 8B 44 24 20 44 09 68 60 49 8B 4C 24 20 8B 41 60 83 E0 E3 41 0B C6 89 41 60 49 8B 44 24 20 48 89 58 50 E9 2E 17 00 00 41 39 7C 24 0C 41 8B 4C 24 10 B8 C0 1F 00 00 0F 45 F0 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 8B 03 49 8B 4B 10 25 BF 00 FE FF 0D A0 00 00 00 41 89 03 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 41 BD 01 00 00 00 8B F8 83 E7 3F 8B F7 41 23 F5 74 0A 45 84 2C 24 0F 84 BD 01 00 00 8B C7 41 BE 02 00 00 00 41 23 C6 74 05 45 09 74 24 04 85 C0 74 0A 45 84 34 24 0F 84 3C 09 00 00 83 E7 20 74 4F 41 F6 04 24 20 75 48 49 8B CC E8 ?? ?? ?? ?? 4D 8B 5C 24 20 45 09 6B 0C 41 83 4C 24 04 20 49 8B 44 24 20 44 09 68 04 49 8B 44 24 20 44 09 68 60 49 8B 4C 24 20 8B 41 60 83 E0 E3 41 0B C6 89 41 60 49 8B 44 24 20 48 89 58 50 E9 72 01 00 00 49 8B CC E8 ?? ?? ?? ?? 85 FF 74 0F 49 8B 44 24 20 44 09 68 0C 41 83 4C 24 04 20 85 F6 0F 84 C4 FE FF FF 49 8B 44 24 20 83 48 0C 10 45 89 6C 24 04 E9 B1 FE FF FF 48 8B 59 10 48 8B 79 30 48 89 5D 60 48 89 7D 58 83 F8 49 72 3F 83 F8 4A 76 31 83 F8 4C 76 21 83 F8 4E 76 11 83 F8 50 77 2B 81 21 9F 00 FE FF 0F BA 29 07 EB 1F 81 21 7F 00 FE FF 83 09 60 EB 14 81 21 5F 00 FE FF 83 09 40 EB 09 81 21 3F 00 FE FF 83 09 20 45 39 7C 24 08 B8 80 9F 00 00 0F 45 F0 45 39 7C 24 0C 74 03 83 CE 40 41 8B 4C 24 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 8B 03 C1 E8 05 41 23 C5 FF C8 74 39 FF C8 74 28 FF C8 74 17 FF C8 75 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 2B 48 8B 75 E8 EB 2C 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 E8 48 8B F0 E8 ?? ?? ?? ?? 41 BD 01 00 00 00 44 8B F8 41 83 E7 3F 45 84 2C 24 75 3E 45 84 FD 74 39 49 8B CC E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 83 4B 0C 10 49 8B 44 24 20 45 09 6C 24 04 83 48 04 10 49 8B 44 24 20 83 60 60 FE 8B 4D 48 E8 ?? ?? ?? ?? 41 8B C5 E9 9B 07 00 00 41 BE 02 00 00 00 45 84 34 24 75 1E 45 84 FE 74 19 49 8B CC E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 83 63 60 FE 45 09 74 24 04 EB C6 41 F6 04 24 04 75 29 41 F6 C7 04 74 23 49 8B CC E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 83 4B 0C 08 49 8B 44 24 20 41 83 4C 24 04 04 83 48 04 08 EB 8D 8B 4D EC 48 8B 05 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 44 8B 45 E8 41 8B D7 C1 EA 04 41 23 D5 81 E1 FF FF FF 7F 75 05 45 85 C0 74 0C 41 3B C9 72 24 75 14 44 3B C0 72 1D 41 3B C9 75 0A 44 3B C0 75 05 41 3B D5 74 0E 85 C9 75 0F 45 85 C0 75 0A 41 3B D5 75 05 41 8B C5 EB 03 8B 45 50 41 F6 04 24 10 0F 85 B9 02 00 00 85 C0 0F 84 B1 02 00 00 E8 ?? ?? ?? ?? 0F BA E0 0F 73 04 0F BA F0 0F 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 8B 03 C1 E8 05 25 FF 0F 00 00 FF C8 0F 84 6D 01 00 00 FF C8 0F 84 C3 00 00 00 FF C8 74 53 FF C8 0F 85 F9 01 00 00 48 8B 15 ?? ?? ?? ?? 48 8B CB BE 00 00 F0 7F E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 85 75 64 75 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 0E 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B F8 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 AB 01 00 00 48 8B 15 ?? ?? ?? ?? BE 00 00 F0 7F 85 75 64 75 1C 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 2F 85 75 5C 75 0D 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 EB 0E 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 3F 01 00 00 8B 45 64 BE FF 07 00 00 41 BF FF FF 0F 80 C1 E8 14 23 C6 75 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 18 48 C1 EB 20 05 00 06 00 00 41 23 DF C1 E0 14 0B D8 89 5D 64 48 8B 5D 60 8B 45 5C C1 E8 14 23 C6 75 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 18 05 00 06 00 00 48 C1 EF 20 C1 E0 14 41 23 FF 0B F8 89 7D 5C 48 8B 45 58 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 9D 00 00 00 8B 45 64 BE FF 07 00 00 41 BF FF FF 0F 80 C1 E8 14 23 C6 75 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 18 48 C1 EB 20 05 00 06 00 00 41 23 DF C1 E0 14 0B D8 89 5D 64 48 8B 5D 60 8B 45 5C C1 E8 14 23 C6 75 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 18 05 00 06 00 00 48 C1 EF 20 C1 E0 14 41 23 FF 0B F8 89 7D 5C 48 8B 45 58 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 49 8B CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 3F 41 F6 C3 20 74 0F 49 8B 4C 24 20 44 09 69 0C 41 83 4C 24 04 20 49 8B 4C 24 20 44 09 71 0C 49 8B 44 24 20 41 83 4C 24 04 10 44 09 70 04 45 84 DE 74 05 45 09 74 24 04 49 8B 44 24 20 44 09 68 60 49 8B 4C 24 20 8B 41 60 83 E0 E3 41 0B C6 89 41 60 49 8B 44 24 20 48 89 70 50 E9 76 FC FF FF 41 F6 04 24 08 0F 85 62 02 00 00 41 F6 C7 08 0F 84 58 02 00 00 E8 ?? ?? ?? ?? 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 8B 03 C1 E8 05 25 FF 0F 00 00 FF C8 0F 84 3D 01 00 00 FF C8 0F 84 85 00 00 00 FF C8 74 50 FF C8 0F 85 D7 01 00 00 48 8B 15 ?? ?? ?? ?? BE 00 00 F0 7F 85 75 5C 75 0D 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 EB 0E 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B D8 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? E9 8C 01 00 00 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? E9 5B 01 00 00 8B 45 5C BE FF 07 00 00 41 BF 00 00 10 00 C1 E8 14 23 C6 BE 00 00 F0 7F 89 45 50 8B 45 64 23 C6 BE 00 00 10 80 3D 00 00 10 60 72 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 14 48 C1 EB 20 23 DE 41 0B DF 83 65 60 00 89 5D 64 48 8B 5D 60 81 7D 50 01 06 00 00 72 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 14 48 C1 EF 20 23 FE 41 0B FF 83 65 58 00 89 7D 5C 48 8B 45 58 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E9 AB 00 00 00 8B 45 5C BE FF 07 00 00 41 BF 00 00 10 00 C1 E8 14 23 C6 BE 00 00 F0 7F 89 45 50 8B 45 64 23 C6 BE 00 00 10 80 3D 00 00 10 60 72 23 48 8B 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 14 48 C1 EB 20 23 DE 41 0B DF 83 65 60 00 89 5D 64 48 8B 5D 60 81 7D 50 01 06 00 00 72 20 48 8B 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? EB 14 48 C1 EF 20 23 FE 41 0B FF 83 65 58 00 89 7D 5C 48 8B 45 58 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 49 8B CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 3F 41 F6 C3 20 74 0F 49 8B 4C 24 20 44 09 69 0C 41 83 4C 24 04 20 49 8B 4C 24 20 83 49 0C 04 49 8B 44 24 20 41 83 4C 24 04 08 83 48 04 04 E9 61 FD FF FF 41 F6 04 24 20 75 58 41 F6 C7 20 74 52 49 8B CC E8 ?? ?? ?? ?? 4D 8B 5C 24 20 45 09 6B 0C 41 83 4C 24 04 20 49 8B 44 24 20 44 09 68 04 41 F6 C7 10 74 0F 49 8B 44 24 20 44 09 70 0C 41 83 4C 24 04 10 41 F6 C7 08 74 0F 49 8B 44 24 20 83 48 0C 04 41 83 4C 24 04 08 45 84 FE E9 05 FD FF FF 49 8B CC E8 ?? ?? ?? ?? 41 F6 C7 20 74 0F 49 8B 44 24 20 44 09 68 0C 41 83 4C 24 04 20 41 F6 C7 10 74 0F 49 8B 44 24 20 44 09 70 0C 41 83 4C 24 04 10 41 F6 C7 08 74 0F 49 8B 44 24 20 83 48 0C 04 41 83 4C 24 04 08 41 F6 C7 04 74 0F 49 8B 44 24 20 83 48 0C 08 41 83 4C 24 04 04 45 84 FE 74 05 45 09 74 24 04 45 84 FD 74 0E 49 8B 44 24 20 83 48 0C 10 45 09 6C 24 04 49 8B 44 24 20 44 09 68 60 49 8B 4C 24 20 8B 41 60 83 E0 E3 41 0B C6 89 41 60 49 8B 44 24 20 48 89 70 50 E9 D4 0D 00 00 41 39 7C 24 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4D 8B 5C 24 20 45 8B 44 24 18 49 8B 4B 10 49 8B 53 30 41 81 23 FF 00 FE FF 41 81 0B E0 00 00 00 41 83 E0 07 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 41 BD 01 00 00 00 8B F8 83 E7 3F 8B F7 41 23 F5 74 0A 45 84 2C 24 0F 84 7F F8 FF FF 41 BE 02 00 00 00 41 23 FE 0F 84 EB F5 FF FF 45 84 34 24 0F 85 E1 F5 FF FF 45 09 74 24 04 49 8B CC E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 83 63 60 FE E9 73 F8 FF FF 83 F8 59 72 17 83 F8 5A 76 25 83 F8 5B 0F 84 04 0B 00 00 83 F8 5C 0F 84 28 06 00 00 33 C0 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 41 39 7C 24 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4D 8B 5C 24 20 41 8B 03 49 8B 5B 10 49 8B 7B 30 C1 E8 05 48 89 5D 60 48 89 7D 58 41 23 C5 83 E8 59 74 11 FF C8 75 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 49 8B 54 24 20 41 BD 01 00 00 00 8B 0A 44 8B F8 41 83 E7 3F 81 E1 FF 00 FE FF 81 C9 E0 00 00 00 45 8B F7 45 23 F5 89 0A 74 0A 45 84 2C 24 0F 84 8F F7 FF FF 8B 45 64 BE 00 00 F0 7F B9 FF FF 0F 00 23 C6 3B C6 75 0B 85 4D 64 75 1A 83 7D 60 00 75 14 8B 45 5C 23 C6 3B C6 75 43 85 4D 5C 75 06 83 7D 58 00 74 38 41 81 64 24 1C 6F F7 FF FF 41 83 4C 24 1C 45 49 8B CC E8 ?? ?? ?? ?? 45 85 F6 74 0E 49 8B 44 24 20 83 48 0C 10 45 09 6C 24 04 49 8B 44 24 20 83 60 60 FE E9 19 0C 00 00 41 BE 02 00 00 00 45 23 FE 74 0A 45 84 34 24 0F 84 AA FE FF FF 45 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 83 CE FF 48 89 45 50 48 C1 E8 20 3B C6 75 0E 39 75 50 75 09 41 81 64 24 1C 2A F7 FF FF 45 8B C5 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 50 48 C1 E8 20 3B C6 75 13 39 75 50 75 0E 41 81 64 24 1C 2B F7 FF FF 45 09 6C 24 1C 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 89 45 50 48 C1 E8 20 3B C6 75 14 39 75 50 75 0F 41 81 64 24 1C 6A F7 FF FF 41 83 4C 24 1C 40 49 8B CC E8 ?? ?? ?? ?? 45 85 FF 0F 84 46 FF FF FF 45 09 74 24 04 E9 3C FF FF FF 83 F8 63 0F 87 E9 06 00 00 0F 84 00 06 00 00 83 F8 5E 0F 84 51 04 00 00 0F 86 23 FE FF FF 83 F8 60 0F 86 C9 03 00 00 83 F8 62 0F 87 11 FE FF FF 8B 01 48 8B 59 10 25 1F 01 FE FF 48 89 5D 60 0F BA E8 08 89 01 41 39 7C 24 08 B8 80 9F 00 00 0F 45 F0 41 39 7C 24 0C 74 03 83 CE 40 41 8B 4C 24 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 41 BD 01 00 00 00 8B D8 44 8B D8 83 E3 3F 45 84 2C 24 75 09 41 84 DD 0F 85 B9 F5 FF FF 41 BE 02 00 00 00 45 84 34 24 75 17 41 84 DE 74 12 49 8B CC E8 ?? ?? ?? ?? 45 09 74 24 04 E9 B6 F5 FF FF 41 F6 04 24 08 0F 85 C9 00 00 00 F6 C3 08 0F 84 C0 00 00 00 8B 4D 64 44 21 7D 58 41 83 E3 DF 8B C1 0F BA F1 1E BE 00 00 F0 7F 81 C9 00 00 F0 3F 23 C6 89 4D 64 41 8B CB 89 45 5C E8 ?? ?? ?? ?? 48 8B 4D 60 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 55 58 48 8B C8 E8 ?? ?? ?? ?? 49 8B 4C 24 20 48 89 41 50 E8 ?? ?? ?? ?? 49 8B CC 8B D8 83 E3 3F E8 ?? ?? ?? ?? F6 C3 20 74 0F 49 8B 4C 24 20 44 09 69 0C 41 83 4C 24 04 20 49 8B 44 24 20 83 48 0C 04 41 83 4C 24 04 08 41 8B 44 24 04 41 84 DE 74 08 41 0B C6 41 89 44 24 04 49 8B 44 24 20 83 48 04 04 49 8B 44 24 20 44 09 68 60 49 8B 4C 24 20 8B 41 60 83 E0 E3 41 0B C6 89 41 60 E9 EB F4 FF FF 8B C3 8B CF BA 00 00 80 00 C1 E8 04 41 23 C5 81 E1 FF FF FF 7F 74 04 3B CA 72 12 3B CA 75 05 41 3B C5 74 09 85 C9 75 08 41 3B C5 75 03 45 8B FD 41 F6 04 24 10 0F 85 2A 01 00 00 45 85 FF 0F 84 21 01 00 00 41 0F BA E3 0F 73 05 41 0F BA F3 0F 41 83 E3 DF 41 8B CB E8 ?? ?? ?? ?? 44 8B 5D 64 BE 00 00 F0 7F 44 85 DE 75 65 41 81 CB 00 00 F0 3F 44 89 5D 64 48 8B 4D 60 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 89 45 60 48 C1 E8 20 8B C8 23 CE 81 F9 00 00 00 40 75 26 B9 FF FF 0F 00 85 C1 75 1D 83 7D 60 00 75 17 BE 00 00 10 80 44 8D 79 01 23 C6 41 0B C7 83 65 60 00 89 45 64 EB 0A 41 BF FF FF 0F 80 44 21 7D 64 48 8B 45 60 EB 38 83 65 58 00 41 8B C3 41 0F BA F3 1E 41 81 CB 00 00 F0 3F 23 C6 44 89 5D 64 48 8B 4D 60 89 45 5C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B 55 }
	condition:
		$1
}

rule file_280_0_0 {
	meta:
		name = "strtok"
		size = 235
		refs = "000d __security_cookie 0020 _getptd 00dc __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 45 33 D2 4C 8B D8 4C 89 54 24 20 4C 89 54 24 28 4C 89 54 24 30 4C 89 54 24 38 44 0F B6 0F BA 01 00 00 00 48 FF C7 41 8B C9 45 8B C1 83 E1 07 49 C1 E8 03 D2 E2 42 08 54 04 20 45 84 C9 75 DB 48 85 DB 75 0E 48 8B 58 20 EB 08 45 84 C0 74 21 48 FF C3 44 0F B6 03 BA 01 00 00 00 41 8B C8 41 8B C0 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 75 DA 4C 8B CB EB 1F 44 0F B6 03 BA 01 00 00 00 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 75 0A 48 FF C3 44 38 13 75 DC EB 06 44 88 13 48 FF C3 4C 3B CB 49 89 5B 20 4D 0F 44 CA 49 8B C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_281_0_0 {
	meta:
		name = "__GSHandlerCheckCommon"
		size = 99
		refs = "005f __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 20 45 8B 18 48 8B DA 4C 8B C9 41 83 E3 F8 41 F6 00 04 4C 8B D1 74 13 41 8B 40 08 4D 63 50 04 F7 D8 4C 03 D1 48 63 C8 4C 23 D1 49 63 C3 4A 8B 14 10 48 8B 43 10 8B 48 08 48 03 4B 08 F6 41 03 0F 74 0C 0F B6 41 03 83 E0 F0 48 98 4C 03 C8 4C 33 CA 49 8B C9 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_281_1_0 {
	meta:
		name = "__GSHandlerCheck"
		size = 29
		refs = "000f __GSHandlerCheckCommon"
	strings:
		$1 = { 48 83 EC 28 4D 8B 41 38 48 8B CA 49 8B D1 E8 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_282_2_0 {
	meta:
		name = "_cenvarg"
		size = 1235
		refs = "001c __security_cookie 002a ??_C@_0L@NKOGAPMJ@SystemRoot?$AA@ 0079 strlen 009b _calloc_crt 00af _errno 00ba __doserrno 00cf __security_check_cookie 00f2 _dupenv_s 0113 _invoke_watson 016c _aenvptr 0176 __crtGetEnvironmentStringsA 0190 free 0238 _mbsnicmp 02c7 strcpy_s 0364 memcpy 03db ??_C@_01NEMOKFLO@?$DN?$AA@ 03e6 strcat_s"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E9 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8B 05 ?? ?? ?? ?? 45 33 FF 4D 8B F1 48 89 45 F7 0F B7 05 ?? ?? ?? ?? 45 8D 6F 02 66 89 45 FF 8A 05 ?? ?? ?? ?? 4C 89 4D CF 88 45 01 48 8B 01 4C 89 45 D7 4C 8B E2 48 89 4D C7 41 8B F7 4C 89 7D E7 44 89 7D DF 48 8B D9 41 8B FD EB 13 48 8B C8 E8 ?? ?? ?? ?? 48 83 C3 08 8D 7C 07 01 48 8B 03 48 85 C0 75 E8 8B C7 BA 01 00 00 00 8B CF 48 89 45 EF E8 ?? ?? ?? ?? 48 8B 7D D7 48 89 07 48 85 C0 75 3C 4D 89 3E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 83 C8 FF 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 4C 8D 45 F7 48 8D 4D E7 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 86 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 4D E7 41 8D 5C 05 00 48 89 5D D7 48 85 C9 74 0B E8 ?? ?? ?? ?? 03 D8 48 89 5D D7 4D 85 E4 0F 84 55 01 00 00 49 8B 04 24 49 8B DC EB 14 48 8B C8 E8 ?? ?? ?? ?? 48 83 C3 08 45 8D 6C 05 01 48 8B 03 48 85 C0 75 E7 48 8B 15 ?? ?? ?? ?? 48 85 D2 75 2A E8 ?? ?? ?? ?? 48 8B D0 48 89 05 ?? ?? ?? ?? 48 85 C0 75 16 48 8B 0F 83 CE FF E8 ?? ?? ?? ?? 4C 89 3F 4D 89 3E E9 F2 02 00 00 45 8B F7 B3 3D 44 38 3A 74 27 8A 02 48 8B CA 3A C3 74 1E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 45 8D 74 06 01 49 63 C6 48 8D 0C 10 8A 01 84 C0 75 DE 45 8B FE 49 63 CE EB 2F 40 38 71 01 74 30 80 79 02 3A 75 2A 38 59 03 75 25 41 8D 47 04 48 63 C8 48 03 CA E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 45 8D 7C 07 05 49 63 CF 48 03 CA 38 19 74 CA 41 8B C7 49 8B DC 41 2B C6 44 03 E8 44 89 6D BF 49 39 34 24 74 25 48 8D 4D F7 E8 ?? ?? ?? ?? 48 8B 0B 48 8D 55 F7 4C 8B C0 E8 ?? ?? ?? ?? 85 C0 74 53 48 83 C3 08 48 39 33 75 DB 44 03 6D D7 41 8B CD BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B 6D CF 49 89 45 00 48 85 C0 75 40 48 8B 0F E8 ?? ?? ?? ?? 45 33 FF 4C 89 3F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 83 CE FF C7 00 08 00 00 00 E9 FE 01 00 00 C7 45 DF 01 00 00 00 EB B1 4D 89 3E 44 8B 75 BF 44 8B 7D BF 48 8B 45 C7 44 8B 6D BF 48 8B 1F 4C 8B 00 4D 85 C0 75 05 48 FF C3 EB 72 48 8B 55 EF 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 EB 01 00 00 48 8B 4D C7 48 8B 09 E8 ?? ?? ?? ?? FF C0 48 98 48 03 D8 48 8B 45 C7 48 83 C0 08 EB 3D 48 8B 17 4C 8B C0 48 8B CB 48 2B D3 48 03 55 EF E8 ?? ?? ?? ?? 85 C0 0F 85 11 01 00 00 48 8B 4D C7 48 8B 09 E8 ?? ?? ?? ?? 48 63 C8 48 8B 45 C7 48 03 D9 48 83 C0 08 C6 03 20 48 FF C3 48 89 45 C7 48 8B 00 48 85 C0 75 B7 48 8B 45 CF 66 89 73 FF 48 8B 38 4D 85 E4 0F 84 2E 01 00 00 45 2B FE 49 63 D6 48 8B CF 48 03 15 ?? ?? ?? ?? 49 63 DF 4C 8B C3 E8 ?? ?? ?? ?? 45 33 FF 48 03 FB 4D 39 3C 24 74 3F 41 8B DD 4C 8B 6D CF 4D 8B 04 24 48 8B D3 48 8B CF 48 2B D7 49 03 55 00 E8 ?? ?? ?? ?? 85 C0 0F 85 9A 00 00 00 49 8B 0C 24 E8 ?? ?? ?? ?? 49 83 C4 08 FF C0 48 98 48 03 F8 4D 39 3C 24 75 C8 44 39 7D DF 0F 85 8E 00 00 00 48 63 5D D7 4C 8D 45 F7 48 8B CF 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 8E 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 63 48 8B 4D E7 48 85 C9 74 51 4C 8B C1 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 3F 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 21 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 03 FB 48 8B 45 CF EB 2D 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 FF 48 85 FF 74 0E 48 3B 38 75 06 44 88 3F 48 FF C7 44 88 3F 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4D E7 4C 89 3D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 8B C6 E9 09 FC FF FF 48 21 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_282_3_0 {
	meta:
		name = "_capture_argv"
		size = 152
		refs = "003d _calloc_crt 0050 _recalloc_crt"
		altNames = "_wcapture_argv"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 49 8B F9 4D 8B E0 48 8B F2 48 8B E9 4D 8B D0 33 DB 48 3B DF 72 30 4D 3B D4 75 0F BA 10 00 00 00 48 8B CF E8 ?? ?? ?? ?? EB 11 41 B8 10 00 00 00 48 8B D7 49 8B CA E8 ?? ?? ?? ?? 4C 8B D0 48 85 C0 74 1E 48 03 FF 49 89 34 DA 48 FF C3 48 85 F6 74 0F 48 83 45 00 08 48 8B 45 00 48 8B 70 F8 EB B0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 49 8B C2 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_286_5_0 {
	meta:
		name = "?__crtGetStringTypeA_stat@@YAHPEAUlocaleinfo_struct@@KPEBDHPEAGHHH@Z"
		size = 350
		refs = "0022 __security_cookie 005c __imp_MultiByteToWideChar 00a5 __chkstk 00bf malloc 00eb memset 011f __imp_GetStringTypeW 0132 free 0140 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 40 48 8D 6C 24 30 48 89 5D 40 48 89 75 48 48 89 7D 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 8B 75 68 33 FF 45 8B E9 4D 8B F0 44 8B FA 85 F6 75 06 48 8B 01 8B 70 04 F7 5D 70 8B CE 89 7C 24 28 1B D2 48 89 7C 24 20 83 E2 08 FF C2 FF 15 ?? ?? ?? ?? 4C 63 E0 85 C0 75 07 33 C0 E9 CA 00 00 00 7E 67 48 B8 F0 FF FF FF FF FF FF 7F 4C 3B E0 77 58 4B 8D 4C 24 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 30 48 85 DB 74 B1 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C3 10 EB 03 48 8B DF 48 85 DB 74 88 4D 8B C4 33 D2 48 8B CB 4D 03 C0 E8 ?? ?? ?? ?? 45 8B CD 4D 8B C6 BA 01 00 00 00 8B CE 44 89 64 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 15 4C 8B 4D 60 44 8B C0 48 8B D3 41 8B CF FF 15 ?? ?? ?? ?? 8B F8 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 40 48 8B 75 48 48 8B 7D 50 48 8D 65 10 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_286_6_0 {
	meta:
		name = "__crtGetStringTypeA"
		size = 126
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0057 ?__crtGetStringTypeA_stat@@YAHPEAUlocaleinfo_struct@@KPEBDHPEAGHHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 8B F2 48 8B D1 48 8D 4C 24 40 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 44 8B 9C 24 A8 00 00 00 8B 84 24 98 00 00 00 48 8D 4C 24 40 44 89 5C 24 30 89 44 24 28 48 8B 84 24 90 00 00 00 44 8B CB 4C 8B C7 8B D6 48 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_287_4_0 {
	meta:
		name = "??1ThreadProxy@details@Concurrency@@UEAA@XZ"
		size = 55
		refs = "0009 ??_7ThreadProxy@details@Concurrency@@6B@ 0019 __imp_CloseHandle"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 18 FF 15 ?? ?? ?? ?? 48 8B 4B 10 FF 15 ?? ?? ?? ?? 48 8B 4B 08 48 8B 01 48 83 C4 20 5B 48 FF 60 18 }
	condition:
		$1
}

rule file_287_6_0 {
	meta:
		name = "?SetPriority@ThreadProxy@details@Concurrency@@QEAAXH@Z"
		size = 74
		refs = "000d __imp_SetThreadPriority 0017 __imp_GetLastError 002f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0036 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0040 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 89 51 2C 48 8B 49 10 FF 15 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_287_10_0 {
	meta:
		name = "?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 43
		refs = "001a __imp_WaitForSingleObject"
	strings:
		$1 = { 40 53 48 83 EC 20 B8 01 00 00 00 48 8B D9 83 CA FF 87 41 34 48 8B 49 18 FF 15 ?? ?? ?? ?? 45 33 DB 44 87 5B 34 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_287_12_0 {
	meta:
		name = "?Cancel@ThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 18
		refs = "000e __imp_SetEvent"
	strings:
		$1 = { C7 41 38 01 00 00 00 48 8B 49 18 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_287_13_0 {
	meta:
		name = "?ThreadProxyMain@ThreadProxy@details@Concurrency@@CAKPEAX@Z"
		size = 66
		refs = "0012 __imp_WaitForSingleObject 0036 ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 83 CA FF FF 15 ?? ?? ?? ?? 33 C0 48 8B CB 87 43 34 48 8B 13 FF 52 28 4C 8B 1B BA 01 00 00 00 48 8B CB 41 FF 53 20 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_287_19_0 {
	meta:
		name = "??0ThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z"
		size = 207
		refs = "0019 ??_7ThreadProxy@details@Concurrency@@6B@ 0046 ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC 005d __imp_CreateEventW 006c __imp_GetLastError 0084 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 008b _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0095 _CxxThrowException 00a4 ?ThreadProxyMain@ThreadProxy@details@Concurrency@@CAKPEAX@Z 00be ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 83 61 2C 00 48 89 51 08 44 89 41 28 C6 41 30 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C7 41 34 01 00 00 00 C7 41 38 00 00 00 00 48 8B 49 08 48 8B 01 FF 50 10 41 BB 01 00 00 00 F0 44 0F C1 1D ?? ?? ?? ?? 41 FF C3 45 33 C9 45 33 C0 33 D2 33 C9 44 89 5B 3C FF 15 ?? ?? ?? ?? 48 89 43 18 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 8B 53 28 48 8D 4B 40 4C 8D 05 ?? ?? ?? ?? 48 89 4C 24 28 4C 8B CB C1 E2 0A 33 C9 C7 44 24 20 00 00 01 00 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_287_23_0 {
	meta:
		name = "?SpinUntilBlocked@ThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 57
		refs = "0017 ?_Sleep0@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 41 34 48 8B D9 85 C0 75 23 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 5B 34 45 85 DB 74 ED 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_288_3_0 {
	meta:
		name = "_wcstod_l"
		size = 327
		refs = "0017 __security_cookie 0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 0084 iswctype 009a _wfltin2 00d1 _HUGE 00db __mask@@NegDouble@ 012c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 70 0F 29 74 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B F1 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 DB 74 03 48 89 3B 48 85 F6 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 74 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 66 0F 57 C0 E9 B1 00 00 00 0F B7 0E EB 07 48 83 C7 02 0F B7 0F BA 08 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 EB 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 48 85 DB 74 0B 48 63 48 04 48 8D 14 4F 48 89 13 F7 00 40 02 00 00 74 0E 66 0F 57 F6 48 85 DB 74 4D 48 89 33 EB 48 F6 00 81 74 18 66 83 3F 2D F2 0F 10 35 ?? ?? ?? ?? 75 23 66 0F 57 35 ?? ?? ?? ?? EB 19 F7 00 00 01 00 00 74 1E F2 0F 10 40 10 66 0F 57 F6 66 0F 2E C6 7A 0F 75 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 05 F2 0F 10 70 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 66 0F 28 C6 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 20 49 8B 73 28 0F 28 74 24 60 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_289_1_0 {
	meta:
		name = "_pipe"
		size = 739
		refs = "0032 __doserrno 0039 _errno 0044 _invalid_parameter_noinfo 00d4 __imp_CreatePipe 00de __imp_GetLastError 00e5 _dosmaperr 00ec _alloc_osfhnd 0116 __pioinfo 0144 _unlock_fhandle 01b4 _get_fmode 023e _set_osfhnd 0261 _invoke_watson 02a2 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 81 EC 80 00 00 00 45 8B F8 48 8B F1 33 FF 44 8B F7 8B C7 48 85 C9 0F 95 C0 85 C0 75 1F E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 76 02 00 00 83 CB FF 89 59 04 89 19 41 F7 C0 7F 3F FF FF 8B C7 0F 94 C0 85 C0 75 1E E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C3 E9 40 02 00 00 41 8B C0 41 B8 00 C0 00 00 41 23 C0 8B CF 41 3B C0 0F 95 C1 85 C9 74 CA C7 44 24 60 18 00 00 00 48 89 7C 24 68 41 8B C7 25 80 00 00 00 89 44 24 30 8B C7 0F 94 C0 89 44 24 70 44 8B CA 4C 8D 44 24 60 48 8D 54 24 58 48 8D 4C 24 50 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 94 E8 ?? ?? ?? ?? 4C 63 E0 44 89 A4 24 B0 00 00 00 44 3B E3 0F 84 7A 01 00 00 4D 8B EC 49 8B CC 48 C1 F9 05 48 89 4C 24 38 48 8D 15 ?? ?? ?? ?? 41 83 E5 1F 4D 6B ED 58 48 8B 04 CA 41 C6 44 05 08 89 48 8B 04 CA 41 80 64 05 38 80 48 8B 04 CA 41 80 64 05 38 7F 41 8B CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 F8 89 BC 24 C8 00 00 00 3B FB 0F 84 07 01 00 00 83 A4 24 B0 00 00 00 00 48 8B CF 48 8B D7 48 C1 FA 05 48 89 54 24 48 83 E1 1F 48 6B C9 58 48 89 4C 24 40 4C 8D 05 ?? ?? ?? ?? 49 8B 04 D0 C6 44 08 08 89 49 8B 04 D0 80 64 08 38 80 49 8B 04 D0 80 64 08 38 7F 8B CF E8 ?? ?? ?? ?? 48 8D 8C 24 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 90 00 00 00 B8 00 80 00 00 44 85 F8 75 10 41 0F BA E7 0E 72 34 39 84 24 B0 00 00 00 75 2B 48 8B 54 24 38 4C 8D 0D ?? ?? ?? ?? 49 8B 04 D1 41 80 64 05 08 7F 4C 8B 44 24 48 4B 8B 04 C1 48 8B 4C 24 40 80 64 08 08 7F EB 16 4C 8D 0D ?? ?? ?? ?? 4C 8B 44 24 48 48 8B 54 24 38 48 8B 4C 24 40 83 7C 24 30 00 74 13 49 8B 04 D1 41 80 4C 05 08 10 4B 8B 04 C1 80 4C 08 08 10 48 8B 54 24 50 41 8B CC E8 ?? ?? ?? ?? 48 8B 54 24 58 8B CF E8 ?? ?? ?? ?? EB 3B 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 54 24 38 4C 8D 05 ?? ?? ?? ?? 49 8B 04 D0 41 C6 44 05 08 00 EB 07 8B BC 24 C8 00 00 00 41 BE 01 00 00 00 45 85 F6 74 2E E8 ?? ?? ?? ?? C7 00 18 00 00 00 48 8B 4C 24 50 FF 15 ?? ?? ?? ?? 48 8B 4C 24 58 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 20 00 E9 C1 FD FF FF 44 89 26 89 7E 04 33 C0 4C 8D 9C 24 80 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_289_2_0 {
	meta:
		name = "_pipe$fin$1"
		size = 32
		refs = "0010 _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC CC CC CC CC }
	condition:
		$1
}

rule file_289_3_0 {
	meta:
		name = "_pipe$fin$0"
		size = 28
		refs = "0010 _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 8B 8D C8 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "_fseeki64_nolock"
		size = 203
		refs = "0048 _ftelli64_nolock 0055 _flush 008a _fileno 0097 _lseeki64 00a9 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 41 18 41 8B F8 48 8B EA 48 8B D9 A8 83 0F 84 80 00 00 00 33 F6 45 85 C0 74 0C 41 83 F8 01 74 06 41 83 F8 02 75 6D 83 E0 EF 89 41 18 41 83 F8 01 75 0A E8 ?? ?? ?? ?? 8B FE 48 03 E8 48 8B CB E8 ?? ?? ?? ?? 44 8B 5B 18 45 84 DB 79 0A 41 83 E3 FC 44 89 5B 18 EB 1A 41 F6 C3 01 74 14 41 F6 C3 08 74 0E 41 0F BA E3 0A 72 07 C7 43 24 00 02 00 00 48 8B CB E8 ?? ?? ?? ?? 44 8B C7 48 8B D5 8B C8 E8 ?? ?? ?? ?? 48 83 F8 FF 40 0F 95 C6 8D 46 FF EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_291_1_0 {
	meta:
		name = "_fseeki64"
		size = 124
		refs = "002a _errno 0035 _invalid_parameter_noinfo 004d _lock_file 005c _fseeki64_nolock 0066 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 41 8B D8 48 8B F2 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 2E 85 DB 74 0A 83 FB 01 74 05 83 FB 02 75 DD E8 ?? ?? ?? ?? 90 44 8B C3 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "_execl"
		size = 165
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0063 _capture_argv 007a _execve 0094 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 57 48 81 EC 38 02 00 00 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 65 80 39 00 74 E5 48 85 D2 74 E0 80 3A 00 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 64 24 20 00 45 33 C0 48 8B D0 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5B C3 }
	condition:
		$1
}

rule file_293_0_0 {
	meta:
		name = "_fstat64"
		size = 964
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f4 __imp_GetFileType 0115 __imp_GetLastError 011c _dosmaperr 017d __imp_PeekNamedPipe 01b6 __imp_GetFileInformationByHandle 01fb __imp_FileTimeToLocalFileTime 0213 __imp_FileTimeToSystemTime 024f __loctotime64_t 0375 _unlock_fhandle 0390 _invalid_parameter_noinfo 03a3 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 98 00 00 00 48 8B FA 48 63 F1 89 74 24 4C 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 34 03 00 00 33 D2 44 8D 42 38 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 0F 03 00 00 85 F6 0F 88 F0 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 E4 02 00 00 4C 8B E6 4C 8B EE 49 C1 FD 05 4C 8D 3D ?? ?? ?? ?? 41 83 E4 1F 4D 6B E4 58 4B 8B 04 EF 42 0F BE 4C 20 08 41 BE 01 00 00 00 41 23 CE 0F 84 B2 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 0C EF 46 84 74 21 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 81 02 00 00 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C6 0F 84 97 00 00 00 83 F8 02 74 20 83 F8 03 74 16 85 C0 74 CB FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 4A 02 00 00 83 F8 02 75 07 B9 00 20 00 00 EB 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 66 44 89 77 08 66 89 5F 04 89 5F 0A 48 89 5F 30 48 89 5F 28 48 89 5F 20 83 F8 02 74 37 4B 8B 0C EF 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 85 C0 74 0E 48 63 44 24 48 48 89 47 18 E9 DF 01 00 00 48 89 5F 18 E9 D6 01 00 00 89 5F 0A 89 5F 04 66 44 89 77 08 4B 8B 0C EF 48 8D 54 24 60 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 85 C0 0F 84 51 FF FF FF 0F B7 47 06 44 84 74 24 60 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 74 75 0C 39 5C 24 78 75 06 48 89 5F 28 EB 68 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 68 01 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 50 01 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 28 39 5C 24 6C 75 0C 39 5C 24 70 75 06 48 8B 47 28 EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 EE 00 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 D6 00 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 20 39 5C 24 64 75 0C 39 5C 24 68 75 06 48 8B 47 28 EB 5C 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 74 78 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 64 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 30 8B 8C 24 80 00 00 00 48 C1 E1 20 8B 84 24 84 00 00 00 48 03 C8 48 89 4F 18 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 98 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_294_0_0 {
	meta:
		name = "_write_nolock"
		size = 1888
		refs = "001e __chkstk 0028 __security_cookie 0057 __doserrno 005e _errno 0069 _invalid_parameter_noinfo 007e __pioinfo 00cd _lseeki64_nolock 00d4 _isatty 00f8 _getptd 0121 __imp_GetConsoleMode 013c __imp_GetConsoleCP 01a2 isleadbyte 01cc mbtowc 022e __imp_WideCharToMultiByte 0266 __imp_WriteFile 0322 _putwch_nolock 0396 __imp_GetLastError 06ec _dosmaperr 0741 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 D0 E5 FF FF B8 30 1B 00 00 E8 ?? ?? ?? ?? 48 2B E0 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 20 1A 00 00 33 FF 45 8B F0 4C 8B EA 21 7C 24 44 48 63 D9 45 85 C0 75 07 33 C0 E9 E5 06 00 00 48 85 D2 75 1F E8 ?? ?? ?? ?? 21 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C1 06 00 00 4C 8B FB 4C 8B E3 48 8D 05 ?? ?? ?? ?? 49 C1 FC 05 41 83 E7 1F 4A 8B 0C E0 4C 89 64 24 50 4D 6B FF 58 41 8A 74 0F 38 4C 89 7C 24 60 40 02 F6 40 D0 FE 40 80 FE 02 74 06 40 80 FE 01 75 09 41 8B C6 F7 D0 A8 01 74 9A 41 F6 44 0F 08 20 74 0D 33 D2 8B CB 44 8D 42 02 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 CA 02 00 00 48 8D 05 ?? ?? ?? ?? 4A 8B 04 E0 41 F6 44 07 08 80 0F 84 B3 02 00 00 E8 ?? ?? ?? ?? 33 DB 48 8D 54 24 5C 48 8B 88 C0 00 00 00 48 8D 05 ?? ?? ?? ?? 39 59 14 4A 8B 0C E0 49 8B 0C 0F 0F 94 C3 FF 15 ?? ?? ?? ?? 85 C0 0F 84 7D 02 00 00 85 DB 74 09 40 84 F6 0F 84 70 02 00 00 FF 15 ?? ?? ?? ?? 21 7C 24 58 49 8B DD 89 44 24 5C 45 85 F6 0F 84 4D 02 00 00 40 84 F6 0F 85 84 01 00 00 8A 0B 33 C0 80 F9 0A 0F 94 C0 89 44 24 4C 48 8D 05 ?? ?? ?? ?? 4A 8B 14 E0 41 83 7C 17 50 00 74 20 41 8A 44 17 4C 88 4C 24 61 41 B8 02 00 00 00 88 44 24 60 41 83 64 17 50 00 48 8D 54 24 60 EB 49 0F BE C9 E8 ?? ?? ?? ?? 85 C0 74 34 49 8B C6 48 2B C3 49 03 C5 48 83 F8 01 0F 8E AD 01 00 00 48 8D 4C 24 40 41 B8 02 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 B2 01 00 00 48 FF C3 EB 1C 41 B8 01 00 00 00 48 8B D3 48 8D 4C 24 40 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 91 01 00 00 48 83 64 24 38 00 48 83 64 24 30 00 8B 4C 24 5C 48 8D 44 24 60 4C 8D 44 24 40 41 B9 01 00 00 00 33 D2 C7 44 24 28 05 00 00 00 48 FF C3 48 89 44 24 20 FF 15 ?? ?? ?? ?? 44 8B E0 85 C0 0F 84 4E 01 00 00 48 8B 4C 24 50 48 83 64 24 20 00 48 8D 05 ?? ?? ?? ?? 48 8B 0C C8 4C 8D 4C 24 58 48 8D 54 24 60 49 8B 0C 0F 45 8B C4 FF 15 ?? ?? ?? ?? 85 C0 0F 84 22 01 00 00 8B FB 41 2B FD 03 7C 24 44 44 39 64 24 58 0F 8C 05 01 00 00 83 7C 24 4C 00 4C 8B 64 24 50 0F 84 C5 00 00 00 48 83 64 24 20 00 48 8D 05 ?? ?? ?? ?? C6 44 24 60 0D 4A 8B 0C E0 4C 8D 4C 24 58 48 8D 54 24 60 49 8B 0C 0F 41 B8 01 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 C6 00 00 00 83 7C 24 58 01 0F 8C B2 00 00 00 FF 44 24 44 FF C7 EB 7A 40 80 FE 01 74 06 40 80 FE 02 75 1E 0F B7 03 45 33 E4 66 83 F8 0A 66 89 44 24 40 41 0F 94 C4 48 83 C3 02 44 89 64 24 4C EB 05 44 8B 64 24 4C 40 80 FE 01 74 06 40 80 FE 02 75 3A 0F B7 4C 24 40 E8 ?? ?? ?? ?? 66 3B 44 24 40 75 67 83 C7 02 45 85 E4 74 21 41 BC 0D 00 00 00 41 8B CC 66 44 89 64 24 40 E8 ?? ?? ?? ?? 66 3B 44 24 40 75 44 FF C7 FF 44 24 44 4C 8B 64 24 50 8B C3 41 2B C5 41 3B C6 73 26 E9 EA FD FF FF 8A 03 48 8D 15 ?? ?? ?? ?? FF C7 4A 8B 0C E2 41 88 44 0F 4C 4A 8B 04 E2 41 C7 44 07 50 01 00 00 00 8B 5C 24 4C E9 F9 02 00 00 FF 15 ?? ?? ?? ?? 8B D8 E9 EC 02 00 00 8B 5C 24 4C E9 EB 02 00 00 48 8D 05 ?? ?? ?? ?? 4A 8B 0C E0 41 F6 44 0F 08 80 0F 84 FE 02 00 00 33 DB 4D 8B E5 40 84 F6 0F 85 CB 00 00 00 45 85 F6 0F 84 1D 03 00 00 8D 53 0D 44 8B 7C 24 44 48 8D B5 20 06 00 00 33 C9 41 8B C4 41 2B C5 41 3B C6 73 27 41 8A 04 24 49 FF C4 3C 0A 75 0B 88 16 41 FF C7 48 FF C6 48 FF C1 48 FF C1 88 06 48 FF C6 48 81 F9 FF 13 00 00 72 CE 48 21 5C 24 20 48 8D 85 20 06 00 00 44 8B C6 44 2B C0 48 8B 44 24 50 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 44 89 7C 24 44 4C 8B 7C 24 60 49 8B 0C 0F 4C 8D 4C 24 48 48 8D 95 20 06 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 2F FF FF FF 03 7C 24 48 48 8D 85 20 06 00 00 48 2B F0 48 63 44 24 48 48 3B C6 0F 8C 0C 02 00 00 41 8B C4 BA 0D 00 00 00 41 2B C5 41 3B C6 0F 82 46 FF FF FF E9 F3 01 00 00 40 80 FE 02 0F 85 D8 00 00 00 45 85 F6 0F 84 48 02 00 00 BA 0D 00 00 00 44 8B 7C 24 44 48 8D B5 20 06 00 00 33 C9 41 8B C4 41 2B C5 41 3B C6 73 32 41 0F B7 04 24 49 83 C4 02 66 83 F8 0A 75 0F 66 89 16 41 83 C7 02 48 83 C6 02 48 83 C1 02 48 83 C1 02 66 89 06 48 83 C6 02 48 81 F9 FE 13 00 00 72 C3 48 21 5C 24 20 48 8D 85 20 06 00 00 44 8B C6 44 2B C0 48 8B 44 24 50 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 44 89 7C 24 44 4C 8B 7C 24 60 49 8B 0C 0F 4C 8D 4C 24 48 48 8D 95 20 06 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 4D FE FF FF 03 7C 24 48 48 8D 85 20 06 00 00 48 2B F0 48 63 44 24 48 48 3B C6 0F 8C 2A 01 00 00 41 8B C4 BA 0D 00 00 00 41 2B C5 41 3B C6 0F 82 3B FF FF FF E9 11 01 00 00 45 85 F6 0F 84 70 01 00 00 41 B8 0D 00 00 00 48 8D 4C 24 70 33 D2 41 8B C4 41 2B C5 41 3B C6 73 2F 41 0F B7 04 24 49 83 C4 02 66 83 F8 0A 75 0C 66 44 89 01 48 83 C1 02 48 83 C2 02 48 83 C2 02 66 89 01 48 83 C1 02 48 81 FA A8 06 00 00 72 C6 48 83 64 24 38 00 48 83 64 24 30 00 48 8D 44 24 70 2B C8 4C 8D 44 24 70 C7 44 24 28 55 0D 00 00 8B C1 B9 E9 FD 00 00 99 2B C2 33 D2 D1 F8 44 8B C8 48 8D 85 20 06 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 44 8B F8 85 C0 0F 84 9B 00 00 00 33 F6 48 8B 44 24 50 48 83 64 24 20 00 48 63 CE 48 8D 94 0D 20 06 00 00 45 8B C7 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 48 8B 44 24 60 4C 8D 4C 24 48 48 8B 0C 08 44 2B C6 FF 15 ?? ?? ?? ?? 85 C0 74 0B 03 74 24 48 44 3B FE 7F B8 EB 08 FF 15 ?? ?? ?? ?? 8B D8 44 3B FE 7F 15 41 8B FC 41 B8 0D 00 00 00 41 2B FD 41 3B FE 0F 82 03 FF FF FF 4C 8B 7C 24 60 85 FF 0F 85 9B 00 00 00 85 DB 74 5C 83 FB 05 75 4B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 89 18 E9 B8 F9 FF FF FF 15 ?? ?? ?? ?? 8B D8 EB C9 49 8B 0C 0F 48 21 7C 24 20 4C 8D 4C 24 48 45 8B C6 49 8B D5 FF 15 ?? ?? ?? ?? 85 C0 0F 84 B3 FC FF FF 8B 7C 24 48 33 DB EB A4 8B CB E8 ?? ?? ?? ?? E9 78 F9 FF FF 48 8B 44 24 50 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 41 F6 44 07 08 40 74 0B 41 80 7D 00 1A 0F 84 32 F9 FF FF E8 ?? ?? ?? ?? C7 00 1C 00 00 00 E8 ?? ?? ?? ?? 83 20 00 E9 3D F9 FF FF 2B 7C 24 44 8B C7 48 8B 8D 20 1A 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 88 1B 00 00 48 81 C4 30 1B 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_294_1_0 {
	meta:
		name = "_write"
		size = 223
		refs = "0024 __doserrno 002c _errno 0041 _nhandle 0054 __pioinfo 0070 __lock_fhandle 0089 _write_nolock 00aa _unlock_fhandle 00c6 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 57 41 54 41 55 41 56 48 83 EC 20 41 8B F0 4C 8B E2 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 8F 00 00 00 85 C9 78 73 3B 3D ?? ?? ?? ?? 73 6B 48 8B DF 4C 8B EF 49 C1 FD 05 4C 8D 35 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 4B 8B 04 EE 0F BE 4C 18 08 83 E1 01 74 45 8B CF E8 ?? ?? ?? ?? 90 4B 8B 04 EE F6 44 18 08 01 74 11 44 8B C6 49 8B D4 8B CF E8 ?? ?? ?? ?? 8B D8 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "?FindCompleteObject@@YAPEAXPEAPEAX@Z"
		size = 38
	strings:
		$1 = { 48 8B 01 4C 8B 40 F8 48 8B C1 41 8B 50 04 48 2B C2 41 83 78 08 00 74 0D 41 8B 50 08 48 2B CA 48 63 09 48 2B C1 C3 }
	condition:
		$1
}

rule file_295_1_0 {
	meta:
		name = "?FindSITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@1_K@Z"
		size = 212
		refs = "005a strcmp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 63 41 10 33 DB 49 8B E9 4E 63 6C 08 0C 46 8B 64 08 08 4D 8B F0 4D 03 E9 4C 8B FA 45 85 E4 74 30 49 8B FD 48 63 37 48 03 F5 48 63 0E 48 03 CD 49 3B CE 74 3B 49 8D 56 10 48 83 C1 10 E8 ?? ?? ?? ?? 85 C0 74 2A FF C3 48 83 C7 04 41 3B DC 72 D3 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 FF C3 48 63 C3 41 3B DC 73 D7 49 8D 7C 85 00 48 63 07 F6 44 28 14 04 75 C8 48 63 0C 28 48 03 CD 49 3B CF 74 1E 49 8D 57 10 48 83 C1 10 E8 ?? ?? ?? ?? 85 C0 74 0D FF C3 48 83 C7 04 41 3B DC 72 CE EB 9E 48 8B C6 EB 9B }
	condition:
		$1
}

rule file_295_2_0 {
	meta:
		name = "?PMDtoOffset@@YA_JPEAXAEBUPMD@@@Z"
		size = 35
	strings:
		$1 = { 45 33 C9 44 39 4A 04 7C 13 4C 63 4A 04 4C 63 42 08 49 8B 04 09 4A 63 0C 00 4C 03 C9 48 63 02 49 03 C1 C3 }
	condition:
		$1
}

rule file_295_3_0 {
	meta:
		name = "?GetImageBase@@YA_KPEAX@Z"
		size = 19
		refs = "000a RtlPcToFileHeader"
	strings:
		$1 = { 48 83 EC 28 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_295_4_0 {
	meta:
		name = "__RTCastToVoid"
		size = 105
		refs = "0044 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 004e ??0__non_rtti_object@std@@QEAA@PEBD@Z 0055 _TI3?AV__non_rtti_object@std@@ 005f _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B D1 48 85 C9 75 04 33 C0 EB 54 48 8B 01 48 8B 48 F8 8B 41 04 4C 8B C2 4C 2B C0 4C 89 44 24 20 83 79 08 00 74 11 8B 49 08 48 2B D1 48 63 0A 4C 2B C1 4C 89 44 24 20 49 8B C0 EB 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_295_5_0 {
	meta:
		name = "__RTCastToVoid$filt$0"
		size = 34
		altNames = "_IsNonwritableInCurrentImage$filt$0 __RTtypeid$filt$0 _heapwalk$filt$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 8B C1 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_295_6_0 {
	meta:
		name = "__RTtypeid"
		size = 171
		refs = "000e ??_C@_0CE@FFJAJLDK@Attempted?5a?5typeid?5of?5NULL?5point@ 0018 ??0bad_typeid@std@@QEAA@PEBD@Z 001f _TI2?AVbad_typeid@std@@ 0029 _CxxThrowException 0043 RtlPcToFileHeader 0062 ??_C@_0CB@EEENAAHH@Bad?5read?5pointer?5?9?5no?5RTTI?5data?$CB@ 006c ??0__non_rtti_object@std@@QEAA@PEBD@Z 0073 _TI3?AV__non_rtti_object@std@@ 0085 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 85 C9 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 8B 01 48 8B 58 F8 83 3B 00 75 12 48 8D 54 24 50 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 EB 0A 48 63 43 14 4C 8B DB 4C 2B D8 48 63 43 0C 49 03 C3 75 46 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_295_8_0 {
	meta:
		name = "?FindMITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z"
		size = 377
		refs = "0088 strcmp"
	strings:
		$1 = { 48 8B C4 48 89 58 10 4C 89 48 20 4C 89 40 18 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B AC 24 88 00 00 00 48 63 42 10 45 33 C0 4C 63 7C 28 0C 8B 44 28 08 41 83 CC FF 4C 03 FD 41 8B F8 45 8B E8 89 84 24 88 00 00 00 45 8B F0 41 8B F0 85 C0 0F 84 06 01 00 00 49 63 1F 8B C6 41 2B C4 48 03 DD 41 3B C6 76 36 48 63 0B 48 8B 84 24 80 00 00 00 48 03 CD 48 3B C8 74 14 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 85 C0 75 0F 4D 85 ED 75 79 44 8B 73 04 48 8B FB 44 8B E6 48 63 0B 48 8B 44 24 70 48 03 CD 48 3B C8 74 14 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 85 C0 75 37 49 8B D0 44 39 43 0C 7C 18 48 63 53 0C 48 8B 44 24 60 48 63 4B 10 48 8B 04 02 48 63 0C 08 48 03 D1 48 63 43 08 48 03 C2 48 3B 44 24 78 75 08 48 85 FF 75 29 4C 8B EB FF C6 49 83 C7 04 3B B4 24 88 00 00 00 73 56 E9 4B FF FF FF F6 43 14 03 75 4B 41 F6 45 14 01 75 44 48 8B C3 EB 41 41 2B F4 41 3B F6 77 31 F6 47 14 40 75 10 45 85 E4 75 06 F6 43 14 01 75 26 48 8B C7 EB 23 48 63 47 18 48 63 44 28 0C 48 03 C5 48 63 0C B0 F6 44 29 14 01 49 0F 45 F8 EB E0 F6 47 14 03 74 D4 33 C0 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_295_9_0 {
	meta:
		name = "?FindVITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z"
		size = 629
		refs = "00b9 strcmp"
	strings:
		$1 = { 4C 89 4C 24 20 4C 89 44 24 18 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 58 48 63 42 10 4C 8B BC 24 C8 00 00 00 45 33 DB 46 8B 54 38 08 4E 63 4C 38 0C 48 83 C9 FF 41 83 C8 FF 4D 03 CF 41 8B D3 41 8B C3 41 8B EB 45 8B F3 4C 89 4C 24 40 41 8B F3 45 8B E3 44 89 54 24 20 89 94 24 A8 00 00 00 44 89 84 24 C8 00 00 00 40 B7 01 48 89 4C 24 38 45 8B EB 48 89 44 24 28 48 89 4C 24 30 45 85 D2 0F 84 D6 01 00 00 49 63 1C 81 41 8B C5 41 2B C0 49 03 DF 3B C2 76 4E 48 63 0B 48 8B 84 24 C0 00 00 00 49 03 CF 48 3B C8 74 14 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 DB 85 C0 75 27 48 8B 44 24 28 F6 43 14 03 4C 8B E3 48 89 44 24 30 8B 43 04 48 0F 44 F3 89 84 24 A8 00 00 00 44 89 AC 24 C8 00 00 00 48 63 0B 48 8B 84 24 B0 00 00 00 49 03 CF 48 3B C8 74 18 48 8D 50 10 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 DB 85 C0 0F 85 FE 00 00 00 4C 8B 8C 24 A0 00 00 00 49 8B D3 44 39 5B 0C 7C 13 48 63 53 0C 48 63 4B 10 4A 8B 04 0A 48 63 0C 08 48 03 D1 48 63 43 08 44 8B 84 24 C8 00 00 00 48 03 C2 48 3B 84 24 B8 00 00 00 0F 85 C5 00 00 00 41 8B C5 41 2B C0 3B 84 24 A8 00 00 00 0F 87 A0 00 00 00 40 84 FF 0F 84 A9 00 00 00 41 F6 44 24 14 40 75 15 45 85 C0 75 0C F6 43 14 01 40 0F B6 FF 41 0F 45 FB B1 01 EB 34 49 63 44 24 18 48 8B 54 24 28 40 0F B6 FF 48 2B 54 24 30 4A 63 4C 38 0C 49 8D 04 0F 48 63 0C 90 42 8B 4C 39 14 F6 C1 01 41 0F 45 FB C1 E9 02 F6 D1 80 E1 01 40 84 FF 74 53 84 C9 74 4F 49 8B D3 45 39 5C 24 0C 7C 15 49 63 54 24 0C 49 63 4C 24 10 4A 8B 04 0A 48 63 0C 08 48 03 D1 49 63 44 24 08 48 03 C2 48 85 ED 74 07 48 39 44 24 38 75 62 49 8B EC 48 89 44 24 38 EB 12 F6 43 14 05 4C 0F 44 F3 EB 08 44 8B 84 24 C8 00 00 00 48 8B 44 24 28 41 FF C5 48 FF C0 48 89 44 24 28 44 3B 6C 24 20 73 11 8B 94 24 A8 00 00 00 4C 8B 4C 24 40 E9 48 FE FF FF 40 84 FF 74 0A 48 85 ED 74 05 48 8B C5 EB 11 4D 85 F6 74 0A 48 85 F6 74 05 48 8B C6 EB 02 33 C0 48 83 C4 58 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_295_10_0 {
	meta:
		name = "__RTDynamicCast"
		size = 383
		refs = "006c RtlPcToFileHeader 00a8 ?FindSITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@1_K@Z 00ca ?FindMITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z 00d1 ?FindVITargetTypeInstance@@YAPEBU_s_RTTIBaseClassDescriptor@@PEAXPEBU_s_RTTICompleteObjectLocator@@PEAUTypeDescriptor@@_J2_K@Z 0117 ??_C@_0BC@JNJNLHBP@Bad?5dynamic_cast?$CB?$AA@ 0121 ??0bad_cast@std@@QEAA@PEBD@Z 0128 _TI2?AVbad_cast@std@@ 0132 _CxxThrowException 0145 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 014f ??0__non_rtti_object@std@@QEAA@PEBD@Z 0156 _TI3?AV__non_rtti_object@std@@"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 60 4D 8B E9 4D 8B F0 4C 63 FA 4C 8B E1 33 DB 48 85 C9 75 07 33 C0 E9 34 01 00 00 48 8B 01 48 8B 70 F8 8B 46 04 48 8B F9 48 2B F8 48 89 7C 24 38 39 5E 08 74 11 8B 46 08 48 2B C8 48 63 01 48 2B F8 48 89 7C 24 38 39 1E 75 1D 48 8D 94 24 90 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4C 8B D8 48 89 84 24 90 00 00 00 EB 0A 48 63 46 14 4C 8B DE 4C 2B D8 4D 2B E7 4C 2B E7 48 63 46 10 42 8B 4C 18 04 F6 C1 01 75 13 4D 8B CB 4D 8B C5 49 8B D6 48 8B CE E8 ?? ?? ?? ?? EB 27 4C 89 5C 24 28 4D 8B CC 4D 8B C6 48 8B D6 4C 89 6C 24 20 F6 C1 02 48 8B CF 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 29 39 58 0C 7C 13 48 63 58 0C 48 63 48 10 48 8B 04 3B 48 63 0C 08 48 03 D9 49 63 43 08 48 03 D8 48 03 DF 48 89 5C 24 30 EB 31 48 89 5C 24 30 39 9C 24 B0 00 00 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B C3 EB 29 48 83 64 24 30 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 4C 8D 5C 24 60 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_295_11_0 {
	meta:
		name = "__RTDynamicCast$filt$0"
		size = 34
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 01 33 C9 81 38 05 00 00 C0 0F 94 C1 8B C1 8B C1 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_296_0_0 {
	meta:
		name = "_snprintf"
		size = 177
		refs = "002e memset 0038 _errno 0043 _invalid_parameter_noinfo 0082 _output_l 00a2 _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 83 65 C8 00 48 8B DA 33 D2 49 8B F0 48 8B F9 44 8D 42 28 48 8D 4D D0 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 5C 48 85 DB 74 05 48 85 FF 74 E1 B8 FF FF FF 7F 4C 8D 4D 40 48 8D 4D C8 48 3B D8 48 8B D6 C7 45 E0 42 00 00 00 0F 47 D8 45 33 C0 48 89 7D D8 89 5D D0 48 89 7D C8 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 1B FF 4D D0 78 09 48 8B 45 C8 C6 00 00 EB 0B 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_297_6_0 {
	meta:
		name = "?__crtLCMapStringA_stat@@YAHPEAUlocaleinfo_struct@@KKPEBDHPEADHHH@Z"
		size = 714
		refs = "0022 __security_cookie 009c __imp_MultiByteToWideChar 00ea __chkstk 0104 malloc 0160 __imp_LCMapStringW 027a __imp_WideCharToMultiByte 028d free 02ac __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 50 48 8D 6C 24 40 48 89 5D 40 48 89 75 48 48 89 7D 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 08 8B 5D 60 33 FF 4D 8B F1 45 8B F8 89 55 00 85 DB 7E 2A 44 8B D3 49 8B C1 41 FF CA 40 38 38 74 0C 48 FF C0 45 85 D2 75 F0 41 83 CA FF 8B C3 41 2B C2 FF C8 3B C3 8D 58 01 7C 02 8B D8 44 8B 65 78 8B F7 45 85 E4 75 07 48 8B 01 44 8B 60 04 F7 9D 80 00 00 00 44 8B CB 4D 8B C6 1B D2 41 8B CC 89 7C 24 28 83 E2 08 48 89 7C 24 20 FF C2 FF 15 ?? ?? ?? ?? 4C 63 E8 85 C0 75 07 33 C0 E9 F6 01 00 00 49 B8 F0 FF FF FF FF FF FF 0F 85 C0 7E 5E 33 D2 48 8D 42 E0 49 F7 F5 48 83 F8 02 72 4F 4B 8D 4C 2D 10 48 81 F9 00 04 00 00 77 2A 48 8D 41 0F 48 3B C1 77 03 49 8B C0 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 40 48 85 FF 74 AC C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C7 10 48 85 FF 74 88 44 8B CB 4D 8B C6 BA 01 00 00 00 41 8B CC 44 89 6C 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 4C 01 00 00 44 8B 75 00 21 74 24 28 48 21 74 24 20 41 8B CE 45 8B CD 4C 8B C7 41 8B D7 FF 15 ?? ?? ?? ?? 48 63 F0 85 C0 0F 84 22 01 00 00 41 B8 00 04 00 00 45 85 F8 74 37 8B 4D 70 85 C9 0F 84 0C 01 00 00 3B F1 0F 8F 04 01 00 00 48 8B 45 68 89 4C 24 28 45 8B CD 4C 8B C7 41 8B D7 41 8B CE 48 89 44 24 20 FF 15 ?? ?? ?? ?? E9 E0 00 00 00 85 C0 7E 67 33 D2 48 8D 42 E0 48 F7 F6 48 83 F8 02 72 58 48 8D 4C 36 10 49 3B C8 77 35 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 40 48 85 DB 0F 84 96 00 00 00 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C3 10 EB 02 33 DB 48 85 DB 74 6E 45 8B CD 4C 8B C7 41 8B D7 41 8B CE 89 74 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 33 C9 85 C0 74 3C 8B 45 70 33 D2 48 89 4C 24 38 44 8B CE 4C 8B C3 48 89 4C 24 30 85 C0 75 0B 89 4C 24 28 48 89 4C 24 20 EB 0D 89 44 24 28 48 8B 45 68 48 89 44 24 20 41 8B CC FF 15 ?? ?? ?? ?? 8B F0 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C6 48 8B 4D 08 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 40 48 8B 75 48 48 8B 7D 50 48 8D 65 10 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_297_7_0 {
	meta:
		name = "__crtLCMapStringA"
		size = 150
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006d ?__crtLCMapStringA_stat@@YAHPEAUlocaleinfo_struct@@KKPEBDHPEADHHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 70 8B F2 48 8B D1 48 8D 4C 24 50 49 8B D9 41 8B F8 E8 ?? ?? ?? ?? 8B 84 24 B8 00 00 00 44 8B 9C 24 C0 00 00 00 48 8D 4C 24 50 44 89 5C 24 40 89 44 24 38 8B 84 24 B0 00 00 00 89 44 24 30 48 8B 84 24 A8 00 00 00 4C 8B CB 48 89 44 24 28 8B 84 24 A0 00 00 00 44 8B C7 8B D6 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 68 00 74 0C 48 8B 4C 24 60 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_298_2_0 {
	meta:
		name = "_spawnvpe"
		size = 718
		refs = "0031 _errno 003c _invalid_parameter_noinfo 007b _spawnve 00a3 _mbschr 00b3 ??_C@_04HBHDLLBA@PATH?$AA@ 00bf _dupenv_s 00e0 _invoke_watson 00fb _calloc_crt 011a _getpath 0137 strlen 014e _mbsrchr 015a ??_C@_01KICIPPFI@?2?$AA@ 0167 strcat_s 01f9 __doserrno 02a0 free"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 83 64 24 78 00 33 FF 4D 8B F9 49 8B E8 48 8B F2 8B D9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 6D 02 00 00 40 38 3A 74 E2 4D 85 C0 74 DD 49 8B 00 48 85 C0 74 D5 40 38 38 74 D0 E8 ?? ?? ?? ?? 44 8B 30 E8 ?? ?? ?? ?? 4D 8B CF 21 38 4C 8B C5 48 8B D6 8B CB E8 ?? ?? ?? ?? 4C 8B E0 48 83 F8 FF 0F 85 F9 01 00 00 E8 ?? ?? ?? ?? 83 38 02 0F 85 EB 01 00 00 41 8D 54 24 30 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 D5 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 78 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 B5 01 00 00 48 21 7C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 39 7C 24 78 0F 84 95 01 00 00 BA 01 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 7A 01 00 00 48 8B 4C 24 78 48 8B D0 41 B8 03 01 00 00 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 5B 01 00 00 80 3F 00 0F 84 52 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8D 5C 38 FF 80 3B 5C 75 28 BA 5C 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 3B D8 74 37 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? EB 21 80 3B 2F 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 CB 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 D3 00 00 00 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 A8 00 00 00 E8 ?? ?? ?? ?? 8B 4C 24 70 4D 8B CF 83 20 00 4C 8B C5 48 8B D7 E8 ?? ?? ?? ?? 4C 8B E0 48 83 F8 FF 0F 85 97 00 00 00 E8 ?? ?? ?? ?? 83 38 02 74 56 E8 ?? ?? ?? ?? 83 38 15 74 4C 41 8D 54 24 5D 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 74 12 41 8D 54 24 30 48 8B CF E8 ?? ?? ?? ?? 48 3B F8 75 5F 48 8D 5F 01 BA 5C 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 74 12 BA 2F 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 3B D8 75 37 48 8B D7 49 8B CD E9 BA FE FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 83 38 00 75 08 E8 ?? ?? ?? ?? 44 89 30 48 85 FF 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 85 C9 74 05 E8 ?? ?? ?? ?? 49 8B C4 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_299_2_0 {
	meta:
		name = "_wcenvarg"
		size = 1268
		refs = "001c __security_cookie 002a ??_C@_1BG@FIGGICF@?$AAS?$AAy?$AAs?$AAt?$AAe?$AAm?$AAR?$AAo?$AAo?$AAt?$AA?$AA@ 0080 wcslen 00a4 _calloc_crt 00b5 _errno 00c0 __doserrno 00d5 __security_check_cookie 00f8 _wdupenv_s 0119 _invoke_watson 016f _wenvptr 0179 __crtGetEnvironmentStringsW 0193 free 024e _wcsnicmp 02e6 wcscpy_s 0387 memcpy 0400 ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 040b wcscat_s"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E9 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8B 05 ?? ?? ?? ?? 45 33 FF 4D 8B E9 48 89 45 EF 48 8B 05 ?? ?? ?? ?? 4C 89 4D D7 48 89 45 F7 8B 05 ?? ?? ?? ?? 4D 8B F0 89 45 FF 0F B7 05 ?? ?? ?? ?? 4C 8B E2 66 89 45 03 48 8B 01 48 89 4D E7 41 8B F7 4C 89 7D C7 44 89 7D BF 48 8B D9 41 8D 7F 02 EB 13 48 8B C8 E8 ?? ?? ?? ?? 48 83 C3 08 8D 7C 07 01 48 8B 03 48 85 C0 75 E8 8B C7 BF 02 00 00 00 8B D7 8B C8 48 89 45 DF E8 ?? ?? ?? ?? 49 89 06 48 85 C0 75 3D 4D 89 7D 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 83 C8 FF 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 4C 8D 45 EF 48 8D 4D C7 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 83 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 4D C7 8D 1C 07 48 89 5D CF 48 85 C9 74 0B E8 ?? ?? ?? ?? 03 D8 48 89 5D CF 4D 85 E4 0F 84 66 01 00 00 49 8B 04 24 49 8B DC EB 13 48 8B C8 E8 ?? ?? ?? ?? 48 83 C3 08 8D 7C 07 01 48 8B 03 48 85 C0 75 E8 48 8B 15 ?? ?? ?? ?? 48 85 D2 75 2B E8 ?? ?? ?? ?? 48 8B D0 48 89 05 ?? ?? ?? ?? 48 85 C0 75 17 49 8B 0E 83 CE FF E8 ?? ?? ?? ?? 4D 89 3E 4D 89 7D 00 E9 11 03 00 00 45 8B EF 66 44 39 3A 74 2C 0F B7 02 48 8B CA 66 83 F8 3D 74 20 E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 45 8D 6C 05 01 49 63 C5 48 8D 0C 42 0F B7 01 66 85 C0 75 DA 49 63 C5 45 8B FD 66 83 3C 42 3D 75 3F 33 DB 66 39 5C 42 02 74 36 66 83 7C 42 04 3A 75 2E 66 83 7C 42 06 3D 75 26 41 8D 47 04 48 63 C8 48 8D 0C 4A E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 45 8D 7C 07 05 49 63 C7 66 83 3C 42 3D 74 C3 41 8B C7 33 C9 49 8B DC 41 2B C5 03 F8 89 7D C3 49 39 0C 24 74 27 48 8D 4D EF E8 ?? ?? ?? ?? 48 8B 0B 48 8D 55 EF 4C 8B C0 E8 ?? ?? ?? ?? 33 C9 85 C0 74 50 48 83 C3 08 48 39 0B 75 D9 03 7D CF 8B CF BA 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D D7 48 89 01 48 85 C0 75 47 49 8B 0E E8 ?? ?? ?? ?? 45 33 FF 4D 89 3E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 83 CE FF C7 00 08 00 00 00 E9 0C 02 00 00 C7 45 BF 01 00 00 00 EB B3 8B 45 BF 4D 89 7D 00 44 8B 6D BF 44 8B 7D BF 89 45 C3 48 8B 7D E7 49 8B 1E 4C 8B 07 4D 85 C0 74 78 48 8B 55 DF 48 8B C3 48 8B CB 48 2B C3 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 ED 01 00 00 48 8B 0F E8 ?? ?? ?? ?? FF C0 48 83 C7 08 48 98 48 8D 1C 43 EB 44 48 8B 55 DF 4C 8B C1 48 8B C3 49 2B 06 48 8B CB 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 14 01 00 00 48 8B 0F E8 ?? ?? ?? ?? 48 83 C7 08 48 63 C8 B8 20 00 00 00 48 8D 1C 4B 66 89 03 48 83 C3 02 48 8B 0F 48 85 C9 75 B4 4C 8B 75 D7 89 73 FE 49 8B 3E 4D 85 E4 0F 84 32 01 00 00 48 8B 05 ?? ?? ?? ?? 49 63 CD 45 2B FD 48 8D 14 48 49 63 DF 48 8B CF 48 03 DB 4C 8B C3 E8 ?? ?? ?? ?? 45 33 FF 48 03 FB 4D 39 3C 24 74 41 8B 5D C3 4D 8B 04 24 48 8B C7 48 8B D3 49 2B 06 48 8B CF 48 D1 F8 48 2B D0 E8 ?? ?? ?? ?? 85 C0 0F 85 99 00 00 00 49 8B 0C 24 E8 ?? ?? ?? ?? 49 83 C4 08 FF C0 48 98 48 8D 3C 47 4D 39 3C 24 75 C2 44 39 7D BF 0F 85 BC 00 00 00 48 63 5D CF 4C 8D 45 EF 48 8B CF 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 89 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 5E 48 8B 4D C7 48 85 C9 74 4F 4C 8B C1 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 3D 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 8D 3C 5F EB 2D 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 FF 48 85 FF 74 11 49 3B 3E 75 08 66 44 89 3F 48 83 C7 02 66 44 89 3F 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4D C7 4C 89 3D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 8B C6 E9 EC FB FF FF 45 33 C9 45 33 C0 33 D2 48 89 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_301_3_0 {
	meta:
		name = "_wcserror"
		size = 166
		refs = "000d _getptd_noexit 001c ??_C@_1IA@JENHHBGD@?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAC?$AAR?$AAT?$AA?3?$AA?5?$AAN?$AAo?$AAt?$AA?5?$AAe?$AAn?$AAo?$AAu?$AAg?$AAh?$AA?5?$AAm?$AAe?$AAm?$AAo?$AAr@ 003d _calloc_crt 0053 __sys_nerr 0063 __sys_errlist 0083 mbstowcs_s 00a1 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 8B F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 12 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 48 83 78 40 00 75 18 BA 02 00 00 00 B9 86 00 00 00 E8 ?? ?? ?? ?? 48 89 43 40 48 85 C0 74 CF 48 8B 5B 40 85 FF 78 09 E8 ?? ?? ?? ?? 3B 38 7C 07 E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 48 63 CF 41 B8 86 00 00 00 4C 8B 0C C8 48 8B D3 33 C9 48 C7 44 24 20 85 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C3 EB 90 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_301_4_0 {
	meta:
		name = "_wcserror_s"
		size = 177
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 0045 __sys_nerr 0055 __sys_errlist 006f mbstowcs_s 0091 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 41 8B D8 48 8B FA 48 8B F1 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 61 48 85 D2 74 E4 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 83 4C 24 20 FF 48 63 CB 4C 8B 0C C8 4C 8B C7 48 8B D6 33 C9 E8 ?? ?? ?? ?? 85 C0 74 1F 83 F8 16 74 05 83 F8 22 75 15 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 83 F8 50 0F 44 C5 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_302_9_0 {
	meta:
		name = "_cprinput_l"
		size = 3748
		refs = "0022 __security_cookie 0065 _errno 0070 _invalid_parameter_noinfo 0081 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b0 isspace 00c4 _getche_nolock 00dd _ungetch_nolock 015b isdigit 046f __check_float_string 06c3 _cfltcvt_tab 06cc __imp_DecodePointer 07a7 memset 087b free 08a1 __security_check_cookie 0a66 isleadbyte 0a9b _mbtowc_l 0c15 isxdigit"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 90 FE FF FF 48 81 EC 70 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 60 01 00 00 4C 8D 6D 00 4C 89 45 A8 4C 8B E1 4C 89 6C 24 70 45 33 ED 48 89 4C 24 58 48 C7 45 A0 5E 01 00 00 44 89 6C 24 78 66 44 89 6D 80 44 89 6C 24 3C 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 1A 08 00 00 48 8D 4D B8 E8 ?? ?? ?? ?? 41 8A 04 24 41 8B DD 44 88 6C 24 40 45 8B FD 44 89 6C 24 34 89 5C 24 68 84 C0 0F 84 DE 07 00 00 83 CE FF 44 8D 76 02 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 44 45 2B FE 45 03 FE 44 89 7C 24 34 E8 ?? ?? ?? ?? 8B D8 3B C6 74 13 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 E1 8B CB E8 ?? ?? ?? ?? 4D 03 E6 41 0F B6 0C 24 E8 ?? ?? ?? ?? 85 C0 75 EF 4C 89 64 24 58 E9 64 0D 00 00 41 80 3C 24 25 0F 85 12 0D 00 00 41 80 7C 24 01 25 0F 84 F3 0C 00 00 33 C0 44 89 6C 24 60 44 88 6C 24 7C 44 8A F8 44 8D 48 01 44 89 6C 24 4C 44 89 7D 9C 4C 8B 7C 24 58 41 8B FD 44 88 4C 24 38 88 44 24 50 88 44 24 41 88 44 24 30 40 8A F0 44 8A E0 44 8B F0 4D 03 F9 41 0F B6 1F 8B CB E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 16 43 8D 44 AD 00 45 8D 48 01 44 8D 6C 43 D0 41 03 F9 E9 A1 00 00 00 83 FB 2A 0F 84 0C 01 00 00 83 FB 46 0F 84 89 00 00 00 83 FB 49 74 5A 83 FB 4C 74 48 83 FB 4E 74 7A 41 B9 01 00 00 00 83 FB 68 74 2C 83 FB 6C 74 0A 83 FB 77 74 1D E9 D5 00 00 00 41 80 7F 01 6C 75 0C 49 FF C7 45 03 F1 4C 89 45 88 EB 53 44 00 4C 24 38 45 02 E1 EB 49 83 C9 FF 00 4C 24 38 44 02 E1 EB 40 41 B9 01 00 00 00 44 00 4C 24 38 EB 30 41 8A 47 01 3C 36 75 13 41 80 7F 02 34 75 0C 49 83 C7 02 41 B9 01 00 00 00 EB B9 3C 33 75 5F 41 80 7F 02 32 75 58 49 83 C7 02 41 B9 01 00 00 00 83 C9 FF 8A 54 24 30 40 84 F6 0F 84 24 FF FF FF 89 7C 24 64 8B 7C 24 3C 44 89 74 24 48 44 8A 74 24 7C 4C 89 7C 24 58 44 8B 7D 9C 44 89 6C 24 44 84 D2 75 59 48 8B 45 A8 48 89 45 B0 48 83 C0 08 48 89 45 A8 48 8B 40 F8 48 89 45 90 EB 43 3C 64 74 91 3C 69 74 8D 3C 6F 74 89 3C 78 74 85 3C 58 74 81 41 B9 01 00 00 00 4C 89 45 88 45 03 F1 41 02 F1 EB 8C 8A 54 24 30 41 B9 01 00 00 00 41 02 D1 83 C9 FF 88 54 24 30 E9 7A FF FF FF 4C 89 45 90 48 8B 44 24 58 41 8A D8 45 84 E4 75 10 80 38 53 74 08 80 38 43 44 8A E1 75 03 45 8A E1 44 0F B6 28 41 83 CD 20 41 83 FD 6E 74 63 41 83 FD 63 74 35 41 83 FD 7B 74 2F 8B 74 24 34 41 03 F1 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 FF 74 12 0F B6 C8 E8 ?? ?? ?? ?? 41 B9 01 00 00 00 85 C0 75 DB 89 74 24 34 EB 16 8B 74 24 34 41 03 F1 89 74 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 C9 FF 3B F9 0F 84 36 05 00 00 8A 54 24 30 45 33 C0 8B 44 24 64 8B 74 24 44 85 C0 74 08 85 F6 0F 84 21 0B 00 00 41 83 FD 6F 0F 8F B7 03 00 00 0F 84 0D 08 00 00 41 83 FD 63 0F 84 7F 03 00 00 41 83 FD 64 0F 84 F9 07 00 00 0F 8E C5 03 00 00 41 83 FD 67 7E 62 41 83 FD 69 74 3D 41 83 FD 6E 0F 85 AF 03 00 00 44 8B 7C 24 34 45 33 ED 41 8B C7 84 D2 0F 84 1B 0A 00 00 4C 8B 64 24 58 41 BE 01 00 00 00 44 00 74 24 40 4D 03 E6 83 CE FF 4C 89 64 24 58 E9 9D 0A 00 00 41 BD 64 00 00 00 41 BE 01 00 00 00 83 FF 2D 0F 85 E8 04 00 00 44 88 74 24 41 E9 E3 04 00 00 45 33 ED 41 8B DD 45 8D 75 01 83 FF 2D 75 0D 48 8B 44 24 70 41 8B DE 40 88 38 EB 05 83 FF 2B 75 1F 44 8B 7C 24 34 41 2B F6 45 03 FE E8 ?? ?? ?? ?? 83 C9 FF 8B F8 89 44 24 3C 8B 44 24 64 EB 05 44 8B 7C 24 34 85 C0 0F 44 F1 40 0F B6 CF 89 74 24 44 EB 56 8B C6 41 2B F6 89 74 24 44 85 C0 74 52 48 8B 44 24 70 44 01 74 24 4C 4C 8D 4D 00 40 88 3C 03 48 8D 44 24 78 49 03 DE 4C 8D 44 24 70 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 F3 03 00 00 45 03 FE E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A1 48 8B 45 B8 44 8B 64 24 44 48 8B 88 28 01 00 00 48 8B 01 40 8A 30 40 3A F7 0F 85 B1 00 00 00 41 8B C4 45 2B E6 85 C0 0F 84 A3 00 00 00 45 03 FE E8 ?? ?? ?? ?? 4C 8D 4D 00 8B F8 89 44 24 3C 48 8B 44 24 70 40 88 34 03 48 8D 44 24 78 49 03 DE 4C 8D 44 24 70 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 6B 03 00 00 40 0F B6 CF EB 53 41 8B C4 45 2B E6 85 C0 74 52 48 8B 44 24 70 44 01 74 24 4C 4C 8D 4D 00 40 88 3C 03 48 8D 44 24 78 49 03 DE 4C 8D 44 24 70 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 23 03 00 00 45 03 FE E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A4 8B 74 24 4C 85 F6 0F 84 19 01 00 00 83 FF 65 74 09 83 FF 45 0F 85 0B 01 00 00 41 8B C4 45 2B E6 85 C0 0F 84 FD 00 00 00 48 8B 44 24 70 4C 8D 4D 00 4C 8D 44 24 70 C6 04 03 65 48 8D 44 24 78 49 03 DE 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 AE 02 00 00 45 03 FE E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 83 F8 2D 75 35 48 8B 44 24 70 4C 8D 4D 00 4C 8D 44 24 70 40 88 3C 03 48 8D 44 24 78 49 03 DE 48 8D 55 A0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 68 02 00 00 EB 05 83 F8 2B 75 1D 41 8B C4 45 2B E6 85 C0 75 05 45 8B E5 EB 0E 45 03 FE E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 40 0F B6 CF EB 51 41 8B C4 45 2B E6 85 C0 74 50 48 8B 44 24 70 4C 8D 4D 00 4C 8D 44 24 70 40 88 3C 03 48 8D 44 24 78 49 03 DE 48 8D 55 A0 48 8B CB 41 03 F6 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 FE 01 00 00 45 03 FE E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 75 A6 45 2B FE 44 89 7C 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 85 F6 0F 84 C8 01 00 00 44 38 6C 24 30 75 32 48 8B 74 24 70 44 01 74 24 68 44 88 2C 33 0F BE 5C 24 38 48 8B 0D ?? ?? ?? ?? 41 2B DE FF 15 ?? ?? ?? ?? 48 8B 55 90 4C 8D 4D B8 4C 8B C6 8B CB FF D0 4C 8B 64 24 58 E9 C5 FC FF FF 41 BB 01 00 00 00 85 C0 75 08 44 89 5C 24 64 41 03 F3 45 84 E4 4C 8B 64 24 58 0F 8E A8 02 00 00 45 8A FB E9 A0 02 00 00 41 83 FD 70 0F 84 3B 04 00 00 41 83 FD 73 0F 84 76 02 00 00 41 83 FD 75 0F 84 3E 04 00 00 41 83 FD 78 0F 84 90 FC FF FF 41 83 FD 7B 74 33 4C 8B 64 24 58 41 0F B6 04 24 3B C7 0F 85 20 07 00 00 00 4C 24 40 44 8B 7C 24 34 45 33 ED 84 D2 0F 85 43 FC FF FF 4C 8B 45 B0 4C 89 45 A8 E9 36 FC FF FF 45 84 E4 4C 8B 64 24 58 B8 01 00 00 00 45 0F B6 FF 44 0F 4F F8 4C 03 E0 41 80 3C 24 5E 44 89 7D 9C 75 07 49 FF C4 88 4C 24 50 33 D2 48 8D 4D D8 44 8D 42 20 E8 ?? ?? ?? ?? 41 80 3C 24 5D 41 BB 01 00 00 00 75 0A 41 B6 5D 4D 03 E3 C6 45 E3 20 41 8A 04 24 3C 5D 0F 84 91 00 00 00 45 33 FF 4D 03 E3 3C 2D 75 5A 45 84 F6 74 55 41 8A 0C 24 80 F9 5D 74 4C 4D 03 E3 44 3A F1 73 05 44 8A C9 EB 06 45 8A CE 44 8A F1 45 3A F1 73 27 45 0F B6 D6 41 0F B6 CE 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 45 02 F3 D2 E2 4D 03 D3 42 08 54 05 D8 45 3A F1 72 DD 45 0F B6 C1 41 0F B6 C1 45 8A F7 EB 0A 44 8A F0 44 0F B6 C0 0F B6 C0 83 E0 07 49 C1 E8 03 41 8B D3 8A C8 41 8A 04 24 D2 E2 42 08 54 05 D8 3C 5D 0F 85 76 FF FF FF 44 8B 7D 9C 33 C0 41 38 04 24 0F 85 46 01 00 00 45 33 ED 83 7C 24 78 01 75 0A 48 8B 4C 24 70 E8 ?? ?? ?? ?? 8B 5C 24 68 44 38 6D D0 74 0B 48 8B 4D C8 83 A1 C8 00 00 00 FD 8B C3 48 8B 8D 60 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 02 00 00 48 81 C4 70 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 83 FF 2B 75 10 41 2B F6 89 74 24 44 75 57 85 C0 74 53 41 8A DE 44 8B 64 24 34 83 FF 30 0F 85 CE 02 00 00 45 03 E6 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 3C 78 74 64 3C 58 74 60 44 89 74 24 4C 41 83 FD 78 74 36 33 C0 39 44 24 64 74 0C 41 2B F6 89 74 24 44 75 03 41 02 DE 41 BD 6F 00 00 00 EB 69 44 8B 64 24 34 45 03 E6 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C EB 9B 45 2B E6 44 89 64 24 34 83 F8 FF 74 07 8B C8 E8 ?? ?? ?? ?? BF 30 00 00 00 89 7C 24 3C EB 30 45 03 E6 44 89 64 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 33 C0 39 44 24 64 74 0F 83 EE 02 89 74 24 44 41 3B F6 7D 03 41 02 DE 41 BD 78 00 00 00 44 8B 74 24 48 45 8B FC E9 20 02 00 00 45 84 E4 4C 8B 64 24 58 45 0F B6 FF 41 BB 01 00 00 00 45 0F 4F FB 8B 4C 24 34 48 8B 5D 90 41 2B CB 89 4C 24 34 83 FF FF 74 11 8B CF E8 ?? ?? ?? ?? 8B 4C 24 34 41 BB 01 00 00 00 44 8A 74 24 50 33 D2 39 54 24 64 74 0D 8B C6 41 2B F3 85 C0 0F 84 16 01 00 00 41 03 CB 89 4C 24 34 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 3C 41 83 FD 63 74 43 41 83 FD 73 75 13 83 FF 09 7C 09 83 FF 0D 0F 8E CE 00 00 00 83 FF 20 75 2A 41 83 FD 7B 0F 85 BF 00 00 00 48 8B C7 8B D7 48 C1 F8 03 83 E2 07 0F BE 4C 05 D8 41 0F BE C6 33 C8 0F A3 D1 0F 83 9F 00 00 00 33 D2 38 54 24 30 0F 85 81 00 00 00 45 84 FF 74 66 40 0F B6 CF 40 88 7D 98 E8 ?? ?? ?? ?? 85 C0 74 0C FF 44 24 34 E8 ?? ?? ?? ?? 88 45 99 B8 3F 00 00 00 4C 8D 4D B8 48 8D 55 98 66 89 45 80 48 8B 45 B8 48 8D 4D 80 4C 63 80 0C 01 00 00 E8 ?? ?? ?? ?? 48 8B 45 90 44 0F B7 5D 80 8B 4C 24 34 66 44 89 18 48 83 C0 02 48 89 45 90 41 BB 01 00 00 00 E9 18 FF FF FF 48 8B 45 90 41 BB 01 00 00 00 40 88 38 49 03 C3 48 89 45 90 EB 09 41 BB 01 00 00 00 49 03 DB 8B 4C 24 34 E9 F2 FE FF FF 41 BE 01 00 00 00 44 29 74 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 33 D2 EB 06 41 BE 01 00 00 00 48 8B 45 90 48 3B D8 0F 84 52 FD FF FF 38 54 24 30 0F 85 D6 02 00 00 8B 5C 24 68 41 03 DE 89 5C 24 68 41 83 FD 63 0F 84 C1 02 00 00 45 33 ED 45 84 FF 44 8B 7C 24 34 74 09 66 44 89 28 E9 60 F8 FF FF 44 88 28 E9 58 F8 FF FF 44 8B 74 24 48 B9 01 00 00 00 4C 89 45 88 44 03 F1 88 4C 24 38 EB 0A 44 8B 74 24 48 B9 01 00 00 00 83 FF 2D 75 06 88 4C 24 41 EB 05 83 FF 2B 75 2F 2B F1 89 74 24 44 75 08 85 C0 74 04 8A D9 EB 1F 44 8B 7C 24 34 44 03 F9 44 89 7C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C EB 0A 44 8B 74 24 48 44 8B 7C 24 34 45 85 F6 0F 84 EB 00 00 00 48 8B 75 88 84 DB 0F 85 DB 00 00 00 44 8B 64 24 44 33 DB 41 83 FD 78 74 31 41 83 FD 70 74 2B 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 41 83 FD 6F 75 0B 83 FF 38 7D 7E 48 C1 E6 03 EB 3F 48 8D 34 B6 48 03 F6 EB 36 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 60 48 C1 65 88 04 8B CE 40 0F BE DF E8 ?? ?? ?? ?? 48 8B 75 88 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 33 DB 89 7C 24 3C 8D 47 D0 BA 01 00 00 00 01 54 24 4C 48 63 C8 48 03 F1 48 89 75 88 39 5C 24 64 74 05 44 2B E2 74 30 44 03 FA 44 89 7C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 5A FF FF FF 41 FF CF 44 89 7C 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 48 8B 75 88 38 5C 24 41 0F 84 EC 00 00 00 48 F7 DE 48 89 75 88 E9 E0 00 00 00 33 DB EB E6 8B 74 24 60 84 DB 0F 85 FF 00 00 00 44 8B 64 24 44 33 DB 41 83 FD 78 74 2F 41 83 FD 70 74 29 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 0F 84 88 00 00 00 41 83 FD 6F 75 0A 83 FF 38 7D 7D C1 E6 03 EB 44 8D 04 B6 8D 34 00 EB 3C 40 0F B6 F7 8B CE E8 ?? ?? ?? ?? 85 C0 74 61 8B 44 24 60 8B CE 40 0F BE DF C1 E0 04 89 44 24 60 E8 ?? ?? ?? ?? 8B 74 24 60 8B FB 83 E7 DF 83 EF 07 85 C0 0F 45 FB 33 DB 89 7C 24 3C B8 01 00 00 00 8D 74 3E D0 01 44 24 4C 89 74 24 60 39 5C 24 64 74 05 44 2B E0 74 30 44 03 F8 44 89 7C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C E9 5B FF FF FF 41 FF CF 44 89 7C 24 34 83 FF FF 74 07 8B CF E8 ?? ?? ?? ?? 8B 74 24 60 38 5C 24 41 74 06 F7 DE 89 74 24 60 8B 44 24 4C 41 83 FD 46 41 BD 00 00 00 00 41 0F 44 C5 85 C0 0F 84 C9 FA FF FF 44 38 6C 24 30 0F 85 F3 F5 FF FF FF 44 24 68 8B 44 24 60 EB 09 33 DB EB C1 44 8B 74 24 48 48 8B 4D 90 45 85 F6 74 0C 48 8B 45 88 48 89 01 E9 CB F5 FF FF 4C 8B 64 24 58 41 BE 01 00 00 00 44 38 6C 24 38 74 07 89 01 E9 BD F5 FF FF 66 89 01 E9 B5 F5 FF FF 44 8B 7C 24 34 45 33 ED E9 A8 F5 FF FF 41 80 3C 24 25 75 0C 49 8D 44 24 01 80 38 25 4C 0F 44 E0 45 03 FE 44 89 7C 24 34 E8 ?? ?? ?? ?? 8B F8 89 44 24 3C 41 0F B6 04 24 4D 03 E6 4C 89 64 24 58 3B C7 75 53 40 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 16 E8 ?? ?? ?? ?? 41 0F B6 0C 24 4D 03 E6 4C 89 64 24 58 3B C8 75 25 41 8A 04 24 84 C0 0F 84 02 FA FF FF E9 3B F2 FF FF 3B F9 0F 84 F2 F9 FF FF 8B CF E8 ?? ?? ?? ?? E9 E6 F9 FF FF 3B C6 74 07 8B C8 E8 ?? ?? ?? ?? 3B FE 0F 84 D6 F9 FF FF 8B CF E8 ?? ?? ?? ?? E9 CA F9 FF FF }
	condition:
		$1
}

rule file_303_0_0 {
	meta:
		name = "memcpy_s"
		size = 135
		refs = "0027 _errno 0033 _invalid_parameter_noinfo 004c memcpy 0058 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D9 49 8B F0 48 8B FA 4D 85 C9 75 04 33 C0 EB 56 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 3C 4D 85 C0 74 12 48 3B D3 72 0D 4C 8B C3 48 8B D6 E8 ?? ?? ?? ?? EB CB 4C 8B C2 33 D2 E8 ?? ?? ?? ?? 48 85 F6 74 C5 48 3B FB 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB BE B8 16 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_304_0_0 {
	meta:
		name = "fsetpos"
		size = 53
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0031 _fseeki64"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 28 C3 48 85 D2 74 E3 48 8B 12 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_305_0_0 {
	meta:
		name = "strncpy"
		size = 354
	strings:
		$1 = { 4C 8B D9 4D 0B C0 74 24 48 2B CA F6 C2 07 74 28 8A 02 84 C0 88 04 11 0F 84 E3 00 00 00 48 FF C2 49 FF C8 74 07 F6 C2 07 75 E6 EB 0C 49 8B C3 C3 48 89 04 11 48 83 C2 08 48 8B 02 49 83 E8 08 76 26 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 C9 49 83 C0 08 0F 84 8B 00 00 00 84 C0 88 04 11 0F 84 84 00 00 00 48 FF C2 49 FF C8 74 78 84 E4 88 24 11 74 75 48 FF C2 49 FF C8 74 69 48 C1 E8 10 84 C0 88 04 11 74 62 48 FF C2 49 FF C8 74 56 84 E4 88 24 11 74 53 48 FF C2 49 FF C8 74 47 48 C1 E8 10 84 C0 88 04 11 74 40 48 FF C2 49 FF C8 74 34 84 E4 88 24 11 74 31 48 FF C2 49 FF C8 74 25 C1 E8 10 84 C0 88 04 11 74 1F 48 FF C2 49 FF C8 74 13 84 E4 88 24 11 74 10 48 FF C2 49 FF C8 0F 85 3C FF FF FF 49 8B C3 C3 48 03 CA 48 33 D2 49 83 F8 10 72 45 F6 C1 07 74 0A 48 FF C1 88 11 49 FF C8 EB F1 49 83 E8 20 72 19 48 89 11 48 89 51 08 48 89 51 10 48 89 51 18 48 83 C1 20 49 83 E8 20 73 E7 49 83 C0 20 49 83 E8 08 72 09 48 89 11 48 83 C1 08 EB F1 49 83 C0 08 49 83 E8 01 72 07 88 11 48 FF C1 EB F3 49 8B C3 C3 }
	condition:
		$1
}

rule file_307_0_0 {
	meta:
		name = "_wfsopen"
		size = 221
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0064 _getstream 00a0 _local_unwind 00b7 _wopenfile 00c2 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 30 48 89 64 24 20 45 8B E0 48 8B FA 48 8B F1 45 33 ED 41 8B C5 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 81 00 00 00 41 8B C5 48 85 D2 0F 95 C0 85 C0 74 DC 41 8B C5 66 44 39 2A 0F 95 C0 85 C0 74 CE E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 50 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB BF 66 44 39 2E 75 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 8D 15 0C 00 00 00 48 8B 4C 24 20 E8 ?? ?? ?? ?? 90 90 33 C0 EB 1F 4C 8B C8 45 8B C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_310_0_0 {
	meta:
		name = "wait_a_bit"
		size = 40
		refs = "000a __imp_Sleep 0019 _maxwait"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 FF 15 ?? ?? ?? ?? 83 C8 FF 81 C3 E8 03 00 00 3B 1D ?? ?? ?? ?? 0F 47 D8 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_310_2_0 {
	meta:
		name = "_malloc_crt"
		size = 126
		refs = "001b _maxwait 002c malloc 0040 __imp_Sleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 8B 3D ?? ?? ?? ?? 33 ED 48 8B F1 41 83 CC FF 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 28 85 FF 74 24 8B CD FF 15 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 44 8D 9D E8 03 00 00 44 3B DF 41 8B EB 41 0F 47 EC 41 3B EC 75 C8 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_310_3_0 {
	meta:
		name = "_calloc_crt"
		size = 131
		refs = "002f _calloc_impl 003d _maxwait 0047 __imp_Sleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 FF 48 8B F2 48 8B E9 41 83 CC FF 45 33 C0 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 2A 39 05 ?? ?? ?? ?? 76 22 8B CF FF 15 ?? ?? ?? ?? 44 8D 9F E8 03 00 00 44 3B 1D ?? ?? ?? ?? 41 8B FB 41 0F 47 FC 41 3B FC 75 C0 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_310_4_0 {
	meta:
		name = "_realloc_crt"
		size = 133
		refs = "002c realloc 003f _maxwait 0049 __imp_Sleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 F6 48 8B FA 48 8B E9 41 83 CC FF 48 8B D7 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 2F 48 85 FF 74 2A 39 05 ?? ?? ?? ?? 76 22 8B CE FF 15 ?? ?? ?? ?? 44 8D 9E E8 03 00 00 44 3B 1D ?? ?? ?? ?? 41 8B F3 41 0F 47 F4 41 3B F4 75 BE 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_310_5_0 {
	meta:
		name = "_recalloc_crt"
		size = 136
		refs = "0031 _recalloc 0044 _maxwait 004e __imp_Sleep"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 33 F6 49 8B F8 48 8B EA 41 83 CD FF 4C 8B E1 4C 8B C7 48 8B D5 49 8B CC E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 2F 48 85 FF 74 2A 39 05 ?? ?? ?? ?? 76 22 8B CE FF 15 ?? ?? ?? ?? 44 8D 9E E8 03 00 00 44 3B 1D ?? ?? ?? ?? 41 8B F3 41 0F 47 F5 41 3B F5 75 BB 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_311_0_0 {
	meta:
		name = "strncmp"
		size = 181
	strings:
		$1 = { 4D 85 C0 74 75 48 2B D1 4C 8B CA 49 BB 00 01 01 01 01 01 01 81 F6 C1 07 74 1F 8A 01 42 8A 14 09 48 FF C1 3A C2 75 57 49 FF C8 74 4E 84 C0 74 4A 48 F7 C1 07 00 00 00 75 E1 4A 8D 14 09 66 81 E2 FF 0F 66 81 FA F8 0F 77 D1 48 8B 01 4A 8B 14 09 48 3B C2 75 C5 48 83 C1 08 49 83 E8 08 49 BA FF FE FE FE FE FE FE 7E 76 11 48 83 F0 FF 4C 03 D2 49 33 C2 49 85 C3 74 C1 EB 0C 48 33 C0 C3 48 1B C0 48 83 D8 FF C3 84 D2 74 27 84 F6 74 23 48 C1 EA 10 84 D2 74 1B 84 F6 74 17 48 C1 EA 10 84 D2 74 0F 84 F6 74 0B C1 EA 10 84 D2 74 04 84 F6 75 88 48 33 C0 C3 }
	condition:
		$1
}

rule file_312_3_0 {
	meta:
		name = "scaleDownDouble"
		size = 145
	strings:
		$1 = { 48 B8 00 00 00 00 00 00 00 80 4C 8B D9 4C 8B C9 4C 23 D8 48 B8 FF FF FF FF FF FF FF 7F 4C 23 C8 33 C0 4D 8B D1 49 C1 EA 34 41 81 E2 FF 07 00 00 44 2B D2 45 85 D2 7E 19 49 63 C2 48 B9 FF FF FF FF FF FF 0F 80 48 C1 E0 34 4C 23 C9 49 0B C1 EB 39 48 B9 FF FF FF FF FF FF 1F 80 4C 23 C9 48 B9 00 00 00 00 00 00 10 00 4C 0B C9 B9 01 00 00 00 41 2B CA 83 F9 36 7F 12 FF C9 49 D3 E9 49 8B C1 41 83 E1 01 48 D1 E8 49 03 C1 49 0B C3 49 89 00 C3 }
	condition:
		$1
}

rule file_312_4_0 {
	meta:
		name = "atan2f"
		size = 1231
		refs = "00e1 ??_C@_06LEACALBF@atan2f?$AA@ 00fb _handle_errorf 012b ?pi@?1??atan2f@@9@9 0133 __mask@@NegDouble@ 0155 _controlfp_s 0174 ?piby2@?1??atan2f@@9@9 0202 __real@80000000 0340 ?three_piby4@?1??atan2f@@9@9 035f ?piby4@?1??atan2f@@9@9 03b6 __real@3fb0000000000000 03c0 __real@4070000000000000 03d8 __real@3fe0000000000000 03ee ?atan_jby256@?1??atan2f@@9@9 0427 __real@3fd5555555550877 0431 __real@3f1a36e2eb1c432d 043f __real@3fc99999999643a3 0453 __real@3fc2492482bd6be1 045f __real@3fd5555555555538"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 33 DB 49 BF 00 00 00 00 00 00 F0 7F 0F 29 74 24 60 49 BB FF FF FF FF FF FF FF 7F 49 BA 00 00 00 00 00 00 00 80 0F 14 C9 41 B8 FF 07 00 00 0F 14 C0 0F 29 7C 24 50 44 8B EB 44 8B F3 0F 5A F9 F2 0F 11 BC 24 C0 00 00 00 48 8B 84 24 C0 00 00 00 0F 5A F0 48 8B D0 48 8B E8 F2 0F 11 B4 24 C0 00 00 00 4C 8B A4 24 C0 00 00 00 49 23 D3 49 23 EA 49 8B CC 49 8B F4 49 23 CB 49 23 F2 49 3B D7 41 0F 94 C5 49 3B CF 41 0F 94 C6 49 C1 EC 34 48 C1 E8 34 45 23 E0 41 23 C0 44 2B E0 49 3B D7 76 50 F3 0F 11 8C 24 B0 00 00 00 44 8B 84 24 B0 00 00 00 C7 44 24 40 02 00 00 00 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 BA 10 00 00 00 48 8D 0D ?? ?? ?? ?? 44 8D 4A F1 49 0F BA E8 16 C7 44 24 28 21 00 00 00 89 5C 24 20 E8 ?? ?? ?? ?? E9 A9 03 00 00 49 3B CF 76 0B F3 0F 11 84 24 B0 00 00 00 EB A9 48 85 C9 75 48 48 85 ED 0F 84 CD 01 00 00 48 85 F6 74 16 F2 0F 10 05 ?? ?? ?? ?? 66 0F 57 05 ?? ?? ?? ?? F2 0F 5A F0 EB 0B F2 0F 5A 05 ?? ?? ?? ?? 0F 28 F0 BF 10 00 00 00 44 8B C7 8B D7 33 C9 E8 ?? ?? ?? ?? 0F 28 C6 E9 4C 03 00 00 BF 10 00 00 00 48 85 D2 75 41 48 85 F6 74 16 F2 0F 10 05 ?? ?? ?? ?? 66 0F 57 05 ?? ?? ?? ?? F2 0F 5A F0 EB C7 44 8B C7 8B D7 33 C9 E8 ?? ?? ?? ?? 41 B8 FF 07 00 00 49 BA 00 00 00 00 00 00 00 80 49 BB FF FF FF FF FF FF FF 7F 41 83 FC 1A 7E 2B 48 85 F6 74 16 F2 0F 10 05 ?? ?? ?? ?? 66 0F 57 05 ?? ?? ?? ?? F2 0F 5A C0 EB 08 F2 0F 5A 05 ?? ?? ?? ?? 0F 28 F0 E9 70 FF FF FF 41 83 FC F3 0F 8D 17 01 00 00 48 85 ED 0F 85 0E 01 00 00 41 81 FC 6A FF FF FF 7D 1F 48 85 F6 74 0A F3 0F 10 35 ?? ?? ?? ?? EB 03 0F 57 F6 BA 12 00 00 00 44 8B C2 E9 3A FF FF FF 41 83 FC 82 0F 8D D6 00 00 00 48 B8 00 00 00 00 00 00 30 46 48 89 84 24 C0 00 00 00 F2 0F 10 84 24 C0 00 00 00 F2 0F 59 C6 F2 0F 5E C7 F2 0F 11 84 24 C0 00 00 00 48 8B 84 24 C0 00 00 00 4C 8B C8 49 23 C3 48 8B C8 4D 23 CA 48 C1 E9 34 41 23 C8 83 E9 64 85 C9 7E 19 48 63 D9 48 B9 FF FF FF FF FF FF 0F 80 48 23 C1 48 C1 E3 34 48 0B D8 EB 3E 48 BA FF FF FF FF FF FF 1F 80 48 23 C2 48 BA 00 00 00 00 00 00 10 00 48 0B C2 BA 01 00 00 00 44 8B C2 44 2B C1 41 83 F8 36 7F 13 41 8D 48 FF 48 D3 E8 48 8B D8 48 23 C2 48 D1 EB 48 03 D8 49 0B D9 48 89 9C 24 C0 00 00 00 F2 0F 10 B4 24 C0 00 00 00 49 85 DF 75 0F BA 12 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? F2 0F 5A C6 E9 B5 01 00 00 F2 0F 5E F7 EB F1 41 83 FC E6 7D 24 48 85 ED 74 1F 48 85 F6 74 0D F2 0F 10 05 ?? ?? ?? ?? E9 5D FE FF FF F2 0F 5A 05 ?? ?? ?? ?? E9 AD FE FF FF 45 85 F6 74 48 45 85 ED 74 43 48 85 ED 74 1F 48 85 F6 74 0D F2 0F 10 05 ?? ?? ?? ?? E9 76 FE FF FF F2 0F 5A 05 ?? ?? ?? ?? E9 7F FE FF FF 48 85 F6 74 0D F2 0F 10 05 ?? ?? ?? ?? E9 57 FE FF FF F2 0F 5A 05 ?? ?? ?? ?? E9 60 FE FF FF F2 0F 10 2D ?? ?? ?? ?? 48 85 ED 74 04 66 0F 57 FD 48 85 F6 74 04 66 0F 57 F5 66 0F 2F F7 76 13 66 0F 28 C7 66 0F 28 FE BA 01 00 00 00 66 0F 28 F0 EB 02 8B D3 66 0F 28 E6 F2 0F 5E E7 66 0F 2F 25 ?? ?? ?? ?? 76 71 F2 0F 10 15 ?? ?? ?? ?? 66 0F EF C9 66 0F 28 DE F2 0F 59 E2 F2 0F 59 DA F2 0F 58 25 ?? ?? ?? ?? F2 48 0F 2C CC 8B C1 83 C1 F0 F2 48 0F 2A C8 48 8D 05 ?? ?? ?? ?? 66 0F 28 C1 F2 0F 59 CE F2 0F 59 C7 F2 0F 59 FA F2 0F 5C D8 F2 0F 58 CF F2 0F 5E D9 66 0F 28 C3 66 0F 28 E3 F2 0F 58 24 C8 F2 0F 59 C3 F2 0F 59 C3 F2 0F 59 05 ?? ?? ?? ?? EB 46 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C4 77 3C F2 0F 10 0D ?? ?? ?? ?? 66 0F 28 D4 F2 0F 59 D4 66 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D4 F2 0F 5C C1 F2 0F 59 C2 F2 0F 5C E0 85 D2 74 10 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C4 66 0F 28 E0 48 85 ED 74 10 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C4 66 0F 28 E0 48 85 F6 74 04 66 0F 57 E5 F2 0F 5A C4 48 8B 9C 24 B8 00 00 00 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_313_4_0 {
	meta:
		name = "?_TaskCleanup@_StructuredTaskCollection@details@Concurrency@@AEAA_NXZ"
		size = 31
		refs = "000b ?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0010 ?__uncaught_exception@@YA_NXZ"
	strings:
		$1 = { 48 83 EC 28 83 79 18 00 7E 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_313_11_0 {
	meta:
		name = "?ClearCancel@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 31
	strings:
		$1 = { C7 81 9C 00 00 00 FF FF FF FF C7 81 A0 00 00 00 00 00 00 00 C7 81 A4 00 00 00 00 00 00 00 C3 }
	condition:
		$1
}

rule file_313_16_0 {
	meta:
		name = "?_InternalFree@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z"
		size = 25
	strings:
		$1 = { 48 83 EC 28 80 79 20 00 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_313_17_0 {
	meta:
		name = "?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z"
		size = 261
		refs = "001b ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0068 ?AddStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@_N@Z 007a ??0task_canceled@details@Concurrency@@QEAA@XZ 0081 _TI2?AVtask_canceled@details@Concurrency@@ 008b _CxxThrowException 00c3 ?RemoveStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@@Z 0101 ?_CountUp@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 53 56 57 41 54 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 48 8B F9 E8 ?? ?? ?? ?? 48 85 C0 74 06 48 8D 58 F0 EB 02 33 DB 48 89 9C 24 80 00 00 00 48 8B 77 10 48 89 74 24 78 4C 8B 66 10 4C 89 A4 24 88 00 00 00 48 8D 4B 10 48 89 71 58 48 89 71 60 48 8B C3 48 F7 D8 48 1B D2 48 23 D1 45 33 C0 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7E 20 00 74 1B 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B CF FF 57 08 90 EB 1A 4C 8B A4 24 88 00 00 00 48 8B 74 24 78 48 8B 9C 24 80 00 00 00 48 8B 7C 24 70 48 85 DB 74 06 48 8D 53 10 EB 02 33 D2 49 8B CC E8 ?? ?? ?? ?? C7 83 AC 00 00 00 FF FF FF FF C7 83 B0 00 00 00 00 00 00 00 C7 83 B4 00 00 00 00 00 00 00 48 83 63 68 00 48 83 63 70 00 48 83 67 10 00 48 8B CE 48 83 C4 48 41 5C 5F 5E 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_313_19_0 {
	meta:
		name = "__catch$?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$0"
		size = 51
		refs = "0020 ?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ 0028 $LN16"
	strings:
		$1 = { 48 8B 8D 80 00 00 00 8B 81 B0 00 00 00 85 C0 7E 14 8B 81 B4 00 00 00 85 C0 75 0A 48 8B 4D 78 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_313_21_0 {
	meta:
		name = "__catch$?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$1"
		size = 33
		refs = "0005 ?_RaisedException@_TaskCollectionBase@details@Concurrency@@IEAAXXZ 000e ?_Cancel@_StructuredTaskCollection@details@Concurrency@@QEAAXXZ 0016 $LN18"
	strings:
		$1 = { 48 8B 4D 78 E8 ?? ?? ?? ?? 48 8B 4D 78 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_313_27_0 {
	meta:
		name = "?AddTail@?$List@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 55
		altNames = "?UnlockedAddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
	strings:
		$1 = { 48 8B 01 4C 8B C1 48 85 C0 75 09 48 89 52 08 48 89 12 EB 1F 48 8B 40 08 48 89 42 08 48 8B 01 48 89 02 48 8B 01 48 8B 48 08 48 89 11 49 8B 00 48 89 50 08 49 89 10 C3 }
	condition:
		$1
}

rule file_313_28_0 {
	meta:
		name = "?Remove@?$List@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 46
		altNames = "?UnlockedRemove@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
	strings:
		$1 = { 4C 8B 42 08 48 8B 02 49 89 00 48 8B 42 08 4C 8B 02 49 89 40 08 48 8B 01 48 3B D0 75 10 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 01 C3 }
	condition:
		$1
}

rule file_313_29_0 {
	meta:
		name = "?_CheckTaskCollection@_UnrealizedChore@details@Concurrency@@IEAAXXZ"
		size = 108
		refs = "0013 ?_StructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z 0024 ?_Abort@_StructuredTaskCollection@details@Concurrency@@AEAAXXZ 0029 ?__uncaught_exception@@YA_NXZ 003e ?_TaskCleanup@_TaskCollection@details@Concurrency@@AEAA_N_N@Z 0051 ??0missing_wait@Concurrency@@QEAA@XZ 0058 _TI2?AVmissing_wait@Concurrency@@ 0062 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B C1 48 8B 49 10 48 85 C9 74 57 48 8D 15 ?? ?? ?? ?? 48 39 50 18 75 1E 83 79 18 00 7E 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 32 D2 EB 02 B2 01 84 D2 EB 09 B2 01 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 84 C0 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_313_33_0 {
	meta:
		name = "?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 105
		refs = "001a ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0065 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 48 8B FA E8 ?? ?? ?? ?? 48 8B 06 48 85 C0 75 09 48 89 7F 08 48 89 3F EB 1F 48 8B 40 08 48 89 47 08 48 8B 06 48 89 07 48 8B 06 48 8B 48 08 48 89 39 48 8B 06 48 89 78 08 48 8D 4E 08 48 89 3E 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_313_34_0 {
	meta:
		name = "?Remove@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 99
		refs = "001a ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 005f ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 48 8B FA E8 ?? ?? ?? ?? 4C 8B 47 08 48 8B 07 49 89 00 48 8B 47 08 4C 8B 07 49 89 40 08 48 8B 06 48 3B F8 75 10 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 06 48 8D 4E 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_313_36_0 {
	meta:
		name = "?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z"
		size = 682
		refs = "0028 __security_cookie 0040 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0094 ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z 009f ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00ab ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00bc ?AddStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@_N@Z 00cd ??0_TaskCollection@details@Concurrency@@AEAA@PEAV012@_N@Z 00dc ?SetIndirectAlias@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollection@23@@Z 0117 ??0task_canceled@details@Concurrency@@QEAA@XZ 011e _TI2?AVtask_canceled@details@Concurrency@@ 0128 _CxxThrowException 0149 ?_RunAndWait@_TaskCollection@details@Concurrency@@QEAA?AW4_TaskCollectionStatus@23@PEAV_UnrealizedChore@23@@Z 0154 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 01a0 ?RemoveStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@@Z 024a ?ClearAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 0278 ?_NotifyCompletedChore@_TaskCollection@details@Concurrency@@AEAAXXZ 0288 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 41 54 41 55 41 56 48 81 EC 40 01 00 00 48 C7 44 24 48 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 01 00 00 4C 8B E1 48 89 4C 24 30 E8 ?? ?? ?? ?? 48 85 C0 74 06 48 8D 78 F0 EB 02 33 FF 48 89 7C 24 28 49 8B 74 24 10 48 89 74 24 20 48 8B 46 10 48 89 44 24 40 48 89 77 68 48 89 77 70 4C 8D 6E 28 4C 89 6C 24 38 41 80 7C 24 21 00 74 18 C6 87 81 00 00 00 00 48 8D 97 98 00 00 00 49 8B CD E8 ?? ?? ?? ?? EB 27 49 8D 4D 08 E8 ?? ?? ?? ?? FF 46 48 49 8D 4D 08 E8 ?? ?? ?? ?? 41 B0 01 48 8D 57 10 48 8B 4C 24 40 E8 ?? ?? ?? ?? 90 45 33 C0 48 8B D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 90 48 8D 54 24 70 48 8D 4F 10 E8 ?? ?? ?? ?? 90 48 8B 86 90 00 00 00 8B 48 4C 85 C9 75 22 8B 46 50 85 C0 74 10 8B 46 50 83 F8 01 74 08 8B 46 50 83 F8 05 75 0B 49 8B CC 41 FF 54 24 08 90 EB 30 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? 90 4C 8B 64 24 30 4C 8B 6C 24 38 48 8B 74 24 20 48 8B 7C 24 28 33 D2 48 8D 4C 24 70 E8 ?? ?? ?? ?? 90 48 8D 4C 24 70 E8 ?? ?? ?? ?? 90 EB 14 4C 8B 64 24 30 4C 8B 6C 24 38 48 8B 74 24 20 48 8B 7C 24 28 4C 8D 77 10 33 D2 49 8B CE E8 ?? ?? ?? ?? 49 8D 4D 08 41 80 7C 24 21 00 75 58 E8 ?? ?? ?? ?? 80 BF 81 00 00 00 00 74 0F 49 8B D6 48 8B 4C 24 40 E8 ?? ?? ?? ?? EB 36 48 8D 97 98 00 00 00 48 8B 4A 08 48 8B 02 48 89 01 48 8B 0A 48 8B 42 08 48 89 41 08 49 8B 45 00 48 3B D0 75 11 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 49 89 45 00 FF 4E 48 EB 3B 48 81 C7 98 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 08 48 8B 07 48 89 01 48 8B 0F 48 8B 47 08 48 89 41 08 49 8B 45 00 48 3B F8 75 11 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 49 89 45 00 49 8D 4D 08 E8 ?? ?? ?? ?? 41 C7 86 9C 00 00 00 FF FF FF FF 41 C7 86 A0 00 00 00 00 00 00 00 41 C7 86 A4 00 00 00 00 00 00 00 49 8B CE E8 ?? ?? ?? ?? 49 83 66 58 00 49 83 66 60 00 49 83 64 24 10 00 41 80 7C 24 20 00 74 0E 49 8B 04 24 BA 01 00 00 00 49 8B CC FF 10 48 8B CE E8 ?? ?? ?? ?? 48 8B 8C 24 30 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 01 00 00 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_313_37_0 {
	meta:
		name = "?dtor$0@?0??_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z@4HA"
		size = 16
		refs = "0008 ??1_TaskCollection@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_236_1 {
	meta:
		name = "?dtor$0@?0??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_368_1 {
	meta:
		name = "?dtor$0@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_805_1 {
	meta:
		name = "?dtor$0@?0??_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_794_1 {
	meta:
		name = "?dtor$0@?0??_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_327_2 {
	meta:
		name = "?dtor$1@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_343_2 {
	meta:
		name = "?dtor$2@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_930_2 {
	meta:
		name = "?dtor$2@?0??do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_858_2 {
	meta:
		name = "?dtor$2@?0??do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_313_39_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$0"
		size = 51
		refs = "001d ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0025 $LN31"
	strings:
		$1 = { 48 8B 4D 28 8B 81 B0 00 00 00 85 C0 7E 14 8B 81 B4 00 00 00 85 C0 75 0A 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC }
	condition:
		$1
}

rule file_313_43_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$3"
		size = 51
		refs = "001d ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0025 $LN35"
	strings:
		$1 = { 48 8B 4D 28 8B 81 B0 00 00 00 85 C0 7E 14 8B 81 B4 00 00 00 85 C0 75 0A 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC }
	condition:
		$1
}

rule file_313_41_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$1"
		size = 35
		refs = "0005 ?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ 000e ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0016 $LN33"
	strings:
		$1 = { 48 8B 4D 20 E8 ?? ?? ?? ?? 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC }
	condition:
		$1
}

rule file_313_45_0 {
	meta:
		name = "__catch$?_UnstructuredChoreWrapper@_UnrealizedChore@details@Concurrency@@CAXPEAV123@@Z$4"
		size = 33
		refs = "0005 ?_RaisedException@_TaskCollection@details@Concurrency@@AEAAXXZ 000e ?_Cancel@_TaskCollection@details@Concurrency@@QEAAXXZ 0016 $LN37"
	strings:
		$1 = { 48 8B 4D 20 E8 ?? ?? ?? ?? 48 8B 4D 20 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_315_0_0 {
	meta:
		name = "_fseek_nolock"
		size = 178
		refs = "0024 _errno 0042 _ftell_nolock 004e _flush 0083 _fileno 008f _lseek"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 41 18 41 8B F8 8B F2 48 8B D9 A8 83 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 6A 83 E0 EF 33 ED 89 41 18 41 83 F8 01 75 09 E8 ?? ?? ?? ?? 8B FD 03 F0 48 8B CB E8 ?? ?? ?? ?? 44 8B 5B 18 45 84 DB 79 0A 41 83 E3 FC 44 89 5B 18 EB 1A 41 F6 C3 01 74 14 41 F6 C3 08 74 0E 41 0F BA E3 0A 72 07 C7 43 24 00 02 00 00 48 8B CB E8 ?? ?? ?? ?? 44 8B C7 8B D6 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 40 0F 95 C5 8D 45 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_315_1_0 {
	meta:
		name = "fseek"
		size = 122
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 004c _lock_file 005a _fseek_nolock 0064 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 41 8B D8 8B F2 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 2D 85 DB 74 0A 83 FB 01 74 05 83 FB 02 75 DD E8 ?? ?? ?? ?? 90 44 8B C3 8B D6 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_317_0_0 {
	meta:
		name = "printf"
		size = 171
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 0040 __iob_func 004e _lock_file2 005d _stbuf 0078 _output_l 008a _ftbuf 009e _unlock_file2"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 53 57 48 83 EC 28 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6A 48 8D 7C 24 48 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 4C 8B CF 45 33 C0 48 8B 54 24 40 48 8D 48 30 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 48 8D 50 30 8B CB E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 83 C4 28 5F 5B C3 }
	condition:
		$1
}

rule file_877_0_0 {
	meta:
		name = "wprintf"
		size = 171
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 0040 __iob_func 004e _lock_file2 005d _stbuf 0078 _woutput_l 008a _ftbuf 009e _unlock_file2"
	strings:
		$1 = { 48 8B C4 48 89 48 08 48 89 50 10 4C 89 40 18 4C 89 48 20 53 57 48 83 EC 28 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6A 48 8D 7C 24 48 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 4C 8B CF 45 33 C0 48 8B 54 24 40 48 8D 48 30 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 48 8D 50 30 8B CB E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 83 C4 28 5F 5B C3 }
	condition:
		$1
}

rule file_317_1_0 {
	meta:
		name = "printf$fin$0"
		size = 39
		refs = "000a __iob_func 001b _unlock_file2"
		altNames = "_putws$fin$0 puts$fin$0 wprintf$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 48 83 C0 30 48 8B D0 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_317_7_0 {
	meta:
		name = "_set_printf_count_output"
		size = 39
		refs = "0003 __security_cookie 0010 __enable_percent_n"
	strings:
		$1 = { 48 8B 15 ?? ?? ?? ?? 33 C0 48 83 CA 01 48 39 15 ?? ?? ?? ?? 0F 94 C0 F7 D9 48 1B C9 48 23 CA 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_317_8_0 {
	meta:
		name = "_get_printf_count_output"
		size = 24
		refs = "0003 __security_cookie 0010 __enable_percent_n"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 33 C0 48 83 C9 01 48 39 0D ?? ?? ?? ?? 0F 94 C0 C3 }
	condition:
		$1
}

rule file_318_3_0 {
	meta:
		name = "_mbsnbcat_s_l"
		size = 806
		refs = "005d _errno 0069 _invalid_parameter_noinfo 0096 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b3 strncat_s 012a _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 45 33 FF 4D 8B E9 4D 8B F0 4C 8B E2 48 8B D9 44 89 7D 48 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 39 4D 85 C0 75 34 44 88 39 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 48 8B 55 50 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 5D E0 33 D2 41 39 53 08 75 24 4D 8B CD 4D 8B C6 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 44 38 7D F0 74 B2 48 8B 4D E8 83 A1 C8 00 00 00 FD EB A5 48 8B FB 49 8B F4 38 17 74 08 48 FF C7 48 FF CE 75 F4 48 85 F6 75 2B 88 13 E8 ?? ?? ?? ?? 8D 5E 16 89 18 E8 ?? ?? ?? ?? 44 38 7D F0 0F 84 71 FF FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 61 FF FF FF 49 3B F4 73 4C 48 8D 4F FF 48 89 4D D0 4C 8B F9 48 3B CB 72 1F 41 0F B6 0F 48 8D 55 D8 E8 ?? ?? ?? ?? 33 D2 85 C0 74 08 49 FF CF 4C 3B FB 73 E5 48 8B 4D D0 8B C1 41 2B C7 A8 01 74 10 48 8B F9 88 11 48 FF C6 41 BF 01 00 00 00 EB 04 44 8B 7D 48 49 83 FD FF 75 16 41 8A 06 49 FF C6 88 07 48 FF C7 84 C0 74 2F 48 FF CE 75 EC EB 28 4D 85 ED 74 1E 41 8A 06 49 FF C6 88 07 48 FF C7 84 C0 74 0A 48 FF CE 74 05 49 FF CD 75 E7 4D 85 ED 75 05 88 17 48 FF C7 48 85 F6 0F 85 FE 00 00 00 41 38 16 74 06 49 83 FD 01 75 56 48 8D 77 FF 48 8B FE 48 3B F3 72 1A 0F B6 0F 48 8D 55 D8 E8 ?? ?? ?? ?? 33 D2 85 C0 74 08 48 FF CF 48 3B FB 73 E6 8B C6 2B C7 A8 01 74 28 88 16 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 80 7D F0 00 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD B8 2A 00 00 00 E9 64 FE FF FF 49 83 FD FF 75 6A 45 85 FF 74 0D E8 ?? ?? ?? ?? 33 D2 C7 00 2A 00 00 00 49 83 FC 01 76 4B 4A 8D 74 23 FE 48 8B FE 48 3B F3 72 1A 0F B6 0F 48 8D 55 D8 E8 ?? ?? ?? ?? 33 D2 85 C0 74 08 48 FF CF 48 3B FB 73 E6 8B C6 2B C7 A8 01 74 1C 88 16 38 55 F0 74 0B 48 8B 45 E8 83 A0 C8 00 00 00 FD B8 50 00 00 00 E9 FB FD FF FF 42 88 54 23 FF EB DF 88 13 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7D F0 00 0F 84 D5 FD FF FF 48 8B 4D E8 83 A1 C8 00 00 00 FD E9 C5 FD FF FF 49 3B F4 73 36 48 8D 77 FE 48 8B FE 48 3B F3 72 1A 0F B6 0F 48 8D 55 D8 E8 ?? ?? ?? ?? 33 D2 85 C0 74 08 48 FF CF 48 3B FB 73 E6 8B C6 2B C7 A8 01 74 08 88 16 41 BF 01 00 00 00 45 85 FF 74 25 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 80 7D F0 00 0F 84 04 FF FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 F4 FE FF FF 38 55 F0 0F 84 2B FD FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 1B FD FF FF }
	condition:
		$1
}

rule file_319_0_0 {
	meta:
		name = "_getw"
		size = 180
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0041 _lock_file 006c _filbuf 0084 feof 0090 ferror 00a0 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 56 57 41 54 48 83 EC 30 48 8B D9 BE 04 00 00 00 4C 8D 64 24 50 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6B 48 89 4C 24 58 E8 ?? ?? ?? ?? 90 83 CF FF 8B C6 FF CE 89 74 24 20 85 C0 74 2B 01 7B 08 78 0E 48 8B 03 0F B6 08 48 FF C0 48 89 03 EB 0A 48 8B CB E8 ?? ?? ?? ?? 8B C8 41 88 0C 24 49 FF C4 4C 89 64 24 28 EB C9 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 10 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 04 8B 7C 24 50 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_319_1_0 {
	meta:
		name = "_getw$fin$0"
		size = 26
		refs = "000e _unlock_file"
		altNames = "_putw$fin$0 _wfreopen_helper$fin$0 fputws$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 58 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_320_3_0 {
	meta:
		name = "_mbsncat_s_l"
		size = 728
		refs = "005d _errno 0069 _invalid_parameter_noinfo 0096 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b3 strncat_s 012a _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 45 33 FF 4D 8B F1 4D 8B E0 4C 8B EA 48 8B D9 44 89 7D 48 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 39 4D 85 C0 75 34 44 88 39 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 48 8B 55 50 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 5D E0 33 D2 41 39 53 08 75 24 4D 8B CE 4D 8B C4 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 44 38 7D F0 74 B2 48 8B 4D E8 83 A1 C8 00 00 00 FD EB A5 48 8B FB 49 8B F5 38 17 74 08 48 FF C7 48 FF CE 75 F4 48 85 F6 75 2B 88 13 E8 ?? ?? ?? ?? 8D 5E 16 89 18 E8 ?? ?? ?? ?? 44 38 7D F0 0F 84 71 FF FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 61 FF FF FF 49 3B F5 73 4C 48 8D 4F FF 48 89 4D D0 4C 8B F9 48 3B CB 72 1F 41 0F B6 0F 48 8D 55 D8 E8 ?? ?? ?? ?? 33 D2 85 C0 74 08 49 FF CF 4C 3B FB 73 E5 48 8B 4D D0 8B C1 41 2B C7 A8 01 74 10 48 8B F9 88 11 48 FF C6 41 BF 01 00 00 00 EB 04 44 8B 7D 48 49 83 FE FF 75 19 49 2B FC 41 8A 04 24 42 88 04 27 49 FF C4 84 C0 74 79 48 FF CE 75 EC EB 72 4D 85 F6 74 6B 41 0F B6 0C 24 48 8D 55 D8 E8 ?? ?? ?? ?? 33 D2 85 C0 74 29 41 38 54 24 01 74 43 48 83 FE 02 76 38 41 8A 04 24 49 83 C4 02 88 07 41 8A 44 24 FF 48 83 C7 02 88 47 FF 48 83 EE 02 EB 15 41 8A 04 24 49 FF C4 88 07 48 FF C7 84 C0 74 19 48 FF CE 74 14 49 FF CE 74 0F EB A7 48 8B F2 EB 08 88 17 41 BF 01 00 00 00 4D 85 F6 75 02 88 17 48 85 F6 0F 85 9D 00 00 00 49 83 FE FF 75 6A 45 85 FF 74 0D E8 ?? ?? ?? ?? 33 D2 C7 00 2A 00 00 00 49 83 FD 01 76 4B 4A 8D 74 2B FE 48 8B FE 48 3B F3 72 1A 0F B6 0F 48 8D 55 D8 E8 ?? ?? ?? ?? 33 D2 85 C0 74 08 48 FF CF 48 3B FB 73 E6 8B C6 2B C7 A8 01 74 1C 88 16 38 55 F0 74 0B 48 8B 45 E8 83 A0 C8 00 00 00 FD B8 50 00 00 00 E9 0F FE FF FF 42 88 54 2B FF EB DF 88 13 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7D F0 00 0F 84 E9 FD FF FF 48 8B 4D E8 83 A1 C8 00 00 00 FD E9 D9 FD FF FF 45 85 FF 74 26 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 80 7D F0 00 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD B8 2A 00 00 00 E9 B0 FD FF FF 38 55 F0 0F 84 79 FD FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 69 FD FF FF }
	condition:
		$1
}

rule file_321_0_0 {
	meta:
		name = "_getdiskfree"
		size = 163
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 003a memset 0071 __imp_GetDiskFreeSpaceA 007b __imp_GetLastError 008c _get_errno_from_oserr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B FA 8B D9 48 85 D2 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 57 00 00 00 EB 6D 83 F9 1A 77 E4 33 D2 48 8B CF 44 8D 42 10 E8 ?? ?? ?? ?? 85 DB 75 04 33 C9 EB 18 80 C3 40 48 8D 4C 24 48 66 C7 44 24 49 3A 5C 88 5C 24 48 C6 44 24 4B 00 4C 8D 4F 04 4C 8D 47 0C 48 8D 57 08 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 1D FF 15 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 8B CF 48 8B D8 E8 ?? ?? ?? ?? 89 03 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_323_9_0 {
	meta:
		name = "?GetPolicy@SchedulerResourceManagement@details@Concurrency@@UEBA?AVSchedulerPolicy@3@XZ"
		size = 33
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 49 08 83 64 24 30 00 48 8B DA 48 8B 01 FF 50 18 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_323_10_0 {
	meta:
		name = "?AddVirtualProcessors@SchedulerResourceManagement@details@Concurrency@@UEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z"
		size = 189
		refs = "001e ??_C@_0BI@PMOAFEOC@ppVirtualProcessorRoots?$AA@ 002f ??0exception@std@@QEAA@AEBQEBD@Z 0036 ??_7invalid_argument@std@@6B@ 003d _TI3?AVinvalid_argument@std@@ 004c _CxxThrowException 005a ??_C@_05IOMEMJEC@count?$AA@ 00a0 ?AddVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAUIVirtualProcessorRoot@3@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 40 48 8B DA 48 8B F1 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 41 83 F8 01 73 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 45 85 C0 74 18 41 8B F8 48 8B 13 48 8B 4E 08 E8 ?? ?? ?? ?? 48 83 C3 08 48 FF CF 75 EB 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_323_12_0 {
	meta:
		name = "?RemoveVirtualProcessors@SchedulerResourceManagement@details@Concurrency@@UEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z"
		size = 189
		refs = "001e ??_C@_0BI@PMOAFEOC@ppVirtualProcessorRoots?$AA@ 002f ??0exception@std@@QEAA@AEBQEBD@Z 0036 ??_7invalid_argument@std@@6B@ 003d _TI3?AVinvalid_argument@std@@ 004c _CxxThrowException 005a ??_C@_05IOMEMJEC@count?$AA@ 00a0 ?RemoveVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAUIVirtualProcessorRoot@3@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 40 48 8B DA 48 8B F1 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 41 83 F8 01 73 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 45 85 C0 74 18 41 8B F8 48 8B 13 48 8B 4E 08 E8 ?? ?? ?? ?? 48 83 C3 08 48 FF CF 75 EB 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_323_20_0 {
	meta:
		name = "??0SchedulerResourceManagement@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
		size = 18
		refs = "0003 ??_7SchedulerResourceManagement@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_17_33_2 {
	meta:
		name = "??0codecvt_base@std@@QEAA@_K@Z"
		size = 18
		refs = "0003 ??_7codecvt_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_76_25_2 {
	meta:
		name = "??0ctype_base@std@@QEAA@_K@Z"
		size = 18
		refs = "0003 ??_7ctype_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_42_16_1 {
	meta:
		name = "??0facet@locale@std@@IEAA@_K@Z"
		size = 18
		refs = "0003 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_46_31_1 {
	meta:
		name = "??0messages_base@std@@QEAA@_K@Z"
		size = 18
		refs = "0003 ??_7messages_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_17_48_2 {
	meta:
		name = "??0money_base@std@@QEAA@_K@Z"
		size = 18
		refs = "0003 ??_7money_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_53_30_2 {
	meta:
		name = "??0time_base@std@@QEAA@_K@Z"
		size = 18
		refs = "0003 ??_7time_base@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_25_13_2 {
	meta:
		name = "?setprecision@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 18
		refs = "0003 ?spfun@std@@YAXAEAVios_base@1@_J@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_25_14_2 {
	meta:
		name = "?setw@std@@YA?AU?$_Smanip@_J@1@_J@Z"
		size = 18
		refs = "0003 ?swfun@std@@YAXAEAVios_base@1@_J@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_324_0_0 {
	meta:
		name = "wcsncat_s"
		size = 230
		refs = "0039 _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 8B D8 4C 8B D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1B 33 C0 EB 2A 48 85 C9 74 12 48 85 D2 74 0D 4D 85 C9 74 21 4D 85 C0 75 1C 66 89 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C1 66 41 39 18 74 09 49 83 C0 02 48 FF CA 75 F1 48 85 D2 74 CD 49 83 F9 FF 75 1C 4D 2B C3 41 0F B7 03 66 43 89 04 18 49 83 C3 02 66 85 C0 74 34 48 FF CA 75 E9 EB 2D 4D 85 C9 74 24 4D 2B D8 43 0F B7 04 03 66 41 89 00 49 83 C0 02 66 85 C0 74 0A 48 FF CA 74 05 49 FF C9 75 E4 4D 85 C9 75 04 66 41 89 18 48 85 D2 0F 85 5D FF FF FF 49 83 F9 FF 75 0E 66 42 89 5C 51 FE 8D 42 50 E9 77 FF FF FF 66 89 19 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5C FF FF FF }
	condition:
		$1
}

rule file_325_0_0 {
	meta:
		name = "?_set_new_mode@@YAHH@Z"
		size = 51
		refs = "000e _errno 0019 _invalid_parameter_noinfo 0024 _newmode"
	strings:
		$1 = { 48 83 EC 28 85 C9 74 1A 83 F9 01 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 0C 8B 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_327_9_0 {
	meta:
		name = "_output_l"
		size = 2658
		refs = "0022 __security_cookie 0062 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006f _errno 007a _invalid_parameter_noinfo 00a4 __ImageBase 00b2 _fileno 00b9 __badioinfo 00e3 __pioinfo 01a1 __lookuptable 02a8 __nullstring 02f0 __wnullstring 0329 wctomb_s 045a _get_printf_count_output 05cf _malloc_crt 05ef _cfltcvt_tab 0604 __imp_DecodePointer 0684 strlen 06fb write_multi_char 070f write_string 07f2 free 0845 __security_check_cookie 091b _isleadbyte_l 0931 write_char"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FE FF FF 48 81 EC D0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C8 01 00 00 33 C0 48 8B D9 48 89 4C 24 68 48 8B FA 48 8D 4D 80 49 8B D0 4D 8B F1 89 44 24 60 44 8B E8 89 44 24 54 44 8B F8 89 44 24 48 89 44 24 5C 89 44 24 50 E8 ?? ?? ?? ?? 45 33 D2 48 85 DB 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D 98 74 0B 48 8B 45 90 83 A0 C8 00 00 00 FD 83 C8 FF E9 A0 07 00 00 83 CE FF F6 43 18 40 4C 8D 0D ?? ?? ?? ?? 0F 85 A2 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 3B C6 74 28 83 F8 FE 74 23 4C 63 C0 4C 8D 0D ?? ?? ?? ?? 49 8B C8 41 83 E0 1F 48 C1 F9 05 4D 6B C0 58 4D 03 84 C9 ?? ?? ?? ?? EB 0A 4C 8B C2 4C 8D 0D ?? ?? ?? ?? 41 F6 40 38 7F 75 28 3B C6 74 1E 83 F8 FE 74 19 48 63 D0 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 03 94 C1 ?? ?? ?? ?? F6 42 38 80 74 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D 98 74 0B 48 8B 45 90 83 A0 C8 00 00 00 FD 8B C6 E9 ED 06 00 00 45 33 D2 48 85 FF 74 CD 44 8A 27 45 8B C2 44 89 54 24 40 44 89 54 24 44 41 8B D2 4C 89 55 A0 45 84 E4 0F 84 B1 06 00 00 48 8B 5D B8 41 BB 00 02 00 00 48 FF C7 48 89 7D B0 45 85 C0 0F 88 97 06 00 00 41 8D 44 24 E0 3C 58 77 12 49 0F BE C4 42 0F BE 8C 08 ?? ?? ?? ?? 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 42 0F BE 94 0A ?? ?? ?? ?? C1 FA 04 89 54 24 58 8B CA 85 D2 0F 84 3C 07 00 00 FF C9 0F 84 4B 08 00 00 FF C9 0F 84 F3 07 00 00 FF C9 0F 84 B2 07 00 00 FF C9 0F 84 A2 07 00 00 FF C9 0F 84 6A 07 00 00 FF C9 0F 84 63 06 00 00 FF C9 0F 85 11 06 00 00 41 0F BE C4 83 F8 64 0F 8F 6B 01 00 00 0F 84 6B 02 00 00 83 F8 41 0F 84 31 01 00 00 83 F8 43 0F 84 CE 00 00 00 83 F8 45 0F 84 1F 01 00 00 83 F8 47 0F 84 16 01 00 00 83 F8 53 74 6C 83 F8 58 0F 84 CF 01 00 00 83 F8 5A 74 17 83 F8 61 0F 84 06 01 00 00 83 F8 63 0F 84 A5 00 00 00 E9 25 04 00 00 49 8B 06 49 83 C6 08 48 85 C0 74 2F 48 8B 58 08 48 85 DB 74 26 0F BF 00 41 0F BA E5 0B 73 12 99 C7 44 24 50 01 00 00 00 2B C2 D1 F8 E9 F0 03 00 00 44 89 54 24 50 E9 E6 03 00 00 48 8B 1D ?? ?? ?? ?? E9 CF 03 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 8B 1E 44 3B FE 41 8B C7 B9 FF FF FF 7F 0F 44 C1 49 83 C6 08 41 F7 C5 10 08 00 00 0F 84 08 01 00 00 48 85 DB C7 44 24 50 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B CB E9 E1 00 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 83 C6 08 41 F7 C5 10 08 00 00 74 27 45 0F B7 4E F8 48 8D 55 C0 48 8D 4C 24 44 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 5C 01 00 00 00 EB 0F 41 8A 46 F8 C7 44 24 44 01 00 00 00 88 45 C0 48 8D 5D C0 E9 39 03 00 00 C7 44 24 78 01 00 00 00 41 80 C4 20 41 83 CD 40 48 8D 5D C0 41 8B F3 45 85 FF 0F 89 2E 02 00 00 41 BF 06 00 00 00 E9 68 02 00 00 83 F8 65 0F 8C 05 03 00 00 83 F8 67 7E D3 83 F8 69 0F 84 EF 00 00 00 83 F8 6E 0F 84 B1 00 00 00 83 F8 6F 0F 84 98 00 00 00 83 F8 70 74 63 83 F8 73 0F 84 07 FF FF FF 83 F8 75 0F 84 CA 00 00 00 83 F8 78 0F 85 C5 02 00 00 B8 27 00 00 00 EB 51 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 EB 20 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 44 E9 7D 02 00 00 41 BF 10 00 00 00 41 0F BA ED 0F B8 07 00 00 00 89 44 24 60 41 B9 10 00 00 00 45 84 ED 79 60 04 51 C6 44 24 4C 30 41 8D 51 F2 88 44 24 4D EB 53 41 B9 08 00 00 00 45 84 ED 79 44 45 0B EB EB 3F 49 8B 3E 49 83 C6 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 DF 05 00 00 8B 44 24 40 41 F6 C5 20 74 05 66 89 07 EB 02 89 07 C7 44 24 5C 01 00 00 00 E9 59 03 00 00 41 83 CD 40 41 B9 0A 00 00 00 8B 54 24 48 B8 00 80 00 00 44 85 E8 74 09 4D 8B 06 49 83 C6 08 EB 3A 41 0F BA E5 0C 72 F0 49 83 C6 08 41 F6 C5 20 74 19 4C 89 74 24 70 41 F6 C5 40 74 07 4D 0F BF 46 F8 EB 1C 45 0F B7 46 F8 EB 15 41 F6 C5 40 74 06 4D 63 46 F8 EB 04 45 8B 46 F8 4C 89 74 24 70 41 F6 C5 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA ED 08 44 85 E8 75 0A 41 0F BA E5 0C 72 03 45 8B C0 45 85 FF 79 08 41 BF 01 00 00 00 EB 0B 41 83 E5 F7 45 3B FB 45 0F 4F FB 44 8B 74 24 60 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 48 41 8B CF 41 FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C6 88 03 48 FF CB EB D1 4C 8B 74 24 70 48 8D 85 BF 01 00 00 2B C3 48 FF C3 89 44 24 44 45 85 EB 0F 84 07 01 00 00 85 C0 74 09 80 3B 30 0F 84 FA 00 00 00 48 FF CB FF 44 24 44 C6 03 30 E9 EB 00 00 00 75 0E 41 80 FC 67 75 3D 41 BF 01 00 00 00 EB 35 45 3B FB 45 0F 4F FB 41 81 FF A3 00 00 00 7E 25 41 8D BF 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 A0 48 85 C0 74 07 48 8B D8 8B F7 EB 06 41 BF A3 00 00 00 49 8B 06 48 8B 0D ?? ?? ?? ?? 49 83 C6 08 41 0F BE FC 48 63 F6 48 89 45 B8 FF 15 ?? ?? ?? ?? 48 8D 4D 80 44 8B CF 48 89 4C 24 30 8B 4C 24 78 4C 8B C6 89 4C 24 28 48 8D 4D B8 48 8B D3 44 89 7C 24 20 FF D0 41 8B FD 81 E7 80 00 00 00 74 1B 45 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 41 80 FC 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA ED 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 89 44 24 44 44 39 54 24 5C 0F 85 46 01 00 00 41 F6 C5 40 74 31 41 0F BA E5 08 73 07 C6 44 24 4C 2D EB 0B 41 F6 C5 01 74 10 C6 44 24 4C 2B BF 01 00 00 00 89 7C 24 48 EB 11 41 F6 C5 02 74 07 C6 44 24 4C 20 EB E8 8B 7C 24 48 44 8B 64 24 54 48 8B 74 24 68 44 2B 64 24 44 44 2B E7 41 F6 C5 0C 75 12 4C 8D 4C 24 40 4C 8B C6 41 8B D4 B1 20 E8 ?? ?? ?? ?? 4C 8D 4C 24 40 48 8D 4C 24 4C 4C 8B C6 8B D7 E8 ?? ?? ?? ?? 41 F6 C5 08 74 18 41 F6 C5 04 75 12 4C 8D 4C 24 40 4C 8B C6 41 8B D4 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 44 33 C0 39 44 24 50 74 69 85 FF 7E 65 48 8B F3 44 0F B7 0E 48 8D 95 C0 01 00 00 48 8D 4D A8 41 B8 06 00 00 00 FF CF 48 83 C6 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 2B 8B 55 A8 85 D2 74 24 4C 8B 44 24 68 4C 8D 4C 24 40 48 8D 8D C0 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 B5 48 8B 74 24 68 EB 25 48 8B 74 24 68 41 83 C8 FF 44 89 44 24 40 EB 1A 4C 8D 4C 24 40 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 44 8B 44 24 40 45 85 C0 78 20 41 F6 C5 04 74 1A 4C 8D 4C 24 40 4C 8B C6 41 8B D4 B1 20 E8 ?? ?? ?? ?? 45 33 D2 44 8B 44 24 40 48 8B 45 A0 48 85 C0 74 14 48 8B C8 E8 ?? ?? ?? ?? 44 8B 44 24 40 45 33 D2 4C 89 55 A0 48 8B 7D B0 83 CE FF 8B 54 24 58 41 BB 00 02 00 00 4C 8D 0D ?? ?? ?? ?? 44 8A 27 45 84 E4 0F 85 59 F9 FF FF 44 38 55 98 74 0B 48 8B 4D 90 83 A1 C8 00 00 00 FD 41 8B C0 48 8B 8D C8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 03 00 00 48 81 C4 D0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 80 FC 49 74 37 41 80 FC 68 74 28 41 80 FC 6C 74 0D 41 80 FC 77 75 9E 41 0F BA ED 0B EB 97 80 3F 6C 75 0A 48 FF C7 41 0F BA ED 0C EB 88 41 83 CD 10 EB 82 41 83 CD 20 E9 79 FF FF FF 8A 07 41 0F BA ED 0F 3C 36 75 14 80 7F 01 34 75 0E 48 83 C7 02 41 0F BA ED 0F E9 5A FF FF FF 3C 33 75 14 80 7F 01 32 75 0E 48 83 C7 02 41 0F BA F5 0F E9 42 FF FF FF 3C 64 0F 84 3A FF FF FF 3C 69 0F 84 32 FF FF FF 3C 6F 0F 84 2A FF FF FF 3C 75 0F 84 22 FF FF FF 3C 78 0F 84 1A FF FF FF 3C 58 0F 84 12 FF FF FF 44 89 54 24 58 48 8D 55 80 41 0F B6 CC 44 89 54 24 50 E8 ?? ?? ?? ?? 85 C0 74 21 48 8B 54 24 68 4C 8D 44 24 40 41 8A CC E8 ?? ?? ?? ?? 44 8A 27 48 FF C7 45 84 E4 0F 84 04 01 00 00 48 8B 54 24 68 4C 8D 44 24 40 41 8A CC E8 ?? ?? ?? ?? 44 8B 44 24 40 45 33 D2 E9 A6 FE FF FF 41 80 FC 2A 75 18 45 8B 3E 49 83 C6 08 45 85 FF 0F 89 A1 FE FF FF 44 8B FE E9 99 FE FF FF 43 8D 0C BF 41 0F BE C4 44 8D 7C 48 D0 E9 87 FE FF FF 45 8B FA E9 7F FE FF FF 41 80 FC 2A 75 1B 41 8B 06 49 83 C6 08 89 44 24 54 85 C0 0F 89 66 FE FF FF 41 83 CD 04 F7 D8 EB 0F 8B 44 24 54 8D 0C 80 41 0F BE C4 8D 44 48 D0 89 44 24 54 E9 46 FE FF FF 41 80 FC 20 74 41 41 80 FC 23 74 31 41 80 FC 2B 74 22 41 80 FC 2D 74 13 41 80 FC 30 0F 85 24 FE FF FF 41 83 CD 08 E9 1B FE FF FF 41 83 CD 04 E9 12 FE FF FF 41 83 CD 01 E9 09 FE FF FF 41 0F BA ED 07 E9 FF FD FF FF 41 83 CD 02 E9 F6 FD FF FF 44 89 54 24 78 44 89 54 24 5C 44 89 54 24 54 44 89 54 24 48 45 8B EA 44 8B FE 44 89 54 24 50 E9 D2 FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 38 45 98 E9 D7 F6 FF FF }
	condition:
		$1
}

rule file_329_2_0 {
	meta:
		name = "remainderf"
		size = 788
		refs = "00d2 __real@3fe0000000000000 00ec __mask@@NegDouble@ 010c __real@3ff0000000000000 023c ??_C@_0L@JMNNGNHM@remainderf?$AA@ 030a _handle_errorf"
	strings:
		$1 = { F3 0F 11 44 24 08 53 48 83 EC 50 0F 28 E1 48 B8 FF FF FF FF FF FF FF 7F 0F 28 C8 BB 01 00 00 00 0F 14 C9 0F 14 E4 0F 5A D1 0F 5A DC F2 0F 11 54 24 70 48 8B 54 24 70 F2 0F 11 5C 24 70 4C 8B 5C 24 70 4C 8B CA 48 8B CA 4C 23 C8 48 C1 E9 34 4D 8B D3 4C 23 D0 B8 FF 07 00 00 4D 8B C3 49 C1 E8 34 23 C8 44 23 C0 3B CB 0F 8C 9A 01 00 00 81 F9 FE 07 00 00 0F 8F 96 01 00 00 41 8D 40 FF 3D FD 07 00 00 0F 87 7F 01 00 00 4D 3B CA 75 21 48 B8 00 00 00 00 00 00 00 80 48 23 D0 48 89 54 24 70 F2 0F 10 44 24 70 F2 0F 5A C0 E9 5F 02 00 00 4C 89 4C 24 70 F2 0F 10 54 24 70 4C 89 54 24 70 F2 0F 10 5C 24 70 4D 3B CA 73 2F 66 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F D0 76 04 F2 0F 5C D3 0F 57 C0 0F 2F C1 76 08 66 0F 57 15 ?? ?? ?? ?? F2 0F 5A C2 E9 15 02 00 00 0F AE 5C 24 68 44 8B 4C 24 68 41 3B C8 7F 0C F2 0F 10 25 ?? ?? ?? ?? 33 D2 EB 4D 41 2B C8 B8 AB AA AA 2A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 52 8D 04 C5 FF 03 00 00 48 63 C8 48 B8 00 00 00 00 00 00 70 3E 48 C1 E1 34 48 89 4C 24 70 F2 0F 10 44 24 70 48 89 44 24 70 F2 0F 10 64 24 70 F2 0F 59 C3 66 0F 28 D8 85 D2 7E 27 8B CA 48 2B CB 66 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 CB F2 0F 59 DC F2 0F 5C D1 75 DB 66 0F 28 C2 F2 0F 5E C3 F2 0F 2C C0 66 0F 6E C8 F2 48 0F 2C C0 66 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? F3 0F E6 C9 23 C3 F2 0F 59 CB F2 0F 5C D1 66 0F 2F D0 F2 0F 11 54 24 70 77 0C 66 0F 2E D0 7A 10 75 0E 85 C0 74 0A F2 0F 5C D3 F2 0F 11 54 24 70 44 89 4C 24 68 0F AE 54 24 68 0F 57 ED F2 0F 10 44 24 70 0F 2F 6C 24 60 0F 86 AB FE FF FF 66 0F 57 05 ?? ?? ?? ?? E9 9E FE FF FF 81 F9 FE 07 00 00 7E 58 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 48 B8 FF FF FF FF FF FF 0F 00 F3 0F 11 4C 24 30 48 85 D0 44 8B CB BA 06 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 0F 84 AD 00 00 00 F3 0F 11 4C 24 60 44 8B 44 24 60 49 0F BA E8 16 83 64 24 20 00 E9 A1 00 00 00 41 81 F8 FE 07 00 00 7E 56 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 74 42 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 44 8B CB BA 06 00 00 00 F3 0F 11 64 24 60 44 8B 44 24 60 48 8D 0D ?? ?? ?? ?? 49 0F BA E8 16 83 64 24 20 00 EB 47 0F 28 C1 EB 47 3B CB 7D 05 44 3B C3 7D F2 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 48 8D 0D ?? ?? ?? ?? BA 06 00 00 00 44 8B CB C7 44 24 20 08 00 00 00 41 B8 00 00 C0 FF E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_330_0_0 {
	meta:
		name = "_spawnv"
		size = 69
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0041 _spawnve"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 80 3A 00 74 E2 4D 85 C0 74 DD 49 8B 00 48 85 C0 74 D5 80 38 00 74 D0 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_0_0 {
	meta:
		name = "vscan_fn"
		size = 163
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B F2 33 D2 49 8B F8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B D9 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 40 48 85 DB 74 E6 4C 8B 8C 24 88 00 00 00 4C 8B 84 24 80 00 00 00 B8 FF FF FF 7F 48 3B F8 48 8D 4C 24 20 48 8B D3 0F 47 F8 C7 44 24 38 49 00 00 00 48 89 74 24 30 89 7C 24 28 48 89 74 24 20 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_331_1_0 {
	meta:
		name = "_snscanf"
		size = 54
		refs = "0028 _input_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_331_3_0 {
	meta:
		name = "_snscanf_s"
		size = 54
		refs = "0028 _input_s_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_554_1_0 {
	meta:
		name = "_snwscanf"
		size = 54
		refs = "0028 _winput_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_554_3_0 {
	meta:
		name = "_snwscanf_s"
		size = 54
		refs = "0028 _winput_s_l 002d vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 43 18 4D 89 4B 20 48 83 EC 38 4D 8B C8 49 8D 43 20 4C 8B C2 48 8B D1 49 89 43 F0 49 83 63 E8 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_331_2_0 {
	meta:
		name = "_snscanf_l"
		size = 49
		refs = "0023 _input_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_331_4_0 {
	meta:
		name = "_snscanf_s_l"
		size = 49
		refs = "0023 _input_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_554_2_0 {
	meta:
		name = "_snwscanf_l"
		size = 49
		refs = "0023 _winput_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_554_4_0 {
	meta:
		name = "_snwscanf_s_l"
		size = 49
		refs = "0023 _winput_s_l 0028 vscan_fn"
	strings:
		$1 = { 4C 8B DC 4D 89 4B 20 48 83 EC 38 49 8D 43 28 49 89 43 F0 4D 89 4B E8 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_332_0_0 {
	meta:
		name = "__init_ctype"
		size = 1056
		refs = "0022 __security_cookie 007b __getlocaleinfo 008d _malloc_crt 00a5 _calloc_crt 0129 __imp_GetCPInfo 01a5 __crtGetStringTypeA 01e4 __crtLCMapStringA 02a2 memcpy 02f0 free 03ad __newctype 03c7 __newclmap 03dc __newcumap 03fb __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 88 00 00 00 33 DB 48 8B F9 49 89 4B A8 48 89 5C 24 58 44 8B EB 44 8B FB 44 8B F3 44 8B E3 49 89 5B B0 39 59 14 0F 84 43 03 00 00 48 8D 69 04 8D 73 01 39 5D 00 75 23 44 0F B7 41 30 49 8D 4B A8 33 D2 41 B9 04 10 00 00 48 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 E4 02 00 00 B9 04 00 00 00 E8 ?? ?? ?? ?? 41 BC 80 01 00 00 BA 02 00 00 00 41 8B CC 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8B D6 41 8B CC 4C 8B E8 E8 ?? ?? ?? ?? 48 8B D6 41 8B CC 4C 8B F8 E8 ?? ?? ?? ?? 41 8D 4C 24 81 48 8B D6 4C 8B F0 E8 ?? ?? ?? ?? 4C 8B E0 48 8B 44 24 58 48 85 C0 0F 84 85 02 00 00 4D 85 ED 0F 84 7C 02 00 00 4D 85 E4 0F 84 73 02 00 00 4D 85 FF 0F 84 6A 02 00 00 4D 85 F6 0F 84 61 02 00 00 89 18 49 8B CC 8B C3 88 01 03 C6 48 03 CE 3D 00 01 00 00 7C F2 8B 4D 00 48 8D 54 24 70 FF 15 ?? ?? ?? ?? 85 C0 0F 84 36 02 00 00 83 7C 24 70 05 0F 87 2B 02 00 00 0F B7 44 24 70 89 44 24 50 3B C6 7E 2F 38 5C 24 76 74 29 48 8D 4C 24 77 38 19 74 20 0F B6 51 FF EB 0A 48 63 C2 03 D6 42 C6 04 20 20 0F B6 01 3B D0 7E EF 48 83 C1 02 38 59 FF 75 DC 8B 45 00 89 5C 24 38 49 8D 8D 00 01 00 00 89 5C 24 30 89 44 24 28 48 89 4C 24 20 33 C9 41 B9 00 01 00 00 4D 8B C4 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 BA 01 00 00 8B 45 00 8B 57 14 89 5C 24 40 89 44 24 38 B8 FF 00 00 00 49 8D 8F 81 00 00 00 89 44 24 30 48 89 4C 24 28 44 8D 40 01 4D 8D 4C 24 01 33 C9 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 7B 01 00 00 8B 45 00 8B 57 14 89 5C 24 40 89 44 24 38 B8 FF 00 00 00 49 8D 8E 81 00 00 00 89 44 24 30 48 89 4C 24 28 4D 8D 4C 24 01 33 C9 41 B8 00 02 00 00 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 3A 01 00 00 49 8D AD FE 00 00 00 66 89 5D 00 41 88 5F 7F 41 88 5E 7F 41 88 9F 80 00 00 00 41 88 9E 80 00 00 00 39 74 24 50 7E 39 38 5C 24 76 74 33 48 8D 4C 24 77 38 19 74 2A 0F B6 51 FF EB 14 48 63 C2 41 B8 00 80 00 00 03 D6 66 45 89 84 45 00 01 00 00 0F B6 01 3B D0 7E E5 48 83 C1 02 38 59 FF 75 D2 49 8D 95 00 02 00 00 41 B8 FE 00 00 00 49 8B CD E8 ?? ?? ?? ?? 49 8D 97 00 01 00 00 41 B8 7F 00 00 00 49 8B CF E8 ?? ?? ?? ?? 49 8D 96 00 01 00 00 41 B8 7F 00 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8B 8F 30 01 00 00 48 85 C9 74 44 F0 FF 09 75 3F 48 8B 8F 38 01 00 00 48 81 E9 FE 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 48 01 00 00 48 83 C1 80 E8 ?? ?? ?? ?? 48 8B 8F 50 01 00 00 48 83 C1 80 E8 ?? ?? ?? ?? 48 8B 8F 30 01 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 58 89 30 48 89 87 30 01 00 00 49 8D 85 00 01 00 00 48 89 87 40 01 00 00 49 8D 87 80 00 00 00 48 89 AF 38 01 00 00 48 89 87 48 01 00 00 49 8D 86 80 00 00 00 48 89 87 50 01 00 00 8B 44 24 50 89 87 0C 01 00 00 EB 24 48 8B 4C 24 58 E8 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? 49 8B CF E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 8B DE 49 8B CC E8 ?? ?? ?? ?? 8B C3 EB 54 48 8B 81 30 01 00 00 48 85 C0 74 03 F0 FF 08 48 8D 05 ?? ?? ?? ?? BE 01 00 00 00 48 89 99 30 01 00 00 48 89 81 40 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 99 38 01 00 00 48 89 81 48 01 00 00 48 8D 05 ?? ?? ?? ?? 89 B1 0C 01 00 00 48 89 81 50 01 00 00 33 C0 48 8B 8C 24 88 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_332_1_0 {
	meta:
		name = "___mb_cur_max_func"
		size = 58
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 8B 81 0C 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_332_2_0 {
	meta:
		name = "___mb_cur_max_l_func"
		size = 20
		refs = "0006 ___mb_cur_max_func"
	strings:
		$1 = { 48 85 C9 75 05 E9 ?? ?? ?? ?? 48 8B 01 8B 80 0C 01 00 00 C3 }
	condition:
		$1
}

rule file_332_3_0 {
	meta:
		name = "___lc_codepage_func"
		size = 55
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 8B 41 04 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_332_4_0 {
	meta:
		name = "___lc_collate_cp_func"
		size = 55
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 8B 41 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_332_5_0 {
	meta:
		name = "___lc_handle_func"
		size = 56
		refs = "0005 _getptd 0013 __ptlocinfo 0021 __globallocalestatus 0028 __updatetlocinfo"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 C0 00 00 00 48 3B 0D ?? ?? ?? ?? 74 16 8B 80 C8 00 00 00 85 05 ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8D 41 0C 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_333_0_0 {
	meta:
		name = "xtoa_s"
		size = 241
		refs = "0020 _errno 002c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B F1 4D 8B D8 4C 8B D2 8B F9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 AA 00 00 00 4D 85 C0 74 E3 C6 02 00 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 41 8D 41 FE BB 22 00 00 00 3B C3 77 B1 33 C9 4D 8B C2 85 D2 74 0D 41 C6 02 2D 4D 8D 42 01 8D 4B DF F7 DF 4D 8B C8 33 D2 8B C7 F7 F6 8B F8 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 10 48 FF C1 49 FF C0 85 C0 74 05 49 3B CB 72 D9 49 3B CB 72 0E 41 C6 02 00 E8 ?? ?? ?? ?? E9 68 FF FF FF 41 C6 00 00 49 FF C8 41 8A 01 41 8A 08 41 88 00 41 88 09 49 FF C1 49 FF C8 4D 3B C8 72 E9 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_333_1_0 {
	meta:
		name = "_itoa_s"
		size = 39
		refs = "001e xtoa_s"
	strings:
		$1 = { 48 83 EC 38 41 83 F9 0A 75 0E 85 C9 79 0A C7 44 24 20 01 00 00 00 EB 05 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_809_1_0 {
	meta:
		name = "_itow_s"
		size = 39
		refs = "001e xtow_s"
	strings:
		$1 = { 48 83 EC 38 41 83 F9 0A 75 0E 85 C9 79 0A C7 44 24 20 01 00 00 00 EB 05 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_333_2_0 {
	meta:
		name = "_ltoa_s"
		size = 34
		refs = "0019 xtoa_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 08 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_809_2_0 {
	meta:
		name = "_ltow_s"
		size = 34
		refs = "0019 xtow_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 08 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_333_3_0 {
	meta:
		name = "_ultoa_s"
		size = 19
		refs = "000a xtoa_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_333_6_0 {
	meta:
		name = "_ui64toa_s"
		size = 19
		refs = "000a x64toa_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_809_6_0 {
	meta:
		name = "_ui64tow_s"
		size = 19
		refs = "000a x64tow_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_809_3_0 {
	meta:
		name = "_ultow_s"
		size = 19
		refs = "000a xtow_s"
	strings:
		$1 = { 48 83 EC 38 83 64 24 20 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_333_4_0 {
	meta:
		name = "x64toa_s"
		size = 246
		refs = "0021 _errno 002d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8B F1 4D 8B D8 4C 8B D2 48 8B F9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 AE 00 00 00 4D 85 C0 74 E3 C6 02 00 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 8D 46 FE BB 22 00 00 00 3B C3 77 B2 33 C9 4D 8B C2 85 D2 74 0E 41 C6 02 2D 4D 8D 42 01 8D 4B DF 48 F7 DF 4D 8B C8 33 D2 48 8B C7 48 F7 F6 48 8B F8 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 10 48 FF C1 49 FF C0 48 85 C0 74 05 49 3B CB 72 D5 49 3B CB 72 0E 41 C6 02 00 E8 ?? ?? ?? ?? E9 64 FF FF FF 41 C6 00 00 49 FF C8 41 8A 01 41 8A 08 41 88 00 41 88 09 49 FF C1 49 FF C8 4D 3B C8 72 E9 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_333_5_0 {
	meta:
		name = "_i64toa_s"
		size = 35
		refs = "001a x64toa_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 09 48 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_809_5_0 {
	meta:
		name = "_i64tow_s"
		size = 35
		refs = "001a x64tow_s"
	strings:
		$1 = { 48 83 EC 38 33 C0 41 83 F9 0A 75 09 48 85 C9 79 04 41 8D 41 F7 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_334_0_0 {
	meta:
		name = "wcsspn"
		size = 65
	strings:
		$1 = { 44 0F B7 01 4C 8B D2 48 8B C1 66 45 85 C0 74 2A 4D 8B CA 66 45 39 02 74 17 41 0F B7 12 66 85 D2 74 18 49 83 C1 02 41 0F B7 11 66 41 3B D0 75 ED 48 83 C0 02 44 0F B7 00 EB D0 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_335_3_0 {
	meta:
		name = "_towlower_l"
		size = 213
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006e iswctype 00a9 __crtLCMapStringW"
	strings:
		$1 = { 48 89 5C 24 10 66 89 4C 24 08 55 48 8B EC 48 83 EC 50 B8 FF FF 00 00 66 3B C8 0F 84 AA 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5D E0 83 7B 14 00 75 27 0F B7 55 10 8D 42 BF 66 83 F8 19 77 04 66 83 C2 20 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 0F B7 C2 EB 70 0F B7 4D 10 BA 00 01 00 00 66 3B CA 73 25 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 0F B7 45 10 EB 3D 0F B7 4D 10 48 8B 83 48 01 00 00 0F B6 04 08 EB 2C 8B 4B 14 48 8D 45 20 41 B9 01 00 00 00 44 89 4C 24 28 4C 8D 45 10 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F B7 45 10 74 04 0F B7 45 20 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_336_1_0 {
	meta:
		name = "??0ThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
		size = 88
		refs = "0027 ??0VirtualProcessor@details@Concurrency@@QEAA@XZ 002f ??_7ThreadVirtualProcessor@details@Concurrency@@6B@ 0040 ?Initialize@VirtualProcessor@details@Concurrency@@MEAAXPEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_337_2_0 {
	meta:
		name = "_wperror"
		size = 386
		refs = "0040 wcstombs_s 0062 _invoke_watson 007b _calloc_crt 00ce free 00e2 __lock_fhandle 00f0 strlen 00fd _write_nolock 0107 ??_C@_02LMMGGCAJ@?3?5?$AA@ 011b _errno 0126 __sys_nerr 0136 __sys_errlist 015f ??_C@_01EEMJAFIK@?6?$AA@ 016e _unlock_fhandle"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 57 48 83 EC 30 48 8B F9 33 F6 48 89 70 08 48 85 C9 0F 84 B5 00 00 00 66 39 31 0F 84 AC 00 00 00 48 C7 40 E8 FF FF FF 7F 4C 8B C9 45 33 C0 33 D2 48 8D 48 08 E8 ?? ?? ?? ?? 85 C0 74 1F 83 F8 16 74 05 83 F8 22 75 15 48 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 4C 24 40 48 85 C9 0F 84 FD 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 E7 00 00 00 48 83 4C 24 20 FF 4C 8B CF 4C 8B 44 24 40 48 8B D0 33 C9 E8 ?? ?? ?? ?? 85 C0 74 33 83 F8 16 74 05 83 F8 22 75 15 48 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 74 10 48 8B CB E8 ?? ?? ?? ?? E9 9B 00 00 00 48 8B DE BF 02 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 85 DB 74 26 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 44 8B C7 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 1C C8 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 90 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_338_0_0 {
	meta:
		name = "_fltin2"
		size = 193
		refs = "0011 __security_cookie 0044 __strgtold12_l 006a _ld12tod 00ad __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 4D 89 43 B0 33 DB 48 8B EA 21 5C 24 30 21 5C 24 28 21 5C 24 20 4C 8B C2 48 8B F9 49 8D 53 C0 49 8D 4B C8 45 33 C9 E8 ?? ?? ?? ?? 8B F0 A8 04 74 11 83 64 24 40 00 83 64 24 44 00 BB 00 02 00 00 EB 2E 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 40 F6 C6 02 75 05 83 F8 01 75 05 BB 80 00 00 00 40 F6 C6 01 75 05 83 F8 02 75 04 0F BA EB 08 8B 4C 24 48 89 1F 48 8B C7 2B CD 89 4F 04 48 8B 4C 24 40 48 89 4F 10 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_339_0_0 {
	meta:
		name = "_CxxThrowException"
		size = 147
		refs = "001f ?ExceptionTemplate@?1??_CxxThrowException@@9@4UEHExceptionRecord@@B 002a memcpy 003e RtlPcToFileHeader 007d __imp_RaiseException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B FA 48 8B D9 48 8D 4D C0 48 8D 15 ?? ?? ?? ?? 41 B8 40 00 00 00 E8 ?? ?? ?? ?? 48 8D 55 10 48 8B CF 48 89 5D E8 48 89 7D F0 E8 ?? ?? ?? ?? 4C 8B D8 48 89 45 10 48 89 45 F8 48 85 FF 74 1B F6 07 08 B9 00 40 99 01 74 05 89 4D E0 EB 0C 8B 45 E0 4D 85 DB 0F 44 C1 89 45 E0 44 8B 45 D8 8B 55 C4 8B 4D C0 4C 8D 4D E0 FF 15 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_340_0_0 {
	meta:
		name = "_getpath"
		size = 184
		refs = "0036 _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 7C 24 18 41 54 48 83 EC 20 4C 8B E2 48 8B D9 B9 01 00 00 00 B2 3B EB 03 48 03 D9 38 13 74 F9 33 FF 4C 2B C1 48 8B EB 75 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 52 8A 03 84 C0 74 48 3A C2 74 41 48 03 D9 3C 22 74 11 41 88 04 24 4C 03 E1 4C 2B C1 75 E3 48 8B EB EB D1 8A 03 84 C0 74 26 3C 22 74 15 41 88 04 24 48 03 D9 4C 03 E1 4C 2B C1 74 E2 8A 03 84 C0 75 E7 40 38 3B 74 08 48 03 D9 EB B5 48 03 D9 38 13 74 F9 48 3B EB 48 8B 6C 24 38 41 88 3C 24 48 0F 45 FB 48 8B 5C 24 30 48 8B C7 48 8B 7C 24 40 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_341_0_0 {
	meta:
		name = "_filelengthi64"
		size = 274
		refs = "001a __doserrno 0022 _errno 003b _nhandle 0052 __pioinfo 006e __lock_fhandle 0087 _lseeki64_nolock 00df _unlock_fhandle 00fc _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 54 48 83 EC 30 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 CF 00 00 00 85 C9 0F 88 AF 00 00 00 3B 3D ?? ?? ?? ?? 0F 83 A3 00 00 00 48 8B DF 48 8B F7 48 C1 FE 05 4C 8D 25 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 49 8B 04 F4 0F BE 4C 18 08 83 E1 01 74 7D 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 F4 F6 44 18 08 01 74 42 33 D2 44 8D 42 01 8B CF E8 ?? ?? ?? ?? 48 8B F0 48 83 CB FF 48 3B C3 74 40 33 D2 44 8D 43 03 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 20 48 3B F0 74 2B 45 33 C0 48 8B D6 8B CF E8 ?? ?? ?? ?? EB 1C E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 48 83 CB FF 48 89 5C 24 20 8B CF E8 ?? ?? ?? ?? 48 8B C3 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_342_5_0 {
	meta:
		name = "?Id@Context@Concurrency@@SAIXZ"
		size = 35
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0D 48 8B 10 48 8B C8 48 83 C4 28 48 FF 22 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_342_6_0 {
	meta:
		name = "?VirtualProcessorId@Context@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 08 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_820_1_0 {
	meta:
		name = "?Id@CurrentScheduler@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 08 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_342_7_0 {
	meta:
		name = "?ScheduleGroupId@Context@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 10 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_820_2_0 {
	meta:
		name = "?GetNumberOfVirtualProcessors@CurrentScheduler@Concurrency@@SAIXZ"
		size = 36
		refs = "0005 ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 10 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_342_8_0 {
	meta:
		name = "?Block@Context@Concurrency@@SAXXZ"
		size = 55
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0018 __imp_TlsGetValue 0025 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 14 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 83 C4 28 48 FF 60 28 }
	condition:
		$1
}

rule file_342_9_0 {
	meta:
		name = "?Yield@Context@Concurrency@@SAXXZ"
		size = 55
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0018 __imp_TlsGetValue 0025 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 14 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 83 C4 28 48 FF 60 30 }
	condition:
		$1
}

rule file_342_10_0 {
	meta:
		name = "?_SpinYield@Context@Concurrency@@SAXXZ"
		size = 55
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0018 __imp_TlsGetValue 0025 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 14 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 83 C4 28 48 FF 60 38 }
	condition:
		$1
}

rule file_342_11_0 {
	meta:
		name = "?IsCurrentTaskCollectionCanceling@Context@Concurrency@@SA_NXZ"
		size = 58
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0026 ?_IsCanceling@_StructuredTaskCollection@details@Concurrency@@QEAA_NXZ 002f ?_IsCanceling@_TaskCollection@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 25 48 8B 48 60 48 85 C9 74 1C 8B 41 08 C1 F8 1C A8 01 74 09 48 83 C4 28 E9 ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_342_13_0 {
	meta:
		name = "?Oversubscribe@Context@Concurrency@@SAX_N@Z"
		size = 62
		refs = "0008 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0016 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c __imp_TlsGetValue 0029 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 F7 05 ?? ?? ?? ?? 00 00 00 80 8A D9 74 14 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 8A D3 48 83 C4 20 5B 48 FF 60 40 }
	condition:
		$1
}

rule file_344_0_0 {
	meta:
		name = "_commit"
		size = 215
		refs = "001a _errno 0033 _nhandle 0046 __pioinfo 0062 __lock_fhandle 0075 _get_osfhandle 007e __imp_FlushFileBuffers 0088 __imp_GetLastError 0097 __doserrno 00ae _unlock_fhandle 00c2 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 54 48 83 EC 20 48 63 F9 83 FF FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 9D 00 00 00 85 C9 0F 88 85 00 00 00 3B 3D ?? ?? ?? ?? 73 7D 48 8B DF 48 8B F7 48 C1 FE 05 4C 8D 25 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 49 8B 04 F4 0F BE 4C 18 08 83 E1 01 74 57 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 F4 F6 44 18 08 01 74 2B 8B CF E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 0A FF 15 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 DB 74 15 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_345_0_0 {
	meta:
		name = "_putenv_helper"
		size = 640
		refs = "001a __env_initialized 0035 _errno 0040 _invalid_parameter_noinfo 0053 _mbschr 0073 strnlen 0080 strlen 0091 _calloc_crt 00fe strcpy_s 0133 __crtsetenv 0149 free 0155 _wenviron 017f __imp_MultiByteToWideChar 020e wcslen 024e __crtwsetenv"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 56 48 8B EC 48 83 EC 30 48 83 65 48 00 83 3D ?? ?? ?? ?? 00 48 8B F2 48 8B F9 75 08 83 C8 FF E9 40 02 00 00 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB E1 48 85 D2 75 5F 44 8D 72 3D 41 8B D6 E8 ?? ?? ?? ?? 48 85 C0 74 20 48 8B C8 BB FF 7F 00 00 48 2B CF 48 3B CB 7D C8 48 8D 48 01 8B D3 E8 ?? ?? ?? ?? 48 3B C3 73 B8 48 8B CF E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 48 01 48 8B D8 E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 74 89 4C 8B C7 48 8D 53 01 48 8B C8 EB 7A BB FF 7F 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 48 8B CE 4C 8B E0 E8 ?? ?? ?? ?? 4C 3B E3 0F 83 68 FF FF FF 48 3B C3 0F 83 5F FF FF FF 4A 8D 5C 20 02 BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 89 45 48 48 85 C0 0F 84 33 FF FF FF 4C 8B C7 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B 45 48 41 BE 3D 00 00 00 45 88 34 04 48 8B 45 48 49 FF C4 49 2B DC 4C 8B C6 49 8D 0C 04 48 8B D3 E8 ?? ?? ?? ?? 48 8D 4D 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 48 48 85 C9 0F 84 DF FE FF FF E8 ?? ?? ?? ?? E9 D5 FE FF FF 48 83 3D ?? ?? ?? ?? 00 0F 84 0D 01 00 00 83 64 24 28 00 48 83 65 40 00 48 83 64 24 20 00 83 CB FF 4C 8B C7 33 D2 44 8B CB 33 C9 FF 15 ?? ?? ?? ?? 44 8B E0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B C3 E9 D3 00 00 00 48 85 F6 74 24 83 64 24 28 00 48 83 64 24 20 00 44 8B CB 4C 8B C6 33 D2 33 C9 FF 15 ?? ?? ?? ?? 85 C0 74 CA 45 8D 64 04 01 49 63 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 48 89 45 40 48 85 C0 74 BA 44 8B CB 4C 8B C7 33 D2 33 C9 44 89 64 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 8B 4D 40 E8 ?? ?? ?? ?? EB 86 48 85 F6 74 3E 48 8B 4D 40 E8 ?? ?? ?? ?? 48 8B 4D 40 44 8B CB 66 44 89 34 41 48 8B 4D 40 48 FF C0 44 2B E0 48 8D 04 41 4C 8B C6 33 D2 33 C9 44 89 64 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 B2 48 8D 4D 40 33 D2 E8 ?? ?? ?? ?? 85 C0 74 17 48 8B 4D 40 48 85 C9 0F 84 32 FF FF FF E8 ?? ?? ?? ?? E9 28 FF FF FF 33 C0 48 8B 5C 24 60 48 83 C4 30 41 5E 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_346_0_0 {
	meta:
		name = "_fwrite_nolock"
		size = 394
		refs = "0038 _errno 0043 _invalid_parameter_noinfo 00cf memcpy 00f8 _flush 0119 _fileno 0126 _write 015c _flsbuf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 8B F1 4D 8B F8 4C 8B E2 4C 8B F1 48 85 D2 74 1A 4D 85 C0 74 15 4D 85 C9 75 2F E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 48 85 C9 74 CC 33 D2 48 83 C8 FF 49 F7 F4 4C 3B C0 77 BE 49 8B FC 49 0F AF FF 41 F7 41 18 0C 01 00 00 48 8B EF 74 06 45 8B 69 24 EB 06 41 BD 00 10 00 00 48 85 FF 0F 84 E0 00 00 00 8B 46 18 25 08 01 00 00 74 3C 8B 4E 08 85 C9 74 35 0F 88 87 00 00 00 48 3B E9 49 8B D6 0F 42 CD 89 4C 24 58 8B D9 44 8B C1 48 8B 0E E8 ?? ?? ?? ?? 8B 44 24 58 48 01 1E 29 46 08 48 2B EB 4C 03 F3 E9 92 00 00 00 41 8B DD 48 3B EB 72 64 85 C0 74 0C 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 44 45 85 ED 74 0E 33 D2 48 8B C5 48 F7 F3 8B DD 2B DA EB 02 8B DD 48 8B CE E8 ?? ?? ?? ?? 44 8B C3 49 8B D6 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 11 8B C8 3B C3 0F 47 CB 48 2B E9 4C 03 F1 3B C3 73 3A 83 4E 18 20 48 2B FD 33 D2 48 8B C7 49 F7 F4 E9 F5 FE FF FF 41 0F BE 0E 48 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 74 DF 49 FF C6 48 FF CD 83 7E 24 00 41 BD 01 00 00 00 44 0F 4F 6E 24 48 85 ED E9 1A FF FF FF 49 8B C7 E9 BF FE FF FF }
	condition:
		$1
}

rule file_346_1_0 {
	meta:
		name = "fwrite"
		size = 143
		refs = "003c _errno 0047 _invalid_parameter_noinfo 0051 _lock_file 0063 _fwrite_nolock 006e _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 48 20 41 54 48 83 EC 20 49 8B D9 49 8B F8 48 8B F2 4C 8B E1 48 85 D2 74 4D 4D 85 C0 74 48 33 C0 48 85 DB 0F 95 C0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 2A 48 8B CB E8 ?? ?? ?? ?? 90 4C 8B CB 4C 8B C7 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_348_3_0 {
	meta:
		name = "_mbsnlen_l"
		size = 168
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0030 strnlen"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 44 24 28 41 83 78 08 00 75 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 62 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 54 33 D2 33 C9 48 85 FF 74 2E 80 3B 00 74 29 0F B6 03 42 F6 44 00 1D 04 74 10 48 FF C1 48 3B CF 73 19 48 FF C3 80 3B 00 74 0E 48 FF C1 48 FF C2 48 FF C3 48 3B CF 72 D2 48 3B CF 48 0F 43 D7 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_350_3_0 {
	meta:
		name = "_ismbcpunct_l"
		size = 252
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0089 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 DB 81 FF FF 00 00 00 0F 86 86 00 00 00 48 8B 4D E8 8B C7 89 5D 20 C1 E8 08 40 88 7D 11 88 45 10 39 59 08 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 90 00 00 00 8B 41 0C BF 01 00 00 00 4C 8D 45 10 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 20 44 8D 4F 01 48 8D 4D E0 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B2 66 39 5D 22 75 06 F6 45 20 10 75 02 8B FB 38 5D F8 74 44 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 37 48 8B 45 E0 40 0F B6 D7 48 8B 88 40 01 00 00 F6 04 51 10 75 0D 48 8B 45 E8 8B FB F6 44 02 1D 02 74 05 BF 01 00 00 00 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_351_0_0 {
	meta:
		name = "_fputwc_nolock"
		size = 511
		refs = "0015 __security_cookie 0035 _fileno 003c __badioinfo 0043 __pioinfo 0142 wctomb_s 0184 _flsbuf 01db _flswbuf 01e8 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 F6 42 18 40 48 8B FA 0F B7 F1 0F 85 85 01 00 00 48 8B CA E8 ?? ?? ?? ?? 48 8D 2D ?? ?? ?? ?? 4C 8D 25 ?? ?? ?? ?? 83 F8 FF 74 35 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 28 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 1F 4D 6B DB 58 4D 03 1C DC EB 03 4C 8B DD 41 8A 43 38 24 7F 3C 02 0F 84 0D 01 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 35 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 28 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 1F 4D 6B DB 58 4D 03 1C DC EB 03 4C 8B DD 41 8A 43 38 24 7F 3C 01 0F 84 BA 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 31 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 24 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 8B E8 83 E5 1F 48 6B ED 58 49 03 2C DC F6 45 08 80 0F 84 89 00 00 00 48 8D 54 24 24 48 8D 4C 24 20 44 0F B7 CE 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 33 DB 85 C0 74 0A B8 FF FF 00 00 E9 89 00 00 00 39 5C 24 20 7E 3E 48 8D 6C 24 24 FF 4F 08 78 16 48 8B 0F 8A 45 00 88 01 48 8B 07 0F B6 08 48 FF C0 48 89 07 EB 0E 0F BE 4D 00 48 8B D7 E8 ?? ?? ?? ?? 8B C8 83 F9 FF 74 BD FF C3 48 FF C5 3B 5C 24 20 7C C7 0F B7 C6 EB 40 48 63 4F 08 48 83 C1 FE 89 4F 08 85 C9 78 26 48 8B 0F 66 89 31 EB 15 48 63 47 08 48 83 C0 FE 89 47 08 85 C0 78 0F 48 8B 07 66 89 30 48 83 07 02 0F B7 C6 EB 0B 48 8B D7 0F B7 CE E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 6C 24 78 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_352_0_0 {
	meta:
		name = "_setjmpex"
		size = 144
	strings:
		$1 = { 48 89 11 48 89 59 08 48 89 69 18 48 89 71 20 48 89 79 28 4C 89 61 30 4C 89 69 38 4C 89 71 40 4C 89 79 48 4C 8D 44 24 08 4C 89 41 10 4C 8B 04 24 4C 89 41 50 0F AE 59 58 D9 79 5C 66 0F 7F 71 60 66 0F 7F 79 70 66 44 0F 7F 81 80 00 00 00 66 44 0F 7F 89 90 00 00 00 66 44 0F 7F 91 A0 00 00 00 66 44 0F 7F 99 B0 00 00 00 66 44 0F 7F A1 C0 00 00 00 66 44 0F 7F A9 D0 00 00 00 66 44 0F 7F B1 E0 00 00 00 66 44 0F 7F B9 F0 00 00 00 33 C0 C3 }
	condition:
		$1
}

rule file_354_0_0 {
	meta:
		name = "?DebuggerProbe@@YAHK@Z"
		size = 64
		refs = "0030 __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 C6 40 08 00 C7 40 C8 01 10 00 00 89 48 D0 48 8D 40 08 48 89 44 24 30 4C 8D 4C 24 20 33 D2 44 8D 42 0A B9 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 00 0F B6 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_354_1_0 {
	meta:
		name = "?DebuggerRuntime@@YAHKHPEAXPEB_W@Z"
		size = 76
		refs = "003c __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 83 EC 58 C6 40 08 00 C7 40 C8 02 10 00 00 89 48 D0 89 50 D4 4C 89 40 D8 48 8D 40 08 48 89 44 24 38 4C 89 4C 24 40 4C 8D 4C 24 20 33 D2 44 8D 42 0A B9 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 00 0F B6 44 24 60 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_354_2_0 {
	meta:
		name = "?failwithmessage@@YAXPEAXHHPEBD@Z"
		size = 580
		refs = "001f __security_cookie 003d ?_RTC_GetErrorFuncW@@YAP6AHHPEB_WH00ZZPEBX@Z 004d ?_RTC_GetErrorFunc@@YAP6AHHPEBDH00ZZPEBX@Z 0071 __imp_MultiByteToWideChar 00ad ??_C@_1GM@OLMCBDMB@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?4?$AA?6?$AA?$AN?$AA?5?$AAU?$AAn?$AAa?$AAb?$AAl?$AAe?$AA?5?$AAt?$AAo@ 00b7 ?DebuggerProbe@@YAHK@Z 00c2 _RTC_NoFalsePositives 00d4 ?DebuggerRuntime@@YAHKHPEAXPEB_W@Z 00f8 __imp_IsDebuggerPresent 012a ?_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z 013b ??_C@_1EA@NFKNIFJP@?$AAR?$AAu?$AAn?$AA?9?$AAT?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAu?$AAr?$AAe?$AA?5?$AA?$CD?$AA?$CF?$AAd?$AA?5?$AA?9?$AA?5?$AA?$CF?$AAs?$AA?$AA@ 019a ??_C@_0BB@PFFGGCJP@Unknown?5Filename?$AA@ 01a0 __imp_WideCharToMultiByte 01db ??_C@_0BE@GNBOBNCK@Unknown?5Module?5Name?$AA@ 01f4 ??_C@_0CA@IODNCDPG@Run?9Time?5Check?5Failure?5?$CD?$CFd?5?9?5?$CFs?$AA@ 022c __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 58 F2 FF FF 48 81 EC A8 0E 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 90 0D 00 00 4D 8B F1 4D 63 E0 44 8B FA 48 8B F9 45 33 ED E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0B 48 8B CF E8 ?? ?? ?? ?? 4C 8B E8 83 64 24 28 00 48 83 64 24 20 00 83 CE FF 44 8B CE 4D 8B C6 33 D2 B9 E9 FD 00 00 FF 15 ?? ?? ?? ?? 3D 00 02 00 00 73 2E 89 44 24 28 48 8D 85 90 09 00 00 44 8B CE 4D 8B C6 33 D2 B9 E9 FD 00 00 48 89 44 24 20 FF 15 ?? ?? ?? ?? 48 8D B5 90 09 00 00 85 C0 75 07 48 8D 35 ?? ?? ?? ?? B9 02 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 23 48 8D 0D ?? ?? ?? ?? 4C 8B CE 4C 8B C7 42 8B 14 A1 41 8B CC E8 ?? ?? ?? ?? 85 C0 0F 85 41 01 00 00 EB 02 B0 01 4D 85 ED 75 09 48 85 DB 0F 84 2E 01 00 00 84 C0 74 0E FF 15 ?? ?? ?? ?? 85 C0 0F 85 1C 01 00 00 48 8D 44 24 50 41 B8 04 01 00 00 48 8D 4F FB 44 89 44 24 28 4C 8D 4C 24 40 48 8D 95 60 01 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 85 DB 74 31 44 8B 44 24 40 48 8D 05 ?? ?? ?? ?? 48 89 74 24 30 4C 8D 4C 24 50 48 8D 95 60 01 00 00 41 8B CF 44 89 64 24 28 48 89 44 24 20 FF D3 E9 B7 00 00 00 48 83 64 24 38 00 48 83 64 24 30 00 48 8D 85 70 03 00 00 BE 0A 03 00 00 4C 8D 85 60 01 00 00 41 83 C9 FF 33 D2 B9 E9 FD 00 00 89 74 24 28 48 89 44 24 20 48 8D 3D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 48 8D 85 80 06 00 00 48 8D 9D 70 03 00 00 48 0F 44 DF 48 83 64 24 38 00 48 83 64 24 30 00 4C 8D 44 24 50 41 83 C9 FF 33 D2 B9 E9 FD 00 00 89 74 24 28 48 8D 3D ?? ?? ?? ?? 48 89 44 24 20 FF 15 ?? ?? ?? ?? 44 8B 44 24 40 85 C0 48 8D 05 ?? ?? ?? ?? 4C 89 74 24 30 4C 8D 8D 80 06 00 00 48 8B D3 41 8B CF 4C 0F 44 CF 44 89 64 24 28 48 89 44 24 20 41 FF D5 83 F8 01 75 01 CC 48 8B 8D 90 0D 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 0E 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_354_3_0 {
	meta:
		name = "?_RTC_Failure@@YAXPEAXH@Z"
		size = 76
		refs = "000c __ImageBase 0017 ?_RTC_ErrorLevels@@3PAHA 001f _RTC_ErrorMessages 002e ??_C@_0BO@GNIAFIKK@Unknown?5Runtime?5Check?5Error?6?$AN?$AA@ 0043 ?failwithmessage@@YAXPEAXHHPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 83 FA 04 77 1C 4C 8D 0D ?? ?? ?? ?? 48 63 C2 45 8B 94 81 ?? ?? ?? ?? 4D 8B 8C C1 ?? ?? ?? ?? EB 11 41 BA 01 00 00 00 4C 8D 0D ?? ?? ?? ?? 41 8D 52 04 41 83 FA FF 74 0B 44 8B C2 41 8B D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_354_4_0 {
	meta:
		name = "?_RTC_StackFailure@@YAXPEAXPEBD@Z"
		size = 223
		refs = "000c __security_cookie 001e ?_RTC_ErrorLevels@@3PAHA 005b stack_premsg 009a stack_postmsg 00b1 ??_C@_0CG@IAFNJNEE@Stack?5corrupted?5near?5unknown?5var@ 00c2 ?failwithmessage@@YAXPEAXHHPEBD@Z 00d2 __security_check_cookie"
	strings:
		$1 = { 40 57 48 81 EC 30 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 44 8B 15 ?? ?? ?? ?? 49 83 C8 FF 4C 8B D9 45 3B D0 0F 84 94 00 00 00 80 3A 00 74 77 33 C0 49 8B C8 48 8B FA F2 AE 48 F7 D1 48 83 C1 2C 48 81 F9 00 04 00 00 77 5D 4C 8D 4C 24 20 33 C9 48 8D 05 ?? ?? ?? ?? 8A 04 01 48 FF C1 88 44 0C 1F 84 C0 75 EB 33 C0 48 8D 7C 24 20 49 8B C8 F2 AE 33 C9 8A 04 0A 48 FF C1 88 44 0F FE 84 C0 75 F2 33 C0 48 8D 7C 24 20 49 8B C8 F2 AE 33 C9 48 8D 15 ?? ?? ?? ?? 8A 04 0A 48 FF C1 88 44 0F FE 84 C0 75 F2 EB 07 4C 8D 0D ?? ?? ?? ?? 41 B8 02 00 00 00 41 8B D2 49 8B CB E8 ?? ?? ?? ?? 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 30 04 00 00 5F C3 }
	condition:
		$1
}

rule file_354_5_0 {
	meta:
		name = "?_getMemBlockDataString@@YAXPEAD00_K@Z"
		size = 148
		refs = "004a ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0056 ?wsprintffp@@3P6AHPEADPEBDZZEA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 FF 4D 8B F0 4C 8B EA 8D 6F 10 48 8B F1 4C 3B CD 49 0F 42 E9 48 85 ED 74 34 4C 8B E1 4C 8B FA 4C 2B F1 48 8B FD 43 0F B6 1C 26 48 8D 15 ?? ?? ?? ?? 49 8B CF 44 8B C3 FF 15 ?? ?? ?? ?? 41 88 1C 24 49 FF C4 49 83 C7 03 48 FF CD 75 D8 48 8B 5C 24 50 48 8B 6C 24 58 C6 04 37 00 48 8B 74 24 60 49 8D 44 7D 00 C6 04 07 00 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_354_6_0 {
	meta:
		name = "?_RTC_AllocaFailure@@YAXPEAXPEAU_RTC_ALLOCA_NODE@@H@Z"
		size = 461
		refs = "0022 __security_cookie 0033 ?_RTC_ErrorLevels@@3PAHA 004d ??_C@_1BG@OILDLIOJ@?$AAu?$AAs?$AAe?$AAr?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0053 __imp_LoadLibraryW 0063 ??_C@_09FOPFMPEJ@wsprintfA?$AA@ 006c __imp_GetProcAddress 0073 ?wsprintffp@@3P6AHPEADPEBDZZEA 0090 ??_C@_08OMAHNMHJ@?6Data?3?5?$DM?$AA@ 00a8 ??_C@_0CK@DKGBICFE@?6Allocation?5number?5within?5this?5f@ 00af ??_C@_0N@MHFFIMFG@?6Address?3?50x?$AA@ 00c0 ??_C@_07DFDJCKFN@?6Size?3?5?$AA@ 00d1 ??_C@_0BE@EJFBLEMJ@?$CFs?$CFs?$CFp?$CFs?$CFI64d?$CFs?$CFd?$CFs?$AA@ 00d8 ??_C@_0EI@CLEPFNGI@Stack?5area?5around?5_alloca?5memory@ 0111 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 014a __imp_lstrlenA 0151 ??_C@_02LLMPMKNF@?$DO?5?$AA@ 015b ??_C@_01EEMJAFIK@?6?$AA@ 0162 ??_C@_08KJEDNCKC@?$CFs?$CFs?$CFs?$CFs?$AA@ 018e ??_C@_0EJ@LJKNEOLN@Stack?5area?5around?5_alloca?5memory@ 019f ?failwithmessage@@YAXPEAXHHPEBD@Z 01ae __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FF FF FF 48 81 EC C0 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 00 00 00 44 8B 2D ?? ?? ?? ?? 41 8B D8 48 8B F2 4C 8B F1 41 83 FD FF 0F 84 59 01 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 2B 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 F6 0F 84 0B 01 00 00 48 85 C0 0F 84 02 01 00 00 48 8B 4E 0C 4C 8D 05 ?? ?? ?? ?? 48 8D 56 20 4C 89 44 24 48 48 83 E9 24 89 5C 24 40 4C 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 89 44 24 38 48 89 4C 24 30 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 28 48 89 54 24 20 48 8D 15 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8D 4D A0 FF D0 4C 8B 5E 0C 33 FF 49 83 EB 24 44 8D 7F 10 4D 3B DF 4D 0F 42 FB 4D 85 FF 74 3A 48 8D 44 24 50 4C 8D 64 24 68 48 2B F0 48 8D 44 3E 20 48 8D 15 ?? ?? ?? ?? 49 8B CC 0F B6 5C 04 50 44 8B C3 FF 15 ?? ?? ?? ?? 88 5C 3C 50 48 FF C7 49 83 C4 03 49 3B FF 72 D3 48 8D 44 3C 68 48 8D 4D A0 C6 44 3C 50 00 C6 04 78 00 FF 15 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 63 C0 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 44 24 28 48 8D 44 24 68 4A 8D 4C 05 A0 4C 8D 44 24 50 48 89 44 24 20 FF 15 ?? ?? ?? ?? 4C 8D 4D A0 EB 07 4C 8D 0D ?? ?? ?? ?? 41 B8 04 00 00 00 41 8B D5 49 8B CE E8 ?? ?? ?? ?? 48 8B 8D B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 02 00 00 48 81 C4 C0 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_354_7_0 {
	meta:
		name = "_RTC_UninitUse"
		size = 231
		refs = "000c __security_cookie 001e ?_RTC_ErrorLevels@@3PAHA 005b uninit_premsg 009d uninit_postmsg 00b4 ??_C@_0DE@OHJBPMBP@A?5variable?5is?5being?5used?5without@ 00ca ?failwithmessage@@YAXPEAXHHPEBD@Z 00da __security_check_cookie"
	strings:
		$1 = { 40 57 48 81 EC 30 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 20 04 00 00 44 8B 15 ?? ?? ?? ?? 49 83 CB FF 48 8B D1 45 3B D3 0F 84 9C 00 00 00 48 85 C9 74 7A 33 C0 49 8B CB 48 8B FA F2 AE 48 F7 D1 48 83 C1 39 48 81 F9 00 04 00 00 77 60 4C 8D 4C 24 20 33 C9 48 8D 05 ?? ?? ?? ?? 8A 04 01 48 FF C1 88 44 0C 1F 84 C0 75 EB 33 C0 48 8D 7C 24 20 49 8B CB F2 AE 45 33 C0 42 8A 04 02 49 FF C0 42 88 44 07 FE 84 C0 75 F0 33 C0 48 8D 7C 24 20 49 8B CB F2 AE 33 C9 48 8D 15 ?? ?? ?? ?? 8A 04 0A 48 FF C1 88 44 0F FE 84 C0 75 F2 EB 07 4C 8D 0D ?? ?? ?? ?? 48 8B 8C 24 38 04 00 00 41 B8 03 00 00 00 41 8B D2 E8 ?? ?? ?? ?? 48 8B 8C 24 20 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 30 04 00 00 5F C3 }
	condition:
		$1
}

rule file_355_0_0 {
	meta:
		name = "_wcsnset_s"
		size = 129
		refs = "0068 _errno 0073 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 51 33 C0 EB 62 48 85 C9 74 48 48 85 D2 74 43 48 8B C1 66 44 39 11 74 1B 4D 85 C9 74 26 48 FF CA 74 11 66 44 89 00 48 83 C0 02 49 FF C9 66 44 39 10 75 E5 4D 85 C9 75 11 EB 09 48 FF CA 74 0A 48 83 C0 02 66 44 39 10 75 F1 48 85 D2 75 B3 66 44 89 11 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_356_5_0 {
	meta:
		name = "??0_Timer@details@Concurrency@@IEAA@I_N@Z"
		size = 26
		refs = "0008 ??_7_Timer@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 89 51 10 48 89 01 44 88 41 14 48 8B C1 C3 }
	condition:
		$1
}

rule file_356_6_0 {
	meta:
		name = "?_Start@_Timer@details@Concurrency@@IEAAXXZ"
		size = 170
		refs = "0027 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0036 ?FireTimer@_TimerStub@details@Concurrency@@SAXPEAXE@Z 0051 __imp_CreateTimerQueueTimer 005c ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0076 ??0exception@std@@QEAA@AEBQEBDH@Z 007d ??_7bad_alloc@std@@6B@ 0084 _TI2?AVbad_alloc@std@@ 0093 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 60 48 83 79 08 00 48 8B D9 75 7F 80 79 14 00 74 05 8B 79 10 EB 02 33 FF E8 ?? ?? ?? ?? C7 44 24 30 20 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D0 8B 43 10 48 8D 4B 08 4C 8B CB 89 7C 24 28 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 3F 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 70 48 8D 4C 24 40 41 B8 01 00 00 00 48 89 44 24 70 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 4C 89 5C 24 40 E8 ?? ?? ?? ?? CC 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_356_8_0 {
	meta:
		name = "?_Stop@_Timer@details@Concurrency@@IEAAXXZ"
		size = 61
		refs = "000d __imp_GetLastError 0019 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 002a __imp_DeleteTimerQueueTimer"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 EB 0D FF 15 ?? ?? ?? ?? 3D E5 03 00 00 74 1A E8 ?? ?? ?? ?? 48 8B 53 08 49 83 C8 FF 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 74 D9 48 83 63 08 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_356_10_0 {
	meta:
		name = "??1_Timer@details@Concurrency@@IEAA@XZ"
		size = 31
		refs = "000c ??_7_Timer@details@Concurrency@@6B@ 0016 ?_Stop@_Timer@details@Concurrency@@IEAAXXZ"
		altNames = "??1TimerObj@?6??wait@Concurrency@@YAXI@Z@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 28 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_356_11_0 {
	meta:
		name = "??0TimerObj@?6??wait@Concurrency@@YAXI@Z@QEAA@I@Z"
		size = 76
		refs = "0025 ??_7TimerObj@?6??wait@Concurrency@@YAXI@Z@6B@ 002d ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 0039 ?_Start@_Timer@details@Concurrency@@IEAAXXZ 003e ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 61 08 00 89 51 10 C6 41 14 00 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 48 89 43 18 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_356_14_0 {
	meta:
		name = "?wait@Concurrency@@YAXI@Z"
		size = 113
		refs = "0013 ?Yield@Context@Concurrency@@SAXXZ 002b ??_7TimerObj@?6??wait@Concurrency@@YAXI@Z@6B@ 0035 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 0044 ?_Start@_Timer@details@Concurrency@@IEAAXXZ 0049 ?Block@Context@Concurrency@@SAXXZ 0051 ??_7_Timer@details@Concurrency@@6B@ 0068 ?_Stop@_Timer@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 83 EC 58 48 C7 44 24 20 FE FF FF FF 83 F9 01 73 07 E8 ?? ?? ?? ?? EB 53 48 83 64 24 30 00 89 4C 24 38 C6 44 24 3C 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 E8 ?? ?? ?? ?? 48 89 44 24 40 48 8D 4C 24 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 83 7C 24 30 00 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_357_0_0 {
	meta:
		name = "wcscspn"
		size = 62
	strings:
		$1 = { 45 33 D2 48 8B C1 66 44 39 11 74 2B 4C 8B CA 66 44 39 12 74 18 44 0F B7 02 66 44 3B 00 74 18 49 83 C1 02 45 0F B7 01 66 45 85 C0 75 EC 48 83 C0 02 66 44 39 10 EB D3 48 2B C1 48 D1 F8 C3 }
	condition:
		$1
}

rule file_358_0_0 {
	meta:
		name = "fgetc"
		size = 260
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0039 _lock_file 004c _fileno 0067 __pioinfo 0079 __badioinfo 00e9 _filbuf 00f3 _unlock_file"
		altNames = "getc"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 FF 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C1 00 00 00 E8 ?? ?? ?? ?? 90 F6 43 18 40 0F 85 86 00 00 00 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 25 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 85 FF 75 1D FF 4B 08 78 0E 48 8B 03 0F B6 38 48 FF C0 48 89 03 EB 0A 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_359_0_0 {
	meta:
		name = "_dup2_nolock"
		size = 360
		refs = "0022 __pioinfo 0048 _errno 0053 __doserrno 0089 _close_nolock 008f __imp_GetCurrentProcess 0099 _get_osfhandle 00ce __imp_DuplicateHandle 00d8 __imp_GetLastError 00e9 _set_osfhnd 00f6 _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 63 D9 4C 8D 3D ?? ?? ?? ?? 48 63 F2 4C 8B E3 4C 8B F3 49 C1 FE 05 41 83 E4 1F 4B 8B 04 F7 4D 6B E4 58 42 F6 44 20 08 01 75 1B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF E9 E8 00 00 00 3B DE 0F 84 DE 00 00 00 48 8B EE 4C 8B EE 49 C1 FD 05 83 E5 1F 4B 8B 04 EF 48 6B ED 58 F6 44 28 08 01 74 07 8B CE E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B CB 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? C7 44 24 30 02 00 00 00 4C 8D 8C 24 80 00 00 00 4C 8B C7 48 8B D3 48 8B C8 C7 44 24 28 01 00 00 00 83 64 24 20 00 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 11 48 8B 94 24 80 00 00 00 8B CE E8 ?? ?? ?? ?? 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? E9 5B FF FF FF 4B 8B 04 F7 42 8A 4C 20 08 4B 8B 04 EF 80 E1 EF 88 4C 28 08 4B 8B 04 F7 4B 8B 14 EF 42 8A 4C 20 38 32 4C 2A 38 80 E1 7F 30 4C 2A 38 4B 8B 04 F7 4B 8B 14 EF 42 8A 4C 20 38 32 4C 2A 38 80 E1 7F 42 32 4C 20 38 88 4C 2A 38 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 38 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_359_1_0 {
	meta:
		name = "extend_ioinfo_arrays"
		size = 159
		refs = "000c _nhandle 0019 __pioinfo 002c _calloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 15 ?? ?? ?? ?? 8B F9 3B CA 7C 77 48 8D 1D ?? ?? ?? ?? 48 83 3B 00 75 62 BA 58 00 00 00 8D 4A C8 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 62 8B 15 ?? ?? ?? ?? 48 89 03 48 05 00 0B 00 00 83 C2 20 89 15 ?? ?? ?? ?? 4C 3B D8 73 30 49 8D 53 09 48 83 4A F7 FF 83 62 03 00 66 C7 42 FF 00 0A 48 8B 0B 48 83 C2 58 48 8D 42 F7 48 81 C1 00 0B 00 00 48 3B C1 72 DA 8B 15 ?? ?? ?? ?? 48 83 C3 08 3B FA 7D 90 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 83 C8 FF EB F0 }
	condition:
		$1
}

rule file_359_2_0 {
	meta:
		name = "_dup2"
		size = 380
		refs = "0020 __doserrno 0029 _errno 0044 _nhandle 005d __pioinfo 00ac _calloc_crt 011e __lock_fhandle 013c _dup2_nolock 0145 _unlock_fhandle 0167 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 20 89 54 24 10 89 4C 24 08 56 57 41 54 48 83 EC 20 8B DA 48 63 F9 83 FF FE 75 19 E8 ?? ?? ?? ?? 33 F6 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 33 01 00 00 33 F6 85 C9 0F 88 12 01 00 00 8B 15 ?? ?? ?? ?? 3B FA 0F 83 04 01 00 00 48 8B CF 48 8B C7 48 C1 F8 05 4C 8D 25 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C4 0F BE 4C 08 08 83 E1 01 0F 84 DA 00 00 00 83 FB FE 75 07 E8 ?? ?? ?? ?? EB A0 8B C6 81 FB 00 08 00 00 0F 92 C0 85 C0 0F 84 BB 00 00 00 3B DA 7C 7A 49 39 34 24 75 61 BA 58 00 00 00 8D 4A C8 E8 ?? ?? ?? ?? 48 85 C0 74 55 49 89 04 24 8B 15 ?? ?? ?? ?? 83 C2 20 89 15 ?? ?? ?? ?? 48 8D 88 00 0B 00 00 48 3B C1 73 30 48 8D 50 09 48 83 4A F7 FF 66 C7 42 FF 00 0A 89 72 03 48 83 C2 58 49 8B 0C 24 48 81 C1 00 0B 00 00 48 8D 42 F7 48 3B C1 72 DA 8B 15 ?? ?? ?? ?? 49 83 C4 08 EB 8F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 54 3B FB 7D 0B 8B CF E8 ?? ?? ?? ?? 8B CB EB 0B 7E 0F 8B CB E8 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 90 8B D3 8B CF E8 ?? ?? ?? ?? 8B F0 8B CF E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 8B C6 EB 1A E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_359_3_0 {
	meta:
		name = "_dup2$fin$0"
		size = 33
		refs = "000d _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 4D 40 E8 ?? ?? ?? ?? 8B 4D 48 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_360_0_0 {
	meta:
		name = "_getstream"
		size = 343
		refs = "0015 _lock 0022 _nstream 0032 __piob 005c _mtinitlocknum 0076 _lock_file2 0091 _unlock_file2 00a9 _malloc_crt 00ce __imp_InitializeCriticalSectionAndSpinCount 00e2 free 0105 __imp_EnterCriticalSection 0140 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 DB 8D 4B 01 E8 ?? ?? ?? ?? 90 33 FF 89 7C 24 20 3B 3D ?? ?? ?? ?? 0F 8D EC 00 00 00 48 63 F7 48 8B 05 ?? ?? ?? ?? 48 83 3C F0 00 74 66 48 8B 04 F0 F6 40 18 83 75 55 F7 40 18 00 80 00 00 75 4C 8D 47 FD 83 F8 10 77 10 8D 4F 10 E8 ?? ?? ?? ?? 85 C0 0F 84 B0 00 00 00 48 8B 15 ?? ?? ?? ?? 48 8B 14 F2 8B CF E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 49 8B 04 F3 F6 40 18 83 74 0C 48 8B D0 8B CF E8 ?? ?? ?? ?? EB 05 48 8B D8 EB 7C FF C7 E9 79 FF FF FF B9 58 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 63 FF 48 8B 05 ?? ?? ?? ?? 48 89 0C F8 48 85 C9 74 55 48 83 C1 30 BA A0 0F 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 1E 48 8B 0D ?? ?? ?? ?? 48 8B 0C F9 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 49 83 24 FB 00 EB 24 48 8B 05 ?? ?? ?? ?? 48 8B 0C F8 48 83 C1 30 FF 15 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 49 8B 1C FB 83 63 18 00 48 85 DB 74 1D 81 63 18 00 80 00 00 83 63 08 00 48 83 63 10 00 48 83 23 00 48 83 63 28 00 83 4B 1C FF B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_361_0_0 {
	meta:
		name = "_wfltin2"
		size = 198
		refs = "0011 __security_cookie 0044 __wstrgtold12_l 006a _ld12tod 00b2 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 4D 89 43 B0 33 DB 48 8B EA 21 5C 24 30 21 5C 24 28 21 5C 24 20 4C 8B C2 48 8B F9 49 8D 53 C0 49 8D 4B C8 45 33 C9 E8 ?? ?? ?? ?? 8B F0 A8 04 74 11 83 64 24 40 00 83 64 24 44 00 BB 00 02 00 00 EB 2E 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 40 F6 C6 02 75 05 83 F8 01 75 05 BB 80 00 00 00 40 F6 C6 01 75 05 83 F8 02 75 04 0F BA EB 08 48 8B 4C 24 48 89 1F 48 8B C7 48 2B CD 48 D1 F9 89 4F 04 48 8B 4C 24 40 48 89 4F 10 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A8 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_362_3_0 {
	meta:
		name = "?Enqueue@?$SQueue@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 23
	strings:
		$1 = { 4C 8D 82 40 01 00 00 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_362_4_0 {
	meta:
		name = "?Enqueue@?$SafeSQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 76
		refs = "001a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0048 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 10 48 8B FA E8 ?? ?? ?? ?? 4C 8D 9F 40 01 00 00 48 8D 4E 10 49 83 23 00 48 8B 46 08 48 89 38 4C 89 5E 08 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_362_5_0 {
	meta:
		name = "?AddToRunnablesCollection@CacheLocalScheduleGroup@details@Concurrency@@EEAAXPEAVInternalContextBase@23@@Z"
		size = 88
		refs = "001d ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0054 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
		altNames = "?AddToRunnablesCollection@FairScheduleGroup@details@Concurrency@@EEAAXPEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 81 C1 60 01 00 00 48 8B FA E8 ?? ?? ?? ?? 4C 8D 9F 40 01 00 00 48 8D 8E 60 01 00 00 49 83 23 00 48 8B 86 58 01 00 00 48 89 38 4C 89 9E 58 01 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_363_4_0 {
	meta:
		name = "tanh"
		size = 737
		refs = "0060 _controlfp_s 00b6 ??_C@_04FJHINJAO@tanh?$AA@ 00bb _handle_error 00d8 __mask@@NegDouble@ 00e1 ?large_threshold@?1??tanh@@9@9 00e9 __real@3ff0000000000000 0102 __real@3feccccccccccccd 0123 __real@3f2b68b3cecad284 012b __real@3e4e82d10d09af81 0133 __real@bf2a387bfaf479c9 013b __real@3f94a3d4cc7a88a9 014f __real@3fd86cd01c4ab94c 0157 __real@3f920629b90302ae 0167 __real@3fea4e925c00b304 016f __real@3fd189b6e8007758 0179 __real@3f26af77f334e750 0181 __real@3e48cc5a847e6cec 0189 __real@bf25b483c69835dd 0191 __real@3f912335baec487f 01a5 __real@3fd44d1459bcc5f6 01ad __real@3f8defad6e212118 01bd __real@3fe5de431d442afd 01c5 __real@3fcd28597c5ae288 01e8 ?log2_by_32_tail@?1??tanh@@9@9 01f0 __real@4000000000000000 01f8 ?log2_by_32_lead@?1??tanh@@9@9 0227 ?thirtytwo_by_log2@?1??tanh@@9@9 0240 splitexp"
	strings:
		$1 = { 48 81 EC 88 00 00 00 48 BA FF FF FF FF FF FF FF 7F 0F 29 74 24 70 F2 0F 11 84 24 98 00 00 00 48 8B 8C 24 98 00 00 00 0F 29 7C 24 60 44 0F 29 44 24 50 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 30 3E 66 44 0F 28 C0 48 3B C2 73 22 48 85 C0 0F 84 74 02 00 00 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 66 41 0F 28 C0 E9 5B 02 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 47 66 0F 57 C0 41 B9 01 00 00 00 49 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 F2 0F 11 44 24 38 41 8D 51 20 4C 0B C1 F2 44 0F 11 44 24 30 89 54 24 28 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 02 00 00 45 33 D2 48 3B C1 41 0F 95 C2 4D 85 D2 74 09 66 44 0F 57 05 ?? ?? ?? ?? 66 44 0F 2F 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? 0F 87 C5 01 00 00 66 41 0F 2F F8 0F 82 E6 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 28 D0 F2 41 0F 59 D0 66 41 0F 2F C0 66 0F 28 CA 66 0F 28 C2 76 56 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C F8 F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? EB 54 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C F8 F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 FA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 3D ?? ?? ?? ?? 66 0F 28 C2 F2 41 0F 59 C0 F2 0F 59 F8 F2 0F 5E F9 F2 41 0F 58 F8 E9 D4 00 00 00 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 48 8D 84 24 A8 00 00 00 48 89 44 24 38 48 8D 84 24 A0 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 F2 44 0F 59 C6 F2 0F 10 15 ?? ?? ?? ?? 66 0F 28 CF 48 89 44 24 28 F2 0F 11 44 24 20 66 41 0F 28 C0 E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 98 00 00 00 48 C1 E0 34 F2 0F 10 94 24 98 00 00 00 48 89 84 24 98 00 00 00 F2 0F 10 84 24 98 00 00 00 F2 0F 10 8C 24 A0 00 00 00 F2 0F 58 8C 24 A8 00 00 00 F2 0F 59 CA F2 0F 59 C8 F2 0F 58 CF F2 0F 5E F1 F2 0F 5C FE 4D 85 D2 74 08 66 0F 57 3D ?? ?? ?? ?? 66 0F 28 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_367_0_0 {
	meta:
		name = "__crtGetEnvironmentStringsA"
		size = 244
		refs = "001b __imp_GetEnvironmentStringsW 0072 __imp_WideCharToMultiByte 0081 _malloc_crt 00b9 free 00c5 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 40 FF 15 ?? ?? ?? ?? 45 33 E4 48 8B F8 48 85 C0 0F 84 A9 00 00 00 48 8B D8 66 44 39 20 74 14 48 83 C3 02 66 44 39 23 75 F6 48 83 C3 02 66 44 39 23 75 EC 4C 89 64 24 38 48 2B D8 4C 89 64 24 30 48 D1 FB 4C 8B C0 33 D2 44 8D 4B 01 33 C9 44 89 64 24 28 4C 89 64 24 20 FF 15 ?? ?? ?? ?? 48 63 E8 85 C0 74 51 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 41 4C 89 64 24 38 4C 89 64 24 30 44 8D 4B 01 4C 8B C7 33 D2 33 C9 89 6C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 8B CE E8 ?? ?? ?? ?? 49 8B F4 48 8B CF FF 15 ?? ?? ?? ?? 48 8B C6 EB 0B 48 8B CF FF 15 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5C C3 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "_eof"
		size = 280
		refs = "0020 __doserrno 0028 _errno 0041 _nhandle 0058 __pioinfo 0079 __lock_fhandle 0092 _lseeki64_nolock 00e1 _unlock_fhandle 00fd _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 89 4C 24 08 57 41 54 41 55 48 83 EC 20 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 CA 00 00 00 85 C9 0F 88 AA 00 00 00 3B 1D ?? ?? ?? ?? 0F 83 9E 00 00 00 48 8B F3 4C 8B E3 49 C1 FC 05 4C 8D 2D ?? ?? ?? ?? 83 E6 1F 48 6B F6 58 4B 8B 44 E5 00 0F BE 4C 30 08 BF 01 00 00 00 23 CF 74 73 8B CB E8 ?? ?? ?? ?? 90 4B 8B 44 E5 00 40 84 7C 30 08 74 3E 44 8B C7 33 D2 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 83 F8 FF 74 3C 33 D2 44 8D 47 01 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 74 29 48 3B F0 74 27 45 33 C0 48 8B D6 8B CB E8 ?? ?? ?? ?? 33 FF EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "_lsearch_s"
		size = 165
		refs = "002d _errno 0038 _invalid_parameter_noinfo 0081 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 48 83 EC 20 33 ED 49 8B F1 49 8B F8 48 8B DA 4C 8B E9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 4A 4D 85 C0 74 E7 48 85 D2 74 E2 4D 85 C9 74 DD 48 39 6C 24 50 74 D6 41 39 28 76 1C 48 8B 4C 24 58 4C 8B C3 49 8B D5 FF 54 24 50 85 C0 74 19 FF C5 48 03 DE 3B 2F 72 E4 4C 8B C6 49 8B D5 48 8B CB E8 ?? ?? ?? ?? FF 07 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5D C3 }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "_get_errno_from_oserr"
		size = 71
		refs = "0003 errtable"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 33 C0 49 8B D1 44 8D 40 08 3B 0A 74 2B FF C0 49 03 D0 83 F8 2D 72 F2 8D 41 ED 83 F8 11 77 06 B8 0D 00 00 00 C3 81 C1 44 FF FF FF B8 16 00 00 00 83 F9 0E 41 0F 46 C0 C3 48 98 41 8B 44 C1 04 C3 }
	condition:
		$1
}

rule file_372_1_0 {
	meta:
		name = "_errno"
		size = 32
		refs = "0005 _getptd_noexit 0011 ErrnoNoMem"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_372_2_0 {
	meta:
		name = "__doserrno"
		size = 32
		refs = "0005 _getptd_noexit 0011 DoserrorNoMem"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_372_3_0 {
	meta:
		name = "_dosmaperr"
		size = 70
		refs = "0009 _getptd_noexit 0015 DoserrorNoMem 0029 ErrnoNoMem 0039 _get_errno_from_oserr"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 89 18 E8 ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? 48 85 C0 74 04 4C 8D 50 10 8B CB E8 ?? ?? ?? ?? 41 89 02 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_372_4_0 {
	meta:
		name = "_set_errno"
		size = 58
		refs = "0009 _getptd_noexit 0026 ErrnoNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 07 B8 0C 00 00 00 EB 1B E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 10 89 18 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_372_5_0 {
	meta:
		name = "_get_errno"
		size = 59
		refs = "000f _invalid_parameter_noinfo 0019 _getptd_noexit 0025 ErrnoNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A E8 ?? ?? ?? ?? 8D 43 16 EB 1D E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 10 8B 00 89 03 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_372_6_0 {
	meta:
		name = "_set_doserrno"
		size = 58
		refs = "0009 _getptd_noexit 0026 DoserrorNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 48 85 C0 75 07 B8 0C 00 00 00 EB 1B E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 89 18 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_372_7_0 {
	meta:
		name = "_get_doserrno"
		size = 59
		refs = "000f _invalid_parameter_noinfo 0019 _getptd_noexit 0025 DoserrorNoMem"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A E8 ?? ?? ?? ?? 8D 43 16 EB 1D E8 ?? ?? ?? ?? 48 85 C0 75 09 48 8D 05 ?? ?? ?? ?? EB 04 48 83 C0 14 8B 00 89 03 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_373_5_0 {
	meta:
		name = "sinh"
		size = 1035
		refs = "005f _controlfp_s 00bc ??_C@_04COOMCNPB@sinh?$AA@ 00c1 _handle_error 00e7 __mask@@NegDouble@ 00ef ?max_sinh_arg@?1??sinh@@9@9 0151 ?small_threshold@?1??sinh@@9@9 015f ?log2_by_32_tail@?1??sinh@@9@9 0167 ?log2_by_32_lead@?1??sinh@@9@9 016f ?thirtytwo_by_log2@?1??sinh@@9@9 01a8 __real@3ff0000000000000 01ad splitexp 02ae __ImageBase 02c7 __real@3d6b4125921ea08b 02cf __real@3da9984b7f63fcd7 02d7 __real@3de611cb2bdcb7be 02df __real@3e21ee56385b7b20 02ef __real@3e5ae6460fbe61c0 02f7 __real@3e927e5069f1cb55 0300 ?cosh_tail@?1??sinh@@9@9 0310 __real@3ec71de3a4e13e7d 0318 __real@3efa01a019079011 0321 ?sinh_lead@?1??sinh@@9@9 0331 __real@3f2a01a01a01ee80 0339 __real@3f56c16c16c212e5 0352 __real@3f811111111110fd 035a __real@3fa5555555555502 036a __real@3fc5555555555555 0372 __real@3fe0000000000000 038b ?sinh_tail@?1??sinh@@9@9 0398 ?cosh_lead@?1??sinh@@9@9"
	strings:
		$1 = { 48 81 EC 88 00 00 00 0F 29 74 24 70 48 BA FF FF FF FF FF FF FF 7F F2 0F 11 84 24 A8 00 00 00 48 8B 8C 24 A8 00 00 00 0F 29 7C 24 60 66 0F 28 F0 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 30 3E 44 0F 29 44 24 50 48 3B C2 73 21 48 85 C0 0F 84 9F 03 00 00 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 66 0F 28 C6 E9 87 03 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 55 76 4D 66 0F 57 C0 C7 44 24 40 01 00 00 00 49 B8 00 00 00 00 00 00 08 00 F2 0F 11 44 24 38 F2 0F 11 74 24 30 4C 0B C1 41 B9 01 00 00 00 C7 44 24 28 21 00 00 00 83 64 24 20 00 41 8D 51 1E 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 29 03 00 00 F2 0F 58 F6 EB 93 45 33 D2 48 3B C1 66 0F 28 E0 41 0F 95 C2 4D 85 D2 74 08 66 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 58 66 0F 57 C0 C7 44 24 40 01 00 00 00 BA 1F 00 00 00 F2 0F 11 44 24 38 F2 0F 11 74 24 30 C7 44 24 28 22 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 20 01 00 00 00 44 8D 4A E4 4D 85 D2 74 0C 49 B8 00 00 00 00 00 00 F0 FF EB 82 49 B8 00 00 00 00 00 00 F0 7F E9 73 FF FF FF 66 0F 2F 25 ?? ?? ?? ?? 0F 82 16 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 84 24 A0 00 00 00 48 89 44 24 38 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 84 24 90 00 00 00 66 0F 28 C4 48 89 44 24 28 F2 0F 11 4C 24 20 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 8C 24 90 00 00 00 41 FF C9 44 89 8C 24 90 00 00 00 41 8D 81 FE 03 00 00 3D FD 07 00 00 77 36 49 63 C1 BA FF 03 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 44 0F 10 84 24 98 00 00 00 F2 44 0F 58 84 24 A0 00 00 00 EB 5F 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 A8 00 00 00 48 C1 E0 34 F2 0F 10 8C 24 A8 00 00 00 48 89 84 24 A8 00 00 00 F2 0F 10 84 24 A8 00 00 00 F2 44 0F 10 84 24 98 00 00 00 F2 44 0F 58 84 24 A0 00 00 00 F2 44 0F 59 C1 F2 44 0F 59 C0 E9 6F 01 00 00 F2 0F 2C CC 66 0F 6E C1 F3 0F E6 C0 F2 0F 5C E0 66 0F 28 CC F2 0F 11 A4 24 A8 00 00 00 48 8B 84 24 A8 00 00 00 48 25 00 00 00 F8 F2 0F 59 CC 48 89 84 24 A8 00 00 00 48 63 C1 48 8D 0D ?? ?? ?? ?? 66 0F 28 F9 66 0F 28 E9 F2 0F 10 B4 24 A8 00 00 00 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 3D ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 10 94 C1 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 10 9C C1 ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? 66 44 0F 28 C2 F2 0F 59 D6 F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 59 F9 F2 0F 58 2D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 CC F2 0F 5C E6 F2 0F 59 E9 F2 0F 10 8C C1 ?? ?? ?? ?? F2 0F 58 EC F2 0F 10 A4 C1 ?? ?? ?? ?? 66 0F 28 C1 F2 0F 59 C7 F2 44 0F 59 C5 F2 44 0F 58 C0 66 0F 28 C4 F2 0F 59 E6 F2 0F 59 C5 F2 44 0F 58 C2 F2 44 0F 58 C1 66 0F 28 CB F2 0F 59 CF F2 44 0F 58 C0 F2 44 0F 58 C1 F2 44 0F 58 C4 F2 44 0F 58 C3 4D 85 D2 74 09 66 44 0F 57 05 ?? ?? ?? ?? 66 41 0F 28 C0 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "strcmp"
		size = 176
	strings:
		$1 = { 48 2B D1 4C 8B CA F6 C1 07 74 1B 8A 01 42 8A 14 09 3A C2 75 56 48 FF C1 84 C0 74 57 48 F7 C1 07 00 00 00 75 E6 90 49 BB 00 01 01 01 01 01 01 81 4A 8D 14 09 66 81 E2 FF 0F 66 81 FA F8 0F 77 CB 48 8B 01 4A 8B 14 09 48 3B C2 75 BF 49 BA FF FE FE FE FE FE FE 7E 4C 03 D2 48 83 F0 FF 48 83 C1 08 49 33 C2 49 85 C3 74 C7 EB 0F 48 1B C0 48 83 D8 FF C3 33 C0 C3 66 66 66 90 84 D2 74 27 84 F6 74 23 48 C1 EA 10 84 D2 74 1B 84 F6 74 17 48 C1 EA 10 84 D2 74 0F 84 F6 74 0B C1 EA 10 84 D2 74 04 84 F6 75 8B 33 C0 C3 48 1B C0 48 83 D8 FF C3 }
	condition:
		$1
}

rule file_375_3_0 {
	meta:
		name = "_mbtowc_l"
		size = 373
		refs = "0063 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 009c _isleadbyte_l 00dd __imp_MultiByteToWideChar 011c _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 50 45 33 E4 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 13 4D 85 C0 74 0E 44 38 22 75 25 48 85 C9 74 04 66 44 89 21 33 C0 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 64 24 78 48 83 C4 50 5D C3 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5D E0 45 39 63 14 75 23 48 85 DB 74 06 0F B6 07 66 89 03 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 01 00 00 00 EB AD 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 0F 84 97 00 00 00 48 8B 4D E0 44 8B 89 0C 01 00 00 41 83 F9 01 7E 30 41 3B F1 7C 2B 8B 49 04 41 8B C4 48 85 DB 0F 95 C0 4C 8B C7 BA 09 00 00 00 89 44 24 28 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 48 8B 4D E0 85 C0 75 12 48 63 81 0C 01 00 00 48 3B F0 72 26 44 38 67 01 74 20 8B 81 0C 01 00 00 44 38 65 F8 0F 84 36 FF FF FF 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 26 FF FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 83 C8 FF E9 02 FF FF FF 41 8B C4 41 B9 01 00 00 00 48 85 DB 0F 95 C0 41 8D 51 08 4C 8B C7 89 44 24 28 48 8B 45 E0 48 89 5C 24 20 8B 48 04 FF 15 ?? ?? ?? ?? 85 C0 0F 85 09 FF FF FF EB A6 }
	condition:
		$1
}

rule file_376_3_0 {
	meta:
		name = "_mbscoll_l"
		size = 223
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0032 _errno 003d _invalid_parameter_noinfo 0072 _strcoll_l 00a0 __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4D E0 49 8B D0 49 8B F0 E8 ?? ?? ?? ?? 48 85 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 70 48 85 DB 74 D3 48 8B 4D E8 83 79 08 00 75 10 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 40 8B 41 04 8B 51 0C 48 8D 4D E0 89 44 24 38 83 C8 FF 4C 8B CF 89 44 24 30 41 B8 00 10 00 00 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 8C 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_377_0_0 {
	meta:
		name = "wcslen"
		size = 25
	strings:
		$1 = { 48 8B C1 0F B7 10 48 83 C0 02 66 85 D2 75 F4 48 2B C1 48 D1 F8 48 FF C8 C3 }
	condition:
		$1
}

rule file_380_0_0 {
	meta:
		name = "_vsnwprintf_l"
		size = 252
		refs = "0037 memset 0041 _errno 004c _invalid_parameter_noinfo 0098 _woutput_l 00c3 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 49 8B F0 48 8B D9 44 8D 42 28 48 8D 4D D8 4D 8B E1 E8 ?? ?? ?? ?? 48 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 8A 00 00 00 48 85 FF 74 05 48 85 DB 74 DE C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 48 81 FF FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 06 8D 04 3F 89 45 D8 4C 8B 4D 30 48 8D 4D D0 4D 8B C4 48 8B D6 E8 ?? ?? ?? ?? 8B F8 48 85 DB 74 3F FF 4D D8 78 14 48 8B 45 D0 C6 00 00 48 8B 45 D0 48 FF C0 48 89 45 D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 45 D0 FF 4D D8 78 05 C6 00 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 64 24 78 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_384_7_0 {
	meta:
		name = "?CreateVirtualProcessor@UMSThreadScheduler@details@Concurrency@@UEAAPEAVVirtualProcessor@23@PEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 74
		refs = "0020 ??2@YAPEAX_K@Z 003a ??0UMSThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 49 8B D8 48 8B FA B9 30 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 58 33 C0 48 85 C9 74 0C 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_384_9_0 {
	meta:
		name = "?CreateInternalContext@UMSThreadScheduler@details@Concurrency@@MEAAPEAVInternalContextBase@23@XZ"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0UMSThreadInternalContext@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 60 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_384_17_0 {
	meta:
		name = "?VirtualProcessorActiveNotification@UMSThreadScheduler@details@Concurrency@@MEAAX_NJ@Z"
		size = 46
		refs = "000e ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 0016 ?GetAnonymousScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 0024 ?StartupIdleVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 45 85 C0 75 28 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 45 33 C0 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_384_18_0 {
	meta:
		name = "?HasWorkPending@UMSThreadScheduler@details@Concurrency@@MEAA_NXZ"
		size = 40
		refs = "0013 ?HasWorkPending@SchedulerBase@details@Concurrency@@MEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 81 28 02 00 00 33 DB 85 C0 7F 09 E8 ?? ?? ?? ?? 84 C0 74 05 BB 01 00 00 00 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_384_19_0 {
	meta:
		name = "?DestroySchedulerEventHandlers@UMSThreadScheduler@details@Concurrency@@MEAAXXZ"
		size = 42
		refs = "0019 __imp_SetEvent 0026 ?DestroySchedulerEventHandlers@SchedulerBase@details@Concurrency@@MEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 81 18 02 00 00 01 48 8B 89 20 02 00 00 FF 15 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_384_20_0 {
	meta:
		name = "?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@@Z"
		size = 199
		refs = "0023 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0033 ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0069 ?SpinOnAndReturnBlockingType@UMSThreadInternalContext@details@Concurrency@@AEAA?AW4BlockingType@123@XZ 0082 ?CriticalNotify@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ 00a5 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4C 8B E2 48 8B F9 40 32 F6 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 8F 10 02 00 00 48 8B 01 FF 10 48 8B F8 48 85 C0 74 51 40 B6 01 48 8B 07 48 8B CF FF 50 08 48 8B CF 48 8B E8 48 8B 07 FF 10 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 44 8B D8 41 FF CB 74 13 41 FF CB 75 1A 48 8B 8F 50 01 00 00 E8 ?? ?? ?? ?? EB 0C 48 8B 07 49 8B D4 48 8B CF FF 50 30 48 8B FD 48 85 ED 75 B2 48 85 DB 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 40 8A C6 48 8B 74 24 40 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_384_21_0 {
	meta:
		name = "?OneShotStaticConstruction@UMSThreadScheduler@details@Concurrency@@SAXXZ"
		size = 74
		refs = "0006 __imp_TlsAlloc 000c ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 0017 __imp_GetLastError 002f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0036 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0040 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_384_25_0 {
	meta:
		name = "?OneShotStaticDestruction@UMSThreadScheduler@details@Concurrency@@SAXXZ"
		size = 28
		refs = "0006 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 000c __imp_TlsFree"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_384_28_0 {
	meta:
		name = "??0?$LockFreeStack@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 24
		refs = "000b __imp_InitializeSListHead"
		altNames = "??0?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VSubAllocator@details@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_384_31_0 {
	meta:
		name = "?GetNextVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAHH@Z"
		size = 202
		altNames = "?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 8B B1 90 00 00 00 33 FF 41 83 F8 FF 40 0F 95 C7 45 33 D2 45 8B E0 03 3A 48 8B EA 4C 8B C9 85 F6 7E 75 41 8D 04 3A 99 F7 FE 41 3B D4 74 69 41 8B 49 74 44 8B C2 41 D3 F8 45 3B 81 8C 00 00 00 7D 4E 4D 63 99 88 00 00 00 49 8B 81 80 00 00 00 45 3B C3 7C 19 45 2B C3 4A 8B 5C D8 F8 78 16 41 8D 48 01 48 FF C9 48 8B 5B 08 75 F7 EB 07 49 63 C8 48 8B 1C C8 41 8B 41 70 FF C8 48 63 C8 48 63 C2 48 23 C8 48 8B 03 48 8B 04 C8 48 85 C0 75 21 41 FF C2 44 3B D6 7C 8B 33 C0 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 48 8B 7C 24 28 41 5C C3 89 55 00 EB E4 }
	condition:
		$1
}

rule file_384_32_0 {
	meta:
		name = "??0UMSThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
		size = 64
		refs = "000a ??0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z 0019 ??_7UMSThreadScheduler@details@Concurrency@@6B@ 0033 __imp_InitializeSListHead"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 A3 10 02 00 00 00 4C 8D 1D ?? ?? ?? ?? 48 8D 8B 30 02 00 00 4C 89 1B C7 83 28 02 00 00 00 00 00 00 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_384_34_0 {
	meta:
		name = "?Create@UMSThreadScheduler@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0UMSThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 40 02 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_792_49_0 {
	meta:
		name = "?Create@ThreadScheduler@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 58
		refs = "0018 ??2@YAPEAX_K@Z 002f ??0ThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 B9 40 02 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 48 33 C0 48 85 C9 74 09 48 8B D3 E8 ?? ?? ?? ?? 90 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_384_36_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VInternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedPopEntrySList"
		altNames = "?Pop@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_203_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEAAPEAVRealizedChore@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_384_38_0 {
	meta:
		name = "?FindNewVirtualProcessor@UMSThreadScheduler@details@Concurrency@@AEAAPEAVUMSThreadVirtualProcessor@23@XZ"
		size = 139
		refs = "003a ?IsWaitingForReservedContext@UMSThreadVirtualProcessor@details@Concurrency@@QEAA_NXZ 0046 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ 005a ?GetNextVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAHH@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 20 33 DB 48 8B F1 39 59 38 7E 55 33 ED 48 8B 46 28 4C 8B 24 28 4D 85 E4 74 3B 83 64 24 40 00 41 83 C8 FF EB 1B 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 0C 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 38 45 33 C0 48 8D 54 24 40 49 8B CC E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 D0 FF C3 48 83 C5 08 3B 5E 38 7C AD 33 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 83 C4 20 41 5C 5F 5E C3 48 8B C7 EB E8 }
	condition:
		$1
}

rule file_384_39_0 {
	meta:
		name = "?ReleaseReservedContexts@UMSThreadScheduler@details@Concurrency@@AEAAXXZ"
		size = 127
		refs = "001b __imp_InterlockedPopEntrySList 0045 ?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 81 C1 30 02 00 00 FF 15 ?? ?? ?? ?? 4C 8D 40 E0 48 F7 D8 48 1B FF 49 23 F8 74 37 48 8B 8B 70 01 00 00 48 8B D7 48 8B 01 FF 50 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8D 8B 30 02 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B FF 48 23 F9 75 C9 48 8B 74 24 38 C7 83 2C 02 00 00 00 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_384_40_0 {
	meta:
		name = "?GetReservedContext@UMSThreadScheduler@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ"
		size = 122
		refs = "0016 __imp_InterlockedPopEntrySList 0034 ?GetAnonymousScheduleGroup@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 0045 ?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAU_Chore@23@_N@Z 0068 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 81 C1 30 02 00 00 FF 15 ?? ?? ?? ?? 48 8D 50 E0 48 F7 D8 48 1B FF 48 23 FA 74 22 F0 FF 8B 2C 02 00 00 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? EB 21 B9 01 00 00 00 F0 0F C1 8B 28 02 00 00 FF C1 83 F9 01 75 0D 48 8B 8B 20 02 00 00 FF 15 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_384_41_0 {
	meta:
		name = "?CancelAllContexts@UMSThreadScheduler@details@Concurrency@@MEAAXXZ"
		size = 95
		refs = "0013 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 002f ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0037 ?ReleaseReservedContexts@UMSThreadScheduler@details@Concurrency@@AEAAXXZ 0044 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 005b ?CancelAllContexts@SchedulerBase@details@Concurrency@@MEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 40 32 F6 48 8B D8 48 85 C0 74 11 40 38 70 70 75 0B 48 8B C8 40 B6 01 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_384_42_0 {
	meta:
		name = "?ActivateAllReservedVirtualProcessors@UMSThreadScheduler@details@Concurrency@@AEAA_NPEAVSchedulingNode@23@@Z"
		size = 134
		refs = "002a ?IsWaitingForReservedContext@UMSThreadVirtualProcessor@details@Concurrency@@QEAA_NXZ 0036 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ 0049 ?GetAnonymousScheduleGroup@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 0063 ?GetNextVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAHH@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 57 48 83 EC 20 83 60 18 00 32 DB 48 8B F2 41 83 C8 FF 48 8B E9 EB 34 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 25 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 19 48 8B 1F 48 8B CD 48 83 C3 38 E8 ?? ?? ?? ?? 48 8B CF 48 8B D0 FF 13 B3 01 45 33 C0 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 B7 48 8B 6C 24 38 48 8B 74 24 48 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_384_43_0 {
	meta:
		name = "?StartupNewVirtualProcessor@UMSThreadScheduler@details@Concurrency@@UEAAXPEAVScheduleGroupBase@23@@Z"
		size = 63
		refs = "0011 ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0019 ?FindNewVirtualProcessor@UMSThreadScheduler@details@Concurrency@@AEAAPEAVUMSThreadVirtualProcessor@23@XZ 002c ?ActivateVirtualProcessor@SchedulerBase@details@Concurrency@@IEAAXPEAVVirtualProcessor@23@PEAVScheduleGroupBase@23@@Z 003b ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 0E 4C 8B C7 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_384_44_0 {
	meta:
		name = "?SignalReservedContextsAvailable@UMSThreadScheduler@details@Concurrency@@AEAAXXZ"
		size = 141
		refs = "003d ?ActivateAllReservedVirtualProcessors@UMSThreadScheduler@details@Concurrency@@AEAA_NPEAVSchedulingNode@23@@Z 0060 ?GetAnonymousScheduleGroup@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 006e ?StartupIdleVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 FF 40 32 ED 48 8B D9 39 79 38 7E 36 33 F6 44 8D 67 01 48 8B 43 28 48 8B 14 06 48 85 D2 74 12 48 8B CB E8 ?? ?? ?? ?? 40 0F B6 ED 84 C0 41 0F 45 EC 41 03 FC 48 83 C6 08 3B 7B 38 7C D5 40 84 ED 75 16 48 8B CB E8 ?? ?? ?? ?? 45 33 C0 48 8B CB 48 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_384_45_0 {
	meta:
		name = "?ReplenishReservedContexts@UMSThreadScheduler@details@Concurrency@@AEAAXXZ"
		size = 121
		refs = "0032 ?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 004a __imp_InterlockedPushEntrySList 0075 ?SignalReservedContextsAvailable@UMSThreadScheduler@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B B9 78 01 00 00 B8 04 00 00 00 48 8B D9 FF C7 3B F8 0F 4F F8 8B 81 2C 02 00 00 3B C7 7D 2C 48 8B CB E8 ?? ?? ?? ?? F0 FF 83 2C 02 00 00 48 8D 50 20 48 8D 8B 30 02 00 00 FF 15 ?? ?? ?? ?? 44 8B 9B 2C 02 00 00 44 3B DF 7C D4 33 C0 48 8B CB 87 83 28 02 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_384_46_0 {
	meta:
		name = "?WaitForContextCreationRequest@UMSThreadScheduler@details@Concurrency@@AEAAXXZ"
		size = 171
		refs = "0025 __imp_WaitForSingleObject 003b ?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z 0043 __imp_GetTickCount 005b __imp_Sleep 0065 ?ReplenishReservedContexts@UMSThreadScheduler@details@Concurrency@@AEAAXXZ 008b __imp_CloseHandle 00a7 ?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B D9 48 8B 89 20 02 00 00 83 CA FF 33 F6 FF 15 ?? ?? ?? ?? 40 38 B3 18 02 00 00 75 50 BA 04 00 00 00 48 8B CB E8 ?? ?? ?? ?? 8B F8 FF 15 ?? ?? ?? ?? 8B C8 8B E8 2B CE 85 FF 74 0E 3B CF 73 0A 2B F9 8B CF FF 15 ?? ?? ?? ?? 48 8B CB 8B F5 E8 ?? ?? ?? ?? 48 8B 8B 20 02 00 00 83 CA FF FF 15 ?? ?? ?? ?? 80 BB 18 02 00 00 00 74 B0 48 8B 8B 20 02 00 00 FF 15 ?? ?? ?? ?? 48 8B CB 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_384_47_0 {
	meta:
		name = "?BackgroundContextCreationProc@UMSThreadScheduler@details@Concurrency@@CAKPEAX@Z"
		size = 23
		refs = "0005 ?WaitForContextCreationRequest@UMSThreadScheduler@details@Concurrency@@AEAAXXZ 000c ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_792_55_0 {
	meta:
		name = "?BackgroundOversubscribeManagerProc@ThreadScheduler@details@Concurrency@@CAKPEAX@Z"
		size = 23
		refs = "0005 ?ManageOversubscribers@ThreadScheduler@details@Concurrency@@AEAAXXZ 000c ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_636_25_0 {
	meta:
		name = "?BackgroundPollerMain@UMSBackgroundPoller@details@Concurrency@@CAKPEAX@Z"
		size = 23
		refs = "0005 ?StartPolling@UMSBackgroundPoller@details@Concurrency@@AEAAXXZ 000c ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_579_146_0 {
	meta:
		name = "?DynamicRMThreadProc@ResourceManager@details@Concurrency@@CAKPEAX@Z"
		size = 23
		refs = "0005 ?DynamicResourceManager@ResourceManager@details@Concurrency@@AEAAXXZ 000c ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_819_23_0 {
	meta:
		name = "?TransmogrificatorMain@Transmogrificator@details@Concurrency@@CAKPEAX@Z"
		size = 23
		refs = "0005 ?BeginTransmogrifying@Transmogrificator@details@Concurrency@@AEAAXXZ 000c ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_384_48_0 {
	meta:
		name = "?InitializeSchedulerEventHandlers@UMSThreadScheduler@details@Concurrency@@MEAAXXZ"
		size = 122
		refs = "0030 __imp_CreateEventW 003f ?IncrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ 0051 ?BackgroundContextCreationProc@UMSThreadScheduler@details@Concurrency@@CAKPEAX@Z 0060 ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 0069 __imp_CloseHandle 0076 ?InitializeSchedulerEventHandlers@SchedulerBase@details@Concurrency@@MEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 30 C7 81 2C 02 00 00 00 00 00 00 48 8B D9 C6 81 18 02 00 00 00 C7 81 28 02 00 00 00 00 00 00 45 33 C9 45 33 C0 33 C9 33 D2 FF 15 ?? ?? ?? ?? 48 8B CB 48 89 83 20 02 00 00 E8 ?? ?? ?? ?? 48 83 64 24 28 00 83 64 24 20 00 4C 8D 05 ?? ?? ?? ?? 4C 8B CB BA 00 00 01 00 33 C9 E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_387_0_0 {
	meta:
		name = "_difftime64"
		size = 48
		refs = "001d _errno"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 78 13 48 85 C9 78 0E 66 0F EF C0 48 2B CA F2 48 0F 2A C1 EB 0F E8 ?? ?? ?? ?? 66 0F 57 C0 C7 00 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_388_1_0 {
	meta:
		name = "__time64_t_from_ft"
		size = 141
		refs = "0007 __security_cookie 0025 __imp_FileTimeToLocalFileTime 0039 __imp_FileTimeToSystemTime 0071 __loctotime64_t 0084 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 68 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 83 39 00 75 06 83 79 04 00 74 59 48 8D 54 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 4A 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 36 83 64 24 30 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? EB 04 48 83 C8 FF 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_388_2_0 {
	meta:
		name = "_findfirst64i32"
		size = 328
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExA 0090 __imp_GetLastError 00e9 __time64_t_from_ft 0123 strcpy_s 0143 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 01 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 47 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 47 10 E8 ?? ?? ?? ?? 48 8D 4F 24 48 89 47 18 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 47 20 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 0F FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_388_3_0 {
	meta:
		name = "_findnext64i32"
		size = 290
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileA 0074 __imp_GetLastError 00c7 __time64_t_from_ft 0101 strcpy_s 011d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 01 00 00 48 81 C4 80 01 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 48 8D 4B 24 48 89 43 18 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 20 E8 ?? ?? ?? ?? 85 C0 0F 84 2E FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_389_3_0 {
	meta:
		name = "_mbcjistojms_l"
		size = 193
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 009c _errno"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 81 7B 04 A4 03 00 00 74 1A 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C3 E9 80 00 00 00 8B C3 0F B6 CB C1 E8 08 0F B6 D0 8D 42 DF 83 F8 5D 77 4D 8D 41 DF 83 F8 5D 77 45 F6 C2 01 74 0F 83 F9 5F 77 05 83 C1 1F EB 08 83 C1 20 EB 03 83 C1 7E 8D 42 DF D1 E8 05 81 00 00 00 3D 9F 00 00 00 76 03 83 C0 40 C1 E0 08 0B C1 80 7C 24 38 00 74 2E 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 20 E8 ?? ?? ?? ?? 80 7C 24 38 00 C7 00 2A 00 00 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_389_5_0 {
	meta:
		name = "_mbcjmstojis_l"
		size = 243
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00ce _errno"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 81 7B 04 A4 03 00 00 74 1A 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C3 E9 B2 00 00 00 8B C3 44 0F B6 C3 C1 E8 08 0F B6 C8 42 F6 44 19 1D 04 74 7E 43 F6 44 18 1D 08 74 76 81 F9 A0 00 00 00 1B C0 83 E0 C0 05 C1 00 00 00 2B C8 41 81 F8 9F 00 00 00 72 0E 8D 51 11 41 8D 40 82 C1 E2 09 0B D0 EB 1C 33 C0 41 83 F8 7E 41 8B D0 0F 97 C0 C1 E1 09 83 C0 1F 81 C1 00 21 00 00 2B D0 0B D1 8D 82 DF DE FF FF 3D 5D 5D 00 00 77 24 0F B6 C2 83 F8 7E 77 1C 83 F8 21 72 17 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C2 EB 20 E8 ?? ?? ?? ?? 80 7C 24 38 00 C7 00 2A 00 00 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "div"
		size = 23
		altNames = "ldiv"
	strings:
		$1 = { 8B C1 44 8B C2 99 41 F7 F8 89 44 24 18 89 54 24 1C 48 8B 44 24 18 C3 }
	condition:
		$1
}

rule file_392_1_0 {
	meta:
		name = "?_TryAcquire@_NonReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 22
	strings:
		$1 = { 8B 01 85 C0 75 0B 8D 50 01 8B C2 87 01 85 C0 74 02 33 D2 8A C2 C3 }
	condition:
		$1
}

rule file_392_5_0 {
	meta:
		name = "?_UnderlyingYield@details@Concurrency@@YAXXZ"
		size = 39
		refs = "0005 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0023 __imp_SwitchToThread"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 38 48 83 C4 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_7_0 {
	meta:
		name = "?_TryAcquire@_HyperNonReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 58
		refs = "000e ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0029 ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 44 8B 1F 45 85 DB 75 0C 41 8D 5B 01 8B C3 87 07 85 C0 74 07 32 DB E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_9_0 {
	meta:
		name = "?_TryAcquire@_CriticalNonReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 58
		refs = "000e ?StaticEnterCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0029 ?StaticExitCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 44 8B 1F 45 85 DB 75 0C 41 8D 5B 01 8B C3 87 07 85 C0 74 07 32 DB E8 ?? ?? ?? ?? 8A C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_392_12_0 {
	meta:
		name = "?_ConcRT_Assert@details@Concurrency@@YAXPEBD0H@Z"
		size = 358
		refs = "001a __security_cookie 0033 ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 003b ?OnPrimary@UMSSchedulingContext@details@Concurrency@@SA_NXZ 0047 __imp_DebugBreak 0057 __security_check_cookie 007f ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 008a __imp_GetCurrentThreadId 0094 ?ScheduleGroupRefCount@ContextBase@details@Concurrency@@QEBAIXZ 00d5 ??_C@_1GI@NCMIFDBM@?$AA?$FL?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?$CI?$AA?$CF?$AAd?$AA?$CJ?$AA?$FN?$AA?5?$AA?$CF?$AAS?$AA?3?$AA?5?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AAA?$AAs?$AAs@ 00ef swprintf_s 0105 ??_C@_1EO@DDNBJEBC@?$AA?$FL?$AA?$CF?$AAd?$AA?$FN?$AA?5?$AA?$CF?$AAS?$AA?3?$AA?5?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AA?$CB?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CI?$AA?$CF?$AAS@ 0128 g_DebugOutFilePtr 013a fwprintf 0146 fflush 0151 __imp_OutputDebugStringW 0161 exit"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 80 08 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 08 00 00 45 8B F8 4C 8B F2 4C 8B E9 E8 ?? ?? ?? ?? 4C 8B E0 E8 ?? ?? ?? ?? 33 DB 84 C0 74 31 FF 15 ?? ?? ?? ?? 48 8B 8C 24 70 08 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 08 00 00 48 81 C4 80 08 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 4D 85 E4 74 7C 49 8B CC E8 ?? ?? ?? ?? 48 85 C0 74 6F FF 15 ?? ?? ?? ?? 49 8B CC 8B E8 E8 ?? ?? ?? ?? 49 8B 14 24 49 8B CC 8B F0 FF 52 10 49 8B 14 24 49 8B CC 8B F8 FF 12 49 8B 14 24 49 8B CC 8B D8 FF 52 08 44 89 7C 24 50 4C 89 74 24 48 4C 89 6C 24 40 89 6C 24 38 89 74 24 30 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 60 44 8B C8 BA 00 04 00 00 89 7C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 33 DB EB 2E FF 15 ?? ?? ?? ?? 44 89 7C 24 30 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 60 BA 00 04 00 00 44 8B C8 4C 89 74 24 28 4C 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8D 54 24 60 66 89 9C 24 60 08 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4C 24 60 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? B9 F8 FF FF FF E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_392_16_0 {
	meta:
		name = "?ReferenceLoadLibrary@details@Concurrency@@YAXXZ"
		size = 156
		refs = "000a __security_cookie 001d __imp_GetModuleHandleA 0024 __ImageBase 003a __imp_GetModuleFileNameW 0049 __imp_LoadLibraryW 0050 ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 0060 __security_check_cookie 006e __imp_GetLastError 0086 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 008d _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0097 _CxxThrowException"
	strings:
		$1 = { 48 81 EC 68 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 50 02 00 00 33 C9 FF 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 3B C8 74 27 48 8D 54 24 40 41 B8 04 01 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 2A 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 8C 24 50 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 68 02 00 00 C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_392_20_0 {
	meta:
		name = "?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z"
		size = 180
		refs = "0029 ?LoadLibraryCount@details@Concurrency@@3JC 0035 ?ReferenceLoadLibrary@details@Concurrency@@YAXXZ 003c ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0066 __imp_CreateThread 0071 __imp_GetLastError 0089 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0090 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 009a _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 49 8B D9 49 8B F8 48 8B F2 48 8B E9 B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 83 F8 01 75 0C E8 ?? ?? ?? ?? F0 FF 05 ?? ?? ?? ?? 48 8B 84 24 88 00 00 00 4C 8B CB 4C 8B C7 48 89 44 24 28 8B 84 24 80 00 00 00 48 8B D6 48 8B CD 89 44 24 20 FF 15 ?? ?? ?? ?? 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_392_21_0 {
	meta:
		name = "?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
		size = 49
		refs = "0009 ?LoadLibraryCount@details@Concurrency@@3JC 0012 ?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ 0019 ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 0026 __imp_FreeLibraryAndExitThread"
	strings:
		$1 = { 40 53 48 83 EC 20 F0 FF 0D ?? ?? ?? ?? 8B D9 75 1A E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 09 8B D3 FF 15 ?? ?? ?? ?? CC 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_392_22_0 {
	meta:
		name = "?InitializeCookie@Security@details@Concurrency@@SA_KXZ"
		size = 113
		refs = "0009 ?s_cookie@Security@details@Concurrency@@2_KA 000f ?s_initialized@Security@details@Concurrency@@2JC 0019 __imp_EncodePointer 0023 __security_cookie 0029 __imp_GetCurrentThread 004b __imp_GetThreadTimes"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8D 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 33 1D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8D 4C 24 40 48 8B C8 48 8D 44 24 40 4C 8D 44 24 40 48 8D 54 24 48 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 15 8B 4C 24 48 8B 44 24 4C 89 4C 24 40 89 44 24 44 48 33 5C 24 40 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_392_25_0 {
	meta:
		name = "_concrt_static_cleanup"
		size = 24
		refs = "0007 ?HostModule@details@Concurrency@@3PEAUHINSTANCE__@@EA 000f ?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_392_31_0 {
	meta:
		name = "??$ConcRT_FillBuffer@$0EAB@@details@Concurrency@@YAXAEAY0EAB@_WPEB_WPEAD@Z"
		size = 274
		refs = "002b ?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0041 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 004c __imp_GetCurrentThreadId 0056 ?ScheduleGroupRefCount@ContextBase@details@Concurrency@@QEBAIXZ 0088 ??_C@_1CG@CBCHDCDB@?$AA?$FL?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?3?$AA?$CF?$AAd?$AA?$CI?$AA?$CF?$AAd?$AA?$CJ?$AA?$FN?$AA?5?$AA?$AA@ 009e swprintf_s 00c1 vswprintf_s 00c9 wcslen"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 40 33 FF 4D 8B F8 4C 8B E1 8B DF E8 ?? ?? ?? ?? 41 BE 01 04 00 00 4C 8B E8 48 85 C0 74 6E 48 8B C8 E8 ?? ?? ?? ?? 48 85 C0 74 61 FF 15 ?? ?? ?? ?? 49 8B CD 8B E8 E8 ?? ?? ?? ?? 49 8B CD 8B F0 49 8B 45 00 FF 50 10 49 8B CD 8B F8 49 8B 45 00 FF 10 49 8B CD 8B D8 49 8B 45 00 FF 50 08 89 6C 24 38 89 74 24 30 4C 8D 05 ?? ?? ?? ?? 41 8B D6 49 8B CC 44 8B C8 89 7C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 33 FF 8B D8 85 C0 0F 48 DF 4C 8B 44 24 78 48 63 C3 4D 8B CF 4C 2B F0 49 8D 0C 44 49 8B D6 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 85 C0 7E 23 48 63 C8 BA 0A 00 00 00 66 41 39 54 4C FE 74 13 3D 00 04 00 00 73 06 41 89 14 4C EB 06 66 41 89 54 4C FE 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_392_32_0 {
	meta:
		name = "?_ConcRT_DumpMessage@details@Concurrency@@YAXPEB_WZZ"
		size = 127
		refs = "001d __security_cookie 0039 ??$ConcRT_FillBuffer@$0EAB@@details@Concurrency@@YAXAEAY0EAB@_WPEB_WPEAD@Z 0050 __imp_OutputDebugStringW 0055 __iob_func 0063 fwprintf 0073 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 49 89 53 10 4D 89 43 18 4D 89 4B 20 48 81 EC 48 08 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 08 00 00 48 8B D1 4D 8D 43 10 48 8D 4C 24 20 E8 ?? ?? ?? ?? 45 33 DB 48 8D 4C 24 20 66 44 89 9C 24 20 08 00 00 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 48 60 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B 8C 24 30 08 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 48 08 00 00 C3 }
	condition:
		$1
}

rule file_392_33_0 {
	meta:
		name = "?_ConcRT_Trace@details@Concurrency@@YAXHPEB_WZZ"
		size = 187
		refs = "001a __security_cookie 002b g_DesiredTraceLevel 003b ??$ConcRT_FillBuffer@$0EAB@@details@Concurrency@@YAXAEAY0EAB@_WPEB_WPEAD@Z 0042 g_DebugOutFilePtr 005b fwprintf 0062 g_CommitFrequency 006e g_TraceCount 0091 fflush 009e __imp_OutputDebugStringW 00ae __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 53 48 81 EC 40 08 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 08 00 00 85 0D ?? ?? ?? ?? 74 71 4D 8D 43 18 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 33 DB 66 89 9C 24 20 08 00 00 48 85 C9 74 42 48 8D 54 24 20 E8 ?? ?? ?? ?? 4C 63 1D ?? ?? ?? ?? 45 85 DB 7E 37 4C 8B 05 ?? ?? ?? ?? 33 D2 49 8B C0 49 FF C0 49 F7 F3 4C 89 05 ?? ?? ?? ?? 48 85 D2 75 19 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 48 8B 8C 24 30 08 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 40 08 00 00 5B C3 }
	condition:
		$1
}

rule file_392_36_0 {
	meta:
		name = "?_Acquire@_NonReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 67
		refs = "001c ?_Sleep0@details@Concurrency@@YAXXZ 002b ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 B8 01 00 00 00 48 8B D9 87 01 85 C0 74 29 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1B 45 85 DB 75 E8 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_392_37_0 {
	meta:
		name = "?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 72
		refs = "000a ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0021 ?_Sleep0@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 74 29 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1B 45 85 DB 75 E8 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_392_38_0 {
	meta:
		name = "?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 72
		refs = "000a ?StaticEnterCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0021 ?_Sleep0@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? B8 01 00 00 00 87 03 85 C0 74 29 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1B 45 85 DB 75 E8 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_392_39_0 {
	meta:
		name = "??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z"
		size = 81
		refs = "0025 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0034 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 89 11 BF 01 00 00 00 33 C0 F0 0F B1 3A 74 26 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 0B 33 C0 F0 0F B1 39 75 EB 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_392_40_0 {
	meta:
		name = "??__Eg_DebugOutFilePtr@details@Concurrency@@YAXXZ"
		size = 25
		refs = "0005 __iob_func 0010 g_DebugOutFilePtr"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 83 C0 60 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_393_1_0 {
	meta:
		name = "_wfindfirst64"
		size = 340
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __time64_t_from_ft 012f wcscpy_s 014f _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 47 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 47 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 48 89 47 18 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4F 20 48 8D 4F 28 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 03 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_393_2_0 {
	meta:
		name = "_wfindnext64"
		size = 302
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __time64_t_from_ft 010d wcscpy_s 0129 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 48 89 43 18 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 20 48 8D 4B 28 E8 ?? ?? ?? ?? 85 C0 0F 84 22 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_394_0_0 {
	meta:
		name = "_wctime64_s"
		size = 158
		refs = "000b __security_cookie 0037 _errno 005c _localtime64_s 0070 _wasctime_s 0083 _invalid_parameter_noinfo 0092 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 F6 48 8B FA 48 8B D9 48 85 C9 74 52 48 85 D2 74 4D 66 89 31 4D 85 C0 74 45 49 39 30 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 43 48 B8 FF 6F 40 93 07 00 00 00 49 39 00 7F E3 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_394_1_0 {
	meta:
		name = "_wctime64"
		size = 108
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0058 _localtime64_s 0066 _wasctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 48 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C8 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BE }
	condition:
		$1
}

rule file_522_1_0 {
	meta:
		name = "_ctime64"
		size = 108
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0058 _localtime64_s 0066 asctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 48 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C8 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BE }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "store_dt"
		size = 58
	strings:
		$1 = { 44 8B C2 B8 67 66 66 66 F7 EA C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 89 01 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C0 48 8D 41 04 66 41 83 C0 30 66 44 89 41 02 C3 }
	condition:
		$1
}

rule file_395_1_0 {
	meta:
		name = "_wasctime_s"
		size = 830
		refs = "00ac __ImageBase 00b4 _days 0148 __mnames 0163 __dnames 0321 _errno 032d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 56 48 83 EC 20 33 F6 4D 8B C8 4C 8B D1 48 85 C9 0F 84 05 03 00 00 48 85 D2 0F 84 FC 02 00 00 66 89 31 48 83 FA 1A 0F 82 EF 02 00 00 4D 85 C0 0F 84 E6 02 00 00 41 8B 50 14 85 D2 0F 88 DA 02 00 00 45 8B 40 10 45 85 C0 0F 88 CD 02 00 00 41 83 F8 0B 0F 8F C3 02 00 00 41 39 71 08 0F 8C B9 02 00 00 41 83 79 08 17 0F 8F AE 02 00 00 41 39 71 04 0F 8C A4 02 00 00 41 83 79 04 3B 0F 8F 99 02 00 00 41 39 31 0F 8C 90 02 00 00 41 83 39 3B 0F 8F 86 02 00 00 41 83 79 0C 01 0F 8C 7B 02 00 00 49 63 49 10 4C 8D 1D ?? ?? ?? ?? 41 8B 84 8B ?? ?? ?? ?? 41 2B 84 8B ?? ?? ?? ?? 41 3B 41 0C 7D 66 8D 8A 6C 07 00 00 8B C1 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 85 C0 75 18 B8 1F 85 EB 51 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B CA 75 1F B8 1F 85 EB 51 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 0F 85 09 02 00 00 41 83 F8 01 0F 85 FF 01 00 00 41 83 79 0C 1D 0F 8F F4 01 00 00 41 8B 41 18 85 C0 0F 88 E8 01 00 00 83 F8 06 0F 8F DF 01 00 00 43 8D 0C 40 4C 8D 05 ?? ?? ?? ?? 8D 04 40 48 63 D0 48 63 C1 48 2B D0 4A 8D 0C 00 49 2B D0 4E 8D 84 1A ?? ?? ?? ?? BA 03 00 00 00 41 0F BE 04 08 66 41 89 02 0F BE 01 49 83 C2 02 66 41 89 42 06 48 FF C1 48 FF CA 75 E3 44 8D 5A 20 BB 67 66 66 66 66 45 89 1A 66 45 89 5A 08 41 8B 49 0C 8B C3 45 8D 43 1A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 42 0A 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 8B C3 66 83 C1 30 66 41 89 4A 0C 66 45 89 5A 0E 41 8B 49 08 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 42 10 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 8B C3 66 83 C1 30 66 41 89 4A 12 66 45 89 42 14 41 8B 49 04 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 42 16 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 8B C3 66 83 C1 30 66 41 89 4A 18 66 45 89 42 1A 41 8B 09 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 42 1C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 B8 1F 85 EB 51 66 83 C1 30 66 41 89 4A 1E 66 45 89 5A 20 41 F7 69 14 C1 FA 05 8B C2 C1 E8 1F 44 8D 44 02 13 8B C3 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 B8 1F 85 EB 51 8D 4A 30 66 41 89 4A 22 0F B7 CA 66 C1 E2 02 66 03 CA 66 03 C9 66 44 2B C1 66 41 83 C0 30 66 45 89 42 24 45 8B 41 14 41 F7 E8 C1 FA 05 8B C3 8B CA C1 E9 1F 03 D1 6B D2 64 44 2B C2 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 66 41 89 42 26 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 44 2B C0 66 41 83 C0 30 33 C0 66 45 89 42 28 41 C7 42 2A 0A 00 00 00 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5E C3 }
	condition:
		$1
}

rule file_395_2_0 {
	meta:
		name = "_wasctime"
		size = 865
		refs = "001a buf 001f _getptd_noexit 003a _calloc_crt 00c9 __ImageBase 00d4 _days 0165 __mnames 0180 __dnames 033b _errno 0346 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B D9 48 8D 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 ED 48 8B F8 48 85 C0 74 1E 48 39 68 70 75 14 8D 55 02 8D 4D 1A E8 ?? ?? ?? ?? 48 89 47 70 48 85 C0 74 04 48 8B 77 70 4C 8B CE 48 85 F6 0F 84 E3 02 00 00 66 89 2E 48 85 DB 0F 84 D7 02 00 00 8B 53 14 85 D2 0F 88 CC 02 00 00 44 8B 43 10 45 85 C0 0F 88 BF 02 00 00 41 83 F8 0B 0F 8F B5 02 00 00 39 6B 08 0F 8C AC 02 00 00 83 7B 08 17 0F 8F A2 02 00 00 39 6B 04 0F 8C 99 02 00 00 83 7B 04 3B 0F 8F 8F 02 00 00 39 2B 0F 8C 87 02 00 00 83 3B 3B 0F 8F 7E 02 00 00 83 7B 0C 01 0F 8C 74 02 00 00 4C 8D 15 ?? ?? ?? ?? 49 63 C8 41 8B 84 8A ?? ?? ?? ?? 41 2B 84 8A ?? ?? ?? ?? 3B 43 0C 7D 65 8D 8A 6C 07 00 00 8B C1 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 85 C0 75 18 B8 1F 85 EB 51 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B CA 75 1F B8 1F 85 EB 51 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 0F 85 04 02 00 00 41 83 F8 01 0F 85 FA 01 00 00 83 7B 0C 1D 0F 8F F0 01 00 00 8B 43 18 85 C0 0F 88 E5 01 00 00 83 F8 06 0F 8F DC 01 00 00 43 8D 0C 40 4C 8D 05 ?? ?? ?? ?? 8D 04 40 48 63 D0 48 63 C1 48 2B D0 4A 8D 0C 00 49 2B D0 4E 8D 84 12 ?? ?? ?? ?? BA 03 00 00 00 41 0F BE 04 08 66 41 89 01 0F BE 01 49 83 C1 02 66 41 89 41 06 48 FF C1 48 FF CA 75 E3 44 8D 52 20 66 BF 30 00 41 BB 67 66 66 66 66 45 89 11 66 45 89 51 08 8B 4B 0C 41 8B C3 45 8D 42 1A F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 41 89 41 0A 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C3 66 03 CF 66 41 89 49 0C 66 45 89 51 0E 8B 4B 08 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 41 89 41 10 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C3 66 03 CF 66 41 89 49 12 66 45 89 41 14 8B 4B 04 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 41 89 41 16 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 41 8B C3 66 03 CF 66 41 89 49 18 66 45 89 41 1A 8B 0B F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 41 89 41 1C 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 B8 1F 85 EB 51 66 03 CF 66 41 89 49 1E 66 45 89 51 20 F7 6B 14 C1 FA 05 8B C2 C1 E8 1F 8D 4C 02 13 41 8B C3 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 04 17 66 41 89 41 22 0F B7 C2 66 C1 E2 02 66 03 C2 66 03 C0 66 2B C8 B8 1F 85 EB 51 66 03 CF 66 41 89 49 24 44 8B 43 14 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C3 6B D2 64 44 2B C2 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 0F B7 CA 8D 04 17 66 C1 E2 02 66 41 89 41 26 66 03 CA 48 8B C6 66 03 C9 66 44 2B C1 66 44 03 C7 66 45 89 41 28 41 C7 41 2A 0A 00 00 00 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "__mbtow_environ"
		size = 197
		refs = "0018 _environ 003e __imp_MultiByteToWideChar 0052 _calloc_crt 0085 __crtwsetenv 00bd free"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 57 48 83 EC 30 48 83 64 24 40 00 48 8B 1D ?? ?? ?? ?? 48 8B 03 48 85 C0 74 75 83 CD FF 83 64 24 28 00 48 83 64 24 20 00 44 8B CD 4C 8B C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 74 78 48 8B CF BA 02 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 61 4C 8B 03 44 8B CD 33 D2 33 C9 89 7C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 3A 48 8D 4C 24 40 33 D2 E8 ?? ?? ?? ?? 85 C0 78 1E 48 83 C3 08 48 8B 03 48 85 C0 75 8E 33 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 83 C4 30 5F C3 48 8B 4C 24 40 48 85 C9 74 0C EB 05 48 8B 4C 24 40 E8 ?? ?? ?? ?? 8B C5 EB D6 }
	condition:
		$1
}

rule file_397_0_0 {
	meta:
		name = "strcat"
		size = 160
	strings:
		$1 = { 4C 8B D9 F6 C1 07 74 12 8A 01 84 C0 0F 84 91 00 00 00 48 FF C1 F6 C1 07 75 EE 48 8B 01 4C 8B D0 49 B9 FF FE FE FE FE FE FE 7E 4D 03 CA 49 83 F2 FF 4D 33 D1 48 83 C1 08 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 D3 48 83 E9 08 84 C0 74 54 48 FF C1 84 E4 74 4D 48 FF C1 48 C1 E8 10 84 C0 74 42 48 FF C1 84 E4 74 3B 48 FF C1 48 C1 E8 10 84 C0 74 30 48 FF C1 84 E4 74 29 48 FF C1 C1 E8 10 84 C0 74 1F 48 FF C1 84 E4 74 18 48 FF C1 EB 8A CC CC CC CC CC CC 66 66 0F 1F 84 00 00 00 00 00 }
	condition:
		$1
}

rule file_397_1_0 {
	meta:
		name = "strcpy"
		size = 183
	strings:
		$1 = { 4C 8B D9 48 2B CA F6 C2 07 74 1F 8A 02 88 04 11 84 C0 74 0A 48 FF C2 F6 C2 07 75 EF EB 0C 49 8B C3 C3 48 89 04 11 48 83 C2 08 48 8B 02 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 CF 84 C0 88 04 11 74 59 48 FF C2 84 E4 88 24 11 74 4F 48 FF C2 48 C1 E8 10 84 C0 88 04 11 74 41 48 FF C2 84 E4 88 24 11 74 37 48 FF C2 48 C1 E8 10 84 C0 88 04 11 74 29 48 FF C2 84 E4 88 24 11 74 1F 48 FF C2 C1 E8 10 84 C0 88 04 11 74 12 48 FF C2 84 E4 88 24 11 74 08 48 FF C2 E9 77 FF FF FF 49 8B C3 C3 }
	condition:
		$1
}

rule file_398_0_0 {
	meta:
		name = "_heapused"
		size = 22
		refs = "0005 _errno"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? C7 00 28 00 00 00 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_399_0_0 {
	meta:
		name = "_heap_init"
		size = 86
		refs = "0018 __imp_HeapCreate 001f _crtheap 002a __imp_GetVersion 0048 __imp_HeapSetInformation"
	strings:
		$1 = { 48 83 EC 28 45 33 C0 BA 00 10 00 00 33 C9 C7 44 24 30 02 00 00 00 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 29 FF 15 ?? ?? ?? ?? 3C 06 73 1A 48 8B 0D ?? ?? ?? ?? 4C 8D 44 24 30 41 B9 04 00 00 00 33 D2 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_399_1_0 {
	meta:
		name = "_heap_term"
		size = 30
		refs = "0007 _crtheap 000d __imp_HeapDestroy"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "?GetPdbDll@@YAPEAUHINSTANCE__@@XZ"
		size = 537
		refs = "0025 __security_cookie 0039 ?alreadyTried@?1??GetPdbDll@@YAPEAUHINSTANCE__@@XZ@4_NA 0049 mspdbName 0056 __imp_LoadLibraryW 0066 ??_C@_1BK@GAEMIDIL@?$AAA?$AAD?$AAV?$AAA?$AAP?$AAI?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 007b ??_C@_0O@COHOBMLB@RegOpenKeyExW?$AA@ 0084 __imp_GetProcAddress 0093 ??_C@_0BB@GLNAEDBD@RegQueryValueExW?$AA@ 00ab ??_C@_0M@HLOHPNFA@RegCloseKey?$AA@ 00cc ??_C@_1FM@DNCABAP@?$AAS?$AAO?$AAF?$AAT?$AAW?$AAA?$AAR?$AAE?$AA?2?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?2?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AAS?$AAt?$AAu?$AAd?$AAi?$AAo?$AA?2@ 00f0 __imp_FreeLibrary 0115 ??_C@_1CK@HHHCOJPD@?$AAE?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AAD?$AAi?$AAr?$AAe?$AAc?$AAt?$AAo?$AAr?$AAy?$AA?$AA@ 01f8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 55 41 54 41 55 48 8D A8 88 FE FF FF 48 81 EC 60 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 01 00 00 45 33 ED 44 38 2D ?? ?? ?? ?? 74 07 33 C0 E9 A7 01 00 00 48 8D 0D ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 FF 15 ?? ?? ?? ?? 48 85 C0 0F 85 8A 01 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 C7 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 AF 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 97 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 7B FF FF FF 48 8D 44 24 38 48 8D 15 ?? ?? ?? ?? 41 B9 01 00 00 00 45 33 C0 48 C7 C1 02 00 00 80 48 89 44 24 20 FF D3 85 C0 74 0E 48 8B CF FF 15 ?? ?? ?? ?? E9 46 FF FF FF 48 8B 4C 24 38 48 8D 44 24 30 4C 8D 4C 24 34 48 89 44 24 28 48 8D 44 24 40 48 8D 15 ?? ?? ?? ?? 45 33 C0 C7 44 24 30 08 02 00 00 48 89 44 24 20 FF D6 48 8B 4C 24 38 8B D8 41 FF D4 48 8B CF FF 15 ?? ?? ?? ?? 85 DB 0F 85 F9 FE FF FF 83 7C 24 34 01 0F 85 EE FE FF FF 8B 54 24 30 F6 C2 01 0F 85 E1 FE FF FF D1 EA 83 FA 02 0F 82 D6 FE FF FF 41 83 C8 FF 41 03 D0 66 44 39 6C 54 40 0F 85 C3 FE FF FF 8D 4A FF 8D 43 5C 66 39 44 4C 40 74 07 66 89 44 54 40 FF C2 44 2B C2 41 83 F8 0E 0F 82 A2 FE FF FF 8B C2 48 83 C0 0D 48 3D 04 01 00 00 0F 87 90 FE FF FF 48 8B 05 ?? ?? ?? ?? 48 63 CA 48 89 44 4C 40 48 8B 05 ?? ?? ?? ?? 48 89 44 4C 48 48 8B 05 ?? ?? ?? ?? 48 89 44 4C 50 0F B7 05 ?? ?? ?? ?? 66 89 44 4C 58 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 48 8B 8D 50 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 60 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_400_1_0 {
	meta:
		name = "?_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z"
		size = 873
		refs = "0042 __imp_VirtualQuery 0060 __imp_GetModuleFileNameW 00d7 ?PDBOK@?BM@??_RTC_GetSrcLine@@YAHPEAEPEA_WKPEAH1K@Z@4_NA 00e0 mspdb 00eb ?GetPdbDll@@YAPEAUHINSTANCE__@@XZ 0112 ??_C@_0BB@KCIACLNC@PDBOpenValidate5?$AA@ 011b __imp_GetProcAddress 0179 ??_C@_01KDCPPGHE@r?$AA@ 0267 __imp_GetProcessHeap 0275 __imp_HeapAlloc 0325 __imp_HeapFree"
	strings:
		$1 = { 44 89 44 24 18 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC B8 00 00 00 33 FF 4C 8B E1 4C 8B F2 41 89 39 66 89 3A 44 8D 7F 01 4D 2B E7 44 8D 47 30 48 8D 55 CF 49 8B CC 4D 8B E9 FF 15 ?? ?? ?? ?? 48 85 C0 75 07 33 C0 E9 03 03 00 00 44 8B 45 7F 48 8B 55 77 48 8B 4D D7 FF 15 ?? ?? ?? ?? 85 C0 74 E3 48 8B 55 D7 B8 4D 5A 00 00 66 39 02 75 D5 39 7A 3C 7E D0 48 63 4A 3C 48 03 CA 81 39 50 45 00 00 75 C1 44 0F B7 41 06 0F B7 41 14 44 2B E2 8B F7 8B DF 4C 8D 4C 08 18 45 85 C0 74 24 8B C3 48 8D 0C 80 45 3B 64 C9 0C 72 0F 41 8B F4 41 2B 74 C9 0C 45 3B 64 C9 08 72 08 41 03 DF 41 3B D8 72 DC 41 3B D8 0F 84 7A FF FF FF 41 03 DF 40 38 3D ?? ?? ?? ?? 75 2B 48 39 3D ?? ?? ?? ?? 0F 85 61 FF FF FF E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 0F 84 4C FF FF FF 44 88 3D ?? ?? ?? ?? EB 07 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 0F 84 23 FF FF FF 48 8D 4D AF 45 33 C9 45 33 C0 48 89 4C 24 38 48 8D 4D C7 48 89 7C 24 30 48 89 7C 24 28 48 89 4C 24 20 48 8B 4D 77 33 D2 FF D0 85 C0 0F 84 F1 FE FF FF 48 8B 4D AF 48 8B 01 FF 10 3D B5 A5 31 01 0F 85 DB 01 00 00 48 8B 4D AF 4C 8D 4D BF 4C 8D 05 ?? ?? ?? ?? 48 8B 01 33 D2 FF 50 38 85 C0 0F 84 BC 01 00 00 48 8B 4D BF 48 89 7C 24 30 4C 8D 4D 9F 48 8B 01 44 8B C6 0F B7 D3 48 89 7C 24 28 48 89 7C 24 20 FF 50 40 85 C0 0F 84 87 01 00 00 48 8B 4D 9F 48 89 7D 97 48 8D 55 97 48 8B 01 FF 90 D0 00 00 00 84 C0 0F 84 5D 01 00 00 48 8B 4D 97 48 85 C9 0F 84 50 01 00 00 4C 8B E7 48 8B 01 FF 50 10 85 C0 0F 84 22 01 00 00 48 8B 4D 97 48 8D 55 5F 48 89 7C 24 30 48 8B 01 48 89 54 24 28 48 8D 55 B7 48 89 54 24 20 4C 8D 4D 57 4C 8D 45 6F 33 D2 FF 50 18 84 C0 0F 84 03 01 00 00 0F B7 45 57 3B C3 75 0E 8B 4D 6F 3B CE 77 07 03 4D B7 3B F1 72 06 48 8B 4D 97 EB A3 39 7D 5F 0F 84 DE 00 00 00 8B 5D 5F 48 B8 FF FF FF FF FF FF FF 1F 48 3B D8 0F 83 C8 00 00 00 48 C1 E3 03 FF 15 ?? ?? ?? ?? 4C 8B C3 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 A4 00 00 00 48 8B 4D 97 48 89 44 24 30 48 8D 45 5F 4C 8B 11 48 89 44 24 28 48 8D 55 A7 45 33 C9 45 33 C0 48 89 7C 24 20 41 FF 52 18 84 C0 74 64 2B 75 6F 41 3B 34 24 72 5B 41 8B CF 44 39 7D 5F 76 15 49 8D 44 24 08 3B 30 72 0C 41 03 CF 48 83 C0 08 3B 4D 5F 72 F0 8B 55 A7 8D 41 FF 48 8B 4D 9F 41 8B 44 C4 04 48 89 7C 24 30 4C 8D 4D 67 25 FF FF FF 00 4D 8B C6 48 89 7C 24 28 41 89 45 00 48 8B 01 48 89 7C 24 20 FF 90 E0 00 00 00 84 C0 41 0F 45 FF FF 15 ?? ?? ?? ?? 4D 8B C4 33 D2 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 4D 97 48 8B 01 FF 10 48 8B 4D 9F 48 8B 11 FF 92 80 00 00 00 48 8B 4D BF 48 8B 11 FF 52 70 48 8B 4D AF 48 8B 11 FF 52 50 8B C7 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_401_3_0 {
	meta:
		name = "_mbsspn_l"
		size = 270
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0036 strspn 005c _errno 0067 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 44 24 28 33 F6 41 39 70 08 75 27 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 40 38 74 24 38 0F 84 B9 00 00 00 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 A8 00 00 00 48 85 DB 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 74 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 7C 48 85 FF 74 D4 48 8B D3 40 38 33 74 56 48 8B CF 40 38 37 74 2E 0F B6 01 42 F6 44 00 1D 04 74 17 3A 02 75 08 8A 42 01 38 41 01 74 17 40 38 71 01 74 11 48 FF C1 EB 04 3A 02 74 08 48 FF C1 40 38 31 75 D2 40 38 31 74 1B 0F B6 02 42 F6 44 00 1D 04 74 08 48 FF C2 40 38 32 74 08 48 FF C2 40 38 32 75 AA 48 2B D3 40 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_402_0_0 {
	meta:
		name = "scaleFloat_2"
		size = 60
	strings:
		$1 = { 0F 28 D0 44 8B C2 8B C2 99 2B C2 D1 F8 44 2B C0 8D 48 7F 41 83 C0 7F C1 E1 17 41 C1 E0 17 89 4C 24 08 F3 0F 10 44 24 08 44 89 44 24 08 F3 0F 10 4C 24 08 F3 0F 59 C2 F3 0F 59 C1 C3 }
	condition:
		$1
}

rule file_402_3_0 {
	meta:
		name = "splitexpf"
		size = 256
		refs = "0008 __real@3f000000 002f __real@00000000 0047 __ImageBase 005e ?two_to_jby32_trail_table@?1??splitexpf@@9@9 0067 ?two_to_jby32_lead_table@?1??splitexpf@@9@9 00cf __real@3e2aaaab"
	strings:
		$1 = { 48 83 EC 38 F3 0F 10 2D ?? ?? ?? ?? 0F 29 74 24 20 0F 29 7C 24 10 0F 28 E0 44 0F 29 04 24 0F 28 F9 F3 0F 59 E2 44 0F 28 C3 0F 28 F0 0F 2F 25 ?? ?? ?? ?? 76 06 F3 0F 58 E5 EB 04 F3 0F 5C E5 F3 44 0F 2C C4 48 8D 15 ?? ?? ?? ?? 41 8B C8 66 41 0F 6E C0 83 E1 1F 48 63 C1 F3 0F 10 A4 82 ?? ?? ?? ?? F3 0F 10 9C 82 ?? ?? ?? ?? 41 8B C0 2B C1 48 8B 4C 24 68 99 83 E2 1F 0F 5B C0 03 C2 C1 F8 05 41 F7 D8 89 01 48 8B 44 24 70 F3 41 0F 59 C0 44 0F 28 04 24 66 41 0F 6E C8 F3 0F 5C F0 F3 0F 59 F7 F3 0F 11 18 48 8B 44 24 78 0F 5B C9 F3 0F 59 4C 24 60 F3 0F 59 CF 0F 28 7C 24 10 0F 28 C1 F3 0F 58 C6 0F 28 D0 F3 0F 59 C0 F3 0F 59 15 ?? ?? ?? ?? F3 0F 58 D5 F3 0F 59 D0 0F 28 C4 F3 0F 58 C3 F3 0F 58 D1 F3 0F 58 D6 0F 28 74 24 20 F3 0F 59 D0 F3 0F 58 D4 F3 0F 11 10 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_402_4_0 {
	meta:
		name = "tanhf"
		size = 736
		refs = "005a _controlfp_s 00ac ??_C@_05NEEGJJPP@tanhf?$AA@ 00b1 _handle_errorf 00bf __real@40000000 00c7 __real@3f800000 00f2 ?large_threshold@?1??tanhf@@9@9 010a __real@3f666666 012c __real@384d2b7d 0134 __real@3abfbc9e 0140 __real@3eaf769c 0148 __real@3e9058e0 0150 __real@3f588550 015a __real@382089d8 0162 __real@3aa18e00 016e __real@3e95c65f 0176 __real@3e7679b1 017e __real@3f38db60 0199 __real@3f000000 01aa ?thirtytwo_by_log2@?1??tanhf@@9@9 01b1 __real@00000000 01e5 __ImageBase 01f0 ?log2_by_32_lead@?1??tanhf@@9@9 01f9 ?two_to_jby32_lead_table@?1??splitexpf@@9@9 0202 ?two_to_jby32_trail_table@?1??splitexpf@@9@9 0230 ?log2_by_32_tail@?1??tanhf@@9@9 0255 __real@3e2aaaab"
	strings:
		$1 = { 48 8B C4 48 81 EC B8 00 00 00 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 33 C9 44 0F 29 48 B8 44 0F 29 50 A8 44 0F 29 58 98 0F 28 F0 F3 0F 11 B4 24 C0 00 00 00 8B 94 24 C0 00 00 00 8B C2 0F BA F0 1F 3D 00 00 00 39 73 1E 85 C0 75 05 E9 65 02 00 00 BA 10 00 00 00 44 8B C2 E8 ?? ?? ?? ?? 0F 28 C6 E9 50 02 00 00 3D 00 00 80 7F 76 4D 0F 57 C0 41 B9 01 00 00 00 F3 0F 11 B4 24 C0 00 00 00 44 8B 84 24 C0 00 00 00 44 89 4C 24 40 41 8D 51 20 49 0F BA E8 16 F3 0F 11 44 24 38 F3 0F 11 74 24 30 89 54 24 28 89 4C 24 20 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 01 00 00 F3 44 0F 10 1D ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? 3B C2 0F 95 C1 44 0F 28 CF 66 0F 6E C1 0F 5B C0 F3 41 0F 59 C3 F3 44 0F 5C C8 45 0F 28 C1 F3 44 0F 59 C6 44 0F 2F 05 ?? ?? ?? ?? 0F 87 B2 01 00 00 41 0F 2F F8 0F 82 8E 00 00 00 F3 0F 10 05 ?? ?? ?? ?? 41 0F 28 C8 41 0F 2F C0 F3 41 0F 59 C8 0F 28 C1 0F 28 F9 F3 41 0F 59 C0 76 2E F3 0F 59 3D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 59 F9 F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? EB 2C F3 0F 59 3D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 59 F9 F3 0F 59 0D ?? ?? ?? ?? F3 0F 5C 3D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 F8 F3 0F 5E F9 F3 41 0F 58 F8 E9 1A 01 00 00 F3 44 0F 10 15 ?? ?? ?? ?? F3 45 0F 59 C3 41 0F 28 C0 F3 0F 59 05 ?? ?? ?? ?? 0F 2F 05 ?? ?? ?? ?? 76 07 F3 41 0F 58 C2 EB 05 F3 41 0F 5C C2 F3 44 0F 2C C0 41 8B C0 66 41 0F 6E C0 41 8B D0 F7 D8 83 E2 1F 44 2B C2 48 63 CA 66 0F 6E F0 48 8D 05 ?? ?? ?? ?? 0F 5B C0 F3 0F 59 05 ?? ?? ?? ?? F3 0F 10 AC 88 ?? ?? ?? ?? F3 0F 10 A4 88 ?? ?? ?? ?? 41 8B C0 99 83 E2 1F 03 C2 F3 44 0F 5C C0 C1 F8 05 0F 5B F6 44 8B C0 99 2B C2 D1 F8 44 2B C0 8D 48 7F 41 83 C0 7F F3 0F 59 35 ?? ?? ?? ?? C1 E1 17 41 C1 E0 17 0F 28 C6 89 8C 24 C0 00 00 00 F3 41 0F 58 C0 0F 28 D0 F3 0F 59 C0 F3 0F 59 15 ?? ?? ?? ?? F3 0F 10 9C 24 C0 00 00 00 44 89 84 24 C0 00 00 00 F3 0F 10 8C 24 C0 00 00 00 F3 41 0F 58 D2 F3 0F 59 D0 0F 28 C4 F3 0F 58 C5 F3 0F 58 D6 F3 41 0F 58 D0 F3 0F 59 D0 F3 0F 58 D4 F3 0F 58 D5 F3 0F 59 D3 F3 0F 59 D1 F3 0F 58 D7 F3 44 0F 5E DA F3 41 0F 5C FB F3 41 0F 59 F9 0F 28 C7 4C 8D 9C 24 B8 00 00 00 41 0F 28 73 E8 41 0F 28 7B D8 45 0F 28 43 C8 45 0F 28 4B B8 45 0F 28 53 A8 45 0F 28 5B 98 49 8B E3 C3 }
	condition:
		$1
}

rule file_403_0_0 {
	meta:
		name = "_fread_nolock_s"
		size = 567
		refs = "0040 _errno 004b _invalid_parameter_noinfo 0090 memset 0114 memcpy_s 0187 _fileno 0199 _read 01b8 _filbuf"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B E9 4C 8B F1 48 89 4C 24 68 48 8B CA 4D 8B F9 4D 8B E0 48 8B F2 48 89 54 24 70 4D 85 C0 74 1A 4D 85 C9 74 15 4D 85 F6 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 78 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 48 8B BC 24 80 00 00 00 48 85 FF 74 0E 33 D2 48 83 C8 FF 49 F7 F4 4C 3B C8 76 29 48 83 FE FF 74 10 4C 8B C6 33 D2 49 8B CD E8 ?? ?? ?? ?? 48 8B CE 48 85 FF 74 A3 33 D2 48 83 C8 FF 49 F7 F4 4C 3B F8 77 95 49 8B DC 49 0F AF DF F7 47 18 0C 01 00 00 48 8B EB 74 06 44 8B 4F 24 EB 06 41 B9 00 10 00 00 44 89 4C 24 60 48 85 DB 0F 84 58 01 00 00 F7 47 18 0C 01 00 00 41 BA FF FF FF 7F 74 5E 4C 63 77 08 45 85 F6 74 50 0F 88 20 01 00 00 49 3B EE 44 0F 42 F5 45 8B CE 4C 3B C9 0F 87 EA 00 00 00 4C 8B 07 48 8B D1 48 8B 4C 24 68 E8 ?? ?? ?? ?? 44 29 77 08 41 8B C6 4C 8B 74 24 68 48 2B E8 48 01 07 48 8B 4C 24 70 44 8B 4C 24 60 4C 03 F0 48 2B C8 E9 A1 00 00 00 4C 8B 74 24 68 45 8B C1 49 3B E8 72 68 45 85 C9 74 20 33 D2 49 3B EA 76 0B 41 8B C2 45 8B F2 41 F7 F1 EB 09 48 8B C5 44 8B F5 49 F7 F0 44 2B F2 EB 0A 44 8B F5 49 3B EA 45 0F 47 F2 41 8B C6 48 3B C1 77 6F 48 8B CF E8 ?? ?? ?? ?? 45 8B C6 4C 8B 74 24 68 49 8B D6 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 83 F8 FF 74 6B 8B C0 48 2B E8 E9 76 FF FF FF 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 58 48 8B 4C 24 70 48 85 C9 74 27 41 88 06 44 8B 4F 24 48 FF CD 49 FF C6 48 FF C9 44 89 4C 24 60 4C 89 74 24 68 48 89 4C 24 70 48 85 ED E9 DF FE FF FF 48 83 FE FF 74 0D 4C 8B C6 33 D2 49 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 35 FE FF FF 83 4F 18 20 48 2B DD 33 D2 48 8B C3 49 F7 F4 E9 28 FE FF FF 83 4F 18 10 EB EA 49 8B C7 E9 1A FE FF FF }
	condition:
		$1
}

rule file_403_1_0 {
	meta:
		name = "_fread_nolock"
		size = 29
		refs = "0014 _fread_nolock_s"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_403_4_0 {
	meta:
		name = "fread"
		size = 29
		refs = "0014 fread_s"
	strings:
		$1 = { 48 83 EC 38 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_403_2_0 {
	meta:
		name = "fread_s"
		size = 167
		refs = "0045 memset 004a _errno 0055 _invalid_parameter_noinfo 005f _lock_file 0076 _fread_nolock_s 0081 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 30 49 8B F1 4D 8B E8 48 8B FA 4C 8B E1 4D 85 C0 74 60 4D 85 C9 74 5B 48 8B 5C 24 60 48 85 DB 75 22 48 83 FA FF 74 0A 4C 8B C2 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 2F 48 8B CB E8 ?? ?? ?? ?? 90 48 89 5C 24 20 4C 8B CE 4D 8B C5 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 30 41 5D C3 }
	condition:
		$1
}

rule file_403_3_0 {
	meta:
		name = "fread_s$fin$0"
		size = 26
		refs = "000e _unlock_file"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_404_3_0 {
	meta:
		name = "_mbsnbcoll_l"
		size = 264
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0062 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 007f _strncoll_l 00ad __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 60 49 8B E9 49 8B D8 48 8B FA 48 8B F1 4D 85 C0 75 07 33 C0 E9 C6 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 A7 00 00 00 48 85 D2 74 E1 48 81 FB FF FF FF 7F 77 D8 48 8D 4C 24 40 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5C 24 48 41 83 7B 08 00 75 13 4C 8B CD 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? EB 5A 41 8B 43 04 41 8B 53 0C 48 8D 4C 24 40 89 44 24 38 89 5C 24 30 4C 8B CE 41 B8 00 10 00 00 48 89 7C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 80 7C 24 58 00 0F 84 76 FF FF FF 48 8B 44 24 50 83 A0 C8 00 00 00 FD E9 65 FF FF FF 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_405_1_0 {
	meta:
		name = "_RTC_GetErrDesc"
		size = 23
		refs = "000b _RTC_errlist"
	strings:
		$1 = { 83 F9 04 77 0F 48 63 C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_405_2_0 {
	meta:
		name = "_RTC_SetErrorType"
		size = 28
		refs = "0008 ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 83 F9 04 77 13 4C 8D 05 ?? ?? ?? ?? 48 63 C9 41 8B 04 88 41 89 14 88 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_405_3_0 {
	meta:
		name = "_RTC_SetErrorFunc"
		size = 23
		refs = "0003 _RTC_ErrorReportFunc 000a _RTC_ErrorReportFuncW"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_405_4_0 {
	meta:
		name = "_RTC_SetErrorFuncW"
		size = 23
		refs = "0003 _RTC_ErrorReportFuncW 000a _RTC_ErrorReportFunc"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 89 0D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_408_0_0 {
	meta:
		name = "fmodf"
		size = 198
		refs = "0099 @fmodfz 00bd _handle_errorf"
	strings:
		$1 = { 48 83 EC 48 F3 0F 11 4C 24 38 F3 0F 11 44 24 30 D9 44 24 38 D9 44 24 30 D9 E5 9B DD 7C 24 10 0F B7 4C 24 10 81 E1 00 45 00 00 DB E2 D9 F8 9B DF E0 66 A9 00 04 75 F5 D9 1C 24 F3 0F 10 04 24 D9 E5 9B DD 7C 24 08 0F B7 54 24 08 81 E2 00 45 00 00 DD D8 81 FA 00 01 00 00 74 32 81 F9 00 01 00 00 74 2A 83 E0 1D 75 18 81 FA 00 05 00 00 74 10 48 83 C4 48 C3 66 66 66 0F 1F 84 00 00 00 00 00 B8 08 00 00 00 41 B8 00 00 C0 FF EB 09 33 C0 66 41 0F 7E C0 EB 00 48 8D 0D ?? ?? ?? ?? BA 16 00 00 00 41 B9 01 00 00 00 89 44 24 20 C7 44 24 28 21 00 00 00 C7 44 24 40 02 00 00 00 E8 ?? ?? ?? ?? 9B DB E2 EB AA }
	condition:
		$1
}

rule file_409_3_0 {
	meta:
		name = "_mbsncmp_l"
		size = 313
		refs = "002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 strncmp 0073 _errno 007e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4D E0 49 8B D1 49 8B F0 E8 ?? ?? ?? ?? 45 33 E4 48 85 F6 75 18 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 CF 00 00 00 4C 8B 45 E8 45 39 60 08 75 13 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 A1 00 00 00 48 85 DB 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 82 00 00 00 48 85 FF 74 D0 0F B6 0B 48 FF CE 48 FF C3 42 F6 44 01 1D 04 74 17 44 38 23 75 05 41 8B CC EB 0D 0F B6 03 66 C1 E1 08 66 0B C8 48 FF C3 0F B6 17 48 FF C7 42 F6 44 02 1D 04 74 17 44 38 27 75 05 41 8B D4 EB 0D 0F B6 07 66 C1 E2 08 66 0B D0 48 FF C7 66 3B D1 75 13 66 85 C9 0F 84 3B FF FF FF 48 85 F6 75 A0 E9 31 FF FF FF 1B C0 83 E0 02 FF C8 44 38 65 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "_copysign"
		size = 55
	strings:
		$1 = { F2 0F 11 44 24 08 48 BA 00 00 00 00 00 00 00 80 48 8B 4C 24 08 F2 0F 11 4C 24 08 48 8B 44 24 08 48 33 C1 48 85 C2 74 0E 48 33 CA 48 89 4C 24 08 F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_411_0_0 {
	meta:
		name = "_gmtime64_s"
		size = 720
		refs = "0022 _errno 002e _invalid_parameter_noinfo 0045 memset 01cf _lpdays 01fd _days"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 48 8B F2 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 82 02 00 00 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 F6 74 D3 4C 8B 0E 49 81 F9 40 57 FF FF 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CA 48 B8 CF 26 41 93 07 00 00 00 4C 3B C8 7F E3 41 BB 1F 85 EB 51 48 B8 B9 70 12 CB F5 48 31 88 49 F7 E9 4D 8D 04 11 49 C1 F8 18 49 8B C0 48 C1 E8 3F 4C 03 C0 41 8B C3 41 83 C0 46 41 8D 88 2B 01 00 00 45 8D 50 FF F7 E9 8B CA C1 F9 07 8B C1 C1 E8 1F 03 C8 41 8B C3 41 F7 EA C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C2 2B CA 99 83 E2 03 03 C2 C1 F8 02 8D 4C 01 EF 41 8D 40 BA 48 63 D1 48 63 C8 48 69 C9 93 FE FF FF 48 2B CA 48 69 C9 80 51 01 00 4C 03 C9 79 68 41 8B C2 49 81 C1 80 33 E1 01 45 8B C2 25 03 00 00 80 41 BA 01 00 00 00 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 18 41 8B C3 41 F7 E8 C1 FA 05 8B CA C1 E9 1F 03 D1 6B D2 64 44 3B C2 75 20 41 8D 88 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 75 61 49 81 C1 80 51 01 00 EB 55 41 8B C0 41 BA 01 00 00 00 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 18 41 8B C3 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 44 3B C2 75 20 41 8D 88 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 75 03 41 8B FA 48 BD 57 29 51 CE A0 C8 45 18 44 89 43 14 4C 8D 05 ?? ?? ?? ?? 48 8B C5 49 F7 E9 48 C1 FA 0D 48 8B C2 48 C1 E8 3F 48 03 D0 48 63 C2 89 53 1C 41 8B D2 48 69 C0 80 AE FE FF 4C 03 C8 48 8D 05 ?? ?? ?? ?? 85 FF 4C 0F 44 C0 8B 43 1C 49 8D 48 04 EB 07 41 03 D2 48 83 C1 04 39 01 7C F5 41 2B D2 48 63 CA 89 53 10 41 2B 04 88 89 43 0C 48 8B C5 48 F7 2E 83 63 20 00 48 8B CA 48 C1 F9 0D 48 8B C1 48 C1 E8 3F 48 03 C8 B8 93 24 49 92 83 C1 04 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 B8 05 7C F3 6A E2 59 D1 48 6B D2 07 2B CA 49 F7 E9 89 4B 18 48 C1 FA 0A 48 8B C2 48 C1 E8 3F 48 03 D0 48 63 C2 89 53 08 48 69 C0 F0 F1 FF FF 4C 03 C8 48 B8 89 88 88 88 88 88 88 88 49 F7 E9 49 03 D1 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 89 53 04 6B D2 3C 44 2B CA 33 C0 44 89 0B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_411_1_0 {
	meta:
		name = "_gmtime64"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _gmtime64_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_479_2_0 {
	meta:
		name = "_gmtime32"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _gmtime32_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_865_2_0 {
	meta:
		name = "_localtime32"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _localtime32_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_810_2_0 {
	meta:
		name = "_localtime64"
		size = 69
		refs = "0013 __getgmtimebuf 0028 _localtime64_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 F6 48 8B D8 48 85 C0 74 14 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_412_0_0 {
	meta:
		name = "_putch_nolock"
		size = 185
		refs = "0015 _getptd 004f isleadbyte 007b mbtowc 008a _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 20 8B F9 E8 ?? ?? ?? ?? 41 BC 01 00 00 00 48 8B D8 66 44 39 A0 8E 00 00 00 75 09 40 88 B8 89 00 00 00 EB 07 40 88 B8 88 00 00 00 33 ED 66 39 A8 8E 00 00 00 75 1A 0F B6 88 88 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 0A 66 44 89 A3 8E 00 00 00 EB 41 0F B7 83 8E 00 00 00 48 8D 93 88 00 00 00 48 8D 4C 24 40 41 03 C4 4C 63 C0 E8 ?? ?? ?? ?? 83 F8 FF 74 14 0F B7 4C 24 40 E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 03 40 B7 FF 66 89 AB 8E 00 00 00 48 8B 5C 24 48 48 8B 6C 24 50 40 0F B6 C7 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_413_3_0 {
	meta:
		name = "write_char"
		size = 34
		refs = "000d _putch_nolock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BE C9 48 8B DA E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_413_4_0 {
	meta:
		name = "write_multi_char"
		size = 73
		refs = "0020 _putch_nolock"
	strings:
		$1 = { 85 D2 7E 44 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 8B FA 0F BE F1 8B CE FF CF E8 ?? ?? ?? ?? 83 F8 FF 74 0D FF 03 83 3B FF 74 09 85 FF 7E 05 EB E5 83 0B FF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_413_5_0 {
	meta:
		name = "write_string"
		size = 147
		refs = "001d _errno 0033 _putch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B D8 8B F2 48 8B F9 E8 ?? ?? ?? ?? 8B 28 E8 ?? ?? ?? ?? 83 20 00 EB 3C 0F BE 0F FF CE E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 48 FF C7 83 3B FF 75 1F E8 ?? ?? ?? ?? 83 38 2A 75 19 B9 3F 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 75 04 09 03 EB 02 FF 03 85 F6 7F C0 E8 ?? ?? ?? ?? 83 38 00 75 07 E8 ?? ?? ?? ?? 89 28 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_413_9_0 {
	meta:
		name = "_vcprintf_l"
		size = 2511
		refs = "0022 __security_cookie 005a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0067 _errno 0072 _invalid_parameter_noinfo 00bf __lookuptable 01f7 __nullstring 023b __wnullstring 0278 wctomb_s 03b0 _get_printf_count_output 051c _malloc_crt 053f _cfltcvt_tab 0554 __imp_DecodePointer 05da strlen 064d write_multi_char 065e write_string 0732 free 0782 __security_check_cookie 0858 _isleadbyte_l 0869 _putch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B8 01 00 00 33 C0 48 8B F1 48 8D 4D 80 4D 8B F0 89 44 24 68 44 8B E8 89 44 24 5C 8B F8 89 44 24 44 89 44 24 4C 89 44 24 64 89 44 24 40 E8 ?? ?? ?? ?? 45 33 D2 48 85 F6 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D 98 74 0B 48 8B 45 90 83 A0 C8 00 00 00 FD 83 C8 FF E9 E5 06 00 00 44 8A 26 45 8B FA 44 89 54 24 58 44 89 54 24 50 44 89 54 24 48 41 8B D2 4C 89 54 24 70 45 84 E4 0F 84 AB 06 00 00 48 8B 5D A8 4C 8D 05 ?? ?? ?? ?? 41 BB 00 02 00 00 48 FF C6 48 89 75 A0 45 85 FF 0F 88 8A 06 00 00 41 8D 44 24 E0 3C 58 77 0F 49 0F BE C4 42 0F BE 4C 00 E0 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 42 0F BE 14 02 C1 FA 04 89 54 24 60 8B CA 85 D2 0F 84 36 07 00 00 FF C9 0F 84 2A 08 00 00 FF C9 0F 84 D2 07 00 00 FF C9 0F 84 91 07 00 00 FF C9 0F 84 7C 07 00 00 FF C9 0F 84 42 07 00 00 FF C9 0F 84 5D 06 00 00 FF C9 0F 85 0B 06 00 00 41 0F BE C4 83 F8 64 0F 8F 78 01 00 00 0F 84 7C 02 00 00 83 F8 41 0F 84 3D 01 00 00 83 F8 43 0F 84 DA 00 00 00 83 F8 45 0F 84 2B 01 00 00 83 F8 47 0F 84 22 01 00 00 83 F8 53 74 78 83 F8 58 0F 84 E2 01 00 00 83 F8 5A 74 17 83 F8 61 0F 84 12 01 00 00 83 F8 63 0F 84 B1 00 00 00 E9 38 04 00 00 49 8B 06 49 83 C6 08 48 85 C0 74 3B 48 8B 58 08 48 85 DB 74 32 0F BF 00 41 0F BA E5 0B 73 17 99 BE 01 00 00 00 2B C2 89 74 24 40 D1 F8 89 44 24 48 E9 06 04 00 00 41 8B F2 44 89 54 24 40 89 44 24 48 E9 F5 03 00 00 48 8B 1D ?? ?? ?? ?? E9 D6 03 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 8B 1E 83 FF FF 8B C7 B9 FF FF FF 7F 0F 44 C1 49 83 C6 08 41 F7 C5 10 08 00 00 0F 84 11 01 00 00 48 85 DB BE 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 89 74 24 40 48 8B CB E9 E2 00 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 83 C6 08 41 F7 C5 10 08 00 00 74 27 45 0F B7 4E F8 48 8D 55 B0 48 8D 4C 24 48 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 64 01 00 00 00 EB 0F 41 8A 46 F8 C7 44 24 48 01 00 00 00 88 45 B0 48 8D 5D B0 E9 40 03 00 00 C7 44 24 6C 01 00 00 00 41 80 C4 20 41 83 CD 40 48 8D 5D B0 41 8B F3 85 FF 0F 89 29 02 00 00 C7 44 24 44 06 00 00 00 E9 68 02 00 00 83 F8 65 0F 8C 0B 03 00 00 83 F8 67 7E D2 83 F8 69 0F 84 F3 00 00 00 83 F8 6E 0F 84 B7 00 00 00 83 F8 6F 0F 84 9E 00 00 00 83 F8 70 74 6A 83 F8 73 0F 84 06 FF FF FF 83 F8 75 0F 84 CE 00 00 00 83 F8 78 0F 85 CB 02 00 00 B8 27 00 00 00 EB 57 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 89 4C 24 48 E9 A9 02 00 00 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 48 E9 7C 02 00 00 BF 10 00 00 00 41 0F BA ED 0F B8 07 00 00 00 89 44 24 68 41 B9 10 00 00 00 45 84 ED 79 5E 04 51 C6 44 24 54 30 41 8D 51 F2 88 44 24 55 EB 51 41 B9 08 00 00 00 45 84 ED 79 42 45 0B EB EB 3D 49 8B 3E 49 83 C6 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 F6 05 00 00 41 F6 C5 20 74 06 66 44 89 3F EB 03 44 89 3F C7 44 24 64 01 00 00 00 E9 49 03 00 00 41 83 CD 40 41 B9 0A 00 00 00 8B 54 24 4C 41 0F BA E5 0F 72 07 41 0F BA E5 0C 73 09 4D 8B 06 49 83 C6 08 EB 2E 49 83 C6 08 41 F6 C5 20 74 14 41 F6 C5 40 74 07 4D 0F BF 46 F8 EB 17 45 0F B7 46 F8 EB 10 41 F6 C5 40 74 06 4D 63 46 F8 EB 04 45 8B 46 F8 41 F6 C5 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA ED 08 41 0F BA E5 0F 72 0A 41 0F BA E5 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E5 F7 41 3B FB 41 0F 4F FB 44 8B 7C 24 68 49 8B C0 48 8D 9D AF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C7 88 03 48 FF CB EB D3 44 8B 7C 24 58 48 8D 85 AF 01 00 00 89 7C 24 44 2B C3 48 FF C3 89 44 24 48 45 85 EB 0F 84 14 01 00 00 85 C0 74 09 80 3B 30 0F 84 07 01 00 00 48 FF CB FF 44 24 48 C6 03 30 E9 F8 00 00 00 75 10 41 80 FC 67 75 44 C7 44 24 44 01 00 00 00 EB 3A 41 3B FB 41 0F 4F FB 89 7C 24 44 81 FF A3 00 00 00 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 44 24 70 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 44 A3 00 00 00 49 8B 06 48 8B 0D ?? ?? ?? ?? 49 83 C6 08 41 0F BE FC 48 63 F6 48 89 45 A8 FF 15 ?? ?? ?? ?? 48 8D 4D 80 44 8B CF 48 89 4C 24 30 8B 4C 24 6C 4C 8B C6 89 4C 24 28 8B 4C 24 44 48 8B D3 89 4C 24 20 48 8D 4D A8 FF D0 41 8B FD 81 E7 80 00 00 00 74 1E 33 C0 39 44 24 44 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 41 80 FC 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA ED 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 89 44 24 48 8B 74 24 40 44 39 54 24 64 0F 85 30 01 00 00 41 F6 C5 40 74 31 41 0F BA E5 08 73 07 C6 44 24 54 2D EB 0B 41 F6 C5 01 74 10 C6 44 24 54 2B BF 01 00 00 00 89 7C 24 4C EB 11 41 F6 C5 02 74 07 C6 44 24 54 20 EB E8 8B 7C 24 4C 44 8B 64 24 5C 44 2B 64 24 48 44 2B E7 41 F6 C5 0C 75 0F 4C 8D 44 24 50 41 8B D4 B1 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 48 8D 4C 24 54 8B D7 E8 ?? ?? ?? ?? 41 F6 C5 08 74 15 41 F6 C5 04 75 0F 4C 8D 44 24 50 41 8B D4 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 48 85 F6 74 5C 85 FF 7E 58 48 8B F3 44 0F B7 0E 48 8D 95 B0 01 00 00 48 8D 4C 24 78 41 B8 06 00 00 00 FF CF 48 83 C6 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 22 8B 54 24 78 85 D2 74 1A 4C 8D 44 24 50 48 8D 8D B0 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 B8 EB 1D 41 83 CF FF 44 89 7C 24 50 EB 17 4C 8D 44 24 50 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 44 8B 7C 24 50 44 89 7C 24 58 45 85 FF 78 22 41 F6 C5 04 74 1C 4C 8D 44 24 50 41 8B D4 B1 20 E8 ?? ?? ?? ?? 44 8B 7C 24 50 45 33 D2 44 89 7C 24 58 48 8B 44 24 70 48 85 C0 74 10 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 54 24 70 8B 54 24 60 48 8B 75 A0 8B 7C 24 44 4C 8D 05 ?? ?? ?? ?? 41 BB 00 02 00 00 44 8A 26 45 84 E4 0F 85 66 F9 FF FF 44 38 55 98 74 0B 48 8B 4D 90 83 A1 C8 00 00 00 FD 41 8B C7 48 8B 8D B8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 03 00 00 48 81 C4 C0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 80 FC 49 74 37 41 80 FC 68 74 28 41 80 FC 6C 74 0D 41 80 FC 77 75 9E 41 0F BA ED 0B EB 97 80 3E 6C 75 0A 48 FF C6 41 0F BA ED 0C EB 88 41 83 CD 10 EB 82 41 83 CD 20 E9 79 FF FF FF 8A 06 41 0F BA ED 0F 3C 36 75 14 80 7E 01 34 75 0E 48 83 C6 02 41 0F BA ED 0F E9 5A FF FF FF 3C 33 75 14 80 7E 01 32 75 0E 48 83 C6 02 41 0F BA F5 0F E9 42 FF FF FF 3C 64 0F 84 3A FF FF FF 3C 69 0F 84 32 FF FF FF 3C 6F 0F 84 2A FF FF FF 3C 75 0F 84 22 FF FF FF 3C 78 0F 84 1A FF FF FF 3C 58 0F 84 12 FF FF FF 44 89 54 24 60 48 8D 55 80 41 0F B6 CC 44 89 54 24 40 E8 ?? ?? ?? ?? 85 C0 0F 84 18 01 00 00 41 0F BE CC E8 ?? ?? ?? ?? 83 F8 FF 0F 85 F8 00 00 00 44 0B F8 E9 F3 00 00 00 41 80 FC 2A 75 18 41 8B 3E 49 83 C6 08 89 7C 24 44 85 FF 0F 89 C0 FE FF FF 83 CF FF EB 0B 8D 0C BF 41 0F BE C4 8D 7C 48 D0 89 7C 24 44 E9 A7 FE FF FF 41 8B FA 44 89 54 24 44 E9 9A FE FF FF 41 80 FC 2A 75 1B 41 8B 06 49 83 C6 08 89 44 24 5C 85 C0 0F 89 81 FE FF FF 41 83 CD 04 F7 D8 EB 0F 8B 44 24 5C 8D 0C 80 41 0F BE C4 8D 44 48 D0 89 44 24 5C E9 61 FE FF FF 41 80 FC 20 74 41 41 80 FC 23 74 31 41 80 FC 2B 74 22 41 80 FC 2D 74 13 41 80 FC 30 0F 85 3F FE FF FF 41 83 CD 08 E9 36 FE FF FF 41 83 CD 04 E9 2D FE FF FF 41 83 CD 01 E9 24 FE FF FF 41 0F BA ED 07 E9 1A FE FF FF 41 83 CD 02 E9 11 FE FF FF 83 CF FF 44 89 54 24 6C 44 89 54 24 64 44 89 54 24 5C 44 89 54 24 4C 45 8B EA 89 7C 24 44 44 89 54 24 40 E9 E9 FD FF FF 41 FF C7 44 8A 26 48 FF C6 45 84 E4 74 39 41 0F BE CC E8 ?? ?? ?? ?? 8B 54 24 60 41 BB 00 02 00 00 4C 8D 05 ?? ?? ?? ?? 83 F8 FF 75 15 44 0B F8 44 89 7C 24 58 44 89 7C 24 50 45 33 D2 E9 A7 FD FF FF 41 FF C7 EB E9 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 38 45 98 E9 AE F6 FF FF }
	condition:
		$1
}

rule file_414_3_0 {
	meta:
		name = "_wcsnicoll_l"
		size = 296
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0061 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00ce __crtCompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 33 ED 49 8B F0 48 8B DA 48 8B F9 4D 85 C0 75 07 33 C0 E9 E8 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 C9 00 00 00 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 48 8D 4C 24 30 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5C 24 30 41 8B 4B 10 85 C9 75 47 48 2B FB 0F B7 04 1F 66 83 F8 41 72 0A 66 83 F8 5A 77 04 66 83 C0 20 0F B7 0B 66 83 F9 41 72 0A 66 83 F9 5A 77 04 66 83 C1 20 48 83 C3 02 48 FF CE 74 0A 66 85 C0 74 05 66 3B C1 74 C6 0F B7 C9 0F B7 C0 2B C1 EB 47 44 8B CE 4C 8B C7 BA 01 10 00 00 89 74 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 40 38 6C 24 48 0F 84 54 FF FF FF 48 8B 44 24 40 83 A0 C8 00 00 00 FD E9 43 FF FF FF 83 C0 FE 40 38 6C 24 48 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_414_4_0 {
	meta:
		name = "_wcsnicoll"
		size = 148
		refs = "000d __locale_changed 0019 _errno 0024 _invalid_parameter_noinfo 0090 _wcsnicoll_l"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 4C 8B D1 44 39 0D ?? ?? ?? ?? 75 78 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 49 81 F8 FF FF FF 7F 77 D8 4C 2B D2 41 0F B7 04 12 66 83 F8 41 72 0A 66 83 F8 5A 77 04 66 83 C0 20 0F B7 0A 66 83 F9 41 72 0A 66 83 F9 5A 77 04 66 83 C1 20 48 83 C2 02 49 FF C8 74 0A 66 85 C0 74 05 66 3B C1 74 C5 0F B7 C9 0F B7 C0 2B C1 48 83 C4 28 C3 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_416_0_0 {
	meta:
		name = "wcstok_s"
		size = 191
		refs = "0013 _errno 001e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 DB 4D 8B D0 4C 8B CA 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 91 00 00 00 48 85 D2 74 E4 48 85 C9 75 35 49 8B 08 48 85 C9 75 2D EB D5 49 8B D1 66 45 39 19 74 18 45 0F B7 01 66 44 3B C0 74 0E 48 83 C2 02 44 0F B7 02 66 45 85 C0 75 EC 66 44 39 1A 74 0C 48 83 C1 02 0F B7 01 66 85 C0 75 CD 48 8B C1 EB 2B 49 8B D1 66 45 39 19 74 18 45 0F B7 01 66 44 3B 01 74 0E 48 83 C2 02 44 0F B7 02 66 45 85 C0 75 EC 66 44 39 1A 75 0C 48 83 C1 02 66 44 39 19 75 CF EB 08 66 44 89 19 48 83 C1 02 48 3B C1 49 89 0A 49 0F 44 C3 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_417_0_0 {
	meta:
		name = "__strncnt"
		size = 35
	strings:
		$1 = { 48 8B C2 48 85 D2 74 10 48 FF C8 80 39 00 74 0B 48 FF C1 48 85 C0 75 F0 48 FF C8 48 2B D0 48 8D 42 FF C3 }
	condition:
		$1
}

rule file_418_0_0 {
	meta:
		name = "scaleDouble_3"
		size = 122
	strings:
		$1 = { 44 8B CA 66 0F 28 D8 B8 56 55 55 55 F7 EA 41 8B C1 44 8B C2 41 C1 E8 1F 44 03 C2 41 2B C0 49 63 C8 99 2B C2 BA FF 03 00 00 D1 F8 48 03 CA 48 C1 E1 34 44 2B C8 48 89 4C 24 08 48 63 C8 45 2B C8 48 03 CA 49 63 C1 F2 0F 10 44 24 08 48 C1 E1 34 48 03 C2 F2 0F 59 C3 48 89 4C 24 08 48 C1 E0 34 F2 0F 10 54 24 08 48 89 44 24 08 F2 0F 59 C2 F2 0F 10 4C 24 08 F2 0F 59 C1 C3 }
	condition:
		$1
}

rule file_418_3_0 {
	meta:
		name = "dekker_mul12"
		size = 128
	strings:
		$1 = { F2 0F 11 44 24 08 66 0F 28 E1 66 0F 28 E8 48 8B 44 24 08 F2 0F 59 C1 48 C7 C1 00 00 00 F8 48 23 C1 48 89 44 24 08 F2 0F 10 5C 24 08 F2 0F 11 4C 24 08 48 8B 44 24 08 48 23 C1 48 89 44 24 08 F2 0F 5C EB F2 0F 10 54 24 08 F2 41 0F 11 00 F2 0F 5C E2 66 0F 28 CA F2 0F 59 D5 F2 0F 59 CB F2 0F 5C C8 66 0F 28 C4 F2 0F 59 E5 F2 0F 59 C3 F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CC F2 41 0F 11 09 C3 }
	condition:
		$1
}

rule file_418_4_0 {
	meta:
		name = "remainder"
		size = 1532
		refs = "00f1 ??_C@_09HALKBBKJ@remainder?$AA@ 0115 _handle_error 0236 __real@3fe0000000000000 0253 __mask@@NegDouble@ 0299 __real@3ff0000000000000 043f __real@43e0000000000000"
	strings:
		$1 = { 48 8B C4 F2 0F 11 40 08 53 48 81 EC 90 00 00 00 0F 29 70 E8 0F 29 78 D8 F2 0F 11 84 24 A8 00 00 00 4C 8B 84 24 A8 00 00 00 66 0F 28 D1 BB 01 00 00 00 F2 0F 11 94 24 A8 00 00 00 4C 8B 9C 24 A8 00 00 00 4D 8B D0 44 0F 29 40 C8 44 0F 29 48 B8 66 0F 28 C8 48 B8 FF FF FF FF FF FF FF 7F 4D 8B CB 49 8B C8 4C 23 C8 4C 23 D0 B8 FF 07 00 00 48 C1 E9 34 49 8B D3 48 C1 EA 34 23 C8 23 D0 3B CB 7C 3E 81 F9 FE 07 00 00 7F 3E 8D 42 FF 3D FD 07 00 00 77 2C 4D 3B D1 0F 85 68 01 00 00 48 B8 00 00 00 00 00 00 00 80 4C 23 C0 4C 89 84 24 A0 00 00 00 F2 0F 10 84 24 A0 00 00 00 E9 1B 05 00 00 81 F9 FE 07 00 00 7E 6A C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 48 B8 FF FF FF FF FF FF 0F 00 F2 0F 11 44 24 30 44 8B CB BA 06 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 4C 85 C0 74 1C 48 B8 00 00 00 00 00 00 08 00 4C 0B C0 83 64 24 20 00 E8 ?? ?? ?? ?? E9 BD 04 00 00 C7 44 24 20 08 00 00 00 49 B8 00 00 00 00 00 00 F8 FF EB E2 81 FA FE 07 00 00 7E 52 48 B8 FF FF FF FF FF FF 0F 00 4C 85 D8 0F 84 8E 04 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 F2 0F 11 44 24 30 49 B8 00 00 00 00 00 00 08 00 C7 44 24 28 21 00 00 00 4D 0B C3 83 64 24 20 00 BA 06 00 00 00 44 8B CB 48 8D 0D ?? ?? ?? ?? EB 88 4D 85 D2 75 39 4D 85 C9 0F 85 41 04 00 00 C7 44 24 40 02 00 00 00 F2 0F 11 54 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 49 B8 00 00 00 00 00 00 F8 FF C7 44 24 20 08 00 00 00 EB B1 4D 85 C9 74 CB 49 B8 00 00 00 00 00 00 10 00 3B CB 7D 12 49 8B C2 4D 3B D0 73 0A 48 03 C0 2B CB 49 3B C0 72 F6 3B D3 7D 12 49 8B C1 4D 3B C8 73 0A 48 03 C0 2B D3 49 3B C0 72 F6 4C 89 94 24 A8 00 00 00 F2 0F 10 BC 24 A8 00 00 00 4C 89 8C 24 A8 00 00 00 F2 44 0F 10 84 24 A8 00 00 00 4D 3B D1 73 33 66 41 0F 28 C0 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F8 76 05 F2 41 0F 5C F8 66 0F 57 C0 66 0F 2F C1 76 08 66 0F 57 3D ?? ?? ?? ?? 66 0F 28 C7 E9 7B 03 00 00 0F AE 9C 24 A8 00 00 00 44 8B 9C 24 A8 00 00 00 3B CA 7F 05 45 33 D2 EB 1B 2B CA B8 4F EC C4 4E F7 E9 44 8B D2 41 C1 FA 04 41 8B C2 C1 E8 1F 44 03 D0 75 0E F2 44 0F 10 0D ?? ?? ?? ?? E9 AB 00 00 00 B8 56 55 55 55 45 8B C2 45 6B C0 34 41 F7 E8 41 8B C0 8B CA C1 E9 1F 03 CA 2B C1 99 2B C2 BA FF 03 00 00 D1 F8 44 2B C0 48 98 44 2B C1 48 03 C2 48 63 C9 48 C1 E0 34 48 03 CA 48 C1 E1 34 48 89 8C 24 A8 00 00 00 F2 0F 10 94 24 A8 00 00 00 48 89 84 24 A8 00 00 00 49 63 C0 F2 0F 10 8C 24 A8 00 00 00 48 03 C2 48 C1 E0 34 48 89 84 24 A8 00 00 00 F2 41 0F 59 D0 48 B8 00 00 00 00 00 00 B0 3C 66 44 0F 28 C2 F2 44 0F 59 C1 F2 0F 10 84 24 A8 00 00 00 48 89 84 24 A8 00 00 00 F2 44 0F 59 C0 F2 44 0F 10 8C 24 A8 00 00 00 49 C7 C0 00 00 00 F8 45 85 D2 0F 8E DA 00 00 00 41 8B CA F2 44 0F 11 84 24 A8 00 00 00 66 0F 28 C7 66 0F 28 DF F2 41 0F 5E C0 66 41 0F 28 F0 F2 48 0F 2C C0 66 0F EF C0 F2 48 0F 2A C0 48 8B 84 24 A8 00 00 00 49 23 C0 48 89 84 24 B0 00 00 00 F2 0F 10 A4 24 B0 00 00 00 F2 0F 11 84 24 B8 00 00 00 66 0F 28 E8 F2 41 0F 59 C0 48 8B 84 24 B8 00 00 00 49 23 C0 48 89 84 24 B0 00 00 00 F2 0F 10 94 24 B0 00 00 00 F2 0F 5C D8 F2 0F 5C F4 F2 0F 5C FB F2 0F 5C EA 66 0F 28 CA F2 0F 59 D6 F2 0F 59 CC F2 0F 5C C8 F2 0F 5C F8 66 0F 28 C5 F2 0F 59 EE F2 0F 59 C4 66 0F 57 F6 F2 0F 58 C8 F2 0F 58 CA F2 0F 58 CD F2 0F 5C F9 F2 0F 58 FB 66 0F 2F F7 76 05 F2 41 0F 58 F8 48 2B CB F2 45 0F 59 C1 0F 85 2B FF FF FF EB 04 66 0F 57 F6 F2 0F 10 0D ?? ?? ?? ?? 66 0F 28 C7 66 45 0F EF C9 33 D2 F2 41 0F 5E C0 66 0F 2F C1 F2 48 0F 2C C0 F2 4C 0F 2A C8 76 17 F2 0F 5C C1 66 0F 2F C1 73 0D 48 B8 00 00 00 00 00 00 00 80 48 8B D0 F2 44 0F 11 84 24 A8 00 00 00 F2 48 0F 2C C8 66 41 0F 28 D9 48 8B 84 24 A8 00 00 00 49 23 C0 48 89 84 24 A8 00 00 00 48 03 CA 48 23 CB F2 0F 10 94 24 A8 00 00 00 F2 44 0F 11 8C 24 A8 00 00 00 66 41 0F 28 E8 F2 45 0F 59 C8 48 8B 84 24 A8 00 00 00 49 23 C0 48 89 84 24 A8 00 00 00 F2 0F 10 8C 24 A8 00 00 00 F2 0F 5C EA F2 0F 5C D9 66 0F 28 E1 F2 0F 59 CD F2 0F 59 E2 66 0F 28 C3 F2 0F 59 DD F2 41 0F 5C E1 F2 0F 59 C2 F2 0F 58 E0 66 0F 28 C7 F2 41 0F 5C C1 F2 0F 58 E1 F2 0F 5C F8 F2 0F 58 E3 F2 41 0F 5C F9 F2 0F 5C FC F2 0F 58 F8 66 0F 2F F7 F2 0F 11 BC 24 B0 00 00 00 76 19 33 C0 48 85 C9 F2 41 0F 58 F8 0F 94 C0 F2 0F 11 BC 24 B0 00 00 00 48 8B C8 48 B8 00 00 00 00 00 00 D0 7F 4C 3B C8 73 1B 66 0F 28 C7 F2 0F 58 C7 66 41 0F 2F C0 77 2C 48 85 C9 74 35 66 41 0F 2E C0 EB 1C 66 41 0F 28 C0 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F8 77 0D 48 85 C9 74 16 66 0F 2E F8 7A 10 75 0E F2 41 0F 5C F8 F2 0F 11 BC 24 B0 00 00 00 44 89 9C 24 A8 00 00 00 0F AE 94 24 A8 00 00 00 66 0F 57 C0 66 0F 2F 84 24 A0 00 00 00 F2 0F 10 84 24 B0 00 00 00 76 08 66 0F 57 05 ?? ?? ?? ?? 0F 28 7C 24 70 4C 8D 9C 24 90 00 00 00 41 0F 28 73 F0 45 0F 28 43 D0 45 0F 28 4B C0 49 8B E3 5B C3 }
	condition:
		$1
}

rule file_419_0_0 {
	meta:
		name = "_lfind"
		size = 151
		refs = "002d _errno 0038 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 20 33 ED 45 8B E1 49 8B F8 48 8B DA 4C 8B E9 48 85 C9 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 40 4C 8B 64 24 48 48 83 C4 20 41 5D C3 4D 85 C0 74 CE 48 85 D2 75 05 41 39 28 75 C4 45 85 C9 74 BF 48 39 6C 24 50 74 B8 41 39 28 76 C3 48 8B D3 49 8B CD FF 54 24 50 85 C0 74 0B FF C5 49 03 DC 3B 2F 72 E9 EB AA 48 8B C3 EB A7 }
	condition:
		$1
}

rule file_420_0_0 {
	meta:
		name = "strtok_s"
		size = 270
		refs = "000d __security_cookie 002a _errno 0035 _invalid_parameter_noinfo 00ff __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 33 FF 4D 8B D8 48 8B DA 4C 8B D1 4D 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 B6 00 00 00 48 85 D2 74 E4 48 85 C9 75 05 49 39 38 74 DA 48 89 7C 24 20 48 89 7C 24 28 48 89 7C 24 30 48 89 7C 24 38 44 0F B6 0B BA 01 00 00 00 48 FF C3 41 8B C9 45 8B C1 83 E1 07 49 C1 E8 03 D2 E2 42 08 54 04 20 45 84 C9 75 DB 4D 85 D2 75 0D 4D 8B 13 EB 08 45 84 C0 74 21 49 FF C2 45 0F B6 02 BA 01 00 00 00 41 8B C8 41 8B C0 83 E1 07 48 C1 E8 03 D3 E2 84 54 04 20 75 DA 4D 8B CA EB 1F 45 0F B6 02 BA 01 00 00 00 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 54 04 20 75 0A 49 FF C2 41 38 3A 75 DC EB 06 41 88 3A 49 FF C2 4D 3B CA 4D 89 13 4C 0F 44 CF 49 8B C1 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_421_0_0 {
	meta:
		name = "_set_osfhnd"
		size = 173
		refs = "001d _nhandle 0029 __pioinfo 0049 __app_type 0071 __imp_SetStdHandle 0083 _errno 008e __doserrno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B DA 85 C9 78 67 3B 0D ?? ?? ?? ?? 73 5F 48 63 F9 48 8D 2D ?? ?? ?? ?? 48 8B F7 83 E7 1F 48 C1 FE 05 48 6B FF 58 48 8B 44 F5 00 48 83 3C 07 FF 75 3B 83 3D ?? ?? ?? ?? 01 75 25 85 C9 74 16 FF C9 74 0B FF C9 75 19 B9 F4 FF FF FF EB 0C B9 F5 FF FF FF EB 05 B9 F6 FF FF FF FF 15 ?? ?? ?? ?? 48 8B 44 F5 00 48 89 1C 07 33 C0 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_421_1_0 {
	meta:
		name = "_free_osfhnd"
		size = 170
		refs = "0015 _nhandle 0021 __pioinfo 0048 __app_type 0072 __imp_SetStdHandle 0085 _errno 0090 __doserrno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 85 C9 78 71 3B 0D ?? ?? ?? ?? 73 69 48 63 D9 48 8D 2D ?? ?? ?? ?? 48 8B FB 83 E3 1F 48 C1 FF 05 48 6B DB 58 48 8B 44 FD 00 F6 44 18 08 01 74 45 48 83 3C 18 FF 74 3E 83 3D ?? ?? ?? ?? 01 75 27 85 C9 74 16 FF C9 74 0B FF C9 75 1B B9 F4 FF FF FF EB 0C B9 F5 FF FF FF EB 05 B9 F6 FF FF FF 33 D2 FF 15 ?? ?? ?? ?? 48 8B 44 FD 00 48 83 0C 03 FF 33 C0 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_421_2_0 {
	meta:
		name = "_get_osfhandle"
		size = 116
		refs = "000a __doserrno 0012 _errno 0024 _nhandle 0030 __pioinfo 0067 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 83 F9 FE 75 15 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 4D 85 C9 78 31 3B 0D ?? ?? ?? ?? 73 29 48 63 D1 48 8D 0D ?? ?? ?? ?? 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 48 8B 04 C1 F6 44 10 08 01 74 06 48 8B 04 10 EB 1C E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_421_3_0 {
	meta:
		name = "__lock_fhandle"
		size = 165
		refs = "0026 __pioinfo 0045 _lock 005d __imp_InitializeCriticalSectionAndSpinCount 0071 _unlock 0084 __imp_EnterCriticalSection"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 56 48 83 EC 20 48 63 D9 4C 8B E3 49 C1 FC 05 4C 8D 35 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 4B 8B 34 E6 BF 01 00 00 00 83 7C 33 0C 00 75 34 8D 4F 09 E8 ?? ?? ?? ?? 90 83 7C 33 0C 00 75 1A 48 8D 4C 33 10 BA A0 0F 00 00 FF 15 ?? ?? ?? ?? F7 D8 1B D2 23 FA FF 44 33 0C B9 0A 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0F 4B 8B 0C E6 48 8D 4C 19 10 FF 15 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 64 24 48 48 83 C4 20 41 5E C3 }
	condition:
		$1
}

rule file_421_4_0 {
	meta:
		name = "__lock_fhandle$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_alloc_osfhnd$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_421_5_0 {
	meta:
		name = "_unlock_fhandle"
		size = 40
		refs = "0006 __pioinfo 0024 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 63 D1 48 8D 0D ?? ?? ?? ?? 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 48 8B 04 C1 48 8D 4C 10 10 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_421_6_0 {
	meta:
		name = "_alloc_osfhnd"
		size = 520
		refs = "0029 _mtinitlocknum 003b _lock 0045 __pioinfo 00aa __imp_InitializeCriticalSectionAndSpinCount 00c6 _unlock 00d5 __imp_EnterCriticalSection 00e5 __imp_LeaveCriticalSection 0160 _calloc_crt 017e _nhandle 01d1 __lock_fhandle"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 55 41 56 48 83 EC 40 48 83 CE FF 44 8B E6 45 33 ED 8D 5E 0C 8B CB E8 ?? ?? ?? ?? 85 C0 75 07 8B C6 E9 B6 01 00 00 8B CB E8 ?? ?? ?? ?? 90 33 FF 48 8D 05 ?? ?? ?? ?? 89 7C 24 24 83 FF 40 0F 8D 8B 01 00 00 4C 63 F7 4A 8B 1C F0 48 85 DB 0F 84 F1 00 00 00 48 89 5C 24 30 4A 8B 04 F0 48 05 00 0B 00 00 48 3B D8 0F 83 C9 00 00 00 F6 43 08 01 0F 85 AB 00 00 00 83 7B 0C 00 75 3C B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 83 7B 0C 00 75 21 48 8D 4B 10 BA A0 0F 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 0B 44 8D 68 01 44 89 6C 24 28 EB 03 FF 43 0C B9 0A 00 00 00 E8 ?? ?? ?? ?? 45 85 ED 75 64 48 8D 4B 10 FF 15 ?? ?? ?? ?? F6 43 08 01 74 0C 48 8D 4B 10 FF 15 ?? ?? ?? ?? EB 48 48 83 CE FF 45 85 ED 75 3F C6 43 08 01 48 89 33 4C 8D 05 ?? ?? ?? ?? 4B 2B 1C F0 48 B8 A3 8B 2E BA E8 A2 8B 2E 48 F7 EB 4C 8B E2 49 C1 FC 04 49 8B C4 48 C1 E8 3F 4C 03 E0 8B C7 C1 E0 05 44 03 E0 44 89 64 24 20 EB 14 48 83 C3 58 48 83 CE FF 48 8D 05 ?? ?? ?? ?? E9 1F FF FF FF 44 3B E6 0F 85 91 00 00 00 FF C7 E9 EB FE FF FF BA 58 00 00 00 8D 4A C8 E8 ?? ?? ?? ?? 48 89 44 24 30 48 85 C0 74 73 48 63 D7 4C 8D 05 ?? ?? ?? ?? 49 89 04 D0 83 05 ?? ?? ?? ?? 20 49 8B 0C D0 48 81 C1 00 0B 00 00 48 3B C1 73 1A C6 40 08 00 48 89 30 C6 40 09 0A 83 60 0C 00 48 83 C0 58 48 89 44 24 30 EB D6 C1 E7 05 89 7C 24 20 48 63 CF 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 8B 04 C0 C6 44 08 08 01 8B CF E8 ?? ?? ?? ?? 85 C0 0F 44 FE 44 8B E7 89 7C 24 20 B9 0B 00 00 00 E8 ?? ?? ?? ?? 41 8B C4 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_421_8_0 {
	meta:
		name = "_alloc_osfhnd$fin$1"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0B 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_421_9_0 {
	meta:
		name = "_open_osfhandle"
		size = 251
		refs = "0040 __imp_GetFileType 004a __imp_GetLastError 0051 _dosmaperr 0070 _alloc_osfhnd 0081 _errno 008c __doserrno 009b _set_osfhnd 00af __pioinfo 00df _unlock_fhandle"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 48 8B F1 45 33 E4 44 89 60 E8 F6 C2 08 41 0F B6 DC 41 8D 44 24 20 0F 45 D8 0F BA E2 0E 73 03 80 CB 80 84 D2 79 03 80 CB 10 FF 15 ?? ?? ?? ?? 85 C0 75 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C8 FF E9 88 00 00 00 83 F8 02 75 05 80 CB 40 EB 08 83 F8 03 75 03 80 CB 08 E8 ?? ?? ?? ?? 48 63 F8 89 7C 24 48 83 FF FF 75 15 E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 44 89 20 EB C0 48 8B D6 8B CF E8 ?? ?? ?? ?? 80 CB 01 48 8B D7 48 8B CF 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 8B 04 C8 88 5C 10 08 49 8B 04 C8 80 64 10 38 80 49 8B 04 C8 80 64 10 38 7F C7 44 24 20 01 00 00 00 8B CF E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_421_10_0 {
	meta:
		name = "_open_osfhandle$fin$0"
		size = 72
		refs = "0020 __pioinfo 003c _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 27 48 63 55 48 48 8B CA 48 8B C2 48 C1 F8 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C0 80 64 08 08 FE EB 03 8B 55 48 8B CA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_422_0_0 {
	meta:
		name = "_splitpath_helper"
		size = 652
		refs = "00e2 _mbsnbcpy_s 0107 _ismbblead 0251 _errno 025d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B A4 24 98 00 00 00 4C 8B AC 24 88 00 00 00 48 8B F9 4C 8B F2 33 D2 4D 8B F9 8B CA 89 54 24 60 48 85 FF 74 0A 4D 85 F6 75 0F 4D 85 C0 74 0F B9 01 00 00 00 E9 B3 01 00 00 4D 85 C0 74 F1 4D 85 C9 75 0C 48 39 94 24 80 00 00 00 75 E2 EB 0A 48 39 94 24 80 00 00 00 74 D6 4D 85 ED 75 0C 48 39 94 24 90 00 00 00 75 C7 EB 0A 48 39 94 24 90 00 00 00 74 BB 4D 85 E4 75 0C 48 39 94 24 A0 00 00 00 75 AC EB 0A 48 39 94 24 A0 00 00 00 74 A0 B8 01 00 00 00 48 8B DF 38 13 74 08 48 FF C3 48 FF C8 75 F4 80 3B 3A 75 2C 4D 85 F6 74 21 49 83 F8 03 0F 82 35 01 00 00 41 B9 02 00 00 00 4C 8B C7 48 83 CA FF 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 7B 01 EB 08 4D 85 F6 74 03 41 88 16 48 8B EA 48 8B F2 48 8B DF 38 17 74 65 0F BE 0B E8 ?? ?? ?? ?? 33 D2 85 C0 74 05 48 FF C3 EB 17 8A 03 3C 2F 74 0D 3C 5C 74 09 3C 2E 75 09 48 8B F3 EB 04 48 8D 6B 01 48 FF C3 38 13 75 CF 48 85 ED 74 2F 4D 85 FF 74 25 4C 8B CD 4C 2B CF 4C 39 8C 24 80 00 00 00 0F 86 A7 00 00 00 4C 8B C7 48 83 CA FF 49 8B CF E8 ?? ?? ?? ?? 33 D2 48 8B FD EB 08 4D 85 FF 74 03 41 88 17 48 85 F6 74 51 48 3B F7 72 4C 4D 85 ED 74 21 4C 8B CE 4C 2B CF 4C 39 8C 24 90 00 00 00 76 6E 4C 8B C7 48 83 CA FF 49 8B CD E8 ?? ?? ?? ?? 33 D2 4D 85 E4 74 50 48 2B DE 48 39 9C 24 A0 00 00 00 76 4B 4C 8B CB 4C 8B C6 48 83 CA FF 49 8B CC E8 ?? ?? ?? ?? EB 2F 4D 85 ED 74 21 48 2B DF 48 39 9C 24 90 00 00 00 76 25 4C 8B CB 4C 8B C7 48 83 CA FF 49 8B CD E8 ?? ?? ?? ?? 33 D2 4D 85 E4 74 04 41 88 14 24 33 C0 EB 7E 8B CA EB 04 8B 4C 24 60 4C 8B 44 24 70 4D 85 F6 74 08 4D 85 C0 74 03 41 88 16 4D 85 FF 74 0D 48 39 94 24 80 00 00 00 76 03 41 88 17 4D 85 ED 74 0E 48 39 94 24 90 00 00 00 76 04 41 88 55 00 4D 85 E4 74 0E 48 39 94 24 A0 00 00 00 76 04 41 88 14 24 48 85 FF 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 12 85 C9 75 E7 E8 ?? ?? ?? ?? B9 22 00 00 00 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_422_1_0 {
	meta:
		name = "_splitpath"
		size = 142
		refs = "007a _splitpath_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 49 8B D8 48 8B FA 41 B8 00 01 00 00 48 8B F1 48 8B 8C 24 80 00 00 00 48 8B C1 48 F7 D8 49 8B C1 4D 1B DB 4D 23 D8 48 F7 D8 48 8B C3 4D 1B D2 4C 89 5C 24 40 48 89 4C 24 38 4D 23 D0 48 F7 D8 48 8B C7 48 1B D2 4C 89 54 24 30 4C 89 4C 24 28 49 23 D0 48 F7 D8 4C 8B CB 4D 1B C0 48 89 54 24 20 48 8B D7 41 83 E0 03 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_692_1_0 {
	meta:
		name = "_wsplitpath"
		size = 142
		refs = "007a _wsplitpath_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 49 8B D8 48 8B FA 41 B8 00 01 00 00 48 8B F1 48 8B 8C 24 80 00 00 00 48 8B C1 48 F7 D8 49 8B C1 4D 1B DB 4D 23 D8 48 F7 D8 48 8B C3 4D 1B D2 4C 89 5C 24 40 48 89 4C 24 38 4D 23 D0 48 F7 D8 48 8B C7 48 1B D2 4C 89 54 24 30 4C 89 4C 24 28 49 23 D0 48 F7 D8 4C 8B CB 4D 1B C0 48 89 54 24 20 48 8B D7 41 83 E0 03 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_423_14_0 {
	meta:
		name = "dump_XmmiFpEnv"
		size = 35
		refs = "0007 __security_cookie 001a __security_check_cookie"
	strings:
		$1 = { 48 83 EC 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 04 24 48 8B 0C 24 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_423_19_0 {
	meta:
		name = "print_FPIEEE_RECORD_EXCEPTION2"
		size = 88
		refs = "0025 ??_C@_0CP@LOMHEIAG@ERROR?3?5expected?5res?5?$DN?5?$CFx?5got?5res@ 0032 printf 0042 ??_C@_0CL@CIOCHMAI@ERROR?3?5expected?5flags?5?$DN?5?$CFx?5got?5f@"
		altNames = "print_FPIEEE_RECORD_NO_EXCEPTION2"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 20 41 8B D8 48 8B F9 3B 50 50 74 1D 66 0F 6E 50 50 44 8B 48 50 48 8D 0D ?? ?? ?? ?? 0F 5A D2 66 49 0F 7E D0 E8 ?? ?? ?? ?? 44 8B 47 04 41 3B D8 74 0E 48 8D 0D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_423_20_0 {
	meta:
		name = "print_FPIEEE_RECORD_EXCEPTION3"
		size = 71
		refs = "001c ??_C@_0CN@GELCHFEH@ERROR?3?5expected?5eflags?5?$DN?5?$CFx?5got?5@ 0021 printf 0031 ??_C@_0CL@CIOCHMAI@ERROR?3?5expected?5flags?5?$DN?5?$CFx?5got?5f@"
		altNames = "print_FPIEEE_RECORD_NO_EXCEPTION3"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B D8 44 8B 41 1C 48 8B F9 41 3B D0 74 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 47 04 41 3B D8 74 0E 48 8D 0D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_424_0_0 {
	meta:
		name = "__chkstk2"
		size = 60
	strings:
		$1 = { 41 50 41 51 4D 33 C9 4C 8D 44 24 18 4C 2B C0 4D 0F 42 C1 65 4C 8B 0C 25 10 00 00 00 4D 3B C1 73 16 66 41 81 E0 00 F0 4D 8D 89 00 F0 FF FF 41 C6 01 00 4D 3B C1 75 F0 41 59 41 58 C3 }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "memcpy"
		size = 820
	strings:
		$1 = { 4C 8B D9 48 2B D1 0F 82 9E 01 00 00 49 83 F8 08 72 61 F6 C1 07 74 36 F6 C1 01 74 0B 8A 04 0A 49 FF C8 88 01 48 FF C1 F6 C1 02 74 0F 66 8B 04 0A 49 83 E8 02 66 89 01 48 83 C1 02 F6 C1 04 74 0D 8B 04 0A 49 83 E8 04 89 01 48 83 C1 04 4D 8B C8 49 C1 E9 05 75 51 4D 8B C8 49 C1 E9 03 74 14 48 8B 04 0A 48 89 01 48 83 C1 08 49 FF C9 75 F0 49 83 E0 07 4D 85 C0 75 08 49 8B C3 C3 0F 1F 40 00 8A 04 0A 88 01 48 FF C1 49 FF C8 75 F3 49 8B C3 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 66 66 90 66 66 90 49 81 F9 00 20 00 00 73 42 48 8B 04 0A 4C 8B 54 0A 08 48 83 C1 20 48 89 41 E0 4C 89 51 E8 48 8B 44 0A F0 4C 8B 54 0A F8 49 FF C9 48 89 41 F0 4C 89 51 F8 75 D4 49 83 E0 1F E9 71 FF FF FF 66 66 66 0F 1F 84 00 00 00 00 00 66 90 48 81 FA 00 10 00 00 72 B5 B8 20 00 00 00 0F 18 04 0A 0F 18 44 0A 40 48 81 C1 80 00 00 00 FF C8 75 EC 48 81 E9 00 10 00 00 B8 40 00 00 00 4C 8B 0C 0A 4C 8B 54 0A 08 4C 0F C3 09 4C 0F C3 51 08 4C 8B 4C 0A 10 4C 8B 54 0A 18 4C 0F C3 49 10 4C 0F C3 51 18 4C 8B 4C 0A 20 4C 8B 54 0A 28 48 83 C1 40 4C 0F C3 49 E0 4C 0F C3 51 E8 4C 8B 4C 0A F0 4C 8B 54 0A F8 FF C8 4C 0F C3 49 F0 4C 0F C3 51 F8 75 AA 49 81 E8 00 10 00 00 49 81 F8 00 10 00 00 0F 83 71 FF FF FF F0 80 0C 24 00 E9 B9 FE FF FF 66 66 66 66 0F 1F 84 00 00 00 00 00 66 66 66 90 66 66 66 90 66 90 49 03 C8 49 83 F8 08 72 61 F6 C1 07 74 36 F6 C1 01 74 0B 48 FF C9 8A 04 0A 49 FF C8 88 01 F6 C1 02 74 0F 48 83 E9 02 66 8B 04 0A 49 83 E8 02 66 89 01 F6 C1 04 74 0D 48 83 E9 04 8B 04 0A 49 83 E8 04 89 01 4D 8B C8 49 C1 E9 05 75 50 4D 8B C8 49 C1 E9 03 74 14 48 83 E9 08 48 8B 04 0A 49 FF C9 48 89 01 75 F0 49 83 E0 07 4D 85 C0 75 07 49 8B C3 C3 0F 1F 00 48 FF C9 8A 04 0A 49 FF C8 88 01 75 F3 49 8B C3 C3 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 66 66 90 66 66 90 49 81 F9 00 20 00 00 73 42 48 8B 44 0A F8 4C 8B 54 0A F0 48 83 E9 20 48 89 41 18 4C 89 51 10 48 8B 44 0A 08 4C 8B 14 0A 49 FF C9 48 89 41 08 4C 89 11 75 D5 49 83 E0 1F E9 73 FF FF FF 66 66 66 66 0F 1F 84 00 00 00 00 00 66 90 48 81 FA 00 F0 FF FF 77 B5 B8 20 00 00 00 48 81 E9 80 00 00 00 0F 18 04 0A 0F 18 44 0A 40 FF C8 75 EC 48 81 C1 00 10 00 00 B8 40 00 00 00 4C 8B 4C 0A F8 4C 8B 54 0A F0 4C 0F C3 49 F8 4C 0F C3 51 F0 4C 8B 4C 0A E8 4C 8B 54 0A E0 4C 0F C3 49 E8 4C 0F C3 51 E0 4C 8B 4C 0A D8 4C 8B 54 0A D0 48 83 E9 40 4C 0F C3 49 18 4C 0F C3 51 10 4C 8B 4C 0A 08 4C 8B 14 0A FF C8 4C 0F C3 49 08 4C 0F C3 11 75 AA 49 81 E8 00 10 00 00 49 81 F8 00 10 00 00 0F 83 71 FF FF FF F0 80 0C 24 00 E9 BA FE FF FF }
	condition:
		$1
}

rule file_428_3_0 {
	meta:
		name = "_mbscat_s_l"
		size = 579
		refs = "003b _errno 0047 _invalid_parameter_noinfo 0073 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 008d strcat_s 00fc _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 4D 8B E0 48 8B F2 48 8B D9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 34 44 88 01 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5D E8 33 C9 41 39 4B 08 75 21 4D 8B C4 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 80 7D F8 00 74 B6 48 8B 4D F0 83 A1 C8 00 00 00 FD EB A9 44 8B F9 48 8B FB 38 0F 74 08 48 FF C7 48 FF CE 75 F4 48 85 F6 75 2B 88 0B E8 ?? ?? ?? ?? 8D 5E 16 89 18 E8 ?? ?? ?? ?? 44 38 7D F8 0F 84 75 FF FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 65 FF FF FF 4C 8D 77 FF 4D 8B EE 4C 3B F3 72 1C 41 0F B6 4D 00 48 8D 55 E0 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 49 FF CD 4C 3B EB 73 E4 41 8B C6 41 2B C5 41 BD 01 00 00 00 41 84 C5 74 0C 45 8B FD 49 8B FE 41 88 0E 49 03 F5 41 8A 04 24 4D 03 E5 88 07 49 03 FD 84 C0 74 05 49 2B F5 75 EB 48 85 F6 0F 85 88 00 00 00 41 38 0C 24 75 55 48 8D 77 FF 48 8B FE 48 3B F3 72 1A 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 49 2B FD 48 3B FB 73 E6 8B C6 2B C7 41 84 C5 74 26 88 0E E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C2 E9 A9 FE FF FF 88 0B E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7D F8 00 0F 84 8A FE FF FF 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 7A FE FF FF 48 8D 77 FE 48 8B FE 48 3B F3 72 1A 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 33 C9 85 C0 74 08 49 2B FD 48 3B FB 73 E6 8B C6 2B C7 41 84 C5 74 05 88 0E 45 8B FD 45 85 FF 74 22 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 80 7D F8 00 74 81 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 71 FF FF FF 38 4D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 0A FE FF FF }
	condition:
		$1
}

rule file_429_0_0 {
	meta:
		name = "longjmp"
		size = 236
		refs = "00e6 RtlUnwindEx"
	strings:
		$1 = { 48 81 EC 38 05 00 00 48 85 D2 75 03 48 FF C2 4D 33 D2 4C 39 11 0F 85 88 00 00 00 48 8B C2 48 8B 59 08 48 8B 71 20 48 8B 79 28 4C 8B 61 30 4C 8B 69 38 4C 8B 71 40 4C 8B 79 48 0F AE 51 58 DB E2 D9 69 5C 66 0F 6F 71 60 66 0F 6F 79 70 66 44 0F 6F 81 80 00 00 00 66 44 0F 6F 89 90 00 00 00 66 44 0F 6F 91 A0 00 00 00 66 44 0F 6F 99 B0 00 00 00 66 44 0F 6F A1 C0 00 00 00 66 44 0F 6F A9 D0 00 00 00 66 44 0F 6F B1 E0 00 00 00 66 44 0F 6F B9 F0 00 00 00 48 8B 51 50 48 8B 69 18 48 8B 61 10 FF E2 C7 44 24 30 26 00 00 80 44 89 54 24 34 4C 89 54 24 38 4C 89 54 24 40 4C 89 54 24 28 41 FF C2 44 89 54 24 48 48 89 4C 24 50 48 8D 44 24 60 48 89 44 24 20 4C 8B CA 4C 8D 44 24 30 48 8B 51 50 48 8B 09 E8 ?? ?? ?? ?? EB B7 }
	condition:
		$1
}

rule file_430_0_0 {
	meta:
		name = "_is_LFH_enabled"
		size = 66
		refs = "0009 _crtheap 0026 __imp_HeapQueryInformation"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 0D ?? ?? ?? ?? 83 4C 24 40 FF 33 DB 44 8D 4B 04 4C 8D 44 24 40 33 D2 48 89 5C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0C 83 7C 24 40 02 75 05 BB 01 00 00 00 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_430_1_0 {
	meta:
		name = "_expand"
		size = 249
		refs = "0020 _errno 002b _invalid_parameter_noinfo 0057 _crtheap 0063 __imp_HeapSize 007e __imp_HeapReAlloc 00b6 __imp_HeapQueryInformation 00d4 __imp_GetLastError 00db _get_errno_from_oserr"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 48 8B DA 48 8B F9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 AE 00 00 00 48 83 FA E0 76 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB E6 48 85 D2 B8 01 00 00 00 4C 8B C1 48 8B 0D ?? ?? ?? ?? 48 0F 44 D8 33 D2 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8B CB 4C 8B C7 BA 10 00 00 00 48 8B E8 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 57 48 81 FD 00 40 00 00 77 37 48 3B DD 77 32 48 8B 0D ?? ?? ?? ?? 83 4C 24 40 FF 48 21 44 24 20 44 8D 48 04 4C 8D 44 24 40 33 D2 FF 15 ?? ?? ?? ?? 85 C0 74 0C 83 7C 24 40 02 75 05 48 8B F7 EB 17 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 48 8B C6 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_431_1_0 {
	meta:
		name = "_findclose"
		size = 37
		refs = "0006 __imp_FindClose 000f _errno"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_431_2_0 {
	meta:
		name = "__timet_from_ft"
		size = 140
		refs = "0007 __security_cookie 0025 __imp_FileTimeToLocalFileTime 0039 __imp_FileTimeToSystemTime 0071 __loctotime32_t 0083 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 68 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 83 39 00 75 06 83 79 04 00 74 59 48 8D 54 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 4A 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 36 83 64 24 30 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? EB 03 83 C8 FF 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_431_3_0 {
	meta:
		name = "_findfirst32"
		size = 325
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExA 0090 __imp_GetLastError 00e9 __timet_from_ft 0120 strcpy_s 0140 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 01 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 47 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 47 08 E8 ?? ?? ?? ?? 48 8D 4F 14 89 47 0C 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 47 10 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 12 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_431_4_0 {
	meta:
		name = "_findnext32"
		size = 287
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileA 0074 __imp_GetLastError 00c7 __timet_from_ft 00fe strcpy_s 011a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 01 00 00 48 81 C4 80 01 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 48 8D 4B 14 89 43 0C 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 10 E8 ?? ?? ?? ?? 85 C0 0F 84 31 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_432_0_0 {
	meta:
		name = "_set_exp"
		size = 56
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 B9 0F 80 00 00 48 C1 E8 30 F2 0F 11 44 24 18 66 23 C1 B9 FE 03 00 00 66 03 D1 66 C1 E2 04 66 0B C2 66 89 44 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_432_1_0 {
	meta:
		name = "_get_exp"
		size = 37
	strings:
		$1 = { B9 FF 07 00 00 F2 0F 11 44 24 08 48 8B 44 24 08 48 C1 E8 30 66 C1 E8 04 66 23 C1 B9 FE 03 00 00 66 2B C1 98 C3 }
	condition:
		$1
}

rule file_432_2_0 {
	meta:
		name = "_add_exp"
		size = 78
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 4C 24 08 B8 FF 07 00 00 48 C1 E9 30 F2 0F 11 44 24 20 F2 0F 11 44 24 18 66 C1 E9 04 66 23 C8 48 8B 44 24 20 66 03 CA 48 C1 E8 30 BA 0F 80 00 00 66 23 C2 66 C1 E1 04 66 0B C8 66 89 4C 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_432_3_0 {
	meta:
		name = "_set_bexp"
		size = 48
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 F2 0F 11 44 24 18 48 C1 E8 30 B9 0F 80 00 00 66 C1 E2 04 66 23 C1 66 0B C2 66 89 44 24 1E F2 0F 10 44 24 18 C3 }
	condition:
		$1
}

rule file_432_4_0 {
	meta:
		name = "_sptype"
		size = 116
	strings:
		$1 = { F2 0F 11 44 24 08 48 8B 44 24 08 48 8B C8 48 C1 E9 20 81 F9 00 00 F0 7F 75 0A 85 C0 75 06 B8 01 00 00 00 C3 81 F9 00 00 F0 FF 75 0A 85 C0 75 06 B8 02 00 00 00 C3 41 B8 F8 7F 00 00 48 8B D0 48 C1 EA 30 66 41 23 D0 66 41 3B D0 75 06 B8 03 00 00 00 C3 41 B8 F0 7F 00 00 66 41 3B D0 75 12 F7 C1 FF FF 07 00 75 04 85 C0 74 06 B8 04 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_432_5_0 {
	meta:
		name = "_decomp"
		size = 319
	strings:
		$1 = { 66 0F 28 C8 F2 0F 11 44 24 08 66 0F 57 C0 4C 8B D2 66 0F 2E C8 7A 0A 75 08 45 33 C0 E9 1A 01 00 00 48 8B 44 24 08 B9 F0 7F 00 00 48 8B D0 48 C1 EA 30 66 85 D1 0F 85 B4 00 00 00 8B 4C 24 08 48 C1 E8 20 A9 FF FF 0F 00 75 08 85 C9 0F 84 9D 00 00 00 66 0F 2F C1 41 B8 03 FC FF FF 76 08 41 B9 01 00 00 00 EB 03 45 33 C9 F6 C2 10 75 25 8B 44 24 0C 03 C0 89 44 24 0C 85 C9 79 07 83 C8 01 89 44 24 0C 03 C9 41 FF C8 F6 44 24 0E 10 74 E3 89 4C 24 08 0F B7 44 24 0E B9 EF FF 00 00 66 23 C1 66 89 44 24 0E 45 85 C9 74 0D B9 00 80 00 00 66 0B C1 66 89 44 24 0E F2 0F 10 44 24 08 B9 EF BF 00 00 F2 0F 11 44 24 10 F2 0F 11 44 24 08 48 8B 44 24 10 48 C1 E8 30 66 23 C1 B9 E0 3F 00 00 66 0B C1 66 89 44 24 0E F2 0F 10 44 24 08 EB 4C B9 EF BF 00 00 F2 0F 11 4C 24 10 F2 0F 11 4C 24 18 48 8B 44 24 18 48 C1 E8 30 66 23 C1 B9 E0 3F 00 00 66 0B C1 B9 FF 07 00 00 66 89 44 24 16 0F B7 44 24 0E 66 C1 E8 04 F2 0F 10 44 24 10 66 23 C1 44 0F BF C0 41 81 E8 FE 03 00 00 45 89 02 C3 }
	condition:
		$1
}

rule file_433_0_0 {
	meta:
		name = "??2@YAPEAX_KAEBUnothrow_t@std@@@Z"
		size = 31
		refs = "000e ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF E8 ?? ?? ?? ?? 90 EB 05 48 8B 44 24 50 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_433_2_0 {
	meta:
		name = "__catch$??2@YAPEAX_KAEBUnothrow_t@std@@@Z$0"
		size = 19
		refs = "0008 $LN7"
	strings:
		$1 = { 48 83 65 50 00 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_435_0_0 {
	meta:
		name = "_ValidateImageBase"
		size = 47
	strings:
		$1 = { 48 8B C1 B9 4D 5A 00 00 66 39 08 74 03 33 C0 C3 48 63 48 3C 48 03 C8 33 C0 81 39 50 45 00 00 75 0C BA 0B 02 00 00 66 39 51 18 0F 94 C0 F3 C3 }
	condition:
		$1
}

rule file_435_1_0 {
	meta:
		name = "_FindPESection"
		size = 70
	strings:
		$1 = { 4C 63 41 3C 45 33 C9 4C 8B D2 4C 03 C1 41 0F B7 40 14 45 0F B7 58 06 4A 8D 4C 00 18 45 85 DB 74 1E 8B 51 0C 4C 3B D2 72 0A 8B 41 08 03 C2 4C 3B D0 72 0F 41 FF C1 48 83 C1 28 45 3B CB 72 E2 33 C0 C3 48 8B C1 C3 }
	condition:
		$1
}

rule file_435_2_0 {
	meta:
		name = "_IsNonwritableInCurrentImage"
		size = 65
		refs = "000a __ImageBase 0012 _ValidateImageBase 0024 _FindPESection"
	strings:
		$1 = { 48 83 EC 28 4C 8B C1 4C 8D 0D ?? ?? ?? ?? 49 8B C9 E8 ?? ?? ?? ?? 85 C0 74 22 4D 2B C1 49 8B D0 49 8B C9 E8 ?? ?? ?? ?? 48 85 C0 74 0F 8B 40 24 C1 E8 1F F7 D0 83 E0 01 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_437_0_0 {
	meta:
		name = "bsearch_s"
		size = 250
		refs = "0042 _errno 004d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 57 48 83 EC 20 49 8D 78 FF 45 33 E4 4D 8B E9 49 8B F0 48 8B DA 4C 8B F9 49 0F AF F9 48 03 FA 48 85 D2 75 36 4D 85 C0 74 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5F 41 5D 41 5C C3 4D 85 C9 74 CA 4C 39 64 24 60 74 C3 48 3B D7 77 CE 48 8B EE 48 D1 ED 74 46 48 8B 4C 24 68 40 F6 C6 01 48 8D 75 FF 48 0F 45 F5 49 8B D7 4C 8B E6 4D 0F AF E5 4C 03 E3 4D 8B C4 FF 54 24 60 85 C0 74 18 79 08 49 8B FC 49 2B FD EB 07 4B 8D 1C 2C 48 8B F5 48 3B DF 76 B9 EB 85 49 8B C4 EB 82 45 33 E4 48 85 F6 0F 84 74 FF FF FF 48 8B 4C 24 68 4C 8B C3 49 8B D7 FF 54 24 60 85 C0 49 0F 45 DC 48 8B C3 E9 59 FF FF FF }
	condition:
		$1
}

rule file_438_2_0 {
	meta:
		name = "_wassert"
		size = 2254
		refs = "0022 __security_cookie 003f _set_error_mode 005e __app_type 0071 ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 007d wcscpy_s 008c dblnewline 0098 wcscat_s 00a7 ??_C@_1BE@PHKBBGE@?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 00d8 __imp_GetModuleFileNameW 00e9 ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 0110 _invoke_watson 0124 wcslen 0141 dotdotdot 016d wcsncpy_s 01a5 newline 01c1 ??_C@_1O@HEMHKNDC@?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 025a wcsncat_s 0496 ??_C@_1O@KCAFKHJE@?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 04db _itow_s 0506 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 05dc ??_C@_1OA@EGMLFBHJ@?$AAF?$AAo?$AAr?$AA?5?$AAi?$AAn?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAo?$AAn?$AA?5?$AAh?$AAo?$AAw?$AA?5?$AAy?$AAo?$AAu?$AAr?$AA?5?$AAp?$AAr?$AAo?$AAg@ 0610 ??_C@_1HK@POCJMFGK@?$AA?$CI?$AAP?$AAr?$AAe?$AAs?$AAs?$AA?5?$AAR?$AAe?$AAt?$AAr?$AAy?$AA?5?$AAt?$AAo?$AA?5?$AAd?$AAe?$AAb?$AAu?$AAg?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAa?$AAp?$AAp?$AAl?$AAi?$AAc@ 0628 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 0638 __crtMessageBoxW 0645 raise 064f _exit 07d7 __imp_GetStdHandle 07ec _assertstring 0808 swprintf 0815 __imp_GetFileType 083f __imp_WriteConsoleW 0848 abort 084d __iob_func 086d setvbuf 088d fwprintf 089b fflush 08af __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 60 FA FF FF 48 81 EC A0 06 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 90 05 00 00 4C 8B F1 B9 03 00 00 00 45 8B F8 48 8B DA E8 ?? ?? ?? ?? 45 33 ED 83 F8 01 0F 84 81 07 00 00 41 8D 4D 03 E8 ?? ?? ?? ?? 85 C0 75 0D 83 3D ?? ?? ?? ?? 01 0F 84 67 07 00 00 BF 1C 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 32 07 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 02 07 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 8B D7 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 85 D2 06 00 00 48 8D 95 80 03 00 00 41 B8 04 01 00 00 66 44 89 AD 88 05 00 00 FF 15 ?? ?? ?? ?? 41 BC 05 01 00 00 85 C0 75 2F 4C 8D 05 ?? ?? ?? ?? 48 8D 8D 80 03 00 00 41 8B D4 E8 ?? ?? ?? ?? 85 C0 74 15 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 8D 8D 80 03 00 00 48 8D B5 80 03 00 00 E8 ?? ?? ?? ?? 48 83 C0 0B 48 83 F8 3C 76 58 48 8D 8D 80 03 00 00 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8D 8D 80 03 00 00 48 8D B4 45 1E 03 00 00 41 B9 03 00 00 00 48 8B C6 48 2B C1 48 8B CE 48 D1 F8 4C 2B E0 49 8B D4 E8 ?? ?? ?? ?? 85 C0 74 15 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 40 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 DC 05 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 AB 05 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 7A 05 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C0 08 48 83 F8 3C 0F 86 6F 02 00 00 48 8B CB E8 ?? ?? ?? ?? BE 01 00 00 00 4C 8B E0 0F B7 44 43 FE 66 83 F8 5C 74 20 4A 8D 4C 63 FE 66 83 F8 2F 74 15 49 3B F4 73 10 48 83 E9 02 48 FF C6 0F B7 01 66 83 F8 5C 75 E5 4D 8B EC 4C 2B EE 49 83 FD 23 0F 86 A0 00 00 00 48 83 FE 11 0F 83 92 00 00 00 41 B9 31 00 00 00 48 8D 4C 24 40 4C 8B C3 4C 2B CE 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 5F 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 31 4E 8D 04 6B 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 45 33 ED 85 C0 0F 84 E1 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 49 83 FD 23 4C 8B C3 48 8B D7 48 8D 4C 24 40 0F 83 8B 00 00 00 48 D1 EE 41 B9 31 00 00 00 4C 2B CE E8 ?? ?? ?? ?? 45 33 ED 85 C0 75 5E 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 31 4C 2B E6 48 8D 4C 24 40 48 8B D7 4E 8D 04 63 E8 ?? ?? ?? ?? 85 C0 0F 84 3F 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 41 B9 20 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 BF 00 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 8D 00 00 00 4E 8D 04 6B 44 8D 48 07 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 45 33 ED 85 C0 75 5C 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 2F 4E 8D 44 63 F2 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 84 83 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8D 4C 24 40 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 C8 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 97 02 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 66 02 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B DF 48 2B D8 E8 ?? ?? ?? ?? 41 B9 0A 00 00 00 48 8D 54 44 40 4C 8B C3 41 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 19 02 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 E8 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 B7 01 00 00 49 8B CE E8 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8D 8C 03 B0 00 00 00 48 3B CF 48 8D 4C 24 40 76 64 E8 ?? ?? ?? ?? 41 B9 69 01 00 00 48 8D 4C 24 40 4D 8B C6 48 8B D7 4C 2B C8 E8 ?? ?? ?? ?? 85 C0 75 2D 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 74 3D 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 4D 8B C6 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 04 01 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 D3 00 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 A2 00 00 00 4C 8B 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 75 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 48 8B D7 E8 ?? ?? ?? ?? 85 C0 75 48 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 41 B8 12 20 01 00 E8 ?? ?? ?? ?? 83 F8 03 75 13 8D 48 13 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC 83 F8 04 75 06 CC E9 45 02 00 00 83 F8 05 0F 85 37 02 00 00 E9 37 02 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC B9 F4 FF FF FF FF 15 ?? ?? ?? ?? 48 8B F0 48 83 F8 FF 74 68 48 85 C0 74 63 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 40 4D 8B CE BA 1C 02 00 00 44 89 7C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 78 3C 48 8B CE FF 15 ?? ?? ?? ?? 83 F8 02 75 2E 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 48 8D 54 24 40 48 8B CE 4C 8B C0 4C 89 6C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 40 78 0C 01 00 00 75 17 E8 ?? ?? ?? ?? 45 33 C9 33 D2 48 8D 48 60 45 8D 41 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8B CB 48 8D 48 60 4D 8B C6 44 89 7C 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 48 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 8D 90 05 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F8 06 00 00 48 81 C4 A0 06 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_439_0_0 {
	meta:
		name = "_dup_nolock"
		size = 429
		refs = "0028 __pioinfo 0051 _alloc_osfhnd 0069 _errno 0074 __doserrno 0084 __imp_GetCurrentProcess 008e _get_osfhandle 00c3 __imp_DuplicateHandle 00cd __imp_GetLastError 00df _set_osfhnd 00ec _dosmaperr 018d _unlock_fhandle"
	strings:
		$1 = { 40 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 63 D9 45 33 F6 44 89 74 24 40 4C 8B EB 4C 8B FB 49 C1 FF 05 48 8D 05 ?? ?? ?? ?? 41 83 E5 1F 4D 6B ED 58 4A 8B 04 F8 42 8A 44 28 08 88 84 24 90 00 00 00 A8 01 75 08 83 C8 FF E9 4D 01 00 00 E8 ?? ?? ?? ?? 4C 63 E0 44 89 A4 24 98 00 00 00 83 CE FF 44 3B E6 75 1A E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 44 21 30 8B C6 E9 1B 01 00 00 FF 15 ?? ?? ?? ?? 48 8B F8 8B CB E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 48 8B C8 C7 44 24 30 02 00 00 00 C7 44 24 28 01 00 00 00 83 64 24 20 00 4C 8D 8C 24 A0 00 00 00 4C 8B C7 48 8B D3 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 12 48 8B 94 24 A0 00 00 00 41 8B CC E8 ?? ?? ?? ?? 33 C0 85 C0 74 10 8B C8 E8 ?? ?? ?? ?? 4C 8D 15 ?? ?? ?? ?? EB 71 4D 8B CC 4D 8B C4 49 C1 F8 05 41 83 E1 1F 4D 6B C9 58 0F BE 8C 24 90 00 00 00 83 E1 EF 4C 8D 15 ?? ?? ?? ?? 4B 8B 04 C2 41 88 4C 01 08 4B 8B 14 C2 4B 8B 04 FA 42 8A 4C 28 38 41 32 4C 11 38 80 E1 7F 41 30 4C 11 38 4B 8B 14 C2 4B 8B 04 FA 42 8A 4C 28 38 41 32 4C 11 38 80 E1 7F 42 32 4C 28 38 41 88 4C 11 38 41 BE 01 00 00 00 44 89 74 24 40 45 85 F6 75 1A 49 8B D4 49 8B CC 48 C1 F9 05 83 E2 1F 48 6B D2 58 49 8B 0C CA 80 64 11 08 FE 41 8B CC E8 ?? ?? ?? ?? 45 85 F6 41 0F 45 F4 E9 DE FE FF FF 48 83 C4 50 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_439_1_0 {
	meta:
		name = "_dup_nolock$fin$0"
		size = 78
		refs = "0023 __pioinfo 0042 _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 83 7D 40 00 75 2A 48 63 95 98 00 00 00 48 8B CA 48 8B C2 48 C1 F8 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C0 80 64 08 08 FE EB 06 8B 95 98 00 00 00 8B CA E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_439_2_0 {
	meta:
		name = "_dup"
		size = 203
		refs = "001a __doserrno 0022 _errno 0037 _nhandle 004a __pioinfo 0066 __lock_fhandle 0079 _dup_nolock 009a _unlock_fhandle 00b6 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 54 48 83 EC 20 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 89 00 00 00 85 C9 78 6D 3B 1D ?? ?? ?? ?? 73 65 48 8B FB 48 8B F3 48 C1 FE 05 4C 8D 25 ?? ?? ?? ?? 83 E7 1F 48 6B FF 58 49 8B 04 F4 0F BE 4C 38 08 83 E1 01 74 3F 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 F4 F6 44 38 08 01 74 0B 8B CB E8 ?? ?? ?? ?? 8B F8 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_440_3_0 {
	meta:
		name = "_wcscoll_l"
		size = 190
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002a _errno 0035 _invalid_parameter_noinfo 0068 wcscmp 0085 __crtCompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B F9 48 8B DA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 5D 48 85 DB 74 D3 48 8B 45 E0 8B 48 10 85 C9 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 2F 41 83 C9 FF 4C 8B C7 BA 00 10 00 00 44 89 4C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 7C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_440_4_0 {
	meta:
		name = "wcscoll"
		size = 70
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 0036 wcscmp 0042 _wcscoll_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 2D 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_768_5_0 {
	meta:
		name = "_stricmp"
		size = 70
		refs = "0006 __locale_changed 0013 _errno 001e _invalid_parameter_noinfo 0036 __ascii_stricmp 0042 _stricmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 2D 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_441_0_0 {
	meta:
		name = "_statfp"
		size = 17
		refs = "0005 _get_fpsr"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 83 E0 3F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_441_1_0 {
	meta:
		name = "_clrfp"
		size = 29
		refs = "0007 _get_fpsr 0011 _fclrf"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 8B D8 83 E3 3F E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_441_2_0 {
	meta:
		name = "_ctrlfp"
		size = 124
		refs = "0016 _get_fpsr 0036 ?dazSupported@?1??_ctrlfp@@9@9 0043 _set_fpsr"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 8B F0 89 44 24 38 8B CB F7 D1 81 C9 7F 80 FF FF 23 C8 23 FB 0B CF 89 4C 24 30 80 3D ?? ?? ?? ?? 00 74 25 F6 C1 40 74 20 E8 ?? ?? ?? ?? EB 17 C6 05 ?? ?? ?? ?? 00 8B 4C 24 30 83 E1 BF E8 ?? ?? ?? ?? 8B 74 24 38 EB 08 83 E1 BF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_441_4_0 {
	meta:
		name = "_set_statfp"
		size = 31
		refs = "000a _get_fpsr 001b _set_fpsr"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 83 E3 3F 0B C3 8B C8 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_442_3_0 {
	meta:
		name = "_strxfrm_l"
		size = 415
		refs = "002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003c _errno 0047 _invalid_parameter_noinfo 00bd strncpy 00c5 strlen 00fb __crtLCMapStringA"
	strings:
		$1 = { 48 89 74 24 08 48 89 7C 24 10 4C 89 64 24 18 55 41 55 41 56 48 8B EC 48 83 EC 70 48 8B F9 4C 8B EA 48 8D 4D E0 49 8B D1 49 8B F0 E8 ?? ?? ?? ?? 41 BE FF FF FF 7F 49 3B F6 76 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 49 8B C6 E9 21 01 00 00 48 85 FF 75 28 48 85 F6 74 23 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 D8 48 8B 45 F0 83 A0 C8 00 00 00 FD EB CB 4D 85 ED 74 D8 48 85 FF 74 08 48 85 F6 74 03 C6 07 00 48 8B 45 E0 8B 50 10 85 D2 75 20 39 50 08 75 1B 4C 8B C6 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? E9 A6 00 00 00 8B 40 08 C7 44 24 40 01 00 00 00 48 8D 4D E0 89 44 24 38 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF 4D 8B CD 41 B8 00 04 00 00 E8 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E9 6B FF FF FF 4C 63 E0 4C 3B E6 76 1A 48 85 FF 74 4F 48 85 F6 74 4A C6 07 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 3A 48 8B 4D E0 C7 44 24 40 01 00 00 00 4D 8B CD 8B 41 08 8B 51 10 48 8D 4D E0 89 44 24 38 89 74 24 30 41 B8 00 04 00 00 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 74 94 49 8D 44 24 FF 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 73 20 49 8B 7B 28 4D 8B 63 30 49 8B E3 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_443_0_0 {
	meta:
		name = "_mbctohira_l"
		size = 55
		refs = "0009 _ismbckata_l"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 85 C0 74 1E 81 FB 93 83 00 00 77 16 81 FB 7F 83 00 00 73 08 81 C3 5F FF FF FF EB 06 81 C3 5E FF FF FF 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_444_5_0 {
	meta:
		name = "_mtterm"
		size = 37
		refs = "0006 __flsindex 0011 __imp_FlsFree 0021 _mtdeletelocks"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? 83 F9 FF 74 0D FF 15 ?? ?? ?? ?? 83 0D ?? ?? ?? ?? FF 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_444_6_0 {
	meta:
		name = "_initptd"
		size = 181
		refs = "0013 _XcptActTab 0044 __initialmbcinfo 0055 _lock 006a _unlock 0088 __ptlocinfo 009b __addlocaleref"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 81 A0 00 00 00 83 61 10 00 C7 41 1C 01 00 00 00 C7 81 C8 00 00 00 01 00 00 00 C6 81 74 01 00 00 43 C6 81 F7 01 00 00 43 48 8D 05 ?? ?? ?? ?? 48 89 81 B8 00 00 00 B9 0D 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 83 B8 00 00 00 F0 FF 00 B9 0D 00 00 00 E8 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 89 BB C0 00 00 00 48 85 FF 75 0E 48 8B 05 ?? ?? ?? ?? 48 89 83 C0 00 00 00 48 8B 8B C0 00 00 00 E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_444_8_0 {
	meta:
		name = "_initptd$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "__updatetlocinfo$fin$0 _free_locale$fin$0 _freefls$fin$0 _get_current_locale$fin$1 setlocale$fin$0 setlocale$fin$1"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_444_9_0 {
	meta:
		name = "_getptd_noexit"
		size = 132
		refs = "000c __imp_GetLastError 0012 __flsindex 001a __imp_FlsGetValue 002f _calloc_crt 0046 __imp_FlsSetValue 0054 _initptd 005a __imp_GetCurrentThreadId 0068 free 0072 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B F8 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 48 8D 48 01 BA C8 02 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 33 8B 0D ?? ?? ?? ?? 48 8B D0 FF 15 ?? ?? ?? ?? 48 8B CB 85 C0 74 16 33 D2 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 4B 08 FF 89 03 EB 07 E8 ?? ?? ?? ?? 33 DB 8B CF FF 15 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_444_10_0 {
	meta:
		name = "_getptd"
		size = 36
		refs = "0007 _getptd_noexit 0017 _amsg_exit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 08 8D 48 10 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_444_11_0 {
	meta:
		name = "_freefls"
		size = 307
		refs = "0020 free 0085 _XcptActTab 009b _lock 00b9 __initialmbcinfo 00d0 _unlock 00ef __removelocaleref 00f6 __ptlocinfo 00ff __initiallocinfo 0111 __freetlocinfo"
	strings:
		$1 = { 48 85 C9 0F 84 29 01 00 00 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 8B 49 38 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 48 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 58 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 68 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 70 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 4B 78 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 8B A0 00 00 00 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 05 E8 ?? ?? ?? ?? BF 0D 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 8B 8B B8 00 00 00 48 89 4C 24 30 48 85 C9 74 1C F0 FF 09 75 17 48 8D 05 ?? ?? ?? ?? 48 8B 4C 24 30 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 8B CF E8 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B BB C0 00 00 00 48 85 FF 74 2B 48 8B CF E8 ?? ?? ?? ?? 48 3B 3D ?? ?? ?? ?? 74 1A 48 8D 05 ?? ?? ?? ?? 48 3B F8 74 0E 83 3F 00 75 09 48 8B CF E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_444_14_0 {
	meta:
		name = "_freeptd"
		size = 62
		refs = "000b __flsindex 001b __imp_FlsGetValue 002c __imp_FlsSetValue 0034 _freefls"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? 83 F9 FF 74 24 48 85 DB 75 0F FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 48 8B D8 33 D2 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_444_17_0 {
	meta:
		name = "_mtinit"
		size = 129
		refs = "0007 _init_pointers 000c _mtinitlocks 0017 _freefls 001d __imp_FlsAlloc 0023 __flsindex 0037 _calloc_crt 004e __imp_FlsSetValue 005c _initptd 0062 __imp_GetCurrentThreadId 0075 _mtterm"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 60 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 74 48 BA C8 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 31 8B 0D ?? ?? ?? ?? 48 8B D0 FF 15 ?? ?? ?? ?? 85 C0 74 1E 33 D2 48 8B CB E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 4B 08 FF 89 03 B8 01 00 00 00 EB 07 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_1_0 {
	meta:
		name = "??0scheduler_resource_allocation_error@Concurrency@@QEAA@PEBDJ@Z"
		size = 58
		refs = "001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7scheduler_resource_allocation_error@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8D 54 24 38 41 8B F8 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 89 7B 18 4C 89 1B 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_445_4_0 {
	meta:
		name = "??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z"
		size = 64
		refs = "000f ??_C@_00CNPNBAHC@?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBD@Z 0028 ??_7scheduler_resource_allocation_error@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 8B DA 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 89 44 24 30 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 89 5F 18 48 8B 5C 24 38 4C 89 1F 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_62_5_1 {
	meta:
		name = "??0regex_error@tr1@std@@QEAA@W4error_type@regex_constants@12@@Z"
		size = 64
		refs = "000f ??_C@_0BJ@JKOPOGND@regular?5expression?5error?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBD@Z 0028 ??_7regex_error@tr1@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 8B DA 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 89 44 24 30 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 89 5F 18 48 8B 5C 24 38 4C 89 1F 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_445_8_0 {
	meta:
		name = "??0unsupported_os@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7unsupported_os@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_36_0 {
	meta:
		name = "??0bad_target@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7bad_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_29_0 {
	meta:
		name = "??0context_self_unblock@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7context_self_unblock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_26_0 {
	meta:
		name = "??0context_unblock_unbalanced@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7context_unblock_unbalanced@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_23_0 {
	meta:
		name = "??0default_scheduler_exists@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7default_scheduler_exists@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_69_0 {
	meta:
		name = "??0improper_lock@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7improper_lock@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_14_0 {
	meta:
		name = "??0improper_scheduler_attach@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7improper_scheduler_attach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_17_0 {
	meta:
		name = "??0improper_scheduler_detach@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7improper_scheduler_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_20_0 {
	meta:
		name = "??0improper_scheduler_reference@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7improper_scheduler_reference@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_42_0 {
	meta:
		name = "??0invalid_link_target@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7invalid_link_target@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_63_0 {
	meta:
		name = "??0invalid_multiple_scheduling@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7invalid_multiple_scheduling@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_54_0 {
	meta:
		name = "??0invalid_operation@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7invalid_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_66_0 {
	meta:
		name = "??0invalid_oversubscribe_operation@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7invalid_oversubscribe_operation@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_45_0 {
	meta:
		name = "??0invalid_scheduler_policy_key@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7invalid_scheduler_policy_key@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_51_0 {
	meta:
		name = "??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7invalid_scheduler_policy_thread_specification@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_48_0 {
	meta:
		name = "??0invalid_scheduler_policy_value@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7invalid_scheduler_policy_value@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_39_0 {
	meta:
		name = "??0message_not_found@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7message_not_found@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_33_0 {
	meta:
		name = "??0missing_wait@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7missing_wait@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_57_0 {
	meta:
		name = "??0nested_scheduler_missing_detach@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7nested_scheduler_missing_detach@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_60_0 {
	meta:
		name = "??0operation_timed_out@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7operation_timed_out@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_11_0 {
	meta:
		name = "??0scheduler_not_attached@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7scheduler_not_attached@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_445_72_0 {
	meta:
		name = "??0task_canceled@details@Concurrency@@QEAA@XZ"
		size = 50
		refs = "0009 ??_C@_00CNPNBAHC@?$AA@ 001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7task_canceled@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 30 48 8B D9 48 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_446_0_0 {
	meta:
		name = "__addlocaleref"
		size = 140
		refs = "004c __clocalestr"
	strings:
		$1 = { F0 FF 01 48 8B 81 10 01 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 20 01 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 18 01 00 00 48 85 C0 74 03 F0 FF 00 48 8B 81 30 01 00 00 48 85 C0 74 03 F0 FF 00 48 8D 41 58 41 B8 06 00 00 00 48 8D 15 ?? ?? ?? ?? 48 39 50 F0 74 0B 48 8B 10 48 85 D2 74 03 F0 FF 02 48 83 78 F8 00 74 0C 48 8B 50 08 48 85 D2 74 03 F0 FF 02 48 83 C0 20 49 FF C8 75 CC 48 8B 81 58 01 00 00 F0 FF 80 60 01 00 00 C3 }
	condition:
		$1
}

rule file_446_1_0 {
	meta:
		name = "__removelocaleref"
		size = 164
		refs = "005e __clocalestr"
	strings:
		$1 = { 48 85 C9 0F 84 97 00 00 00 41 83 C9 FF F0 44 01 09 48 8B 81 10 01 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 20 01 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 18 01 00 00 48 85 C0 74 04 F0 44 01 08 48 8B 81 30 01 00 00 48 85 C0 74 04 F0 44 01 08 48 8D 41 58 41 B8 06 00 00 00 48 8D 15 ?? ?? ?? ?? 48 39 50 F0 74 0C 48 8B 10 48 85 D2 74 04 F0 44 01 0A 48 83 78 F8 00 74 0D 48 8B 50 08 48 85 D2 74 04 F0 44 01 0A 48 83 C0 20 49 FF C8 75 CA 48 8B 81 58 01 00 00 F0 44 01 88 60 01 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_446_2_0 {
	meta:
		name = "__freetlocinfo"
		size = 377
		refs = "0021 __lconv_c 004d free 0059 __free_lconv_mon 007b __free_lconv_num 00f4 __lc_time_c 0107 __free_lc_time 0123 __clocalestr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 81 28 01 00 00 48 8B D9 48 85 C0 74 79 48 8D 0D ?? ?? ?? ?? 48 3B C1 74 6D 48 8B 83 10 01 00 00 48 85 C0 74 61 83 38 00 75 5C 48 8B 8B 20 01 00 00 48 85 C9 74 16 83 39 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 18 01 00 00 48 85 C9 74 16 83 39 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 10 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 83 30 01 00 00 48 85 C0 74 47 83 38 00 75 42 48 8B 8B 38 01 00 00 48 81 E9 FE 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 48 01 00 00 BF 80 00 00 00 48 2B CF E8 ?? ?? ?? ?? 48 8B 8B 50 01 00 00 48 2B CF E8 ?? ?? ?? ?? 48 8B 8B 30 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 58 01 00 00 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 1A 83 B9 60 01 00 00 00 75 11 E8 ?? ?? ?? ?? 48 8B 8B 58 01 00 00 E8 ?? ?? ?? ?? 48 8D 7B 58 BE 06 00 00 00 48 8D 05 ?? ?? ?? ?? 48 39 47 F0 74 12 48 8B 0F 48 85 C9 74 0A 83 39 00 75 05 E8 ?? ?? ?? ?? 48 83 7F F8 00 74 13 48 8B 4F 08 48 85 C9 74 0A 83 39 00 75 05 E8 ?? ?? ?? ?? 48 83 C7 20 48 FF CE 75 BE 48 8B CB 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_446_3_0 {
	meta:
		name = "_updatetlocinfoEx_nolock"
		size = 87
		refs = "0022 __addlocaleref 002f __removelocaleref 003c __initiallocinfo 0046 __freetlocinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 85 D2 74 41 48 85 C9 74 3C 4C 8B 11 4C 3B D2 74 2F 48 89 11 48 8B CA E8 ?? ?? ?? ?? 4D 85 D2 74 1F 49 8B CA E8 ?? ?? ?? ?? 41 83 3A 00 75 11 48 8D 05 ?? ?? ?? ?? 4C 3B D0 74 05 E8 ?? ?? ?? ?? 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_446_4_0 {
	meta:
		name = "__updatetlocinfo"
		size = 117
		refs = "0007 _getptd 0016 __globallocalestatus 003a _lock 0049 __ptlocinfo 004e _updatetlocinfoEx_nolock 005b _unlock 0068 _amsg_exit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 8B 88 C8 00 00 00 85 0D ?? ?? ?? ?? 74 18 48 83 B8 C0 00 00 00 00 74 0E E8 ?? ?? ?? ?? 48 8B 98 C0 00 00 00 EB 2B B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B C0 00 00 00 48 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 B9 0C 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 75 08 8D 4B 20 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_447_0_0 {
	meta:
		name = "_finitef"
		size = 23
	strings:
		$1 = { F3 0F 11 44 24 08 8B 44 24 08 0F BA F0 1F 2D 00 00 80 7F C1 E8 1F C3 }
	condition:
		$1
}

rule file_448_10_0 {
	meta:
		name = "_vcprintf_p_l"
		size = 4291
		refs = "0022 __security_cookie 0054 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0069 _errno 0074 _invalid_parameter_noinfo 010d __lookuptable_s 016a strtol 0194 memset 039d _validate_param_reuseA 03d2 __nullstring 03da strlen 048f wctomb_s 05fa __wnullstring 06d3 _get_printf_count_output 09e9 _malloc_crt 0a3e _cfltcvt_tab 0a4b __imp_DecodePointer 0b2b write_multi_char 0b3c write_string 0bfa free 0f0a _isleadbyte_l 0f17 _putch_nolock 10a4 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 A0 F4 FF FF 48 81 EC 60 0C 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 58 0B 00 00 33 FF 4C 8B E1 48 89 4D D8 48 8D 4C 24 68 4D 8B F0 89 7D B8 44 8B EF 89 7C 24 54 89 7C 24 48 89 7C 24 4C E8 ?? ?? ?? ?? 41 83 C8 FF 41 8B F0 48 89 7D A8 4D 85 E4 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7D 80 74 0C 48 8B 4C 24 78 83 A1 C8 00 00 00 FD 83 C8 FF E9 07 10 00 00 48 8B 5D D8 8B C7 44 8B DF 89 44 24 40 89 44 24 5C 89 7D B0 41 83 FB 01 75 08 85 F6 0F 84 D3 0F 00 00 89 7C 24 58 4D 8B CC 45 8A 24 24 45 8B D0 44 89 44 24 44 45 8B F8 44 89 45 C0 41 8B F0 44 89 45 A0 4D 63 C3 8B D7 48 89 7D C8 89 7D 88 89 7C 24 50 4C 89 45 98 45 84 E4 0F 84 34 0F 00 00 49 FF C1 4C 89 4D 90 85 C0 0F 88 C1 0E 00 00 41 8D 44 24 E0 3C 58 77 18 48 8D 0D ?? ?? ?? ?? 49 0F BE C4 0F B6 4C 08 E0 83 E1 0F 45 33 D2 EB 06 45 33 D2 41 8B CA 48 63 C1 48 8D 0C C0 48 63 C2 48 03 C8 48 8D 05 ?? ?? ?? ?? 0F B6 04 01 C1 E8 04 89 45 B4 83 F8 01 0F 85 C7 00 00 00 41 80 39 25 0F 84 C6 00 00 00 83 FE FF 75 53 44 8D 40 09 48 8D 55 A8 49 8B C9 E8 ?? ?? ?? ?? 45 33 D2 85 C0 7E 2D 48 8B 45 A8 80 38 24 75 24 4C 39 55 98 75 14 48 8D 8D F0 01 00 00 33 D2 41 B8 60 09 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 89 75 A0 EB 14 4C 8B 45 98 4C 8B 4D 90 41 8B F2 44 89 55 A0 83 FE 01 75 69 48 8B 4D 90 48 8D 55 A8 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 8B 4D A8 4C 8B 45 98 4C 8D 49 01 44 8D 78 FF 45 33 D2 4C 89 4D 90 44 89 7D C0 4D 85 C0 75 36 45 85 FF 0F 88 54 0E 00 00 80 39 24 0F 85 4B 0E 00 00 41 83 FF 64 0F 8D 41 0E 00 00 8B 44 24 44 44 3B F8 41 0F 4F C7 89 44 24 44 EB 09 83 F8 08 0F 84 27 0E 00 00 8B 4D B4 85 C9 0F 84 B4 0C 00 00 FF C9 0F 84 86 0C 00 00 FF C9 0F 84 25 0C 00 00 FF C9 0F 84 34 0B 00 00 FF C9 0F 84 1F 0B 00 00 FF C9 0F 84 73 0A 00 00 FF C9 0F 84 B1 09 00 00 FF C9 0F 85 45 0D 00 00 41 0F BE C4 83 F8 64 0F 8F E8 02 00 00 0F 84 90 04 00 00 83 F8 41 0F 84 7B 02 00 00 83 F8 43 0F 84 8F 01 00 00 83 F8 45 0F 84 69 02 00 00 83 F8 47 0F 84 60 02 00 00 83 F8 53 0F 84 45 01 00 00 83 F8 58 0F 84 AA 03 00 00 83 F8 5A 74 57 83 F8 61 0F 84 4B 02 00 00 83 F8 63 0F 84 62 01 00 00 45 33 E4 8B 74 24 4C 8B 44 24 48 83 7D A0 01 75 0D 4C 8B 45 98 4D 85 C0 0F 84 BF 0C 00 00 85 C0 0F 85 08 09 00 00 41 F6 C5 40 0F 84 18 08 00 00 41 0F BA E5 08 0F 83 EA 07 00 00 C6 44 24 60 2D E9 EB 07 00 00 85 F6 75 09 49 8B 06 49 83 C6 08 EB 25 41 83 FF 63 0F 87 28 0D 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 96 02 00 00 48 8B 84 CD F8 01 00 00 48 8B 00 48 85 C0 0F 84 8D 00 00 00 48 8B 58 08 48 85 DB 0F 84 80 00 00 00 0F BF 00 41 0F BA E5 0B 73 6C 99 BE 01 00 00 00 2B C2 89 74 24 4C D1 F8 89 44 24 58 45 33 E4 E9 56 FF FF FF C7 00 03 00 00 00 44 88 A4 CD 00 02 00 00 44 89 AC CD 04 02 00 00 E9 34 FF FF FF BA 03 00 00 00 45 8B CD 45 8A C4 48 8B C8 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 85 19 FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 65 80 E9 95 0C 00 00 41 8B F2 44 89 54 24 4C EB 98 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 89 44 24 58 E9 DB FE FF FF 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 83 FF FF 8B D7 B8 FF FF FF 7F 0F 44 D0 85 F6 0F 85 A4 01 00 00 49 8B 1E 49 83 C6 08 E9 CF 01 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 41 F7 C5 10 08 00 00 74 77 85 F6 75 0A 45 0F B7 0E 49 83 C6 08 EB 44 41 83 FF 63 0F 87 01 0C 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 22 48 8D 84 CD F0 01 00 00 44 39 10 75 0B C7 00 02 00 00 00 E9 10 FF FF FF BA 02 00 00 00 E9 20 FF FF FF 48 8B 84 CD F8 01 00 00 44 0F B7 08 48 8D 55 F0 48 8D 4C 24 58 41 B8 00 02 00 00 E8 ?? ?? ?? ?? 45 33 E4 85 C0 74 4B C7 44 24 48 01 00 00 00 EB 41 85 F6 75 0A 41 0F B7 06 49 83 C6 08 EB 25 41 83 FF 63 0F 87 8A 0B 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 26 03 00 00 48 8B 84 CD F8 01 00 00 0F B7 00 88 45 F0 C7 44 24 58 01 00 00 00 45 33 E4 48 8D 5D F0 E9 D7 FD FF FF C7 00 01 00 00 00 E9 80 FE FF FF C7 45 BC 01 00 00 00 41 80 C4 20 41 83 CD 40 83 FE 01 0F 85 92 04 00 00 4D 85 C0 0F 85 89 04 00 00 41 83 FF 63 0F 87 22 0B 00 00 49 63 C7 48 8D 0C 40 48 8D 84 CD F0 01 00 00 44 39 10 0F 85 40 04 00 00 C7 00 08 00 00 00 44 88 A4 CD 00 02 00 00 44 89 AC CD 04 02 00 00 E9 50 0A 00 00 83 F8 65 0F 8C 62 FD FF FF 83 F8 67 7E 9F 83 F8 69 0F 84 97 01 00 00 83 F8 6E 0F 84 29 01 00 00 83 F8 6F 0F 84 0A 01 00 00 83 F8 70 0F 84 BE 00 00 00 83 F8 73 0F 84 63 FE FF FF 83 F8 75 0F 84 6E 01 00 00 83 F8 78 0F 85 1E FD FF FF B8 27 00 00 00 E9 AC 00 00 00 41 83 FF 63 0F 87 8E 0A 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 16 48 8D 84 CD F0 01 00 00 44 39 10 0F 84 9E FD FF FF E9 B4 FD FF FF 48 8B 9C CD F8 01 00 00 48 8B 1B 41 F7 C5 10 08 00 00 74 34 48 85 DB BE 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 89 74 24 4C 48 8B C3 EB 0C FF CA 66 44 39 10 74 08 48 83 C0 02 85 D2 75 F0 48 2B C3 48 D1 F8 E9 45 FD FF FF 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0A FF CA 44 38 10 74 07 48 FF C0 85 D2 75 F2 2B C3 E9 97 FD FF FF BF 10 00 00 00 41 0F BA ED 0F 89 7C 24 50 B8 07 00 00 00 89 45 B8 41 B9 10 00 00 00 41 BB 00 02 00 00 45 84 ED 0F 89 A3 00 00 00 41 8D 51 F2 04 51 C6 44 24 60 30 89 54 24 54 88 44 24 61 E9 8F 00 00 00 41 B9 08 00 00 00 45 84 ED 79 7A 41 BB 00 02 00 00 45 0B EB EB 75 85 F6 75 09 49 8B 3E 49 83 C6 08 EB 25 41 83 FF 63 0F 87 8F 09 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 FD FE FF FF 48 8B 84 CD F8 01 00 00 48 8B 38 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 CA FC FF FF 8B 44 24 40 41 F6 C5 20 74 05 66 89 07 EB 02 89 07 8B 74 24 4C B8 01 00 00 00 89 44 24 48 E9 C8 FB FF FF 41 83 CD 40 41 B9 0A 00 00 00 41 BB 00 02 00 00 8B 54 24 54 41 0F BA E5 0F 73 48 85 F6 75 0C 4D 8B 06 49 83 C6 08 E9 8F 01 00 00 41 83 FF 63 0F 87 0C 09 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 65 48 8D 84 CD F0 01 00 00 44 39 10 75 0B C7 00 04 00 00 00 E9 1B FC FF FF BA 04 00 00 00 E9 2B FC FF FF 41 0F BA E5 0C 73 4C 85 F6 74 B1 41 83 FF 63 0F 87 C9 08 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 22 48 8D 84 CD F0 01 00 00 44 39 10 75 0B C7 00 05 00 00 00 E9 D8 FB FF FF BA 05 00 00 00 E9 E8 FB FF FF 48 8B 84 CD F8 01 00 00 4C 8B 00 E9 04 01 00 00 41 F6 C5 20 0F 84 8E 00 00 00 41 F6 C5 40 74 53 85 F6 75 0D 4D 0F BF 06 49 83 C6 08 E9 E3 00 00 00 41 83 FF 63 0F 87 60 08 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 75 1B 48 8D 84 CD F0 01 00 00 44 39 10 0F 84 EB FC FF FF BA 01 00 00 00 E9 86 FB FF FF 48 8B 84 CD F8 01 00 00 4C 0F BF 00 E9 A1 00 00 00 85 F6 75 0D 45 0F B7 06 49 83 C6 08 E9 90 00 00 00 41 83 FF 63 0F 87 0D 08 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 74 AD 48 8B 84 CD F8 01 00 00 44 0F B7 00 EB 6C 41 F6 C5 40 74 34 85 F6 75 09 4D 63 06 49 83 C6 08 EB 59 41 83 FF 63 0F 87 D6 07 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 72 FF FF FF 48 8B 84 CD F8 01 00 00 4C 63 00 EB 32 85 F6 75 09 45 8B 06 49 83 C6 08 EB 25 41 83 FF 63 0F 87 A2 07 00 00 49 63 C7 48 8D 0C 40 4D 85 C0 0F 84 3E FF FF FF 48 8B 84 CD F8 01 00 00 44 8B 00 41 F6 C5 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA ED 08 41 0F BA E5 0F 72 0A 41 0F BA E5 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E5 F7 41 3B FB 41 0F 4F FB 44 8B 7D B8 49 8B C0 48 8D 9D EF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 54 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C7 88 03 48 FF CB EB D3 44 8B 7D C0 48 8D 85 EF 01 00 00 89 7C 24 50 2B C3 48 FF C3 89 44 24 58 45 85 EB 0F 84 62 F9 FF FF 85 C0 74 09 80 3B 30 0F 84 55 F9 FF FF 48 FF CB FF 44 24 58 C6 03 30 E9 46 F9 FF FF 45 8B CD 45 8A C4 BA 08 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 45 33 E4 85 C0 0F 84 12 FA FF FF 4C 8B 45 98 E9 00 06 00 00 B8 00 02 00 00 48 8D 5D F0 8B F0 85 FF 79 0A C7 44 24 50 06 00 00 00 EB 4C 75 10 41 80 FC 67 75 44 C7 44 24 50 01 00 00 00 EB 3A 3B F8 0F 4F F8 89 7C 24 50 81 FF A3 00 00 00 7E 29 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 45 33 D2 48 89 45 C8 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 50 A3 00 00 00 44 39 55 A0 75 0D 49 8B 06 49 83 C6 08 48 89 45 E0 EB 20 41 83 FF 63 0F 87 21 06 00 00 49 63 C7 48 8D 0C 40 48 8B 84 CD F8 01 00 00 48 8B 08 48 89 4D E0 48 8B 0D ?? ?? ?? ?? 41 0F BE FC 48 63 F6 FF 15 ?? ?? ?? ?? 48 8D 4C 24 68 44 8B CF 48 89 4C 24 30 8B 4D BC 4C 8B C6 89 4C 24 28 8B 4C 24 50 48 8B D3 89 4C 24 20 48 8D 4D E0 FF D0 41 8B FD 81 E7 80 00 00 00 74 1E 83 7C 24 50 00 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 41 80 FC 67 75 20 45 33 E4 85 FF 75 1C 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 68 48 8B CB FF D0 EB 03 45 33 E4 80 3B 2D 75 08 41 0F BA ED 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 89 44 24 58 E9 DE F7 FF FF 41 F6 C5 01 74 10 C6 44 24 60 2B BF 01 00 00 00 89 7C 24 54 EB 11 41 F6 C5 02 74 07 C6 44 24 60 20 EB E8 8B 7C 24 54 44 8B 65 88 44 2B 64 24 58 44 2B E7 41 F6 C5 0C 75 0F 4C 8D 44 24 5C 41 8B D4 B1 20 E8 ?? ?? ?? ?? 4C 8D 44 24 5C 48 8D 4C 24 60 8B D7 E8 ?? ?? ?? ?? 41 F6 C5 08 74 15 41 F6 C5 04 75 0F 4C 8D 44 24 5C 41 8B D4 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 58 85 F6 74 52 85 FF 7E 4E 48 8B F3 44 0F B7 0E 48 8D 95 50 0B 00 00 48 8D 4D D0 41 B8 06 00 00 00 FF CF 48 83 C6 02 E8 ?? ?? ?? ?? 85 C0 75 1E 8B 55 D0 85 D2 74 17 4C 8D 44 24 5C 48 8D 8D 50 0B 00 00 E8 ?? ?? ?? ?? 85 FF 75 C0 EB 18 83 C8 FF 89 44 24 5C EB 13 4C 8D 44 24 5C 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B 44 24 5C 89 44 24 40 85 C0 78 1D 41 F6 C5 04 74 17 4C 8D 44 24 5C 41 8B D4 B1 20 E8 ?? ?? ?? ?? 8B 44 24 5C 89 44 24 40 45 33 E4 48 8B 4D C8 48 85 C9 74 09 E8 ?? ?? ?? ?? 4C 89 65 C8 8B 7C 24 50 E9 8F FD FF FF 41 80 FC 49 74 4E 41 80 FC 68 74 3F 41 80 FC 6C 74 14 41 80 FC 77 0F 85 80 03 00 00 41 0F BA ED 0B E9 76 03 00 00 41 80 39 6C 8B 44 24 40 44 8B 54 24 44 75 0D 49 FF C1 41 0F BA ED 0C E9 63 03 00 00 41 83 CD 10 E9 5A 03 00 00 41 83 CD 20 E9 48 03 00 00 41 8A 01 B9 00 80 00 00 44 0B E9 3C 36 75 13 41 80 79 01 34 75 0C 49 83 C1 02 44 0B E9 E9 26 03 00 00 3C 33 75 15 41 80 79 01 32 75 0E 49 83 C1 02 41 0F BA F5 0F E9 0D 03 00 00 3C 64 74 1D 3C 69 74 19 3C 6F 74 15 3C 75 74 11 3C 78 74 0D 3C 58 74 09 44 89 55 B4 E9 40 02 00 00 41 0F BA ED 10 E9 E2 02 00 00 41 80 FC 2A 0F 85 86 00 00 00 85 F6 75 09 41 8B 3E 49 83 C6 08 EB 3D 48 8D 55 A8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D A8 4C 8B 45 98 4C 8D 49 01 FF C8 4C 89 4D 90 4D 85 C0 0F 84 B0 00 00 00 48 98 48 8D 0C 40 48 8B 84 CD F8 01 00 00 8B 38 8B 44 24 40 44 8B 54 24 44 89 7C 24 50 85 FF 0F 89 82 02 00 00 83 CF FF 89 7C 24 50 E9 76 02 00 00 C7 00 01 00 00 00 C6 84 CD 00 02 00 00 2A 44 89 AC CD 04 02 00 00 E9 57 02 00 00 8D 0C BF 41 0F BE C4 8D 7C 48 D0 89 7C 24 50 E9 3E 02 00 00 41 8B FA 44 89 54 24 50 E9 31 02 00 00 41 80 FC 2A 0F 85 C9 00 00 00 85 F6 75 0C 41 8B 0E 49 83 C6 08 E9 97 00 00 00 48 8D 55 A8 41 B8 0A 00 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 4D A8 4C 8B 45 98 4C 8D 49 01 FF C8 4C 89 4D 90 4D 85 C0 75 5E 85 C0 0F 88 85 02 00 00 80 39 24 0F 85 7C 02 00 00 41 83 FF 64 0F 8D 72 02 00 00 44 8B 54 24 44 41 3B C2 44 0F 4F D0 48 98 45 33 E4 48 8D 0C 40 44 89 54 24 44 48 8D 84 CD F0 01 00 00 44 39 20 0F 84 3B FF FF FF 41 8D 54 24 01 45 8B CD 41 B0 2A 48 8B C8 E8 ?? ?? ?? ?? E9 7B FB FF FF 48 98 48 8D 0C 40 48 8B 84 CD F8 01 00 00 8B 08 8B 44 24 40 44 8B 54 24 44 89 4D 88 85 C9 0F 89 75 01 00 00 41 83 CD 04 F7 D9 89 4D 88 E9 67 01 00 00 8B 45 88 8D 0C 80 41 0F BE C4 8D 4C 48 D0 89 4D 88 E9 48 01 00 00 41 80 FC 20 74 4A 41 80 FC 23 74 3A 41 80 FC 2B 74 2B 41 80 FC 2D 74 1C 8B 44 24 40 44 8B 54 24 44 41 80 FC 30 0F 85 26 01 00 00 41 83 CD 08 E9 1D 01 00 00 41 83 CD 04 E9 0B 01 00 00 41 83 CD 01 E9 02 01 00 00 41 0F BA ED 07 E9 F8 00 00 00 41 83 CD 02 E9 EF 00 00 00 83 CF FF 44 89 55 BC 44 89 54 24 48 44 89 55 88 44 89 54 24 54 45 8B EA 89 7C 24 50 44 89 54 24 4C E9 C9 00 00 00 4D 85 C0 75 09 83 FE 01 0F 84 BB 00 00 00 49 83 F8 01 75 09 83 FE FF 0F 84 AC 00 00 00 48 8D 54 24 68 41 0F B6 CC 44 89 54 24 4C E8 ?? ?? ?? ?? 85 C0 74 5C 41 0F BE CC E8 ?? ?? ?? ?? 83 CE FF 3B C6 75 06 89 74 24 40 EB 0A 8B 44 24 40 FF C0 89 44 24 40 48 8B 45 90 44 8A 20 48 FF C0 48 89 45 90 45 84 E4 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 65 80 74 0C 48 8B 44 24 78 83 A0 C8 00 00 00 FD 8B C6 E9 2B 01 00 00 83 CE FF 41 0F BE CC E8 ?? ?? ?? ?? 4C 8B 45 98 4C 8B 4D 90 44 8B 54 24 44 3B C6 75 0C 8B C6 89 44 24 40 89 44 24 5C EB 19 8B 44 24 40 FF C0 EB EE 8B 7C 24 50 4C 8B 4D 90 44 8B 54 24 44 8B 44 24 40 45 8A 21 8B 75 A0 8B 55 B4 45 84 E4 0F 85 30 F1 FF FF 33 FF 85 D2 74 09 83 FA 07 0F 85 A0 00 00 00 44 8B 5D B0 83 FE 01 75 4E 45 85 DB 75 49 4C 8B C7 4D 63 CA 45 85 D2 78 3E 48 8D 95 F8 01 00 00 8B 4A F8 FF C9 74 19 FF C9 74 15 FF C9 74 11 }
	condition:
		$1
}

rule file_449_3_0 {
	meta:
		name = "_mblen_l"
		size = 263
		refs = "003b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0047 _isleadbyte_l 007d __imp_MultiByteToWideChar"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 8B FA 48 8B D9 48 85 C9 0F 84 D4 00 00 00 80 39 00 0F 84 CB 00 00 00 48 85 D2 0F 84 C2 00 00 00 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 0F B6 0B 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 48 8B 45 E0 74 65 44 8B 88 0C 01 00 00 41 83 F9 01 7E 42 41 3B F9 7C 3D 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 4C 8B C3 BA 09 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 1D 80 7D F8 00 48 8B 45 E0 8B 80 0C 01 00 00 74 62 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 55 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 83 C8 FF EB 3F 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 41 B9 01 00 00 00 4C 8B C3 41 8D 51 08 FF 15 ?? ?? ?? ?? 85 C0 74 C5 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD B8 01 00 00 00 EB 02 33 C0 48 8B 5C 24 60 48 8B 7C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_449_4_0 {
	meta:
		name = "mblen"
		size = 26
		refs = "0002 __locale_changed 000c __initiallocalestructinfo 0016 _mblen_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 09 4C 8D 05 ?? ?? ?? ?? EB 03 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_0_0 {
	meta:
		name = "swap"
		size = 42
		altNames = "swap_c"
	strings:
		$1 = { 4C 8B C9 48 3B CA 74 20 4D 85 C0 74 1B 4C 2B CA 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 F3 C3 }
	condition:
		$1
}

rule file_450_1_0 {
	meta:
		name = "shortsort"
		size = 189
	strings:
		$1 = { 48 3B D1 0F 86 B2 00 00 00 48 89 6C 24 20 57 41 54 41 55 48 83 EC 20 48 89 5C 24 40 48 89 74 24 48 4C 89 74 24 50 4E 8D 34 01 4D 8B E9 49 8B E8 48 8B FA 4C 8B E1 66 66 0F 1F 84 00 00 00 00 00 49 8B DC 49 8B F6 4C 3B F7 77 1C 0F 1F 44 00 00 48 8B D3 48 8B CE 41 FF D5 85 C0 48 0F 4F DE 48 03 F5 48 3B F7 76 E9 4C 8B C5 48 8B D7 48 3B DF 74 24 48 85 ED 74 1F 48 2B DF 66 0F 1F 44 00 00 0F B6 02 0F B6 0C 13 48 FF C2 49 FF C8 88 44 13 FF 88 4A FF 75 EA 48 2B FD 49 3B FC 77 A2 4C 8B 74 24 50 48 8B 74 24 48 48 8B 5C 24 40 48 8B 6C 24 58 48 83 C4 20 41 5D 41 5C 5F F3 C3 }
	condition:
		$1
}

rule file_450_2_0 {
	meta:
		name = "qsort"
		size = 759
		refs = "0021 _errno 0038 _invalid_parameter_noinfo 00b2 shortsort"
	strings:
		$1 = { 40 55 41 54 41 56 48 81 EC 10 04 00 00 4D 8B E1 49 8B E8 4C 8B F1 48 85 C9 75 21 48 85 D2 74 1C E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 81 C4 10 04 00 00 41 5E 41 5C 5D E9 ?? ?? ?? ?? 4D 85 C0 74 DF 4D 85 C9 74 DA 48 83 FA 02 0F 82 9A 02 00 00 48 89 9C 24 30 04 00 00 48 89 B4 24 38 04 00 00 48 89 BC 24 40 04 00 00 4C 89 AC 24 08 04 00 00 4C 8D 6A FF 4C 89 BC 24 00 04 00 00 4C 0F AF ED 4C 03 E9 45 33 FF 66 66 0F 1F 84 00 00 00 00 00 33 D2 49 8B C5 49 8B CE 49 2B C6 48 F7 F5 48 8D 70 01 48 83 FE 08 77 26 4D 8B CC 4C 8B C5 49 8B D5 E8 ?? ?? ?? ?? 49 FF CF 0F 88 03 02 00 00 4E 8B 74 FC 20 4E 8B AC FC 10 02 00 00 EB C2 48 D1 EE 48 0F AF F5 49 03 F6 48 8B D6 41 FF D4 85 C0 7E 36 4C 8B C5 48 8B D6 4C 3B F6 74 2B 4D 8B CE 4C 2B CE 66 66 66 66 66 0F 1F 84 00 00 00 00 00 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 49 8B D5 49 8B CE 41 FF D4 85 C0 7E 33 4C 8B C5 49 8B D5 4D 3B F5 74 28 4D 8B CE 4D 2B CD 66 66 0F 1F 84 00 00 00 00 00 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 49 8B D5 48 8B CE 41 FF D4 85 C0 7E 33 4C 8B C5 49 8B D5 49 3B F5 74 28 4C 8B CE 4D 2B CD 66 66 0F 1F 84 00 00 00 00 00 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 49 8B DE 49 8B FD 66 90 48 3B F3 76 1B 48 03 DD 48 3B DE 73 13 48 8B D6 48 8B CB 41 FF D4 85 C0 7E EB 48 3B F3 77 16 90 48 03 DD 49 3B DD 77 0D 48 8B D6 48 8B CB 41 FF D4 85 C0 7E EB 48 2B FD 48 3B FE 76 0D 48 8B D6 48 8B CF 41 FF D4 85 C0 7F EB 48 3B DF 77 36 4C 8B CD 48 8B D7 74 21 4C 8B C3 4C 2B C7 0F 1F 00 0F B6 02 41 0F B6 0C 10 48 FF C2 49 FF C9 41 88 44 10 FF 88 4A FF 75 E8 48 3B F7 75 83 48 8B F3 E9 7B FF FF FF 48 03 FD 48 3B F7 73 23 0F 1F 00 48 2B FD 48 3B FE 76 18 48 8B D6 48 8B CF 41 FF D4 85 C0 74 EB 48 3B F7 72 1B 66 0F 1F 44 00 00 48 2B FD 49 3B FE 76 0D 48 8B D6 48 8B CF 41 FF D4 85 C0 74 EB 49 8B CD 48 8B C7 48 2B CB 49 2B C6 48 3B C1 7C 26 4C 3B F7 73 10 4E 89 74 FC 20 4A 89 BC FC 10 02 00 00 49 FF C7 49 3B DD 0F 83 22 FE FF FF 4C 8B F3 E9 F4 FD FF FF 49 3B DD 73 10 4A 89 5C FC 20 4E 89 AC FC 10 02 00 00 49 FF C7 4C 3B F7 0F 83 FC FD FF FF 4C 8B EF E9 CE FD FF FF 4C 8B AC 24 08 04 00 00 48 8B BC 24 40 04 00 00 48 8B B4 24 38 04 00 00 48 8B 9C 24 30 04 00 00 4C 8B BC 24 00 04 00 00 48 81 C4 10 04 00 00 41 5E 41 5C 5D C3 }
	condition:
		$1
}

rule file_451_0_0 {
	meta:
		name = "wcspbrk"
		size = 56
	strings:
		$1 = { 4C 8B CA 0F B7 01 66 85 C0 74 2A 66 41 83 39 00 4D 8B C1 74 16 41 0F B7 11 66 3B D0 74 13 49 83 C0 02 41 0F B7 10 66 85 D2 75 EE 48 83 C1 02 EB D2 48 8B C1 C3 33 C0 C3 }
	condition:
		$1
}

rule file_452_0_0 {
	meta:
		name = "__GSHandlerCheck_EH"
		size = 143
		refs = "0034 __GSHandlerCheckCommon 006a __CxxFrameHandler3"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 49 8B 59 38 48 8B F2 4D 8B E0 48 8B E9 4C 8D 43 04 49 8B D1 48 8B CE 49 8B F9 E8 ?? ?? ?? ?? 44 8B 5B 04 44 8B 55 04 41 8B C3 41 83 E3 02 41 B8 01 00 00 00 41 23 C0 41 80 E2 66 44 0F 44 D8 45 85 DB 74 14 4C 8B CF 4D 8B C4 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 44 8B C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 41 8B C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_453_0_0 {
	meta:
		name = "rewind"
		size = 190
		refs = "001f _errno 002a _invalid_parameter_noinfo 0034 _fileno 003f _lock_file 0048 _flush 0067 __pioinfo 007b __badioinfo 009e _lseek 00af _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 80 00 00 00 E8 ?? ?? ?? ?? 48 63 F8 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 83 63 18 CF 83 FF FF 74 23 83 FF FE 74 1E 48 8B CF 48 8B C7 48 C1 F8 05 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 48 03 0C C2 EB 07 48 8D 0D ?? ?? ?? ?? 0F BE 41 08 83 E0 FD 88 41 08 8B 43 18 84 C0 79 06 83 E0 FC 89 43 18 45 33 C0 33 D2 8B CF E8 ?? ?? ?? ?? 83 F8 FF 75 04 83 4B 18 20 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_454_4_0 {
	meta:
		name = "__check_float_string"
		size = 153
		refs = "002b _calloc_crt 0053 memcpy 006f _recalloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F1 49 8B F8 48 8B DA 48 3B 0A 75 67 4D 39 08 75 40 48 8B 0B BA 04 00 00 00 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 04 33 C0 EB 4E 48 8B 44 24 50 48 8B D6 C7 00 01 00 00 00 4C 8B 03 48 8B 0F 4D 03 C0 E8 ?? ?? ?? ?? 4C 8B 1B 4D 03 DB 4C 89 1B EB 22 48 8B 12 48 8B 0F 41 B8 04 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 BF 48 89 07 48 8B 0B 48 03 C9 48 89 0B B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_454_6_0 {
	meta:
		name = "_hextodec"
		size = 61
		refs = "001e isdigit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 B8 00 FF 00 00 0F B7 F9 66 85 C8 75 0F 0F B7 D9 0F B6 CB E8 ?? ?? ?? ?? 85 C0 75 09 0F B7 DF 83 E3 DF 83 EB 07 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_454_8_0 {
	meta:
		name = "_un_inc"
		size = 24
		refs = "000f _ungetwc_nolock"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 3B C1 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_622_8_0 {
	meta:
		name = "_un_inc"
		size = 24
		refs = "000f _ungetwch_nolock"
	strings:
		$1 = { 48 83 EC 28 B8 FF FF 00 00 66 3B C1 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_454_9_0 {
	meta:
		name = "_whiteout"
		size = 80
		refs = "001b _fgetwc_nolock 0035 iswctype"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B F9 FF 07 48 8B CE E8 ?? ?? ?? ?? 0F B7 D8 B8 FF FF 00 00 66 3B D8 74 11 BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 D8 48 8B 74 24 38 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_454_10_0 {
	meta:
		name = "_winput_l"
		size = 4637
		refs = "0022 __security_cookie 0074 _errno 007f _invalid_parameter_noinfo 0098 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00dc iswctype 00f8 _whiteout 0109 _ungetwc_nolock 01b7 isdigit 0393 _fgetwc_nolock 051f __check_float_string 06f2 free 0830 _malloc_crt 0858 wcstombs_s 0875 _cfltcvt_tab 0880 __imp_DecodePointer 099b memset 0d5b wctomb_s 0d7d _invoke_watson 0ea7 isxdigit 11fe __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FD FF FF 48 81 EC C0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 02 00 00 4C 8D 65 F0 4C 89 4D B8 48 8B DA 4C 89 65 88 45 33 E4 48 89 54 24 68 41 8B C4 41 0F B7 F4 48 8B F9 48 89 4C 24 78 48 C7 45 A8 5E 01 00 00 44 89 65 90 89 45 B0 89 74 24 3C 4C 89 64 24 70 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 68 11 00 00 48 85 C9 74 E3 48 8D 4D D0 49 8B D0 E8 ?? ?? ?? ?? 0F B7 03 44 88 64 24 40 45 8B FC 44 89 64 24 34 44 89 64 24 44 45 8B EC 44 89 65 80 66 85 C0 0F 84 1E 11 00 00 41 BE FF FF 00 00 41 BD 01 00 00 00 41 BC 25 00 00 00 0F B7 C8 41 8D 54 24 E3 E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 53 48 8D 4C 24 44 45 2B FD 48 8B D7 44 89 7C 24 44 E8 ?? ?? ?? ?? 66 44 3B F0 74 0B 48 8B D7 0F B7 C8 E8 ?? ?? ?? ?? 48 83 C3 02 BA 08 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 EB 44 8B 7C 24 44 8B 74 24 3C 48 89 5C 24 68 44 89 7C 24 34 E9 32 10 00 00 4C 8B 54 24 68 66 45 3B 22 0F 85 D4 0F 00 00 66 45 3B 62 02 0F 84 B2 0F 00 00 45 0F B7 E8 45 8A F8 41 8B C0 41 8B D0 41 B9 01 00 00 00 44 89 6D C0 44 89 7D A0 89 44 24 4C 44 89 44 24 60 45 8A E9 45 8B F8 89 54 24 58 45 8B F0 44 88 44 24 5C 44 88 44 24 48 88 44 24 30 41 8A F8 45 8A E0 83 CE FF 49 83 C2 02 B9 00 FF 00 00 41 0F B7 1A 4C 89 54 24 68 66 85 D9 75 35 0F B6 CB E8 ?? ?? ?? ?? 8B 54 24 58 4C 8B 54 24 68 45 33 C0 45 8D 48 01 85 C0 74 15 43 8D 04 B6 41 03 D1 44 8D 74 43 D0 89 54 24 58 E9 F7 00 00 00 8A 44 24 30 83 FB 2A 0F 84 E3 00 00 00 83 FB 46 0F 84 E1 00 00 00 83 FB 49 74 57 83 FB 4C 74 4A 83 FB 4E 0F 84 CE 00 00 00 83 FB 68 74 31 B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 AA 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 68 EB 3B 45 02 E9 45 02 E1 E9 98 00 00 00 44 02 EE 44 02 E6 E9 8D 00 00 00 45 02 E9 E9 85 00 00 00 41 0F B7 42 02 66 83 F8 36 75 1B 49 8D 4A 04 66 83 39 34 75 11 4C 8B D1 48 89 4C 24 68 45 03 F9 4C 89 45 98 EB 5F 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 68 EB 45 B9 64 00 00 00 66 3B C1 74 D3 B9 69 00 00 00 66 3B C1 74 C9 B9 6F 00 00 00 66 3B C1 74 BF B9 78 00 00 00 66 3B C1 74 B5 B9 58 00 00 00 66 3B C1 74 AB 45 03 F9 4C 89 45 98 41 02 F9 EB 07 41 02 C1 88 44 24 30 8A 44 24 30 40 84 FF 0F 84 B4 FE FF FF 8B 74 24 3C 44 88 6C 24 38 44 8B 6D C0 44 89 7C 24 54 44 8B 7D A0 44 89 74 24 50 8A C8 84 C0 75 1A 48 8B 45 B8 48 89 45 C8 48 83 C0 08 48 89 45 B8 48 8B 40 F8 48 89 45 A0 EB 04 4C 89 45 A0 41 8A D8 45 84 E4 75 14 66 41 83 3A 53 74 0A 66 41 83 3A 43 45 8A E1 75 03 41 B4 FF 45 0F B7 32 41 BB 6E 00 00 00 41 83 CE 20 45 3B F3 74 6E 41 83 FE 63 74 22 41 83 FE 7B 74 1C 48 8B 54 24 78 48 8D 4C 24 44 E8 ?? ?? ?? ?? 0F B7 F0 8B 44 24 44 89 44 24 34 EB 1C 8B 44 24 34 48 8B 4C 24 78 41 03 C1 89 44 24 34 89 44 24 44 E8 ?? ?? ?? ?? 0F B7 F0 B8 FF FF 00 00 89 74 24 3C 66 3B C6 0F 84 1F 0E 00 00 4C 8B 54 24 68 8B 54 24 58 8A 4C 24 30 45 33 C0 45 8D 48 01 45 8D 58 6E 8B 7C 24 50 85 D2 74 08 85 FF 0F 84 B1 0D 00 00 B8 6F 00 00 00 44 3B F0 0F 8F E0 04 00 00 0F 84 39 0A 00 00 41 83 FE 63 0F 84 AF 04 00 00 B8 64 00 00 00 44 3B F0 0F 84 21 0A 00 00 0F 8E EE 04 00 00 41 83 FE 67 7E 58 41 83 FE 69 74 37 45 3B F3 0F 85 D9 04 00 00 44 8B 7C 24 34 41 8B C7 84 C9 0F 85 B3 0C 00 00 44 8B 64 24 54 45 85 E4 0F 84 86 0C 00 00 48 8B 45 A0 48 8B 4D 98 48 89 08 E9 95 0C 00 00 44 8B F0 B8 2D 00 00 00 66 3B C6 0F 85 2F 06 00 00 44 88 4C 24 48 E9 2F 06 00 00 B9 2D 00 00 00 49 8B F8 66 3B CE 75 0C 48 8B 45 88 49 8B F9 66 89 08 EB 0A B8 2B 00 00 00 66 3B C6 75 2A 4C 8B 6C 24 78 44 8B 64 24 50 44 8B 7C 24 34 49 8B CD 45 2B E1 45 03 F9 E8 ?? ?? ?? ?? 8B 54 24 58 0F B7 F0 89 74 24 3C EB 0F 44 8B 64 24 50 44 8B 7C 24 34 4C 8B 6C 24 78 85 D2 B8 FF FF FF FF BB 00 FF 00 00 44 0F 44 E0 66 85 F3 75 6D 44 8D 70 02 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5A 41 8B C4 45 2B E6 85 C0 74 50 48 8B 4D 88 44 01 74 24 60 40 0F BE C6 66 89 04 79 48 8D 45 90 49 03 FE 4C 8D 4D F0 4C 8D 45 88 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 AB 01 00 00 49 8B CD 45 03 FE E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 3C 66 85 C3 74 97 48 8B 45 D0 48 8B 88 28 01 00 00 48 8B 41 58 0F B7 18 40 0F BE C6 3B D8 0F 85 C2 00 00 00 41 8B C4 41 BE 01 00 00 00 45 2B E6 85 C0 0F 84 AE 00 00 00 49 8B CD 45 03 FE E8 ?? ?? ?? ?? 4C 8D 4D F0 4C 8D 45 88 0F B7 F0 48 8B 45 88 48 8D 55 A8 66 89 1C 78 48 8D 45 90 49 03 FE 48 8B CF 48 89 44 24 20 89 74 24 3C E8 ?? ?? ?? ?? 85 C0 0F 84 20 01 00 00 BB 00 FF 00 00 EB 60 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 56 41 8B C4 45 2B E6 85 C0 74 4C 48 8B 45 88 44 01 74 24 60 4C 8D 4D F0 66 89 34 78 48 8D 45 90 49 03 FE 4C 8D 45 88 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 CB 00 00 00 49 8B CD 45 03 FE E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 3C 66 85 F3 74 9B 8B 5C 24 60 85 DB 0F 84 9D 01 00 00 BA 65 00 00 00 66 3B D6 74 0C 8D 42 E0 66 3B C6 0F 85 87 01 00 00 41 8B C4 B9 01 00 00 00 44 2B E1 85 C0 0F 84 79 01 00 00 48 8B 45 88 4C 8D 4D F0 4C 8D 45 88 66 89 14 78 48 03 F9 48 8D 45 90 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 53 49 8B CD 41 FF C7 E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F0 89 74 24 3C 66 3B C8 0F 85 97 00 00 00 48 8B 45 88 44 8D 71 D4 4C 8D 4D F0 66 89 0C 78 48 8D 45 90 49 03 FE 4C 8D 45 88 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 C0 85 C0 75 75 48 8B 5C 24 70 45 33 E4 41 BE FF FF 00 00 BF 01 00 00 00 39 7D B0 75 08 48 8B CB E8 ?? ?? ?? ?? 39 7D 90 75 09 48 8B 4D 88 E8 ?? ?? ?? ?? 66 44 3B F6 0F 85 CD 0A 00 00 8B 45 80 85 C0 75 0B 8A 54 24 40 84 D2 75 03 83 C8 FF 44 38 65 E8 0F 84 C9 0A 00 00 48 8B 4D E0 83 A1 C8 00 00 00 FD E9 B9 0A 00 00 B8 2B 00 00 00 66 3B C6 75 28 45 33 C0 44 8D 70 D6 41 8B C4 45 2B E6 85 C0 75 05 45 8B E0 EB 12 45 03 FE 49 8B CD E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 3C B8 00 FF 00 00 66 85 F0 75 55 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? B9 01 00 00 00 85 C0 74 46 41 8B C4 44 2B E1 85 C0 74 3C 48 8B 45 88 03 D9 4C 8D 4D F0 66 89 34 78 48 03 F9 48 8D 45 90 4C 8D 45 88 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 10 FF FF FF 41 FF C7 EB 92 B9 01 00 00 00 44 2B F9 41 BE FF FF 00 00 44 89 7C 24 34 44 89 7C 24 44 66 44 3B F6 74 10 49 8B D5 0F B7 CE E8 ?? ?? ?? ?? B9 01 00 00 00 45 33 C0 85 DB 0F 84 9A 09 00 00 44 38 44 24 30 0F 85 D5 08 00 00 48 8B 45 A8 44 8B 6D 80 4C 8B 65 88 44 03 E9 48 8D 5C 00 02 66 45 89 04 7C 48 8B CB 44 89 6D 80 E8 ?? ?? ?? ?? 45 33 ED 48 8B F8 48 85 C0 0F 84 5B 09 00 00 48 8D 43 FF 4D 8B CC 4C 8B C3 48 8B D7 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 83 F8 16 0F 84 42 09 00 00 83 F8 22 0F 84 39 09 00 00 48 8B 0D ?? ?? ?? ?? 0F BE 5C 24 38 FF 15 ?? ?? ?? ?? 48 8B 55 A0 4C 8D 4D D0 8D 4B FF 4C 8B C7 FF D0 48 8B CF E8 ?? ?? ?? ?? E9 43 08 00 00 85 D2 75 0C 41 03 F9 44 89 4C 24 58 89 7C 24 50 45 84 E4 0F 8E 90 03 00 00 45 8A F9 E9 88 03 00 00 41 83 FE 70 0F 84 42 05 00 00 41 83 FE 73 0F 84 69 03 00 00 41 83 FE 75 0F 84 41 05 00 00 B8 78 00 00 00 44 3B F0 0F 84 5E FB FF FF 41 83 FE 7B 74 34 41 BE FF FF 00 00 66 41 39 32 0F 85 87 08 00 00 8A 54 24 40 44 8B 7C 24 34 FE CA 88 54 24 40 84 C9 0F 85 C9 07 00 00 4C 8B 4D C8 4C 89 4D B8 E9 BC 07 00 00 45 84 E4 45 0F B6 FF B8 5E 00 00 00 45 0F 4F F9 49 83 C2 02 4C 89 54 24 68 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 5C FF 4C 89 54 24 68 48 8B 5C 24 70 48 85 DB 75 28 B9 00 20 00 00 E8 ?? ?? ?? ?? 45 33 E4 48 8B D8 48 89 44 24 70 48 85 C0 0F 84 61 FD FF FF 41 8D 7C 24 01 89 7D B0 EB 08 45 33 E4 41 8D 7C 24 01 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 68 41 BB 5D 00 00 00 66 45 3B 1A 75 0E 41 8D 43 C3 45 8B EB 49 83 C2 02 88 43 0B 41 0F B7 0A 66 44 3B D9 0F 84 A9 00 00 00 BE 2D 00 00 00 49 83 C2 02 66 3B F1 75 6D 66 45 85 ED 74 67 41 0F B7 02 66 44 3B D8 74 5D 49 83 C2 02 4C 89 54 24 68 66 44 3B E8 73 06 44 0F B7 C8 EB 08 45 0F B7 CD 44 0F B7 E8 66 45 3B E9 73 2C 45 0F B7 D5 41 0F B7 CD 4D 8B C2 8B D7 83 E1 07 49 C1 E8 03 66 44 03 EF D2 E2 4C 03 D7 41 08 14 18 66 45 3B E9 72 DD 4C 8B 54 24 68 45 0F B7 C1 41 0F B7 C1 45 0F B7 EC EB 0B 44 0F B7 E9 44 0F B7 C1 0F B7 C1 83 E0 07 49 C1 E8 03 8B D7 8A C8 D2 E2 41 08 14 18 41 0F B7 0A 66 44 3B D9 0F 85 60 FF FF FF 8B 74 24 3C 66 45 39 22 0F 84 5F FC FF FF 4C 89 54 24 68 E9 C1 01 00 00 B8 2B 00 00 00 66 3B C6 75 14 41 2B F9 89 7C 24 50 0F 85 83 00 00 00 85 D2 74 7F 41 8A D9 4C 8B 6C 24 78 44 8B 64 24 34 B8 30 00 00 00 66 3B C6 0F 85 BC 00 00 00 44 8D 78 D1 49 8B CD 45 03 E7 44 89 64 24 34 44 89 64 24 44 E8 ?? ?? ?? ?? 0F B7 F0 41 8D 47 77 89 74 24 3C 66 3B C6 0F 84 13 01 00 00 8D 48 E0 66 3B CE 0F 84 07 01 00 00 44 89 7C 24 60 44 3B F0 74 4C 33 C9 39 4C 24 58 74 0C 41 2B FF 89 7C 24 50 75 03 41 02 DF 41 BE 6F 00 00 00 44 8B 64 24 54 EB 62 44 8B 64 24 34 4C 8B 6C 24 78 45 03 E1 49 8B CD 44 89 64 24 34 44 89 64 24 44 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 3C E9 63 FF FF FF 45 2B E7 B8 FF FF 00 00 44 89 64 24 34 44 89 64 24 44 66 3B C6 74 0B 49 8B D5 0F B7 CE E8 ?? ?? ?? ?? B8 30 00 00 00 8B F0 89 44 24 3C 44 8B 64 24 54 B8 78 00 00 00 44 8B 7C 24 34 33 FF 45 85 E4 0F 84 D2 03 00 00 84 DB 48 8B 5D 98 0F 85 AC 03 00 00 44 8B 6C 24 50 44 3B F0 0F 84 E1 02 00 00 41 83 FE 70 0F 84 D7 02 00 00 B8 00 FF 00 00 66 85 F0 0F 85 5E 03 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 4B 03 00 00 B8 6F 00 00 00 44 3B F0 0F 85 9F 02 00 00 B8 38 00 00 00 66 3B C6 0F 86 2F 03 00 00 48 C1 E3 03 E9 DB 02 00 00 45 03 E7 49 8B CD 44 89 64 24 34 44 89 64 24 44 E8 ?? ?? ?? ?? 33 C9 0F B7 F0 89 74 24 3C 39 4C 24 58 74 0F 83 EF 02 89 7C 24 50 41 3B FF 7D 03 41 02 DF B8 78 00 00 00 44 8B F0 E9 DD FE FF FF 45 0F B6 FF 45 84 E4 45 0F 4F F9 44 8B 64 24 34 48 8B 5D A0 B9 01 00 00 00 44 2B E1 B8 FF FF 00 00 44 89 64 24 34 44 89 64 24 44 66 3B C6 74 12 48 8B 54 24 78 0F B7 CE E8 ?? ?? ?? ?? B9 01 00 00 00 40 8A 7C 24 5C 44 8B 6C 24 50 45 33 C0 44 39 44 24 58 74 0E 41 8B C5 44 2B E9 85 C0 0F 84 25 01 00 00 44 03 E1 48 8B 4C 24 78 44 89 64 24 34 44 89 64 24 44 E8 ?? ?? ?? ?? 41 B8 FF FF 00 00 0F B7 F0 89 74 24 3C 66 44 3B C0 0F 84 CA 00 00 00 41 83 FE 63 74 4B 41 83 FE 73 75 1A 66 83 F8 09 72 0A 66 83 F8 0D 0F 86 AE 00 00 00 B8 20 00 00 00 66 3B F0 75 2B 41 83 FE 7B 0F 85 9A 00 00 00 48 8B 4C 24 70 0F B7 C6 0F B7 D6 48 C1 E8 03 83 E2 07 0F BE 0C 08 40 0F BE C7 33 C8 0F A3 D1 73 79 45 33 C0 44 38 44 24 30 75 61 45 84 FF 74 11 48 8B 4D A0 66 89 31 48 83 C1 02 48 89 4D A0 EB 4F 48 8B 55 A0 44 89 44 24 4C 48 8D 4C 24 4C 44 0F B7 CE 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 45 33 C0 85 C0 74 1C 83 F8 16 74 05 83 F8 22 75 21 45 33 C9 33 D2 33 C9 4C 89 44 24 20 E8 ?? ?? ?? ?? CC 48 63 44 24 4C 48 01 45 A0 EB 04 48 83 C3 02 B9 01 00 00 00 E9 F3 FE FF FF B9 01 00 00 00 44 2B E1 44 89 64 24 34 44 89 64 24 44 66 44 3B C6 74 12 48 8B 54 24 78 0F B7 CE E8 ?? ?? ?? ?? B9 01 00 00 00 45 33 C0 48 8B 45 A0 48 3B D8 0F 84 01 F9 FF FF 44 38 44 24 30 0F 85 F9 02 00 00 01 4D 80 41 83 FE 63 0F 84 EC 02 00 00 45 84 FF 44 8B 7C 24 34 41 BE FF FF 00 00 74 09 66 44 89 00 E9 DE 02 00 00 44 88 00 E9 D6 02 00 00 44 8B 64 24 54 44 88 4C 24 38 4C 89 45 98 45 03 E1 EB 05 44 8B 64 24 54 B8 2D 00 00 00 66 3B C6 75 07 44 88 4C 24 48 EB 0E B8 2B 00 00 00 66 3B C6 0F 85 3B FD FF FF 41 2B F9 89 7C 24 50 75 0C 85 D2 74 08 41 8A D9 E9 26 FD FF FF 44 8B 7C 24 34 48 8B 4C 24 78 45 03 F9 44 89 7C 24 34 44 89 7C 24 44 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 3C E9 03 FD FF FF 48 8D 1C 9B 48 03 DB EB 4A B8 00 FF 00 00 66 85 F0 0F 85 87 00 00 00 0F B7 DE 0F B6 FB 8B CF E8 ?? ?? ?? ?? 85 C0 74 76 48 C1 65 98 04 8B CF E8 ?? ?? ?? ?? 33 FF 85 C0 74 05 0F B7 F3 EB 0C BE DF FF 00 00 66 23 F3 66 83 EE 07 48 8B 5D 98 89 74 24 3C 0F B7 C6 B9 01 00 00 00 01 4C 24 60 83 E8 30 48 98 48 03 D8 48 89 5D 98 39 7C 24 58 74 05 44 2B E9 74 50 44 03 F9 48 8B 4C 24 78 44 89 7C 24 34 44 89 7C 24 44 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 3C E9 81 FC FF FF 41 FF CF B8 FF FF 00 00 44 89 7C 24 34 44 89 7C 24 44 66 3B C6 74 0D 48 8B 54 24 78 0F B7 CE E8 ?? ?? ?? ?? 48 8B 5D 98 45 33 C0 44 38 44 24 48 0F 84 3D 01 00 00 48 F7 DB 48 89 5D 98 E9 31 01 00 00 84 DB 8B 5C 24 4C 0F 85 15 01 00 00 44 8B 6C 24 50 44 3B F0 74 4C 41 83 FE 70 74 46 B8 00 FF 00 00 66 85 F0 0F 85 CF 00 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 BC 00 00 00 B8 6F 00 00 00 44 3B F0 75 13 B8 38 00 00 00 66 3B C6 0F 86 A4 00 00 00 C1 E3 03 EB 58 8D 04 9B 8D 1C 00 EB 50 B8 00 FF 00 00 66 85 F0 0F 85 89 00 00 00 0F B7 DE 0F B6 FB 8B CF E8 ?? ?? ?? ?? 85 C0 74 78 8B 44 24 4C 8B CF C1 E0 04 89 44 24 4C E8 ?? ?? ?? ?? 33 FF 85 C0 74 05 }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "_putw"
		size = 175
		refs = "002c _errno 0037 _invalid_parameter_noinfo 0049 _lock_file 0078 _flsbuf 008a ferror 009b _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 54 48 83 EC 30 48 8B DA 41 BC 04 00 00 00 48 8D 74 24 50 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 61 48 89 54 24 58 48 8B CA E8 ?? ?? ?? ?? 90 83 CF FF 41 8B C4 41 FF CC 44 89 64 24 20 85 C0 74 26 01 7B 08 78 0C 48 8B 0B 8A 06 88 01 48 FF 03 EB 0B 0F BE 0E 48 8B D3 E8 ?? ?? ?? ?? 48 FF C6 48 89 74 24 28 EB CB 48 8B CB E8 ?? ?? ?? ?? 8B 74 24 50 85 C0 0F 45 F7 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_457_12_0 {
	meta:
		name = "?LockedSetOwningContext@WorkQueue@details@Concurrency@@QEAAXPEAVContextBase@23@@Z"
		size = 67
		refs = "001d ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 003f ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 81 C1 C8 00 00 00 48 8B F2 E8 ?? ?? ?? ?? 48 8D 8F C8 00 00 00 48 89 B7 98 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_26_0 {
	meta:
		name = "?ScheduleGroupRefCount@ContextBase@details@Concurrency@@QEBAIXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 30 48 85 C0 74 07 8B 80 B4 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_457_28_0 {
	meta:
		name = "?GetScheduleGroupId@ContextBase@details@Concurrency@@UEBAIXZ"
		size = 22
	strings:
		$1 = { 48 83 79 30 00 74 0B 48 8B 49 30 48 8B 01 48 FF 60 08 83 C8 FF C3 }
	condition:
		$1
}

rule file_457_32_0 {
	meta:
		name = "?SetAsCurrentTls@ContextBase@details@Concurrency@@IEAAXXZ"
		size = 16
		refs = "0005 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 000c __imp_TlsSetValue"
	strings:
		$1 = { 48 8B D1 8B 0D ?? ?? ?? ?? 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_683_16_0 {
	meta:
		name = "?SetAsCurrentTls@UMSSchedulingContext@details@Concurrency@@AEAAXXZ"
		size = 16
		refs = "0005 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 000c __imp_TlsSetValue"
	strings:
		$1 = { 48 8B D1 8B 0D ?? ?? ?? ?? 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_33_0 {
	meta:
		name = "?PopContextFromTls@ContextBase@details@Concurrency@@AEAAPEAV123@XZ"
		size = 51
		refs = "0013 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c __imp_TlsSetValue"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 48 48 8B F9 8B 0D ?? ?? ?? ?? 48 8B D3 FF 15 ?? ?? ?? ?? 48 83 67 48 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_457_34_0 {
	meta:
		name = "?PushContextToTls@ContextBase@details@Concurrency@@AEAAXPEAV123@@Z"
		size = 20
		refs = "0009 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0010 __imp_TlsSetValue"
	strings:
		$1 = { 48 89 51 48 48 8B D1 8B 0D ?? ?? ?? ?? 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_40_0 {
	meta:
		name = "?CancelCollection@ContextBase@details@Concurrency@@QEAAXH@Z"
		size = 34
	strings:
		$1 = { F0 FF 81 A0 00 00 00 8B 81 9C 00 00 00 83 F8 FF 74 04 3B D0 7F 0A F0 0F B1 91 9C 00 00 00 75 ED F3 C3 }
	condition:
		$1
}

rule file_457_41_0 {
	meta:
		name = "?CollectionCancelComplete@ContextBase@details@Concurrency@@QEAA_NH@Z"
		size = 33
	strings:
		$1 = { 41 83 C8 FF 8B C2 F0 44 0F B1 81 9C 00 00 00 41 8B C0 F0 0F C1 81 A0 00 00 00 41 03 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule file_457_42_0 {
	meta:
		name = "?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
		size = 156
		refs = "0018 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0036 memset 003d ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 004b ContextEventGuid 0081 ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 68 08 48 89 70 10 48 89 78 18 41 54 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8B F9 41 8B F0 40 8A EA 44 8B E1 74 5A 33 D2 48 8D 48 BA 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 05 ?? ?? ?? ?? 41 BB 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 44 88 64 24 24 40 88 6C 24 25 89 74 24 54 66 44 89 5C 24 20 89 7C 24 58 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 6B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 41 5C C3 }
	condition:
		$1
}

rule file_457_43_0 {
	meta:
		name = "?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 38 83 78 10 01 75 07 48 8B 01 48 FF 60 58 33 C0 C3 }
	condition:
		$1
}

rule file_457_44_0 {
	meta:
		name = "?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 38 83 78 10 01 75 07 48 8B 01 48 FF 60 68 33 C0 C3 }
	condition:
		$1
}

rule file_457_45_0 {
	meta:
		name = "?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 38 83 78 10 01 75 07 48 8B 01 48 FF 60 60 33 C0 C3 }
	condition:
		$1
}

rule file_457_46_0 {
	meta:
		name = "?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 38 83 78 10 01 75 07 48 8B 01 48 FF 60 70 33 C0 C3 }
	condition:
		$1
}

rule file_457_47_0 {
	meta:
		name = "?StaticEnterCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
		size = 38
		refs = "0005 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 13 48 8B 48 38 83 79 10 01 75 09 48 8B 10 48 8B C8 FF 52 58 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_457_48_0 {
	meta:
		name = "?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
		size = 38
		refs = "0005 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 13 48 8B 48 38 83 79 10 01 75 09 48 8B 10 48 8B C8 FF 52 60 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_457_49_0 {
	meta:
		name = "?StaticExitCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
		size = 38
		refs = "0005 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 13 48 8B 48 38 83 79 10 01 75 09 48 8B 10 48 8B C8 FF 52 68 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_457_50_0 {
	meta:
		name = "?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
		size = 38
		refs = "0005 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 13 48 8B 48 38 83 79 10 01 75 09 48 8B 10 48 8B C8 FF 52 70 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_457_51_0 {
	meta:
		name = "?StaticGetCriticalRegionType@ContextBase@details@Concurrency@@SA?AW4CriticalRegionType@3@XZ"
		size = 33
		refs = "0005 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 10 48 8B C8 48 83 C4 28 48 FF 62 78 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_457_52_0 {
	meta:
		name = "?IsInsideCriticalRegion@ContextBase@details@Concurrency@@QEBA_NXZ"
		size = 34
	strings:
		$1 = { 48 83 EC 28 48 8B 41 38 83 78 10 01 75 0D 48 8B 01 FF 50 78 85 C0 0F 95 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_457_56_0 {
	meta:
		name = "?Reinitialize@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXXZ"
		size = 17
	strings:
		$1 = { 33 C0 89 01 89 41 04 89 41 1C 88 41 18 89 41 0C C3 }
	condition:
		$1
}

rule file_457_66_0 {
	meta:
		name = "?PullFromFreePool@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAPEAVWorkQueue@23@XZ"
		size = 24
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 85 C0 74 04 48 83 C0 E0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_457_71_0 {
	meta:
		name = "?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@@Z"
		size = 294
		refs = "0044 ??_U@YAPEAX_K@Z 0057 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 00f4 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 00fc ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 8B 41 08 48 8B F9 4C 8B E2 8D 6C 00 02 8B 41 04 8B 01 4C 63 C5 48 C7 C1 FF FF FF FF B8 08 00 00 00 49 F7 E0 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5F 10 4C 8B 6F 20 48 8B CB 48 8B F0 E8 ?? ?? ?? ?? 44 8B 1F 44 8B 4F 04 8B 4F 0C 8B 47 04 45 2B CB 44 23 5F 08 33 D2 4D 63 C1 41 2B CB 41 2B C9 03 C1 89 47 0C 43 8D 04 0B 44 89 1F 89 47 04 45 85 C9 7E 21 48 63 47 08 49 63 CB 41 FF C3 48 23 C8 48 8B 47 20 48 8B 0C C8 48 89 0C D6 48 FF C2 49 3B D0 7C DF 8B 07 48 89 77 20 01 47 0C 80 7F 18 00 74 05 8B 07 29 47 1C 8D 45 FF 48 8B CB 89 47 08 C7 07 00 00 00 00 44 89 4F 04 4C 63 47 04 48 63 47 08 49 8B D0 48 23 D0 48 8B 47 20 4C 89 24 D0 41 8D 40 01 89 47 04 E8 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? 44 8B 5F 0C 8B 47 04 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 41 FF CB 41 03 C3 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_457_77_0 {
	meta:
		name = "?NextList@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@AEAAPEAUListNode@123@PEAH@Z"
		size = 55
	strings:
		$1 = { 4C 63 02 4C 8B D1 44 3B 01 7D 1A 48 8B 41 08 4E 8D 0C C0 49 83 39 00 75 0F 41 FF C0 49 83 C1 08 44 3B 01 7C EE 33 C0 C3 44 89 02 49 8B 42 08 49 63 C8 48 8B 04 C8 C3 }
	condition:
		$1
}

rule file_457_86_0 {
	meta:
		name = "?SyncPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ"
		size = 129
		refs = "001a ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 006a ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 10 48 8B F9 48 8B CB E8 ?? ?? ?? ?? 8B 57 04 45 33 DB FF CA 41 8B F3 89 57 04 8B 07 3B C2 7F 14 48 63 4F 08 48 63 C2 48 23 C8 48 8B 47 20 48 8B 34 C8 EB 06 8D 42 01 89 47 04 8B 0F 3B CA 7C 14 8B 0F 44 89 5F 1C 44 88 5F 18 01 4F 0C 44 89 1F 44 89 5F 04 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_457_91_0 {
	meta:
		name = "?_SetSpinCount@?$_SpinWait@$0A@@details@Concurrency@@QEAAXI@Z"
		size = 26
	strings:
		$1 = { 85 D2 75 08 C7 41 08 04 00 00 00 C3 83 61 04 00 89 11 C7 41 08 01 00 00 00 C3 }
	condition:
		$1
}

rule file_457_96_0 {
	meta:
		name = "?Reinitialize@WorkQueue@details@Concurrency@@AEAAXXZ"
		size = 106
		refs = "0015 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0066 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 81 C1 C8 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 48 8D 8F C8 00 00 00 44 89 1F 44 89 5F 04 44 89 9F A0 00 00 00 44 89 9F A4 00 00 00 44 89 9F BC 00 00 00 44 88 9F B8 00 00 00 44 89 9F AC 00 00 00 44 89 9F 80 00 00 00 4C 89 9F 98 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_97_0 {
	meta:
		name = "?CancelEntireContext@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 47
	strings:
		$1 = { B8 01 00 00 00 87 81 A4 00 00 00 F0 FF 81 A0 00 00 00 8B 81 9C 00 00 00 33 D2 83 F8 FF 74 04 85 C0 78 0A F0 0F B1 91 9C 00 00 00 75 ED F3 C3 }
	condition:
		$1
}

rule file_457_99_0 {
	meta:
		name = "?PopStructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ"
		size = 49
	strings:
		$1 = { 4C 8B 41 40 45 8B 48 04 49 63 50 08 49 8B 48 10 41 FF C9 49 63 C1 45 89 48 04 48 23 D0 33 C0 48 87 04 D1 48 85 C0 75 08 41 8D 49 01 41 89 48 04 C3 }
	condition:
		$1
}

rule file_457_100_0 {
	meta:
		name = "?Push@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z"
		size = 48
		refs = "002c ?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 4C 63 49 04 4C 63 41 08 8B 01 41 03 C0 44 3B C8 7D 19 48 8B 41 20 4D 23 C1 4A 89 14 C0 41 8D 41 01 89 41 04 8B 41 0C 41 03 C1 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_106_0 {
	meta:
		name = "??0?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@H@Z"
		size = 57
		refs = "0017 ??2@YAPEAX_K@Z 002c memset"
		altNames = "??0?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 61 04 00 48 8B D9 89 11 48 63 CA 48 C1 E1 03 E8 ?? ?? ?? ?? 4C 63 03 33 D2 49 C1 E0 03 48 8B C8 48 89 43 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_457_107_0 {
	meta:
		name = "?First@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@PEAH@Z"
		size = 52
	strings:
		$1 = { 33 C0 4C 8B D1 89 02 44 8B C0 39 01 7E 25 4C 8B 49 08 49 39 01 75 0E 41 FF C0 49 83 C1 08 44 3B 01 7C EF F3 C3 44 89 02 49 8B 42 08 49 63 C8 48 8B 04 C8 C3 }
	condition:
		$1
}

rule file_457_108_0 {
	meta:
		name = "?Next@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAPEAUListNode@123@PEAHPEAU4123@@Z"
		size = 67
	strings:
		$1 = { 49 8B 00 45 33 C0 4C 8B D1 48 85 C0 75 34 FF 02 48 63 0A 41 3B 0A 7D 27 49 8B 42 08 4C 8D 0C C8 4D 39 01 75 0D FF C1 49 83 C1 08 41 3B 0A 7C F0 EB 0D 89 0A 49 8B 42 08 48 63 C9 4C 8B 04 C8 49 8B C0 C3 }
	condition:
		$1
}

rule file_457_112_0 {
	meta:
		name = "?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z"
		size = 258
		refs = "0044 ??_U@YAPEAX_K@Z 0057 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 00ab memset 00da ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 00fe ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 8B 41 08 48 8B F9 4C 8B F2 44 8D 6C 00 02 48 C7 C1 FF FF FF FF B8 08 00 00 00 4D 63 C5 49 F7 E0 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5F 18 4C 8B 7F 10 48 8B CB 48 8B E8 E8 ?? ?? ?? ?? 8B 4F 04 44 8B 07 8B 0F 44 8B 67 04 33 D2 44 2B E1 49 63 F4 45 85 E4 7E 22 48 63 47 08 49 63 C8 41 FF C0 48 23 C8 48 8B 47 10 48 8B 0C C8 48 89 4C D5 00 48 FF C2 48 3B D6 7C DE 41 8B C5 48 8D 4C F5 00 33 D2 41 2B C4 4C 63 C0 49 C1 E0 03 E8 ?? ?? ?? ?? 48 89 6F 10 41 8D 45 FF 89 47 08 48 63 D0 48 8B 47 10 C7 07 00 00 00 00 48 23 D6 48 8B CB 4C 89 34 D0 41 8D 44 24 01 89 47 04 E8 ?? ?? ?? ?? 49 8B CF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_55_0 {
	meta:
		name = "?GrowAndPush@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@AEAAXPEAVInternalContextBase@23@@Z"
		size = 258
		refs = "0044 ??_U@YAPEAX_K@Z 0057 ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 00ab memset 00da ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 00fe ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 8B 41 08 48 8B F9 4C 8B F2 44 8D 6C 00 02 48 C7 C1 FF FF FF FF B8 08 00 00 00 4D 63 C5 49 F7 E0 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5F 18 4C 8B 7F 10 48 8B CB 48 8B E8 E8 ?? ?? ?? ?? 8B 4F 04 44 8B 07 8B 0F 44 8B 67 04 33 D2 44 2B E1 49 63 F4 45 85 E4 7E 22 48 63 47 08 49 63 C8 41 FF C0 48 23 C8 48 8B 47 10 48 8B 0C C8 48 89 4C D5 00 48 FF C2 48 3B D6 7C DE 41 8B C5 48 8D 4C F5 00 33 D2 41 2B C4 4C 63 C0 49 C1 E0 03 E8 ?? ?? ?? ?? 48 89 6F 10 41 8D 45 FF 89 47 08 48 63 D0 48 8B 47 10 C7 07 00 00 00 00 48 23 D6 48 8B CB 4C 89 34 D0 41 8D 44 24 01 89 47 04 E8 ?? ?? ?? ?? 49 8B CF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_113_0 {
	meta:
		name = "?Pop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ"
		size = 62
		refs = "003a ?SyncPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ"
	strings:
		$1 = { 48 8B D1 44 8B 42 04 41 FF C8 41 8B C0 87 42 04 8B 02 41 3B C0 7F 18 48 63 4A 08 49 63 C0 48 23 C8 48 8B 42 20 48 8B 04 C8 48 85 C0 74 D5 C3 41 8D 40 01 48 8B CA 89 42 04 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_116_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$0A@@details@Concurrency@@IEAAXXZ"
		size = 50
		refs = "000e ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 61 08 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 0D 83 63 04 00 89 03 C7 43 08 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_457_118_0 {
	meta:
		name = "?PushUnstructured@WorkQueue@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z"
		size = 60
		refs = "0038 ?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 4C 8D 81 A0 00 00 00 4D 63 48 04 49 63 48 08 41 8B 00 03 C1 44 3B C8 7D 1B 49 8B 40 20 49 23 C9 48 89 14 C8 41 8D 41 01 41 89 40 04 41 8B 40 0C 41 03 C1 C3 49 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_119_0 {
	meta:
		name = "?AddStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@_N@Z"
		size = 72
		refs = "0024 ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 48 8B F1 48 81 C2 88 00 00 00 48 83 C1 78 41 8A F8 E8 ?? ?? ?? ?? C6 43 71 01 40 84 FF 74 07 F0 FF 8E 98 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_457_120_0 {
	meta:
		name = "?RemoveStealer@ContextBase@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 108
		refs = "001e ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0068 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 E9 80 48 8D BA 88 00 00 00 E8 ?? ?? ?? ?? 48 8B 57 08 48 8B 07 48 89 02 48 8B 47 08 48 8B 17 48 89 42 08 48 8B 46 78 48 3B F8 75 11 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 46 78 48 8D 8E 80 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_121_0 {
	meta:
		name = "?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z"
		size = 249
		refs = "002d ?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00bf ?CancelStealers@ContextBase@details@Concurrency@@QEAAXPEAV_TaskCollectionBase@23@@Z 00f5 ?_ReleaseRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8D 59 78 48 89 58 08 48 8D 4B 08 E8 ?? ?? ?? ?? 90 48 8B 3B 33 D2 48 85 FF E9 89 00 00 00 48 8D 8F 78 FF FF FF 8B 81 A4 00 00 00 85 C0 75 75 48 8B 41 58 48 3B C5 74 38 48 85 ED 75 11 8B 40 08 25 FF FF FF 0F 3D FF FF FF 0F 75 24 EB 56 8B 50 08 C1 E2 04 C1 FA 04 8B 45 08 C1 E0 04 C1 F8 04 3B D0 7E 3E 83 FA FF 74 39 33 D2 83 F8 FF 74 34 B8 01 00 00 00 87 81 A4 00 00 00 F0 FF 81 A0 00 00 00 8B 81 9C 00 00 00 83 F8 FF 74 04 85 C0 78 0A F0 0F B1 91 9C 00 00 00 75 ED 33 D2 E8 ?? ?? ?? ?? 33 D2 48 3B 3B 74 06 48 8B 7F 08 EB 03 48 8B FA 48 85 FF 0F 85 63 FF FF FF 48 8D 4B 08 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_124_0 {
	meta:
		name = "?Push@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 42
		refs = "0026 ?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z"
		altNames = "?PushStructured@WorkQueue@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
	strings:
		$1 = { 4C 63 49 04 4C 63 41 08 8B 01 41 03 C0 44 3B C8 7D 13 48 8B 41 10 4D 23 C1 4A 89 14 C0 41 8D 41 01 89 41 04 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_72_0 {
	meta:
		name = "?Push@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 42
		refs = "0026 ?GrowAndPush@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@AEAAXPEAVInternalContextBase@23@@Z"
	strings:
		$1 = { 4C 63 49 04 4C 63 41 08 8B 01 41 03 C0 44 3B C8 7D 13 48 8B 41 10 4D 23 C1 4A 89 14 C0 41 8D 41 01 89 41 04 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_125_0 {
	meta:
		name = "?TryPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z"
		size = 123
		refs = "004b ?SyncPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ"
	strings:
		$1 = { 8B 41 04 44 8B CA 4C 8B C1 44 2B 49 0C FF C8 44 3B C8 75 3B 41 8B 50 04 FF CA 8B C2 41 87 40 04 41 8B 00 3B C2 7F 19 49 63 48 08 48 63 C2 48 23 C8 49 8B 40 20 48 8B 04 C8 48 85 C0 74 D6 EB 3A 8D 42 01 49 8B C8 41 89 40 04 E9 ?? ?? ?? ?? 8B 41 04 44 3B C8 7D 21 8B 01 44 3B C8 7C 1A 48 63 51 08 48 8B 49 20 49 63 C1 48 23 D0 45 33 C9 4C 87 0C D1 49 8B C1 EB 02 33 C0 C3 }
	condition:
		$1
}

rule file_457_128_0 {
	meta:
		name = "?Add@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAHPEAVWorkQueue@23@@Z"
		size = 370
		refs = "00c4 ??_U@YAPEAX_K@Z 00d9 memset 00e3 ??2@YAPEAX_K@Z 012a ?_UnderlyingYield@details@Concurrency@@YAXXZ 0139 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 55 41 57 48 83 EC 40 48 8B 59 58 33 F6 40 32 ED 4C 8B EA 48 8B F9 49 83 CB FF 44 8D 7E 01 44 39 5B 10 7C 53 4C 8B 0B 33 D2 39 57 50 7E 49 4D 8B C1 49 83 38 00 75 1B 8D 04 32 48 63 CA 41 89 85 94 00 00 00 44 8B 57 70 33 C0 F0 4D 0F B1 2C C9 74 0E 41 03 D7 49 83 C0 08 3B 57 50 7D 19 EB D1 03 F2 41 8A EF 41 3B F2 7C 05 F0 44 01 7F 70 8B C2 F0 44 0F B1 5B 10 40 84 ED 0F 85 B4 00 00 00 B9 FE FF FF FF 41 8B C3 F0 0F B1 4B 10 03 77 50 48 83 7B 08 00 75 76 33 C0 F0 4C 0F B1 7B 08 75 6C 48 63 4F 50 B8 08 00 00 00 48 F7 E1 49 0F 40 C3 48 8B C8 E8 ?? ?? ?? ?? 4C 63 47 50 33 D2 49 C1 E0 03 48 8B C8 4C 8B E0 E8 ?? ?? ?? ?? B9 18 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 0E 48 83 60 08 00 83 48 10 FF 4C 89 20 EB 03 45 33 DB 48 63 47 6C 3B 47 68 7D 0F 48 8B C8 48 8B 47 60 4C 89 1C C8 44 01 7F 6C 4C 87 5B 08 4C 39 7B 08 75 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 39 7B 08 74 F0 48 8B 5B 08 49 C7 C3 FF FF FF FF 40 84 ED 0F 84 D6 FE FF FF 4C 8D 5C 24 40 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5F 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_457_129_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ"
		size = 171
		refs = "001a ?_Value@_SpinCount@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 33 FF 8B 4B 08 85 C9 75 23 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB E4 89 03 89 7B 04 C7 43 08 01 00 00 00 EB D6 FF C9 74 4E FF C9 74 2F FF C9 74 06 FF C9 74 3B EB 21 89 7B 08 E8 ?? ?? ?? ?? 85 C0 75 09 C7 43 08 04 00 00 00 EB 0C 89 03 89 7B 04 C7 43 08 01 00 00 00 32 C0 EB 30 8B 43 08 FF 4B 04 B9 03 00 00 00 0F 44 C1 40 B7 01 89 43 08 F3 90 40 8A C7 EB 15 F3 90 FF 0B 75 0D 8B 4B 04 F7 D9 1B D2 83 C2 03 89 53 08 B0 01 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_457_134_0 {
	meta:
		name = "??0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z"
		size = 267
		refs = "0023 ??_7ContextBase@details@Concurrency@@6B@ 0061 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 009d ??2@YAPEAX_K@Z 00b9 memset 00c3 ?GetNewContextId@SchedulerBase@details@Concurrency@@QEAAIXZ 00d9 ?g_TraceOn@details@Concurrency@@3_NA 00e3 ?g_EnableLevel@details@Concurrency@@3EA 00f3 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 F6 48 89 71 24 89 71 2C 48 89 51 38 48 89 71 40 48 89 71 48 C7 41 50 01 00 00 00 89 71 54 48 89 71 58 48 89 71 60 89 71 68 44 88 41 70 48 89 71 78 48 83 E9 80 E8 ?? ?? ?? ?? 89 B3 98 00 00 00 C7 83 9C 00 00 00 FF FF FF FF 89 B3 A0 00 00 00 89 B3 A4 00 00 00 89 B3 A8 00 00 00 48 89 B3 B0 00 00 00 48 C7 83 B8 00 00 00 07 00 00 00 8D 4E 38 E8 ?? ?? ?? ?? 48 89 83 C0 00 00 00 4C 63 83 B8 00 00 00 49 C1 E0 03 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B 4B 38 E8 ?? ?? ?? ?? 8B F8 89 43 20 48 8B 4B 38 48 8B 01 FF 50 08 40 38 35 ?? ?? ?? ?? 74 19 B2 04 38 15 ?? ?? ?? ?? 72 0F 44 8B CF 44 8B C0 8D 4E 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_457_135_0 {
	meta:
		name = "?dtor$0@?0???0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z@4HA"
		size = 19
		refs = "000f ??1?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 B8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_141_0 {
	meta:
		name = "?TryPopUnstructured@ContextBase@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z"
		size = 16
		refs = "000c ?TryPop@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@H@Z"
	strings:
		$1 = { 48 8B 49 40 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_142_0 {
	meta:
		name = "?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 158
		refs = "001c ?GetDetachedWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ 0035 __imp_InterlockedPopEntrySList 0053 ??2@YAPEAX_K@Z 0065 ??0WorkQueue@details@Concurrency@@QEAA@XZ 0073 ?Reinitialize@WorkQueue@details@Concurrency@@AEAAXXZ 0084 ?Add@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAHPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8B 49 30 E8 ?? ?? ?? ?? 48 89 43 40 33 FF 48 85 C0 75 5D 48 8B 4B 30 48 83 C1 20 FF 15 ?? ?? ?? ?? 48 85 C0 8B CF 74 04 48 8D 48 E0 48 89 4B 40 48 85 C9 75 25 B9 D0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 40 EB 05 E8 ?? ?? ?? ?? 48 8B 4B 30 48 83 C1 20 48 8B 53 40 E8 ?? ?? ?? ?? 48 8B 43 40 48 89 98 98 00 00 00 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_457_144_0 {
	meta:
		name = "?CreateStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 161
		refs = "0021 __imp_InterlockedPopEntrySList 0040 ?GetDetachedWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAAPEAVWorkQueue@23@XZ 0053 ??2@YAPEAX_K@Z 0065 ??0WorkQueue@details@Concurrency@@QEAA@XZ 0076 ?Reinitialize@WorkQueue@details@Concurrency@@AEAAXXZ 0087 ?Add@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAAHPEAVWorkQueue@23@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8B 49 30 48 83 C1 20 FF 15 ?? ?? ?? ?? 33 FF 48 85 C0 8B CF 74 04 48 8D 48 E0 48 89 4B 40 48 85 C9 75 3A 48 8B 4B 30 E8 ?? ?? ?? ?? 48 89 43 40 48 85 C0 75 3E B9 D0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 40 48 8B D7 EB 09 E8 ?? ?? ?? ?? 48 8B 53 40 48 8B 4B 30 48 83 C1 20 E8 ?? ?? ?? ?? 48 8B 43 40 48 89 98 98 00 00 00 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_457_146_0 {
	meta:
		name = "?ClearAliasTable@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 182
		refs = "0051 ?_ReleaseAlias@_TaskCollection@details@Concurrency@@AEAAXXZ 00a7 ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D A9 B8 00 00 00 33 C0 33 FF 39 45 00 7E 17 48 8B 5D 08 48 8B CB 48 39 39 75 12 FF C0 48 83 C1 08 3B 45 00 7C F0 33 DB 48 63 F7 EB 48 8B F8 48 98 48 8B 1C C3 EB F1 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 1B 48 85 DB 75 EF FF C7 48 FF C6 8B C7 48 8B DE 3B 7D 00 7D 1C 48 8B 55 08 48 8D 0C F2 48 83 39 00 75 31 FF C0 48 FF C3 48 83 C1 08 3B 45 00 7C EC 33 DB 48 85 DB 75 BD 48 8B CD 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? 48 8B F3 48 8B 1C DA 8B F8 EB D4 }
	condition:
		$1
}

rule file_457_151_0 {
	meta:
		name = "?DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 474
		refs = "0031 ?_UnderlyingYield@details@Concurrency@@YAXXZ 003f ?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ 005c ?ClearAliasTable@ContextBase@details@Concurrency@@QEAAXXZ 006f ?_FlushWriteOwners@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0091 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00dd ?_GetStealTrackingList@_TaskCollection@details@Concurrency@@AEBAPEAXXZ 00ee ?_TryAcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAA_NXZ 00fe ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0111 __imp_Sleep"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 73 18 49 89 4B 08 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B D9 8B 81 98 00 00 00 85 C0 74 26 83 64 24 40 00 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 48 8D 4C 24 38 E8 ?? ?? ?? ?? 44 8B 9B 98 00 00 00 45 85 DB 75 EA 83 BB BC 00 00 00 00 7E 08 48 8B CB E8 ?? ?? ?? ?? 48 83 7B 78 00 75 11 48 8D 8B 80 00 00 00 E8 ?? ?? ?? ?? E9 48 01 00 00 40 32 FF 40 84 FF 0F 85 3C 01 00 00 C6 44 24 20 01 48 8D 8B 80 00 00 00 E8 ?? ?? ?? ?? 90 40 B6 01 40 88 74 24 20 48 8B 7B 78 48 85 FF 74 04 48 8B 7F 08 48 85 FF 0F 84 EE 00 00 00 40 84 F6 0F 84 E2 00 00 00 48 3B 7B 78 74 06 4C 8B 6F 08 EB 03 45 33 ED 4C 8D B7 78 FF FF FF 4C 89 74 24 30 49 8B 4E 58 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 28 48 8D 48 08 E8 ?? ?? ?? ?? 84 C0 75 24 48 8D 8B 80 00 00 00 E8 ?? ?? ?? ?? 40 32 F6 40 88 74 24 20 B9 01 00 00 00 FF 15 ?? ?? ?? ?? E9 85 00 00 00 49 8D 96 88 00 00 00 48 8B 4A 08 48 8B 02 48 89 01 48 8B 0A 48 8B 42 08 48 89 41 08 48 8B 43 78 48 3B D0 75 11 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 43 78 41 C6 46 71 00 49 8B 04 24 48 85 C0 75 09 48 89 52 08 48 89 12 EB 22 48 8B 40 08 48 89 42 08 49 8B 04 24 48 89 02 49 8B 04 24 48 8B 48 08 48 89 11 49 8B 04 24 48 89 50 08 49 89 14 24 49 8D 4C 24 08 E8 ?? ?? ?? ?? 49 8B FD E9 0C FF FF FF 48 85 FF 40 0F 94 C7 40 84 F6 0F 84 CC FE FF FF 48 8D 8B 80 00 00 00 E8 ?? ?? ?? ?? E9 BB FE FF FF 4C 8D 5C 24 50 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_457_152_0 {
	meta:
		name = "?fin$0@?0??DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ@4HA"
		size = 32
		refs = "0012 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 28 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC CC CC }
	condition:
		$1
}

rule file_457_153_0 {
	meta:
		name = "?fin$1@?0??DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ@4HA"
		size = 39
		refs = "001b ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 80 7D 20 00 74 11 48 8B 8D 80 00 00 00 48 83 E9 80 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_457_154_0 {
	meta:
		name = "?PushStructured@ContextBase@details@Concurrency@@QEAAXPEAV_UnrealizedChore@23@@Z"
		size = 171
		refs = "0018 ?CreateStructuredWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 004c ?GrowAndPush@?$StructuredWorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAXPEAV_UnrealizedChore@23@@Z 0071 ?IncrementEnqueuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 40 00 48 8B FA 48 8B D9 75 05 E8 ?? ?? ?? ?? 4C 8B 43 40 49 63 50 04 49 63 48 08 41 8B 00 03 C1 3B D0 7D 14 49 8B 40 10 48 23 CA 48 89 3C C8 8D 42 01 41 89 40 04 EB 0B 48 8B D7 49 8B C8 E8 ?? ?? ?? ?? 80 7B 70 00 74 0C 48 8B 83 D0 00 00 00 FF 40 20 EB 22 48 8D 4B F0 48 8B 41 48 83 78 10 01 75 07 E8 ?? ?? ?? ?? EB 0D 48 8B 81 E0 00 00 00 FF 80 A0 00 00 00 48 8B 43 38 8B 88 7C 01 00 00 85 C9 7E 0E 48 8B 4B 38 48 8B 53 30 48 8B 01 FF 50 50 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_457_155_0 {
	meta:
		name = "?PushUnstructured@ContextBase@details@Concurrency@@QEAAHPEAV_UnrealizedChore@23@@Z"
		size = 205
		refs = "0018 ?CreateWorkQueue@ContextBase@details@Concurrency@@QEAAXXZ 006a ?SyncPush@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@AEAAHPEAV_UnrealizedChore@23@@Z 0091 ?IncrementEnqueuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 40 00 48 8B FA 48 8B D9 75 05 E8 ?? ?? ?? ?? 4C 8B 43 40 49 63 90 A4 00 00 00 49 63 88 A8 00 00 00 41 8B 80 A0 00 00 00 03 C1 3B D0 7D 24 49 8B 80 C0 00 00 00 48 23 CA 48 89 3C C8 8D 42 01 41 89 80 A4 00 00 00 41 8B 80 AC 00 00 00 8D 3C 02 EB 11 49 8D 88 A0 00 00 00 48 8B D7 E8 ?? ?? ?? ?? 8B F8 80 7B 70 00 74 0C 48 8B 8B D0 00 00 00 FF 41 20 EB 22 48 8D 4B F0 48 8B 41 48 83 78 10 01 75 07 E8 ?? ?? ?? ?? EB 0D 48 8B 81 E0 00 00 00 FF 80 A0 00 00 00 48 8B 43 38 8B 88 7C 01 00 00 85 C9 7E 0E 48 8B 4B 38 48 8B 53 30 48 8B 01 FF 50 50 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_457_156_0 {
	meta:
		name = "?SweepAliasTable@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 260
		refs = "008f ?_IsStaleAlias@_TaskCollection@details@Concurrency@@AEBA_NXZ 009f ?_OriginalCollection@_TaskCollection@details@Concurrency@@AEBAPEAV123@XZ 00b4 ?FindAndDelete@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAA_NAEBQEAV_TaskCollection@23@PEAPEAV423@@Z 00c1 ??1_TaskCollection@details@Concurrency@@QEAA@XZ 00c9 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 20 4C 8D A1 B8 00 00 00 33 C0 33 F6 41 39 04 24 7E 1D 49 8B 7C 24 08 48 8B CF 48 39 31 0F 85 B8 00 00 00 FF C0 48 83 C1 08 41 3B 04 24 7C EB 33 FF 48 63 EE 48 85 FF 0F 84 8B 00 00 00 48 8B 1F 48 85 DB 75 34 FF C6 48 FF C5 8B C6 48 8B DD 41 3B 34 24 7D 22 49 8B 54 24 08 48 8D 0C EA 48 83 39 00 0F 85 80 00 00 00 FF C0 48 FF C3 48 83 C1 08 41 3B 04 24 7C E7 33 DB 48 8B 4F 10 E8 ?? ?? ?? ?? 84 C0 74 36 48 8B 7F 10 48 8B CF E8 ?? ?? ?? ?? 48 8D 54 24 40 45 33 C0 49 8B CC 48 89 44 24 40 E8 ?? ?? ?? ?? 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B FB 48 85 DB 0F 85 75 FF FF FF 48 8B 5C 24 48 48 8B 6C 24 50 48 83 C4 20 41 5C 5F 5E C3 8B F0 48 98 48 8B 3C C7 E9 49 FF FF FF 48 8B EB 48 8B 1C DA 8B F0 EB 86 }
	condition:
		$1
}

rule file_457_162_0 {
	meta:
		name = "?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ"
		size = 201
		refs = "003e ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0052 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 005e ?DetachActiveWorkQueue@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVWorkQueue@23@@Z 00ae ?Remove@?$ListArray@VWorkQueue@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVWorkQueue@23@H_N@Z 00c5 ?DetachStealers@ContextBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 40 48 8B F1 48 85 FF 0F 84 93 00 00 00 48 83 61 40 00 44 8B 87 A4 00 00 00 8B 87 A0 00 00 00 44 3B C0 7E 2E 48 8D 8F C8 00 00 00 E8 ?? ?? ?? ?? 48 83 A7 98 00 00 00 00 48 8D 8F C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 4E 30 48 8B D7 E8 ?? ?? ?? ?? EB 4E 8B 87 C8 00 00 00 85 C0 74 22 48 8D 8F C8 00 00 00 E8 ?? ?? ?? ?? 48 83 A7 98 00 00 00 00 48 8D 8F C8 00 00 00 E8 ?? ?? ?? ?? EB 08 48 83 A7 98 00 00 00 00 48 8B 4E 30 44 8B 87 94 00 00 00 41 B1 01 48 83 C1 20 48 8B D7 E8 ?? ?? ?? ?? 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_457_163_0 {
	meta:
		name = "?Cleanup@ContextBase@details@Concurrency@@QEAAXXZ"
		size = 77
		refs = "000e ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ 0021 ?g_TraceOn@details@Concurrency@@3_NA 002c ?g_EnableLevel@details@Concurrency@@3EA 003e ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 38 48 8B 01 8B 7B 20 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CF 44 8B C0 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_458_3_0 {
	meta:
		name = "_mbsbtype_l"
		size = 188
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0060 _mbbtype_l 0089 _errno 0094 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 74 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 40 48 8B F9 48 8B F2 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 74 5F 48 8B 45 E8 83 78 08 00 75 15 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 64 83 CA FF 48 85 F6 75 05 40 38 37 74 43 8A 0F 84 C9 74 2D 4C 8D 45 E0 E8 ?? ?? ?? ?? 48 FF C7 8B D0 48 8B C6 48 FF CE 48 85 C0 75 D7 38 45 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C2 EB 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 83 C8 FF 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_459_0_0 {
	meta:
		name = "_aligned_offset_malloc"
		size = 175
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0075 malloc"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 42 FF 49 8B D8 48 85 C2 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 66 48 85 DB 74 05 48 3B D9 73 E2 BF 08 00 00 00 48 8B F3 48 3B D7 48 0F 47 FA 48 F7 DE 83 E6 07 48 FF CF 48 8D 6C 3E 08 48 8D 04 29 48 3B C8 76 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB BF 48 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 AF 48 03 C5 48 F7 D7 48 03 C3 48 23 C7 48 2B C3 48 8B C8 48 2B CE 4C 89 59 F8 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_1_0 {
	meta:
		name = "_aligned_msize"
		size = 101
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0034 _msize"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B D8 48 8B FA 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 2F 48 83 E1 F8 48 8B 49 F8 E8 ?? ?? ?? ?? B9 08 00 00 00 48 C7 C2 F9 FF FF FF 48 3B F9 48 0F 47 CF 48 F7 DB 83 E3 07 48 2B D1 48 2B D3 48 03 C2 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_459_2_0 {
	meta:
		name = "_aligned_free"
		size = 27
		refs = "0012 free"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0D 48 83 E1 F8 48 8B 49 F8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_459_3_0 {
	meta:
		name = "_aligned_malloc"
		size = 112
		refs = "0010 _errno 001b _invalid_parameter_noinfo 004d malloc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 42 FF 48 85 C2 74 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 47 BB 08 00 00 00 48 3B D3 48 0F 47 DA 48 FF CB 48 8D 44 0B 08 48 3B C8 76 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB D6 48 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 33 C0 4D 85 DB 74 0F 49 8D 44 1B 08 48 F7 D3 48 23 C3 4C 89 58 F8 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_459_4_0 {
	meta:
		name = "_aligned_offset_realloc"
		size = 455
		refs = "003a _aligned_offset_malloc 0051 free 0066 _errno 0071 _invalid_parameter_noinfo 00b4 _msize 0102 malloc 012c _expand 018c memmove"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 49 8B F1 48 8B FA 4D 8B C8 48 8B D9 48 85 C9 75 13 4C 8B C6 49 8B D1 48 8B CF E8 ?? ?? ?? ?? E9 67 01 00 00 48 85 D2 75 14 48 83 E3 F8 48 8B 4B F8 E8 ?? ?? ?? ?? 33 C0 E9 4E 01 00 00 49 8D 40 FF 49 85 C0 74 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB DE 48 85 F6 74 05 48 3B F2 73 E4 48 8B C1 BD 08 00 00 00 4C 8B EE 48 83 E0 F8 4C 3B C5 4C 8B 60 F8 49 0F 47 E8 48 8B C1 49 2B C4 49 F7 DD 49 8B CC 48 89 44 24 20 48 FF CD 41 83 E5 07 E8 ?? ?? ?? ?? 48 8B C8 49 8B C4 48 2B C3 48 03 C8 49 8D 44 3D 00 48 3B CF 4C 8D 7C 28 08 48 0F 47 CF 48 89 4C 24 28 49 3B FF 76 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 66 FF FF FF 4B 8D 44 25 00 48 8D 54 28 08 48 3B D3 73 1C 49 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 43 FF FF FF 41 BE 01 00 00 00 EB 2E E8 ?? ?? ?? ?? 49 8B D7 49 8B CC 8B 00 89 44 24 60 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0D E8 ?? ?? ?? ?? 8B 4C 24 60 89 08 EB B9 4C 8B E0 48 8B 54 24 20 48 8B C3 48 2B C2 48 3B F8 75 13 49 8D 4C 1D 00 48 8B C5 48 03 CE 48 F7 D0 48 85 C8 74 3C 4C 8B 44 24 28 4A 8D 04 2F 49 03 D4 48 03 C5 48 F7 D5 48 8D 5C 30 08 48 23 DD 48 2B DE 48 8B CB E8 ?? ?? ?? ?? 45 85 F6 74 08 49 8B CC E8 ?? ?? ?? ?? 48 8B CB 49 2B CD 48 89 79 F8 48 8B C3 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_459_5_0 {
	meta:
		name = "_aligned_offset_recalloc"
		size = 163
		refs = "0033 _errno 0053 _aligned_msize 0069 _aligned_offset_realloc 0087 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 49 8B E9 48 8B DA 48 8B F1 48 85 D2 74 1D 33 D2 48 8D 47 E0 48 F7 F3 49 3B C0 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 4D 49 0F AF D8 48 85 C9 74 10 4C 8B 44 24 50 49 8B D1 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 4C 24 50 4C 8B C5 48 8B D3 48 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 16 48 3B FB 73 11 48 2B DF 48 8D 0C 38 33 D2 4C 8B C3 E8 ?? ?? ?? ?? 48 8B C6 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_460_0_0 {
	meta:
		name = "__initconin"
		size = 59
		refs = "0018 ??_C@_1O@PNMIMBDD@?$AAC?$AAO?$AAN?$AAI?$AAN?$AA$?$AA?$AA@ 002b __imp_CreateFileW 0032 _coninpfh"
	strings:
		$1 = { 48 83 EC 48 48 83 64 24 30 00 83 64 24 28 00 41 B8 03 00 00 00 48 8D 0D ?? ?? ?? ?? 45 33 C9 BA 00 00 00 C0 44 89 44 24 20 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_461_0_0 {
	meta:
		name = "??_N@YAXPEAX_KHP6AX0@Z2@Z"
		size = 104
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 70 20 48 89 50 10 48 89 48 08 57 41 54 41 55 48 83 EC 30 4D 8B E9 41 8B F0 4C 8B E2 48 8B F9 33 DB 89 58 D8 89 5C 24 24 3B DE 7D 17 BA 01 00 00 00 48 8B CF 41 FF D5 49 03 FC 48 89 7C 24 50 FF C3 EB E1 C7 44 24 20 01 00 00 00 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_462_1_0 {
	meta:
		name = "parse_cmdline"
		size = 490
		refs = "0088 _ismbblead"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 48 8B 6C 24 60 4D 8B F1 49 8B D8 83 65 00 00 4C 8B EA 48 8B F9 41 C7 01 01 00 00 00 48 85 D2 74 07 48 89 1A 49 83 C5 08 48 85 DB 74 08 8A 01 48 FF C3 41 88 00 FF 45 00 45 33 E4 80 3F 22 75 13 33 C0 45 85 E4 40 B6 22 0F 94 C0 48 FF C7 44 8B E0 EB 37 FF 45 00 48 85 DB 74 07 8A 07 88 03 48 FF C3 0F B6 37 48 FF C7 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 FF 45 00 48 85 DB 74 07 8A 07 88 03 48 FF C3 48 FF C7 40 84 F6 74 1C 45 85 E4 75 AC 40 80 FE 20 74 06 40 80 FE 09 75 A0 48 85 DB 74 09 C6 43 FF 00 EB 03 48 FF CF 33 F6 80 3F 00 0F 84 ED 00 00 00 80 3F 20 74 05 80 3F 09 75 05 48 FF C7 EB F1 80 3F 00 0F 84 D5 00 00 00 4D 85 ED 74 08 49 89 5D 00 49 83 C5 08 41 FF 06 48 85 DB 74 07 8A 07 88 03 48 FF C3 FF 45 00 BA 01 00 00 00 33 C9 EB 05 48 FF C7 FF C1 80 3F 5C 74 F6 80 3F 22 75 35 84 CA 75 1D 85 F6 74 0E 48 8D 47 01 80 38 22 75 05 48 8B F8 EB 0B 33 C0 33 D2 85 F6 0F 94 C0 8B F0 D1 E9 EB 10 FF C9 48 85 DB 74 06 C6 03 5C 48 FF C3 FF 45 00 85 C9 75 EC 8A 07 84 C0 74 4C 85 F6 75 08 3C 20 74 44 3C 09 74 40 85 D2 74 34 0F BE C8 E8 ?? ?? ?? ?? 48 85 DB 74 1A 85 C0 74 0D 8A 07 48 FF C7 88 03 48 FF C3 FF 45 00 8A 07 88 03 48 FF C3 EB 0A 85 C0 74 06 48 FF C7 FF 45 00 FF 45 00 48 FF C7 E9 5D FF FF FF 48 85 DB 74 06 C6 03 00 48 FF C3 FF 45 00 E9 0A FF FF FF 4D 85 ED 74 05 49 83 65 00 00 41 FF 06 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_462_2_0 {
	meta:
		name = "__setargv"
		size = 253
		refs = "0011 __mbctype_initialized 0019 __initmbctable 0020 ?_pgmname@?1??__setargv@@9@9 0038 __imp_GetModuleFileNameA 003f _acmdln 0046 _pgmptr 006f parse_cmdline 009f _malloc_crt 00d1 __argv 00db __argc 00e0 _cwild"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 30 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 41 B8 04 01 00 00 33 C9 48 8B D7 C6 05 ?? ?? ?? ?? 00 FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 80 3B 00 75 03 48 8B DF 48 8D 44 24 48 4C 8D 4C 24 40 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 40 48 B9 FF FF FF FF FF FF FF 1F 48 3B F1 73 63 48 63 4C 24 48 48 83 F9 FF 73 58 48 8D 14 F1 48 3B D1 72 4F 48 8B CA E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 3F 4C 8D 04 F0 48 8D 44 24 48 4C 8D 4C 24 40 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 5C 24 40 48 89 3D ?? ?? ?? ?? 41 FF CB 44 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B C0 EB 03 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_464_0_0 {
	meta:
		name = "_heapchk"
		size = 45
		refs = "0009 _crtheap 0019 __imp_HeapValidate"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 0D ?? ?? ?? ?? 45 33 C0 33 D2 BB FE FF FF FF FF 15 ?? ?? ?? ?? 8D 4B FE 85 C0 0F 44 D9 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_465_3_0 {
	meta:
		name = "_ismbcalnum_l"
		size = 260
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0087 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 DB 81 FF FF 00 00 00 0F 86 89 00 00 00 48 8B 4D E8 8B C7 89 5D 20 C1 E8 08 40 88 7D 11 88 45 10 39 59 08 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 98 00 00 00 8B 41 0C BF 01 00 00 00 4C 8D 45 10 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 20 44 8D 4F 01 8B D7 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B4 66 39 5D 22 75 0B B8 07 01 00 00 66 85 45 20 75 02 8B FB 38 5D F8 74 49 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 3C 48 8B 45 E0 40 0F B6 D7 BF 01 00 00 00 48 8B 88 40 01 00 00 B8 07 01 00 00 66 85 04 51 75 0D 48 8B 45 E8 40 84 7C 02 1D 75 02 8B FB 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_466_3_0 {
	meta:
		name = "_mbsncpy_l"
		size = 266
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0037 _errno 0042 _invalid_parameter_noinfo 007f strncpy 00cf memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F9 48 8B E9 48 8B F2 48 8D 48 D8 49 8B D1 49 8B D8 E8 ?? ?? ?? ?? 48 85 ED 75 2F 48 85 DB 74 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 E9 89 00 00 00 48 85 F6 75 05 48 85 DB 75 CC 48 8B 4C 24 28 83 79 08 00 75 23 4C 8B C3 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 5F 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 51 48 85 DB 74 36 0F B6 06 48 FF CB F6 44 08 1D 04 88 07 74 52 8A 46 01 48 83 C7 02 48 83 C6 02 88 47 FF 84 C0 75 DA 88 47 FE 48 85 DB 74 0D 4C 8B C3 33 D2 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C5 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 48 FF C7 48 FF C6 84 C0 74 B9 EB 8E }
	condition:
		$1
}

rule file_468_3_0 {
	meta:
		name = "_mbsicoll_l"
		size = 223
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0032 _errno 003d _invalid_parameter_noinfo 0072 _stricoll_l 00a0 __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4D E0 49 8B D0 49 8B F0 E8 ?? ?? ?? ?? 48 85 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 70 48 85 DB 74 D3 48 8B 4D E8 83 79 08 00 75 10 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 40 8B 41 04 8B 51 0C 48 8D 4D E0 89 44 24 38 83 C8 FF 4C 8B CF 89 44 24 30 41 B8 01 10 00 00 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 8C 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_469_1_0 {
	meta:
		name = "findenv"
		size = 131
		refs = "0012 _environ 0031 _mbsnbicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 4C 63 C2 48 8B F1 48 8B 10 48 8B D8 48 85 D2 74 34 49 8B F8 4C 8B C7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 0F 48 8B 03 80 3C 07 3D 74 34 80 3C 07 00 74 2E 48 83 C3 08 48 8B 13 48 85 D2 75 D6 48 8B 05 ?? ?? ?? ?? 48 2B D8 48 C1 FB 03 F7 DB 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 2B 1D ?? ?? ?? ?? 48 C1 FB 03 EB E1 }
	condition:
		$1
}

rule file_469_2_0 {
	meta:
		name = "copy_environ"
		size = 135
		refs = "0039 _calloc_crt 004c _amsg_exit 005c _strdup"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 33 C9 48 8B C3 48 85 DB 74 5B 48 39 0B 74 0C 48 83 C0 08 FF C1 48 83 38 00 75 F4 8D 41 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 18 48 2B DF E8 ?? ?? ?? ?? 48 89 07 48 83 C7 08 48 8B 0C 3B 48 85 C9 75 EB 48 83 27 00 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_927_2_0 {
	meta:
		name = "copy_environ"
		size = 135
		refs = "0039 _calloc_crt 004c _amsg_exit 005c _wcsdup"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 33 C9 48 8B C3 48 85 DB 74 5B 48 39 0B 74 0C 48 83 C0 08 FF C1 48 83 38 00 75 F4 8D 41 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 18 48 2B DF E8 ?? ?? ?? ?? 48 89 07 48 83 C7 08 48 8B 0C 3B 48 85 C9 75 EB 48 83 27 00 48 8B C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_469_3_0 {
	meta:
		name = "__crtsetenv"
		size = 924
		refs = "0029 _errno 0034 _invalid_parameter_noinfo 0052 _mbschr 0077 _environ 0085 __initenv 00b1 _calloc_crt 00c4 _amsg_exit 00d8 _strdup 010f _wenviron 0116 __wtomb_environ 0153 _malloc_crt 01b4 _mbsnbicoll 0210 free 0261 _recalloc_crt 02f0 strlen 031d strcpy_s 0342 __imp_SetEnvironmentVariableA 0387 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 8B EA 4C 8B F1 41 8B DD 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 EC 00 00 00 4C 8B 21 4D 85 E4 0F 84 D5 00 00 00 BA 3D 00 00 00 49 8B CC E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 70 48 85 C0 0F 84 B7 00 00 00 4C 3B E0 0F 84 AE 00 00 00 44 38 68 01 48 8B 35 ?? ?? ?? ?? 45 8B FD 41 0F 94 C7 48 3B 35 ?? ?? ?? ?? 75 74 48 8B EE 41 8B C5 48 85 F6 75 0B 49 8B F5 EB 59 48 83 C6 08 FF C0 4C 39 2E 75 F5 FF C0 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 45 00 48 85 C0 74 1B 48 2B EF 48 8B C8 E8 ?? ?? ?? ?? 48 89 07 48 83 C7 08 48 8B 04 2F 48 85 C0 75 E8 4C 89 2F 48 8B 7C 24 70 8B 6C 24 78 48 89 35 ?? ?? ?? ?? 48 85 F6 0F 85 87 00 00 00 85 ED 74 38 4C 39 2D ?? ?? ?? ?? 74 2F E8 ?? ?? ?? ?? 85 C0 74 6A E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 85 FF 74 04 33 C0 EB DF B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 C6 4C 89 28 4C 39 2D ?? ?? ?? ?? 75 19 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 A4 4C 89 28 48 8B 35 ?? ?? ?? ?? 48 8B EE 48 85 F6 74 92 48 8B 0E 8B C7 48 8B FE 41 2B C4 4C 63 E8 48 85 C9 74 3F 48 8B D1 4D 8B C5 49 8B CC E8 ?? ?? ?? ?? 85 C0 75 1A 48 8B 07 41 80 7C 05 00 3D 0F 84 A1 00 00 00 41 38 5C 05 00 0F 84 96 00 00 00 48 83 C7 08 48 8B 0F 48 85 C9 75 C8 48 8B 35 ?? ?? ?? ?? 48 2B FE 48 C1 FF 03 F7 DF 45 33 ED 85 FF 0F 88 8C 00 00 00 4C 39 6D 00 0F 84 82 00 00 00 48 63 F7 48 8B 4C F5 00 E8 ?? ?? ?? ?? 45 85 FF 74 66 4C 39 6C F5 00 74 1D 48 8D 4C F5 08 48 8B 01 FF C7 48 83 C1 08 48 89 44 F5 00 48 FF C6 4C 39 6C F5 00 75 E8 48 63 D7 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 0F 83 92 00 00 00 48 8B 0D ?? ?? ?? ?? 41 B8 08 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 7B EB 72 48 8B 35 ?? ?? ?? ?? 48 2B FE 48 C1 FF 03 E9 73 FF FF FF 4C 89 64 F5 00 4D 89 2E EB 5C 45 85 FF 0F 85 FA 00 00 00 85 FF 79 02 F7 DF 8D 47 02 3B C7 0F 8C 86 FE FF FF 4C 63 C0 48 B8 FF FF FF FF FF FF FF 1F 4C 3B C0 0F 83 70 FE FF FF BA 08 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 84 5A FE FF FF 48 63 CF 4C 89 24 C8 4C 89 6C C8 08 4D 89 2E 48 89 05 ?? ?? ?? ?? 44 39 6C 24 78 74 74 49 8B CC E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 48 02 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 56 49 8B CC E8 ?? ?? ?? ?? 4D 8B C4 48 8B CF 48 8D 50 02 E8 ?? ?? ?? ?? 85 C0 75 52 48 8B D7 48 8B CF 49 2B D4 48 03 54 24 70 44 88 2A 48 FF C2 45 85 FF 49 0F 45 D5 FF 15 ?? ?? ?? ?? 85 C0 75 0E 83 CB FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 8B CF E8 ?? ?? ?? ?? 45 85 FF 74 0B 49 8B CC E8 ?? ?? ?? ?? 4D 89 2E 8B C3 E9 B5 FD FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 49 8B CC E8 ?? ?? ?? ?? 4D 89 2E E9 AD FD FF FF }
	condition:
		$1
}

rule file_470_0_0 {
	meta:
		name = "_fcloseall"
		size = 170
		refs = "0015 _lock 0023 _nstream 002f __piob 0045 fclose 006a __imp_DeleteCriticalSection 007a free 0094 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 FF 8D 4F 01 E8 ?? ?? ?? ?? 90 8D 5F 03 89 5C 24 20 3B 1D ?? ?? ?? ?? 7D 65 48 63 F3 48 8B 05 ?? ?? ?? ?? 48 83 3C F0 00 74 50 48 8B 0C F0 F6 41 18 83 74 10 E8 ?? ?? ?? ?? 83 F8 FF 74 06 FF C7 89 7C 24 24 83 FB 14 7C 31 48 8B 05 ?? ?? ?? ?? 48 8B 0C F0 48 83 C1 30 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B 0C F1 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 49 83 24 F3 00 FF C3 EB 8F B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_471_0_0 {
	meta:
		name = "??__D@YAXPEAX0_KHP6AX00@ZP6AX0@Z@Z"
		size = 107
	strings:
		$1 = { 4C 89 44 24 18 48 89 4C 24 08 53 56 57 41 54 41 55 48 83 EC 30 45 8B E9 49 8B F0 4C 8B E2 48 8B F9 33 DB 89 5C 24 20 89 5C 24 24 41 3B DD 7D 27 41 B8 01 00 00 00 49 8B D4 48 8B CF FF 94 24 80 00 00 00 48 03 FE 48 89 7C 24 60 4C 03 E6 4C 89 64 24 68 FF C3 EB D0 C7 44 24 20 01 00 00 00 48 83 C4 30 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_472_1_0 {
	meta:
		name = "?_set_new_handler@@YAP6AH_K@ZP6AH0@Z@Z"
		size = 79
		refs = "0013 _lock 001a ?_pnhHeap@@3P6AH_K@ZEA 0020 __imp_DecodePointer 002c __imp_EncodePointer 003d _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 B9 04 00 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CF 48 8B D8 FF 15 ?? ?? ?? ?? B9 04 00 00 00 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_472_4_0 {
	meta:
		name = "_callnewh"
		size = 51
		refs = "000c ?_pnhHeap@@3P6AH_K@ZEA 0012 __imp_DecodePointer"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 10 48 8B CB FF D0 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_473_0_0 {
	meta:
		name = "_cputws"
		size = 218
		refs = "001e __doserrno 0025 _errno 0030 _invalid_parameter_noinfo 003f _confh 004a __initconout 005f wcslen 006c _lock 009f __imp_WriteConsoleW 00c8 _unlock"
	strings:
		$1 = { 40 53 56 57 41 54 41 56 48 83 EC 30 48 8B F9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 1F E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 92 00 00 00 48 8B 05 ?? ?? ?? ?? 48 83 F8 FE 75 0C E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 83 F8 FF 74 D9 48 8B CF E8 ?? ?? ?? ?? 48 8B F0 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 41 BE FF 7F 00 00 48 85 F6 74 46 44 8B E6 49 3B F6 45 0F 47 E6 48 89 5C 24 20 4C 8D 4C 24 68 45 8B C4 48 8B D7 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 16 41 8B C4 4A 8D 3C 67 48 89 7C 24 60 48 2B F0 48 89 74 24 70 EB B5 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 30 41 5E 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_473_1_0 {
	meta:
		name = "_cputws$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_cgetws_s$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_474_0_0 {
	meta:
		name = "IsRootUNCName"
		size = 188
		refs = "000a wcslen"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 83 F8 05 0F 82 9C 00 00 00 66 41 B9 5C 00 66 41 B8 2F 00 66 44 39 0B 74 0A 66 44 39 03 0F 85 82 00 00 00 66 44 39 4B 02 74 07 66 44 39 43 02 75 74 66 44 39 4B 04 74 6D 66 44 39 43 04 74 66 48 8D 43 06 33 D2 0F B7 08 66 85 C9 74 58 66 41 3B C9 74 12 66 41 3B C8 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 E8 66 39 10 74 3B 48 83 C0 02 66 39 10 74 32 0F B7 08 66 85 C9 74 23 66 41 3B C9 74 12 66 41 3B C8 74 0C 48 83 C0 02 0F B7 08 66 85 C9 75 E8 66 39 10 74 06 66 39 50 02 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_474_2_0 {
	meta:
		name = "_wstat32i64"
		size = 1103
		refs = "0022 __security_cookie 003f __doserrno 0047 _errno 0052 _invalid_parameter_noinfo 0063 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 0068 wcspbrk 00a0 towlower 00af _getdrive 00cf __imp_FindFirstFileExW 00e9 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0122 _wfullpath 016a wcslen 0178 IsRootUNCName 0185 __imp_GetDriveTypeW 019d free 01d1 __loctotime32_t 0228 _wsopen_s 0245 _fstat32i64 0250 _close 027b __imp_FileTimeToLocalFileTime 0293 __imp_FileTimeToSystemTime 03cb __imp_FindClose 03d7 __wdtoxmode 040e __imp_GetLastError 0415 _dosmaperr 0430 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 FF 48 8B DA 48 8B F9 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 C7 03 00 00 48 85 D2 74 DE 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 18 E8 ?? ?? ?? ?? BB 02 00 00 00 89 18 E8 ?? ?? ?? ?? 89 18 E9 99 03 00 00 66 83 7F 02 3A 75 1E 0F B7 0F 66 85 C9 74 07 66 44 39 7F 04 74 D2 E8 ?? ?? ?? ?? 44 0F B7 F0 41 83 EE 60 EB 08 E8 ?? ?? ?? ?? 44 8B F0 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CF 44 89 7C 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 41 BC 01 00 00 00 48 8B F0 48 83 F8 FF 0F 85 13 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF 49 8B F7 E8 ?? ?? ?? ?? 48 85 C0 0F 84 70 FF FF FF E8 ?? ?? ?? ?? 44 8B 28 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 41 B8 04 01 00 00 48 8B D7 44 89 38 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 28 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 2B FF FF FF E8 ?? ?? ?? ?? 45 33 C0 48 8B D7 33 C9 44 89 28 E8 ?? ?? ?? ?? 48 8B F0 4C 8B E0 4D 85 E4 74 7D 49 8B CC E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 63 49 8B CC FF 15 ?? ?? ?? ?? 41 BC 01 00 00 00 41 3B C4 76 4F 48 85 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 83 4C 24 30 FF 45 33 C9 45 8B C4 41 8B D4 B9 BC 07 00 00 44 89 7C 24 28 C7 44 24 60 10 00 00 00 4C 89 7C 24 7C 66 44 89 7D 8C 44 89 7C 24 20 E8 ?? ?? ?? ?? 89 43 24 89 43 20 89 43 28 E9 EC 01 00 00 48 85 F6 0F 84 85 FE FF FF 48 8B CE E8 ?? ?? ?? ?? E9 78 FE FF FF F7 44 24 60 00 04 00 00 74 58 81 7D 84 0C 00 00 A0 75 4F 83 4C 24 40 FF 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 48 8B D7 44 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 3D FE FF FF 8B 4C 24 40 83 F9 FF 0F 84 30 FE FF FF 48 8B D3 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? 8B C3 E9 CA 01 00 00 44 39 7C 24 74 75 0D 44 39 7C 24 78 75 06 44 89 7B 24 EB 67 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 85 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 6D 01 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 43 24 44 39 7C 24 6C 75 0C 44 39 7C 24 70 75 05 8B 43 24 EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 0B 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 F3 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 43 20 44 39 7C 24 64 75 0C 44 39 7C 24 68 75 05 8B 43 24 EB 60 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 91 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 7D 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CE 89 43 28 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 7C 66 44 89 63 08 66 89 43 06 8B 45 80 48 C1 E1 20 48 03 C8 41 8D 46 FF 66 44 89 7B 04 89 03 89 43 10 33 C0 48 89 4B 18 44 89 7B 0A EB 19 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 83 C8 FF 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_475_0_0 {
	meta:
		name = "strncat"
		size = 405
	strings:
		$1 = { 4C 8B D9 4D 0B C0 0F 84 AF 00 00 00 F6 C1 07 74 0F 8A 01 84 C0 74 7F 48 FF C1 F6 C1 07 75 F2 90 48 8B 01 4C 8B D0 49 B9 FF FE FE FE FE FE FE 7E 4D 03 CA 49 83 F2 FF 4D 33 D1 48 83 C1 08 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 D3 48 83 E9 08 84 C0 74 41 48 FF C1 84 E4 74 3A 48 FF C1 48 C1 E8 10 84 C0 74 2F 48 FF C1 84 E4 74 28 48 FF C1 48 C1 E8 10 84 C0 74 1D 48 FF C1 84 E4 74 16 48 FF C1 C1 E8 10 84 C0 74 0C 48 FF C1 84 E4 74 05 48 FF C1 EB 8A 48 2B CA F6 C2 07 74 2A 8A 02 88 04 11 84 C0 74 14 48 FF C2 49 FF C8 74 07 F6 C2 07 75 EA EB 12 32 C0 88 04 11 49 8B C3 C3 90 48 89 04 11 48 83 C2 08 48 8B 02 49 83 E8 08 72 26 49 B9 FF FE FE FE FE FE FE 7E 4C 03 C8 4C 8B D0 49 83 F2 FF 4D 33 D1 49 B9 00 01 01 01 01 01 01 81 4D 85 D1 74 C9 49 83 C0 08 0F 84 8B 00 00 00 84 C0 88 04 11 0F 84 85 00 00 00 48 FF C2 49 FF C8 74 78 84 E4 88 24 11 74 76 48 FF C2 49 FF C8 74 69 48 C1 E8 10 84 C0 88 04 11 74 63 48 FF C2 49 FF C8 74 56 84 E4 88 24 11 74 54 48 FF C2 49 FF C8 74 47 48 C1 E8 10 84 C0 88 04 11 74 41 48 FF C2 49 FF C8 74 34 84 E4 88 24 11 74 32 48 FF C2 49 FF C8 74 25 C1 E8 10 84 C0 88 04 11 74 20 48 FF C2 49 FF C8 74 13 84 E4 88 24 11 74 11 48 FF C2 49 FF C8 0F 85 3C FF FF FF 32 C0 88 04 11 49 8B C3 C3 }
	condition:
		$1
}

rule file_476_3_0 {
	meta:
		name = "_mbbtype_l"
		size = 201
		refs = "001f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 40 40 8A F9 8B DA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? FF CB 48 8B 45 E8 74 57 44 0F B6 C7 41 8A 54 00 1D F6 C2 04 74 18 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 01 00 00 00 EB 68 48 8B 45 E0 48 8B 88 40 01 00 00 B8 57 01 00 00 66 42 85 04 41 75 05 F6 C2 03 74 38 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 37 40 0F B6 CF F6 44 01 1D 08 74 18 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 02 00 00 00 EB 14 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 83 C8 FF 48 8B 5C 24 50 48 8B 7C 24 58 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_478_0_0 {
	meta:
		name = "fabs"
		size = 232
		refs = "0030 _ctrlfp 004e _sptype 0074 _except1 0087 _handle_qnan1 009c __mask@@NegDouble@"
	strings:
		$1 = { 48 89 5C 24 18 F2 0F 11 44 24 08 57 48 83 EC 40 66 0F 57 C9 BF C0 FF 00 00 B9 80 1F 00 00 8B D7 0F 29 74 24 30 66 0F 28 F0 F2 0F 11 4C 24 58 E8 ?? ?? ?? ?? 0F B7 4C 24 56 48 8B D8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 6A 66 0F 28 C6 E8 ?? ?? ?? ?? FF C8 74 4C FF C8 74 33 FF C8 74 1C BA 15 00 00 00 66 0F 28 DE 66 0F 28 D6 48 89 5C 24 20 8D 4A F3 E8 ?? ?? ?? ?? EB 5E 66 0F 28 CE 4C 8B C3 B9 15 00 00 00 E8 ?? ?? ?? ?? EB 4B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 66 0F 57 35 ?? ?? ?? ?? EB 0B 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 66 0F 28 C6 EB 25 8B 44 24 54 48 8B D7 48 8B CB 0F BA F0 1F 89 44 24 5C 8B 44 24 50 89 44 24 58 E8 ?? ?? ?? ?? F2 0F 10 44 24 58 48 8B 5C 24 60 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "_gmtime32_s"
		size = 416
		refs = "001d _errno 0029 _invalid_parameter_noinfo 0040 memset 00c1 _lpdays 00d8 _days"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B FA 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 5C 01 00 00 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D3 44 8B 07 41 81 F8 40 57 FF FF 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CA B8 79 2D 03 11 41 F7 E8 C1 FA 17 8B C2 C1 E8 1F 03 D0 8B C2 8D 14 95 46 00 00 00 69 C0 80 E0 79 F8 44 03 C0 B8 80 33 E1 01 44 3B C0 7C 25 44 2B C0 FF C2 44 3B C0 7C 1B 44 2B C0 B8 00 85 E2 01 FF C2 44 3B C0 7C 07 FF C2 44 2B C0 EB 05 BE 01 00 00 00 89 53 14 B8 07 45 2E C2 4C 8D 0D ?? ?? ?? ?? 41 F7 E8 41 03 D0 C1 FA 10 8B C2 C1 E8 1F 03 D0 48 8D 05 ?? ?? ?? ?? 89 53 1C 44 8B 5B 1C 69 D2 80 AE FE FF 44 03 C2 85 F6 4C 0F 44 C8 BA 01 00 00 00 49 8D 49 04 EB 06 FF C2 48 83 C1 04 44 39 19 7C F5 FF CA B8 07 45 2E C2 48 63 CA 89 53 10 45 2B 1C 89 44 89 5B 0C F7 2F 03 17 83 63 20 00 C1 FA 10 8B C2 C1 E8 1F 8D 4C 02 04 B8 93 24 49 92 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 B8 C5 B3 A2 91 6B D2 07 2B CA 41 F7 E8 89 4B 18 41 03 D0 C1 FA 0B 8B C2 C1 E8 1F 03 D0 B8 89 88 88 88 89 53 08 69 D2 F0 F1 FF FF 44 03 C2 41 F7 E8 41 03 D0 C1 FA 05 8B C2 C1 E8 1F 03 D0 89 53 04 6B D2 3C 44 2B C2 33 C0 44 89 03 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_479_1_0 {
	meta:
		name = "__getgmtimebuf"
		size = 70
		refs = "0007 _getptd_noexit 0014 _errno 002f _malloc_crt"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 1E 48 83 78 78 00 75 13 B9 24 00 00 00 E8 ?? ?? ?? ?? 48 89 43 78 48 85 C0 74 D7 48 8B 43 78 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_480_0_0 {
	meta:
		name = "xcptlookup"
		size = 46
	strings:
		$1 = { 44 8B C9 48 8B C2 39 08 74 10 4C 8D 82 C0 00 00 00 48 83 C0 10 49 3B C0 72 EC 48 8D 8A C0 00 00 00 48 3B C1 73 05 44 39 08 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_480_1_0 {
	meta:
		name = "_XcptFilter"
		size = 464
		refs = "001a _getptd_noexit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F2 8B F9 E8 ?? ?? ?? ?? 45 33 C9 48 8B D8 48 85 C0 0F 84 8C 01 00 00 48 8B 90 A0 00 00 00 48 8B CA 39 39 74 10 48 8D 82 C0 00 00 00 48 83 C1 10 48 3B C8 72 EC 48 8D 82 C0 00 00 00 48 3B C8 73 04 39 39 74 03 49 8B C9 48 85 C9 0F 84 52 01 00 00 4C 8B 41 08 4D 85 C0 0F 84 45 01 00 00 49 83 F8 05 75 0D 4C 89 49 08 41 8D 40 FC E9 34 01 00 00 49 83 F8 01 75 08 83 C8 FF E9 26 01 00 00 48 8B AB A8 00 00 00 48 89 B3 A8 00 00 00 83 79 04 08 0F 85 F6 00 00 00 BA 30 00 00 00 48 8B 83 A0 00 00 00 48 83 C2 10 4C 89 4C 02 F8 48 81 FA C0 00 00 00 7C E7 81 39 8E 00 00 C0 8B BB B0 00 00 00 75 0F C7 83 B0 00 00 00 83 00 00 00 E9 A5 00 00 00 81 39 90 00 00 C0 75 0F C7 83 B0 00 00 00 81 00 00 00 E9 8E 00 00 00 81 39 91 00 00 C0 75 0C C7 83 B0 00 00 00 84 00 00 00 EB 7A 81 39 93 00 00 C0 75 0C C7 83 B0 00 00 00 85 00 00 00 EB 66 81 39 8D 00 00 C0 75 0C C7 83 B0 00 00 00 82 00 00 00 EB 52 81 39 8F 00 00 C0 75 0C C7 83 B0 00 00 00 86 00 00 00 EB 3E 81 39 92 00 00 C0 75 0C C7 83 B0 00 00 00 8A 00 00 00 EB 2A 81 39 B5 02 00 C0 75 0C C7 83 B0 00 00 00 8D 00 00 00 EB 16 81 39 B4 02 00 C0 8B C7 BA 8E 00 00 00 0F 44 C2 89 83 B0 00 00 00 8B 93 B0 00 00 00 B9 08 00 00 00 41 FF D0 89 BB B0 00 00 00 EB 0A 4C 89 49 08 8B 49 04 41 FF D0 48 89 AB A8 00 00 00 E9 D4 FE FF FF 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_480_2_0 {
	meta:
		name = "__CppXcptFilter"
		size = 19
		refs = "000c _XcptFilter"
	strings:
		$1 = { B8 63 73 6D E0 3B C8 75 07 8B C8 E9 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule file_481_0_0 {
	meta:
		name = "_umask_s"
		size = 67
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0022 _umaskval"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 1E 8B 05 ?? ?? ?? ?? 89 02 F7 C1 7F FE FF FF 75 D9 81 E1 80 01 00 00 33 C0 89 0D ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_481_1_0 {
	meta:
		name = "_umask"
		size = 34
		refs = "0015 _umask_s"
	strings:
		$1 = { 48 83 EC 28 83 64 24 30 00 48 8D 54 24 30 81 E1 80 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "_wmakepath"
		size = 39
		refs = "001e _wmakepath_s"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_955_0_0 {
	meta:
		name = "_makepath"
		size = 39
		refs = "001e _makepath_s"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 83 CA FF E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_485_3_0 {
	meta:
		name = "_ismbcprint_l"
		size = 257
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0089 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 DB 81 FF FF 00 00 00 0F 86 86 00 00 00 48 8B 4D E8 8B C7 89 5D 20 C1 E8 08 40 88 7D 11 88 45 10 39 59 08 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 95 00 00 00 8B 41 0C BF 01 00 00 00 4C 8D 45 10 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 20 44 8D 4F 01 48 8D 4D E0 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B2 66 39 5D 22 75 06 F6 45 20 20 74 02 8B FB 38 5D F8 74 49 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 3C 48 8B 45 E0 40 0F B6 D7 48 8B 88 40 01 00 00 B8 57 01 00 00 66 85 04 51 75 0D 48 8B 45 E8 8B FB F6 44 02 1D 03 74 05 BF 01 00 00 00 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_486_10_0 {
	meta:
		name = "_winput_s_l"
		size = 4990
		refs = "0022 __security_cookie 0078 _errno 0083 _invalid_parameter_noinfo 009c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00db iswctype 00f4 _whiteout 0105 _ungetwc_nolock 01b1 isdigit 038a _fgetwc_nolock 056e __check_float_string 081b _malloc_crt 0840 wcstombs_s 085d _cfltcvt_tab 0868 __imp_DecodePointer 0880 free 097a memset 0d6e wctomb_s 0ecd isxdigit 1205 _invoke_watson 135f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FD FF FF 48 81 EC C0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 02 00 00 45 33 F6 4C 8D 65 F0 4C 89 4D B8 41 8B C6 41 0F B7 F6 48 8B DA 48 89 54 24 70 48 8B F9 48 89 4D 80 89 45 B4 89 74 24 38 4C 89 65 88 48 C7 45 A8 5E 01 00 00 44 89 75 98 4C 89 74 24 68 44 89 74 24 48 48 85 D2 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C5 12 00 00 48 85 C9 74 E3 48 8D 4D C8 49 8B D0 E8 ?? ?? ?? ?? 0F B7 03 44 88 74 24 3C 45 8B FE 44 89 74 24 30 44 89 74 24 40 45 8B EE 44 89 74 24 78 66 85 C0 0F 84 7A 12 00 00 41 BD FF FF 00 00 41 BC 25 00 00 00 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4F 48 8D 4C 24 40 41 FF CF 48 8B D7 44 89 7C 24 40 E8 ?? ?? ?? ?? 66 44 3B E8 74 0B 48 8B D7 0F B7 C8 E8 ?? ?? ?? ?? 48 83 C3 02 BA 08 00 00 00 0F B7 0B E8 ?? ?? ?? ?? 85 C0 75 EB 44 8B 7C 24 40 48 89 5C 24 70 44 89 7C 24 30 E9 5E 10 00 00 4C 8B 54 24 70 66 45 3B 22 0F 85 FA 0F 00 00 66 45 3B 62 02 0F 84 D8 0F 00 00 45 33 C0 41 8B C6 45 0F B7 EE 45 8D 58 01 89 44 24 4C 41 8B D6 41 8A C0 44 89 6D 90 44 89 74 24 58 45 8A EB 89 54 24 5C 4C 89 45 E8 44 88 44 24 60 44 88 44 24 44 88 44 24 34 41 8A F8 44 88 45 B0 45 8A E0 45 8B F8 83 CE FF 49 83 C2 02 B9 00 FF 00 00 41 0F B7 1A 4C 89 54 24 70 66 85 D9 75 35 0F B6 CB E8 ?? ?? ?? ?? 8B 54 24 5C 4C 8B 54 24 70 45 33 C0 45 8D 58 01 85 C0 74 15 43 8D 04 B6 41 03 D3 44 8D 74 43 D0 89 54 24 5C E9 F7 00 00 00 8A 44 24 34 83 FB 2A 0F 84 E3 00 00 00 83 FB 46 0F 84 E1 00 00 00 83 FB 49 74 57 83 FB 4C 74 4A 83 FB 4E 0F 84 CE 00 00 00 83 FB 68 74 31 B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 AA 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 70 EB 3B 45 02 EB 45 02 E3 E9 98 00 00 00 44 02 EE 44 02 E6 E9 8D 00 00 00 45 02 EB E9 85 00 00 00 41 0F B7 42 02 66 83 F8 36 75 1B 49 8D 4A 04 66 83 39 34 75 11 4C 8B D1 48 89 4C 24 70 45 03 FB 4C 89 45 A0 EB 5F 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 70 EB 45 B9 64 00 00 00 66 3B C1 74 D3 B9 69 00 00 00 66 3B C1 74 C9 B9 6F 00 00 00 66 3B C1 74 BF B9 78 00 00 00 66 3B C1 74 B5 B9 58 00 00 00 66 3B C1 74 AB 45 03 FB 4C 89 45 A0 41 02 FB EB 07 41 02 C3 88 44 24 34 8A 44 24 34 40 84 FF 0F 84 B4 FE FF FF 8B 74 24 38 44 88 6C 24 35 44 8B 6D 90 44 89 7C 24 50 4C 8B 7D E8 44 89 74 24 54 8A C8 84 C0 75 1A 48 8B 45 B8 48 89 45 C0 48 83 C0 08 48 89 45 B8 48 8B 40 F8 48 89 45 90 EB 04 4C 89 45 90 41 8A D8 45 84 E4 75 14 66 41 83 3A 53 74 0A 66 41 83 3A 43 45 8A E3 75 03 41 B4 FF 45 0F B7 32 B8 6E 00 00 00 41 83 CE 20 44 3B F0 74 68 41 83 FE 63 74 21 41 83 FE 7B 74 1B 48 8B 55 80 48 8D 4C 24 40 E8 ?? ?? ?? ?? 0F B7 F0 8B 44 24 40 89 44 24 30 EB 1B 8B 44 24 30 48 8B 4D 80 41 03 C3 89 44 24 30 89 44 24 40 E8 ?? ?? ?? ?? 0F B7 F0 B8 FF FF 00 00 89 74 24 38 66 3B C6 0F 84 EE 0E 00 00 4C 8B 54 24 70 8B 54 24 5C 8A 4C 24 34 45 33 C0 45 8D 58 01 8B 7C 24 54 85 D2 74 08 85 FF 0F 84 DA 0D 00 00 84 C9 0F 85 C0 00 00 00 41 83 FE 63 74 10 41 83 FE 73 74 0A 41 83 FE 7B 0F 85 AA 00 00 00 4C 8B 45 C0 49 8B 00 49 83 C0 08 45 8B 38 4D 8B C8 4C 89 45 C0 49 83 C0 08 48 89 45 90 4C 89 45 B8 4D 3B FB 0F 82 B7 0D 00 00 45 33 C0 B8 6F 00 00 00 44 3B F0 0F 8F 8A 04 00 00 0F 84 22 0A 00 00 41 83 FE 63 0F 84 59 04 00 00 B8 64 00 00 00 44 3B F0 0F 84 0A 0A 00 00 0F 8E 98 04 00 00 41 83 FE 67 7E 69 41 83 FE 69 74 48 B8 6E 00 00 00 44 3B F0 0F 85 7E 04 00 00 44 8B 7C 24 30 45 33 F6 41 8B C7 84 C9 0F 85 8C 0C 00 00 44 8B 64 24 50 45 85 E4 0F 84 67 0C 00 00 48 8B 45 90 48 8B 4D A0 48 89 08 E9 6E 0C 00 00 4C 8B 4D C0 E9 7A FF FF FF 44 8B F0 B8 2D 00 00 00 66 3B C6 0F 85 D5 05 00 00 44 88 5C 24 44 E9 D5 05 00 00 45 33 F6 41 8B FE 41 8D 4E 2D 66 3B CE 75 0C 48 8B 45 88 49 8B FB 66 89 08 EB 0A B8 2B 00 00 00 66 3B C6 75 29 4C 8B 6D 80 44 8B 64 24 54 44 8B 7C 24 30 49 8B CD 45 2B E3 45 03 FB E8 ?? ?? ?? ?? 8B 54 24 5C 0F B7 F0 89 74 24 38 EB 0E 44 8B 64 24 54 44 8B 7C 24 30 4C 8B 6D 80 85 D2 B8 FF FF FF FF 44 0F 44 E0 B8 00 FF 00 00 66 85 F0 75 72 BB 01 00 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5E 41 8B C4 44 2B E3 85 C0 74 54 48 8B 4D 88 01 5C 24 58 40 0F BE C6 66 89 04 79 48 8D 45 98 48 03 FB 4C 8D 4D F0 4C 8D 45 88 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 68 0C 00 00 49 8B CD 44 03 FB E8 ?? ?? ?? ?? 0F B7 F0 B8 00 FF 00 00 89 74 24 38 66 85 F0 74 93 48 8B 45 C8 48 8B 88 28 01 00 00 48 8B 41 58 B9 01 00 00 00 0F B7 18 40 0F BE C6 3B D8 0F 85 C3 00 00 00 41 8B C4 44 2B E1 85 C0 0F 84 B5 00 00 00 44 03 F9 49 8B CD E8 ?? ?? ?? ?? 4C 8D 4D F0 4C 8D 45 88 0F B7 F0 48 8B 45 88 48 8D 55 A8 66 89 1C 78 48 8D 45 98 BB 01 00 00 00 48 03 FB 89 74 24 38 48 89 44 24 20 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 84 D4 0B 00 00 EB 5F 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5A 41 8B C4 44 2B E3 85 C0 74 50 48 8B 45 88 01 5C 24 58 4C 8D 4D F0 66 89 34 78 48 8D 45 98 48 03 FB 4C 8D 45 88 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 85 0B 00 00 49 8B CD 44 03 FB E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 B8 00 FF 00 00 66 85 F0 74 97 48 8B CB 8B 5C 24 58 85 DB 0F 84 31 01 00 00 BA 65 00 00 00 66 3B D6 74 0C 8D 42 E0 66 3B C6 0F 85 1B 01 00 00 41 8B C4 44 2B E1 85 C0 0F 84 0D 01 00 00 48 8B 45 88 4C 8D 4D F0 4C 8D 45 88 66 89 14 78 48 03 F9 48 8D 45 98 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 06 0B 00 00 49 8B CD 41 FF C7 E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F0 89 74 24 38 66 3B C8 75 32 48 8B 45 88 4C 8D 4D F0 4C 8D 45 88 66 89 0C 78 48 8D 45 98 48 FF C7 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 BA 0A 00 00 EB 0A B8 2B 00 00 00 66 3B C6 75 7B 41 8B C4 B9 01 00 00 00 44 2B E1 85 C0 75 05 45 8B E6 EB 67 44 03 F9 EB 53 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5D 41 8B C4 B9 01 00 00 00 44 2B E1 85 C0 74 4E 48 8B 45 88 03 D9 4C 8D 4D F0 66 89 34 78 48 03 F9 48 8D 45 98 4C 8D 45 88 48 8D 55 A8 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 45 0A 00 00 41 FF C7 49 8B CD E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 B8 00 FF 00 00 66 85 F0 74 94 B8 01 00 00 00 B9 FF FF 00 00 44 2B F8 44 89 7C 24 30 44 89 7C 24 40 66 3B CE 74 10 49 8B D5 0F B7 CE E8 ?? ?? ?? ?? B8 01 00 00 00 85 DB 0F 84 F5 09 00 00 44 38 74 24 34 0F 85 05 09 00 00 44 8B 6C 24 78 4C 8B 65 88 44 03 E8 48 8B 45 A8 66 45 89 34 7C 48 8D 5C 00 02 44 89 6C 24 78 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 B7 09 00 00 48 8D 43 FF 4D 8B CC 4C 8B C3 48 8B D7 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 83 F8 16 0F 84 A4 09 00 00 83 F8 22 0F 84 9B 09 00 00 48 8B 0D ?? ?? ?? ?? 0F BE 5C 24 35 FF 15 ?? ?? ?? ?? 48 8B 55 90 4C 8D 4D C8 8D 4B FF 4C 8B C7 FF D0 48 8B CF E8 ?? ?? ?? ?? E9 74 08 00 00 85 D2 75 0C 41 03 FB 44 89 5C 24 5C 89 7C 24 54 45 84 E4 0F 8E 9D 03 00 00 41 8A FB E9 98 03 00 00 41 83 FE 70 0F 84 81 05 00 00 41 83 FE 73 0F 84 74 03 00 00 41 83 FE 75 0F 84 80 05 00 00 B8 78 00 00 00 44 3B F0 0F 84 C5 FB FF FF 41 83 FE 7B 74 2D 66 41 39 32 0F 85 24 09 00 00 8A 54 24 3C 44 8B 7C 24 30 45 33 F6 FE CA 88 54 24 3C 84 C9 0F 85 FD 07 00 00 4C 89 4D B8 E9 F4 07 00 00 8B 7D B0 45 84 E4 B8 5E 00 00 00 40 0F B6 FF 41 0F 4F FB 49 83 C2 02 4C 89 54 24 70 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 60 FF 4C 89 54 24 70 48 8B 5C 24 68 48 85 DB 75 28 B9 00 20 00 00 E8 ?? ?? ?? ?? 45 33 E4 48 8B D8 48 89 44 24 68 48 85 C0 0F 84 4D 09 00 00 41 8D 44 24 01 89 45 B4 EB 03 45 33 E4 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 70 BA 5D 00 00 00 66 41 3B 12 75 0D 8D 42 C3 44 8B EA 49 83 C2 02 88 43 0B 41 0F B7 0A 41 B9 01 00 00 00 66 3B D1 0F 84 BC 00 00 00 41 8D 71 2C 49 83 C2 02 66 3B F1 75 7C 66 45 85 ED 74 76 41 0F B7 02 66 3B D0 74 6D 49 83 C2 02 4C 89 54 24 70 66 44 3B E8 73 06 44 0F B7 C8 EB 08 45 0F B7 CD 44 0F B7 E8 41 BB 01 00 00 00 66 45 3B E9 73 2D 45 0F B7 D5 41 0F B7 CD 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 66 45 03 EB D2 E2 4D 03 D3 41 08 14 18 66 45 3B E9 72 DC 4C 8B 54 24 70 45 0F B7 C1 41 0F B7 C1 41 8B D3 41 B9 01 00 00 00 45 0F B7 EC EB 0E 44 0F B7 E9 44 0F B7 C1 0F B7 C1 41 8B D1 83 E0 07 49 C1 E8 03 8A C8 D2 E2 41 08 14 18 41 0F B7 0A BA 5D 00 00 00 66 3B D1 0F 85 4C FF FF FF 8B 74 24 38 66 45 39 22 0F 84 2A 08 00 00 4C 89 54 24 70 E9 C4 01 00 00 B8 2B 00 00 00 66 3B C6 75 14 41 2B FB 89 7C 24 54 0F 85 82 00 00 00 85 D2 74 7E 41 8A DB 4C 8B 6D 80 44 8B 64 24 30 B8 30 00 00 00 66 3B C6 0F 85 BB 00 00 00 44 8D 78 D1 49 8B CD 45 03 E7 44 89 64 24 30 44 89 64 24 40 E8 ?? ?? ?? ?? 0F B7 F0 41 8D 47 77 89 74 24 38 66 3B C6 0F 84 12 01 00 00 8D 48 E0 66 3B CE 0F 84 06 01 00 00 44 89 7C 24 58 44 3B F0 74 4B 33 C9 39 4C 24 5C 74 0C 41 2B FF 89 7C 24 54 75 03 41 02 DF 41 BE 6F 00 00 00 44 8B 64 24 50 EB 61 44 8B 64 24 30 4C 8B 6D 80 45 03 E3 49 8B CD 44 89 64 24 30 44 89 64 24 40 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 E9 64 FF FF FF 45 2B E7 B8 FF FF 00 00 44 89 64 24 30 44 89 64 24 40 66 3B C6 74 0B 49 8B D5 0F B7 CE E8 ?? ?? ?? ?? B8 30 00 00 00 8B F0 89 44 24 38 44 8B 64 24 50 B8 78 00 00 00 44 8B 7C 24 30 33 FF 45 85 E4 0F 84 02 04 00 00 84 DB 48 8B 5D A0 0F 85 DF 03 00 00 44 8B 6C 24 54 44 3B F0 0F 84 14 03 00 00 41 83 FE 70 0F 84 0A 03 00 00 B8 00 FF 00 00 66 85 F0 0F 85 92 03 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 7F 03 00 00 B8 6F 00 00 00 44 3B F0 0F 85 D2 02 00 00 B8 38 00 00 00 66 3B C6 0F 86 63 03 00 00 48 C1 E3 03 E9 0E 03 00 00 45 03 E7 49 8B CD 44 89 64 24 30 44 89 64 24 40 E8 ?? ?? ?? ?? 33 C9 0F B7 F0 89 74 24 38 39 4C 24 5C 74 0F 83 EF 02 89 7C 24 54 41 3B FF 7D 03 41 02 DF B8 78 00 00 00 44 8B F0 E9 DE FE FF FF 0F B6 7D B0 45 84 E4 41 0F 4F FB EB 03 8B 7D B0 8B 4C 24 30 48 8B 5D 90 41 B8 01 00 00 00 41 2B C8 B8 FF FF 00 00 89 4C 24 30 89 4C 24 40 66 3B C6 74 16 48 8B 55 80 0F B7 CE E8 ?? ?? ?? ?? 8B 4C 24 30 41 B8 01 00 00 00 41 83 FE 63 74 03 4D 2B F8 44 8A 64 24 60 44 8B 6C 24 54 33 D2 39 54 24 5C 74 0E 41 8B C5 45 2B E8 85 C0 0F 84 7C 01 00 00 41 03 C8 89 4C 24 30 89 4C 24 40 48 8B 4D 80 E8 ?? ?? ?? ?? 0F B7 F0 B8 FF FF 00 00 89 74 24 38 66 3B C6 0F 84 E4 00 00 00 41 83 FE 63 74 4F 41 83 FE 73 75 1A 66 83 FE 09 72 0A 66 83 FE 0D 0F 86 C8 00 00 00 B8 20 00 00 00 66 3B F0 75 2F 41 83 FE 7B 0F 85 B4 00 00 00 48 8B 4C 24 68 0F B7 C6 0F B7 D6 48 C1 E8 03 83 E2 07 0F BE 0C 08 41 0F BE C4 33 C8 0F A3 D1 0F 83 8F 00 00 00 33 D2 38 54 24 34 75 74 4D 85 FF 0F 84 05 05 00 00 40 84 FF 74 21 48 8B 55 90 8B 4C 24 30 41 B8 01 00 00 00 66 89 32 48 83 C2 02 4D 2B F8 48 89 55 90 E9 35 FF FF FF 89 54 24 4C 48 8B 55 90 48 8D 4C 24 4C 44 0F B7 CE 4D 8B C7 E8 ?? ?? ?? ?? 83 F8 22 0F 84 BD 04 00 00 48 63 44 24 4C 8B 4C 24 30 33 D2 44 8D 42 01 85 C0 0F 8E FE FE FF FF 48 01 45 90 4C 2B F8 E9 F2 FE FF FF 8B 4C 24 30 48 83 C3 02 41 B8 01 00 00 00 E9 DF FE FF FF 44 8B 7C 24 30 41 B8 01 00 00 00 41 BD FF FF 00 00 45 2B F8 44 89 7C 24 30 44 89 7C 24 40 66 44 3B EE 74 12 48 8B 55 80 0F B7 CE E8 ?? ?? ?? ?? 41 B8 01 00 00 00 33 D2 48 8B 45 90 48 3B D8 0F 84 8F 04 00 00 38 54 24 34 0F 85 FA 02 00 00 44 01 44 24 78 41 83 FE 63 0F 84 EB 02 00 00 45 33 F6 40 84 FF 74 16 66 44 89 30 E9 DD 02 00 00 44 8B 7C 24 30 41 BD FF FF 00 00 EB BC 44 88 30 E9 C8 02 00 00 44 8B 64 24 50 44 88 5C 24 35 4C 89 45 A0 45 03 E3 EB 05 44 8B 64 24 50 B8 2D 00 00 00 66 3B C6 75 07 44 88 5C 24 44 EB 0E B8 2B 00 00 00 66 3B C6 0F 85 07 FD FF FF 41 2B FB 89 7C 24 54 75 0C 85 D2 74 08 41 8A DB E9 F2 FC FF FF 44 8B 7C 24 30 48 8B 4D 80 45 03 FB 44 89 7C 24 30 44 89 7C 24 40 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 38 E9 D0 FC FF FF 48 8D 1C 9B 48 03 DB EB 4A B8 00 FF 00 00 66 85 F0 0F 85 88 00 00 00 0F B7 DE 0F B6 FB 8B CF E8 ?? ?? ?? ?? 85 C0 74 75 48 C1 65 A0 04 8B CF E8 ?? ?? ?? ?? 33 FF 85 C0 74 05 0F B7 F3 EB 0C BE DF FF 00 00 66 23 F3 66 83 EE 07 48 8B 5D A0 89 74 24 38 0F B7 C6 B9 01 00 00 00 01 4C 24 58 83 E8 30 48 98 48 03 D8 48 89 5D A0 39 7C 24 5C 74 05 44 2B E9 74 50 44 03 F9 48 8B 4D 80 44 89 7C 24 30 44 89 7C 24 40 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 38 E9 4F FC FF FF 33 FF 41 FF CF B8 FF FF 00 00 44 89 7C 24 30 44 89 7C 24 40 66 3B C6 74 0C 48 8B 55 80 0F B7 CE E8 ?? ?? ?? ?? 48 8B 5D A0 40 38 7C 24 44 0F 84 3A 01 00 00 48 F7 DB 48 89 5D A0 E9 2E 01 00 00 84 DB 8B 5C 24 4C 0F 85 15 01 00 00 44 8B 6C 24 54 44 3B F0 74 4C 41 83 FE 70 74 46 B8 00 FF 00 00 66 85 F0 0F 85 D0 00 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 BD 00 00 00 B8 6F 00 00 00 44 3B F0 75 13 B8 38 00 00 00 66 3B C6 0F 86 A5 00 00 00 C1 E3 03 EB 58 8D 04 9B 8D 1C 00 EB 50 B8 00 FF 00 00 66 85 F0 0F 85 8A 00 00 00 0F B7 DE 0F B6 FB }
	condition:
		$1
}

rule file_488_0_0 {
	meta:
		name = "_wfreopen_helper"
		size = 240
		refs = "0035 _errno 0041 _invalid_parameter_noinfo 0095 _lock_file 00a4 _fclose_nolock 00c6 _wopenfile 00d1 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 4C 24 20 57 41 54 41 55 48 83 EC 20 49 8B D9 4D 8B E0 48 8B F2 48 8B F9 45 33 ED 41 8B C5 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 90 00 00 00 4C 89 29 41 8B C5 48 85 D2 0F 95 C0 85 C0 74 D8 41 8B C5 4D 85 C0 0F 95 C0 85 C0 74 CB 41 8B C5 48 85 DB 0F 95 C0 85 C0 74 BE 66 44 39 2A 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 EB 4B 48 8B CB E8 ?? ?? ?? ?? 90 F6 43 18 83 74 08 48 8B CB E8 ?? ?? ?? ?? 4C 89 6B 10 4C 89 2B 44 89 6B 18 44 89 6B 08 4C 8B CB 44 8B 44 24 60 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 48 89 07 48 8B CB E8 ?? ?? ?? ?? 4C 39 2F 74 AE 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_488_2_0 {
	meta:
		name = "_wfreopen"
		size = 47
		refs = "0021 _wfreopen_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 58 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 4C 24 58 C7 44 24 20 40 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 58 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_799_2_0 {
	meta:
		name = "freopen"
		size = 47
		refs = "0021 _freopen_helper"
	strings:
		$1 = { 48 83 EC 38 48 83 64 24 58 00 4D 8B C8 4C 8B C2 48 8B D1 48 8D 4C 24 58 C7 44 24 20 40 00 00 00 E8 ?? ?? ?? ?? 48 8B 44 24 58 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_488_3_0 {
	meta:
		name = "_wfreopen_s"
		size = 22
		refs = "000d _wfreopen_helper"
	strings:
		$1 = { 48 83 EC 38 C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_799_3_0 {
	meta:
		name = "freopen_s"
		size = 22
		refs = "000d _freopen_helper"
	strings:
		$1 = { 48 83 EC 38 C7 44 24 20 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_489_0_0 {
	meta:
		name = "__crtGetEnvironmentStringsW"
		size = 133
		refs = "0016 __imp_GetEnvironmentStringsW 0047 _malloc_crt 005d memcpy 0069 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 FF 15 ?? ?? ?? ?? 33 DB 48 8B F8 48 85 C0 74 4C 66 39 1F 74 12 48 83 C0 02 66 39 18 75 F7 48 83 C0 02 66 39 18 75 EE 2B C7 83 C0 02 48 63 E8 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 11 4C 8B C5 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B DE 48 8B CF FF 15 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_490_3_0 {
	meta:
		name = "_copytlocinfo_nolock"
		size = 51
		refs = "001e memcpy 0029 __addlocaleref"
	strings:
		$1 = { 48 85 D2 74 2D 53 48 83 EC 20 48 8B D9 48 85 C9 74 1B 48 3B CA 74 16 41 B8 60 01 00 00 E8 ?? ?? ?? ?? 83 23 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_490_4_0 {
	meta:
		name = "_configthreadlocale"
		size = 105
		refs = "0009 _getptd 0032 _errno 003d _invalid_parameter_noinfo 005b __globallocalestatus"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 44 8B 80 C8 00 00 00 41 8B D0 80 E2 02 F6 DA 1B C9 83 FB FF 74 36 85 DB 74 39 83 FB 01 74 20 83 FB 02 74 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1D 41 83 E0 FD EB 04 41 83 C8 02 44 89 80 C8 00 00 00 EB 07 83 0D ?? ?? ?? ?? FF 8D 41 02 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_490_5_0 {
	meta:
		name = "sync_legacy_variables_lk"
		size = 48
		refs = "0003 __ptlocinfo 0011 __lconv 001f _pctype 002b __mb_cur_max"
	strings:
		$1 = { 48 8B 0D ?? ?? ?? ?? 48 8B 81 28 01 00 00 48 89 05 ?? ?? ?? ?? 48 8B 81 40 01 00 00 48 89 05 ?? ?? ?? ?? 8B 81 0C 01 00 00 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_490_6_0 {
	meta:
		name = "_free_locale"
		size = 166
		refs = "0017 _lock 0031 __initialmbcinfo 003b free 0046 _unlock 005f __removelocaleref 0073 __initiallocinfo 007d __freetlocinfo"
	strings:
		$1 = { 48 85 C9 0F 84 9C 00 00 00 53 48 83 EC 20 48 8B D9 B9 0D 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 1B F0 FF 09 75 16 48 8B 4B 08 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 B9 0D 00 00 00 E8 ?? ?? ?? ?? 48 83 3B 00 74 3C B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 0B E8 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 17 83 39 00 75 12 48 8D 05 ?? ?? ?? ?? 48 3B C8 74 06 E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? B8 0D F0 AD BA 48 89 03 48 89 43 08 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_490_10_0 {
	meta:
		name = "_get_current_locale"
		size = 156
		refs = "000b _getptd 001b _calloc_crt 0028 _errno 0037 __updatetlocinfo 003c __updatetmbcinfo 005b _lock 0064 __addlocaleref 006f _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B F8 BA 01 00 00 00 8D 4A 0F E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 5B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 9F C0 00 00 00 4C 89 1B 48 8B 87 B8 00 00 00 48 89 43 08 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 0B E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? BF 0D 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 8B 43 08 F0 FF 00 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_490_15_0 {
	meta:
		name = "_strcats"
		size = 101
		refs = "0036 strcat_s 0060 _invoke_watson"
	strings:
		$1 = { 45 85 C0 7E 49 44 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 83 EC 38 48 8D 7C 24 78 33 DB 48 8B F2 48 83 C7 F8 48 8B E9 48 83 C7 08 48 8B D6 48 8B CD 4C 8B 07 E8 ?? ?? ?? ?? 85 C0 75 11 FF C3 3B 5C 24 70 7C E2 48 83 C4 38 5F 5E 5D 5B C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_490_16_0 {
	meta:
		name = "__lc_strtolc"
		size = 432
		refs = "0028 memset 0058 strncpy_s 0079 _invoke_watson 0083 ??_C@_03EGDHDPFD@_?4?0?$AA@ 008b strcspn"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 48 8B DA 41 B8 90 00 00 00 33 D2 48 8B F1 E8 ?? ?? ?? ?? 80 3B 00 75 07 33 C0 E9 5D 01 00 00 80 3B 2E 75 41 4C 8D 43 01 41 80 38 00 74 37 BA 10 00 00 00 48 8D 8E 80 00 00 00 44 8D 4A FF E8 ?? ?? ?? ?? 85 C0 75 08 88 86 8F 00 00 00 EB C9 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 33 ED 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 0F 84 FA 00 00 00 4C 8D 24 18 41 8A 3C 24 85 ED 75 43 48 83 F8 40 0F 83 E4 00 00 00 40 80 FF 2E 0F 84 DA 00 00 00 8D 55 40 4C 8B C8 4C 8B C3 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 8C 00 00 00 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 83 FD 01 75 40 48 83 F8 40 0F 83 9C 00 00 00 40 80 FF 5F 0F 84 92 00 00 00 48 8D 4E 40 8D 55 3F 4C 8B C8 4C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 47 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 83 FD 02 75 61 48 83 F8 10 73 5B 40 84 FF 74 06 40 80 FF 2C 75 50 48 8D 8E 80 00 00 00 4C 8B C8 4C 8B C3 BA 10 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 1F 40 80 FF 2C 0F 84 CA FE FF FF 40 84 FF 0F 84 C1 FE FF FF 49 8D 5C 24 01 FF C5 E9 04 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 83 C8 FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_490_17_0 {
	meta:
		name = "__lc_lctostr"
		size = 150
		refs = "0019 strcpy_s 002d ??_C@_01IDAFKMJL@_?$AA@ 0043 _strcats 0056 ??_C@_01LFCBOECM@?4?$AA@ 0091 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 85 C0 75 5F 48 8D 43 40 80 38 00 74 1D 4C 8D 0D ?? ?? ?? ?? 41 B8 02 00 00 00 48 8B D7 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 83 80 00 00 00 80 38 00 74 1D 4C 8D 0D ?? ?? ?? ?? 41 B8 02 00 00 00 48 8B D7 48 8B CE 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_490_18_0 {
	meta:
		name = "_setlocale_get_all"
		size = 473
		refs = "002b _malloc_crt 0074 __lc_category 0080 ??_C@_01NEMOKFLO@?$DN?$AA@ 008f _strcats 00a1 ??_C@_01ICJEACDI@?$DL?$AA@ 00ac strcat_s 00c3 strcmp 012d free 01d4 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B F9 B9 55 03 00 00 41 BC 01 00 00 00 E8 ?? ?? ?? ?? 45 33 FF 48 8B F0 48 85 C0 75 1D 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 8D 68 04 BB 51 03 00 00 41 B8 03 00 00 00 44 88 7D 00 44 89 20 48 8B 47 68 4C 8B 0D ?? ?? ?? ?? 48 89 44 24 28 48 8D 05 ?? ?? ?? ?? 8B D3 48 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 2D ?? ?? ?? ?? 4C 8D 77 68 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 0C 01 00 00 49 8B 0E 49 8D 5E 20 48 8B 13 E8 ?? ?? ?? ?? 4C 8B F3 41 B8 03 00 00 00 85 C0 48 8B 03 BB 51 03 00 00 48 89 44 24 28 45 0F 45 E7 48 8D 05 ?? ?? ?? ?? 49 83 C5 18 8B D3 48 8B CD 4D 8B 4D 00 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4D 3B EB 7C 91 45 85 E4 75 53 48 8B 4F 58 83 CB FF 48 85 C9 74 13 8B C3 F0 0F C1 01 03 C3 75 09 48 8B 4F 58 E8 ?? ?? ?? ?? 48 8B 47 60 48 85 C0 74 13 8B CB F0 0F C1 08 03 CB 75 09 48 8B 4F 60 E8 ?? ?? ?? ?? 4C 89 7F 60 4C 89 7F 50 48 89 77 58 48 89 6F 48 48 8B C5 E9 D5 FE FF FF 48 8B CE E8 ?? ?? ?? ?? 48 8B 4F 58 83 CB FF 48 85 C9 74 13 8B C3 F0 0F C1 01 03 C3 75 09 48 8B 4F 58 E8 ?? ?? ?? ?? 48 8B 4F 60 48 85 C9 74 13 8B C3 F0 0F C1 01 03 C3 75 09 48 8B 4F 60 E8 ?? ?? ?? ?? 48 8B 87 88 00 00 00 4C 89 7F 60 4C 89 7F 50 4C 89 7F 58 4C 89 7F 48 E9 76 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_490_19_0 {
	meta:
		name = "_expandlocale"
		size = 572
		refs = "0017 __security_cookie 003b _getptd 0096 ??_C@_01GFHCPBMG@C?$AA@ 00a1 strcpy_s 00d6 _invoke_watson 00df strlen 00f5 strcmp 0122 __lc_strtolc 013e __get_qualified_locale 0168 __lc_lctostr 0182 ??_C@_00CNPNBAHC@?$AA@ 0198 strncpy_s 01b7 memcpy 0224 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC F8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 48 8B B4 24 60 01 00 00 49 8B D9 4D 8B F0 48 8B EA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 88 70 01 00 00 4C 8D B8 68 01 00 00 45 33 E4 48 89 4C 24 40 48 8D 88 74 01 00 00 4C 8D A8 F7 01 00 00 4C 89 7C 24 30 48 89 4C 24 38 48 85 FF 0F 84 A0 01 00 00 48 85 ED 0F 84 97 01 00 00 4D 85 F6 0F 84 8E 01 00 00 80 3F 43 75 4E 44 38 67 01 75 48 4C 8D 05 ?? ?? ?? ?? 49 8B D6 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 1D 48 85 DB 74 08 44 89 23 66 44 89 63 04 48 85 F6 74 03 44 89 26 48 8B C5 E9 52 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? 4C 8B E0 48 3D 83 00 00 00 73 28 48 8B D7 49 8B CD E8 ?? ?? ?? ?? 85 C0 0F 84 A4 00 00 00 48 8B 4C 24 38 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 84 8F 00 00 00 48 8D 4C 24 50 48 8B D7 45 33 FF E8 ?? ?? ?? ?? 85 C0 0F 85 E8 00 00 00 48 8B 54 24 30 4C 8D 44 24 50 48 8D 4C 24 50 E8 ?? ?? ?? ?? 85 C0 0F 84 CC 00 00 00 48 8B 44 24 30 48 8B 4C 24 40 4C 8D 44 24 50 0F B7 40 04 BA 83 00 00 00 89 01 49 8B CD E8 ?? ?? ?? ?? 44 38 3F 74 0E 49 81 FC 83 00 00 00 73 05 4D 8B FC EB 07 48 8D 3D ?? ?? ?? ?? 48 8B 4C 24 38 4D 8D 4F 01 4C 8B C7 BA 83 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 60 4C 8B 7C 24 30 48 85 DB 74 11 41 B8 06 00 00 00 49 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 85 F6 74 13 48 8B 54 24 40 41 B8 04 00 00 00 48 8B CE E8 ?? ?? ?? ?? 4D 8B C5 49 8B D6 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 05 49 8B C5 EB 2E 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 33 C0 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_490_20_0 {
	meta:
		name = "_setlocale_set_cat"
		size = 781
		refs = "0022 __security_cookie 003a _getptd 0064 _expandlocale 007a __security_check_cookie 00ae strcmp 00c3 strlen 00cf _malloc_crt 010e memcpy 0128 strcpy_s 01ea _first_127char 0206 __crtGetStringTypeA 0226 _ctype_loc_style 0235 memcmp 027b __lc_category 0297 free 02b3 __clocalestr 0308 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 F0 FE FF FF 48 81 EC 10 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 00 01 00 00 49 8B D8 4C 63 E2 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 4C 24 48 48 8D 54 24 70 48 8B F0 48 8D 44 24 44 41 B8 83 00 00 00 48 8B CB 44 89 64 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 48 85 C0 75 2C 33 C0 48 8B 8D 00 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 68 02 00 00 48 81 C4 10 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 49 8B DC 48 8D 4C 24 70 4D 8B FC 48 C1 E3 05 48 8B 54 3B 48 E8 ?? ?? ?? ?? 85 C0 75 07 48 8B 44 3B 48 EB B2 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 8B E0 48 8D 48 05 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 92 48 8B 44 3B 48 4D 8D 77 03 48 8D 4C 24 68 48 89 44 24 58 42 8B 04 B7 41 B8 06 00 00 00 89 44 24 54 4B 8D 44 7F 12 48 8D 04 47 48 8B D0 48 89 44 24 60 E8 ?? ?? ?? ?? 8B 47 04 49 8D 54 24 01 4C 8D 44 24 70 49 8D 4D 04 89 44 24 50 E8 ?? ?? ?? ?? 85 C0 0F 85 C3 01 00 00 48 8B 4C 24 60 49 8D 45 04 48 8D 54 24 48 48 89 44 3B 48 0F B7 44 24 48 41 B8 06 00 00 00 42 89 04 B7 E8 ?? ?? ?? ?? 45 8B CF 41 83 FF 02 0F 85 FF 00 00 00 8B 44 24 44 45 33 C0 33 D2 89 47 04 48 8B 8E 9C 02 00 00 8B 84 D6 7C 02 00 00 39 47 04 74 21 48 8B 84 D6 7C 02 00 00 48 89 8C D6 7C 02 00 00 48 FF C2 41 FF C0 48 8B C8 48 83 FA 05 7C D5 EB 1F 45 85 C0 74 1A 49 63 D0 48 8B 84 D6 7C 02 00 00 48 89 86 7C 02 00 00 48 89 8C D6 7C 02 00 00 41 83 F8 05 0F 85 8A 00 00 00 8B 47 14 45 8D 60 7A C7 44 24 38 01 00 00 00 89 44 24 30 8B 47 04 4C 8D 05 ?? ?? ?? ?? 89 44 24 28 48 8D 45 00 41 8D 54 24 82 45 8B CC 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 3A 48 8D 45 00 B9 FF 01 00 00 66 21 08 48 83 C0 02 49 FF CC 75 EF 48 8B 15 ?? ?? ?? ?? 48 8D 4D 00 41 B8 FE 00 00 00 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 94 C1 89 8E 80 02 00 00 EB 07 83 A6 80 02 00 00 00 8B 47 04 45 8B CF 89 86 7C 02 00 00 8B 86 80 02 00 00 89 87 08 01 00 00 41 83 F9 01 75 07 8B 44 24 44 89 47 08 4B 8D 04 7F 48 8D 15 ?? ?? ?? ?? 48 8B CF FF 14 C2 85 C0 74 27 48 8B 44 24 58 49 8B CD 48 89 44 3B 48 E8 ?? ?? ?? ?? 44 8B 5C 24 54 8B 44 24 50 46 89 1C B7 89 47 04 E9 BD FD FF FF 48 8D 0D ?? ?? ?? ?? 48 39 4C 24 58 74 27 48 8B 54 3B 58 F0 FF 0A 75 1D 48 8B 4C 3B 58 E8 ?? ?? ?? ?? 49 C1 E6 05 49 8B 0C 3E E8 ?? ?? ?? ?? 48 83 64 3B 50 00 41 C7 45 00 01 00 00 00 4C 89 6C 3B 58 E9 BF FD FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_490_21_0 {
	meta:
		name = "_setlocale_nolock"
		size = 547
		refs = "0015 __security_cookie 0034 _setlocale_set_cat 0080 ??_C@_02BALPLPBG@?$DN?$DL?$AA@ 0088 strpbrk 00b6 __lc_category 00c5 strncmp 00d2 strlen 00f4 ??_C@_01ICJEACDI@?$DL?$AA@ 00fc strcspn 0129 strncpy_s 016c _setlocale_get_all 017c __security_check_cookie 01a3 _invoke_watson 01c3 _expandlocale 01e0 strcmp"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC D0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 C0 00 00 00 49 8B D8 48 8B F9 85 D2 74 20 48 85 DB 74 0A E8 ?? ?? ?? ?? E9 33 01 00 00 48 63 C2 48 C1 E0 05 48 8B 44 08 48 E9 22 01 00 00 33 F6 44 8D 66 01 48 85 DB 0F 84 0E 01 00 00 41 80 38 4C 0F 85 41 01 00 00 41 80 78 01 43 0F 85 36 01 00 00 41 80 78 02 5F 0F 85 2B 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 0F 84 84 01 00 00 4C 8B E8 4C 2B EB 0F 84 78 01 00 00 80 38 3B 0F 84 6F 01 00 00 41 BE 01 00 00 00 4C 8D 25 ?? ?? ?? ?? 49 8B 0C 24 4D 8B C5 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 0E 49 8B 0C 24 E8 ?? ?? ?? ?? 4C 3B E8 74 13 48 8D 05 ?? ?? ?? ?? 49 83 C4 18 41 FF C6 4C 3B E0 7E CC 48 FF C5 48 8D 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0A 80 7D 00 3B 0F 85 0A 01 00 00 41 83 FE 05 7F 34 48 8D 4C 24 30 4C 8B C8 4C 8B C5 BA 83 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 61 4C 8D 44 24 30 41 8B D6 48 8B CF 88 44 1C 30 E8 ?? ?? ?? ?? 48 85 C0 74 02 FF C6 48 03 DD 80 3B 00 74 0C 48 FF C3 80 3B 00 0F 85 1D FF FF FF 85 F6 0F 84 B4 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 8C 24 C0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 21 74 24 28 48 21 74 24 20 48 8D 54 24 30 45 33 C9 41 B8 83 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 A4 33 DB 48 8D 6F 48 85 DB 74 2D 48 8B 55 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 74 19 4C 8D 44 24 30 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 75 05 45 33 E4 EB 02 FF C6 FF C3 48 83 C5 20 83 FB 05 7E C4 45 85 E4 0F 85 51 FF FF FF E9 44 FF FF FF 33 C0 E9 4D FF FF FF }
	condition:
		$1
}

rule file_490_22_0 {
	meta:
		name = "_create_locale"
		size = 311
		refs = "0037 _calloc_crt 0044 _errno 0084 free 00b5 __initiallocinfo 00c8 memcpy 00d3 __addlocaleref 00e0 _setlocale_nolock 00f4 _setmbcp_nolock 0109 __removelocaleref 0111 __freetlocinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B F2 8B E9 83 F9 05 77 2B 48 85 D2 74 26 41 BC 01 00 00 00 41 8B D4 41 8D 4C 24 0F E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 28 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 49 8B D4 B9 60 01 00 00 E8 ?? ?? ?? ?? 48 89 03 48 85 C0 75 0A 48 8B CB E8 ?? ?? ?? ?? EB B9 49 8B D4 B9 20 02 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 85 C0 75 0A 48 8B 0B E8 ?? ?? ?? ?? EB D6 48 8B 3B 48 85 FF 74 25 48 8D 15 ?? ?? ?? ?? 48 3B FA 74 19 48 8B CF 41 B8 60 01 00 00 E8 ?? ?? ?? ?? 83 27 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 0B 4C 8B C6 8B D5 E8 ?? ?? ?? ?? 48 85 C0 74 1C 48 8B 03 48 8B 53 08 8B 48 04 E8 ?? ?? ?? ?? 85 C0 74 25 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 DB EB 0E 48 8B 43 08 44 89 20 48 8B 43 08 44 89 20 48 8B C3 E9 19 FF FF FF }
	condition:
		$1
}

rule file_490_24_0 {
	meta:
		name = "setlocale"
		size = 444
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 003e _getptd 004b __updatetlocinfo 0061 _calloc_crt 0077 _lock 0097 memcpy 00a2 __addlocaleref 00ad _unlock 00bb _setlocale_nolock 00d8 __clocalestr 00e0 strcmp 00e6 __locale_changed 011a _updatetlocinfoEx_nolock 0122 __removelocaleref 0132 __globallocalestatus 0142 __ptlocinfo 015c __lconv 016a _pctype 0177 __mb_cur_max 0193 __freetlocinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 20 41 54 41 55 41 56 48 83 EC 30 4C 8B EA 44 8B E1 33 F6 83 F9 05 76 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 65 01 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 60 E8 ?? ?? ?? ?? 83 8B C8 00 00 00 10 BA 01 00 00 00 B9 60 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 27 01 00 00 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 93 C0 00 00 00 48 85 D2 74 1F 48 3B FA 74 1A 48 8B CF 41 B8 60 01 00 00 E8 ?? ?? ?? ?? 83 27 00 48 8B CF E8 ?? ?? ?? ?? 90 B9 0C 00 00 00 E8 ?? ?? ?? ?? 4D 8B C5 41 8B D4 48 8B CF E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 20 48 85 C0 0F 84 B7 00 00 00 4D 85 ED 74 29 48 8D 15 ?? ?? ?? ?? 49 8B CD E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 85 C0 41 BC 01 00 00 00 41 0F 45 CC 89 0D ?? ?? ?? ?? EB 06 41 BC 01 00 00 00 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 8B D7 48 8D 8B C0 00 00 00 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? F6 83 C8 00 00 00 02 75 4C 44 84 25 ?? ?? ?? ?? 75 43 48 8B 93 C0 00 00 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 49 8B 83 28 01 00 00 48 89 05 ?? ?? ?? ?? 49 8B 83 40 01 00 00 48 89 05 ?? ?? ?? ?? 41 8B 83 0C 01 00 00 89 05 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? EB 11 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 90 83 A3 C8 00 00 00 EF 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 68 48 83 C4 30 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_490_27_0 {
	meta:
		name = "setlocale$fin$2"
		size = 27
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 45 60 83 A0 C8 00 00 00 EF 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_491_0_0 {
	meta:
		name = "_wctime32_s"
		size = 141
		refs = "000b __security_cookie 0037 _errno 004b _localtime32_s 005f _wasctime_s 0072 _invalid_parameter_noinfo 0081 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 33 F6 48 8B FA 48 8B D9 48 85 C9 74 41 48 85 D2 74 3C 66 89 31 4D 85 C0 74 34 41 39 30 7D 0C E8 ?? ?? ?? ?? 8D 5E 16 89 18 EB 34 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule file_491_1_0 {
	meta:
		name = "_wctime32"
		size = 107
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0057 _localtime32_s 0065 _wasctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB DA 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C9 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BF }
	condition:
		$1
}

rule file_656_1_0 {
	meta:
		name = "_ctime32"
		size = 107
		refs = "0007 __security_cookie 0019 _errno 0024 _invalid_parameter_noinfo 0033 __security_check_cookie 0057 _localtime32_s 0065 asctime"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 85 C9 75 24 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 83 39 00 7D 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB DA 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 C9 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB BF }
	condition:
		$1
}

rule file_492_0_0 {
	meta:
		name = "_strnset"
		size = 25
	strings:
		$1 = { 48 8B C1 EB 0D 49 FF C8 80 39 00 74 0A 88 11 48 FF C1 4D 85 C0 75 EE F3 C3 }
	condition:
		$1
}

rule file_493_0_0 {
	meta:
		name = "exp"
		size = 664
		refs = "0010 __real_inf 002f __exp_mant_mask 0036 __real_x_near0_threshold 003e __real_64_by_log2 0050 __real_p65536 005e __real_m68800 006f __two_to_jby64_head_table 0076 __two_to_jby64_tail_table 0082 __real_log2_by_64_head 009f __real_log2_by_64_tail 00b8 __real_1_by_2 00c0 __real_1_by_24 00c8 __real_1_by_720 00e8 __real_one 00f0 __real_1_by_6 00fc __real_1_by_120 0111 __denormal_threshold 012f __two_to_jby64_table 0184 __enable_almost_inf 01c6 __denormal_tiny_threshold 0204 __real_smallest_denormal 0214 __real_zero 0220 __flag_y_zero 0225 _exp_special 0240 __flag_y_inf 025c __real_ninf 0265 __real_qnanbit 0271 __flag_x_nan"
	strings:
		$1 = { 48 81 EC 88 00 00 00 F2 0F 11 44 24 30 48 8B 05 ?? ?? ?? ?? 48 8B 54 24 30 48 23 C2 4C 8B CA 48 3B 05 ?? ?? ?? ?? 0F 84 24 02 00 00 4C 23 0D ?? ?? ?? ?? 4C 3B 0D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 0F 8C 28 01 00 00 F2 0F 59 D8 66 0F 2F 1D ?? ?? ?? ?? 0F 87 D6 01 00 00 66 0F 2F 1D ?? ?? ?? ?? 0F 86 A8 01 00 00 F2 0F E6 E3 4C 8D 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? F3 0F E6 CC F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 66 0F 7E E1 48 C7 C0 3F 00 00 00 23 C1 F2 0F 5C C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 10 D0 2B C8 C1 F9 06 F2 0F 58 D1 F2 0F 10 CA F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 25 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 59 DA F2 0F 59 E2 F2 0F 10 E9 F2 0F 59 CA F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 59 D9 F2 0F 59 E5 45 33 C9 3B 0D ?? ?? ?? ?? F2 0F 58 DC F2 0F 58 C3 44 0F 4E C9 48 81 C1 FF 03 00 00 48 C1 E1 34 4C 8D 05 ?? ?? ?? ?? F2 41 0F 59 04 C0 48 3B 0D ?? ?? ?? ?? F2 41 0F 58 04 C3 F2 41 0F 58 04 C2 74 32 45 85 C9 48 89 4C 24 30 75 38 F2 0F 59 44 24 30 48 81 C4 88 00 00 00 C3 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? EB E4 66 0F 1F 44 00 00 66 0F 56 05 ?? ?? ?? ?? EB D4 66 0F 1F 44 00 00 41 8B C9 45 33 DB 66 0F 2F 05 ?? ?? ?? ?? 44 0F 43 D9 44 3B 1D ?? ?? ?? ?? 75 15 F2 0F 59 44 24 30 EB AB 66 66 66 66 66 0F 1F 84 00 00 00 00 00 4D 33 C0 48 3B 15 ?? ?? ?? ?? 49 C7 C1 01 00 00 00 7F 2D 81 C1 32 04 00 00 49 0F 48 C8 49 D3 E1 49 8B C9 48 89 4C 24 30 F2 0F 59 44 24 30 E9 6B FF FF FF 66 66 66 66 66 0F 1F 84 00 00 00 00 00 F2 0F 10 05 ?? ?? ?? ?? E9 51 FF FF FF 0F 1F 00 F2 0F 10 0D ?? ?? ?? ?? 66 48 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 62 00 00 00 66 90 F2 0F 10 0D ?? ?? ?? ?? 66 48 0F 6E C2 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 0F 1F 44 00 00 48 3B 15 ?? ?? ?? ?? 74 37 48 3B 15 ?? ?? ?? ?? 74 1E 48 0B 15 ?? ?? ?? ?? 66 48 0F 6E CA 44 8B 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 0F 1F 40 00 F2 0F 10 05 ?? ?? ?? ?? E9 D1 FE FF FF 0F 1F 00 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_494_0_0 {
	meta:
		name = "_wfdopen"
		size = 442
		refs = "0027 _errno 0055 _nhandle 006c __pioinfo 00cb _commode 015c _getstream 017d _cflush 018b _unlock_file 01a0 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 63 F1 45 33 E4 41 8B C4 48 85 D2 0F 95 C0 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 69 01 00 00 83 FE FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 59 01 00 00 85 C9 0F 88 41 01 00 00 3B 35 ?? ?? ?? ?? 0F 83 35 01 00 00 48 8B CE 48 8B C6 48 C1 F8 05 4C 8D 05 ?? ?? ?? ?? 83 E1 1F 48 6B C9 58 49 8B 04 C0 0F BE 4C 08 08 41 BD 01 00 00 00 41 23 CD 0F 84 05 01 00 00 45 8D 5D 1F EB 04 48 83 C2 02 66 44 39 1A 74 F6 0F B7 02 83 F8 61 74 14 83 F8 72 74 0A 83 F8 77 74 0A E9 70 FF FF FF 41 8B FD EB 05 BF 02 00 00 00 45 8B C5 45 8B CC 45 8B D4 0B 3D ?? ?? ?? ?? 48 83 C2 02 0F B7 02 66 85 C0 74 68 45 85 C0 74 63 0F B7 C8 41 2B CB 74 E7 83 E9 0B 74 3F 83 E9 37 74 30 FF C9 74 1E 83 E9 0B 74 0B 83 F9 06 0F 85 22 FF FF FF EB 1C 45 85 C9 75 26 45 8B CD 0F BA F7 0E EB BB 45 85 C9 75 18 45 8B CD 0F BA EF 0E EB AD 45 85 D2 75 0A 45 8B D5 EB A3 40 84 FF 79 05 45 8B C4 EB 99 83 E7 FC 0F BA EF 07 EB 90 48 83 C2 02 66 44 39 1A 74 F6 41 8B C4 66 44 39 22 0F 94 C0 85 C0 0F 84 CB FE FF FF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 48 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 18 00 00 00 EB 2A 44 01 2D ?? ?? ?? ?? 89 78 18 89 70 1C 48 8B C8 E8 ?? ?? ?? ?? 48 8B C3 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_495_0_0 {
	meta:
		name = "_mbsninc_l"
		size = 34
		refs = "0013 _mbsnbcnt_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 04 33 C0 EB 0A E8 ?? ?? ?? ?? 8B C0 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_495_1_0 {
	meta:
		name = "_mbsninc"
		size = 35
		refs = "0014 _mbsnbcnt_l"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B D9 48 85 C9 74 0D 45 33 C0 E8 ?? ?? ?? ?? 8B C0 48 03 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_496_0_0 {
	meta:
		name = "setvbuf"
		size = 270
		refs = "0033 _errno 003e _invalid_parameter_noinfo 0077 _lock_file 0080 _flush 0088 _freebuf 00bb _malloc_crt 00c9 _cflush 00f4 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 41 54 41 55 48 83 EC 20 49 8B F1 45 8B E0 4C 8B EA 48 8B D9 33 FF 8B C7 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 B0 00 00 00 41 83 F8 04 74 0B 45 85 C0 74 11 41 83 F8 40 75 D7 45 85 C0 74 06 41 83 F8 40 75 0C 49 8D 41 FE 48 3D FD FF FF 7F 77 C0 48 83 E6 FE E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 81 63 18 F3 C2 FF FF 8B 43 18 41 F6 C4 04 74 16 83 C8 04 89 43 18 4C 8D 6B 20 BE 02 00 00 00 48 89 74 24 58 EB 31 4D 85 ED 75 24 48 8B CE E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 75 0B FF 05 ?? ?? ?? ?? 83 CF FF EB 1E 81 4B 18 08 04 00 00 EB 08 0D 00 05 00 00 89 43 18 89 73 24 4C 89 6B 10 4C 89 2B 89 7B 08 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_497_0_0 {
	meta:
		name = "?_open@@YAHPEBDHH@Z"
		size = 52
		refs = "001d _sopen_helper"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 48 8D 44 24 58 45 8B C8 41 B8 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 58 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_497_2_0 {
	meta:
		name = "?_wopen@@YAHPEB_WHH@Z"
		size = 52
		refs = "001d _wsopen_helper"
	strings:
		$1 = { 48 83 EC 38 83 64 24 28 00 48 8D 44 24 58 45 8B C8 41 B8 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 58 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_497_1_0 {
	meta:
		name = "?_sopen@@YAHPEBDHHH@Z"
		size = 43
		refs = "0014 _sopen_helper"
	strings:
		$1 = { 48 83 EC 48 83 64 24 28 00 48 8D 44 24 30 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 30 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_497_3_0 {
	meta:
		name = "?_wsopen@@YAHPEB_WHHH@Z"
		size = 43
		refs = "0014 _wsopen_helper"
	strings:
		$1 = { 48 83 EC 48 83 64 24 28 00 48 8D 44 24 30 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4C 24 30 83 CA FF 85 C0 0F 45 CA 8B C1 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_498_3_0 {
	meta:
		name = "infinityf_with_flags"
		size = 35
		refs = "000c _controlfp_s"
	strings:
		$1 = { 48 83 EC 28 44 8B C1 8B D1 33 C9 E8 ?? ?? ?? ?? C7 44 24 38 00 00 80 7F F3 0F 10 44 24 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_498_5_0 {
	meta:
		name = "coshf"
		size = 721
		refs = "0008 __real@3ff0000000000000 0048 __real@3f800000 0059 __real@7e37e43c8800759c 0072 _controlfp_s 00c6 ??_C@_05NHNGJKPP@coshf?$AA@ 00d0 _handle_errorf 0101 __mask@@NegDouble@ 0109 ?max_cosh_arg@?1??coshf@@9@9 014b ?small_threshold@?1??coshf@@9@9 0159 ?log2_by_32_tail@?1??coshf@@9@9 0161 ?log2_by_32_lead@?1??coshf@@9@9 0195 ?thirtytwo_by_log2@?1??coshf@@9@9 019a splitexp 01e6 __ImageBase 0206 __real@3d6b4125921ea08b 0212 __real@3de611cb2bdcb7be 021e __real@3e5ae6460fbe61c0 022a __real@3ec71de3a4e13e7d 0236 __real@3f2a01a01a01ee80 0242 __real@3f811111111110fd 024e __real@3fc5555555555555 025e __real@3da9984b7f63fcd7 026b ?sinh_lead@?1??coshf@@9@9 0273 __real@3e21ee56385b7b20 027f __real@3e927e5069f1cb55 028b __real@3efa01a019079011 0297 __real@3f56c16c16c212e5 02a3 __real@3fa5555555555502 02af __real@3fe0000000000000 02c0 ?cosh_lead@?1??coshf@@9@9"
	strings:
		$1 = { 48 83 EC 58 F2 0F 10 2D ?? ?? ?? ?? 48 BA FF FF FF FF FF FF FF 7F 0F 28 C8 0F 14 C9 0F 5A E1 F2 0F 11 64 24 68 48 8B 4C 24 68 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 10 3F 48 3B C2 73 39 48 85 C0 75 0D F3 0F 10 05 ?? ?? ?? ?? E9 7B 02 00 00 66 0F 28 C4 F2 0F 58 05 ?? ?? ?? ?? 66 0F 2F C5 0F 86 91 00 00 00 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? EB CC 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 71 76 50 0F 57 C0 C7 44 24 40 01 00 00 00 F3 0F 11 4C 24 68 44 8B 44 24 68 41 B9 01 00 00 00 49 0F BA E8 16 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? E9 F3 01 00 00 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? C7 44 24 68 00 00 80 7F F3 0F 10 44 24 68 E9 D4 01 00 00 48 3B C1 74 08 66 0F 57 25 ?? ?? ?? ?? 66 0F 2F 25 ?? ?? ?? ?? 72 38 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 03 00 00 00 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 41 B8 00 00 80 7F E9 7C FF FF FF 66 0F 2F 25 ?? ?? ?? ?? 0F 82 83 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 48 8D 44 24 78 48 89 44 24 38 48 8D 44 24 70 48 89 44 24 30 48 8D 44 24 60 66 0F 28 CD 66 0F 28 C4 48 89 44 24 28 F2 0F 11 54 24 20 F2 0F 10 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 4C 24 60 41 FF C9 49 63 C1 44 89 4C 24 60 48 05 FF 03 00 00 48 C1 E0 34 48 89 44 24 68 F2 0F 10 44 24 68 F2 0F 10 54 24 70 F2 0F 58 54 24 78 F2 0F 59 D0 E9 F0 00 00 00 F2 0F 2C C4 66 0F 6E C0 48 63 C8 48 8D 05 ?? ?? ?? ?? F3 0F E6 C0 F2 0F 5C E0 66 0F 28 CC F2 0F 59 CC 66 0F 28 D1 66 0F 28 C1 F2 0F 59 15 ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D0 66 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 D4 F2 0F 59 94 C8 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 C5 F2 0F 59 84 C8 ?? ?? ?? ?? F2 0F 58 D0 F2 0F 5A C2 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_500_0_0 {
	meta:
		name = "ceil"
		size = 276
		refs = "0081 ??_C@_04GFPJNGEK@ceil?$AA@ 0093 _handle_error 00cd __real@3ff0000000000000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 60 48 8B 54 24 60 66 0F 28 C8 48 8B C2 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B D0 41 0F 95 C0 48 3B C1 72 5D 48 B9 00 00 00 00 00 00 F0 7F 48 3B C1 0F 86 C0 00 00 00 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 49 B8 00 00 00 00 00 00 08 00 4C 0B C2 41 8D 51 0B 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? EB 76 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 2B 48 85 C0 74 62 4D 85 C0 74 17 48 B8 00 00 00 00 00 00 00 80 48 89 44 24 60 F2 0F 10 44 24 60 EB 46 F2 0F 10 05 ?? ?? ?? ?? EB 3C 48 8B C2 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 48 23 C2 48 89 44 24 60 F2 0F 10 44 24 60 4D 85 C0 75 0D 48 3B C2 74 08 F2 0F 58 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_501_0_0 {
	meta:
		name = "fputws"
		size = 181
		refs = "002d _errno 0038 _invalid_parameter_noinfo 0050 wcslen 005b _lock_file 0087 _fputwc_nolock 009b _unlock_file"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 48 89 54 24 10 57 41 54 41 55 48 83 EC 30 48 8B F2 4C 8B E9 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 5E 8B C3 48 85 D2 0F 95 C0 85 C0 74 DD E8 ?? ?? ?? ?? 4C 8B E0 48 8B CE E8 ?? ?? ?? ?? 90 BF FF FF 00 00 49 8B CC 49 FF CC 4C 89 64 24 20 48 85 C9 74 22 41 0F B7 4D 00 49 83 C5 02 4C 89 6C 24 50 48 8B D6 E8 ?? ?? ?? ?? 66 3B C7 75 05 83 CB FF EB 02 EB CE 48 8B CE E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_502_0_0 {
	meta:
		name = "_getsystime"
		size = 158
		refs = "0009 __security_cookie 001e _errno 0029 _invalid_parameter_noinfo 0038 __imp_GetLocalTime 0082 _mktime32 0094 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 5A 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 0F B7 44 24 2C 83 4B 20 FF 89 03 0F B7 44 24 2A 48 8B CB 89 43 04 0F B7 44 24 28 89 43 08 0F B7 44 24 26 89 43 0C 0F B7 44 24 22 FF C8 89 43 10 0F B7 44 24 20 2D 6C 07 00 00 89 43 14 0F B7 44 24 24 89 43 18 E8 ?? ?? ?? ?? 0F B7 44 24 2E 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_502_1_0 {
	meta:
		name = "_setsystime"
		size = 165
		refs = "000d __security_cookie 0029 _mktime32 007b __imp_SetLocalTime 0085 __imp_GetLastError 0096 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 8B FA 48 8B D9 48 85 C9 75 05 8D 41 57 EB 65 E8 ?? ?? ?? ?? 0F B7 43 14 41 BB 6C 07 00 00 66 41 03 C3 48 8D 4C 24 20 66 89 7C 24 2E 66 89 44 24 20 0F B7 43 10 66 FF C0 66 89 44 24 22 0F B7 43 0C 66 89 44 24 26 0F B7 43 08 66 89 44 24 28 0F B7 43 04 66 89 44 24 2A 0F B7 03 66 89 44 24 2C FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_503_0_0 {
	meta:
		name = "memset"
		size = 234
	strings:
		$1 = { 48 8B C1 49 83 F8 08 72 53 0F B6 D2 49 B9 01 01 01 01 01 01 01 01 49 0F AF D1 49 83 F8 40 72 1E 48 F7 D9 83 E1 07 74 06 4C 2B C1 48 89 10 48 03 C8 4D 8B C8 49 83 E0 3F 49 C1 E9 06 75 39 4D 8B C8 49 83 E0 07 49 C1 E9 03 74 11 66 66 66 90 90 48 89 11 48 83 C1 08 49 FF C9 75 F4 4D 85 C0 74 0A 88 11 48 FF C1 49 FF C8 75 F6 C3 0F 1F 40 00 66 66 66 90 66 66 90 49 81 F9 00 1C 00 00 73 30 48 89 11 48 89 51 08 48 89 51 10 48 83 C1 40 48 89 51 D8 48 89 51 E0 49 FF C9 48 89 51 E8 48 89 51 F0 48 89 51 F8 75 D8 EB 94 66 0F 1F 44 00 00 48 0F C3 11 48 0F C3 51 08 48 0F C3 51 10 48 83 C1 40 48 0F C3 51 D8 48 0F C3 51 E0 49 FF C9 48 0F C3 51 E8 48 0F C3 51 F0 48 0F C3 51 F8 75 D0 F0 80 0C 24 00 E9 54 FF FF FF }
	condition:
		$1
}

rule file_506_2_0 {
	meta:
		name = "__wcserror"
		size = 388
		refs = "001c _getptd_noexit 005b _calloc_crt 008c wcsncat_s 0097 ??_C@_15ELOONFKJ@?$AA?3?$AA?5?$AA?$AA@ 00a2 wcscat_s 00ba _invoke_watson 00d5 _errno 00e0 __sys_nerr 00f0 __sys_errlist 00ff wcslen 0134 mbstowcs_s 013f ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 30 48 8B D9 E8 ?? ?? ?? ?? 45 33 E4 48 8B E8 48 85 C0 75 1B 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5D 41 5C 5F C3 41 BD 86 00 00 00 4C 39 60 40 75 16 BA 02 00 00 00 41 8B CD E8 ?? ?? ?? ?? 48 89 45 40 48 85 C0 74 C3 48 8B 6D 40 66 44 89 65 00 48 85 DB 74 5E 66 44 39 23 74 58 41 B9 82 00 00 00 4C 8B C3 49 8B D5 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 2B 4C 8D 05 ?? ?? ?? ?? 49 8B D5 48 8B CD E8 ?? ?? ?? ?? 85 C0 74 2A 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 34 C8 48 8B CD E8 ?? ?? ?? ?? BF 84 00 00 00 48 8B CD 48 2B F8 E8 ?? ?? ?? ?? 49 8B DD 48 8B CD 48 2B D8 E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C3 48 8D 54 45 00 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 33 4C 8D 05 ?? ?? ?? ?? 49 8B D5 48 8B CD E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C5 E9 D3 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_506_3_0 {
	meta:
		name = "__wcserror_s"
		size = 241
		refs = "0025 _errno 0031 _invalid_parameter_noinfo 0053 wcslen 006a wcscpy_s 0075 ??_C@_15ELOONFKJ@?$AA?3?$AA?5?$AA?$AA@ 0080 wcscat_s 0098 _invoke_watson 00d8 _wcserror_s"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 33 ED 49 8B D8 48 8B FA 48 8B F1 48 85 C9 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 A0 00 00 00 48 85 D2 74 E3 66 89 29 48 85 DB 74 69 66 41 39 28 74 63 48 8B CB E8 ?? ?? ?? ?? 48 8D 4F F9 48 3B C1 73 52 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 2B 4C 8D 05 ?? ?? ?? ?? 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 2A 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 6C 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B CE 48 2B F8 E8 ?? ?? ?? ?? 44 8B 03 48 8D 0C 46 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_507_0_0 {
	meta:
		name = "?wcstoxl@@YAKPEB_WPEAPEB_WHH@Z"
		size = 488
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0074 iswctype 009d _wchartodigit"
	strings:
		$1 = { 48 89 5C 24 18 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 41 8B E9 45 8B E0 4C 8B EA 48 85 D2 74 03 48 89 0A 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 8D 01 00 00 45 85 C0 74 0C 41 83 F8 02 7C DE 41 83 F8 24 7F D8 0F B7 31 33 FF 48 8D 59 02 44 8D 7F 08 EB 07 0F B7 33 48 83 C3 02 41 8B D7 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 EA 66 83 FE 2D 75 05 83 CD 02 EB 06 66 83 FE 2B 75 07 0F B7 33 48 83 C3 02 45 85 E4 75 2B 0F B7 CE E8 ?? ?? ?? ?? 85 C0 74 08 41 BC 0A 00 00 00 EB 3D 66 83 3B 78 74 0B 66 83 3B 58 74 05 45 8B E7 EB 2C 41 BC 10 00 00 00 41 83 FC 10 75 20 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 14 66 83 3B 78 74 06 66 83 3B 58 75 08 0F B7 73 02 48 83 C3 04 33 D2 83 C8 FF 41 F7 F4 44 8B F8 44 8B F2 0F B7 CE E8 ?? ?? ?? ?? 83 F8 FF 75 2B B8 41 00 00 00 66 3B C6 77 06 66 83 FE 5A 76 09 8D 46 9F 66 83 F8 19 77 2E 8D 46 9F 66 83 F8 19 0F B7 C6 77 03 83 E8 20 83 C0 C9 41 3B C4 73 17 83 CD 08 41 3B FF 72 29 75 05 41 3B C6 76 22 83 CD 04 4D 85 ED 75 20 4C 8B 74 24 60 48 83 EB 02 40 F6 C5 08 75 1A 4D 85 ED 49 0F 45 DE 33 FF EB 5A 41 0F AF FC 03 F8 0F B7 33 48 83 C3 02 EB 83 BE FF FF FF 7F 40 F6 C5 04 75 1D 40 F6 C5 01 75 3A 8B C5 83 E0 02 74 08 81 FF 00 00 00 80 77 08 85 C0 75 27 3B FE 76 23 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 74 05 83 CF FF EB 0D 40 8A C5 24 02 F6 D8 1B FF F7 DF 03 FE 4D 85 ED 74 04 49 89 5D 00 40 F6 C5 02 74 02 F7 DF 8B C7 48 8B 5C 24 70 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_508_2_0 {
	meta:
		name = "asin"
		size = 735
		refs = "009e ??_C@_04FIHNOPOL@asin?$AA@ 00a8 _handle_error 00be __real@3ff0000000000000 00ca ?piby2@?1??asin@@9@9 00d4 __real@bff0000000000000 00e0 __real@bff921fb54442d18 00ef _controlfp_s 013b __mask@@NegDouble@ 015f __real@3fe0000000000000 01a5 __real@3f0951665d321061 01ad __real@3fbb1a422982ce76 01b5 __real@3f51e5f887a62135 01bd __real@3fee324ab418f78d 01cd __real@3fac28d390c29690 01d5 __real@40062021571dccfc 01e5 __real@3fd1a2bec1b7ef59 01ed __real@400a4646f903cdea 01fd __real@3fdc7b297e269eac 0205 __real@3ff5d6b12001f228 0211 __real@3fcd1e4180029834 0232 __real@4000000000000000 028e ?piby2_tail@?1??asin@@9@9 029a ?hpiby2_head@?1??asin@@9@9"
	strings:
		$1 = { 48 83 EC 68 66 0F 57 C9 48 B8 00 00 00 00 00 00 00 80 49 B9 FF FF FF FF FF FF FF 7F F2 0F 11 4C 24 70 F2 0F 11 84 24 80 00 00 00 0F 29 74 24 50 4C 8B 84 24 80 00 00 00 49 8B D0 49 8B C8 66 0F 28 F0 48 23 D0 48 C1 E9 34 49 8B C0 49 23 C1 81 E1 FF 07 00 00 49 B9 00 00 00 00 00 00 F0 7F 81 E9 FF 03 00 00 49 3B C1 76 47 41 B9 01 00 00 00 48 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 4C 0B C0 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0E 00 00 00 E8 ?? ?? ?? ?? E9 24 02 00 00 83 F9 E4 7C 2E 85 C9 78 78 66 0F 2E 05 ?? ?? ?? ?? 7A 0C 75 0A F2 0F 10 35 ?? ?? ?? ?? EB 14 66 0F 2E 05 ?? ?? ?? ?? 7A 22 75 20 F2 0F 10 35 ?? ?? ?? ?? BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 66 0F 28 C6 E9 D9 01 00 00 41 B9 01 00 00 00 49 B8 00 00 00 00 00 00 F8 FF 44 89 4C 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 69 FF FF FF 48 85 D2 74 08 66 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 3A F2 0F 10 15 ?? ?? ?? ?? 66 0F 57 C9 F2 0F 5C D6 F2 0F 59 15 ?? ?? ?? ?? F2 0F 11 54 24 78 F2 0F 10 44 24 78 F2 0F 51 C8 F2 0F 11 4C 24 70 F2 0F 10 5C 24 70 66 0F 28 F3 EB 14 F2 0F 10 5C 24 70 66 0F 28 D6 F2 0F 59 D6 F2 0F 11 54 24 78 66 0F 28 CA 66 0F 28 C2 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 C2 F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CA F2 0F 5E C8 85 C0 0F 84 97 00 00 00 F2 0F 11 9C 24 80 00 00 00 F2 0F 10 1D ?? ?? ?? ?? 48 B9 00 00 00 00 FF FF FF FF 48 8B 84 24 80 00 00 00 48 23 C1 48 89 84 24 80 00 00 00 F2 0F 10 A4 24 80 00 00 00 F2 0F 10 6C 24 70 F2 0F 10 54 24 78 F2 0F 59 EB F2 0F 59 E9 66 0F 28 C4 66 0F 28 CC F2 0F 58 4C 24 70 F2 0F 59 C4 F2 0F 59 E3 F2 0F 5C D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E D1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 D3 F2 0F 5C C2 F2 0F 5C E8 66 0F 28 C1 F2 0F 5C C4 F2 0F 5C E8 F2 0F 5C CD EB 08 F2 0F 59 CE F2 0F 58 CE 48 85 D2 74 08 66 0F 57 0D ?? ?? ?? ?? 66 0F 28 C1 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_509_3_0 {
	meta:
		name = "_mbsdec_l"
		size = 170
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 003c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 76 48 85 D2 74 E7 48 3B CA 73 F2 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 83 7B 08 00 75 19 80 7C 24 38 00 48 8D 43 FF 74 48 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 3A 48 8D 53 FF 48 FF CA 48 3B FA 77 0B 0F B6 02 42 F6 44 18 1D 04 75 ED 48 8B CB 48 2B CA 83 E1 01 48 2B D9 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8D 43 FF 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_511_0_0 {
	meta:
		name = "powf"
		size = 2093
		refs = "0031 __f32_exp_mant_mask 0041 __f32_pos_one 004e __f32_sign_mask 005e __f32_pos_zero 0087 __f32_exp_mask 00a8 __f32_ay_max_bound 00bf __f32_ay_min_bound 00f2 __mask_1023 0102 __real_mant 010c __mask_mant_all7 0113 __mask_mant8 0136 __real_half 0145 __log_F_inv 015a __log_128_table 0162 __real_log2 0174 __real_1_over_4 017c __real_1_over_2 0190 __real_1_over_3 0198 __real_1_over_1 01c2 __real_32_by_log2 01d9 __real_p4096 01e7 __real_m4768 01f8 __two_to_jby32_table 0204 __real_log2_by_32 022e __real_1_by_24 0236 __real_1_by_2 024a __real_1_by_6 0252 __real_1_by_1 02b3 __f32_real_zero 02d3 __f32_real_inf 0316 __f32_exp_shift 0320 __f32_exp_bias 033c __yexp_24 0348 __f32_mant_full 035b __f32_1_before_mant 0373 __f32_neg_zero 037f __f32_neg_one 03ca __f32_mant_mask 03da __f32_qnan_set 03fe __flag_x_one_y_snan 0403 _powf_special 0499 __f32_neg_inf 0513 __f32_neg_qnan 051a __flag_x_neg_y_notint 05a2 __f32_pos_inf 05d8 __flag_x_zero_z_inf 0733 __flag_z_zero 0742 __flag_z_inf 07b7 __flag_x_nan 07e4 __flag_y_nan 0803 __f32_ind_pattern 081f __flag_x_nan_y_nan"
	strings:
		$1 = { 48 81 EC 18 01 00 00 66 0F 7F B4 24 B0 00 00 00 66 0F 7F BC 24 C0 00 00 00 F3 0F 11 44 24 40 F3 0F 11 4C 24 50 8B 54 24 40 44 8B 44 24 50 44 8B 15 ?? ?? ?? ?? 45 23 D0 0F 84 D2 03 00 00 44 3B 05 ?? ?? ?? ?? 0F 84 05 04 00 00 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 3B 0D ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 44 24 70 0F 84 84 02 00 00 3B 15 ?? ?? ?? ?? 0F 84 38 03 00 00 3B 15 ?? ?? ?? ?? 0F 84 FC 04 00 00 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 3B 0D ?? ?? ?? ?? 0F 84 85 05 00 00 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 0F 8F 7E 04 00 00 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 0F 8C C7 05 00 00 F3 0F 10 7C 24 50 F3 0F 5A C0 F3 0F 5A FF F2 0F 11 7C 24 50 4D 33 C0 66 0F 6F D8 66 0F 73 D3 34 66 49 0F 7E C0 66 0F FB 1D ?? ?? ?? ?? 66 0F 6F D0 F3 0F E6 F3 66 0F DB 15 ?? ?? ?? ?? 4D 8B C8 4C 23 05 ?? ?? ?? ?? 4C 23 0D ?? ?? ?? ?? 49 D1 E1 4D 03 C1 4C 89 84 24 A0 00 00 00 F2 0F 10 8C 24 A0 00 00 00 49 C1 E8 2D 66 0F EB 15 ?? ?? ?? ?? 66 0F EB 0D ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? F2 0F 5C CA F2 43 0F 59 0C C1 F2 0F 10 D1 4C 8D 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 43 0F 10 04 C1 F2 0F 59 CA F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 59 DA F2 0F 59 CA F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 E1 F2 0F 59 DA F2 0F 58 DC F2 0F 59 EE F2 0F 5C C3 F2 0F 58 C5 F2 0F 10 7C 24 50 F2 0F 59 C7 F2 0F 10 3D ?? ?? ?? ?? F2 0F 11 44 24 60 F2 0F 59 F8 48 8B 54 24 60 66 0F 2F 3D ?? ?? ?? ?? 0F 83 ED 00 00 00 66 0F 2F 3D ?? ?? ?? ?? 0F 82 BF 00 00 00 F2 0F E6 E7 4C 8D 15 ?? ?? ?? ?? F3 0F E6 CC F2 0F 10 15 ?? ?? ?? ?? F2 0F 59 D1 66 0F 7E E1 48 C7 C0 1F 00 00 00 23 C1 F2 0F 5C C2 F2 0F 10 C8 2B C8 C1 F9 05 F2 0F 59 C8 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 D8 F2 0F 59 C8 F2 0F 58 25 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 E1 F2 0F 59 D8 F2 0F 58 DC F2 0F 10 C3 48 81 C1 FF 03 00 00 48 C1 E1 34 F2 41 0F 10 0C C2 F2 0F 59 C1 F2 0F 58 C1 48 89 4C 24 60 F2 0F 59 44 24 60 F2 0F 5A C0 0F 56 44 24 70 66 0F 6F BC 24 C0 00 00 00 66 0F 6F B4 24 B0 00 00 00 48 81 C4 18 01 00 00 C3 0F 1F 00 44 8B 1D ?? ?? ?? ?? 44 0B 5C 24 70 E9 6F 04 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 44 8B 1D ?? ?? ?? ?? 44 0B 5C 24 70 E9 4F 04 00 00 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 0F 8F 29 02 00 00 44 8B 15 ?? ?? ?? ?? 45 23 D0 45 8B DA 8B 0D ?? ?? ?? ?? 41 D3 EA 44 2B 15 ?? ?? ?? ?? 0F 88 B6 01 00 00 8B 05 ?? ?? ?? ?? 23 C2 89 84 24 80 00 00 00 44 3B 15 ?? ?? ?? ?? 41 8B CA 7F 2C 44 8B 0D ?? ?? ?? ?? 41 D3 E9 45 23 CB 0F 85 88 01 00 00 44 8B 0D ?? ?? ?? ?? 41 D3 E9 45 23 CB 74 0A 8B 05 ?? ?? ?? ?? 89 44 24 70 3B 15 ?? ?? ?? ?? 0F 84 03 02 00 00 3B 15 ?? ?? ?? ?? 0F 84 07 01 00 00 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 3B 0D ?? ?? ?? ?? 0F 84 80 02 00 00 F3 0F 10 84 24 80 00 00 00 E9 1B FD FF FF 66 90 33 C0 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 41 0F 44 C0 44 8B 15 ?? ?? ?? ?? 44 23 D0 0F 84 BC FE FF FF 44 8B 15 ?? ?? ?? ?? 45 23 D0 0F 85 AC FE FF FF F3 0F 10 44 24 40 F3 0F 10 4C 24 50 F3 0F 10 15 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 FE FF FF 0F 1F 40 00 33 C0 44 8B DA 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 3B 0D ?? ?? ?? ?? 0F 44 C2 44 8B 0D ?? ?? ?? ?? 44 23 C8 0F 85 47 03 00 00 F3 0F 10 05 ?? ?? ?? ?? E9 4D FE FF FF 66 66 0F 1F 84 00 00 00 00 00 33 C0 44 8B DA 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 3B 0D ?? ?? ?? ?? 0F 44 C2 44 8B 0D ?? ?? ?? ?? 44 23 C8 0F 85 07 03 00 00 66 0F 6E C2 E9 11 FE FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 8B 15 ?? ?? ?? ?? 44 3B 05 ?? ?? ?? ?? 0F 44 15 ?? ?? ?? ?? 0B 54 24 70 33 C0 45 8B D8 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 41 0F 44 C0 44 8B 15 ?? ?? ?? ?? 44 23 D0 0F 85 FE 02 00 00 66 0F 6E C2 E9 B8 FD FF FF 0F 1F 44 00 00 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 3B 0D ?? ?? ?? ?? 0F 84 29 01 00 00 3B 15 ?? ?? ?? ?? 0F 84 7D 00 00 00 F3 0F 10 44 24 40 F3 0F 10 4C 24 50 F3 0F 10 15 ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B FD FF FF 0F 1F 84 00 00 00 00 00 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 3B 0D ?? ?? ?? ?? 0F 84 D9 00 00 00 44 8B 0D ?? ?? ?? ?? 44 23 CA 74 2D 3B 15 ?? ?? ?? ?? 0F 84 31 FF FF FF 44 8B CA 44 23 0D ?? ?? ?? ?? 44 3B 0D ?? ?? ?? ?? 0F 8C 3A 01 00 00 E9 55 01 00 00 0F 1F 44 00 00 44 8B 15 ?? ?? ?? ?? 33 C0 45 23 D0 44 3B 15 ?? ?? ?? ?? 74 5B 44 8B 15 ?? ?? ?? ?? 45 23 D0 0F 45 05 ?? ?? ?? ?? 75 18 66 0F 6E C0 0F 56 44 24 70 E9 DD FC FF FF 66 66 0F 1F 84 00 00 00 00 00 F3 0F 10 44 24 40 F3 0F 10 4C 24 50 66 0F 6E D0 0F 56 54 24 70 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD FC FF FF 66 66 0F 1F 84 00 00 00 00 00 45 8B D8 44 3B 05 ?? ?? ?? ?? 0F 44 05 ?? ?? ?? ?? 74 BD 44 8B 15 ?? ?? ?? ?? 45 23 D0 0F 85 BD 01 00 00 66 0F 6E C0 E9 77 FC FF FF 0F 1F 40 00 45 33 DB 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 0F 44 1D ?? ?? ?? ?? 8B C2 44 8B 0D ?? ?? ?? ?? 44 23 CA 44 0F 45 D8 0F 85 35 01 00 00 33 C0 45 8B C8 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 41 0F 44 C0 44 8B 15 ?? ?? ?? ?? 44 23 D0 45 0F 45 D9 0F 85 57 01 00 00 66 41 0F 6E C3 0F 56 44 24 70 E9 0B FC FF FF 0F 1F 84 00 00 00 00 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 58 C1 E9 F2 FB FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 45 33 DB 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 0F 45 1D ?? ?? ?? ?? EB 29 66 0F 1F 84 00 00 00 00 00 45 33 DB 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 0F 44 1D ?? ?? ?? ?? 66 66 66 0F 1F 84 00 00 00 00 00 33 C0 45 8B C8 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 41 0F 44 C0 44 8B 15 ?? ?? ?? ?? 44 23 D0 45 0F 45 D9 0F 85 B2 00 00 00 85 C0 75 4E 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 44 8B 0D ?? ?? ?? ?? 44 85 1D ?? ?? ?? ?? 44 0F 45 0D ?? ?? ?? ?? F3 0F 10 44 24 40 F3 0F 10 4C 24 50 66 41 0F 6E D3 E8 ?? ?? ?? ?? E9 32 FB FF FF 66 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 66 41 0F 6E C3 E9 19 FB FF FF 66 0F 1F 44 00 00 33 C0 44 8B 15 ?? ?? ?? ?? 45 23 D0 44 3B 15 ?? ?? ?? ?? 41 0F 44 C0 44 8B 15 ?? ?? ?? ?? 44 23 D0 75 5D F3 0F 10 44 24 40 F3 0F 10 4C 24 50 66 41 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE FA FF FF 66 66 66 0F 1F 84 00 00 00 00 00 F3 0F 10 44 24 40 F3 0F 10 4C 24 50 66 41 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 FA FF FF 66 66 66 66 66 66 0F 1F 84 00 00 00 00 00 44 3B 1D ?? ?? ?? ?? 45 0F 44 D8 F3 0F 10 44 24 40 F3 0F 10 4C 24 50 66 41 0F 6E D3 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 66 FA FF FF }
	condition:
		$1
}

rule file_512_0_0 {
	meta:
		name = "__wtomb_environ"
		size = 242
		refs = "0018 _wenviron 004e __imp_WideCharToMultiByte 0066 _calloc_crt 00a5 __crtsetenv 00b8 free"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 57 48 83 EC 40 48 83 64 24 50 00 48 8B 1D ?? ?? ?? ?? 48 8B 03 48 85 C0 0F 84 AA 00 00 00 83 CD FF 48 83 64 24 38 00 48 83 64 24 30 00 83 64 24 28 00 48 83 64 24 20 00 44 8B CD 4C 8B C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 63 F8 85 C0 0F 84 91 00 00 00 48 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 7A 48 83 64 24 38 00 48 83 64 24 30 00 4C 8B 03 44 8B CD 33 D2 33 C9 89 7C 24 28 48 89 44 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 47 48 8D 4C 24 50 33 D2 E8 ?? ?? ?? ?? 85 C0 79 15 48 8B 4C 24 50 48 85 C9 74 0B E8 ?? ?? ?? ?? 48 83 64 24 50 00 48 83 C3 08 48 8B 03 48 85 C0 0F 85 59 FF FF FF 33 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 40 5F C3 48 8B 4C 24 50 E8 ?? ?? ?? ?? 8B C5 EB E2 }
	condition:
		$1
}

rule file_513_2_0 {
	meta:
		name = "_stripquote"
		size = 105
		refs = "0010 strlen 001c _calloc_crt 0058 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 33 FF E8 ?? ?? ?? ?? 48 8D 48 01 8D 57 01 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 34 48 8B C8 8A 03 84 C0 74 26 3C 22 75 07 48 FF C3 FF C7 EB 09 41 88 03 49 FF C3 48 FF C3 8A 03 84 C0 75 E6 85 FF 74 08 41 88 03 48 8B C1 EB 07 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_513_3_0 {
	meta:
		name = "_tempnam"
		size = 724
		refs = "002b _mtinitlocknum 003d ??_C@_03FICNPLNB@TMP?$AA@ 0049 _dupenv_s 0066 _invoke_watson 007c _access_s 00a3 ??_C@_01KICIPPFI@?2?$AA@ 00b6 ??_C@_01LFCBOECM@?4?$AA@ 00c9 strlen 00e6 calloc 0103 strcat_s 012b _mbsrchr 01d2 _lock 01d9 _tempoff 01e0 _old_pfxlen 01fa _errno 0224 free 023f _ultoa_s 0274 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 20 41 54 41 55 41 56 48 83 EC 30 48 8B F2 48 8B D9 45 33 F6 4C 21 70 18 41 8D 4E 02 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 80 02 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 75 15 4C 21 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 75 1C 48 8B 4C 24 60 48 85 C9 74 12 33 D2 E8 ?? ?? ?? ?? 85 C0 75 07 48 8B 5C 24 60 EB 35 48 85 DB 74 0E 33 D2 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 22 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 85 C0 48 0F 45 D9 48 85 F6 74 0B 48 8B CE E8 ?? ?? ?? ?? 4C 8B F0 48 8B CB E8 ?? ?? ?? ?? 42 8D 4C 30 0C 44 8B E9 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 B0 01 00 00 C6 00 00 4C 8B C3 41 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 81 01 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8D 64 18 FF BA 5C 00 00 00 41 38 14 24 75 39 48 8B CB E8 ?? ?? ?? ?? 4C 3B E0 74 5F 4C 8D 05 ?? ?? ?? ?? 41 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 49 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 41 80 3C 24 2F 74 2C 4C 8D 05 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 85 F6 74 28 4C 8B C6 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? 4C 8D 24 07 B9 02 00 00 00 E8 ?? ?? ?? ?? 90 8B 35 ?? ?? ?? ?? 44 39 35 ?? ?? ?? ?? B8 01 00 00 00 0F 42 F0 89 35 ?? ?? ?? ?? 44 89 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 8B 0D ?? ?? ?? ?? FF C1 89 0D ?? ?? ?? ?? 8B C1 2B C6 3D FF FF FF 7F 76 13 E8 ?? ?? ?? ?? 89 18 48 8B CF E8 ?? ?? ?? ?? 33 FF EB 42 4D 8B C5 4D 2B C4 4C 03 C7 41 B9 0A 00 00 00 49 8B D4 E8 ?? ?? ?? ?? 85 C0 75 33 E8 ?? ?? ?? ?? 83 20 00 33 D2 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 A3 E8 ?? ?? ?? ?? 83 38 0D 74 99 E8 ?? ?? ?? ?? 89 18 B9 02 00 00 00 E8 ?? ?? ?? ?? EB 2C 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 4C 24 60 E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 68 48 83 C4 30 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_514_3_0 {
	meta:
		name = "_mbsnbcpy_l"
		size = 279
		refs = "0028 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0037 _errno 0042 _invalid_parameter_noinfo 007f strncpy 00d7 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B F9 48 8B E9 48 8B F2 48 8D 48 D8 49 8B D1 49 8B D8 E8 ?? ?? ?? ?? 48 85 ED 75 2F 48 85 DB 74 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 E9 91 00 00 00 48 85 F6 75 05 48 85 DB 75 CC 48 8B 4C 24 28 83 79 08 00 75 23 4C 8B C3 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 67 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 59 48 85 DB 74 3E 0F B6 06 48 FF CB F6 44 08 1D 04 88 07 74 5A 48 85 DB 74 61 8A 46 01 48 83 C7 02 48 FF CB 88 47 FF 48 83 C6 02 84 C0 75 D2 88 47 FE 48 85 DB 74 0D 4C 8B C3 33 D2 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C5 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 48 FF C7 48 FF C6 84 C0 74 B9 EB 86 C6 07 00 EB C4 }
	condition:
		$1
}

rule file_515_0_0 {
	meta:
		name = "floor"
		size = 259
		refs = "0081 ??_C@_05PBJFFIGL@floor?$AA@ 0093 _handle_error 00b6 __real@bff0000000000000 00fa __real@3ff0000000000000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 60 48 8B 54 24 60 66 0F 28 C8 48 8B C2 48 23 C1 48 B9 00 00 00 00 00 00 40 43 48 3B D0 41 0F 95 C0 48 3B C1 72 5D 48 B9 00 00 00 00 00 00 F0 7F 48 3B C1 0F 86 AF 00 00 00 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 01 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 49 B8 00 00 00 00 00 00 08 00 4C 0B C2 41 8D 51 0A 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? EB 65 48 B9 00 00 00 00 00 00 F0 3F 48 3B C1 73 1A 48 85 C0 74 51 4D 85 C0 74 0A F2 0F 10 05 ?? ?? ?? ?? EB 42 66 0F 57 C0 EB 3C 48 8B C2 B9 33 00 00 00 48 C1 E8 34 2A C8 B8 01 00 00 00 48 D3 E0 48 FF C8 48 F7 D0 48 23 C2 48 89 44 24 60 F2 0F 10 44 24 60 4D 85 C0 74 0D 48 3B C2 74 08 F2 0F 5C 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_516_0_0 {
	meta:
		name = "wcscpy_s"
		size = 107
		refs = "0020 _errno 002c _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 4C 8B C9 48 85 C9 74 0E 48 85 D2 74 09 4D 85 C0 75 1D 66 44 89 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 49 2B C8 41 0F B7 00 66 42 89 04 01 49 83 C0 02 66 85 C0 74 05 48 FF CA 75 E9 48 85 D2 75 10 66 45 89 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB C2 33 C0 EB C7 }
	condition:
		$1
}

rule file_517_0_0 {
	meta:
		name = "_wcsset"
		size = 20
	strings:
		$1 = { 48 8B C1 EB 07 66 89 11 48 83 C1 02 66 83 39 00 75 F3 F3 C3 }
	condition:
		$1
}

rule file_518_2_0 {
	meta:
		name = "?Initialize@UMS@details@Concurrency@@SAXXZ"
		size = 1645
		refs = "0018 ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0021 __imp_GetModuleHandleW 0028 ??_C@_0BI@OFOMFECC@CreateUmsCompletionList?$AA@ 0031 __imp_GetProcAddress 003c __imp_GetLastError 0054 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 005b _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0065 _CxxThrowException 006e ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0078 ?s_pfn_CreateUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 0085 ??_C@_0BO@GGFJEFKK@DequeueUmsCompletionListItems?$AA@ 00d3 ?s_pfn_DequeueUmsCompletionListItems@UMS@details@Concurrency@@0P6AHPEAXKPEAPEAX@ZEA 00e0 ??_C@_0BK@MGNBLFMB@GetUmsCompletionListEvent?$AA@ 012e ?s_pfn_GetUmsCompletionListEvent@UMS@details@Concurrency@@0P6AHPEAXPEAPEAX@ZEA 013b ??_C@_0BB@DHABPDKF@ExecuteUmsThread?$AA@ 018f ?s_pfn_ExecuteUmsThread@UMS@details@Concurrency@@0P6AHPEAX@ZEA 019c ??_C@_0P@ILGNBNP@UmsThreadYield?$AA@ 01ea ?s_pfn_UmsThreadYield@UMS@details@Concurrency@@0P6AHPEAX@ZEA 01f7 ??_C@_0BI@BPKNDLMM@DeleteUmsCompletionList?$AA@ 024b ?s_pfn_DeleteUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0258 ??_C@_0BE@FLBMLIK@GetCurrentUmsThread?$AA@ 02a6 ?s_pfn_GetCurrentUmsThread@UMS@details@Concurrency@@0P6APEAXXZEA 02b3 ??_C@_0BD@FNFEEGCI@GetNextUmsListItem?$AA@ 0307 ?s_pfn_GetNextUmsListItem@UMS@details@Concurrency@@0P6APEAXPEAX@ZEA 0314 ??_C@_0BK@DAKPFGE@QueryUmsThreadInformation?$AA@ 0364 ?s_pfn_QueryUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@ZEA 0371 ??_C@_0BI@DPBBCPDB@SetUmsThreadInformation?$AA@ 03c1 ?s_pfn_SetUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@ZEA 03ce ??_C@_0BH@JPDPIOBJ@DeleteUmsThreadContext?$AA@ 041c ?s_pfn_DeleteUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0429 ??_C@_0BH@NBGNADAH@CreateUmsThreadContext?$AA@ 0477 ?s_pfn_CreateUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 0484 ??_C@_0BH@BLPFNIKG@EnterUmsSchedulingMode?$AA@ 04d2 ?s_pfn_EnterUmsSchedulingMode@UMS@details@Concurrency@@0P6AHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@ZEA 04df ??_C@_0BF@PHKBGNNA@CreateRemoteThreadEx?$AA@ 052d ?s_pfn_CreateRemoteThreadEx@UMS@details@Concurrency@@0P6APEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@ZEA 053a ??_C@_0CC@PLANOPMM@InitializeProcThreadAttributeLis@ 058e ?s_pfn_InitializeProcThreadAttributeList@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@ZEA 059b ??_C@_0BK@LCOMJCNI@UpdateProcThreadAttribute?$AA@ 05ef ?s_pfn_UpdateProcThreadAttribute@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@ZEA 05fc ??_C@_0BO@JONJJOMF@DeleteProcThreadAttributeList?$AA@ 0655 ?s_pfn_DeleteProcThreadAttributeList@UMS@details@Concurrency@@0P6AXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@ZEA 0660 ?s_fInitialized@UMS@details@Concurrency@@0JC"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8D AC 24 C0 FE FF FF 48 81 EC 40 02 00 00 48 8D 1D ?? ?? ?? ?? 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 40 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D 80 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 80 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 34 FF 15 ?? ?? ?? ?? 48 8D 8D C0 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D C0 00 00 00 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D C0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 34 FF 15 ?? ?? ?? ?? 48 8D 8D 80 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 00 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 34 FF 15 ?? ?? ?? ?? 48 8D 8D 00 01 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D 00 01 00 00 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 60 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D A0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D A0 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D E0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 20 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D 60 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 60 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 34 FF 15 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 34 FF 15 ?? ?? ?? ?? 48 8D 8D E0 00 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D E0 00 00 00 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 34 FF 15 ?? ?? ?? ?? 48 8D 8D 20 01 00 00 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8D 20 01 00 00 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 8B 9C 24 50 02 00 00 48 89 05 ?? ?? ?? ?? B8 01 00 00 00 87 05 ?? ?? ?? ?? 48 81 C4 40 02 00 00 5D C3 }
	condition:
		$1
}

rule file_518_7_0 {
	meta:
		name = "?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_CreateUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_18_0 {
	meta:
		name = "?CreateUmsThreadContext@UMS@details@Concurrency@@SAHPEAPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_CreateUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_23_0 {
	meta:
		name = "?DeleteProcThreadAttributeList@UMS@details@Concurrency@@SAXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@Z"
		size = 32
		refs = "000c ?s_pfn_DeleteProcThreadAttributeList@UMS@details@Concurrency@@0P6AXPEAU_PROC_THREAD_ATTRIBUTE_LIST@@@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_12_0 {
	meta:
		name = "?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_DeleteUmsCompletionList@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_17_0 {
	meta:
		name = "?DeleteUmsThreadContext@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_DeleteUmsThreadContext@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_19_0 {
	meta:
		name = "?EnterUmsSchedulingMode@UMS@details@Concurrency@@SAHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@Z"
		size = 32
		refs = "000c ?s_pfn_EnterUmsSchedulingMode@UMS@details@Concurrency@@0P6AHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_10_0 {
	meta:
		name = "?ExecuteUmsThread@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_ExecuteUmsThread@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_14_0 {
	meta:
		name = "?GetNextUmsListItem@UMS@details@Concurrency@@SAPEAXPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_GetNextUmsListItem@UMS@details@Concurrency@@0P6APEAXPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_11_0 {
	meta:
		name = "?UmsThreadYield@UMS@details@Concurrency@@SAHPEAX@Z"
		size = 32
		refs = "000c ?s_pfn_UmsThreadYield@UMS@details@Concurrency@@0P6AHPEAX@ZEA 0011 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B 48 FF E0 }
	condition:
		$1
}

rule file_518_8_0 {
	meta:
		name = "?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z"
		size = 61
		refs = "0015 ?s_pfn_DequeueUmsCompletionListItems@UMS@details@Concurrency@@0P6AHPEAXKPEAPEAX@ZEA 001f ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 0D ?? ?? ?? ?? 49 8B D8 8B FA E8 ?? ?? ?? ?? 4C 8B C3 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_518_9_0 {
	meta:
		name = "?GetUmsCompletionListEvent@UMS@details@Concurrency@@SAHPEAXPEAPEAX@Z"
		size = 47
		refs = "0010 ?s_pfn_GetUmsCompletionListEvent@UMS@details@Concurrency@@0P6AHPEAXPEAPEAX@ZEA 0018 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 0D ?? ?? ?? ?? 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_518_13_0 {
	meta:
		name = "?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ"
		size = 23
		refs = "0007 ?s_pfn_GetCurrentUmsThread@UMS@details@Concurrency@@0P6APEAXXZEA 000c ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 28 48 FF E0 }
	condition:
		$1
}

rule file_518_15_0 {
	meta:
		name = "?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z"
		size = 87
		refs = "001a ?s_pfn_QueryUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B E9 48 8B 0D ?? ?? ?? ?? 41 8B D9 49 8B F8 8B F2 E8 ?? ?? ?? ?? 4C 8B 54 24 60 44 8B CB 4C 8B C7 8B D6 48 8B CD 4C 89 54 24 20 FF D0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_518_16_0 {
	meta:
		name = "?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z"
		size = 77
		refs = "001a ?s_pfn_SetUmsThreadInformation@UMS@details@Concurrency@@0P6AHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B E9 48 8B 0D ?? ?? ?? ?? 41 8B D9 49 8B F8 8B F2 E8 ?? ?? ?? ?? 44 8B CB 4C 8B C7 8B D6 48 8B CD 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_518_20_0 {
	meta:
		name = "?CreateRemoteThreadEx@UMS@details@Concurrency@@SAPEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@Z"
		size = 125
		refs = "001a ?s_pfn_CreateRemoteThreadEx@UMS@details@Concurrency@@0P6APEAXPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AK0@Z0KPEAU_PROC_THREAD_ATTRIBUTE_LIST@@PEAK@ZEA 0028 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B E9 48 8B 0D ?? ?? ?? ?? 49 8B D9 49 8B F8 48 8B F2 E8 ?? ?? ?? ?? 4C 8B 94 24 88 00 00 00 4C 8B CB 4C 8B C7 4C 89 54 24 38 4C 8B 94 24 80 00 00 00 48 8B D6 4C 89 54 24 30 44 8B 54 24 78 48 8B CD 44 89 54 24 28 4C 8B 54 24 70 4C 89 54 24 20 FF D0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_518_21_0 {
	meta:
		name = "?InitializeProcThreadAttributeList@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@Z"
		size = 77
		refs = "001a ?s_pfn_InitializeProcThreadAttributeList@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@KKPEA_K@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B E9 48 8B 0D ?? ?? ?? ?? 49 8B D9 41 8B F8 8B F2 E8 ?? ?? ?? ?? 4C 8B CB 44 8B C7 8B D6 48 8B CD 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF E0 }
	condition:
		$1
}

rule file_518_22_0 {
	meta:
		name = "?UpdateProcThreadAttribute@UMS@details@Concurrency@@SAHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@Z"
		size = 110
		refs = "001a ?s_pfn_UpdateProcThreadAttribute@UMS@details@Concurrency@@0P6AHPEAU_PROC_THREAD_ATTRIBUTE_LIST@@K_KPEAX12PEA_K@ZEA 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B E9 48 8B 0D ?? ?? ?? ?? 49 8B D9 49 8B F8 8B F2 E8 ?? ?? ?? ?? 4C 8B 94 24 80 00 00 00 4C 8B CB 4C 8B C7 4C 89 54 24 30 4C 8B 54 24 78 8B D6 4C 89 54 24 28 4C 8B 54 24 70 48 8B CD 4C 89 54 24 20 FF D0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_519_0_0 {
	meta:
		name = "_wspawnlp"
		size = 173
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 006b _wcapture_argv 0080 _wspawnvp 009a free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 38 02 00 00 33 ED 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 67 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8B D3 8B CE 4C 8B C0 48 8B F8 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_520_0_0 {
	meta:
		name = "_swprintf"
		size = 196
		refs = "002f memset 0039 _errno 0044 _invalid_parameter_noinfo 0077 _woutput_l 009d _flsbuf"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 55 53 57 48 8B EC 48 83 EC 50 48 83 65 D0 00 48 8B FA 33 D2 48 8B D9 48 8D 4D D8 44 8D 42 28 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 6F 48 85 DB 74 E6 4C 8D 4D 30 48 8D 4D D0 45 33 C0 48 8B D7 C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 C7 45 D8 FF FF FF 7F E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 14 48 8B 4D D0 C6 01 00 48 8B 4D D0 48 FF C1 48 89 4D D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 4D D0 FF 4D D8 78 05 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 50 5F 5B 5D C3 }
	condition:
		$1
}

rule file_522_0_0 {
	meta:
		name = "_ctime64_s"
		size = 162
		refs = "000d __security_cookie 0038 _errno 005d _localtime64_s 0071 asctime_s 0084 _invalid_parameter_noinfo 0093 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B FA 48 8B D9 48 85 C9 74 53 48 85 D2 74 4E C6 01 00 4D 85 C0 74 46 49 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 43 48 B8 FF 6F 40 93 07 00 00 00 49 39 00 7F E3 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_523_0_0 {
	meta:
		name = "_wspawnl"
		size = 176
		refs = "0025 _errno 0030 _invalid_parameter_noinfo 006b _wcapture_argv 0083 _wspawnve 009d free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 55 56 57 48 81 EC 38 02 00 00 33 ED 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 6A 66 39 2A 74 E5 48 85 C0 74 E0 66 41 39 28 74 DA 48 8D 8C 24 78 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 45 33 C9 48 8B D3 8B CE 4C 8B C0 48 89 6C 24 20 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 38 02 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_524_3_0 {
	meta:
		name = "_mbsnbcat_l"
		size = 349
		refs = "0030 _errno 003b _invalid_parameter_noinfo 0054 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006e strncat 00b4 _mbsbtype_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F0 48 8B FA 48 8B D9 4D 85 C0 75 08 48 8B C1 E9 1E 01 00 00 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 02 01 00 00 48 85 D2 74 E4 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 83 7B 08 00 75 2A 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 0F 84 CB 00 00 00 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 BA 00 00 00 48 8B EB 8A 03 48 FF C3 84 C0 75 F7 48 FF CB 48 3B DD 74 1E 8B C3 4C 8D 44 24 20 48 8B CD 2B C5 FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 03 48 FF CB 0F B6 0F 48 8B 44 24 28 48 FF CE F6 44 01 1D 04 88 0B 74 20 48 FF C3 48 85 F6 74 29 8A 47 01 48 FF CE 48 83 C7 02 88 03 48 FF C3 84 C0 75 0F 88 43 FE EB 15 48 FF C3 48 FF C7 84 C9 74 0B 48 85 F6 74 06 EB BB C6 43 FF 00 48 3B DD 74 21 8B C3 4C 8D 44 24 20 48 8B CD 2B C5 FF C8 48 63 D0 E8 ?? ?? ?? ?? 83 F8 01 75 06 C6 43 FF 00 EB 03 C6 03 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C5 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_526_3_0 {
	meta:
		name = "_ismbcalpha_l"
		size = 262
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0089 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 DB 81 FF FF 00 00 00 0F 86 8B 00 00 00 48 8B 4D E8 8B C7 89 5D 20 C1 E8 08 40 88 7D 11 88 45 10 39 59 08 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 9A 00 00 00 8B 41 0C BF 01 00 00 00 4C 8D 45 10 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 20 44 8D 4F 01 48 8D 4D E0 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B2 66 39 5D 22 75 0B B8 03 01 00 00 66 85 45 20 75 02 8B FB 38 5D F8 74 49 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 3C 48 8B 45 E0 40 0F B6 D7 BF 01 00 00 00 48 8B 88 40 01 00 00 B8 03 01 00 00 66 85 04 51 75 0D 48 8B 45 E8 40 84 7C 02 1D 75 02 8B FB 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_527_2_0 {
	meta:
		name = "_stat32i64"
		size = 1252
		refs = "0022 __security_cookie 003f __doserrno 0047 _errno 0052 _invalid_parameter_noinfo 0063 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 0068 _mbspbrk 009e _mbctolower 00a9 _getdrive 00c9 __imp_FindFirstFileExA 00e3 ??_C@_03LLEJOLGL@?4?1?2?$AA@ 011c _fullpath 0168 strlen 021b __imp_GetDriveTypeA 0233 free 0266 __loctotime32_t 02bd _sopen_s 02da _fstat32i64 02e5 _close 0310 __imp_FileTimeToLocalFileTime 0328 __imp_FileTimeToSystemTime 0460 __imp_FindClose 046c __dtoxmode 04a3 __imp_GetLastError 04aa _dosmaperr 04c5 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 45 33 FF 48 8B DA 48 8B F1 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 5C 04 00 00 48 85 D2 74 DE 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 18 E8 ?? ?? ?? ?? BB 02 00 00 00 89 18 E8 ?? ?? ?? ?? 89 18 E9 2E 04 00 00 80 7E 01 3A 75 19 44 38 3E 74 06 44 38 7E 02 74 D7 0F BE 0E E8 ?? ?? ?? ?? 44 8D 70 A0 EB 08 E8 ?? ?? ?? ?? 44 8B F0 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CE 44 89 7C 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 41 BD 01 00 00 00 48 8B F8 48 83 F8 FF 0F 85 AE 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE 4D 8B E7 E8 ?? ?? ?? ?? 48 85 C0 0F 84 76 FF FF FF E8 ?? ?? ?? ?? 44 8B 28 E8 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 41 B8 04 01 00 00 48 8B D6 44 89 38 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 28 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 31 FF FF FF E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 33 C9 44 89 28 E8 ?? ?? ?? ?? 4C 8B E0 48 8B F8 48 85 FF 0F 84 14 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 83 F8 03 0F 84 A0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 83 F8 05 0F 82 F0 00 00 00 41 B0 5C B2 2F 44 38 07 74 08 38 17 0F 85 DE 00 00 00 8A 47 01 41 3A C0 74 08 3A C2 0F 85 CE 00 00 00 8A 47 02 41 3A C0 0F 84 C2 00 00 00 3A C2 0F 84 BA 00 00 00 48 8D 47 03 8A 08 84 C9 0F 84 AC 00 00 00 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 38 0F 84 91 00 00 00 48 FF C0 44 38 38 0F 84 85 00 00 00 8A 08 84 C9 74 1D 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 38 74 06 44 38 78 01 75 62 48 8B CF FF 15 ?? ?? ?? ?? 41 BD 01 00 00 00 41 3B C5 76 4E 4D 85 E4 74 08 49 8B CC E8 ?? ?? ?? ?? 83 4C 24 30 FF 45 33 C9 45 8B C5 41 8B D5 B9 BC 07 00 00 44 89 7C 24 28 C7 44 24 60 10 00 00 00 4C 89 7C 24 7C 44 88 7D 8C 44 89 7C 24 20 E8 ?? ?? ?? ?? 89 43 24 89 43 20 89 43 28 E9 EC 01 00 00 4D 85 E4 0F 84 F0 FD FF FF 49 8B CC E8 ?? ?? ?? ?? E9 E3 FD FF FF F7 44 24 60 00 04 00 00 74 58 81 7D 84 0C 00 00 A0 75 4F 83 4C 24 40 FF 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 48 8B D6 44 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 A8 FD FF FF 8B 4C 24 40 83 F9 FF 0F 84 9B FD FF FF 48 8B D3 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? 8B C3 E9 CA 01 00 00 44 39 7C 24 74 75 0D 44 39 7C 24 78 75 06 44 89 7B 24 EB 67 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 85 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 6D 01 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 43 24 44 39 7C 24 6C 75 0C 44 39 7C 24 70 75 05 8B 43 24 EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 0B 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 F3 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 43 20 44 39 7C 24 64 75 0C 44 39 7C 24 68 75 05 8B 43 24 EB 60 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 91 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 7D 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CF 89 43 28 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D6 E8 ?? ?? ?? ?? 8B 4C 24 7C 66 44 89 6B 08 66 89 43 06 8B 45 80 48 C1 E1 20 48 03 C8 41 8D 46 FF 66 44 89 7B 04 89 03 89 43 10 33 C0 48 89 4B 18 44 89 7B 0A EB 19 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CF FF 15 ?? ?? ?? ?? 83 C8 FF 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 03 00 00 48 81 C4 C0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_528_0_0 {
	meta:
		name = "_spawnle"
		size = 188
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0068 _capture_argv 0090 _spawnve 00aa free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 7A 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 68 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D3 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 83 64 24 20 00 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "_spawnlpe"
		size = 188
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0068 _capture_argv 0090 _spawnvpe 00aa free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 7A 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 68 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 4C 8B 4C 24 20 48 8B D3 49 83 C1 08 4C 8B C0 8B CE 4C 89 4C 24 20 4D 8B 49 F8 48 83 64 24 20 00 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_529_0_0 {
	meta:
		name = "__remainder_piby2f"
		size = 623
		refs = "0013 __security_cookie 0035 ?pibits@?1??__remainder_piby2f@@9@9 0246 ?piby2@?1??__remainder_piby2f@@9@9 0257 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 83 64 24 30 00 48 8B FA 4C 8B D9 4C 8B D1 49 C1 EB 34 48 8D 35 ?? ?? ?? ?? 48 B8 00 00 00 E0 FF FF 0F 00 41 81 E3 FF 07 00 00 49 BC FF FF FF FF 0F 00 00 00 4C 23 D0 41 81 EB FF 03 00 00 B8 39 8E E3 38 49 8B D8 49 BD 00 00 00 00 00 00 10 00 BD 01 00 00 00 41 F7 EB 44 8B CA 4D 0B D5 49 C1 EA 1D 41 C1 F9 03 41 8B C1 49 8B CA C1 E8 1F 44 03 C8 43 8D 04 C9 C1 E0 02 44 2B D8 41 8D 41 03 4C 63 C0 4A 0F AF 0C C6 4A 8B 54 C6 F8 49 0F AF D2 48 8B C1 48 C1 E9 24 49 23 C4 48 03 D1 4A 8B 4C C6 F0 48 89 44 24 28 48 8B C2 48 C1 EA 24 49 0F AF CA 48 03 CA 49 23 C4 4C 8B C1 48 C1 E9 24 48 89 44 24 20 4D 23 C4 49 63 C1 44 8B CD 48 8B 14 C6 4C 89 44 24 18 49 0F AF D2 48 03 D1 B9 23 00 00 00 49 23 D4 41 2B CB 48 89 54 24 10 48 C1 E2 24 49 0B D0 48 D3 EA 83 E2 07 8B F2 23 F5 74 61 D1 FA 49 F7 D0 03 D5 83 E2 03 89 13 8D 5D 23 8B D5 8B CB 41 2B CB 48 D3 E2 48 2B D5 49 23 D0 41 B8 00 00 01 00 49 3B D0 73 27 4C 8D 54 24 18 48 8B C2 49 83 C2 08 44 03 CD 49 8B 0A 48 C1 E0 24 48 F7 D1 49 23 CC 48 8B D1 48 0B D0 49 3B D0 72 DE 49 63 C1 4C 8B 44 C4 18 49 F7 D0 4D 23 C4 EB 45 D1 FA 89 13 BB 24 00 00 00 48 8B D5 8B CB 41 2B CB 48 D3 E2 48 2B D5 49 23 D0 41 B8 00 00 01 00 49 3B D0 73 18 48 8D 44 24 18 48 83 C0 08 48 C1 E2 24 44 03 CD 48 0B 10 49 3B D0 72 ED 49 63 C1 4C 8B 44 C4 18 45 33 D2 48 B8 00 00 00 00 00 40 00 00 EB 08 41 83 C2 06 48 C1 E2 06 48 3B D0 72 F3 EB 06 44 03 D5 48 03 D2 49 3B D5 72 F5 43 8D 04 C9 41 2B DA C1 E0 02 8A CB 44 2B D8 49 D3 E8 48 B9 FF FF FF FF FF FF 0F 00 45 2B DA 4C 0B C2 4C 23 C1 41 8D 43 34 48 98 48 05 FF 03 00 00 48 C1 E0 34 49 0B C0 85 F6 74 0D 48 B9 00 00 00 00 00 00 00 80 48 0B C1 48 89 04 24 F2 0F 10 04 24 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 07 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 70 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_670_2_0 {
	meta:
		name = "__remainder_piby2f_inline"
		size = 623
		refs = "0013 __security_cookie 0035 ?pibits@?1??__remainder_piby2f_inline@@9@9 0246 ?piby2@?1??__remainder_piby2f_inline@@9@9 0257 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 83 64 24 30 00 48 8B FA 4C 8B D9 4C 8B D1 49 C1 EB 34 48 8D 35 ?? ?? ?? ?? 48 B8 00 00 00 E0 FF FF 0F 00 41 81 E3 FF 07 00 00 49 BC FF FF FF FF 0F 00 00 00 4C 23 D0 41 81 EB FF 03 00 00 B8 39 8E E3 38 49 8B D8 49 BD 00 00 00 00 00 00 10 00 BD 01 00 00 00 41 F7 EB 44 8B CA 4D 0B D5 49 C1 EA 1D 41 C1 F9 03 41 8B C1 49 8B CA C1 E8 1F 44 03 C8 43 8D 04 C9 C1 E0 02 44 2B D8 41 8D 41 03 4C 63 C0 4A 0F AF 0C C6 4A 8B 54 C6 F8 49 0F AF D2 48 8B C1 48 C1 E9 24 49 23 C4 48 03 D1 4A 8B 4C C6 F0 48 89 44 24 28 48 8B C2 48 C1 EA 24 49 0F AF CA 48 03 CA 49 23 C4 4C 8B C1 48 C1 E9 24 48 89 44 24 20 4D 23 C4 49 63 C1 44 8B CD 48 8B 14 C6 4C 89 44 24 18 49 0F AF D2 48 03 D1 B9 23 00 00 00 49 23 D4 41 2B CB 48 89 54 24 10 48 C1 E2 24 49 0B D0 48 D3 EA 83 E2 07 8B F2 23 F5 74 61 D1 FA 49 F7 D0 03 D5 83 E2 03 89 13 8D 5D 23 8B D5 8B CB 41 2B CB 48 D3 E2 48 2B D5 49 23 D0 41 B8 00 00 01 00 49 3B D0 73 27 4C 8D 54 24 18 48 8B C2 49 83 C2 08 44 03 CD 49 8B 0A 48 C1 E0 24 48 F7 D1 49 23 CC 48 8B D1 48 0B D0 49 3B D0 72 DE 49 63 C1 4C 8B 44 C4 18 49 F7 D0 4D 23 C4 EB 45 D1 FA 89 13 BB 24 00 00 00 48 8B D5 8B CB 41 2B CB 48 D3 E2 48 2B D5 49 23 D0 41 B8 00 00 01 00 49 3B D0 73 18 48 8D 44 24 18 48 83 C0 08 48 C1 E2 24 44 03 CD 48 0B 10 49 3B D0 72 ED 49 63 C1 4C 8B 44 C4 18 45 33 D2 48 B8 00 00 00 00 00 40 00 00 EB 08 41 83 C2 06 48 C1 E2 06 48 3B D0 72 F3 EB 06 44 03 D5 48 03 D2 49 3B D5 72 F5 43 8D 04 C9 41 2B DA C1 E0 02 8A CB 44 2B D8 49 D3 E8 48 B9 FF FF FF FF FF FF 0F 00 45 2B DA 4C 0B C2 4C 23 C1 41 8D 43 34 48 98 48 05 FF 03 00 00 48 C1 E0 34 49 0B C0 85 F6 74 0D 48 B9 00 00 00 00 00 00 00 80 48 0B C1 48 89 04 24 F2 0F 10 04 24 F2 0F 59 05 ?? ?? ?? ?? F2 0F 11 07 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 70 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_530_2_0 {
	meta:
		name = "tan_piby4"
		size = 472
		refs = "000a __real@3fe5c28f5c28f5c3 0020 ?piby4_lead@?1??tan_piby4@@9@9 0031 ?piby4_tail@?1??tan_piby4@@9@9 0043 __real@bfe5c28f5c28f5c3 006c __real@4000000000000000 0098 __real@3f2d5daf289c385a 00a0 __real@3f2e7517ef6d98f8 00ac __real@3f977c24c7569abb 00b8 __real@3fd7d50f6638564a 00c4 __real@3f9ab0f4f80a0acf 00d4 __real@3fe08046499eb90f 00e0 __real@3ff1dfcb8caa40b8 0101 __real@3ff0000000000000 014d __real@bff0000000000000"
	strings:
		$1 = { 48 83 EC 18 33 C0 66 0F 2F 05 ?? ?? ?? ?? 0F 29 34 24 66 0F 28 D9 66 0F 28 F0 76 23 F2 0F 10 35 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5C F0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C1 F2 0F 58 F0 EB 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 76 1B F2 0F 58 35 ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? 83 C8 FF F2 0F 58 F3 66 0F 57 DB F2 0F 10 25 ?? ?? ?? ?? 66 0F 28 D6 66 0F 28 C6 F2 0F 59 C6 F2 0F 59 D4 F2 0F 59 D3 F2 0F 58 D0 66 0F 28 EA 66 0F 28 C2 66 0F 28 CA F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C6 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C1 F2 0F 59 C2 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E E8 F2 0F 58 EB 85 C0 74 54 F2 0F 58 EE 45 85 C0 74 2D 66 0F 28 C5 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 5E C5 F2 0F 5C 05 ?? ?? ?? ?? 66 0F 6E C8 F3 0F E6 C9 F2 0F 59 C1 E9 A9 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 0F 28 CD F2 0F 58 E8 F2 0F 59 CC F2 0F 5E CD F2 0F 5C C1 EB D1 45 85 C0 74 7E F2 0F 10 25 ?? ?? ?? ?? 66 0F 28 C5 48 B9 00 00 00 00 FF FF FF FF F2 0F 58 C6 F2 0F 11 44 24 20 F2 0F 5E E0 48 8B 44 24 20 48 23 C1 48 89 44 24 20 F2 0F 10 5C 24 20 66 0F 28 CB F2 0F 5C CE F2 0F 11 64 24 20 F2 0F 5C E9 48 8B 44 24 20 48 23 C1 48 89 44 24 20 F2 0F 10 54 24 20 66 0F 28 C2 F2 0F 59 EA F2 0F 59 C3 F2 0F 58 05 ?? ?? ?? ?? F2 0F 58 C5 F2 0F 59 C4 F2 0F 58 C2 EB 08 F2 0F 58 EE 66 0F 28 C5 0F 28 34 24 48 83 C4 18 C3 }
	condition:
		$1
}

rule file_530_3_0 {
	meta:
		name = "tan"
		size = 763
		refs = "0072 _controlfp_s 0088 __real@3fd5555555555555 009a tan_piby4 00ee ??_C@_03IIINPABG@tan?$AA@ 0117 _handle_error 0135 __mask@@NegDouble@ 014d __real@411e848000000000 01bb ?twobypi@?8??tan@@9@9 01c3 __real@3fe0000000000000 01e1 ?piby2_1@?8??tan@@9@9 01e9 ?piby2_1tail@?8??tan@@9@9 0224 ?piby2_2@?8??tan@@9@9 022c ?piby2_2tail@?8??tan@@9@9 0256 ?piby2_3@?8??tan@@9@9 025e ?piby2_3tail@?8??tan@@9@9 02bf __remainder_piby2"
	strings:
		$1 = { 40 53 48 83 EC 70 48 B8 FF FF FF FF FF FF FF 7F 0F 29 74 24 60 F2 0F 11 84 24 98 00 00 00 48 8B 94 24 98 00 00 00 0F 29 7C 24 50 66 0F 28 F0 48 8B CA 48 23 C8 48 B8 18 2D 44 54 FB 21 E9 3F 48 3B C8 77 6A 48 B8 00 00 00 00 00 00 20 3F 48 3B C8 73 3F 48 B8 00 00 00 00 00 00 40 3E 48 3B C8 73 1A 48 85 C9 74 37 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 66 0F 28 C6 EB 22 F2 0F 59 C6 F2 0F 59 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C6 EB 0C 66 0F 57 C9 45 33 C0 E8 ?? ?? ?? ?? 0F 28 74 24 60 0F 28 7C 24 50 48 83 C4 70 5B C3 49 B8 00 00 00 00 00 00 F0 7F 48 8B C2 49 23 C0 49 3B C0 75 6E 66 0F 57 C0 C7 44 24 40 01 00 00 00 48 B8 FF FF FF FF FF FF 0F 00 F2 0F 11 44 24 38 F2 0F 11 74 24 30 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 48 85 D0 74 1E 49 B8 00 00 00 00 00 00 08 00 4C 0B C2 83 64 24 20 00 BA 20 00 00 00 E8 ?? ?? ?? ?? EB 81 C7 44 24 20 08 00 00 00 49 B8 00 00 00 00 00 00 F8 FF EB E0 F2 0F 10 3D ?? ?? ?? ?? 33 DB 48 3B CA 0F 95 C3 85 DB 74 04 66 0F 57 F7 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 0F 86 47 01 00 00 48 8B D1 48 B8 5E 38 55 29 7A 6A 0F 40 48 C1 EA 34 48 3B C8 77 19 45 33 C0 48 B8 D2 21 33 7F 7C D9 02 40 48 3B C8 41 0F 97 C0 41 FF C0 EB 42 48 B8 BB B2 CC BE 3A 46 1C 40 48 3B C8 77 1A 45 33 C0 48 B8 75 A7 BB E9 BB FD 15 40 48 3B C8 41 0F 97 C0 41 83 C0 03 EB 19 66 0F 28 C6 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 44 0F 2C C0 66 41 0F 6E D8 F3 0F E6 DB 66 0F 28 C3 66 0F 28 D3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 11 B4 24 98 00 00 00 48 8B 84 24 98 00 00 00 48 C1 E8 34 25 FF 07 00 00 48 2B D0 48 83 FA 0F 76 5E 66 0F 28 CE 66 0F 28 C3 66 0F 28 D3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 5C CE F2 0F 5C C8 F2 0F 5C D1 48 83 FA 30 76 2C 66 0F 28 CE 66 0F 28 C3 66 0F 28 D3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C F0 F2 0F 5C CE F2 0F 5C C8 F2 0F 5C D1 66 0F 28 C6 41 83 E0 03 F2 0F 5C C2 44 89 84 24 80 00 00 00 F2 0F 5C F0 F2 0F 11 84 24 88 00 00 00 F2 0F 5C F2 F2 0F 11 B4 24 90 00 00 00 EB 3B 4C 8D 8C 24 80 00 00 00 4C 8D 84 24 90 00 00 00 48 8D 94 24 88 00 00 00 66 0F 28 C6 E8 ?? ?? ?? ?? 44 8B 84 24 80 00 00 00 F2 0F 10 84 24 88 00 00 00 F2 0F 10 B4 24 90 00 00 00 41 83 E0 01 66 0F 28 CE 85 DB 0F 84 AC FD FF FF E8 ?? ?? ?? ?? 66 0F 57 C7 E9 A3 FD FF FF }
	condition:
		$1
}

rule file_531_0_0 {
	meta:
		name = "_fclose_nolock"
		size = 122
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0030 _flush 003a _freebuf 0042 _fileno 0049 _close 0060 free"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 CF FF 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 0B C7 EB 46 F6 41 18 83 74 3A E8 ?? ?? ?? ?? 48 8B CB 8B F8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 79 05 83 CF FF EB 13 48 8B 4B 28 48 85 C9 74 0A E8 ?? ?? ?? ?? 48 83 63 28 00 83 63 18 00 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_531_1_0 {
	meta:
		name = "fclose"
		size = 102
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0042 _lock_file 004b _fclose_nolock 0055 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 83 CF FF 33 C0 48 85 C9 0F 95 C0 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 EB 26 F6 41 18 40 74 06 83 61 18 00 EB F0 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? EB D6 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_532_4_0 {
	meta:
		name = "??0Etw@details@Concurrency@@AEAA@XZ"
		size = 219
		refs = "0010 ??_C@_1BK@JHLNAEJL@?$AAa?$AAd?$AAv?$AAa?$AAp?$AAi?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0016 __imp_LoadLibraryW 0029 ??_C@_0BE@FKJMGMF@RegisterTraceGuidsW?$AA@ 0032 __imp_GetProcAddress 003a ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0041 ??_C@_0BF@OFMMALCC@UnregisterTraceGuids?$AA@ 005c ??_C@_0L@EOLEDHLE@TraceEvent?$AA@ 0078 ??_C@_0BF@OFCGPMKL@GetTraceLoggerHandle?$AA@ 0094 ??_C@_0BE@JCHMKLLJ@GetTraceEnableLevel?$AA@ 00b0 ??_C@_0BE@DNOHFPHI@GetTraceEnableFlags?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 A7 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF 48 89 03 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF 48 89 43 08 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF 48 89 43 10 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF 48 89 43 18 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CF 48 89 43 20 FF 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 43 28 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_532_5_0 {
	meta:
		name = "?RegisterGuids@Etw@details@Concurrency@@QEAAKP6AKW4WMIDPREQUESTCODE@@PEAXPEAK1@ZPEBU_GUID@@KPEAU_TRACE_GUID_REGISTRATION@@PEA_K@Z"
		size = 123
		refs = "0021 _encoded_null 002e ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B 19 41 8B F9 49 8B F0 48 8B EA E8 ?? ?? ?? ?? 48 3B D8 74 37 48 8B CB E8 ?? ?? ?? ?? 48 8B 4C 24 78 44 8B CF 48 89 4C 24 38 48 83 64 24 30 00 48 8B 4C 24 70 48 83 64 24 28 00 48 89 4C 24 20 4C 8B C6 48 8B CD 33 D2 FF D0 EB 05 B8 7F 00 00 00 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_532_6_0 {
	meta:
		name = "?UnregisterGuids@Etw@details@Concurrency@@QEAAK_K@Z"
		size = 58
		refs = "0012 _encoded_null 001f ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 08 48 8B FA E8 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 05 B8 7F 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_532_7_0 {
	meta:
		name = "?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
		size = 74
		refs = "001a _encoded_null 0027 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 10 49 8B F8 48 8B F2 E8 ?? ?? ?? ?? 48 3B D8 74 12 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B CE FF D0 EB 05 B8 7F 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_532_8_0 {
	meta:
		name = "?GetLoggerHandle@Etw@details@Concurrency@@QEAA_KPEAX@Z"
		size = 68
		refs = "0012 _encoded_null 001f ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0031 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 18 48 8B FA E8 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 0F B9 7F 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_532_9_0 {
	meta:
		name = "?GetEnableLevel@Etw@details@Concurrency@@QEAAE_K@Z"
		size = 66
		refs = "0012 _encoded_null 001f ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0031 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 20 48 8B FA E8 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 0D B9 7F 00 00 00 FF 15 ?? ?? ?? ?? 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_532_10_0 {
	meta:
		name = "?GetEnableFlags@Etw@details@Concurrency@@QEAAK_K@Z"
		size = 66
		refs = "0012 _encoded_null 001f ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0031 __imp_SetLastError"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 28 48 8B FA E8 ?? ?? ?? ?? 48 3B D8 74 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B CF FF D0 EB 0D B9 7F 00 00 00 FF 15 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_532_11_0 {
	meta:
		name = "?ControlCallback@details@Concurrency@@YAKW4WMIDPREQUESTCODE@@PEAXPEAK1@Z"
		size = 189
		refs = "001a ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 0021 ?g_TraceOn@details@Concurrency@@3_NA 002e ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0036 ?GetLoggerHandle@Etw@details@Concurrency@@QEAA_KPEAX@Z 004e __imp_GetLastError 0056 __imp_SetLastError 0069 ?GetEnableLevel@Etw@details@Concurrency@@QEAAE_K@Z 006f ?g_EnableLevel@details@Concurrency@@3EA 0097 ?GetEnableFlags@Etw@details@Concurrency@@QEAAK_K@Z 009d ?g_EnableFlags@details@Concurrency@@3KA"
	strings:
		$1 = { 48 83 EC 28 83 E9 04 74 22 FF C9 74 0A B8 57 00 00 00 E9 A1 00 00 00 48 83 25 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 00 E9 8B 00 00 00 48 8B 0D ?? ?? ?? ?? 49 8B D1 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 F8 FF 75 0B 48 83 C4 28 48 FF 25 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 05 ?? ?? ?? ?? 84 C0 75 11 FF 15 ?? ?? ?? ?? 85 C0 75 37 C6 05 ?? ?? ?? ?? 04 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 85 C0 75 0A FF 15 ?? ?? ?? ?? 85 C0 75 09 C6 05 ?? ?? ?? ?? 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_532_12_0 {
	meta:
		name = "?PPL_Trace_Event@details@Concurrency@@YAXAEBU_GUID@@W4ConcRT_EventType@2@E@Z"
		size = 129
		refs = "0012 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 002d memset 0034 ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 006d ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 89 6C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8A F8 8B F2 48 8B E9 74 50 33 D2 48 8D 4C 24 22 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 45 00 41 BB 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 40 88 74 24 24 40 88 7C 24 25 66 44 89 5C 24 20 E8 ?? ?? ?? ?? 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_532_13_0 {
	meta:
		name = "?DisableTracing@Concurrency@@YAJXZ"
		size = 83
		refs = "0007 ?g_enableCount@details@Concurrency@@3JC 0010 ?g_ConcRTPRoviderHandle@details@Concurrency@@3_KA 0017 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 001c ?UnregisterGuids@Etw@details@Concurrency@@QEAAK_K@Z"
	strings:
		$1 = { 48 83 EC 28 F0 FF 0D ?? ?? ?? ?? 75 2B 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B D8 85 C0 74 11 0F B7 C0 0D 00 00 07 80 45 85 DB 41 0F 4E C3 EB 16 8B 05 ?? ?? ?? ?? 85 C0 79 0A C7 05 ?? ?? ?? ?? 00 00 00 00 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_532_14_0 {
	meta:
		name = "?_Trace_ppl_function@Concurrency@@YAXAEBU_GUID@@EW4ConcRT_EventType@1@@Z"
		size = 39
		refs = "0006 ?g_TraceOn@details@Concurrency@@3_NA 0012 ?g_EnableLevel@details@Concurrency@@3EA 001e ?PPL_Trace_Event@details@Concurrency@@YAXAEBU_GUID@@W4ConcRT_EventType@2@E@Z"
	strings:
		$1 = { 48 83 EC 28 80 3D ?? ?? ?? ?? 00 41 8B C0 74 12 3A 15 ?? ?? ?? ?? 77 0A 44 8A C2 8B D0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_532_23_0 {
	meta:
		name = "??0_Scoped_lock@_NonReentrantLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 85
		refs = "0026 ?_Sleep0@details@Concurrency@@YAXXZ 0035 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 B8 01 00 00 00 48 89 11 48 8B FA 87 02 48 8B D9 85 C0 74 29 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1F 45 85 DB 75 E8 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_532_24_0 {
	meta:
		name = "?EnsureSingleton@Etw@details@Concurrency@@SAXXZ"
		size = 164
		refs = "0010 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 001e ?s_lock@Etw@details@Concurrency@@0V_NonReentrantLock@23@A 003e ?_Sleep0@details@Concurrency@@YAXXZ 004d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0073 ??2@YAPEAX_K@Z 0080 ??0Etw@details@Concurrency@@AEAA@XZ"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 48 83 3D ?? ?? ?? ?? 00 0F 85 84 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2D 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 48 83 3D ?? ?? ?? ?? 00 75 28 B9 30 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 11 48 8B C8 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? EB 08 48 83 25 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_532_26_0 {
	meta:
		name = "?EnableTracing@Concurrency@@YAJXZ"
		size = 116
		refs = "000d ?g_enableCount@details@Concurrency@@3JC 0019 ?EnsureSingleton@Etw@details@Concurrency@@SAXXZ 0020 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 0027 ?g_ConcRTPRoviderHandle@details@Concurrency@@3_KA 002e ?eventGuidRegistration@?4??EnableTracing@Concurrency@@YAJXZ@4PAU_TRACE_GUID_REGISTRATION@@A 003a ConcRT_ProviderGuid 0041 ?ControlCallback@details@Concurrency@@YAKW4WMIDPREQUESTCODE@@PEAXPEAK1@Z 0051 ?RegisterGuids@Etw@details@Concurrency@@QEAAKP6AKW4WMIDPREQUESTCODE@@PEAXPEAK1@ZPEBU_GUID@@KPEAU_TRACE_GUID_REGISTRATION@@PEA_K@Z"
	strings:
		$1 = { 48 83 EC 38 B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 83 F8 01 75 55 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 89 5C 24 28 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 41 B9 07 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B D8 85 C0 74 11 0F B7 C0 0D 00 00 07 80 45 85 DB 41 0F 4E C3 EB 02 33 C0 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_533_2_0 {
	meta:
		name = "atan"
		size = 623
		refs = "003d __mask@@NegDouble@ 008b ??_C@_04MLLJIGOK@atan?$AA@ 00a4 _handle_error 00b1 __real@43d0dc0000000000 00bb ?piby2@?1??atan@@9@9 00d7 _controlfp_s 00e8 __real@bff0000000000000 00f0 __real@3ff921fb54442d18 00f8 __real@3c91a62633145c06 011c __real@3ff8000000000000 012c __real@3fef730bd281f69b 0134 __real@3ff0000000000000 013c __real@3c7007887af0cbbc 0169 __real@3fe921fb54442d18 0175 __real@3c81a62633145c06 018e __real@4000000000000000 019e __real@3fddac670561bb4f 01ae __real@3c7a2b7f222f65e0 01d8 __real@3f22a75ce41b9f87 01e0 __real@3fa3f197f1e85ed9 01ec __real@3f9f2d2116f053f2 01f4 __real@3fdb2cb05bf9beff 0204 __real@3fcc3de43db425c0 020c __real@3ff699c644c48d2e 021c __real@3fdca6be4c993b3c 0224 __real@3ffd372a17cdf5a0 0234 __real@3fd12bcb0a9169f3 023c __real@3fe9c1b08fda1eec"
	strings:
		$1 = { 48 83 EC 68 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 70 0F 29 74 24 50 4C 8B 44 24 70 66 0F 28 D0 66 0F 28 C8 49 8B C0 48 23 C1 33 C9 4C 3B C0 0F 95 C1 48 85 C9 74 08 66 0F 57 0D ?? ?? ?? ?? 48 BA 00 00 00 00 00 80 03 40 48 3B C2 0F 86 B1 00 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 76 4A 66 0F 57 C0 41 B9 01 00 00 00 48 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 F2 0F 11 44 24 38 F2 0F 11 54 24 30 48 8D 0D ?? ?? ?? ?? 41 8D 51 0E 4C 0B C0 C7 44 24 28 21 00 00 00 83 64 24 20 00 E8 ?? ?? ?? ?? E9 B8 01 00 00 66 0F 2F 0D ?? ?? ?? ?? 76 2D F2 0F 10 35 ?? ?? ?? ?? 48 85 C9 74 08 66 0F 57 35 ?? ?? ?? ?? BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 66 0F 28 C6 E9 81 01 00 00 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 E9 BB 00 00 00 48 BA 00 00 00 00 00 00 F3 3F 66 0F 28 E1 48 3B C2 76 2E F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 EB 7A 48 BA 00 00 00 00 00 00 E6 3F 48 3B C2 76 26 F2 0F 5C 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 5E E1 F2 0F 10 35 ?? ?? ?? ?? EB 45 48 BA 00 00 00 00 00 00 DC 3F 48 3B C2 76 2E F2 0F 59 25 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 5C 25 ?? ?? ?? ?? F2 0F 10 35 ?? ?? ?? ?? F2 0F 5E E1 EB 08 66 0F 57 ED 66 0F 28 F5 66 0F 28 D4 F2 0F 59 D4 66 0F 28 DA 66 0F 28 CA 66 0F 28 C2 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 DA F2 0F 59 CA F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5E D9 F2 0F 5C DE F2 0F 5C DC F2 0F 5C EB 48 85 C9 74 08 66 0F 57 2D ?? ?? ?? ?? 66 0F 28 C5 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_534_0_0 {
	meta:
		name = "_mbclen_l"
		size = 45
		refs = "000d _ismbblead_l"
		altNames = "_mbclen"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 0F B6 09 E8 ?? ?? ?? ?? 85 C0 74 0B 80 7B 01 00 B8 02 00 00 00 75 05 B8 01 00 00 00 48 98 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_535_0_0 {
	meta:
		name = "free"
		size = 61
		refs = "0010 _crtheap 0018 __imp_HeapFree 0021 _errno 002a __imp_GetLastError 0031 _get_errno_from_oserr"
	strings:
		$1 = { 48 85 C9 74 37 53 48 83 EC 20 4C 8B C1 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 17 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_537_0_0 {
	meta:
		name = "?terminate@@YAXXZ"
		size = 35
		refs = "0005 _getptd 001a abort"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 D0 00 00 00 48 85 C9 74 04 FF D1 EB 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_537_1_0 {
	meta:
		name = "?unexpected@@YAXXZ"
		size = 29
		refs = "0005 _getptd 0018 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 88 D8 00 00 00 48 85 C9 74 02 FF D1 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_537_2_0 {
	meta:
		name = "?_inconsistency@@YAXXZ"
		size = 37
		refs = "0007 ?__pInconsistency@@3P6AXXZEA 000d __imp_DecodePointer 001b ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 04 FF D0 EB 00 E8 ?? ?? ?? ?? CC 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_537_3_0 {
	meta:
		name = "_initp_eh_hooks"
		size = 29
		refs = "0007 ?terminate@@YAXXZ 000d __imp_EncodePointer 0014 ?__pInconsistency@@3P6AXXZEA"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_538_3_0 {
	meta:
		name = "_ismbclower_l"
		size = 232
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0086 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 DB 81 FF FF 00 00 00 0F 86 85 00 00 00 48 8B 4D E8 8B C7 89 5D 20 C1 E8 08 40 88 7D 11 88 45 10 39 59 08 75 14 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 7F 8B 41 0C BF 01 00 00 00 4C 8D 45 10 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 20 44 8D 4F 01 48 8D 4D E0 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B5 66 39 5D 22 75 06 F6 45 20 02 75 02 8B FB 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 EB 26 48 8B 45 E8 8D 4F 01 8A 54 01 1C 8B C3 80 E2 20 80 FA 20 0F 94 C0 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_539_1_0 {
	meta:
		name = "_wsetlocale"
		size = 634
		refs = "0047 wcstombs_s 0069 _invoke_watson 007e _calloc_crt 00cd free 00df setlocale 00f4 _getptd 0135 _mbstowcs_s_l 0182 _malloc_crt 01f3 _lock 0224 __globallocalestatus 0259 _unlock"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 41 54 41 56 41 57 48 83 EC 40 48 8B FA 4C 63 E1 45 33 F6 4C 89 70 10 41 8B DE 48 85 D2 0F 84 A6 00 00 00 48 C7 40 C8 FF FF FF 7F 4C 8B CA 45 33 C0 33 D2 48 8D 48 10 E8 ?? ?? ?? ?? 85 C0 74 1F 83 F8 16 74 05 83 F8 22 75 15 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 4C 24 68 48 85 C9 74 59 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 47 48 83 4C 24 20 FF 4C 8B CF 4C 8B 44 24 68 48 8B D0 33 C9 E8 ?? ?? ?? ?? 85 C0 74 32 83 F8 16 74 05 83 F8 22 75 15 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 74 0F 48 8B CB E8 ?? ?? ?? ?? 33 C0 E9 88 01 00 00 48 8B D3 41 8B CC E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 85 FF 74 DE E8 ?? ?? ?? ?? 4C 8B F8 48 8B 88 C0 00 00 00 48 89 4C 24 30 48 8B 88 B8 00 00 00 48 89 4C 24 38 4C 89 74 24 68 48 8D 44 24 30 48 89 44 24 28 4C 89 74 24 20 4C 8B CF 45 33 C0 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 85 C0 74 27 83 F8 16 74 05 83 F8 22 75 15 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 0F 85 6D FF FF FF 48 B8 EE FF FF FF FF FF FF 7F 48 8B 4C 24 68 48 3B C8 0F 87 55 FF FF FF 48 8D 4C 09 04 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 3F FF FF FF 4C 8D 70 04 48 8D 44 24 30 48 89 44 24 28 48 83 4C 24 20 FF 4C 8B CF 4C 8B 44 24 68 49 8B D6 33 C9 E8 ?? ?? ?? ?? 85 C0 74 2C 83 F8 16 74 05 83 F8 22 75 16 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 85 C0 74 08 48 8B CE E9 E4 FE FF FF 48 8B 5C 24 30 B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 49 8D 7C 24 03 48 C1 E7 05 48 8B 0C 1F 48 85 C9 74 0E F0 FF 09 75 09 48 8B 0C 1F E8 ?? ?? ?? ?? 41 F6 87 C8 00 00 00 02 75 20 F6 05 ?? ?? ?? ?? 01 75 17 48 8B 0C 1F 48 85 C9 74 0E F0 FF 09 75 09 48 8B 0C 1F E8 ?? ?? ?? ?? 8B 03 89 06 48 89 34 1F 49 C1 E4 05 4D 89 74 1C 50 B9 0C 00 00 00 E8 ?? ?? ?? ?? 49 8B C6 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5E 41 5C C3 }
	condition:
		$1
}

rule file_539_2_0 {
	meta:
		name = "_wsetlocale$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 0C 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_540_0_0 {
	meta:
		name = "_fullpath"
		size = 299
		refs = "0041 __imp_GetFullPathNameA 004b __imp_GetLastError 0052 _dosmaperr 0070 _errno 0085 calloc 00af _invalid_parameter_noinfo 00db free 0112 _getcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 20 49 8B F0 48 8B EA 48 8B F9 48 85 D2 0F 84 E8 00 00 00 80 3A 00 0F 84 DF 00 00 00 48 85 C9 75 6A 45 33 C9 45 33 C0 33 D2 48 8B CD FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 E9 B9 00 00 00 8B C0 48 3B F0 48 0F 47 C6 48 8B F0 48 83 F8 FF 76 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB DA BA 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B8 4D 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB A1 48 8B D9 4C 8D 4C 24 38 4C 8B C3 8B D6 48 8B CD FF 15 ?? ?? ?? ?? 8B C8 48 3B CE 72 1D 48 85 FF 75 08 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 67 FF FF FF 85 C0 75 16 48 85 FF 0F 85 4D FF FF FF 48 8B CB E8 ?? ?? ?? ?? E9 40 FF FF FF 48 8B C3 EB 08 41 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_541_0_0 {
	meta:
		name = "wcsncpy_s"
		size = 207
		refs = "003b _errno 0047 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 8B D0 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 66 89 19 EB E8 4D 85 C0 75 1C 66 89 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B D9 4C 8B C2 49 83 F9 FF 75 1C 4D 2B DA 41 0F B7 02 66 43 89 04 13 49 83 C2 02 66 85 C0 74 2F 49 FF C8 75 E9 EB 28 4C 2B D1 43 0F B7 04 1A 66 41 89 03 49 83 C3 02 66 85 C0 74 0A 49 FF C8 74 05 49 FF C9 75 E4 4D 85 C9 75 04 66 41 89 1B 4D 85 C0 0F 85 6E FF FF FF 49 83 F9 FF 75 0B 66 89 5C 51 FE 41 8D 40 50 EB 90 66 89 19 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 75 FF FF FF }
	condition:
		$1
}

rule file_543_0_0 {
	meta:
		name = "_get_lc_time"
		size = 2927
		refs = "005b __getlocaleinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 48 8B EC 48 83 EC 40 0F B7 72 42 44 0F B7 62 44 48 8B F9 48 85 C9 75 08 83 C8 FF E9 22 0B 00 00 48 83 65 F8 00 48 8D 41 08 41 B9 31 00 00 00 45 8D 69 D0 48 89 55 F0 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4F 10 45 8D 4D 31 48 89 4C 24 20 48 8D 4D F0 44 8B C6 41 8B D5 8B D8 E8 ?? ?? ?? ?? 48 8D 4F 18 45 8D 4D 32 48 89 4C 24 20 48 8D 4D F0 44 8B C6 41 8B D5 0B D8 E8 ?? ?? ?? ?? 45 8D 4D 33 48 8D 4D F0 0B D8 48 8D 47 20 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 34 48 8D 4D F0 0B D8 48 8D 47 28 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 35 48 8D 4D F0 0B D8 48 8D 47 30 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 36 48 8D 4D F0 44 8B C6 41 8B D5 48 89 7C 24 20 0B D8 E8 ?? ?? ?? ?? 45 8D 4D 29 0B D8 48 8D 47 40 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2A 48 8D 4D F0 0B D8 48 8D 47 48 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2B 48 8D 4D F0 0B D8 48 8D 47 50 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 47 58 45 8D 4D 2C 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2D 0B D8 48 8D 47 60 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2E 48 8D 4D F0 0B D8 48 8D 47 68 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2F 48 8D 4D F0 0B D8 48 8D 47 38 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 43 48 8D 4D F0 0B D8 48 8D 47 70 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 44 48 8D 4D F0 0B D8 48 8D 47 78 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 45 48 8D 4D F0 0B D8 48 8D 87 80 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 46 48 8D 4D F0 0B D8 48 8D 87 88 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 47 48 8D 4D F0 0B D8 48 8D 87 90 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 48 48 8D 4D F0 0B D8 48 8D 87 98 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 A0 00 00 00 45 8D 4D 49 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4A 48 8D 4D F0 0B D8 48 8D 87 A8 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4B 48 8D 4D F0 0B D8 48 8D 87 B0 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4C 48 8D 4D F0 0B D8 48 8D 87 B8 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4D 48 8D 4D F0 0B D8 48 8D 87 C0 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4E 48 8D 4D F0 0B D8 48 8D 87 C8 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 37 48 8D 4D F0 0B D8 48 8D 87 D0 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 38 48 8D 4D F0 0B D8 48 8D 87 D8 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 39 48 8D 4D F0 0B D8 48 8D 87 E0 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3A 48 8D 4D F0 0B D8 48 8D 87 E8 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 F0 00 00 00 45 8D 4D 3B 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3C 48 8D 4D F0 0B D8 48 8D 87 F8 00 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3D 48 8D 4D F0 0B D8 48 8D 87 00 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3E 48 8D 4D F0 0B D8 48 8D 87 08 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3F 48 8D 4D F0 0B D8 48 8D 87 10 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 40 48 8D 4D F0 0B D8 48 8D 87 18 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 41 48 8D 4D F0 0B D8 48 8D 87 20 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 42 48 8D 4D F0 0B D8 48 8D 87 28 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 27 48 8D 4D F0 0B D8 48 8D 87 30 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 28 48 8D 4D F0 0B D8 48 8D 87 38 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 40 01 00 00 48 89 44 24 20 45 8D 4D 1E 48 8D 4D F0 45 8B C4 41 8B D5 E8 ?? ?? ?? ?? 45 8D 4D 1F 48 8D 4D F0 0B D8 48 8D 87 48 01 00 00 45 8B C4 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 03 10 00 00 0B D8 48 8D 87 50 01 00 00 45 8B C4 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 09 10 00 00 0B D8 48 8D 87 5C 01 00 00 45 8B C4 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 30 48 8D 4D F0 45 8D 69 D1 0B D8 48 8D 87 70 01 00 00 44 8B C6 41 8B D5 44 89 A7 58 01 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 30 0B D8 48 8D 87 78 01 00 00 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 31 48 8D 4D F0 0B D8 48 8D 87 80 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 32 48 8D 4D F0 0B D8 48 8D 87 88 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 33 48 8D 4D F0 0B D8 48 8D 87 90 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 34 48 8D 4D F0 0B D8 48 8D 87 98 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 68 01 00 00 45 8D 4D 35 48 8D 4D F0 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 28 48 8D 4D F0 0B D8 48 8D 87 A8 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 29 48 8D 4D F0 0B D8 48 8D 87 B0 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2A 48 8D 4D F0 0B D8 48 8D 87 B8 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2B 48 8D 4D F0 0B D8 48 8D 87 C0 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2C 48 8D 4D F0 0B D8 48 8D 87 C8 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2D 48 8D 4D F0 0B D8 48 8D 87 D0 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 2E 48 8D 4D F0 0B D8 48 8D 87 A0 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 42 48 8D 4D F0 0B D8 48 8D 87 D8 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 43 48 8D 4D F0 0B D8 48 8D 87 E0 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 48 8D 87 E8 01 00 00 48 89 44 24 20 45 8D 4D 44 48 8D 4D F0 44 8B C6 41 8B D5 E8 ?? ?? ?? ?? 45 8D 4D 45 48 8D 4D F0 0B D8 48 8D 87 F0 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 46 48 8D 4D F0 0B D8 48 8D 87 F8 01 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 47 48 8D 4D F0 0B D8 48 8D 87 00 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 48 48 8D 4D F0 0B D8 48 8D 87 08 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 49 48 8D 4D F0 0B D8 48 8D 87 10 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4A 48 8D 4D F0 0B D8 48 8D 87 18 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4B 48 8D 4D F0 0B D8 48 8D 87 20 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4C 48 8D 4D F0 0B D8 48 8D 87 28 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 4D 48 8D 4D F0 0B D8 48 8D 87 30 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 36 0B D8 48 8D 87 38 02 00 00 48 89 44 24 20 48 8D 4D F0 44 8B C6 41 8B D5 E8 ?? ?? ?? ?? 45 8D 4D 37 48 8D 4D F0 0B D8 48 8D 87 40 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 38 48 8D 4D F0 0B D8 48 8D 87 48 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 39 48 8D 4D F0 0B D8 48 8D 87 50 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3A 48 8D 4D F0 0B D8 48 8D 87 58 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3B 48 8D 4D F0 0B D8 48 8D 87 60 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3C 48 8D 4D F0 0B D8 48 8D 87 68 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3D 48 8D 4D F0 0B D8 48 8D 87 70 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3E 48 8D 4D F0 0B D8 48 8D 87 78 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 3F 48 8D 4D F0 0B D8 48 8D 87 80 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 40 44 8B C6 0B D8 48 8D 87 88 02 00 00 48 89 44 24 20 48 8D 4D F0 41 8B D5 E8 ?? ?? ?? ?? 45 8D 4D 41 48 8D 4D F0 0B D8 48 8D 87 90 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 26 48 8D 4D F0 0B D8 48 8D 87 98 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 27 48 8D 4D F0 0B D8 48 8D 87 A0 02 00 00 44 8B C6 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 1D 48 8D 4D F0 0B D8 48 8D 87 A8 02 00 00 45 8B C4 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 45 8D 4D 1E 48 8D 4D F0 0B D8 48 8D 87 B0 02 00 00 45 8B C4 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 03 10 00 00 0B D8 48 8D 87 B8 02 00 00 45 8B C4 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 0B C3 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_543_1_0 {
	meta:
		name = "__free_lc_time"
		size = 1006
		refs = "0016 free"
	strings:
		$1 = { 48 85 C9 0F 84 E4 03 00 00 53 48 83 EC 20 48 8B D9 48 8B 49 08 E8 ?? ?? ?? ?? 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 48 8B 0B E8 ?? ?? ?? ?? 48 8B 4B 40 E8 ?? ?? ?? ?? 48 8B 4B 48 E8 ?? ?? ?? ?? 48 8B 4B 50 E8 ?? ?? ?? ?? 48 8B 4B 58 E8 ?? ?? ?? ?? 48 8B 4B 60 E8 ?? ?? ?? ?? 48 8B 4B 68 E8 ?? ?? ?? ?? 48 8B 4B 38 E8 ?? ?? ?? ?? 48 8B 4B 70 E8 ?? ?? ?? ?? 48 8B 4B 78 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 88 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B A0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B A8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B B0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B B8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B C0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B E8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B 00 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 08 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 10 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 18 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 20 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 30 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 38 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 40 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 48 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 50 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 70 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 78 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 80 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 88 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 90 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 98 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 68 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B A8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B B0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B B8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B C0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B C8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B D0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B A0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B D8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B E0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B E8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B F0 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B F8 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B 00 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 08 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 10 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 18 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 20 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 28 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 30 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 38 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 40 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 48 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 50 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 58 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 60 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 68 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 70 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 78 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 80 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 88 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 90 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B 98 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B A0 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B A8 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B B0 02 00 00 E8 ?? ?? ?? ?? 48 8B 8B B8 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_543_2_0 {
	meta:
		name = "__init_time"
		size = 153
		refs = "0019 __lc_time_c 002a _calloc_crt 0044 _get_lc_time 0050 __free_lc_time 0058 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 57 48 83 EC 20 83 79 20 00 48 8B F9 48 8D 2D ?? ?? ?? ?? 74 4B BA C0 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 07 B8 01 00 00 00 EB 4C 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 12 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB D8 C7 83 60 01 00 00 01 00 00 00 EB 03 48 8B DD 48 8B 87 58 01 00 00 48 3B C5 74 07 F0 FF 88 60 01 00 00 48 89 9F 58 01 00 00 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_544_0_0 {
	meta:
		name = "_chgsign"
		size = 36
	strings:
		$1 = { F2 0F 11 44 24 08 48 B9 00 00 00 00 00 00 00 80 48 8B 44 24 08 48 33 C1 48 89 44 24 08 F2 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_545_2_0 {
	meta:
		name = "_wstat64i32"
		size = 1133
		refs = "0022 __security_cookie 0042 __doserrno 004a _errno 0055 _invalid_parameter_noinfo 0069 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 006e wcspbrk 00a3 towlower 00b2 _getdrive 00d2 __imp_FindFirstFileExW 00e9 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0122 _wfullpath 0171 wcslen 017f IsRootUNCName 018c __imp_GetDriveTypeW 01a4 free 01d7 __loctotime64_t 0242 _wsopen_s 0256 _fstat64i32 0261 _close 028a __imp_FileTimeToLocalFileTime 02a2 __imp_FileTimeToSystemTime 03e0 __imp_FindClose 03ec __wdtoxmode 042d __imp_GetLastError 0434 _dosmaperr 044e __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 F6 48 8B FA 48 8B F1 45 8B EE 48 85 C9 75 20 E8 ?? ?? ?? ?? 44 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 E2 03 00 00 48 85 D2 74 DB 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 15 E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 EB CD 66 83 7E 02 3A 75 1E 0F B7 0E 66 85 C9 74 07 66 44 39 76 04 74 D5 E8 ?? ?? ?? ?? 44 0F B7 F8 41 83 EF 60 EB 08 E8 ?? ?? ?? ?? 44 8B F8 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CE 44 89 74 24 28 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 48 83 CB FF 4C 8B E0 48 3B C3 0F 85 2E 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE 4D 8B E6 E8 ?? ?? ?? ?? 48 85 C0 0F 84 FB 00 00 00 E8 ?? ?? ?? ?? 44 8B 30 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 44 21 20 41 B8 04 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 30 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 B6 00 00 00 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 33 C9 44 89 30 E8 ?? ?? ?? ?? 4C 8B E0 4C 8B E8 45 33 F6 4D 85 ED 0F 84 82 00 00 00 49 8B CD E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CD E8 ?? ?? ?? ?? 85 C0 74 68 49 8B CD FF 15 ?? ?? ?? ?? 41 BD 01 00 00 00 41 3B C5 76 54 4D 85 E4 74 08 49 8B CC E8 ?? ?? ?? ?? 89 5C 24 30 45 33 C9 45 8B C5 41 8B D5 B9 BC 07 00 00 44 89 74 24 28 C7 44 24 60 10 00 00 00 4C 89 74 24 7C 66 44 89 75 8C 44 89 74 24 20 E8 ?? ?? ?? ?? 45 8B EE 48 89 47 20 48 89 47 18 48 89 47 28 E9 F5 01 00 00 4D 85 E4 74 08 49 8B CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 E9 2D 02 00 00 F7 44 24 60 00 04 00 00 74 4C 81 7D 84 0C 00 00 A0 75 43 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 48 8B D6 89 5C 24 40 44 89 74 24 20 E8 ?? ?? ?? ?? 85 C0 75 B2 8B 4C 24 40 3B CB 74 AA 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 D7 01 00 00 44 39 74 24 74 75 0D 44 39 74 24 78 75 06 4C 89 77 20 EB 67 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 95 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 7D 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 20 44 39 74 24 6C 75 0D 44 39 74 24 70 75 06 48 8B 47 20 EB 63 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 1A 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 02 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 18 44 39 74 24 64 75 0D 44 39 74 24 68 75 06 48 8B 47 20 EB 63 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 87 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 49 8B CC 48 89 47 28 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D6 E8 ?? ?? ?? ?? 66 89 47 06 B8 01 00 00 00 66 89 47 08 8B 45 80 89 47 14 44 39 74 24 7C 74 07 44 89 77 14 44 8B EB 41 8D 4F FF 66 44 89 77 04 C7 47 0A 00 00 00 00 89 0F 89 4F 10 41 8B C5 EB 18 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 49 8B CC FF 15 ?? ?? ?? ?? 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_546_3_0 {
	meta:
		name = "_mbsnbset_l"
		size = 285
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _strnset 006c _errno 0077 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 40 48 8B D9 48 8B E9 8B F2 48 8D 48 D8 49 8B D1 49 8B F8 E8 ?? ?? ?? ?? 48 8B 44 24 28 83 78 08 00 75 2B 4C 8B C7 8B D6 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 4C 8B D8 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 49 8B C3 E9 A7 00 00 00 48 85 DB 75 2B 48 85 FF 74 26 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 38 5C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 77 8B CE C1 E9 08 84 C9 74 53 40 84 F6 75 34 E8 ?? ?? ?? ?? B1 20 C7 00 16 00 00 00 40 8A F1 EB 22 80 3B 00 74 3C 48 8D 47 FF 48 83 EF 02 48 85 C0 74 17 80 7B 01 00 74 11 88 0B 40 88 73 01 48 83 C3 02 48 85 FF 75 D9 EB 18 C6 03 20 EB 13 48 FF CF 80 3B 00 74 0B 40 88 33 48 FF C3 48 85 FF 75 ED 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C5 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_547_3_0 {
	meta:
		name = "_mbsncoll_l"
		size = 312
		refs = "002f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0056 _errno 0061 _invalid_parameter_noinfo 00a5 _strncoll_l 00b3 _mbsnbcnt_l 00f2 __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 60 4C 8B E1 48 8B F2 48 8D 4D E0 49 8B D1 49 8B D9 49 8B F8 E8 ?? ?? ?? ?? 48 85 FF 75 18 40 38 7D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 CE 00 00 00 4D 85 E4 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 9E 00 00 00 48 85 F6 74 D0 48 81 FF FF FF FF 7F 77 C7 48 8B 45 E8 49 8B CC 83 78 08 00 75 10 4C 8B CB 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? EB 62 4C 8D 45 E0 48 8B D7 E8 ?? ?? ?? ?? 4C 8D 45 E0 48 8B D7 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B 55 E8 4D 8B CC 8B 4A 04 8B 52 0C 41 B8 00 10 00 00 89 4C 24 38 89 44 24 30 48 8D 4D E0 48 89 74 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 5B FF FF FF 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 63 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_550_12_0 {
	meta:
		name = "??0WaitBlock@details@Concurrency@@QEAA@XZ"
		size = 49
		refs = "000e ??_7WaitBlock@details@Concurrency@@6B@ 0020 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C7 41 10 00 00 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_13_0 {
	meta:
		name = "??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z"
		size = 148
		refs = "001c ??_7WaitBlock@details@Concurrency@@6B@ 0037 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 004c ??_7MultiWaitBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 41 8A D9 48 89 01 C7 41 10 00 00 00 00 41 8A E8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 48 83 66 18 00 48 83 66 20 00 48 89 46 08 48 8D 05 ?? ?? ?? ?? 40 88 6E 50 48 8B 6C 24 38 48 89 06 33 C0 84 DB 48 8B 5C 24 30 C7 46 28 00 00 00 00 0F 95 C0 48 03 C7 48 89 46 30 48 C7 46 40 00 00 00 00 48 C7 46 48 00 00 00 00 48 8B C6 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_550_16_0 {
	meta:
		name = "?GetWaitNode@MultiWaitBlockHolder@details@Concurrency@@QEBAPEAVEventWaitNode@23@_K@Z"
		size = 16
	strings:
		$1 = { 48 8B 41 08 48 0F AF C2 48 03 41 18 48 03 01 C3 }
	condition:
		$1
}

rule file_550_17_0 {
	meta:
		name = "?GetIndexOfNode@MultiWaitBlockHolder@details@Concurrency@@QEBA_KPEAVEventWaitNode@23@@Z"
		size = 17
	strings:
		$1 = { 48 8B C2 33 D2 48 2B 41 18 48 2B 01 48 F7 71 08 C3 }
	condition:
		$1
}

rule file_550_18_0 {
	meta:
		name = "??0WaitAllBlock@details@Concurrency@@QEAA@_K_N1@Z"
		size = 49
		refs = "0011 ??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z 0018 ??_7WaitAllBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C7 4C 89 1F 48 89 5F 38 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_550_19_0 {
	meta:
		name = "??0WaitAnyBlock@details@Concurrency@@QEAA@_K_N1@Z"
		size = 41
		refs = "000a ??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z 0011 ??_7WaitAnyBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 C7 43 38 01 00 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_21_0 {
	meta:
		name = "?Satisfy@EventWaitNode@details@Concurrency@@QEAA_NPEAPEAVContext@3@@Z"
		size = 16
	strings:
		$1 = { 48 8B 41 08 4C 8B C1 4C 8B 08 48 8B C8 49 FF 21 }
	condition:
		$1
}

rule file_550_25_0 {
	meta:
		name = "??0event@Concurrency@@QEAA@XZ"
		size = 39
		refs = "001a ??0critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8B D9 48 C7 01 00 00 00 00 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_26_0 {
	meta:
		name = "??1event@Concurrency@@QEAA@XZ"
		size = 170
		refs = "002b ?_Flush_current_owner@critical_section@Concurrency@@QEAAXXZ 00a6 ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 48 8B D9 48 8D 69 10 48 8B CD E8 ?? ?? ?? ?? 33 F6 48 8B 3B 48 83 FF 01 76 38 48 85 FF 74 33 4C 8B 27 48 8B 4F 08 48 8B 01 4C 8B C7 33 D2 FF 10 84 C0 74 06 48 89 37 48 8B F7 49 8B FC 4D 85 E4 75 DD 48 85 F6 74 0B 48 8B 43 08 48 89 06 48 89 73 08 48 8B 4B 08 48 85 C9 74 15 48 8B 19 48 8B 49 08 48 8B 01 FF 50 10 48 8B CB 48 85 DB 75 EB 48 8B CD 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_550_27_0 {
	meta:
		name = "?dtor$0@?0???1event@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_526_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_549_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_506_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_529_1 {
	meta:
		name = "?dtor$0@?0???1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_550_28_0 {
	meta:
		name = "??0SingleWaitBlock@details@Concurrency@@QEAA@XZ"
		size = 59
		refs = "000e ??_7WaitBlock@details@Concurrency@@6B@ 0020 ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 002b ??_7SingleWaitBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 C7 41 10 00 00 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_29_0 {
	meta:
		name = "?reset@event@Concurrency@@QEAAXXZ"
		size = 135
		refs = "0029 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 006e ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 8B D9 48 8D 51 10 48 8D 48 D0 E8 ?? ?? ?? ?? 90 48 8B 03 48 83 F8 01 75 31 33 F6 48 8B 7B 08 48 21 73 08 48 85 FF 74 1F 48 8B 2F 48 8B 4F 08 48 8B 01 FF 50 08 84 C0 74 06 48 89 37 48 8B F7 48 8B FD 48 85 ED 75 E1 48 89 33 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_550_31_0 {
	meta:
		name = "?set@event@Concurrency@@QEAAXXZ"
		size = 367
		refs = "002a __security_cookie 0045 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 0097 __chkstk 00b1 malloc 0113 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 0145 free 0151 __security_check_cookie"
	strings:
		$1 = { 40 55 41 55 41 56 48 83 EC 60 48 8D 6C 24 20 48 C7 45 08 FE FF FF FF 48 89 5D 60 48 89 75 68 48 89 7D 70 4C 89 65 78 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 30 4C 8B F1 33 DB 33 FF 48 8D 51 10 48 8D 4D 10 E8 ?? ?? ?? ?? 90 8D 73 01 49 87 36 48 83 FE 01 0F 86 B4 00 00 00 33 C9 48 8B C6 48 85 F6 74 0A FF C1 48 8B 00 48 85 C0 75 F6 48 8D 0C CD 10 00 00 00 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 20 48 85 DB 74 1F C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C3 10 33 FF 48 85 F6 74 40 4C 8B E3 4C 8B 2E 48 8B 4E 08 48 8B 01 4C 8B C6 48 8D 55 00 FF 10 84 C0 74 0B 49 8B 46 08 48 89 06 49 89 76 08 48 8B 45 00 48 85 C0 74 0A 49 89 04 24 FF C7 49 83 C4 08 49 8B F5 4D 85 ED 75 C3 48 8D 4D 10 E8 ?? ?? ?? ?? 4C 63 DF 85 FF 74 15 4A 8D 34 DB 48 83 EE 08 48 8B 0E 48 8B 01 FF 50 18 FF CF 75 EF 48 85 DB 74 11 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 48 8B 4D 30 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 60 48 8B 75 68 48 8B 7D 70 4C 8B 65 78 48 8D 65 40 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_550_33_0 {
	meta:
		name = "??0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z"
		size = 263
		refs = "004c ??_U@YAPEAX_K@Z 007a ??0MultiWaitBlock@details@Concurrency@@QEAA@_K_N1@Z 0081 ??_7WaitAllBlock@details@Concurrency@@6B@ 00ab ??_7WaitAnyBlock@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 68 45 8A E1 49 8B E8 8A DA 48 8B F1 48 83 61 28 00 48 C7 01 60 00 00 00 48 C7 41 08 10 00 00 00 49 8D 48 06 48 C1 E1 04 48 89 4E 10 E8 ?? ?? ?? ?? 48 8B F8 48 89 46 18 48 89 46 20 48 89 44 24 60 84 DB 74 2A 8A 5C 24 70 48 85 C0 74 1F 44 8A CB 45 8A C4 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 48 89 6F 38 EB 2C 8A 5C 24 70 48 85 C0 74 23 44 8A CB 45 8A C4 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 48 C7 47 38 01 00 00 00 48 8B 0E 48 03 4E 18 48 85 ED 74 19 48 8B D5 48 85 C9 74 08 48 8B 46 20 48 89 41 08 48 03 4E 08 48 FF CA 75 EA F6 DB 48 1B C0 48 F7 D8 48 FF C0 48 03 C5 48 89 46 30 48 8B C6 48 8B 5C 24 58 48 8B 6C 24 68 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_550_34_0 {
	meta:
		name = "?dtor$0@?0???0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z@4HA"
		size = 48
		refs = "0019 ??3@YAXPEAX0@Z"
		altNames = "?dtor$1@?0???0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 50 48 83 C2 18 48 8B 12 48 8B 4D 60 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_550_36_0 {
	meta:
		name = "?Satisfy@SingleWaitBlock@details@Concurrency@@UEAA_NPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 81
	strings:
		$1 = { 48 83 EC 28 49 8B 40 08 44 8B 48 10 41 83 F9 02 74 20 4D 8B 40 08 33 C0 44 8D 48 01 F0 45 0F B1 48 10 83 F8 02 74 0B 48 85 D2 74 1E 48 83 22 00 EB 18 48 85 D2 74 09 48 8B 41 08 48 89 02 EB 0A 48 8B 49 08 48 8B 01 FF 50 18 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_550_40_0 {
	meta:
		name = "?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
		size = 40
		refs = "001f ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 30 BA 01 00 00 00 F0 48 0F C1 51 48 48 FF C2 48 FF C0 48 3B D0 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_550_41_0 {
	meta:
		name = "?Satisfy@WaitAnyBlock@details@Concurrency@@UEAA_NPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 64
		refs = "0034 ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 D2 74 04 48 83 22 00 41 B9 01 00 00 00 F0 4C 0F C1 49 40 48 8B 41 38 49 FF C1 4C 3B C8 75 06 48 8B 01 FF 50 20 48 8B CB E8 ?? ?? ?? ?? 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_44_0 {
	meta:
		name = "?Sweep@WaitAnyBlock@details@Concurrency@@UEAA_NXZ"
		size = 41
	strings:
		$1 = { 48 83 EC 28 48 8B 51 40 48 8B 41 38 48 3B D0 72 11 48 8B 01 48 8D 54 24 30 45 33 C0 FF 10 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_550_45_0 {
	meta:
		name = "?Satisfy@WaitAllBlock@details@Concurrency@@UEAA_NPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 68
		refs = "0034 ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 D2 74 04 48 83 22 00 41 B9 01 00 00 00 F0 4C 0F C1 49 40 48 8B 41 38 49 FF C1 4C 3B C8 75 12 48 8B 01 FF 50 20 48 8B CB E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_46_0 {
	meta:
		name = "?Reset@WaitAllBlock@details@Concurrency@@UEAA_NXZ"
		size = 61
		refs = "0032 ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 4C 8B 49 38 4C 8B 41 40 4D 3B C1 74 20 49 8D 50 FF 49 8B C0 F0 48 0F B1 51 40 74 08 4C 8B C0 49 3B C1 75 E9 4D 3B C1 74 04 B0 01 EB 07 E8 ?? ?? ?? ?? 32 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_550_47_0 {
	meta:
		name = "?Sweep@WaitAllBlock@details@Concurrency@@UEAA_NXZ"
		size = 34
	strings:
		$1 = { 48 83 EC 28 48 8B 51 40 48 8B 41 38 48 3B D0 72 0A 48 8B 01 FF 50 08 32 C0 EB 02 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_550_49_0 {
	meta:
		name = "?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@@Z"
		size = 75
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 48 8B D9 48 85 C9 74 1F 48 8B 4B 08 48 8B 33 48 8B 01 FF 50 18 84 C0 74 06 48 89 3B 48 8B FB 48 8B DE 48 85 F6 75 E1 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_550_50_0 {
	meta:
		name = "?Set@StructuredEvent@details@Concurrency@@QEAAXXZ"
		size = 78
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D1 48 8B 09 41 B8 01 00 00 00 48 8B C1 F0 4C 0F B1 02 74 0D 48 8B C8 F0 4C 0F B1 02 48 3B C1 75 F3 49 3B C8 76 1A 48 85 C9 74 15 48 8B 19 48 8B 49 08 48 8B 01 FF 50 18 48 8B CB 48 85 DB 75 EB 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_63_0 {
	meta:
		name = "??1MultiWaitBlockHolder@details@Concurrency@@QEAA@XZ"
		size = 52
		refs = "001c ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 30 48 8B D9 48 39 41 28 73 17 48 8B 4B 20 48 FF 43 28 E8 ?? ?? ?? ?? 4C 8B 5B 30 4C 39 5B 28 72 E9 48 FF 43 28 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_550_68_0 {
	meta:
		name = "?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ"
		size = 214
		refs = "0009 ?g_hTimerQueue@details@Concurrency@@3REAXEA 001d ?g_TimerQueueDemandInit@details@Concurrency@@3JC 0025 __imp_CreateTimerQueue 004c ?_UnderlyingYield@details@Concurrency@@YAXXZ 0071 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0090 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00a7 ??0exception@std@@QEAA@AEBQEBDH@Z 00ae ??_7bad_alloc@std@@6B@ 00b5 _TI2?AVbad_alloc@std@@ 00c4 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 85 C0 0F 85 B3 00 00 00 8D 58 01 F0 0F B1 1D ?? ?? ?? ?? 75 21 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 45 87 05 ?? ?? ?? ?? EB 3D 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 20 8B 05 ?? ?? ?? ?? 3B C3 75 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 4D 85 DB 74 E0 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 3C 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 38 44 8B C3 48 89 44 24 60 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 48 8B 05 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_550_70_0 {
	meta:
		name = "?wait@event@Concurrency@@QEAA_KI@Z"
		size = 298
		refs = "0050 ?wait_for_multiple@event@Concurrency@@SA_KPEAPEAV12@_K_NI@Z 0060 ?_UnderlyingYield@details@Concurrency@@YAXXZ 007a ?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ 0085 ??_7WaitBlock@details@Concurrency@@6B@ 009a ?CurrentContext@Context@Concurrency@@SAPEAV12@XZ 00a5 ??_7SingleWaitBlock@details@Concurrency@@6B@ 00c1 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 00d8 ?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@@Z 00ec ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 010f ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 E7 FE FF FF FF 48 89 58 08 48 89 78 10 48 8B D9 83 FA FF 74 32 85 D2 75 11 48 8B 01 48 FF C8 48 F7 D8 48 1B C0 E9 D9 00 00 00 48 89 4D 77 44 8B CA 41 B0 01 BA 01 00 00 00 48 8D 4D 77 E8 ?? ?? ?? ?? E9 BC 00 00 00 83 65 1F 00 48 8D 05 ?? ?? ?? ?? 48 89 45 27 48 8B 03 48 83 F8 01 0F 84 9E 00 00 00 48 8D 4D 17 E8 ?? ?? ?? ?? 84 C0 75 E6 48 8D 05 ?? ?? ?? ?? 48 89 45 FF 48 83 65 07 00 C7 45 0F 00 00 00 00 E8 ?? ?? ?? ?? 48 89 45 07 48 8D 05 ?? ?? ?? ?? 48 89 45 FF 48 8D 45 FF 48 89 45 F7 40 32 FF 48 8D 53 10 48 8D 4D 2F E8 ?? ?? ?? ?? 90 48 8B 03 48 83 F8 01 75 05 40 8A F8 EB 13 48 8B 0B E8 ?? ?? ?? ?? 48 89 45 EF 48 8D 45 EF 48 89 03 48 8D 4D 2F E8 ?? ?? ?? ?? 40 84 FF 75 1E 8B 45 0F 83 F8 01 74 16 B9 02 00 00 00 33 C0 F0 0F B1 4D 0F 83 F8 01 74 05 E8 ?? ?? ?? ?? 33 C0 4C 8D 9C 24 90 00 00 00 49 8B 5B 10 49 8B 7B 18 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_550_72_0 {
	meta:
		name = "?SingleSatisfy@MultiWaitBlock@details@Concurrency@@MEAAXPEAPEAVContext@3@PEAVEventWaitNode@23@@Z"
		size = 233
		refs = "0053 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 005e __imp_GetLastError 007b __imp_DeleteTimerQueueTimer 008f ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 80 79 50 00 48 8B 71 08 4D 8B E0 48 8B FA 48 8B D9 41 BD 01 00 00 00 74 14 41 8B C5 F0 0F C1 41 28 41 03 C5 41 3B C5 0F 85 8B 00 00 00 48 8B 69 20 4C 89 41 18 48 85 ED 74 41 E8 ?? ?? ?? ?? 48 8B D5 EB 16 FF 15 ?? ?? ?? ?? 3D E5 03 00 00 74 1A E8 ?? ?? ?? ?? 48 8B 53 20 49 83 C8 FF 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 74 D9 8B 43 28 41 3B C5 75 08 48 8B CB E8 ?? ?? ?? ?? 49 8B 44 24 08 8B 48 10 83 F9 02 74 1D 49 8B 4C 24 08 33 C0 F0 44 0F B1 69 10 83 F8 02 74 0B 48 85 FF 74 19 48 83 27 00 EB 13 48 85 FF 74 05 48 89 37 EB 09 48 8B 06 48 8B CE FF 50 18 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_550_73_0 {
	meta:
		name = "?DispatchEventTimer@MultiWaitBlock@details@Concurrency@@SAXPEAXE@Z"
		size = 111
		refs = "0026 __imp_GetLastError 0032 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 0042 __imp_DeleteTimerQueueTimer 006b ?NotifyCompletedNode@MultiWaitBlock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 B8 01 00 00 00 F0 0F C1 41 28 FF C0 83 F8 01 75 3F 48 8B 79 08 EB 0D FF 15 ?? ?? ?? ?? 3D E5 03 00 00 74 19 E8 ?? ?? ?? ?? 48 8B 53 20 45 33 C0 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 74 DA 48 85 FF 74 0E 48 83 63 18 00 48 8B 07 48 8B CF FF 50 18 48 8B CB 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_550_74_0 {
	meta:
		name = "?Wait@StructuredEvent@details@Concurrency@@QEAAXXZ"
		size = 144
		refs = "0021 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0032 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0046 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0081 ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 8B 01 48 8B D9 48 83 F8 01 74 6F 83 64 24 38 00 48 8B 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 40 EB 11 48 8D 4C 24 30 E8 ?? ?? ?? ?? 84 C0 74 0B 48 8B 3B 48 83 FF 01 75 E9 EB 40 E8 ?? ?? ?? ?? 48 89 7C 24 20 48 8D 4C 24 20 48 89 44 24 28 48 8B C7 F0 48 0F B1 0B 74 1D 48 8B C8 48 83 F8 01 74 19 48 89 44 24 20 48 8D 54 24 20 F0 48 0F B1 13 48 3B C1 75 E3 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_550_75_0 {
	meta:
		name = "?wait_for_multiple@event@Concurrency@@SA_KPEAPEAV12@_K_NI@Z"
		size = 894
		refs = "003d ??_C@_07CAAEJHLA@pEvents?$AA@ 004e ??0exception@std@@QEAA@AEBQEBD@Z 0055 ??_7invalid_argument@std@@6B@ 0060 _TI3?AVinvalid_argument@std@@ 0069 _CxxThrowException 00d2 ?wait@event@Concurrency@@QEAA_KI@Z 014f ??0MultiWaitBlockHolder@details@Concurrency@@QEAA@_N_K00@Z 0179 ??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z 01cb ?Sweep@details@Concurrency@@YAPEAVEventWaitNode@12@PEAV312@@Z 0209 ??1scoped_lock@critical_section@Concurrency@@QEAA@XZ 02c2 ?GetSharedTimerQueue@details@Concurrency@@YAPEAXXZ 02e4 ?DispatchEventTimer@MultiWaitBlock@details@Concurrency@@SAXPEAXE@Z 02ea __imp_CreateTimerQueueTimer 02f5 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0309 ??0exception@std@@QEAA@AEBQEBDH@Z 0310 ??_7bad_alloc@std@@6B@ 031b _TI2?AVbad_alloc@std@@ 032f ?Block@Context@Concurrency@@SAXXZ 035c ??1MultiWaitBlockHolder@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 44 88 40 18 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 98 48 81 EC 30 01 00 00 48 C7 45 A0 FE FF FF FF 48 89 58 10 41 8B F9 45 8A D0 48 8B F2 4C 8B F1 48 85 C9 75 34 48 8D 05 ?? ?? ?? ?? 48 89 45 98 48 8D 55 98 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D D8 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 E8 ?? ?? ?? ?? CC 48 85 D2 75 07 33 C0 E9 E9 02 00 00 83 C9 FF 41 BC 01 00 00 00 49 3B D4 75 53 45 85 C9 74 05 44 3B C9 75 49 49 8B 0E 48 85 C9 75 34 48 8D 05 ?? ?? ?? ?? 48 89 45 80 48 8D 55 80 48 8D 4D C0 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D C0 E8 ?? ?? ?? ?? CC 41 8B D1 E8 ?? ?? ?? ?? E9 88 02 00 00 33 C0 48 85 D2 74 45 49 83 3C C6 00 74 0A 49 03 C4 48 3B C2 72 F1 EB 34 48 8D 05 ?? ?? ?? ?? 48 89 45 90 48 8D 55 90 48 8D 4D F0 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D F0 48 8D 15 ?? ?? ?? ?? 48 8D 4D F0 E8 ?? ?? ?? ?? CC 45 85 C9 74 0A 44 3B C9 74 05 41 8A C4 EB 02 33 C0 44 3B C9 41 0F 95 C1 88 44 24 20 4C 8B C2 41 8A D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 90 48 8B 5C 24 68 45 32 FF 45 33 ED 48 85 F6 0F 84 0D 01 00 00 4B 8B 04 EE 48 89 45 70 48 8D 50 10 48 8D 4D 08 E8 ?? ?? ?? ?? 90 4C 8B 64 24 50 4D 0F AF E5 4C 03 64 24 60 4C 03 64 24 48 48 FF 44 24 70 48 8B 45 70 48 8B 08 48 83 F9 01 75 4B 49 8B 4C 24 08 4D 8B C4 48 8D 54 24 40 48 8B 01 80 BD 80 00 00 00 00 74 5E FF 10 84 C0 74 19 48 8B 45 70 48 8B 48 08 E8 ?? ?? ?? ?? 49 89 04 24 48 8B 45 70 4C 89 60 08 41 BC 01 00 00 00 48 83 7C 24 40 00 74 1B 45 8A FC EB 16 E8 ?? ?? ?? ?? 49 89 04 24 48 8B 45 70 4C 89 20 41 BC 01 00 00 00 48 8D 4D 08 E8 ?? ?? ?? ?? 4D 03 EC 4C 3B EE 73 57 E9 4E FF FF FF FF 10 45 0F B6 FF 48 83 7C 24 40 00 41 BC 01 00 00 00 45 0F 45 FC 49 FF C5 EB 29 4C 8B 44 24 50 4D 0F AF C5 4C 03 44 24 60 4C 03 44 24 48 4C 01 64 24 70 49 8B 48 08 48 8B 01 48 8D 54 24 40 FF 10 4D 03 EC 4C 3B EE 72 D2 48 8D 4D 08 E8 ?? ?? ?? ?? 45 84 FF 0F 85 BE 00 00 00 8B 43 10 41 3B C4 0F 84 B2 00 00 00 B9 02 00 00 00 33 C0 F0 0F B1 4B 10 41 3B C4 0F 84 9D 00 00 00 85 FF 75 1B 41 8B C4 F0 0F C1 43 28 41 03 C4 41 3B C4 0F 85 80 00 00 00 48 83 63 18 00 EB 7E 83 FF FF 74 74 8B 43 28 85 C0 75 6D E8 ?? ?? ?? ?? 48 8B D0 48 8D 4B 20 C7 44 24 30 20 00 00 00 83 64 24 28 00 89 7C 24 20 4C 8B CB 4C 8D 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 37 48 8D 05 ?? ?? ?? ?? 48 89 45 88 45 8B C4 48 8D 55 88 48 8D 4D A8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D A8 48 8D 15 ?? ?? ?? ?? 48 8D 4D A8 E8 ?? ?? ?? ?? CC 4C 01 64 24 70 E8 ?? ?? ?? ?? 48 8B 43 18 48 85 C0 75 06 48 83 CB FF EB 14 48 2B 44 24 60 48 2B 44 24 48 33 D2 48 F7 74 24 50 48 8B D8 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B C3 48 8B 9C 24 78 01 00 00 48 81 C4 30 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_550_76_0 {
	meta:
		name = "?dtor$0@?0??wait_for_multiple@event@Concurrency@@SA_KPEAPEAV12@_K_NI@Z@4HA"
		size = 16
		refs = "0008 ??1MultiWaitBlockHolder@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_579_79_0 {
	meta:
		name = "?dtor$0@?0??CreateSchedulerProxy@ResourceManager@details@Concurrency@@AEAAPEAVSchedulerProxy@23@PEAUIScheduler@3@@Z@4HA"
		size = 16
		refs = "0008 ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_276_1 {
	meta:
		name = "?dtor$0@?0??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_394_1 {
	meta:
		name = "?dtor$0@?0??do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_929_2 {
	meta:
		name = "?dtor$1@?0??do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_857_2 {
	meta:
		name = "?dtor$1@?0??do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_551_0_0 {
	meta:
		name = "_getbuf"
		size = 83
		refs = "0008 _cflush 0015 _malloc_crt"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 05 ?? ?? ?? ?? 48 8B D9 B9 00 10 00 00 E8 ?? ?? ?? ?? 48 89 43 10 48 85 C0 74 0D 83 4B 18 08 C7 43 24 00 10 00 00 EB 13 83 4B 18 04 48 8D 43 20 C7 43 24 02 00 00 00 48 89 43 10 48 8B 43 10 83 63 08 00 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_553_0_0 {
	meta:
		name = "ceilf"
		size = 209
		refs = "0050 ??_C@_05KFMLJNHJ@ceilf?$AA@ 0066 _handle_errorf 0092 __real@3f800000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 0F 28 C8 F3 0F 11 4C 24 60 8B 54 24 60 8B C2 0F BA F0 1F 3B D0 41 0F 95 C0 3D 00 00 80 4B 72 47 3D 00 00 80 7F 76 3E 0F 57 C0 C7 44 24 40 01 00 00 00 44 8B C2 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 BA 0C 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 83 64 24 20 00 44 8D 4A F5 E8 ?? ?? ?? ?? EB 60 EB 5E 3D 00 00 80 3F 73 23 85 C0 74 F3 45 85 C0 74 10 C7 44 24 60 00 00 00 80 F3 0F 10 44 24 60 EB 3E F3 0F 10 05 ?? ?? ?? ?? EB 34 8B C2 B9 96 00 00 00 C1 E8 17 2B C8 B8 01 00 00 00 D3 E0 FF C8 F7 D0 23 C2 89 44 24 60 F3 0F 10 44 24 60 45 85 C0 75 0C 3B D0 74 08 F3 0F 58 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_554_0_0 {
	meta:
		name = "vscan_fn"
		size = 174
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 DB 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 4B 48 85 F6 74 E6 C7 44 24 38 49 00 00 00 48 89 5C 24 30 48 89 5C 24 20 48 81 FF FF FF FF 3F 76 0A C7 44 24 28 FF FF FF 7F EB 07 8D 04 3F 89 44 24 28 4C 8B 8C 24 88 00 00 00 4C 8B 84 24 80 00 00 00 48 8D 4C 24 20 48 8B D6 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_555_1_0 {
	meta:
		name = "?_Assign@SchedulerPolicy@Concurrency@@AEAAXAEBV12@@Z"
		size = 17
		refs = "000d memcpy"
	strings:
		$1 = { 48 8B 12 48 8B 09 41 B8 24 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_555_3_0 {
	meta:
		name = "?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ"
		size = 103
		refs = "0012 ?GetOSVersion@Concurrency@@YA?AW4OSVersion@IResourceManager@1@XZ 002a ?GetProcessorCount@Concurrency@@YAIXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B D9 83 38 01 75 18 E8 ?? ?? ?? ?? 83 F8 05 48 8B 03 75 08 C7 00 01 00 00 00 EB 03 83 20 00 E8 ?? ?? ?? ?? 48 8B 0B 83 CA FF 39 51 08 75 19 39 51 04 75 08 89 41 04 48 8B 0B EB 07 39 41 04 0F 42 41 04 89 41 08 EB 0F 39 51 04 75 0A 39 41 08 0F 47 41 08 89 41 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_555_4_0 {
	meta:
		name = "?_StringFromPolicyKey@SchedulerPolicy@Concurrency@@CAPEADI@Z"
		size = 24
		refs = "000f ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA"
	strings:
		$1 = { B8 09 00 00 00 3B C8 0F 47 C8 8B C1 48 8D 0D ?? ?? ?? ?? 48 8B 04 C1 C3 }
	condition:
		$1
}

rule file_555_6_0 {
	meta:
		name = "?_ValidPolicyValue@SchedulerPolicy@Concurrency@@CA_NW4PolicyElementKey@2@I@Z"
		size = 149
	strings:
		$1 = { 45 33 C9 41 B8 01 00 00 00 85 C9 74 72 41 3B C8 74 5C 83 F9 02 74 5B 83 F9 03 74 4C 83 F9 05 7E 3D 83 F9 06 74 17 83 F9 07 74 09 41 3B D0 74 61 85 D2 EB 23 85 D2 74 59 41 3B D0 EB 1A 83 FA F9 7C 05 83 FA 07 7C 4A 83 FA 0F 74 45 83 FA F1 74 40 81 FA 00 F0 00 00 74 38 45 8A C1 EB 33 81 FA FF FF FF 7F 76 2B EB F1 85 D2 74 ED EB F0 85 D2 74 08 81 FA FF FF FF 7F 76 17 83 FA FF EB D8 85 D2 74 0E 41 0F B6 C0 41 3B D0 41 0F 45 C1 44 8A C0 41 8A C0 C3 }
	condition:
		$1
}

rule file_555_7_0 {
	meta:
		name = "?_AreConcurrencyLimitsValid@SchedulerPolicy@Concurrency@@CA_NII@Z"
		size = 21
	strings:
		$1 = { 83 C8 FF 3B D0 74 0B 3B C8 74 07 3B D1 73 03 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_555_8_0 {
	meta:
		name = "??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z"
		size = 60
		refs = "0016 ??2@YAPEAX_K@Z 002a memcpy"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 B9 24 00 00 00 48 8B DA E8 ?? ?? ?? ?? 41 B8 24 00 00 00 48 89 07 48 8B 13 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_555_9_0 {
	meta:
		name = "??4SchedulerPolicy@Concurrency@@QEAAAEAV01@AEBV01@@Z"
		size = 35
		refs = "0016 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 12 48 8B D9 48 8B 09 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_555_10_0 {
	meta:
		name = "?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z"
		size = 75
		refs = "001e ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 0027 ??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z 002e _TI2?AVinvalid_scheduler_policy_key@Concurrency@@ 0038 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B C1 83 FA 08 76 31 B8 09 00 00 00 48 8D 4C 24 20 3B D0 0F 47 D0 48 8D 05 ?? ?? ?? ?? 48 8B 14 D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 00 48 63 CA 8B 04 88 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_555_14_0 {
	meta:
		name = "?SetPolicyValue@SchedulerPolicy@Concurrency@@QEAAIW4PolicyElementKey@2@I@Z"
		size = 205
		refs = "0032 ?_ValidPolicyValue@SchedulerPolicy@Concurrency@@CA_NW4PolicyElementKey@2@I@Z 004c ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 0055 ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 005c _TI2?AVinvalid_scheduler_policy_value@Concurrency@@ 0066 _CxxThrowException 0071 ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 0081 ?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ 00b7 ??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z 00be _TI2?AVinvalid_scheduler_policy_key@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 48 63 FA 41 8B E8 48 8B F1 83 FF 08 77 7A 83 FF 02 74 75 83 FF 01 74 70 41 8B D0 8B CF E8 ?? ?? ?? ?? 84 C0 75 31 B8 09 00 00 00 48 8D 4C 24 20 3B F8 0F 47 F8 48 8D 05 ?? ?? ?? ?? 48 8B 14 F8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B 0E 89 2C B9 48 8B CE 8B D8 E8 ?? ?? ?? ?? 48 8B 6C 24 58 48 8B 74 24 60 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 B8 09 00 00 00 48 8D 4C 24 20 3B F8 0F 47 F8 48 8D 05 ?? ?? ?? ?? 48 8B 14 F8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_555_18_0 {
	meta:
		name = "?_ValidateConcRTPolicy@SchedulerPolicy@Concurrency@@QEBAXXZ"
		size = 116
		refs = "000f ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 001a ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 0024 ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 002b _TI2?AVinvalid_scheduler_policy_value@Concurrency@@ 0035 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 BA 02 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 85 C0 75 23 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC BA 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 23 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_555_19_0 {
	meta:
		name = "?_AreConcurrencyLimitsValid@SchedulerPolicy@Concurrency@@AEBA_NXZ"
		size = 80
		refs = "001a ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 BF 01 00 00 00 48 8B D9 8B D7 E8 ?? ?? ?? ?? 8D 57 01 48 8B CB 8B F0 E8 ?? ?? ?? ?? 83 C9 FF 3B F1 74 0B 3B C1 74 07 3B F0 73 03 40 32 FF 48 8B 5C 24 30 48 8B 74 24 38 40 8A C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_555_20_0 {
	meta:
		name = "?_ArePolicyCombinationsValid@SchedulerPolicy@Concurrency@@AEBA_NXZ"
		size = 62
		refs = "0013 ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 BA 02 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 33 D2 48 8B CB 8B F8 E8 ?? ?? ?? ?? 83 F8 01 75 06 33 C0 85 FF 74 05 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_555_21_0 {
	meta:
		name = "?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z"
		size = 354
		refs = "0030 ??2@YAPEAX_K@Z 004b ?PolicyDefaults@details@Concurrency@@3PAIA 0053 memcpy 008a ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 0098 ??0invalid_scheduler_policy_key@Concurrency@@QEAA@PEBD@Z 009f _TI2?AVinvalid_scheduler_policy_key@Concurrency@@ 00a9 _CxxThrowException 00ae ?_ValidPolicyValue@SchedulerPolicy@Concurrency@@CA_NW4PolicyElementKey@2@I@Z 00d1 ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 00d8 _TI2?AVinvalid_scheduler_policy_value@Concurrency@@ 00f5 ?_AreConcurrencyLimitsValid@SchedulerPolicy@Concurrency@@AEBA_NXZ 0103 ??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@XZ 010a _TI2?AVinvalid_scheduler_policy_thread_specification@Concurrency@@ 011c ?_ArePolicyCombinationsValid@SchedulerPolicy@Concurrency@@AEBA_NXZ 012a ??0invalid_scheduler_policy_value@Concurrency@@QEAA@XZ 0143 ?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 41 54 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 49 8B F0 4C 8B E2 48 8B D9 B9 24 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 A0 00 00 00 48 89 03 41 B8 24 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4D 3B D4 0F 83 8E 00 00 00 48 83 06 08 48 8B 06 48 63 48 F8 48 83 C0 08 48 89 06 8B 50 F8 83 F9 08 76 30 B8 09 00 00 00 3B C8 0F 47 C8 48 8D 05 ?? ?? ?? ?? 48 8B 14 C8 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 30 B8 09 00 00 00 3B C8 0F 47 C8 48 8D 05 ?? ?? ?? ?? 48 8B 14 C8 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 89 14 8F 49 FF C2 E9 69 FF FF FF 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 1B 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 1B 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 41 5C C3 }
	condition:
		$1
}

rule file_555_23_0 {
	meta:
		name = "__catch$?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z$0"
		size = 22
		refs = "0008 ??3@YAXPEAX@Z 0011 _CxxThrowException"
	strings:
		$1 = { 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_555_27_0 {
	meta:
		name = "?SetConcurrencyLimits@SchedulerPolicy@Concurrency@@QEAAXII@Z"
		size = 237
		refs = "002f ?PolicyElementKeyStrings@details@Concurrency@@3PAPEADA 0039 ??0invalid_scheduler_policy_value@Concurrency@@QEAA@PEBD@Z 0040 _TI2?AVinvalid_scheduler_policy_value@Concurrency@@ 004a _CxxThrowException 008c ??0invalid_scheduler_policy_thread_specification@Concurrency@@QEAA@XZ 0093 _TI2?AVinvalid_scheduler_policy_thread_specification@Concurrency@@ 00a6 ?_ArePolicyCombinationsValid@SchedulerPolicy@Concurrency@@AEBA_NXZ 00b4 ??0invalid_scheduler_policy_value@Concurrency@@QEAA@XZ 00e9 ?_ResolvePolicyValues@SchedulerPolicy@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 83 C8 FF 48 8B F1 41 8B D8 8B FA B9 FF FF FF 7F 45 85 C0 74 04 3B D9 76 27 3B D8 74 23 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 3B D1 76 27 3B D0 74 23 48 8B 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 3B D8 74 24 3B D0 74 20 3B DA 73 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 06 48 8B CE 89 58 04 48 8B 06 89 78 08 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_555_28_0 {
	meta:
		name = "??0SchedulerPolicy@Concurrency@@QEAA@XZ"
		size = 28
		refs = "000f ?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 33 D2 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_555_29_0 {
	meta:
		name = "??0SchedulerPolicy@Concurrency@@QEAA@_KZZ"
		size = 49
		refs = "0024 ?_Initialize@SchedulerPolicy@Concurrency@@AEAAX_KPEAPEAD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 53 10 4D 89 43 18 4D 89 4B 20 53 48 83 EC 30 49 8D 43 18 4D 8D 43 E8 48 8B D9 49 89 43 E8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_556_17_0 {
	meta:
		name = "?SearchForWork@VirtualProcessor@details@Concurrency@@QEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@@Z"
		size = 17
	strings:
		$1 = { 48 8D 41 30 41 B9 07 00 00 00 48 8B C8 48 FF 60 28 }
	condition:
		$1
}

rule file_556_19_0 {
	meta:
		name = "?SearchForWorkInYield@VirtualProcessor@details@Concurrency@@QEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@@Z"
		size = 17
	strings:
		$1 = { 48 8D 41 30 41 B9 03 00 00 00 48 8B C8 48 FF 60 30 }
	condition:
		$1
}

rule file_556_31_0 {
	meta:
		name = "?GetAndResetOversubscribedVProc@InternalContextBase@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAV423@@Z"
		size = 40
	strings:
		$1 = { 45 33 C9 48 85 D2 74 1C 4C 8B 81 E8 00 00 00 49 3B D0 75 10 48 8B C2 F0 4C 0F B1 89 E8 00 00 00 4C 0F 44 CA 49 8B C1 C3 }
	condition:
		$1
}

rule file_556_32_0 {
	meta:
		name = "?GetVirtualProcessorId@InternalContextBase@details@Concurrency@@UEBAIXZ"
		size = 69
		refs = "000e ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0034 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 87 D0 00 00 00 48 85 C0 74 0F 48 8B 87 D0 00 00 00 8B 98 BC 00 00 00 EB 03 83 CB FF 48 8B CF E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_556_33_0 {
	meta:
		name = "?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z"
		size = 276
		refs = "0052 ?AddRunnableContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z 0067 ?g_TraceOn@details@Concurrency@@3_NA 0072 ?g_EnableLevel@details@Concurrency@@3EA 0084 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0090 ?ReleaseInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@@Z 009b ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 00f3 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 41 BF 01 00 00 00 4C 8B F2 41 8B E8 48 8B D9 41 8B D0 41 8B FF 45 85 C0 74 22 FF CA 74 5C FF CA 74 09 FF CA 75 54 8D 7A 02 EB 4F 48 8B D1 48 8B 49 40 45 33 C0 E8 ?? ?? ?? ?? EB 3E 8B 79 30 48 8B 49 48 48 8B 01 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CF 44 8B C0 B9 06 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 40 48 8B D3 E8 ?? ?? ?? ?? 33 FF 48 8D 4B 10 E8 ?? ?? ?? ?? 48 8B B3 E0 00 00 00 48 C7 83 E0 00 00 00 00 00 00 00 4C 8B AB D8 00 00 00 44 87 7B 60 48 8B 06 49 8B D6 48 8B CE FF 50 20 4D 85 F6 75 0C 48 8B 06 48 8B CE FF 50 08 4C 8B F0 4D 8B 4D 00 44 8B C7 49 8B D6 49 8B CD 41 FF 51 08 85 ED 74 09 48 8D 4B 10 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_556_34_0 {
	meta:
		name = "?LeaveScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ"
		size = 270
		refs = "0021 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0056 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0060 ?Bind@WorkItem@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 0075 ?GetInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z 008a ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 00e6 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 40 48 8B E9 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 85 E0 00 00 00 4C 8B 45 40 83 64 24 20 00 48 83 64 24 30 00 48 8D 48 30 48 8D 54 24 20 41 B9 07 00 00 00 FF 50 58 48 8D 4D 10 84 C0 74 11 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? 48 8B 4D 40 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8D 4D 10 48 8B F8 E8 ?? ?? ?? ?? 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8B B5 E0 00 00 00 48 C7 85 E0 00 00 00 00 00 00 00 4C 8B A5 D8 00 00 00 B8 01 00 00 00 48 8B D7 87 45 60 4C 8B 06 48 8B CE 41 FF 50 20 48 85 FF 75 0C 48 8B 06 48 8B CE FF 50 08 48 8B F8 4D 8B 0C 24 41 B8 02 00 00 00 48 8B D7 49 8B CC 41 FF 51 08 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8D 4D 10 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5C C3 }
	condition:
		$1
}

rule file_556_35_0 {
	meta:
		name = "?WaitForWork@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 179
		refs = "002f ?MakeAvailable@VirtualProcessor@details@Concurrency@@QEAAXXZ 0043 ?EnsureAllTasksVisible@VirtualProcessor@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z 0072 ?VirtualProcessorIdle@SchedulerBase@details@Concurrency@@QEAAX_N@Z 008c ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 81 F8 00 00 00 8B 81 F8 00 00 00 48 8B D9 B9 00 01 00 00 3B C1 72 3A 75 27 48 8B 8B E0 00 00 00 C6 83 FE 00 00 00 01 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 48 8B D3 48 83 C4 20 5B E9 ?? ?? ?? ?? F6 83 FF 00 00 00 02 74 1B FF C8 89 83 F8 00 00 00 48 8B 8B D8 00 00 00 48 8B 01 48 83 C4 20 5B 48 FF 60 18 48 8B 4B 48 B2 01 E8 ?? ?? ?? ?? EB 09 48 8B 03 48 8B CB FF 50 48 48 8B 8B E0 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 84 C0 74 E4 48 8B 4B 48 33 D2 E8 ?? ?? ?? ?? 83 A3 F8 00 00 00 00 C6 83 FE 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_36_0 {
	meta:
		name = "?ExecutedAssociatedChore@InternalContextBase@details@Concurrency@@IEAA_NXZ"
		size = 136
		refs = "0021 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0048 ?Invoke@RealizedChore@details@Concurrency@@QEAAXXZ 0054 ?ReleaseRealizedChore@SchedulerBase@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z 005d ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 006e ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 83 B9 F0 00 00 00 00 48 8B F9 74 5A 48 83 C1 10 E8 ?? ?? ?? ?? 80 BF FD 00 00 00 00 74 0F 48 8B 87 F0 00 00 00 48 8B C8 FF 50 18 EB 1B 48 8B 9F F0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 48 48 8B D3 E8 ?? ?? ?? ?? 48 8D 4F 10 E8 ?? ?? ?? ?? 48 83 A7 F0 00 00 00 00 48 8D 4F 10 E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_556_38_0 {
	meta:
		name = "?ReclaimVirtualProcessor@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 77
		refs = "001a ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ 0038 ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 B9 FE 00 00 00 00 48 8B D9 74 35 48 8B 89 E0 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1E EB 09 48 8B 03 48 8B CB FF 50 48 48 8B 8B E0 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 84 C0 74 E4 C6 83 FE 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_39_0 {
	meta:
		name = "?PrepareForUse@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAU_Chore@23@_N@Z"
		size = 78
	strings:
		$1 = { C6 81 48 01 00 00 00 48 89 51 40 4D 85 C0 75 11 F6 82 BC 00 00 00 04 75 34 F0 FF 82 B4 00 00 00 C3 45 84 C9 74 19 F6 82 BC 00 00 00 04 75 07 F0 FF 82 B4 00 00 00 C6 81 FD 00 00 00 01 EB 07 C6 81 FD 00 00 00 00 4C 89 81 F0 00 00 00 C3 }
	condition:
		$1
}

rule file_556_43_0 {
	meta:
		name = "?SetProxy@InternalContextBase@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 78
		refs = "000c ??_C@_0N@FACDCNDA@pThreadProxy?$AA@ 0020 ??0exception@std@@QEAA@AEBQEBD@Z 0027 ??_7invalid_argument@std@@6B@ 002e _TI3?AVinvalid_argument@std@@ 003d _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 89 91 D8 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_556_45_0 {
	meta:
		name = "?Alloc@InternalContextBase@details@Concurrency@@UEAAPEAX_K@Z"
		size = 111
		refs = "0035 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0042 ?GetCurrentSubAllocator@VirtualProcessor@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ 004d ?Alloc@SubAllocator@details@Concurrency@@QEAAPEAX_K@Z 0058 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B FA 48 8B D9 48 8D 41 F0 48 F7 D8 48 1B F6 48 23 F1 48 89 74 24 40 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 8B D0 00 00 00 E8 ?? ?? ?? ?? 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_556_47_0 {
	meta:
		name = "?Free@InternalContextBase@details@Concurrency@@UEAAXPEAX@Z"
		size = 62
		refs = "0011 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 001d ?GetCurrentSubAllocator@VirtualProcessor@details@Concurrency@@QEAAPEAVSubAllocator@23@XZ 0028 ?Free@SubAllocator@details@Concurrency@@QEAAXPEAX@Z 003a ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8B 8F D0 00 00 00 E8 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_48_0 {
	meta:
		name = "?IncrementEnqueuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 55
		refs = "0012 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0033 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 4C 8B 9B E0 00 00 00 48 8D 4B 10 41 FF 83 A0 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_49_0 {
	meta:
		name = "?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z"
		size = 67
		refs = "0019 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 003f ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 83 C1 10 8B F2 E8 ?? ?? ?? ?? 4C 8B 9B E0 00 00 00 48 8D 4B 10 41 01 B3 A4 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_63_0 {
	meta:
		name = "?Oversubscribe@InternalContextBase@details@Concurrency@@UEAAX_N@Z"
		size = 147
		refs = "001a ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0034 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0045 ??0invalid_oversubscribe_operation@Concurrency@@QEAA@XZ 004c _TI2?AVinvalid_oversubscribe_operation@Concurrency@@ 0056 _CxxThrowException 0089 ?MarkForRetirement@VirtualProcessor@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 45 33 C0 48 8B D9 84 D2 74 28 FF 41 2C 83 79 2C 01 75 74 E8 ?? ?? ?? ?? 48 8B 8B D0 00 00 00 48 8B 01 FF 50 40 48 8B CB 48 83 C4 40 5B E9 ?? ?? ?? ?? 8B 41 2C 85 C0 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC FF C8 89 41 2C 75 2B 48 8B 89 D8 00 00 00 48 85 C9 74 1F 48 8B 83 D8 00 00 00 48 3B C8 75 13 48 8B C1 F0 4C 0F B1 83 D8 00 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_556_67_0 {
	meta:
		name = "?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z"
		size = 292
		refs = "0032 ?ReclaimVirtualProcessor@InternalContextBase@details@Concurrency@@IEAAXXZ 0050 ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0079 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0093 ?g_TraceOn@details@Concurrency@@3_NA 009e ?g_EnableLevel@details@Concurrency@@3EA 00b0 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 00bc ?ReleaseInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@@Z 00ca ?TriggerCommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXPEAVSafePointMarker@23@@Z 00d5 ?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z 00fc ?AddRunnableContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 54 48 83 EC 20 4C 8B A1 D8 00 00 00 48 8B 81 E0 00 00 00 40 32 F6 8B FA 48 8B D9 48 85 C0 0F 84 B6 00 00 00 E8 ?? ?? ?? ?? 4C 8B 9B E0 00 00 00 48 8D 73 10 41 8B 83 00 01 00 00 48 8B CE 89 44 24 48 E8 ?? ?? ?? ?? 48 8B 8B E0 00 00 00 48 8B 01 FF 50 18 48 C7 83 E0 00 00 00 00 00 00 00 BD 01 00 00 00 85 FF 74 0F 48 8B CE E8 ?? ?? ?? ?? 8B C5 87 43 60 EB 3C 48 8B 4B 48 8B 73 30 48 8B 01 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CE 44 8B C0 B9 06 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 40 48 8B D3 E8 ?? ?? ?? ?? 48 8B 4B 48 48 8D 54 24 48 E8 ?? ?? ?? ?? 48 8B 4B 48 33 D2 E8 ?? ?? ?? ?? 40 8A B3 FC 00 00 00 85 FF 75 03 87 6B 60 83 FF 02 7C 14 83 FF 03 7F 0F 48 8B 4B 40 45 33 C0 48 8B D3 E8 ?? ?? ?? ?? 85 FF 74 0A 49 8B 14 24 49 8B CC FF 52 10 48 8B 5C 24 40 48 8B 6C 24 50 40 8A C6 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_556_68_0 {
	meta:
		name = "?RejoinScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ"
		size = 54
		refs = "0012 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 001f ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 0032 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? BA 03 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8D 4B 10 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_69_0 {
	meta:
		name = "?WorkWasFound@InternalContextBase@details@Concurrency@@IEAA_NPEAVWorkItem@23@@Z"
		size = 64
		refs = "0029 ?ReclaimVirtualProcessor@InternalContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 81 E0 00 00 00 4C 8B 41 40 48 8B D9 48 8D 48 30 41 B9 07 00 00 00 FF 50 58 84 C0 74 13 48 8B CB E8 ?? ?? ?? ?? 83 A3 F8 00 00 00 00 B0 01 EB 02 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_70_0 {
	meta:
		name = "?ExecuteChoreInline@InternalContextBase@details@Concurrency@@IEAAXPEAVWorkItem@23@@Z"
		size = 112
		refs = "0017 ?TransferReferences@WorkItem@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z 002f ?IncrementDequeuedTaskCounterHelper@InternalContextBase@details@Concurrency@@QEAAXI@Z 004a ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0052 ?Invoke@WorkItem@details@Concurrency@@QEAAXXZ 005a ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 006c ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 8B D1 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5B 48 41 83 7B 10 01 75 0F BA 01 00 00 00 48 8B CB E8 ?? ?? ?? ?? EB 0D 48 8B 83 E0 00 00 00 FF 80 A4 00 00 00 48 83 C3 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_75_0 {
	meta:
		name = "?Block@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 324
		refs = "0013 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0026 ?g_TraceOn@details@Concurrency@@3_NA 0031 ?g_EnableLevel@details@Concurrency@@3EA 0043 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 007c ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00c8 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 00d2 ?Bind@WorkItem@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 0105 ?GetInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z 0117 ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 38 48 8B 01 8B 7B 20 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CF 44 8B C0 B9 03 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 D0 00 00 00 BF 01 00 00 00 80 B8 C1 00 00 00 00 8B C7 74 27 F0 0F C1 43 54 03 C7 8D 57 01 3B C7 75 0B 8B C7 F0 0F B1 53 54 75 02 8B D7 48 8D 4B F0 E8 ?? ?? ?? ?? E9 A8 00 00 00 F0 0F C1 43 54 03 C7 3B C7 0F 85 99 00 00 00 48 8B 83 D0 00 00 00 4C 8B 43 30 33 F6 21 74 24 20 48 21 74 24 30 44 8D 4E 07 48 8D 48 30 48 8D 54 24 20 FF 50 58 84 C0 74 2A 39 7C 24 20 74 1F 48 8B CB E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B CB 48 8B F0 E8 ?? ?? ?? ?? EB 05 48 8B 74 24 30 BA 02 00 00 00 8B C7 F0 0F B1 53 54 75 27 48 85 F6 75 11 48 8B 4B 30 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8B F0 48 8D 4B F0 44 8B C7 48 8B D6 E8 ?? ?? ?? ?? EB 10 48 85 F6 74 0B 48 8B 06 33 D2 48 8B CE FF 50 30 48 8B CB 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_76_0 {
	meta:
		name = "?Yield@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 388
		refs = "0024 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0038 ?g_TraceOn@details@Concurrency@@3_NA 0042 ?g_EnableLevel@details@Concurrency@@3EA 0054 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0072 ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00b6 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 00c0 ?Bind@WorkItem@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 00dd ?AddRunnableContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z 00e5 ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0142 ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 40 48 8B F9 40 32 F6 E8 ?? ?? ?? ?? 48 8B 4F 38 8B 5F 20 48 8B 01 FF 50 08 40 38 35 ?? ?? ?? ?? 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CB 44 8B C0 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B 87 D0 00 00 00 80 B8 C1 00 00 00 00 74 13 48 8D 4F F0 BA 02 00 00 00 E8 ?? ?? ?? ?? E9 D0 00 00 00 48 8B 87 D0 00 00 00 4C 8B 47 30 83 64 24 20 00 48 83 64 24 30 00 48 8D 48 30 48 8D 54 24 20 41 B9 03 00 00 00 FF 50 60 84 C0 0F 84 9D 00 00 00 83 7C 24 20 01 74 1A 48 8B CF E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 4F 30 4C 8B 64 24 30 48 8D 57 F0 45 33 C0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B AF D0 00 00 00 48 C7 87 D0 00 00 00 00 00 00 00 4C 8B AF C8 00 00 00 B8 01 00 00 00 49 8B D4 87 47 50 4C 8B 4D 00 48 8B CD 41 FF 51 20 4D 85 E4 75 0D 48 8B 45 00 48 8B CD FF 50 08 4C 8B E0 4D 8B 4D 00 41 B8 01 00 00 00 49 8B D4 49 8B CD 41 FF 51 08 48 8B CF E8 ?? ?? ?? ?? EB 03 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 0D 48 8B 8F C8 00 00 00 48 8B 01 FF 50 18 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_556_77_0 {
	meta:
		name = "?SpinYield@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 351
		refs = "0024 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0038 ?g_TraceOn@details@Concurrency@@3_NA 0042 ?g_EnableLevel@details@Concurrency@@3EA 0054 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 0072 ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00b8 ?AddRunnableContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z 00c0 ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 011d ?ExitHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 012a ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 40 48 8B F9 40 32 F6 E8 ?? ?? ?? ?? 48 8B 4F 38 8B 5F 20 48 8B 01 FF 50 08 40 38 35 ?? ?? ?? ?? 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CB 44 8B C0 B9 05 00 00 00 E8 ?? ?? ?? ?? 48 8B 87 D0 00 00 00 80 B8 C1 00 00 00 00 74 13 48 8D 4F F0 BA 02 00 00 00 E8 ?? ?? ?? ?? E9 AB 00 00 00 48 8B 87 D0 00 00 00 4C 8B 47 30 83 64 24 20 00 48 83 64 24 30 00 48 8D 48 30 48 8D 54 24 20 41 B9 01 00 00 00 FF 50 58 84 C0 74 7C 48 8B 4F 30 4C 8B 64 24 30 48 8D 57 F0 45 33 C0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B AF D0 00 00 00 48 C7 87 D0 00 00 00 00 00 00 00 4C 8B AF C8 00 00 00 B8 01 00 00 00 49 8B D4 87 47 50 4C 8B 4D 00 48 8B CD 41 FF 51 20 4D 85 E4 75 0D 48 8B 45 00 48 8B CD FF 50 08 4C 8B E0 4D 8B 4D 00 41 B8 01 00 00 00 49 8B D4 49 8B CD 41 FF 51 08 48 8B CF E8 ?? ?? ?? ?? EB 03 40 B6 01 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 0D 48 8B 8F C8 00 00 00 48 8B 01 FF 50 18 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_556_78_0 {
	meta:
		name = "?AddToRunnables@InternalContextBase@details@Concurrency@@MEAAXPEAVVirtualProcessor@23@@Z"
		size = 328
		refs = "0020 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 003e ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0050 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 008c ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 00d4 ?GrowAndPush@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@AEAAXPEAVInternalContextBase@23@@Z 00f1 ?StartupIdleVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAVVirtualProcessor@23@@Z 0110 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0129 ?AddRunnableContext@ScheduleGroupBase@details@Concurrency@@IEAAXPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4C 8B E2 48 8B D9 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 EE 00 00 00 80 78 70 00 0F 85 E4 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 39 43 48 0F 85 D2 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 43 40 F6 80 BC 00 00 00 02 0F 85 B1 00 00 00 48 8B 87 D0 00 00 00 8B 50 14 8B 40 10 2B D0 48 8B 43 48 0F B7 48 18 3B D1 0F 8D 92 00 00 00 48 8B 6B 40 48 8B CF E8 ?? ?? ?? ?? 48 3B C5 74 0A C7 83 38 01 00 00 01 00 00 00 4C 8B 87 D0 00 00 00 49 63 50 14 49 63 48 18 41 8B 40 10 03 C1 3B D0 7D 14 49 8B 40 20 48 23 CA 48 89 1C C8 8D 42 01 41 89 40 14 EB 0C 49 8D 48 10 48 8B D3 E8 ?? ?? ?? ?? 48 8B 43 48 8B 88 7C 01 00 00 85 C9 7E 0F 48 8B 4B 48 4D 8B C4 48 8B D5 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 3B C5 74 0A C7 83 38 01 00 00 00 00 00 00 48 8B CF E8 ?? ?? ?? ?? EB 17 48 8B CF E8 ?? ?? ?? ?? 48 8B 4B 40 4D 8B C4 48 8B D3 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_556_81_0 {
	meta:
		name = "?SpinUntilValueEquals@details@Concurrency@@YAXPECJJ@Z"
		size = 67
		refs = "001d ?_Sleep0@details@Concurrency@@YAXXZ 002c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 01 8B DA 48 8B F9 3B C2 74 23 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 1F 44 3B DB 75 EE 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_556_82_0 {
	meta:
		name = "?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 57
		refs = "0017 ?_Sleep0@details@Concurrency@@YAXXZ 0026 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 41 60 48 8B D9 85 C0 75 23 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 5B 60 45 85 DB 74 ED 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_556_83_0 {
	meta:
		name = "?SwapScheduleGroup@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@_N@Z"
		size = 164
		refs = "0031 ?_Sleep0@details@Concurrency@@YAXXZ 0040 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0077 ?RemoveScheduleGroup@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupBase@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 40 48 83 79 40 00 41 8A F0 48 8B DA 48 8B F9 74 75 8B 81 38 01 00 00 85 C0 74 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9F 38 01 00 00 45 85 DB 75 EA 48 8B 4F 40 F6 81 BC 00 00 00 04 75 1E 83 C8 FF F0 0F C1 81 B4 00 00 00 FF C8 75 0F 48 8B D1 48 8B 89 A0 00 00 00 E8 ?? ?? ?? ?? 40 84 F6 74 10 F6 83 BC 00 00 00 04 75 07 F0 FF 83 B4 00 00 00 48 89 5F 40 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_556_84_0 {
	meta:
		name = "?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 36
		refs = "000e ?Cleanup@ContextBase@details@Concurrency@@QEAAXXZ 0020 ?SwapScheduleGroup@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 33 D2 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_85_0 {
	meta:
		name = "?Cancel@InternalContextBase@details@Concurrency@@MEAAXXZ"
		size = 124
		refs = "0028 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ 003b ?Activate@VirtualProcessor@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z 0046 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 005c ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ 0064 ?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ 006d ?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 81 E0 00 00 00 48 8B F9 48 85 C0 74 28 C6 81 FC 00 00 00 01 48 8B 89 E0 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 41 48 8B 8F E0 00 00 00 48 8B D7 E8 ?? ?? ?? ?? EB 30 48 8D 59 10 E8 ?? ?? ?? ?? 48 3B C3 75 09 C6 87 FC 00 00 00 01 EB 19 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B 4F 48 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_556_86_0 {
	meta:
		name = "?RemoveFromUse@InternalContextBase@details@Concurrency@@QEAAXXZ"
		size = 48
		refs = "000e ?ReleaseWorkQueue@ContextBase@details@Concurrency@@IEAAXXZ 001b ?SwapScheduleGroup@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 83 63 78 00 C6 83 48 01 00 00 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_89_0 {
	meta:
		name = "?Unblock@InternalContextBase@details@Concurrency@@UEAAXXZ"
		size = 228
		refs = "0025 ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 004b ?g_TraceOn@details@Concurrency@@3_NA 0059 ?g_EnableLevel@details@Concurrency@@3EA 0068 ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 007d ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ 00b2 ??0context_unblock_unbalanced@Concurrency@@QEAA@XZ 00b9 _TI2?AVcontext_unblock_unbalanced@Concurrency@@ 00c3 _CxxThrowException 00ce ??0context_self_unblock@Concurrency@@QEAA@XZ 00d5 _TI2?AVcontext_self_unblock@Concurrency@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8D 41 F0 48 8B F1 48 F7 D8 48 1B DB 48 23 D9 E8 ?? ?? ?? ?? 48 3B D8 0F 84 96 00 00 00 83 CB FF F0 0F C1 5E 54 48 8B 4E 38 8B 6E 20 FF CB 48 8B 01 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B9 04 00 00 00 38 0D ?? ?? ?? ?? 72 0D 44 8B CD 44 8B C0 8A D1 E8 ?? ?? ?? ?? 83 FB 01 75 33 48 8D 4E F0 C7 46 54 00 00 00 00 E8 ?? ?? ?? ?? 4C 8B 5E F0 48 8D 4E F0 33 D2 41 FF 53 30 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 8D 43 01 83 F8 01 76 E3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_556_96_0 {
	meta:
		name = "?CleanupDispatchedContextOnCancel@InternalContextBase@details@Concurrency@@IEAAXXZ"
		size = 40
		refs = "000e ?EnterHyperCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0016 ?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ 0024 ?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 48 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_97_0 {
	meta:
		name = "?IsVirtualProcessorRetired@InternalContextBase@details@Concurrency@@IEAA_NXZ"
		size = 65
		refs = "0025 ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 0031 ?CleanupDispatchedContextOnCancel@InternalContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 B9 FE 00 00 00 00 48 8B D9 75 27 48 8B 81 E0 00 00 00 80 B8 C1 00 00 00 00 74 17 33 D2 E8 ?? ?? ?? ?? 84 C0 74 08 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_556_98_0 {
	meta:
		name = "?Dispatch@InternalContextBase@details@Concurrency@@UEAAXPEAUDispatchState@3@@Z"
		size = 344
		refs = "0014 __imp_GetCurrentThreadId 0020 ?SetAsCurrentTls@ContextBase@details@Concurrency@@IEAAXXZ 0029 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 003b ?ExecutedAssociatedChore@InternalContextBase@details@Concurrency@@IEAA_NXZ 0047 ?IsVirtualProcessorRetired@InternalContextBase@details@Concurrency@@IEAA_NXZ 0089 ?SafePoint@VirtualProcessor@details@Concurrency@@QEAA_NXZ 0096 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 009f ?CommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXXZ 00b5 ?WorkWasFound@InternalContextBase@details@Concurrency@@IEAA_NPEAVWorkItem@23@@Z 00cd ?ExecuteChoreInline@InternalContextBase@details@Concurrency@@IEAAXPEAVWorkItem@23@@Z 00eb ?WaitForWork@InternalContextBase@details@Concurrency@@IEAAXXZ 00ff ?CleanupDispatchedContextOnCancel@InternalContextBase@details@Concurrency@@IEAAXXZ 0117 ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z 012f ?ClearContextTls@ContextBase@details@Concurrency@@AEAAXXZ 0142 ??0nested_scheduler_missing_detach@Concurrency@@QEAA@XZ 0149 _TI2?AVnested_scheduler_missing_detach@Concurrency@@ 0153 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 48 8B D9 FF 15 ?? ?? ?? ?? 48 8D 4B 10 89 43 78 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 83 A3 F8 00 00 00 00 48 8B CB 40 32 FF E8 ?? ?? ?? ?? 84 C0 74 13 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 84 C0 0F 85 C5 00 00 00 48 8B 83 E0 00 00 00 83 64 24 20 00 48 83 64 24 30 00 80 A3 FF 00 00 00 FD 48 85 C0 0F 84 BB 00 00 00 80 BB FE 00 00 00 00 75 2B 48 8B 8B E0 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1B 48 8D 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 48 E8 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 84 C0 74 1E 83 7C 24 20 01 74 47 48 8D 54 24 20 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 40 8A F8 EB 28 E8 ?? ?? ?? ?? 84 C0 75 34 48 8B CB E8 ?? ?? ?? ?? 44 8A 9B FC 00 00 00 45 84 DB 74 0B 48 8B CB E8 ?? ?? ?? ?? 40 B7 01 40 84 FF E9 42 FF FF FF 48 8B 54 24 30 45 33 C0 E8 ?? ?? ?? ?? 48 8D 4B 10 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F E9 ?? ?? ?? ?? 48 8D 4B 10 E8 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_556_102_0 {
	meta:
		name = "??1InternalContextBase@details@Concurrency@@UEAA@XZ"
		size = 78
		refs = "0019 ??_7InternalContextBase@details@Concurrency@@6BIExecutionContext@2@@ 0023 ??_7InternalContextBase@details@Concurrency@@6BContextBase@12@@ 002c ?Cleanup@InternalContextBase@details@Concurrency@@IEAAXXZ 0039 ?Wipe@?$Hash@PEAV_TaskCollection@details@Concurrency@@PEAV123@@details@Concurrency@@QEAAXXZ 004a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E8 ?? ?? ?? ?? 90 48 8D 8B C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 8B D0 00 00 00 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_114_0 {
	meta:
		name = "??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
		size = 142
		refs = "000d ??_7IExecutionContext@Concurrency@@6B@ 001f ??0ContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z 002b ??_7InternalContextBase@details@Concurrency@@6BContextBase@12@@ 0052 ??_7InternalContextBase@details@Concurrency@@6BIExecutionContext@2@@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 45 33 C0 48 89 01 48 83 C1 10 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8D 05 ?? ?? ?? ?? 48 89 47 10 33 C0 80 A7 FF 00 00 00 FC 48 89 87 F0 00 00 00 89 87 F8 00 00 00 88 87 FE 00 00 00 4C 8D 1D ?? ?? ?? ?? 48 89 47 40 4C 89 1F 48 89 87 D8 00 00 00 48 89 87 E0 00 00 00 48 89 87 E8 00 00 00 88 87 FC 00 00 00 89 87 38 01 00 00 C6 87 48 01 00 00 01 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_557_0_0 {
	meta:
		name = "sqrt"
		size = 266
		refs = "0085 ??_C@_04EIAKFFMI@sqrt?$AA@ 008f _handle_error"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 58 48 BA 00 00 00 00 00 00 F0 7F F2 0F 11 44 24 68 49 B8 00 00 00 00 00 00 00 80 48 8B 4C 24 68 48 8B C1 48 23 C2 48 3B C2 0F 85 9F 00 00 00 48 B8 FF FF FF FF FF FF 0F 00 48 85 C8 74 4E 66 0F 57 C0 F2 0F 10 4C 24 60 41 B9 01 00 00 00 44 89 4C 24 40 49 B8 00 00 00 00 00 00 08 00 4C 0B C1 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 05 00 00 00 E8 ?? ?? ?? ?? EB 70 49 85 C8 74 51 66 0F 57 C0 F2 0F 10 4C 24 60 41 B9 01 00 00 00 44 89 4C 24 40 49 B8 00 00 00 00 00 00 F8 FF F2 0F 11 44 24 38 F2 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 EB AB 49 85 C8 74 0F 48 B8 FF FF FF FF FF FF FF 7F 48 85 C8 EB AD F2 0F 10 44 24 60 66 0F 57 C9 F2 0F 51 C8 F2 0F 11 4C 24 70 F2 0F 10 44 24 70 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_558_0_0 {
	meta:
		name = "_heap_alloc"
		size = 80
		refs = "000c _crtheap 0016 _FF_MSGBANNER 0020 _NMSG_WRITE 002a __crtExitProcess 004c __imp_HeapAlloc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 20 E8 ?? ?? ?? ?? B9 1E 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 DB 41 B8 01 00 00 00 4C 0F 45 C3 33 D2 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_558_1_0 {
	meta:
		name = "malloc"
		size = 182
		refs = "0027 _crtheap 0031 _FF_MSGBANNER 003b _NMSG_WRITE 0045 __crtExitProcess 0057 __imp_HeapAlloc 0065 _newmode 006f _callnewh 007a _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 83 F9 E0 77 7C BF 01 00 00 00 48 85 C9 48 0F 45 F9 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 20 E8 ?? ?? ?? ?? B9 1E 00 00 00 E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 4C 8B C7 33 D2 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 2C 39 05 ?? ?? ?? ?? 74 0E 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 0D EB AB E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 48 8B C6 EB 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_559_8_0 {
	meta:
		name = "?SwitchTo@FreeThreadProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@W4SwitchingProxyState@3@@Z"
		size = 218
		refs = "0026 ??_C@_08BAFMHLII@pContext?$AA@ 0037 ??0exception@std@@QEAA@AEBQEBD@Z 003e ??_7invalid_argument@std@@6B@ 0045 _TI3?AVinvalid_argument@std@@ 0054 _CxxThrowException 0088 ?Affinitize@FreeVirtualProcessorRoot@details@Concurrency@@QEAAXPEAVFreeThreadProxy@23@@Z 00b4 __imp_SignalObjectAndWait 00c3 ?ResumeExecution@ThreadProxy@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 18 56 57 41 54 48 83 EC 40 33 F6 41 8B F8 48 8B EA 4C 8B E1 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B C8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B CA FF 50 10 48 8B D8 48 85 C0 75 15 49 8B 44 24 20 48 8B D5 48 8B 48 28 48 8B 01 FF 50 38 48 8B D8 49 8B 4C 24 20 48 8B D3 E8 ?? ?? ?? ?? 49 89 74 24 20 85 FF 74 2A FF CF 75 26 44 8D 4F 01 41 83 C8 FF 41 8B C1 41 87 44 24 34 49 8B 54 24 18 48 8B 4B 18 FF 15 ?? ?? ?? ?? 41 87 74 24 34 EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 70 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_559_11_0 {
	meta:
		name = "?AssociateExecutionContext@FreeThreadProxy@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z"
		size = 20
	strings:
		$1 = { 48 89 51 70 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 18 }
	condition:
		$1
}

rule file_559_12_0 {
	meta:
		name = "?ReturnIdleProxy@FreeThreadProxy@details@Concurrency@@QEAAXXZ"
		size = 19
	strings:
		$1 = { 48 83 61 70 00 48 8B D1 48 8B 49 08 48 8B 01 48 FF 60 08 }
	condition:
		$1
}

rule file_559_13_0 {
	meta:
		name = "?Dispatch@FreeThreadProxy@details@Concurrency@@EEAAXXZ"
		size = 147
		refs = "0039 __imp_TlsSetValue 007b ?SuspendExecution@ThreadProxy@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 8B 41 38 83 64 24 34 00 48 8B F9 C7 44 24 30 08 00 00 00 85 C0 75 1C 48 8B 49 08 48 8B DF 48 8B 01 48 83 CB 01 FF 50 20 48 8B D3 8B C8 FF 15 ?? ?? ?? ?? 8B 47 38 85 C0 75 44 48 8B 4F 70 48 8B D7 48 8B 01 FF 50 18 48 8B 4F 70 48 8D 54 24 30 48 8B 01 FF 50 20 48 8B 4F 08 48 83 67 20 00 48 83 67 70 00 48 8B 01 48 8B D7 FF 50 08 48 8B CF E8 ?? ?? ?? ?? 44 8B 5F 38 45 85 DB 74 BC 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_561_2_0 {
	meta:
		name = "_hypotf"
		size = 340
		refs = "00a9 __real@47efffffe0000000 00cb ??_C@_07HIGHJEEA@_hypotf?$AA@ 00ea _handle_errorf 0137 _controlfp_s"
	strings:
		$1 = { 4C 8B DC 48 83 EC 68 48 B8 FF FF FF FF FF FF FF 7F 0F 28 D8 0F 28 E1 41 B9 FF 07 00 00 0F 14 DB 0F 14 E4 0F 5A CB 0F 14 DB 0F 5A C4 0F 5A D3 0F 14 E4 F2 0F 11 94 24 88 00 00 00 0F 5A D4 48 8B 94 24 88 00 00 00 48 23 D0 F2 0F 11 94 24 88 00 00 00 48 8B 8C 24 88 00 00 00 4C 8B C2 48 23 C8 49 C1 E8 34 48 8B C1 48 C1 E8 34 4D 3B C1 0F 84 82 00 00 00 49 3B C1 74 7D F2 0F 59 C9 F2 0F 59 C0 F2 0F 58 C1 F2 0F 11 44 24 50 F2 0F 10 44 24 50 66 0F 57 C9 F2 0F 51 C8 F2 41 0F 11 4B 18 F2 41 0F 10 53 18 66 0F 2F 15 ?? ?? ?? ?? 76 41 C7 44 24 40 02 00 00 00 F3 0F 11 64 24 38 F3 0F 11 5C 24 30 BA 18 00 00 00 48 8D 0D ?? ?? ?? ?? 41 B8 00 00 80 7F 44 8D 4A EB C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E8 ?? ?? ?? ?? EB 5F F2 0F 5A C2 EB 59 F3 0F 59 DB F3 0F 59 E4 49 BA FF FF FF FF FF FF 0F 00 F3 0F 58 DC 0F 14 DB 0F 5A C3 F2 0F 11 84 24 80 00 00 00 4D 3B C1 75 05 49 85 D2 74 0A 49 3B C1 75 21 49 85 CA 75 1C 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? C7 44 24 70 00 00 80 7F F3 0F 10 44 24 70 EB 04 F2 0F 5A C0 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_563_0_0 {
	meta:
		name = "_heapmin"
		size = 33
		refs = "0007 _crtheap 000f __imp_HeapCompact"
	strings:
		$1 = { 48 83 EC 28 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 48 F7 D8 1B C0 F7 D8 FF C8 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_564_0_0 {
	meta:
		name = "_read_nolock"
		size = 1827
		refs = "0032 __doserrno 003b _errno 0056 _nhandle 0069 __ImageBase 0078 __pioinfo 0108 _malloc_crt 0139 _lseeki64_nolock 0225 __imp_ReadFile 0313 __imp_GetLastError 03ff _lookuptrailbytes 04b7 __imp_MultiByteToWideChar 04cb _dosmaperr 06aa free 070b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 54 24 10 89 4C 24 08 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 58 48 63 C1 41 8B D8 C7 45 E0 FE FF FF FF 89 5D E4 83 F8 FE 75 19 E8 ?? ?? ?? ?? 33 FF 89 38 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C5 06 00 00 33 FF 85 C9 0F 88 A4 06 00 00 3B 05 ?? ?? ?? ?? 0F 83 98 06 00 00 48 8B F0 4C 8B F8 4C 8D 0D ?? ?? ?? ?? 49 C1 FF 05 83 E6 1F 4B 8B 8C F9 ?? ?? ?? ?? 48 6B F6 58 8A 44 31 08 A8 01 0F 84 6C 06 00 00 81 FB FF FF FF 7F 76 17 E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 5F 06 00 00 44 8B E7 85 DB 0F 84 3E 06 00 00 A8 02 0F 85 36 06 00 00 48 85 D2 74 D1 44 8A 6C 31 38 41 B8 04 00 00 00 45 02 ED 41 D0 FD 41 0F BE CD 44 88 6D 60 FF C9 74 14 FF C9 75 0B 8B C3 F7 D0 A8 01 74 A8 83 E3 FE 4C 8B F2 EB 60 8B C3 F7 D0 A8 01 74 98 D1 EB 41 3B D8 41 0F 42 D8 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 1B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 E9 E0 05 00 00 8B 4D 48 33 D2 44 8D 42 01 E8 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 8B D8 4B 8B 84 F9 ?? ?? ?? ?? 4C 89 5C 30 40 4B 8B 84 F9 ?? ?? ?? ?? 49 8B D6 41 B8 0A 00 00 00 F6 44 30 08 48 0F 84 9B 00 00 00 8A 4C 30 09 41 3A C8 0F 84 8E 00 00 00 85 DB 0F 84 86 00 00 00 41 88 0E 4B 8B 84 F9 ?? ?? ?? ?? 41 83 CA FF 41 03 DA 49 8D 56 01 45 8D 60 F7 44 88 44 30 09 45 84 ED 74 62 4B 8B 84 F9 ?? ?? ?? ?? 8A 4C 30 39 41 3A C8 74 51 85 DB 74 4D 88 0A 4B 8B 84 F9 ?? ?? ?? ?? 41 03 DA 48 FF C2 45 8D 60 F8 44 88 44 30 39 41 80 FD 01 75 2E 4B 8B 84 F9 ?? ?? ?? ?? 8A 4C 30 3A 41 3A C8 74 1D 85 DB 74 19 88 0A 4B 8B 84 F9 ?? ?? ?? ?? 48 FF C2 45 8D 60 F9 41 03 DA 44 88 44 30 3A 4B 8B 8C F9 ?? ?? ?? ?? 4C 8D 4D DC 44 8B C3 48 8B 0C 31 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 88 04 00 00 48 63 55 DC 85 D2 0F 88 7C 04 00 00 8B C3 48 3B D0 0F 87 71 04 00 00 4C 8D 05 ?? ?? ?? ?? 44 03 E2 4B 8B 84 F8 ?? ?? ?? ?? F6 44 30 08 80 0F 84 35 04 00 00 41 80 FD 02 0F 84 8C 02 00 00 85 D2 74 0D 41 80 3E 0A 75 07 80 4C 30 08 04 EB 05 80 64 30 08 FB 49 63 C4 49 8B DE 4D 8B EE 49 03 C6 48 89 45 E8 4C 3B F0 0F 83 1B 01 00 00 41 BC 0D 00 00 00 41 8A 45 00 3C 1A 0F 84 EA 00 00 00 41 3A C4 74 0D 88 03 48 FF C3 49 FF C5 E9 CC 00 00 00 48 8B 45 E8 48 FF C8 4C 3B E8 73 17 49 8D 45 01 80 38 0A 75 06 49 83 C5 02 EB 7E 4C 8B E8 E9 A3 00 00 00 4B 8B 8C F8 ?? ?? ?? ?? 4C 8D 4D DC 48 8D 55 58 48 8B 0C 31 41 B8 01 00 00 00 49 FF C5 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0A FF 15 ?? ?? ?? ?? 85 C0 75 66 39 7D DC 74 61 4C 8D 05 ?? ?? ?? ?? 4B 8B 84 F8 ?? ?? ?? ?? F6 44 30 08 48 74 1A 80 7D 58 0A 74 1F 44 88 23 4B 8B 8C F8 ?? ?? ?? ?? 8A 45 58 88 44 31 09 EB 3B 49 3B DE 75 0B 80 7D 58 0A 75 05 C6 03 0A EB 2B 8B 4D 48 41 B8 01 00 00 00 48 83 CA FF E8 ?? ?? ?? ?? 80 7D 58 0A 4C 8D 05 ?? ?? ?? ?? 74 0F EB 07 4C 8D 05 ?? ?? ?? ?? 44 88 23 48 FF C3 4C 3B 6D E8 0F 82 0C FF FF FF EB 1F 4B 8B 84 F8 ?? ?? ?? ?? F6 44 30 08 40 75 07 80 4C 30 08 02 EB 09 41 8A 45 00 88 03 48 FF C3 44 8B E3 45 2B E6 80 7D 60 01 0F 85 D1 02 00 00 45 85 E4 0F 84 C8 02 00 00 48 FF CB F6 03 80 75 08 48 FF C3 E9 B1 00 00 00 BA 01 00 00 00 EB 0F 83 FA 04 7F 17 49 3B DE 72 12 48 FF CB FF C2 0F B6 03 42 38 BC 00 ?? ?? ?? ?? 74 E4 0F B6 0B 42 0F BE 84 01 ?? ?? ?? ?? 85 C0 75 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 CB FF E9 75 02 00 00 FF C0 3B C2 75 08 48 63 C2 48 03 D8 EB 5D 4B 8B 84 F8 ?? ?? ?? ?? F6 44 30 08 48 74 3B 48 FF C3 88 4C 30 09 83 FA 02 7C 11 8A 03 4B 8B 8C F8 ?? ?? ?? ?? 48 FF C3 88 44 31 39 83 FA 03 75 11 8A 03 4B 8B 8C F8 ?? ?? ?? ?? 48 FF C3 88 44 31 3A 48 63 C2 48 2B D8 EB 13 8B 4D 48 F7 DA 41 B8 01 00 00 00 48 63 D2 E8 ?? ?? ?? ?? 8B 45 E4 4C 8B 6D 50 41 2B DE D1 E8 44 8B CB 4D 8B C6 89 44 24 28 33 D2 B9 E9 FD 00 00 4C 89 6C 24 20 FF 15 ?? ?? ?? ?? 44 8B E0 85 C0 75 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CB FF E9 CA 01 00 00 3B C3 8B 5D E0 48 8D 05 ?? ?? ?? ?? 4A 8B 84 F8 ?? ?? ?? ?? 40 0F 95 C7 45 03 E4 89 7C 30 48 E9 A6 01 00 00 85 D2 BA 0A 00 00 00 74 0D 66 41 39 16 75 07 80 4C 30 08 04 EB 05 80 64 30 08 FB 49 63 C4 49 8B DE 4D 8B EE 49 03 C6 48 89 45 60 4C 3B F0 0F 83 65 01 00 00 41 BC 0D 00 00 00 41 0F B7 45 00 66 83 F8 1A 0F 84 2E 01 00 00 66 41 3B C4 74 10 66 89 03 48 83 C3 02 49 83 C5 02 E9 0C 01 00 00 48 8B 45 60 48 83 C0 FE 4C 3B E8 73 1A 49 8D 45 02 66 39 10 75 09 49 83 C5 04 E9 AD 00 00 00 4C 8B E8 E9 DD 00 00 00 4B 8B 8C F8 ?? ?? ?? ?? 4C 8D 4D DC 48 8D 55 D8 48 8B 0C 31 41 B8 02 00 00 00 49 83 C5 02 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 0E FF 15 ?? ?? ?? ?? 85 C0 0F 85 96 00 00 00 39 7D DC 0F 84 8D 00 00 00 4C 8D 05 ?? ?? ?? ?? 4B 8B 84 F8 ?? ?? ?? ?? F6 44 30 08 48 74 3B BA 0A 00 00 00 66 39 55 D8 74 40 66 44 89 23 8A 45 D8 4B 8B 8C F8 ?? ?? ?? ?? 88 44 31 09 8A 45 D9 4B 8B 8C F8 ?? ?? ?? ?? 88 44 31 39 4B 8B 84 F8 ?? ?? ?? ?? 88 54 30 3A EB 4C 49 3B DE 75 10 BA 0A 00 00 00 66 39 55 D8 75 05 66 89 13 EB 37 8B 4D 48 48 C7 C2 FE FF FF FF 44 8D 42 03 E8 ?? ?? ?? ?? BA 0A 00 00 00 4C 8D 05 ?? ?? ?? ?? 66 39 55 D8 74 16 EB 0C BA 0A 00 00 00 4C 8D 05 ?? ?? ?? ?? 66 44 89 23 48 83 C3 02 4C 3B 6D 60 0F 82 C5 FE FF FF EB 22 4B 8B 84 F8 ?? ?? ?? ?? F6 44 30 08 40 75 07 80 4C 30 08 02 EB 0C 41 0F B7 45 00 66 89 03 48 83 C3 02 44 8B E3 45 2B E6 8B 5D E0 4C 8B 6D 50 4D 3B F5 74 08 49 8B CE E8 ?? ?? ?? ?? 83 FB FE 41 0F 44 DC 8B C3 EB 59 FF 15 ?? ?? ?? ?? 83 F8 05 75 1B E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E9 41 FD FF FF 83 F8 6D 75 04 8B DF EB B5 8B C8 E8 ?? ?? ?? ?? E9 2C FD FF FF 33 C0 EB 1A E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 58 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_564_1_0 {
	meta:
		name = "_read"
		size = 283
		refs = "002a __doserrno 0033 _errno 004e _nhandle 0065 __pioinfo 00a7 __lock_fhandle 00c1 _read_nolock 00e1 _unlock_fhandle 00fc _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 89 4C 24 08 57 41 54 41 55 41 56 41 57 48 83 EC 20 41 8B F0 4C 8B EA 48 63 F9 83 FF FE 75 19 E8 ?? ?? ?? ?? 33 DB 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 BE 00 00 00 33 DB 85 C9 0F 88 9D 00 00 00 3B 3D ?? ?? ?? ?? 0F 83 91 00 00 00 4C 8B E7 4C 8B F7 49 C1 FE 05 4C 8D 3D ?? ?? ?? ?? 41 83 E4 1F 4D 6B E4 58 4B 8B 04 F7 42 0F BE 4C 20 08 83 E1 01 74 69 8B C3 41 81 F8 FF FF FF 7F 0F 96 C0 85 C0 75 14 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 57 8B CF E8 ?? ?? ?? ?? 90 4B 8B 04 F7 42 F6 44 20 08 01 74 11 44 8B C6 49 8B D5 8B CF E8 ?? ?? ?? ?? 8B D8 EB 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 89 18 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_565_2_0 {
	meta:
		name = "_wspawnvpe"
		size = 647
		refs = "0034 _errno 003f _invalid_parameter_noinfo 0081 _wspawnve 00a9 wcschr 00b9 ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 00c5 _wdupenv_s 00e6 _invoke_watson 0101 _calloc_crt 0120 _wgetpath 013f wcslen 015a ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0167 wcscat_s 01d7 __doserrno 0259 free"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 ED 4D 8B F9 49 8B E8 48 8B F2 8B D9 4C 89 6C 24 78 41 8B FD 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 23 02 00 00 66 44 39 2A 74 E1 4D 85 C0 74 DC 49 8B 00 48 85 C0 74 D4 66 44 39 28 74 CE E8 ?? ?? ?? ?? 44 8B 30 E8 ?? ?? ?? ?? 4D 8B CF 4C 8B C5 48 8B D6 8B CB 44 89 28 E8 ?? ?? ?? ?? 4C 8B E0 48 83 F8 FF 0F 85 AC 01 00 00 E8 ?? ?? ?? ?? 83 38 02 0F 85 9E 01 00 00 41 8D 54 24 30 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 88 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 78 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 68 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 4C 39 6C 24 78 0F 84 48 01 00 00 BA 02 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 2D 01 00 00 48 8B 4C 24 78 41 B8 03 01 00 00 48 8B D0 E8 ?? ?? ?? ?? 33 DB 4C 8B E8 48 85 C0 0F 84 09 01 00 00 66 39 1F 0F 84 00 01 00 00 48 8B CF E8 ?? ?? ?? ?? 66 83 7C 47 FE 5C 74 28 B9 2F 00 00 00 66 39 4C 47 FE 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 9E 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 A4 00 00 00 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 33 DB 85 C0 75 7C E8 ?? ?? ?? ?? 8B 4C 24 70 4D 8B CF 4C 8B C5 48 8B D7 89 18 E8 ?? ?? ?? ?? 4C 8B E0 48 83 F8 FF 75 6F E8 ?? ?? ?? ?? 83 38 02 74 25 E8 ?? ?? ?? ?? 83 38 15 74 1B 66 83 3F 5C 8D 43 2F 74 05 66 39 07 75 4D 66 83 7F 02 5C 74 06 66 39 47 02 75 40 41 B8 03 01 00 00 48 8B D7 49 8B CD E8 ?? ?? ?? ?? E9 15 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC 45 33 ED E8 ?? ?? ?? ?? 44 39 28 75 08 E8 ?? ?? ?? ?? 44 89 30 48 85 FF 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 85 C9 74 05 E8 ?? ?? ?? ?? 49 8B C4 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_566_0_0 {
	meta:
		name = "_strtime_s"
		size = 280
		refs = "0009 __security_cookie 0034 _errno 0049 __imp_GetLocalTime 00ff _invalid_parameter_noinfo 010e __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 0F 84 D1 00 00 00 48 85 D2 0F 84 C8 00 00 00 C6 01 00 48 83 FA 09 73 0F E8 ?? ?? ?? ?? BB 22 00 00 00 E9 BA 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 5C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C 41 BA 67 66 66 66 C6 43 05 3A 41 8B C2 C6 43 02 3A C6 43 08 00 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 03 8A C2 C0 E2 02 02 C2 02 C0 44 2A D8 41 8B C2 41 80 C3 30 44 88 5B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 4A 30 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 41 80 C0 30 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 43 06 8A C2 C0 E2 02 02 C2 02 C0 44 2A C8 41 80 C1 30 33 C0 44 88 4B 07 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_566_1_0 {
	meta:
		name = "_strtime"
		size = 249
		refs = "0009 __security_cookie 001e _errno 0029 _invalid_parameter_noinfo 003e __imp_GetLocalTime 00ef __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 B2 00 00 00 C6 01 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 5C 24 28 44 0F B7 44 24 2A 44 0F B7 4C 24 2C 41 BA 67 66 66 66 C6 43 05 3A 41 8B C2 C6 43 02 3A C6 43 08 00 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 03 8A C2 C0 E2 02 02 C2 02 C0 44 2A D8 41 8B C2 41 80 C3 30 44 88 5B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 4A 30 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 41 80 C0 30 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 8D 4A 30 88 4B 06 8A CA C0 E2 02 02 CA 02 C9 44 2A C9 41 80 C1 30 44 88 4B 07 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_567_0_0 {
	meta:
		name = "__dyn_tls_init"
		size = 66
		refs = "0012 __xd_a 0019 __xd_z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 FA 02 75 23 48 8D 1D ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? EB 0E 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 75 ED B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_568_3_0 {
	meta:
		name = "_ismbcgraph_l"
		size = 262
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0089 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 DB 81 FF FF 00 00 00 0F 86 8B 00 00 00 48 8B 4D E8 8B C7 89 5D 20 C1 E8 08 40 88 7D 11 88 45 10 39 59 08 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 9A 00 00 00 8B 41 0C BF 01 00 00 00 4C 8D 45 10 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 20 44 8D 4F 01 48 8D 4D E0 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B2 66 39 5D 22 75 0B B8 17 01 00 00 66 85 45 20 75 02 8B FB 38 5D F8 74 49 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 3C 48 8B 45 E0 40 0F B6 D7 48 8B 88 40 01 00 00 B8 17 01 00 00 66 85 04 51 75 0D 48 8B 45 E8 8B FB F6 44 02 1D 03 74 05 BF 01 00 00 00 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_569_5_0 {
	meta:
		name = "_forcdecpt_l"
		size = 127
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0017 tolower 0027 isdigit"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F BE 0B E8 ?? ?? ?? ?? 83 F8 65 74 0F 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 0F BE 0B E8 ?? ?? ?? ?? 83 F8 78 75 04 48 83 C3 02 48 8B 44 24 20 8A 13 48 8B 88 28 01 00 00 48 8B 01 8A 08 88 0B 48 FF C3 8A 03 88 13 8A D0 8A 03 48 FF C3 84 C0 75 F1 38 44 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_569_6_0 {
	meta:
		name = "_cropzeros_l"
		size = 157
		refs = "000f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8A 1B 48 8B 4C 24 20 45 84 DB 74 1C 48 8B 81 28 01 00 00 48 8B 10 8A 02 44 3A D8 74 0B 48 FF C3 44 8A 1B 45 84 DB 75 F0 8A 03 48 FF C3 84 C0 74 3F EB 0B 3C 65 74 0D 3C 45 74 09 48 FF C3 8A 03 84 C0 75 EF 48 8B D3 48 FF CB 80 3B 30 74 F8 48 8B 81 28 01 00 00 48 8B 08 8A 01 38 03 75 03 48 FF CB 8A 02 48 FF C3 48 FF C2 88 03 84 C0 75 F2 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_569_7_0 {
	meta:
		name = "_positive"
		size = 23
		refs = "0008 __real@0000000000000000"
	strings:
		$1 = { F2 0F 10 01 66 0F 2F 05 ?? ?? ?? ?? 72 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_569_8_0 {
	meta:
		name = "_fassign_l"
		size = 66
		refs = "001c _atodbl_l 0030 _atoflt_l"
	strings:
		$1 = { 40 53 48 83 EC 30 49 8B C0 48 8B DA 4D 8B C1 48 8B D0 85 C9 74 14 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5C 24 20 4C 89 1B EB 12 48 8D 4C 24 40 E8 ?? ?? ?? ?? 44 8B 5C 24 40 44 89 1B 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_569_10_0 {
	meta:
		name = "_shift"
		size = 52
		refs = "0015 strlen 0025 memmove"
	strings:
		$1 = { 85 D2 74 2F 48 89 5C 24 08 57 48 83 EC 20 48 63 DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 0C 1F 4C 8D 40 01 48 8B D7 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_569_13_0 {
	meta:
		name = "_cftoe2_l"
		size = 561
		refs = "0036 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0040 _errno 004a _invalid_parameter_noinfo 00fd strlen 010f memmove 0146 ??_C@_05KLBDPFGC@e?$CL000?$AA@ 016d strcpy_s 01e6 _outputformat 022c _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 57 48 83 EC 50 4C 8B E2 48 8B 94 24 A0 00 00 00 48 8B F9 48 8D 48 C8 45 8B F9 49 63 D8 E8 ?? ?? ?? ?? 48 85 FF 75 43 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 8B C3 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5F 41 5D 41 5C C3 4D 85 E4 75 26 E8 ?? ?? ?? ?? 41 8D 5C 24 16 89 18 E8 ?? ?? ?? ?? 44 38 64 24 48 74 C2 48 8B 44 24 40 83 A0 C8 00 00 00 FD EB B4 33 C0 85 DB 0F 4F C3 83 C0 09 48 98 4C 3B E0 77 0F E8 ?? ?? ?? ?? BB 22 00 00 00 E9 7A FF FF FF 80 BC 24 98 00 00 00 00 48 8B B4 24 90 00 00 00 74 34 33 ED 83 3E 2D 40 0F 94 C5 45 33 ED 48 03 EF 85 DB 41 0F 9F C5 45 85 ED 74 1A 48 8B CD E8 ?? ?? ?? ?? 49 63 CD 48 8B D5 4C 8D 40 01 48 03 CD E8 ?? ?? ?? ?? 83 3E 2D 48 8B D7 75 07 C6 07 2D 48 8D 57 01 85 DB 7E 1B 8A 42 01 88 02 48 8B 44 24 30 48 FF C2 48 8B 88 28 01 00 00 48 8B 01 8A 08 88 0A 33 C9 4C 8D 05 ?? ?? ?? ?? 38 8C 24 98 00 00 00 0F 94 C1 48 03 DA 48 03 D9 48 2B FB 49 83 FC FF 48 8B CB 49 8D 14 3C 49 0F 44 D4 E8 ?? ?? ?? ?? 85 C0 0F 85 A2 00 00 00 48 8D 4B 02 45 85 FF 74 03 C6 03 45 48 8B 46 10 80 38 30 74 56 44 8B 46 04 41 FF C8 79 07 41 F7 D8 C6 43 01 2D 41 83 F8 64 7C 1B B8 1F 85 EB 51 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 00 53 02 6B D2 9C 44 03 C2 41 83 F8 0A 7C 1B B8 67 66 66 66 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 00 53 03 6B D2 F6 44 03 C2 44 00 43 04 F6 05 ?? ?? ?? ?? 01 74 14 80 39 30 75 0F 48 8D 51 01 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 33 C0 E9 48 FE FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_569_14_0 {
	meta:
		name = "_cftoe_l"
		size = 247
		refs = "000f __security_cookie 003a _fltout2 0044 _errno 004b _invalid_parameter_noinfo 009f _fptostr 00da _cftoe2_l 00e7 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 48 8B 09 49 8B D8 48 8B FA 41 8B F1 BD 16 00 00 00 4C 8D 44 24 58 48 8D 54 24 40 44 8B CD E8 ?? ?? ?? ?? 48 85 FF 75 13 E8 ?? ?? ?? ?? 89 28 E8 ?? ?? ?? ?? 8B C5 E9 88 00 00 00 48 85 DB 74 E8 48 83 CA FF 48 3B DA 74 1A 33 C0 83 7C 24 40 2D 48 8B D3 0F 94 C0 48 2B D0 33 C0 85 F6 0F 9F C0 48 2B D0 33 C0 83 7C 24 40 2D 44 8D 46 01 0F 94 C0 33 C9 85 F6 0F 9F C1 48 03 C7 4C 8D 4C 24 40 48 03 C8 E8 ?? ?? ?? ?? 85 C0 74 05 C6 07 00 EB 32 48 8B 84 24 D8 00 00 00 44 8B 8C 24 D0 00 00 00 44 8B C6 48 89 44 24 30 48 8D 44 24 40 48 8B D3 48 8B CF C6 44 24 28 00 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_569_15_0 {
	meta:
		name = "_cftoe"
		size = 28
		refs = "0013 _cftoe_l"
	strings:
		$1 = { 48 83 EC 38 8B 44 24 60 48 83 64 24 28 00 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_569_17_0 {
	meta:
		name = "_cftoa"
		size = 28
		refs = "0013 _cftoa_l"
	strings:
		$1 = { 48 83 EC 38 8B 44 24 60 48 83 64 24 28 00 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_569_22_0 {
	meta:
		name = "_cftog"
		size = 28
		refs = "0013 _cftog_l"
	strings:
		$1 = { 48 83 EC 38 8B 44 24 60 48 83 64 24 28 00 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_569_16_0 {
	meta:
		name = "_cftoa_l"
		size = 992
		refs = "003d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0051 _errno 005b _invalid_parameter_noinfo 00f5 _cftoe_l 0145 strrchr 02b2 memset"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 8B FA 48 8B 55 58 4C 8B F1 48 8D 4D E0 45 8B E1 49 8B D8 48 C7 45 30 FF 03 00 00 41 BD 30 00 00 00 E8 ?? ?? ?? ?? 45 33 FF 45 85 E4 45 0F 48 E7 48 85 FF 75 27 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 44 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C3 E9 4F 03 00 00 48 85 DB 75 24 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 44 38 7D F8 74 DD 48 8B 45 F0 83 A0 C8 00 00 00 FD EB D0 41 8D 44 24 0B 44 88 3F 48 63 C8 48 3B D9 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB 9C 49 8B 06 B9 FF 07 00 00 48 C1 E8 34 48 23 C1 48 3B C1 0F 85 93 00 00 00 4C 8D 43 FE 48 83 FB FF 48 8D 57 02 45 8B CC 49 8B CE 4C 0F 44 C3 4C 89 7C 24 28 44 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 1D 44 88 3F 44 38 7D F8 0F 84 BC 02 00 00 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 AC 02 00 00 80 7F 02 2D 75 06 C6 07 2D 48 FF C7 8B 5D 50 C6 07 30 BA 65 00 00 00 8B C3 F7 D8 1A C9 80 E1 E0 80 C1 78 88 4F 01 48 8D 4F 02 E8 ?? ?? ?? ?? 48 85 C0 74 10 F7 DB 1A C9 80 E1 E0 80 C1 70 88 08 44 88 78 03 44 38 7D F8 E9 50 02 00 00 48 B8 00 00 00 00 00 00 00 80 49 85 06 74 06 C6 07 2D 48 FF C7 44 8B 4D 50 41 BB 30 00 00 00 48 BB FF FF FF FF FF FF 0F 00 41 8B C1 44 88 1F F7 D8 41 8B C1 1A C9 80 E1 E0 80 C1 78 F7 D8 48 B8 00 00 00 00 00 00 F0 7F 1B D2 88 4F 01 83 E2 E0 83 EA D9 49 85 06 75 1F 44 88 5F 02 49 8B 06 48 83 C7 03 48 23 C3 48 F7 D8 48 1B C0 25 FE 03 00 00 48 89 45 30 EB 08 C6 47 02 31 48 83 C7 03 4C 8B FF 45 33 D2 48 FF C7 45 85 E4 75 05 45 88 17 EB 13 48 8B 45 E0 48 8B 88 28 01 00 00 48 8B 01 8A 08 41 88 0F 49 85 1E 0F 86 8B 00 00 00 49 B8 00 00 00 00 00 00 0F 00 45 85 E4 7E 2F 49 8B 06 41 8A CD 49 23 C0 48 23 C3 48 D3 E8 66 41 03 C3 66 83 F8 39 76 03 66 03 C2 88 07 49 C1 E8 04 41 FF CC 48 FF C7 66 41 83 C5 FC 79 CC 66 45 85 ED 78 47 49 8B 06 41 8A CD 49 23 C0 48 23 C3 48 D3 E8 66 83 F8 08 76 32 48 8D 47 FF 80 38 66 74 05 80 38 46 75 08 44 88 18 48 FF C8 EB EE 49 3B C7 74 14 8A 08 80 F9 39 75 07 80 C2 3A 88 10 EB 09 FE C1 88 08 EB 03 FE 40 FF 45 85 E4 7E 1F 45 8B C4 41 8A D3 48 8B CF 41 8B DC E8 ?? ?? ?? ?? 44 8B 4D 50 48 03 FB 45 33 D2 45 8D 5A 30 45 38 17 49 0F 44 FF 41 F7 D9 1A C0 24 E0 04 70 88 07 49 8B 0E 48 C1 E9 34 81 E1 FF 07 00 00 48 2B 4D 30 78 0A C6 47 01 2B 48 83 C7 02 EB 0B C6 47 01 2D 48 83 C7 02 48 F7 D9 4C 8B C7 44 88 1F 48 81 F9 E8 03 00 00 7C 33 48 B8 CF F7 53 E3 A5 9B C4 20 48 F7 E9 48 C1 FA 07 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 13 48 69 D2 18 FC FF FF 88 07 48 FF C7 48 03 CA 49 3B F8 75 06 48 83 F9 64 7C 2E 48 B8 0B D7 A3 70 3D 0A D7 A3 48 F7 E9 48 03 D1 48 C1 FA 06 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 13 48 6B D2 9C 88 07 48 FF C7 48 03 CA 49 3B F8 75 06 48 83 F9 0A 7C 2B 48 B8 67 66 66 66 66 66 66 66 48 F7 E9 48 C1 FA 02 48 8B C2 48 C1 E8 3F 48 03 D0 41 8D 04 13 48 6B D2 F6 88 07 48 FF C7 48 03 CA 41 02 CB 44 38 55 F8 88 0F 44 88 57 01 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 4C 8D 5C 24 50 49 8B 5B 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_569_18_0 {
	meta:
		name = "_cftof2_l"
		size = 409
		refs = "0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _errno 0049 _invalid_parameter_noinfo 00ca strlen 00da memmove 0165 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 40 41 8B 59 04 48 8B F2 48 8B 54 24 78 48 8B F9 48 8D 48 D8 4D 8B E1 FF CB 41 8B E8 E8 ?? ?? ?? ?? 48 85 FF 75 29 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 40 38 7C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C3 E9 17 01 00 00 48 85 F6 75 24 E8 ?? ?? ?? ?? 8D 5E 16 89 18 E8 ?? ?? ?? ?? 40 38 74 24 38 74 DE 48 8B 44 24 30 83 A0 C8 00 00 00 FD EB D0 80 7C 24 70 00 74 1A 3B DD 75 16 33 C0 41 83 3C 24 2D 48 63 CB 0F 94 C0 48 03 C7 66 C7 04 01 30 00 41 83 3C 24 2D 75 06 C6 07 2D 48 FF C7 41 83 7C 24 04 00 7F 20 48 8B CF E8 ?? ?? ?? ?? 48 8D 4F 01 48 8B D7 4C 8D 40 01 E8 ?? ?? ?? ?? C6 07 30 48 FF C7 EB 08 49 63 44 24 04 48 03 F8 85 ED 7E 77 48 8B CF 48 8D 77 01 E8 ?? ?? ?? ?? 48 8B D7 48 8B CE 4C 8D 40 01 E8 ?? ?? ?? ?? 4C 8B 5C 24 20 49 8B 83 28 01 00 00 48 8B 08 8A 01 88 07 41 8B 5C 24 04 85 DB 79 40 F7 DB 80 7C 24 70 00 75 09 8B C3 8B DD 3B E8 0F 4D D8 85 DB 74 1A 48 8B CE E8 ?? ?? ?? ?? 48 63 CB 48 8B D6 4C 8D 40 01 48 03 CE E8 ?? ?? ?? ?? 4C 63 C3 BA 30 00 00 00 48 8B CE E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5C C3 }
	condition:
		$1
}

rule file_569_19_0 {
	meta:
		name = "_cftof_l"
		size = 209
		refs = "000c __security_cookie 0037 _fltout2 0041 _errno 0048 _invalid_parameter_noinfo 0089 _fptostr 00b7 _cftof2_l 00c4 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 48 8B 09 49 8B D8 48 8B FA 41 8B F1 BD 16 00 00 00 4C 8D 44 24 48 48 8D 54 24 30 44 8B CD E8 ?? ?? ?? ?? 48 85 FF 75 10 E8 ?? ?? ?? ?? 89 28 E8 ?? ?? ?? ?? 8B C5 EB 6B 48 85 DB 74 EB 48 83 CA FF 48 3B DA 74 10 33 C0 83 7C 24 30 2D 48 8B D3 0F 94 C0 48 2B D0 44 8B 44 24 34 33 C9 4C 8D 4C 24 30 44 03 C6 83 7C 24 30 2D 0F 94 C1 48 03 CF E8 ?? ?? ?? ?? 85 C0 74 05 C6 07 00 EB 25 48 8B 84 24 C0 00 00 00 4C 8D 4C 24 30 44 8B C6 48 89 44 24 28 48 8B D3 48 8B CF C6 44 24 20 00 E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_569_21_0 {
	meta:
		name = "_cftog_l"
		size = 308
		refs = "0011 __security_cookie 003c _fltout2 0046 _errno 004d _invalid_parameter_noinfo 008e _fptostr 00e1 _cftof2_l 0115 _cftoe2_l 0122 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 48 8B 09 49 8B F8 48 8B F2 41 8B E9 BB 16 00 00 00 4C 8D 44 24 58 48 8D 54 24 40 44 8B CB E8 ?? ?? ?? ?? 48 85 F6 75 13 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 8B C3 E9 C1 00 00 00 48 85 FF 74 E8 44 8B 64 24 44 33 C0 41 FF CC 83 7C 24 40 2D 0F 94 C0 48 83 CA FF 48 8D 1C 30 48 3B FA 74 06 48 8B D7 48 2B D0 4C 8D 4C 24 40 44 8B C5 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 05 C6 06 00 EB 7E 8B 44 24 44 FF C8 44 3B E0 0F 9C C1 83 F8 FC 7C 3B 3B C5 7D 37 84 C9 74 0C 8A 03 48 FF C3 84 C0 75 F7 88 43 FE 48 8B 84 24 D8 00 00 00 4C 8D 4C 24 40 44 8B C5 48 89 44 24 28 48 8B D7 48 8B CE C6 44 24 20 01 E8 ?? ?? ?? ?? EB 32 48 8B 84 24 D8 00 00 00 44 8B 8C 24 D0 00 00 00 44 8B C5 48 89 44 24 30 48 8D 44 24 40 48 8B D7 48 8B CE C6 44 24 28 01 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_569_23_0 {
	meta:
		name = "_cfltcvt_l"
		size = 149
		refs = "0026 _cftof_l 0050 _cftog_l 006e _cftoa_l 008c _cftoe_l"
	strings:
		$1 = { 48 83 EC 38 41 83 F9 65 74 6A 41 83 F9 45 74 64 41 83 F9 66 75 16 48 8B 44 24 70 44 8B 4C 24 60 48 89 44 24 20 E8 ?? ?? ?? ?? EB 64 41 83 F9 61 74 24 41 83 F9 41 74 1E 48 8B 44 24 70 44 8B 4C 24 60 48 89 44 24 28 8B 44 24 68 89 44 24 20 E8 ?? ?? ?? ?? EB 3A 48 8B 44 24 70 44 8B 4C 24 60 48 89 44 24 28 8B 44 24 68 89 44 24 20 E8 ?? ?? ?? ?? EB 1C 48 8B 44 24 70 44 8B 4C 24 60 48 89 44 24 28 8B 44 24 68 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_569_24_0 {
	meta:
		name = "_cfltcvt"
		size = 36
		refs = "001b _cfltcvt_l"
	strings:
		$1 = { 48 83 EC 48 8B 44 24 78 48 83 64 24 30 00 89 44 24 28 8B 44 24 70 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_570_0_0 {
	meta:
		name = "_ungetc_nolock"
		size = 267
		refs = "001d _fileno 0024 __badioinfo 002b __pioinfo 0086 _errno 0091 _invalid_parameter_noinfo 00c5 _getbuf"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F6 42 18 40 48 8B DA 8B F9 0F 85 8A 00 00 00 48 8B CA E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 63 D8 41 83 FB FF 74 1D 41 83 FB FE 74 17 49 8B CB 49 8B C3 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 03 0C C0 EB 03 48 8B CA F6 41 38 7F 75 27 41 83 FB FF 74 1B 41 83 FB FE 74 15 49 8B D3 49 8B C3 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 03 14 C0 F6 42 38 80 74 1E E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 83 FF FF 74 ED F6 43 18 01 75 0C F6 43 18 80 74 E1 F6 43 18 02 75 DB 48 83 7B 10 00 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 03 48 3B 43 10 75 0C 83 7B 08 00 75 BD 48 FF C0 48 89 03 48 FF 0B F6 43 18 40 48 8B 03 74 0D 40 38 38 74 0B 48 FF C0 48 89 03 EB 9E 40 88 38 FF 43 08 83 63 18 EF 83 4B 18 01 40 0F B6 C7 EB 8D }
	condition:
		$1
}

rule file_570_1_0 {
	meta:
		name = "ungetc"
		size = 95
		refs = "0021 _errno 002c _invalid_parameter_noinfo 0039 _lock_file 0044 _ungetc_nolock 004e _unlock_file"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 57 48 83 EC 20 48 8B DA 8B F9 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1F 48 8B CA E8 ?? ?? ?? ?? 90 48 8B D3 8B CF E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_571_2_0 {
	meta:
		name = "_wexecvpe"
		size = 626
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0071 _wexecve 008c wcschr 00c3 ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 00cf _wdupenv_s 00f0 _invoke_watson 010b _calloc_crt 0173 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0180 wcscat_s 0190 wcslen 023e free"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 FF 4D 8B F0 4C 8B EA 48 8B F1 4C 89 78 08 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 0B 02 00 00 66 44 39 39 74 E5 48 85 D2 74 E0 48 8B 02 48 85 C0 74 D8 66 44 39 38 74 D2 E8 ?? ?? ?? ?? 4D 8B C6 49 8B D5 48 8B CE 44 89 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 0F 85 BF 01 00 00 BA 5C 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 85 A9 01 00 00 8D 58 2F 48 8B CE 8B D3 E8 ?? ?? ?? ?? 48 85 C0 0F 85 93 01 00 00 66 44 39 3E 74 0B 66 83 7E 02 3A 0F 84 82 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 60 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 62 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 4C 39 7C 24 60 0F 84 51 01 00 00 BA 02 00 00 00 B9 04 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 8B E8 48 85 C0 0F 84 24 01 00 00 4C 8B 64 24 60 EB 1E 66 83 F9 3B 74 22 48 8D 87 04 02 00 00 48 3B E8 73 16 66 89 4D 00 48 83 C5 02 49 83 C4 02 41 0F B7 0C 24 66 85 C9 75 D8 66 44 89 7D 00 48 8D 45 FE 48 3B EF 77 03 48 8B C5 B9 5C 00 00 00 48 8B EF 66 39 08 74 21 66 39 18 74 1C 4C 8D 05 ?? ?? ?? ?? BA 04 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 84 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 03 D8 B8 04 01 00 00 48 3B D8 0F 83 8A 00 00 00 4C 8B C6 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 64 E8 ?? ?? ?? ?? 4D 8B C6 49 8B D5 48 8B CF 44 89 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 38 02 74 1E B9 5C 00 00 00 8D 41 D3 66 39 0F 74 05 66 39 07 75 47 66 39 4F 02 74 06 66 39 47 02 75 3B 66 45 39 3C 24 74 34 BB 2F 00 00 00 E9 2F FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? 48 8B 4C 24 60 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C8 FF 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_572_5_0 {
	meta:
		name = "?_Initialize@_SpinCount@details@Concurrency@@SAXXZ"
		size = 34
		refs = "0005 ?GetProcessorCount@Concurrency@@YAIXZ 0019 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? B9 01 00 00 00 3B C8 1B C0 25 A0 0F 00 00 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_572_7_0 {
	meta:
		name = "??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
		size = 30
		refs = "0008 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA 0011 __imp_InitializeCriticalSectionAndSpinCount"
		altNames = "??0_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 15 ?? ?? ?? ?? 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_11_0 {
	meta:
		name = "?_TryAcquire@_NonReentrantBlockingLock@details@Concurrency@@QEAA_NXZ"
		size = 20
		refs = "0006 __imp_TryEnterCriticalSection"
		altNames = "?_TryAcquire@_ReentrantBlockingLock@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_572_19_0 {
	meta:
		name = "?_TryAcquire@_ReentrantLock@details@Concurrency@@QEAA_NXZ"
		size = 48
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 44 8B D8 83 C8 FF F0 44 0F B1 5B 04 74 09 41 3B C3 74 04 32 C0 EB 04 FF 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_21_0 {
	meta:
		name = "?_Release@_ReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 48
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 8B 53 04 3B D0 75 14 8B 03 83 F8 01 7C 0D FF C8 89 03 75 07 C7 43 04 FF FF FF FF 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_22_0 {
	meta:
		name = "??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ"
		size = 17
	strings:
		$1 = { C7 01 00 00 00 00 48 8B C1 C7 41 04 00 00 00 00 C3 }
	condition:
		$1
}

rule file_572_25_0 {
	meta:
		name = "?_TryAcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAA_NXZ"
		size = 21
	strings:
		$1 = { 83 CA FF 33 C0 F0 0F B1 11 75 07 F0 FF 41 04 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_572_26_0 {
	meta:
		name = "?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
		size = 112
		refs = "0034 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA 004b __imp_Sleep"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 8B 01 45 33 C9 41 8B F8 41 23 C0 8B F2 48 8B E9 41 8D 59 0A 3B C2 74 2F F3 90 41 FF C1 44 3B 0D ?? ?? ?? ?? 72 18 85 DB 7E 06 FF CB 33 C9 EB 05 B9 01 00 00 00 FF 15 ?? ?? ?? ?? 45 33 C9 8B 45 00 23 C7 3B C6 75 D1 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_572_27_0 {
	meta:
		name = "?_FlushWriteOwners@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
		size = 30
		refs = "0015 ?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 C1 04 8B 01 85 C0 7E 0B 41 83 C8 FF 33 D2 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_572_28_0 {
	meta:
		name = "??0LockQueueNode@details@Concurrency@@QEAA@XZ"
		size = 67
		refs = "0014 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0023 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0029 __imp_TlsGetValue 0033 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 08 00 C7 41 10 01 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_29_0 {
	meta:
		name = "??0LockQueueNode@details@Concurrency@@QEAA@PEAVContext@2@I@Z"
		size = 16
	strings:
		$1 = { 48 83 61 08 00 48 89 11 48 8B C1 44 89 41 10 C3 }
	condition:
		$1
}

rule file_572_32_0 {
	meta:
		name = "?Copy@LockQueueNode@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 21
	strings:
		$1 = { 8B 42 10 89 41 10 48 8B 42 08 48 89 41 08 48 8B 02 48 89 01 C3 }
	condition:
		$1
}

rule file_572_36_0 {
	meta:
		name = "??0critical_section@Concurrency@@QEAA@XZ"
		size = 28
		altNames = "??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 41 18 48 89 41 20 48 89 01 48 89 41 08 C7 41 10 02 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_572_39_0 {
	meta:
		name = "??0reader_writer_lock@Concurrency@@QEAA@XZ"
		size = 35
	strings:
		$1 = { 33 C0 48 89 41 18 48 89 41 20 48 89 41 28 89 41 30 48 89 01 48 89 41 08 C7 41 10 02 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_572_41_0 {
	meta:
		name = "?try_lock_read@reader_writer_lock@Concurrency@@QEAA_NXZ"
		size = 25
	strings:
		$1 = { EB 0A 8D 50 08 F0 0F B1 51 30 74 0A 8B 41 30 A8 03 74 EF 32 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule file_572_42_0 {
	meta:
		name = "?_Set_next_writer@reader_writer_lock@Concurrency@@AEAA_NPEAX@Z"
		size = 61
	strings:
		$1 = { 4C 8B C1 48 89 51 20 0F 0D 49 30 8B 41 30 8B D0 83 CA 01 F0 0F B1 51 30 75 F4 A8 04 75 1C 0F 0D 49 30 8B 41 30 8B C8 83 C9 02 F0 41 0F B1 48 30 75 F3 83 F8 08 7D 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_572_43_0 {
	meta:
		name = "?_Get_reader_convoy@reader_writer_lock@Concurrency@@AEAAPEAXXZ"
		size = 30
	strings:
		$1 = { B8 04 00 00 00 F0 0F C1 41 30 A8 01 74 09 A8 02 75 05 F0 83 49 30 02 33 C0 48 87 41 18 C3 }
	condition:
		$1
}

rule file_572_44_0 {
	meta:
		name = "?_Unlock_reader@reader_writer_lock@Concurrency@@AEAAXXZ"
		size = 44
	strings:
		$1 = { 48 83 EC 28 B8 F8 FF FF FF F0 0F C1 41 30 83 E0 FB 83 F8 0B 75 11 48 8B 49 20 83 61 10 FE 48 8B 09 48 8B 01 FF 50 18 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_572_52_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$0A@@details@Concurrency@@IEAAXXZ"
		size = 36
		refs = "0006 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 83 61 08 00 8B 05 ?? ?? ?? ?? 85 C0 75 08 C7 41 08 04 00 00 00 C3 83 61 04 00 89 01 C7 41 08 01 00 00 00 C3 }
	condition:
		$1
}

rule file_572_57_0 {
	meta:
		name = "??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		size = 38
	strings:
		$1 = { 33 C0 48 89 41 18 48 89 41 20 48 89 01 48 89 41 08 89 41 28 C7 41 10 02 00 00 00 C7 41 2C FF FF FF FF 48 8B C1 C3 }
	condition:
		$1
}

rule file_572_58_0 {
	meta:
		name = "?_AcquireRead@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
		size = 62
		refs = "001f ?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 8B 43 04 85 C0 7E 0F 48 8D 4B 04 41 83 C8 FF 33 D2 E8 ?? ?? ?? ?? 8B 03 83 F8 FF 74 E3 8D 48 01 F0 0F B1 0B 75 DA 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_572_59_0 {
	meta:
		name = "?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
		size = 60
		refs = "0025 ?_WaitEquals@_ReaderWriterLock@details@Concurrency@@CAXAEDJJJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 F0 FF 41 04 83 CF FF 33 C0 F0 0F B1 39 74 15 44 8B C7 33 D2 48 8B CB E8 ?? ?? ?? ?? 33 C0 F0 0F B1 3B 75 EB 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_572_60_0 {
	meta:
		name = "?UpdateQueuePosition@LockQueueNode@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 89
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 41 10 48 8B F9 B1 01 D1 E8 84 C1 75 36 8B 42 10 D1 E8 84 C1 74 2D 8B 5A 10 8B 42 10 83 C3 08 83 E3 FA 84 C1 74 1A 8B 42 10 C1 E8 02 84 C1 75 0D 48 8B 0A 48 8B 01 FF 50 20 84 C0 74 03 83 CB 04 09 5F 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_572_61_0 {
	meta:
		name = "?UpdateBlockingState@LockQueueNode@details@Concurrency@@QEAAXPEAV123@@Z"
		size = 49
	strings:
		$1 = { 40 53 48 83 EC 20 8B 42 10 48 8B D9 A8 01 74 1B 8B 42 10 C1 E8 02 A8 01 75 0D 48 8B 0A 48 8B 01 FF 50 20 84 C0 74 04 83 4B 10 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_62_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ"
		size = 160
		refs = "001b ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 33 D2 4C 8B C1 44 8D 52 04 44 8D 4A 01 41 8B 48 08 85 C9 75 21 41 89 50 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 45 89 50 08 EB E4 41 89 00 41 89 50 04 45 89 48 08 EB D7 FF C9 74 4C FF C9 74 2C FF C9 74 06 FF C9 74 3B EB 1F 41 89 50 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 45 89 50 08 EB 0B 41 89 00 41 89 50 04 45 89 48 08 32 C0 C3 41 8B 40 08 41 FF 48 04 B9 03 00 00 00 0F 44 C1 41 8A D1 41 89 40 08 F3 90 8A C2 C3 F3 90 41 FF 08 75 0F 41 8B 48 04 F7 D9 1B D2 83 C2 03 41 89 50 08 41 8A C1 C3 }
	condition:
		$1
}

rule file_572_63_0 {
	meta:
		name = "?_Reset@?$_SpinWait@$00@details@Concurrency@@IEAAXXZ"
		size = 36
		refs = "0006 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 83 61 08 00 8B 05 ?? ?? ?? ?? 85 C0 75 08 C7 41 08 04 00 00 00 C3 89 01 B8 01 00 00 00 89 41 04 89 41 08 C3 }
	condition:
		$1
}

rule file_572_64_0 {
	meta:
		name = "?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z"
		size = 172
		refs = "0010 ?GetProcessorCount@Concurrency@@YAIXZ 004f ?_S_spinCount@_SpinCount@details@Concurrency@@2IA 0062 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0095 ?_SpinOnce@?$_SpinWait@$0A@@details@Concurrency@@QEAA_NXZ 00a8 ?Block@Context@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B FA 48 8B D9 E8 ?? ?? ?? ?? 44 8B 43 10 44 8B D8 41 C1 E8 02 41 F6 C0 01 75 78 44 8B 43 10 41 D1 E8 41 F6 C0 01 74 0D 8B 43 10 C1 EF 03 C1 E8 03 2B C7 EB 05 B8 01 00 00 00 45 8D 43 02 41 3B C0 77 50 8B 0D ?? ?? ?? ?? FF C8 33 D2 0F AF C1 41 F7 F0 03 C1 48 8D 0D ?? ?? ?? ?? 48 89 4C 24 30 75 0A C7 44 24 28 04 00 00 00 EB 11 83 64 24 24 00 89 44 24 20 C7 44 24 28 01 00 00 00 8B 43 10 A8 01 74 0E 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 75 EB 48 8B 5C 24 50 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_572_65_0 {
	meta:
		name = "?_Acquire_lock@critical_section@Concurrency@@QEAAXPEAX_N@Z"
		size = 371
		refs = "002d ??_C@_0BD@BAGHDICJ@Lock?5already?5taken?$AA@ 0036 ??0improper_lock@Concurrency@@QEAA@PEBD@Z 003d _TI2?AVimproper_lock@Concurrency@@ 0047 _CxxThrowException 00f4 ?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 7B 18 4D 89 63 20 41 56 48 83 EC 40 48 8B 01 45 8A F0 48 8B DA 48 8B F9 48 39 02 75 22 48 8D 15 ?? ?? ?? ?? 49 8D 4B D8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B EA 48 87 69 20 48 85 ED 75 4C 48 89 51 18 8B 42 10 D1 E8 A8 01 75 36 8B 41 10 D1 E8 A8 01 74 2D 8B 69 10 8B 41 10 83 C5 08 83 E5 FA A8 01 74 1A 8B 41 10 C1 E8 02 A8 01 75 0D 48 8B 09 48 8B 01 FF 50 20 84 C0 74 03 83 CD 04 09 6B 10 83 63 10 FE E9 97 00 00 00 8B 42 10 D1 E8 A8 01 75 3C 8B 45 10 D1 E8 A8 01 74 33 44 8B 65 10 8B 45 10 41 83 C4 08 41 83 E4 FA A8 01 74 1C 8B 45 10 C1 E8 02 A8 01 75 0E 48 8B 4D 00 48 8B 01 FF 50 20 84 C0 74 04 41 83 CC 04 44 09 63 10 48 89 5D 08 8B 57 10 48 8B CB E8 ?? ?? ?? ?? 44 8B 5B 10 41 D1 EB 41 F6 C3 01 75 36 8B 47 10 D1 E8 A8 01 74 2D 8B 6F 10 8B 47 10 83 C5 08 83 E5 FA A8 01 74 1A 8B 47 10 C1 E8 02 A8 01 75 0D 48 8B 0F 48 8B 01 FF 50 20 84 C0 74 03 83 CD 04 09 6B 10 45 84 F6 74 18 8B 43 10 89 47 10 48 8B 43 08 48 89 47 08 48 8B 03 48 89 07 48 89 5F 18 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_572_69_0 {
	meta:
		name = "??0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z"
		size = 122
		refs = "003b ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0047 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 004d __imp_TlsGetValue 0057 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0068 ?_Acquire_lock@critical_section@Concurrency@@QEAAXPEAX_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 89 11 48 8D 59 08 48 89 5C 24 40 48 89 5C 24 48 48 85 DB 74 31 48 83 63 08 00 C7 43 10 01 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 03 41 B0 01 48 8B D3 48 8B 0F E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_572_73_0 {
	meta:
		name = "??0scoped_lock@reader_writer_lock@Concurrency@@QEAA@AEAV12@@Z"
		size = 122
		refs = "003b ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0047 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 004d __imp_TlsGetValue 0057 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0068 ?_Acquire_lock@reader_writer_lock@Concurrency@@QEAAXPEAX_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 89 11 48 8D 59 08 48 89 5C 24 40 48 89 5C 24 48 48 85 DB 74 31 48 83 63 08 00 C7 43 10 01 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 03 41 B0 01 48 8B D3 48 8B 0F E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_572_70_0 {
	meta:
		name = "?dtor$0@?0???0scoped_lock@critical_section@Concurrency@@QEAA@AEAV12@@Z@4HA"
		size = 28
		refs = "0012 ??3@YAXPEAX0@Z"
		altNames = "?dtor$0@?0???0scoped_lock@reader_writer_lock@Concurrency@@QEAA@AEAV12@@Z@4HA ?dtor$0@?0??__ExceptionPtrCopy@@YAXPEAXPEBX@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_572_71_0 {
	meta:
		name = "?lock_read@reader_writer_lock@Concurrency@@QEAAXXZ"
		size = 286
		refs = "0012 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0029 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 002f __imp_TlsGetValue 0039 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 004a ??_C@_0BP@FOPPMPGO@Lock?5already?5taken?5as?5a?5writer?$AA@ 0054 ??0improper_lock@Concurrency@@QEAA@PEBD@Z 005b _TI2?AVimproper_lock@Concurrency@@ 0065 _CxxThrowException 00f3 ?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 50 48 83 64 24 28 00 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 C7 44 24 30 01 00 00 00 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 44 24 20 48 3B 03 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8D 7C 24 20 48 87 7B 18 48 85 FF 75 4C 0F 0D 4B 30 8B 43 30 8D 57 04 8B C8 0B CA F0 0F B1 4B 30 75 F5 A8 03 75 5A F0 0F C1 53 30 F6 C2 01 74 0A F6 C2 02 75 05 F0 83 4B 30 02 33 C9 48 8D 44 24 20 48 87 4B 18 83 61 10 FE 48 3B C8 74 5A 48 8B 09 48 8B 01 FF 50 18 EB 27 8B 47 10 A8 01 74 20 8B 47 10 C1 E8 02 A8 01 75 0D 48 8B 0F 48 8B 01 FF 50 20 84 C0 74 09 BA 04 00 00 00 09 54 24 30 48 8D 4C 24 20 33 D2 E8 ?? ?? ?? ?? 48 85 FF 74 17 B8 08 00 00 00 F0 0F C1 43 30 83 67 10 FE 48 8B 0F 48 8B 01 FF 50 18 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_572_72_0 {
	meta:
		name = "?_Acquire_lock@reader_writer_lock@Concurrency@@QEAAXPEAX_N@Z"
		size = 376
		refs = "002d ??_C@_0BD@BAGHDICJ@Lock?5already?5taken?$AA@ 0036 ??0improper_lock@Concurrency@@QEAA@PEBD@Z 003d _TI2?AVimproper_lock@Concurrency@@ 0047 _CxxThrowException 009e ?_Set_next_writer@reader_writer_lock@Concurrency@@AEAA_NPEAX@Z 00f9 ?Block@LockQueueNode@details@Concurrency@@QEAAXI@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 49 89 7B 18 4D 89 63 20 41 56 48 83 EC 40 48 8B 01 45 8A F0 48 8B DA 48 8B F9 48 39 02 75 22 48 8D 15 ?? ?? ?? ?? 49 8D 4B D8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B F2 48 87 71 28 8B 42 10 D1 E8 48 85 F6 75 52 A8 01 75 36 8B 41 10 D1 E8 A8 01 74 2D 8B 71 10 8B 41 10 83 C6 08 83 E6 FA A8 01 74 1A 8B 41 10 C1 E8 02 A8 01 75 0D 48 8B 09 48 8B 01 FF 50 20 84 C0 74 03 83 CE 04 09 73 10 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 4C 83 63 10 FE E9 91 00 00 00 A8 01 75 3B 8B 46 10 D1 E8 A8 01 74 32 44 8B 66 10 8B 46 10 41 83 C4 08 41 83 E4 FA A8 01 74 1B 8B 46 10 C1 E8 02 A8 01 75 0D 48 8B 0E 48 8B 01 FF 50 20 84 C0 74 04 41 83 CC 04 44 09 63 10 48 89 5E 08 8B 57 10 48 8B CB E8 ?? ?? ?? ?? 44 8B 5B 10 41 D1 EB 41 F6 C3 01 75 36 8B 47 10 D1 E8 A8 01 74 2D 8B 77 10 8B 47 10 83 C6 08 83 E6 FA A8 01 74 1A 8B 47 10 C1 E8 02 A8 01 75 0D 48 8B 0F 48 8B 01 FF 50 20 84 C0 74 03 83 CE 04 09 73 10 45 84 F6 74 18 8B 43 10 89 47 10 48 8B 43 08 48 89 47 08 48 8B 03 48 89 5F 20 48 89 07 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 41 5E C3 }
	condition:
		$1
}

rule file_572_76_0 {
	meta:
		name = "?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		size = 174
		refs = "0020 ?_S_spinCount@_SpinCount@details@Concurrency@@2IA"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4C 8B C1 8D 53 04 44 8D 4B 01 41 8B 48 08 85 C9 75 21 41 89 58 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 41 89 50 08 EB E4 41 89 00 45 89 48 04 45 89 48 08 EB D7 FF C9 74 50 FF C9 74 2D FF C9 74 06 FF C9 74 3C EB 1F 41 89 58 08 8B 05 ?? ?? ?? ?? 85 C0 75 06 41 89 50 08 EB 0B 41 89 00 45 89 48 04 45 89 48 08 32 C0 EB 38 41 8B 40 08 41 FF 48 04 B9 03 00 00 00 0F 44 C1 41 8A D9 41 89 40 08 41 FF 50 10 8A C3 EB 19 F3 90 41 FF 08 75 0F 41 8B 48 04 F7 D9 1B D2 83 C2 03 41 89 50 08 41 8A C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_77_0 {
	meta:
		name = "?_Acquire@_ReentrantLock@details@Concurrency@@QEAAXXZ"
		size = 85
		refs = "000f __imp_GetCurrentThreadId 001d ?_Sleep0@details@Concurrency@@YAXXZ 0032 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 FF 15 ?? ?? ?? ?? 83 64 24 28 00 8B F8 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 0E 3B C7 74 25 48 8D 4C 24 20 E8 ?? ?? ?? ?? 83 C8 FF F0 0F B1 7B 04 75 E8 C7 03 01 00 00 00 48 8B 5C 24 50 48 83 C4 40 5F C3 FF 03 EB F1 }
	condition:
		$1
}

rule file_572_79_0 {
	meta:
		name = "?_Acquire@_ReentrantPPLLock@details@Concurrency@@QEAAXPEAX@Z"
		size = 83
		refs = "0017 __imp_GetCurrentThreadId 0035 ?_Acquire_lock@critical_section@Concurrency@@QEAAXPEAX_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B D9 FF 15 ?? ?? ?? ?? 44 8B 43 2C 8B F8 44 3B C0 75 05 FF 43 28 EB 18 41 B0 01 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 89 7B 2C C7 43 28 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_572_80_0 {
	meta:
		name = "?WaitForNextNode@LockQueueNode@details@Concurrency@@QEAAPEAV123@XZ"
		size = 77
		refs = "001a ?_UnderlyingYield@details@Concurrency@@YAXXZ 002b ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 41 08 83 64 24 28 00 48 8B D9 48 89 44 24 50 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 13 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5B 08 4C 89 5C 24 50 48 8B 44 24 50 48 85 C0 74 E3 48 8B 44 24 50 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_572_81_0 {
	meta:
		name = "??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 121
		refs = "003a ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0046 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 004c __imp_TlsGetValue 0056 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0067 ?_Acquire_lock@critical_section@Concurrency@@QEAAXPEAX_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 89 11 48 8D 59 08 48 89 5C 24 48 48 85 DB 74 31 48 83 63 08 00 C7 43 10 01 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 03 41 B0 01 48 8B D3 48 8B 0F E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_572_82_0 {
	meta:
		name = "?dtor$0@?0???0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z@4HA"
		size = 32
		refs = "0016 ??3@YAXPEAX0@Z"
		altNames = "?dtor$0@?0???0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 40 48 83 C2 08 48 8B 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_572_83_0 {
	meta:
		name = "??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z"
		size = 118
		refs = "003a ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0046 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 004c __imp_TlsGetValue 0056 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 0064 ?_Acquire@_ReentrantPPLLock@details@Concurrency@@QEAAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 89 11 48 8D 59 08 48 89 5C 24 48 48 85 DB 74 31 48 83 63 08 00 C7 43 10 01 00 00 00 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 03 48 8B D3 48 8B 0F E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_572_85_0 {
	meta:
		name = "?unlock@critical_section@Concurrency@@QEAAXXZ"
		size = 131
		refs = "003e ?_UnderlyingYield@details@Concurrency@@YAXXZ 004f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 59 18 48 8B D1 33 FF 48 8B 4B 08 48 89 3A 48 89 4A 18 48 85 C9 75 48 48 8B C3 F0 48 0F B1 7A 20 74 4A 48 8B 43 08 89 7C 24 28 48 89 44 24 50 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 13 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5B 08 4C 89 5C 24 50 48 8B 44 24 50 48 85 C0 74 E3 48 8B 4C 24 50 83 61 10 FE 48 8B 09 48 8B 01 FF 50 18 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_572_86_0 {
	meta:
		name = "?_Switch_to_active@critical_section@Concurrency@@AEAAXPEAX@Z"
		size = 151
		refs = "0047 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0058 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 8B 42 10 48 8B FA 48 8B D9 89 41 10 48 8B 42 08 48 89 41 08 48 83 79 08 00 48 8B 02 48 89 01 75 5D 48 8B C2 F0 48 0F B1 59 20 74 52 48 8B 42 08 83 64 24 28 00 48 89 44 24 50 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 13 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5F 08 4C 89 5C 24 50 48 8B 44 24 50 48 85 C0 74 E3 48 8B 44 24 50 8B 47 10 89 43 10 48 8B 47 08 48 89 43 08 48 8B 07 48 89 03 48 89 5B 18 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_572_88_0 {
	meta:
		name = "?_Remove_last_writer@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
		size = 140
		refs = "0032 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0066 ?_Set_next_writer@reader_writer_lock@Concurrency@@AEAA_NPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 40 48 8B DA 48 8B F9 33 F6 48 8B C2 F0 48 0F B1 71 28 74 5A 48 8B 42 08 89 74 24 28 48 89 44 24 50 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 13 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5B 08 4C 89 5C 24 50 48 8B 44 24 50 48 85 C0 74 E3 4C 8B 4C 24 50 48 8B CF 49 8B D1 E8 ?? ?? ?? ?? 84 C0 74 0E 41 83 61 10 FE 49 8B 09 48 8B 01 FF 50 18 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_572_89_0 {
	meta:
		name = "?_Switch_to_active@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
		size = 151
		refs = "0047 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0058 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 8B 42 10 48 8B FA 48 8B D9 89 41 10 48 8B 42 08 48 89 41 08 48 83 79 08 00 48 8B 02 48 89 01 75 5D 48 8B C2 F0 48 0F B1 59 28 74 52 48 8B 42 08 83 64 24 28 00 48 89 44 24 50 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 EB 13 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5F 08 4C 89 5C 24 50 48 8B 44 24 50 48 85 C0 74 E3 48 8B 44 24 50 8B 47 10 89 43 10 48 8B 47 08 48 89 43 08 48 8B 07 48 89 03 48 89 5B 20 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_572_91_0 {
	meta:
		name = "?_Release@_ReentrantPPLLock@details@Concurrency@@QEAAXXZ"
		size = 26
		refs = "0011 ?unlock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 FF 49 28 75 0C C7 41 2C FF FF FF FF E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_572_93_0 {
	meta:
		name = "??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		size = 29
		refs = "0014 ?unlock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 FF 49 28 75 0C C7 41 2C FF FF FF FF E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_572_94_0 {
	meta:
		name = "?lock@critical_section@Concurrency@@QEAAXXZ"
		size = 97
		refs = "000e ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0025 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 002b __imp_TlsGetValue 0035 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 004a ?_Acquire_lock@critical_section@Concurrency@@QEAAXPEAX_N@Z 0057 ?_Switch_to_active@critical_section@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 64 24 28 00 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 C7 44 24 30 01 00 00 00 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 8D 54 24 20 45 33 C0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_572_97_0 {
	meta:
		name = "?lock@reader_writer_lock@Concurrency@@QEAAXXZ"
		size = 97
		refs = "000e ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0025 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 002b __imp_TlsGetValue 0035 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 004a ?_Acquire_lock@reader_writer_lock@Concurrency@@QEAAXPEAX_N@Z 0057 ?_Switch_to_active@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 64 24 28 00 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 C7 44 24 30 01 00 00 00 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 8D 54 24 20 45 33 C0 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_572_95_0 {
	meta:
		name = "?try_lock@critical_section@Concurrency@@QEAA_NXZ"
		size = 190
		refs = "0012 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0029 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 002f __imp_TlsGetValue 0039 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00a9 ?_Switch_to_active@critical_section@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 83 64 24 28 00 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B F9 C7 44 24 30 01 00 00 00 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 44 24 20 48 8D 4C 24 20 33 C0 F0 48 0F B1 4F 20 75 60 48 8D 44 24 20 48 89 47 18 8B 44 24 30 D1 E8 A8 01 75 37 8B 47 10 D1 E8 A8 01 74 2E 8B 5F 10 8B 47 10 83 C3 08 83 E3 FA A8 01 74 1A 8B 47 10 C1 E8 02 A8 01 75 0D 48 8B 0F 48 8B 01 FF 50 20 84 C0 74 03 83 CB 04 09 5C 24 30 83 64 24 30 FE 48 8D 54 24 20 48 8B CF E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_572_96_0 {
	meta:
		name = "?_Flush_current_owner@critical_section@Concurrency@@QEAAXXZ"
		size = 37
		refs = "0013 ?lock@critical_section@Concurrency@@QEAAXXZ 001b ?unlock@critical_section@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 20 48 8B D9 48 85 C0 74 0D E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_572_98_0 {
	meta:
		name = "?try_lock@reader_writer_lock@Concurrency@@QEAA_NXZ"
		size = 220
		refs = "0019 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 002f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0035 __imp_TlsGetValue 003f ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 00b6 ?_Switch_to_active@reader_writer_lock@Concurrency@@AEAAXPEAX@Z 00c6 ?_Remove_last_writer@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 40 48 83 65 E8 00 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 C7 45 F0 01 00 00 00 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 89 45 E0 48 8D 4D E0 33 C0 F0 48 0F B1 4B 28 75 75 48 8D 45 E0 B9 03 00 00 00 48 89 43 20 33 C0 F0 0F B1 4B 30 75 53 8B 45 F0 D1 E8 A8 01 75 36 8B 43 10 D1 E8 A8 01 74 2D 8B 7B 10 8B 43 10 83 C7 08 83 E7 FA A8 01 74 1A 8B 43 10 C1 E8 02 A8 01 75 0D 48 8B 0B 48 8B 01 FF 50 20 84 C0 74 03 83 CF 04 09 7D F0 83 65 F0 FE 48 8D 55 E0 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 0E 48 8D 55 E0 48 8B CB E8 ?? ?? ?? ?? 32 C0 48 8B 5C 24 58 48 8B 7C 24 60 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_572_99_0 {
	meta:
		name = "?_Unlock_writer@reader_writer_lock@Concurrency@@AEAAXXZ"
		size = 137
		refs = "007a ?_Remove_last_writer@reader_writer_lock@Concurrency@@AEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 20 48 8B D9 33 D2 48 8B 4F 08 48 89 13 48 89 4B 20 48 85 C9 74 0F 83 61 10 FE 48 8B 09 48 8B 01 FF 50 18 EB 4C 0F 0D 4B 30 8B 43 30 8B C8 83 E1 FC F0 0F B1 4B 30 75 F4 B9 04 00 00 00 84 C1 74 25 F0 0F C1 4B 30 F6 C1 01 74 0A F6 C1 02 75 05 F0 83 4B 30 02 48 87 53 18 83 62 10 FE 48 8B 0A 48 8B 01 FF 50 18 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_572_100_0 {
	meta:
		name = "?unlock@reader_writer_lock@Concurrency@@QEAAXXZ"
		size = 38
		refs = "0011 ?_Unlock_reader@reader_writer_lock@Concurrency@@AEAAXXZ 001d ?_Unlock_writer@reader_writer_lock@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 8B 41 30 83 F8 08 7C 09 48 83 C4 28 E9 ?? ?? ?? ?? 8B 41 30 A8 02 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_573_0_0 {
	meta:
		name = "wcsncat"
		size = 59
	strings:
		$1 = { 4C 8B C9 45 33 D2 0F B7 01 48 83 C1 02 66 85 C0 75 F4 48 83 E9 02 EB 16 0F B7 02 49 FF C8 48 83 C2 02 66 89 01 48 83 C1 02 66 85 C0 74 09 4D 85 C0 75 E5 66 44 89 11 49 8B C1 C3 }
	condition:
		$1
}

rule file_574_4_0 {
	meta:
		name = "??2@YAPEAX_K@Z"
		size = 163
		refs = "000f _callnewh 001b malloc 002c ?$S1@?5???2@YAPEAX_K@Z@4IA 0039 ??_7bad_alloc@std@@6B@ 004d ?nomem@?5???2@YAPEAX_K@Z@4Vbad_alloc@std@@B 005a ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0064 ??0exception@std@@QEAA@AEBQEBDH@Z 006b ??__Fnomem@?5???2@YAPEAX_K@Z@YAXXZ 0077 atexit 0088 ??0exception@std@@QEAA@AEBV01@@Z 008f _TI2?AVbad_alloc@std@@ 009e _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 EB 0F 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 13 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 74 E7 48 83 C4 40 5B C3 8B 05 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8D 1D ?? ?? ?? ?? 41 84 C0 75 39 41 0B C0 48 8D 54 24 58 48 8D 0D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_575_3_0 {
	meta:
		name = "_mbstrlen_l"
		size = 190
		refs = "0013 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 strlen 005f __imp_MultiByteToWideChar 0068 _errno 0081 _isleadbyte_l"
	strings:
		$1 = { 48 89 74 24 08 57 48 83 EC 50 48 8B F9 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 B8 0C 01 00 00 01 75 1D 48 8B CF E8 ?? ?? ?? ?? 80 7C 24 48 00 74 7F 48 8B 4C 24 40 83 A1 C8 00 00 00 FD EB 71 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 48 83 CE FF 4C 8B C7 8D 56 0A 44 8B CE FF 15 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 29 33 F6 EB 1F 48 8D 54 24 30 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 08 48 FF C7 80 3F 00 74 0C 48 FF C6 48 FF C7 8A 07 84 C0 75 DB 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B C6 48 8B 74 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_575_4_0 {
	meta:
		name = "_mbstrlen"
		size = 21
		refs = "0002 __locale_changed 000a strlen 0011 _mbstrlen_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E9 ?? ?? ?? ?? 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_576_3_0 {
	meta:
		name = "_mbbtombc_l"
		size = 216
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0035 __ImageBase 003d mbbtable 0084 mbctable"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 81 7B 04 A4 03 00 00 0F 85 98 00 00 00 8D 43 E0 83 F8 5E 77 28 80 7C 24 38 00 48 8D 0D ?? ?? ?? ?? 0F B7 84 41 ?? ?? ?? ?? 0F 84 8B 00 00 00 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 7D 81 FB DC 00 00 00 75 1A 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD B8 8F 83 00 00 EB 5B 8D 83 5F FF FF FF 83 F8 3E 77 3B 8A 05 ?? ?? ?? ?? 33 D2 45 33 C0 84 C0 74 2C 48 8D 0D ?? ?? ?? ?? 0F B6 C0 3B D8 74 13 42 8A 84 81 ?? ?? ?? ?? 49 FF C0 FF C2 84 C0 75 E8 EB 0B 48 63 C2 0F B7 9C 81 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_576_5_0 {
	meta:
		name = "_mbctombb_l"
		size = 237
		refs = "0014 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0045 mbbtable 006d mbctable"
	strings:
		$1 = { 48 89 5C 24 08 55 48 8B EC 48 83 EC 40 8B D9 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 5D E8 33 D2 41 81 7B 04 A4 03 00 00 74 17 38 55 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C3 E9 A3 00 00 00 44 8B C2 48 8D 0D ?? ?? ?? ?? 0F B7 01 3B D8 74 7E 48 8D 05 ?? ?? ?? ?? 48 83 C1 02 41 FF C0 48 3B C8 7E E6 81 FB 96 83 00 00 77 BD 38 15 ?? ?? ?? ?? 8B CA 4C 8B C2 74 B0 48 8B C2 4C 8D 1D ?? ?? ?? ?? 46 0F B7 54 18 02 44 8B CB 45 2B CA 74 34 44 33 D3 41 F7 C2 00 FF 00 00 75 10 45 85 C9 7E 0B 42 0F BE 44 18 01 44 3B C8 78 18 49 FF C0 FF C1 49 8B C0 48 C1 E0 02 42 38 14 18 0F 84 66 FF FF FF EB BE 48 63 C1 41 0F B6 04 83 EB 04 41 8D 40 20 38 55 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_577_0_0 {
	meta:
		name = "feof"
		size = 40
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 06 8B 41 18 83 E0 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_577_1_0 {
	meta:
		name = "ferror"
		size = 40
		refs = "000a _errno 0015 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 06 8B 41 18 83 E0 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_578_5_0 {
	meta:
		name = "?__crtGetLocaleInfoA_stat@@YAHPEAUlocaleinfo_struct@@KKPEADH@Z"
		size = 344
		refs = "0022 __security_cookie 004d __imp_GetLocaleInfoW 0096 __chkstk 00b0 malloc 0119 __imp_WideCharToMultiByte 012c free 013a __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 83 EC 50 48 8D 6C 24 40 48 89 5D 40 48 89 75 48 48 89 7D 50 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 48 8B 01 45 8B E8 44 8B F2 44 8B 60 04 4D 8B F9 45 33 C0 45 33 C9 41 8B D5 41 8B CE 33 FF FF 15 ?? ?? ?? ?? 48 63 F0 85 C0 75 07 33 C0 E9 D3 00 00 00 7E 67 33 D2 48 8D 42 E0 48 F7 F6 48 83 F8 02 72 58 48 8D 4C 36 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 5C 24 40 48 85 DB 74 B1 C7 03 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C3 10 EB 03 48 8B DF 48 85 DB 74 88 44 8B CE 4C 8B C3 41 8B D5 41 8B CE FF 15 ?? ?? ?? ?? 85 C0 74 39 8B 45 60 41 83 C9 FF 33 D2 48 89 7C 24 38 4C 8B C3 41 8B CC 48 89 7C 24 30 85 C0 75 0B 89 7C 24 28 48 89 7C 24 20 EB 09 89 44 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 8B F8 48 8D 4B F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 40 48 8B 75 48 48 8B 7D 50 48 8D 65 10 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_578_6_0 {
	meta:
		name = "__crtGetLocaleInfoA"
		size = 102
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f ?__crtGetLocaleInfoA_stat@@YAHPEAUlocaleinfo_struct@@KKPEADH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 50 8B F2 48 8B D1 48 8D 4C 24 30 49 8B D9 41 8B F8 E8 ?? ?? ?? ?? 44 8B 9C 24 80 00 00 00 48 8D 4C 24 30 4C 8B CB 44 8B C7 8B D6 44 89 5C 24 20 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 74 24 68 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_579_10_0 {
	meta:
		name = "?SafeInterlockedIncrement@@YA_NPECJ@Z"
		size = 23
	strings:
		$1 = { 66 90 8B 01 85 C0 74 0C 8D 50 01 F0 0F B1 11 75 F1 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_579_11_0 {
	meta:
		name = "?NumberOfBitsSet@@YAG_K@Z"
		size = 21
	strings:
		$1 = { 33 C0 48 85 C9 74 0C 48 8D 51 FF 66 FF C0 48 23 CA 75 F4 F3 C3 }
	condition:
		$1
}

rule file_579_27_0 {
	meta:
		name = "?Initialize@GlobalNode@details@Concurrency@@QEAAXGG_K@Z"
		size = 265
		refs = "006e ??_U@YAPEAX_K@Z 0087 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 0F B7 C2 33 DB 48 8B F9 89 41 18 41 0F B7 C0 4C 89 09 89 41 14 49 8B F1 0F B7 D3 44 8D 63 01 49 8B C9 4D 85 C9 74 0D 48 8D 41 FF 66 41 03 D4 48 23 C8 75 F3 0F B7 CA B8 18 00 00 00 48 C7 C5 FF FF FF FF 89 4F 08 48 89 5F 0C 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 8B 4F 08 33 D2 4C 8D 04 49 48 8B C8 48 89 47 28 49 C1 E0 03 E8 ?? ?? ?? ?? 44 8B 5F 08 8D 45 05 49 F7 E3 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 8B D3 48 89 47 30 39 5F 08 76 16 48 8B CB 48 8B 47 30 89 14 01 41 03 D4 48 83 C1 04 3B 57 08 72 ED 8B D3 39 5F 08 76 25 4C 8B C3 41 84 F4 74 12 48 8B 47 28 41 03 D4 49 8D 0C 00 49 83 C0 18 88 59 04 48 D1 EE 41 03 DC 3B 57 08 72 DE 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_579_28_0 {
	meta:
		name = "?Copy@GlobalNode@details@Concurrency@@QEAAXPEAUSchedulerNode@23@@Z"
		size = 59
	strings:
		$1 = { 45 33 C9 4C 8B C1 44 39 49 08 76 27 45 8B D1 45 8B D9 48 8B 42 30 49 8B 48 28 41 FF C1 41 8B 04 03 49 83 C3 38 41 89 04 0A 49 83 C2 18 45 3B 48 08 72 DF 8B 42 0C 41 89 40 0C C3 }
	condition:
		$1
}

rule file_579_29_0 {
	meta:
		name = "?CopyAndReset@GlobalNode@details@Concurrency@@QEAAXPEAUSchedulerNode@23@@Z"
		size = 83
	strings:
		$1 = { 45 33 D2 4C 8B C1 44 39 51 08 76 3A 45 33 C9 45 33 DB 49 8B 40 28 48 8B 4A 30 41 FF C2 41 8B 04 01 41 89 04 0B 49 8B 40 28 49 83 C3 38 41 83 24 01 00 49 8B 40 28 49 83 C1 18 42 83 64 08 FC 00 45 3B 50 08 72 CC 41 8B 40 0C 89 42 0C 41 83 60 0C 00 C3 }
	condition:
		$1
}

rule file_579_30_0 {
	meta:
		name = "?Cleanup@GlobalNode@details@Concurrency@@QEAAXXZ"
		size = 32
		refs = "000e ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_33_0 {
	meta:
		name = "?MinVprocHWThreads@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 24
	strings:
		$1 = { 8B 81 B4 00 00 00 8B 91 DC 00 00 00 2B 91 E8 00 00 00 3B D0 0F 47 C2 C3 }
	condition:
		$1
}

rule file_579_34_0 {
	meta:
		name = "?MinHWThreads@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 31
	strings:
		$1 = { 44 8B 81 E8 00 00 00 8B 81 B4 00 00 00 8B 91 DC 00 00 00 41 2B D0 3B D0 0F 47 C2 41 03 C0 C3 }
	condition:
		$1
}

rule file_579_35_0 {
	meta:
		name = "?DesiredHWThreads@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 24
	strings:
		$1 = { 8B 81 B0 00 00 00 03 81 E8 00 00 00 8B 89 EC 00 00 00 3B C8 0F 42 C1 C3 }
	condition:
		$1
}

rule file_579_36_0 {
	meta:
		name = "?ComputeMinHWThreadsWithExternalThread@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 65
	strings:
		$1 = { 44 8B 91 E8 00 00 00 8B 91 B4 00 00 00 44 8B 89 DC 00 00 00 44 8B 81 EC 00 00 00 45 2B CA 8B C2 44 3B CA 41 0F 47 C1 41 03 C2 FF C0 44 3B C0 72 0C 44 3B CA 41 0F 47 D1 45 8D 44 12 01 41 8B C0 C3 }
	condition:
		$1
}

rule file_579_37_0 {
	meta:
		name = "?ComputeDesiredHWThreadsWithExternalThread@SchedulerProxy@details@Concurrency@@QEBAIXZ"
		size = 49
	strings:
		$1 = { 8B 91 EC 00 00 00 44 8B 81 E8 00 00 00 44 03 81 B0 00 00 00 41 3B D0 41 8B C0 0F 42 C2 FF C0 3B D0 72 0B 41 3B D0 44 0F 42 C2 41 8D 50 01 8B C2 C3 }
	condition:
		$1
}

rule file_579_49_0 {
	meta:
		name = "?ShouldReceiveNotifications@SchedulerProxy@details@Concurrency@@QEAA_NXZ"
		size = 16
	strings:
		$1 = { 8B 91 B0 00 00 00 39 91 B4 00 00 00 0F 94 C0 C3 }
	condition:
		$1
}

rule file_579_50_0 {
	meta:
		name = "?DoHillClimbing@SchedulerProxy@details@Concurrency@@QEAAIIIII@Z"
		size = 26
		refs = "0011 ?Update@HillClimbing@details@Concurrency@@QEAAIIIII@Z"
	strings:
		$1 = { 48 83 EC 38 8B 44 24 60 48 8B 49 68 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_579_60_0 {
	meta:
		name = "?InitializeSetThreadGroupAffinityFn@HardwareAffinity@details@Concurrency@@SAXXZ"
		size = 173
		refs = "000d ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0013 __imp_GetModuleHandleW 001a ??_C@_0BH@CJPDKMEB@SetThreadGroupAffinity?$AA@ 0023 __imp_GetProcAddress 003a ??_C@_0BH@CINNILJO@GetThreadGroupAffinity?$AA@ 0058 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0062 ?s_pfnSetThreadGroupAffinity@HardwareAffinity@details@Concurrency@@0P6AHPEAXPEAU_GROUP_AFFINITY@@1@ZEA 0073 ?s_pfnGetThreadGroupAffinity@HardwareAffinity@details@Concurrency@@0P6AHPEAXPEAU_GROUP_AFFINITY@@@ZEA 007f __imp_GetLastError 0097 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 009e _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00a8 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B F8 FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 2E 48 85 C0 74 29 48 8B CF E8 ?? ?? ?? ?? 48 8B CB 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 89 05 ?? ?? ?? ?? 48 83 C4 40 5F C3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_579_65_0 {
	meta:
		name = "?InitializeSystemFunctionPointers@ResourceManager@details@Concurrency@@CAXXZ"
		size = 111
		refs = "0005 ?InitializeSetThreadGroupAffinityFn@HardwareAffinity@details@Concurrency@@SAXXZ 000c ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0012 __imp_GetModuleHandleW 0019 ??_C@_0BM@JLHMEGJA@GetCurrentProcessorNumberEx?$AA@ 0022 __imp_GetProcAddress 002d __imp_GetLastError 0045 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 004c _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0056 _CxxThrowException 005f ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 0066 ?s_pfnGetCurrentProcessorNumberEx@ResourceManager@details@Concurrency@@0P6AXPEAU_PROCESSOR_NUMBER@@@ZEA"
	strings:
		$1 = { 48 83 EC 48 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B C8 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_579_66_0 {
	meta:
		name = "?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z"
		size = 1367
		refs = "0025 __security_cookie 003d __imp_GetSystemInfo 004f ?s_fNativeX64@ResourceManager@details@Concurrency@@0_NA 0062 ?s_fRequireUMSWorkaround@ResourceManager@details@Concurrency@@0_NA 0067 memset 0074 __imp_GetVersionExW 0084 ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 0089 ??0unsupported_os@Concurrency@@QEAA@XZ 0090 _TI2?AVunsupported_os@Concurrency@@ 009a _CxxThrowException 00de ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 00e4 __imp_GetModuleHandleW 00eb ??_C@_0CB@HOJBBPPI@GetLogicalProcessorInformationEx@ 00f4 __imp_GetProcAddress 0106 __imp_GetLastError 011e ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0125 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 01c2 ?s_packageCount@ResourceManager@details@Concurrency@@0IA 01c8 ?s_nodeCount@ResourceManager@details@Concurrency@@0IA 01ce ?s_physicalProcessorCount@ResourceManager@details@Concurrency@@0IA 01d8 ?Initialize@UMS@details@Concurrency@@SAXXZ 01e7 __security_check_cookie 0236 ?s_logicalProcessorInformationLength@ResourceManager@details@Concurrency@@0KA 023e __imp_GetLogicalProcessorInformation 0284 malloc 028b ?s_pSysInfo@ResourceManager@details@Concurrency@@0PEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@EA 0297 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 02ae ??0exception@std@@QEAA@AEBQEBDH@Z 02b5 ??_7bad_alloc@std@@6B@ 02bc _TI2?AVbad_alloc@std@@ 0381 free 0525 ?InitializeSystemFunctionPointers@ResourceManager@details@Concurrency@@CAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 78 10 4C 89 60 18 55 41 55 41 56 48 8D A8 28 FF FF FF 48 81 EC C0 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 00 00 00 44 8A E9 48 8D 4C 24 60 FF 15 ?? ?? ?? ?? 66 83 7C 24 60 09 BB 14 01 00 00 0F 94 05 ?? ?? ?? ?? 48 8D 4D 90 45 33 F6 44 8B C3 33 D2 44 88 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4D 90 89 5D 90 FF 15 ?? ?? ?? ?? 85 C0 75 23 48 8D 4C 24 28 44 89 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 8B 45 94 BB 01 00 00 00 83 E8 05 0F 84 F1 00 00 00 FF C8 0F 84 9F 00 00 00 83 7D 94 07 72 76 44 38 35 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 04 00 00 00 74 0A C7 05 ?? ?? ?? ?? 05 00 00 00 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 85 94 02 00 00 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 48 8D 4C 24 28 44 89 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 44 39 75 98 74 35 44 38 35 ?? ?? ?? ?? 74 1D 81 7D 9C B0 1D 00 00 C7 05 ?? ?? ?? ?? 05 00 00 00 0F 96 05 ?? ?? ?? ?? E9 58 FF FF FF C7 05 ?? ?? ?? ?? 04 00 00 00 E9 49 FF FF FF C7 05 ?? ?? ?? ?? 03 00 00 00 E9 92 00 00 00 8B 45 98 85 C0 0F 84 88 03 00 00 FF C8 74 60 FF C8 75 54 8D 48 02 89 0D ?? ?? ?? ?? 8B 45 80 89 1D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F9 05 75 05 E8 ?? ?? ?? ?? 48 8B 8D B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 01 00 00 49 8B 5B 20 49 8B 7B 28 4D 8B 63 30 49 8B E3 41 5E 41 5D 5D C3 8B 0D ?? ?? ?? ?? EB 08 8B CB 89 1D ?? ?? ?? ?? 3B CB 74 A1 83 F9 02 74 9C 83 F9 04 0F 84 B1 FE FF FF 83 F9 05 0F 84 A8 FE FF FF 48 8D 15 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 7A 74 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 3C 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4C 24 28 44 8B C3 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 4C 89 5C 24 28 E8 ?? ?? ?? ?? CC 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 8B 45 80 48 8B 0D ?? ?? ?? ?? 45 8B C6 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 44 89 35 ?? ?? ?? ?? 45 8B CE 44 89 35 ?? ?? ?? ?? 85 C0 74 35 44 8D 50 FF 48 8D 51 08 41 C1 EA 05 44 03 D3 83 3A 03 75 0A 44 03 C3 44 89 05 ?? ?? ?? ?? 39 1A 75 0A 44 03 CB 44 89 0D ?? ?? ?? ?? 48 83 C2 20 4C 2B D3 75 DA 45 84 ED 0F 85 A9 01 00 00 E8 ?? ?? ?? ?? 4C 89 35 ?? ?? ?? ?? 44 89 35 ?? ?? ?? ?? E9 91 01 00 00 4C 8D 05 ?? ?? ?? ?? 33 D2 B9 FF FF 00 00 FF D7 FF 15 ?? ?? ?? ?? 83 F8 7A 74 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 3C 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4C 24 28 44 8B C3 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 4C 89 5C 24 28 E8 ?? ?? ?? ?? CC 4C 8D 05 ?? ?? ?? ?? 48 8B D0 B9 FF FF 00 00 FF D7 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 44 39 35 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 45 8B E6 45 8B C6 44 89 35 ?? ?? ?? ?? 45 8B CE 49 8B D3 44 89 35 ?? ?? ?? ?? 41 8B FE 44 89 35 ?? ?? ?? ?? 76 5A 83 3A 03 75 0A 44 03 C3 44 89 05 ?? ?? ?? ?? 39 1A 75 0A 44 03 CB 44 89 0D ?? ?? ?? ?? 44 39 32 75 26 48 8B 4A 20 45 0F B7 D6 48 85 C9 74 0D 48 8D 41 FF 66 44 03 D3 48 23 C8 75 F3 41 0F B7 C2 03 F8 89 3D ?? ?? ?? ?? 8B 42 04 44 03 E0 48 03 D0 44 3B 25 ?? ?? ?? ?? 72 A6 45 84 ED 75 16 49 8B CB E8 ?? ?? ?? ?? 4C 89 35 ?? ?? ?? ?? 44 89 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E9 9E FC FF FF 48 8D 4C 24 40 44 89 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_579_71_0 {
	meta:
		name = "?DetermineTopology@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 725
		refs = "0014 ?s_nodeCount@ResourceManager@details@Concurrency@@0IA 001d ?s_packageCount@ResourceManager@details@Concurrency@@0IA 002e ?s_pSysInfo@ResourceManager@details@Concurrency@@0PEAU_SYSTEM_LOGICAL_PROCESSOR_INFORMATION@@EA 004c ??_U@YAPEAX_K@Z 005d memset 0081 ?s_physicalProcessorCount@ResourceManager@details@Concurrency@@0IA 00b8 __imp_GetCurrentProcess 00cb __imp_GetProcessAffinityMask 01be ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 01cd ?s_logicalProcessorInformationLength@ResourceManager@details@Concurrency@@0KA 0221 ?Initialize@GlobalNode@details@Concurrency@@QEAAXGG_K@Z 02b1 free"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 48 83 EC 20 8B 05 ?? ?? ?? ?? 48 8B F9 8B 0D ?? ?? ?? ?? 3B C1 0F 43 C8 33 DB 89 4F 18 48 39 1D ?? ?? ?? ?? 48 8D 6B FF 0F 85 1D 01 00 00 8D 73 38 8B C6 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 44 8B C6 33 D2 48 8B C8 48 89 47 50 E8 ?? ?? ?? ?? 44 8B 5F 18 8D 73 04 8B C6 49 F7 E3 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 89 47 58 89 18 8B 0D ?? ?? ?? ?? 8D 43 18 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4F 50 48 89 41 28 48 8B 4F 50 8B 05 ?? ?? ?? ?? 89 41 08 48 89 5C 24 40 48 89 5C 24 48 FF 15 ?? ?? ?? ?? 4C 8D 44 24 48 48 8D 54 24 40 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 4C 24 40 4C 8B 5F 50 49 89 0B 48 8B 4F 50 8B 51 08 48 8B 49 28 4C 8D 04 52 33 D2 49 C1 E0 03 E8 ?? ?? ?? ?? 4C 8B 5F 50 8B C6 41 89 5B 14 48 8B 4F 50 8B 51 08 48 F7 E2 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4F 50 48 89 41 30 48 8B 47 50 39 58 08 0F 86 98 01 00 00 48 8B 47 50 44 8B C3 48 8B 48 28 4B 8D 14 40 88 5C D1 04 48 8B 47 50 48 8B 48 30 42 89 1C 81 48 8B 47 50 FF C3 3B 58 08 72 D6 E9 69 01 00 00 B8 38 00 00 00 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 44 8B 47 18 33 D2 48 8B C8 48 89 47 50 4D 6B C0 38 E8 ?? ?? ?? ?? 44 8B 5F 18 BE 04 00 00 00 8B C6 49 F7 E3 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 8B CB 48 89 47 58 39 5F 18 76 14 48 8B D3 48 8B 47 58 89 0C 02 FF C1 48 03 D6 3B 4F 18 72 EF 8B 05 ?? ?? ?? ?? 3B C6 74 74 83 F8 05 74 6F 39 1D ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 44 8B E3 8B EB 0F 86 CA 00 00 00 8B 4E 08 FF C9 74 15 83 F9 02 75 38 8B 05 ?? ?? ?? ?? 39 05 ?? ?? ?? ?? 76 2A EB 0E 8B 05 ?? ?? ?? ?? 39 05 ?? ?? ?? ?? 77 1A 4C 8B 0E 8B CD 45 33 C0 0F B7 D5 48 6B C9 38 48 03 4F 50 E8 ?? ?? ?? ?? FF C5 41 83 C4 20 48 83 C6 20 44 3B 25 ?? ?? ?? ?? 72 AB EB 6C 39 1D ?? ?? ?? ?? 48 8B 35 ?? ?? ?? ?? 44 8B E3 8B EB 76 5F 8B 0E FF C9 74 15 83 F9 02 75 3B 8B 05 ?? ?? ?? ?? 39 05 ?? ?? ?? ?? 76 2D EB 0E 8B 05 ?? ?? ?? ?? 39 05 ?? ?? ?? ?? 77 1D 4C 8B 4E 20 44 0F B7 46 28 8B CD 48 6B C9 38 48 03 4F 50 0F B7 D5 E8 ?? ?? ?? ?? FF C5 8B 46 04 44 03 E0 48 03 F0 44 3B 25 ?? ?? ?? ?? 72 A8 48 8B 35 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 6C 24 58 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_579_73_0 {
	meta:
		name = "?SafeReference@ResourceManager@details@Concurrency@@AEAA_NXZ"
		size = 27
	strings:
		$1 = { 45 33 C0 8B 41 08 85 C0 74 0D 8D 50 01 F0 0F B1 51 08 75 EF 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_579_75_0 {
	meta:
		name = "?RoundUpScaledAllocations@ResourceManager@details@Concurrency@@CAXPEAPEAUAllocationData@23@II@Z"
		size = 517
		refs = "0068 __real@3e7ad7f29abcaf48 0150 __real@3ff0000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 41 57 66 0F 57 DB 45 33 C0 44 8B CA 4C 8B D1 85 D2 74 38 4C 8B D9 41 8B D9 49 8B 13 66 0F EF C0 F2 48 0F 2C 42 08 89 42 04 49 8B 0B 49 83 C3 08 48 FF CB 8B 41 04 F2 0F 10 49 08 F2 48 0F 2A C0 F2 0F 5C C8 F2 0F 11 49 08 75 CE F2 0F 10 15 ?? ?? ?? ?? 41 8B D0 49 8B E8 45 85 C9 74 77 49 8B F2 4D 8B DA 48 F7 DE 44 8D 6A 01 4C 8B E5 48 FF C5 44 8B F2 41 8B DD 48 8B FD 45 3B E9 73 4A 4E 8D 3C 1E 4B 8B 04 17 49 8B 0C FA F2 0F 10 48 08 F2 0F 10 41 08 F2 0F 58 CA 66 0F 2F C1 76 0D 4C 8B FF 44 8B F3 4C 8B E7 49 C1 E7 03 FF C3 48 FF C7 41 3B D9 72 CD 41 3B D6 74 0E 4B 8B 04 E2 49 8B 0B 49 89 03 4B 89 0C E2 49 83 C3 08 41 8B D5 45 3B E9 72 92 41 8D 49 FF 45 8B D8 48 63 D1 45 85 C9 74 76 49 8B DA 83 CF FF EB 2E 49 8B 04 D2 F2 0F 10 40 08 66 0F 2F C2 76 1A 49 8B 04 D2 03 CF 48 FF CA F2 0F 5C 58 08 4C 89 40 08 66 0F 2F DA 77 E8 EB 05 03 CF 48 FF CA 66 0F 2F DA 77 CC 44 3B D9 77 35 48 8B 03 F2 0F 10 40 08 66 0F 2F C2 76 1B F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C 40 08 4C 89 40 08 48 8B 03 FF 40 04 F2 0F 58 D8 41 FF C3 48 83 C3 08 45 3B D9 72 C0 49 8B F0 45 85 C9 74 6D 49 8B FA 49 8B D2 48 F7 DF 45 8D 60 01 48 8B EE 48 FF C6 45 8B E8 45 8B DC 48 8B DE 45 3B E1 73 40 4C 8D 34 3A 4B 8B 04 16 4C 8B FB 8B 00 49 C1 E7 03 4B 8B 0C 17 39 01 73 09 45 8B EB 48 8B EB 4D 8B F7 41 FF C3 48 FF C3 45 3B D9 72 D7 45 3B C5 74 0E 49 8B 04 EA 48 8B 0A 48 89 02 49 89 0C EA 48 83 C2 08 45 8B C4 45 3B E1 72 9C 48 8B 5C 24 28 48 8B 6C 24 30 48 8B 74 24 38 48 8B 7C 24 40 41 5F 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_579_76_0 {
	meta:
		name = "?ReleaseSchedulerResources@ResourceManager@details@Concurrency@@AEAA_NPEAVSchedulerProxy@23@I_N@Z"
		size = 442
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 57 41 83 CF FF 4C 8B D2 48 8B F9 41 83 F8 FE 75 0B 8B 82 D8 00 00 00 44 8B C0 EB 3E 45 3B C7 75 37 41 8B 8A DC 00 00 00 41 8B 82 B4 00 00 00 45 84 C9 0F 84 C7 00 00 00 8B 92 E8 00 00 00 45 8B 82 D0 00 00 00 2B CA 3B C8 0F 47 C1 45 2B 82 D8 00 00 00 03 C2 44 2B C0 33 C0 41 8B C8 2B C8 45 85 C0 0F 84 19 01 00 00 4D 8B 5A 20 33 DB 41 C6 82 08 01 00 00 01 39 5F 18 0F 86 02 01 00 00 33 ED 48 8B 47 58 4C 8B 6F 50 8B 14 28 48 6B D2 38 42 8B 44 2A 08 42 39 44 2A 0C 42 8B 44 1A 0C 0F 83 AD 00 00 00 42 2B 44 1A 24 0F 84 C2 00 00 00 33 F6 42 39 74 1A 08 0F 86 B5 00 00 00 45 33 C9 45 33 E4 4E 8B 54 1A 30 43 83 3C 11 01 75 55 43 83 7C 11 28 00 77 4D 43 80 7C 11 31 00 75 04 85 C9 74 58 4A 8B 44 2A 28 43 C7 04 11 02 00 00 00 45 01 7C 04 08 43 80 7C 11 31 00 75 39 EB 34 44 8B 82 D0 00 00 00 8B 92 E8 00 00 00 2B CA 3B C8 0F 47 C1 03 C2 44 2B C0 41 8B 82 D8 00 00 00 E9 36 FF FF FF 43 83 3C 11 02 75 10 43 80 7C 11 31 00 75 08 41 03 CF 45 03 C7 74 63 FF C6 49 83 C4 18 49 83 C1 38 42 3B 74 1A 08 0F 82 73 FF FF FF EB 20 46 8B 4C 1A 20 41 2B C1 3B C1 0F 47 C1 2B C8 44 2B C0 74 38 45 3B C8 45 0F 47 C8 45 2B C1 74 2C FF C3 48 83 C5 04 3B 5F 18 0F 82 00 FF FF FF 32 C0 48 8B 5C 24 20 48 8B 6C 24 28 48 8B 74 24 30 48 8B 7C 24 38 41 5F 41 5D 41 5C C3 B0 01 EB E1 }
	condition:
		$1
}

rule file_579_77_0 {
	meta:
		name = "?ReleaseSchedulerResourceAboveMin@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@@Z"
		size = 105
		refs = "005e ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 83 EC 28 44 8B 49 18 48 8B 42 20 45 33 C0 4C 8B DA 45 85 C9 74 35 48 83 C0 08 83 78 04 00 76 1F 33 C9 39 08 76 19 48 8B 50 28 83 3A 01 75 06 83 7A 28 00 76 1D FF C1 48 83 C2 38 3B 08 72 EB 41 FF C0 48 83 C0 38 45 3B C1 72 CF 33 C0 48 83 C4 28 C3 44 8B C1 48 8D 50 F8 49 8B CB E8 ?? ?? ?? ?? B8 01 00 00 00 EB E5 }
	condition:
		$1
}

rule file_579_78_0 {
	meta:
		name = "?CreateSchedulerProxy@ResourceManager@details@Concurrency@@AEAAPEAVSchedulerProxy@23@PEAUIScheduler@3@@Z"
		size = 208
		refs = "0036 ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 004a ??1SchedulerPolicy@Concurrency@@QEAA@XZ 0058 ??2@YAPEAX_K@Z 0075 ??0UMSSchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z 00ac ??0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 58 48 8B FA 48 8B F1 48 8B 02 48 8D 54 24 48 48 8B CF FF 50 10 90 33 D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 33 DB 85 C0 74 49 FF C8 74 0E 48 8D 4C 24 48 E8 ?? ?? ?? ?? 33 C0 EB 6E B9 50 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 15 4C 8D 4C 24 48 4C 8B C6 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? EB 03 48 8B C3 48 85 C0 74 04 48 8D 58 08 EB 2A B9 10 01 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 16 4C 8D 4C 24 48 4C 8B C6 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_579_80_0 {
	meta:
		name = "?dtor$1@?0??CreateSchedulerProxy@ResourceManager@details@Concurrency@@AEAAPEAVSchedulerProxy@23@PEAUIScheduler@3@@Z@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
		altNames = "?dtor$0@?0??AddVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAUIVirtualProcessorRoot@3@@Z@4HA"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_977_1 {
	meta:
		name = "?dtor$0@?0???0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@4HA"
		size = 16
		refs = "0008 ??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_16_611_2 {
	meta:
		name = "?dtor$0@?0???0_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA@0AEBV456@I@Z@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_807_1 {
	meta:
		name = "?dtor$0@?0???0_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA@0AEBV345@I@Z@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_176_2 {
	meta:
		name = "?dtor$0@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "0008 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_565_1 {
	meta:
		name = "?dtor$0@?0???1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_579_84_0 {
	meta:
		name = "?InitializeRMBuffers@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 243
		refs = "002d ??_V@YAXPEAX@Z 0060 ??_U@YAPEAX_K@Z 00b1 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 41 10 48 8B D9 3B 41 0C 0F 83 84 00 00 00 03 C0 89 41 10 3B 41 0C 72 F6 48 8B 49 70 E8 ?? ?? ?? ?? 48 8B 4B 78 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 E8 ?? ?? ?? ?? 44 8B 5B 10 BF 08 00 00 00 8B C7 48 8D 77 F7 49 F7 E3 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 83 7B 78 00 48 89 43 70 74 33 8B 4B 10 8B C7 48 F7 E1 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 8B 4B 10 48 89 43 78 8B C7 48 F7 E1 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 89 83 80 00 00 00 44 8B 43 0C 48 8B 4B 70 33 D2 49 C1 E0 03 E8 ?? ?? ?? ?? 48 8B 4B 78 48 85 C9 74 25 44 8B 43 0C 33 D2 49 C1 E0 03 E8 ?? ?? ?? ?? 44 8B 43 0C 48 8B 8B 80 00 00 00 49 C1 E0 03 33 D2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_85_0 {
	meta:
		name = "?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z"
		size = 102
	strings:
		$1 = { 48 8B 44 24 30 45 33 DB 45 38 58 30 74 38 41 83 CA FF 45 88 58 30 44 01 50 18 44 01 52 28 45 38 58 31 74 08 44 01 50 1C 44 01 52 2C 48 8B 44 24 28 83 38 04 75 0B 44 89 18 45 01 51 20 44 01 51 1C 44 01 50 14 C3 41 C6 40 30 01 FF 40 18 FF 42 28 45 38 58 31 74 06 FF 40 1C FF 42 2C 48 8B 44 24 28 FF 40 14 C3 }
	condition:
		$1
}

rule file_579_86_0 {
	meta:
		name = "?PopulateCommonAllocationData@ResourceManager@details@Concurrency@@AEAAXIPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z"
		size = 241
		refs = "00b3 ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 4C 8B E9 33 C9 41 89 11 4D 89 41 10 49 89 49 08 49 8B 40 20 49 8B F1 48 85 C0 0F 84 A8 00 00 00 8B F9 41 39 4D 18 0F 86 9C 00 00 00 4C 8D 61 D4 48 8D 58 2C 4C 2B E0 4C 89 A4 24 88 00 00 00 48 C7 43 FC 00 00 00 00 39 4B E0 76 6C 8B E9 39 4B DC 76 65 49 8D 04 1C 4C 8B F1 4C 8B E0 48 8B 43 04 4D 8D 04 06 41 83 38 01 41 88 48 30 75 36 41 8B 40 18 85 C0 75 2E 49 8B 45 50 48 89 74 24 28 4D 8D 0C 04 8B C5 48 8D 0C 40 49 8B 41 28 48 8D 14 C8 49 8B CD 48 89 54 24 20 48 8D 53 D4 E8 ?? ?? ?? ?? 33 C9 FF C5 49 83 C6 38 3B 6B DC 72 AD 4C 8B A4 24 88 00 00 00 FF C7 48 83 C3 38 41 3B 7D 18 0F 82 77 FF FF FF 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_579_87_0 {
	meta:
		name = "?HandleBorrowedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z"
		size = 400
		refs = "00b9 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0124 ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z 0133 ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 48 8B 42 20 45 33 C9 4D 8B D0 4C 8B E1 41 8B E9 44 39 49 18 0F 86 4B 01 00 00 4D 8D 71 F8 48 8D 58 08 4C 2B F0 4C 89 74 24 30 44 39 4B 18 0F 86 20 01 00 00 41 8B F1 44 39 0B 0F 86 14 01 00 00 49 8D 0C 1E 4C 8B B4 24 98 00 00 00 49 8B D1 48 89 94 24 A8 00 00 00 4D 8B F9 48 89 8C 24 90 00 00 00 48 8B 43 28 49 8D 3C 07 83 3F 01 0F 85 BD 00 00 00 44 38 4F 31 0F 84 B3 00 00 00 49 8B 44 24 50 48 8B 4C 01 28 48 03 D1 44 8B 42 08 41 83 F8 01 75 34 48 8D 53 F8 44 8B C6 49 8B CE E8 ?? ?? ?? ?? 4C 8B 94 24 A0 00 00 00 48 8B 8C 24 90 00 00 00 45 33 C9 44 38 4F 30 74 74 83 C8 FF 01 43 24 41 01 42 1C EB 68 41 8B C1 41 8B C8 2B 4A 14 44 38 4F 30 0F 94 C0 3B C8 76 4C 41 8D 40 FF 89 42 08 44 38 4F 30 74 25 4C 89 54 24 28 44 8B CD 48 89 54 24 20 48 8D 53 F8 4C 8B C7 49 8B CC 4D 6B C9 38 4D 03 4C 24 50 E8 ?? ?? ?? ?? 48 8D 53 F8 44 8B C6 49 8B CE E8 ?? ?? ?? ?? 4C 8B 94 24 A0 00 00 00 45 33 C9 48 8B 8C 24 90 00 00 00 48 83 84 24 A8 00 00 00 18 FF C6 49 83 C7 38 48 8B 94 24 A8 00 00 00 3B 33 0F 82 13 FF FF FF 4C 8B 74 24 30 FF C5 48 83 C3 38 41 3B 6C 24 18 0F 82 C5 FE FF FF 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_579_88_0 {
	meta:
		name = "?HandleSharedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUDynamicAllocationData@23@@Z"
		size = 426
		refs = "014f ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z 015e ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 44 8B 8A B4 00 00 00 8B 9A D0 00 00 00 44 8B 9A E8 00 00 00 44 8B 92 DC 00 00 00 49 8B F0 48 8B FA 45 2B D3 41 8B C1 44 8B C3 45 3B D1 8B CB 41 0F 47 C2 44 2B 87 D8 00 00 00 2B 4E 1C 2B 4E 24 41 8D 14 03 41 8B C0 2B C2 3B C8 73 08 2B 5E 1C 2B 5E 24 EB 10 45 3B D1 41 8B D8 45 0F 47 CA 43 8D 04 0B 2B D8 48 8B 47 20 33 F6 85 DB 0F 84 07 01 00 00 4C 8B 94 24 90 00 00 00 4C 8D 66 F4 48 8D 78 0C 4C 2B E0 4C 89 64 24 30 41 3B 72 18 0F 83 E5 00 00 00 8B 07 3B 47 18 0F 84 CC 00 00 00 33 ED 85 DB 0F 84 C2 00 00 00 49 8D 0C 3C 4C 8B A4 24 98 00 00 00 45 33 F6 48 89 8C 24 A8 00 00 00 45 33 ED 3B 6F FC 0F 83 9A 00 00 00 48 8B 47 24 4D 8D 44 05 00 41 83 38 01 75 79 41 83 78 28 00 77 72 41 80 78 31 00 75 6B 49 8B 42 50 48 8B 4C 01 28 49 8D 14 0E 8B 42 08 83 F8 01 76 4E FF C8 89 42 08 41 80 78 30 00 74 29 48 8B 84 24 A0 00 00 00 44 8B CE 49 8B CA 48 89 44 24 28 48 89 54 24 20 48 8D 57 F4 4D 6B C9 38 4D 03 4A 50 E8 ?? ?? ?? ?? 48 8D 57 F4 44 8B C5 49 8B CC E8 ?? ?? ?? ?? 4C 8B 94 24 90 00 00 00 FF CB 48 8B 8C 24 A8 00 00 00 FF C5 49 83 C5 38 49 83 C6 18 85 DB 0F 85 5D FF FF FF 4C 8B 64 24 30 FF C6 48 83 C7 38 85 DB 0F 85 11 FF FF FF 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_579_89_0 {
	meta:
		name = "?PreProcessDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 275
		refs = "0049 ?HandleBorrowedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z 00e5 ?HandleSharedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUDynamicAllocationData@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 ED 48 8B F1 39 69 0C 0F 86 D1 00 00 00 45 33 E4 48 8B 46 70 49 8B 1C 04 48 8B 7B 10 83 BF D8 00 00 00 00 76 0E 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 44 8B 43 18 45 85 C0 74 52 8B 97 D0 00 00 00 8B C2 41 2B C0 39 43 24 76 42 44 8B 9F E8 00 00 00 44 8B 8F B4 00 00 00 44 8B 97 DC 00 00 00 45 2B D3 41 8B C1 45 3B D1 41 0F 47 C2 41 8D 0C 03 8B C2 41 2B C0 3B C8 76 0D 45 3B D1 45 0F 47 CA 43 8D 14 0B EB 03 41 2B D0 89 53 24 8B 97 D0 00 00 00 39 53 24 73 36 44 8B 8F E8 00 00 00 8B 87 B4 00 00 00 8B 8F DC 00 00 00 41 2B C9 3B C8 0F 47 C1 2B 97 D8 00 00 00 41 03 C1 3B D0 76 0E 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? FF C5 49 83 C4 08 3B 6E 0C 0F 82 32 FF FF FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_579_90_0 {
	meta:
		name = "?IncreaseFullyLoadedSchedulerAllocations@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 113
		refs = "004a ?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 DB 48 8B F9 39 59 0C 76 3E 8B F3 48 8B 47 70 48 8B 2C 06 80 7D 21 01 75 23 48 8B 4D 10 8B 81 EC 00 00 00 8B 91 E8 00 00 00 03 91 B0 00 00 00 3B C2 0F 42 D0 E8 ?? ?? ?? ?? 89 45 24 FF C3 48 83 C6 08 3B 5F 0C 72 C4 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_91_0 {
	meta:
		name = "?AdjustDynamicAllocation@ResourceManager@details@Concurrency@@AEAAIIII@Z"
		size = 211
		refs = "0093 ?RoundUpScaledAllocations@ResourceManager@details@Concurrency@@CAXPEAPEAUAllocationData@23@II@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 45 8B D0 8B DA 4C 8B D9 41 3B D0 0F 83 82 00 00 00 41 83 F9 01 75 12 48 8B 81 80 00 00 00 48 8B 08 89 59 04 E9 9C 00 00 00 66 0F EF C9 66 0F EF C0 45 33 C0 F2 48 0F 2A CB F2 49 0F 2A C2 F2 0F 5E C8 45 85 C9 74 38 45 8B D1 49 8B 83 80 00 00 00 66 0F EF C0 49 8B 14 00 49 83 C0 08 48 8B 42 10 8B 4A 24 2B 88 D0 00 00 00 49 FF CA 8B C1 F2 48 0F 2A C0 F2 0F 59 C1 F2 0F 11 42 08 75 CB 49 8B 8B 80 00 00 00 44 8B C3 41 8B D1 E8 ?? ?? ?? ?? EB 32 45 33 C0 45 85 C9 74 27 45 8B C9 49 8B 83 80 00 00 00 49 8B 14 00 49 83 C0 08 48 8B 42 10 8B 4A 24 2B 88 D0 00 00 00 49 FF C9 89 4A 04 75 DC 41 8B DA 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_579_92_0 {
	meta:
		name = "?PrepareReceiversForCoreTransfer@ResourceManager@details@Concurrency@@AEAAII@Z"
		size = 740
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 FF 4C 63 C2 83 CE FF 4C 8B C9 45 8B DF 49 8B D8 85 D2 74 74 45 8B D7 EB 31 49 8B 81 80 00 00 00 49 8B 0C 02 44 39 79 04 75 25 49 8B 14 02 48 8B C8 44 03 C6 48 FF CB 48 8B 04 D8 49 89 04 0A 49 8B 81 80 00 00 00 48 89 14 D8 45 3B D8 72 CA 49 8B 81 80 00 00 00 41 FF C3 49 8B 0C 02 44 89 79 28 49 8B 81 80 00 00 00 49 8B 0C 02 44 89 79 2C 49 8B 81 80 00 00 00 49 8B 0C 02 49 83 C2 08 C6 41 20 01 45 3B D8 72 91 44 89 44 24 78 45 8B DF 49 63 F8 45 85 C0 0F 84 9A 00 00 00 4D 8B D7 EB 7C 49 8B 81 80 00 00 00 49 8B 04 02 44 39 78 28 75 74 48 8B 40 10 41 8B DF 48 8B 50 20 45 39 79 18 76 29 48 83 C2 0C 8B 02 85 C0 74 13 3B 42 FC 73 0E 49 8B 81 80 00 00 00 49 8B 0C 02 FF 41 28 FF C3 48 83 C2 38 41 3B 59 18 72 DB 49 8B 81 80 00 00 00 49 8B 0C 02 44 39 79 28 75 20 49 8B 14 02 48 8B C8 44 03 C6 48 FF CF 48 8B 04 F8 49 89 04 0A 49 8B 81 80 00 00 00 48 89 14 F8 45 3B D8 0F 82 7B FF FF FF 41 FF C3 49 83 C2 08 45 3B D8 0F 82 6B FF FF FF 41 8B D7 4D 8B F7 45 85 C0 0F 84 70 01 00 00 4D 8B D7 4C 89 7C 24 08 8D 42 01 49 8B FE 49 FF C6 8B F2 89 44 24 70 44 8B D8 4C 89 74 24 18 49 8B DE 41 3B C0 73 52 4D 8B A9 80 00 00 00 4D 8B E2 4B 8B 04 2C 48 8B EB 8B 40 28 48 C1 E5 03 49 8B 4C 2D 00 39 41 28 73 09 41 8B F3 48 8B FB 4C 8B E5 41 FF C3 48 FF C3 45 3B D8 72 D4 3B D6 74 18 49 8B 44 FD 00 4B 8B 14 2A 4B 89 04 2A 49 8B 81 80 00 00 00 48 89 14 F8 49 8B 81 80 00 00 00 45 8B DF 49 8B 0C 02 48 8B 41 10 48 8B 78 20 48 8B 68 28 49 8B 81 80 00 00 00 49 8B 0C 02 48 89 3C 24 44 39 79 28 0F 86 AE 00 00 00 4D 8B F7 41 8D 43 01 4E 8D 7C B5 00 4D 8B E6 41 8B 0F 45 8B EB 89 44 24 68 8B D0 48 6B C9 38 48 03 CF 49 FF C6 49 8B DE 41 3B 41 18 73 61 4C 8B 14 24 8B 74 9D 00 48 6B F6 38 49 03 F2 8B 7E 0C 85 FF 74 1E 3B 7E 08 73 19 8B 41 0C 85 C0 74 09 3B 41 08 73 04 3B F8 76 09 44 8B EA 4C 8B E3 48 8B CE FF C2 48 FF C3 41 3B 51 18 72 C5 4C 8B 54 24 08 48 8B 3C 24 45 3B DD 74 10 42 8B 44 A5 00 41 8B 0F 41 89 07 42 89 4C A5 00 8B 44 24 68 49 8B 89 80 00 00 00 44 8B D8 49 8B 14 0A 3B 42 28 0F 82 5D FF FF FF 4C 8B 74 24 18 45 33 FF 8B 54 24 70 49 83 C2 08 4C 89 54 24 08 41 3B D0 0F 82 98 FE FF FF 8B 44 24 78 48 8B 5C 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_579_93_0 {
	meta:
		name = "?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z"
		size = 163
		refs = "0079 ?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 55 41 56 48 83 EC 20 48 8B 79 50 41 8B D8 33 ED 45 8B E9 4C 8B F2 48 6B DB 38 33 F6 48 8B 44 3B 28 83 3C 06 03 75 07 80 7C 24 60 00 74 0D 83 3C 06 04 75 3D 80 7C 24 60 00 74 36 FF 44 06 08 83 24 06 00 80 7C 24 60 00 74 06 FF 4C 3B 20 EB 04 FF 4C 3B 10 49 8B 46 20 44 8A 4C 24 60 44 8B C5 48 8D 14 03 49 8B CE E8 ?? ?? ?? ?? 41 FF CD 74 08 FF C5 48 83 C6 18 EB A3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5E 41 5D 5F C3 }
	condition:
		$1
}

rule file_579_94_0 {
	meta:
		name = "?DynamicMigrateCores@ResourceManager@details@Concurrency@@AEAAXPEAUDynamicAllocationData@23@PEAVSchedulerProxy@23@II@Z"
		size = 461
		refs = "0130 ?ToggleRMIdleState@ResourceManager@details@Concurrency@@AEAAXPEAUSchedulerNode@23@PEAUSchedulerCore@23@PEAUGlobalNode@23@PEAUGlobalCore@23@PEAUAllocationData@23@@Z 0165 ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0184 ?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 4C 24 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 44 8B 9C 24 B0 00 00 00 48 8B 42 10 45 8B D1 4D 6B D2 38 48 89 44 24 38 48 8B 40 20 48 8B E9 4D 8D 24 02 48 8B DA 41 8B C3 45 8B 4C 24 2C 45 8B 7C 24 20 41 8B 4C 24 28 45 3B D9 45 8B EB 41 8B D1 41 0F 42 D3 45 2B F9 4C 89 54 24 30 2B C2 89 94 24 98 00 00 00 41 3B C7 44 0F 42 F8 41 2B C9 45 2B EF 44 2B EA 44 3B E9 41 0F 42 CD 33 F6 45 33 F6 44 2B E9 41 83 CB FF 89 8C 24 A8 00 00 00 49 8B 44 24 30 4D 8D 04 06 41 83 38 01 0F 85 04 01 00 00 41 83 78 28 00 0F 87 F9 00 00 00 41 80 78 31 00 41 8A 78 30 74 23 40 84 FF 74 10 85 D2 74 0C 41 03 D3 89 94 24 98 00 00 00 EB 2F 45 85 FF 0F 84 D0 00 00 00 45 03 FB EB 21 40 84 FF 74 10 85 C9 74 0C 41 03 CB 89 8C 24 A8 00 00 00 EB 0C 45 85 ED 0F 84 AD 00 00 00 45 03 EB 4C 8B 4D 50 48 8D 0C 76 4D 03 CA 49 8B 41 28 48 8D 14 C8 40 84 FF 74 19 48 89 5C 24 28 48 89 54 24 20 48 8B CD 49 8B D4 E8 ?? ?? ?? ?? 41 83 CB FF 40 32 ED 41 38 68 31 74 14 40 B5 01 40 84 FF 74 06 44 01 5B 28 EB 0A 44 01 5B 2C EB 04 44 01 5B 30 48 8B 4C 24 38 44 8B C6 49 8B D4 E8 ?? ?? ?? ?? 48 8B BC 24 A0 00 00 00 48 8B 54 24 30 48 03 57 20 44 8A CD 44 8B C6 48 8B CF E8 ?? ?? ?? ?? 41 83 CB FF 44 01 9C 24 B0 00 00 00 74 26 8B 8C 24 A8 00 00 00 8B 94 24 98 00 00 00 4C 8B 54 24 30 48 8B AC 24 90 00 00 00 FF C6 49 83 C6 38 E9 DE FE FF FF 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_579_95_0 {
	meta:
		name = "?FindCoreForPartiallyFilledNode@ResourceManager@details@Concurrency@@AEAA_NAEAI0PEAUDynamicAllocationData@23@I@Z"
		size = 417
		refs = "0071 ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z 012e ?DynamicMigrateCores@ResourceManager@details@Concurrency@@AEAAXPEAUDynamicAllocationData@23@PEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 48 89 5C 24 08 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 49 8B D9 48 8B F2 45 33 C9 48 8B 53 10 4C 8B E1 41 8A F9 48 8B 42 20 4C 8B 52 28 48 89 44 24 30 8B 43 2C 4D 63 14 82 45 8B EA 44 89 94 24 88 00 00 00 4D 6B ED 38 44 39 0E 76 2B 48 8B 41 50 46 39 4C 28 10 76 20 44 88 4C 24 20 45 8B C2 41 B9 01 00 00 00 40 B7 01 E8 ?? ?? ?? ?? 83 CD FF 01 2E E9 EB 00 00 00 45 39 08 0F 86 FB 00 00 00 44 8B BC 24 A0 00 00 00 49 8B D2 45 8B F1 48 89 94 24 98 00 00 00 45 85 FF 0F 84 DC 00 00 00 49 8B F1 83 CD FF 40 84 FF 0F 85 B4 00 00 00 49 8B 44 24 78 48 8B 0C 06 4C 8B 41 10 41 8B 80 D0 00 00 00 3B 41 24 0F 86 82 00 00 00 48 6B D2 38 49 03 50 20 44 39 4A 2C 77 2E 8B 42 20 3B 42 2C 74 0F 49 8B 44 24 78 48 8B 0C 06 44 39 49 2C 77 17 8B 42 0C 3B 42 24 74 52 49 8B 44 24 78 48 8B 0C 06 44 39 49 30 76 43 49 8B 54 24 78 4C 8B 43 10 45 8B CA 48 8B 14 16 49 8B CC 40 B7 01 C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 4C 8B 84 24 90 00 00 00 41 01 28 44 8B 94 24 88 00 00 00 48 8B 94 24 98 00 00 00 45 33 C9 EB 03 49 63 D2 41 FF C6 48 83 C6 08 45 3B F7 0F 82 48 FF FF FF 40 84 FF 74 19 48 8B 4C 24 30 41 8B 44 0D 08 41 39 44 0D 0C 75 03 FF 43 2C 01 6B 04 EB 03 FF 43 2C 40 8A C7 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_579_96_0 {
	meta:
		name = "?FindBestFitExclusiveAllocation@ResourceManager@details@Concurrency@@AEAAIAEAI0PEAUDynamicAllocationData@23@II@Z"
		size = 991
		refs = "02ab ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z 0382 ?DynamicMigrateCores@ResourceManager@details@Concurrency@@AEAAXPEAUDynamicAllocationData@23@PEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 4C 89 4C 24 20 4C 89 44 24 18 48 89 54 24 10 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 68 83 BC 24 D0 00 00 00 01 49 8B 41 10 49 8B F1 4C 8B 48 20 4C 8B 70 28 4D 8B D8 4C 8B FA 48 8B E9 4C 89 4C 24 40 4C 89 74 24 48 75 0A C6 84 24 D0 00 00 00 00 EB 0A 8A 46 20 88 84 24 D0 00 00 00 4C 63 46 2C 83 64 24 3C 00 83 CA FF 45 33 E4 33 DB 89 94 24 B0 00 00 00 44 89 64 24 38 44 3B 41 18 0F 83 40 03 00 00 4B 8D 0C 86 4C 8B F1 41 8B 0E 48 6B C9 38 42 83 7C 09 0C 00 0F 85 60 01 00 00 42 8B 7C 09 08 39 7E 04 0F 42 7E 04 45 33 C9 45 33 ED 45 39 0F 76 1C 48 8B 45 50 8B 54 08 10 85 D2 74 10 41 39 17 44 8B EA 41 B9 01 00 00 00 45 0F 42 2F 45 33 D2 45 39 13 0F 86 F6 00 00 00 45 33 FF 44 39 94 24 D8 00 00 00 0F 86 DD 00 00 00 49 63 36 45 33 E4 45 3B 13 0F 83 C1 00 00 00 48 8B 45 78 49 8B 14 04 48 8B 42 10 8B 88 D0 00 00 00 3B 4A 24 0F 86 91 00 00 00 48 8B 45 78 4C 8B DE 49 8B 0C 04 4D 6B DB 38 48 89 4C 24 50 48 8B 41 10 4C 03 58 20 41 8B 43 0C 41 2B 43 24 89 44 24 30 74 5F 41 8B 43 20 8B 51 28 8B 49 2C 41 39 53 2C 41 0F 42 53 2C 41 2B 43 2C 3B C1 0F 42 C8 8B 44 24 30 41 2B 43 20 89 44 24 30 48 8B 44 24 50 44 8B 5C 24 30 8B 40 30 44 3B D8 41 0F 42 C3 44 8D 1C 08 44 03 DA 74 1A 48 8B 84 24 C0 00 00 00 8B 00 41 2B C2 41 3B C3 44 0F 42 D8 45 03 D3 41 FF C1 4C 8B 9C 24 C0 00 00 00 41 FF C7 49 83 C4 08 44 3B BC 24 D8 00 00 00 0F 82 36 FF FF FF 48 8B B4 24 C8 00 00 00 44 8B 64 24 38 4C 8B BC 24 B8 00 00 00 80 BC 24 D0 00 00 00 00 43 8D 04 2A 0F 84 87 00 00 00 3B C7 75 09 45 3B CC 0F 87 89 00 00 00 8B 94 24 B0 00 00 00 4C 8B 4C 24 40 41 FF C0 49 83 C6 04 44 3B 45 18 0F 82 7C FE FF FF 4C 8B 74 24 48 83 FA FF 0F 84 A7 01 00 00 8B 46 04 44 8B E2 4F 63 2C A6 3B C3 4C 89 A4 24 C8 00 00 00 0F 42 D8 2B C3 89 5C 24 3C 89 46 04 41 83 3F 00 76 6F 48 8B 45 50 41 8B CD 48 6B C9 38 8B 7C 01 10 85 FF 74 5C 41 39 3F 8B C7 41 0F 42 07 3B C3 73 31 41 39 3F 41 0F 42 3F EB 2A 3B DF 73 04 3B C3 77 07 3B C3 E9 6C FF FF FF 41 8B D0 8B D8 45 8B E1 89 94 24 B0 00 00 00 44 89 4C 24 38 E9 65 FF FF FF 8B FB 48 8B 56 10 44 8B CF 45 8B C5 48 8B CD C6 44 24 20 00 E8 ?? ?? ?? ?? 41 29 3F 2B DF 85 DB 0F 84 EE 00 00 00 4C 8B 9C 24 C0 00 00 00 41 83 3B 00 0F 86 DC 00 00 00 45 33 FF 45 33 E4 44 3B BC 24 D8 00 00 00 0F 83 C0 00 00 00 41 83 3B 00 0F 86 B6 00 00 00 48 8B 45 78 49 8B 0C 04 48 8B 51 10 8B 82 D0 00 00 00 3B 41 24 0F 86 8C 00 00 00 4D 8B C5 4D 6B C0 38 4C 03 42 20 45 8B 48 0C 45 2B 48 24 74 77 48 8B 45 78 4D 8B 14 04 41 8B 40 20 41 8B 52 28 41 8B 4A 2C 41 39 50 2C 41 0F 42 50 2C 41 2B 40 2C 3B C1 0F 42 C8 45 2B 48 20 41 8B 42 30 44 3B C8 41 0F 42 C1 8D 3C 08 03 FA 74 3B 41 39 3B 8B C7 41 0F 42 03 3B C3 73 09 41 39 3B 41 0F 42 3B EB 02 8B FB 4C 8B 46 10 45 8B CD 49 8B D2 48 8B CD 89 7C 24 20 E8 ?? ?? ?? ?? 4C 8B 9C 24 C0 00 00 00 41 29 3B 2B DF 41 FF C7 49 83 C4 08 85 DB 0F 85 32 FF FF FF 4C 8B A4 24 C8 00 00 00 8B 56 2C 43 8B 04 A6 41 8B 0C 96 41 89 04 96 43 89 0C A6 FF 46 2C C6 46 20 01 EB 04 C6 46 20 00 8B 44 24 3C 48 83 C4 68 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_579_97_0 {
	meta:
		name = "?DistributeExclusiveCores@ResourceManager@details@Concurrency@@AEAAXIIIII@Z"
		size = 482
		refs = "007c ?FindCoreForPartiallyFilledNode@ResourceManager@details@Concurrency@@AEAA_NAEAI0PEAUDynamicAllocationData@23@I@Z 01a5 ?FindBestFitExclusiveAllocation@ResourceManager@details@Concurrency@@AEAAIAEAI0PEAUDynamicAllocationData@23@II@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 10 44 89 48 20 44 89 40 18 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 8B 9C 24 A0 00 00 00 44 8B AC 24 A8 00 00 00 44 8B F2 4C 8B E1 40 32 ED 85 DB 74 57 33 FF 48 8B F3 49 8B 84 24 80 00 00 00 4C 8B 0C 07 41 83 79 04 00 76 31 41 8B 41 2C 41 39 41 28 76 27 4C 8D 84 24 98 00 00 00 48 8D 94 24 90 00 00 00 49 8B CC 40 B5 01 44 89 6C 24 20 E8 ?? ?? ?? ?? 84 C0 74 03 41 FF CE 48 83 C7 08 48 FF CE 75 B3 40 84 ED 75 A2 45 85 F6 0F 84 2C 01 00 00 45 33 C0 45 33 C9 85 DB 0F 84 AF 00 00 00 41 8D 78 01 4D 8D 69 01 41 8B F0 4D 8B F9 44 8B D7 4C 89 6C 24 30 4D 8B DD 3B FB 73 6D 4D 8B AC 24 80 00 00 00 4D 8B E1 49 C1 E4 03 4B 8B 04 2C 49 8B EB 8B 48 04 48 C1 E5 03 49 8B 54 2D 00 39 4A 04 76 09 41 8B F2 4D 8B FB 4C 8B E5 41 FF C2 49 FF C3 44 3B D3 72 D4 4C 8B A4 24 80 00 00 00 4C 8B 6C 24 30 44 3B C6 74 20 49 8B 8C 24 80 00 00 00 4A 8B 04 F9 4A 8B 14 C9 4A 89 04 C9 49 8B 84 24 80 00 00 00 4A 89 14 F8 49 8B 84 24 80 00 00 00 4A 8B 0C C8 83 79 04 00 74 10 44 8B C7 4D 8B CD 3B FB 0F 82 56 FF FF FF EB 03 41 8B D8 8B F3 89 9C 24 A0 00 00 00 85 F6 74 5D 8B EE 8B B4 24 A8 00 00 00 33 FF 49 8B 84 24 80 00 00 00 4C 8B 2C 07 41 83 7D 04 00 76 2F 4C 8D 84 24 98 00 00 00 48 8D 94 24 90 00 00 00 4D 8B CD 49 8B CC 89 74 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 44 2B F0 41 83 7D 04 00 75 02 FF CB 48 83 C7 08 48 FF CD 75 B5 8B B4 24 A0 00 00 00 45 85 F6 75 9A 48 8B 9C 24 88 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_579_98_0 {
	meta:
		name = "?FindBestFitIdleAllocation@ResourceManager@details@Concurrency@@AEAAIIPEAUDynamicAllocationData@23@I@Z"
		size = 304
		refs = "00e6 ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 49 8B 68 10 33 FF 49 8B F0 48 8B 45 20 4C 8B 6D 28 44 8B FA 4C 8B F1 41 83 F9 01 75 05 44 8A C7 EB 04 45 8A 40 20 48 63 4E 2C 41 83 CB FF 44 8B E7 41 3B 4E 18 0F 83 B6 00 00 00 4D 8D 54 8D 00 48 8B E8 45 8B 0A 4D 6B C9 38 41 39 7C 29 0C 75 41 41 8B 5C 29 08 49 8B 46 50 8B D7 39 5E 04 46 8B 4C 08 20 0F 42 5E 04 45 85 C9 74 0A 41 8B D1 45 3B F9 41 0F 42 D7 45 84 C0 74 06 3B D3 74 07 EB 10 41 3B D4 76 0B 44 8B D9 44 8B E2 45 84 C0 75 0C FF C1 49 83 C2 04 41 3B 4E 18 72 A5 48 8B 6E 10 41 83 FB FF 74 49 44 39 66 04 41 8B DB 41 8B FC 0F 42 7E 04 45 8B 44 9D 00 48 8B D5 49 8B CE 44 8B CF C6 44 24 20 01 E8 ?? ?? ?? ?? 29 7E 04 8B 56 2C 41 8B 44 9D 00 41 8B 4C 95 00 41 89 44 95 00 41 89 4C 9D 00 FF 46 2C C6 46 20 01 EB 04 40 88 7E 20 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 8B C7 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_99_0 {
	meta:
		name = "?DistributeIdleCores@ResourceManager@details@Concurrency@@AEAAXII@Z"
		size = 489
		refs = "0091 ?DynamicAssignCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@II_N@Z 01b5 ?FindBestFitIdleAllocation@ResourceManager@details@Concurrency@@AEAAIIPEAUDynamicAllocationData@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 41 8B F8 8B F2 4C 8B F1 45 32 ED 33 ED 85 FF 0F 84 A6 00 00 00 45 33 E4 85 F6 0F 84 92 00 00 00 49 8B 86 80 00 00 00 49 8B 1C 04 83 7B 04 00 76 73 44 8B 4B 2C 44 39 4B 28 76 69 48 8B 53 10 41 B5 01 48 8B 42 20 48 8B 4A 28 46 8B 04 89 48 89 84 24 88 00 00 00 49 8B 46 50 45 8B F8 4D 6B FF 38 42 83 7C 38 20 00 76 34 41 B9 01 00 00 00 49 8B CE 44 88 6C 24 20 E8 ?? ?? ?? ?? 48 8B 84 24 88 00 00 00 45 8B 5C 07 08 45 39 5C 07 0C 75 03 FF 43 2C 83 C8 FF 01 43 04 03 F0 EB 07 41 8D 41 01 89 43 2C FF C5 49 83 C4 08 3B EF 0F 82 66 FF FF FF 45 84 ED 0F 85 4D FF FF FF 85 F6 0F 84 F8 00 00 00 45 33 C0 45 33 C9 85 FF 0F 84 9C 00 00 00 45 8D 58 01 41 8B D8 4D 8B E9 41 8B D3 4D 8D 51 01 44 3B DF 73 61 49 8B 86 80 00 00 00 4D 8B F9 4C 8B F0 49 C1 E7 03 4B 8B 04 37 4D 8B E2 8B 40 04 49 C1 E4 03 4B 8B 0C 26 39 41 04 76 08 8B DA 4D 8B EA 4D 8B FC FF C2 49 FF C2 3B D7 72 D8 4C 8B 74 24 70 44 3B C3 74 1E 49 8B 8E 80 00 00 00 4A 8B 04 E9 4A 8B 14 C9 4A 89 04 C9 49 8B 86 80 00 00 00 4A 89 14 E8 49 8B 86 80 00 00 00 4A 8B 0C C8 83 79 04 00 74 11 49 FF C1 45 8B C3 44 3B DF 0F 82 69 FF FF FF EB 03 41 8B F8 44 8B EF 33 DB 45 85 ED 74 40 33 ED 85 F6 74 3E 49 8B 86 80 00 00 00 4C 8B 24 28 41 83 7C 24 04 00 76 1C 44 8B CF 4D 8B C4 8B D6 49 8B CE E8 ?? ?? ?? ?? 2B F0 41 83 7C 24 04 00 75 02 FF CF FF C3 48 83 C5 08 41 3B DD 72 C2 85 F6 75 B5 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_579_100_0 {
	meta:
		name = "?FlushStoreBuffers@ResourceManager@details@Concurrency@@QEAAXXZ"
		size = 67
		refs = "0014 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 003a __imp_VirtualProtect"
	strings:
		$1 = { 48 83 EC 28 48 8B 81 E8 00 00 00 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 48 FF E0 48 8B 89 F0 00 00 00 BA 01 00 00 00 38 11 75 0F 4C 8D 4C 24 30 44 8D 42 01 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_579_101_0 {
	meta:
		name = "?CreateUMSBackgroundThreads@ResourceManager@details@Concurrency@@QEAAXXZ"
		size = 169
		refs = "0034 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0046 ??2@YAPEAX_K@Z 005b ??0UMSBackgroundPoller@details@Concurrency@@QEAA@H@Z 0083 ??0Transmogrificator@details@Concurrency@@QEAA@XZ 0095 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B F1 33 FF 48 39 B9 98 00 00 00 75 72 48 8D 59 28 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 39 BE 98 00 00 00 75 4F 8D 4F 38 E8 ?? ?? ?? ?? 48 89 44 24 48 48 85 C0 74 0D 8D 57 64 48 8B C8 E8 ?? ?? ?? ?? EB 03 48 8B C7 48 89 86 98 00 00 00 B9 50 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 48 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 BE A0 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_579_102_0 {
	meta:
		name = "?dtor$0@?0??CreateUMSBackgroundThreads@ResourceManager@details@Concurrency@@QEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1_Scoped_lock@_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$0@?0??GetUMSFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVUMSFreeThreadProxyFactory@23@XZ@4HA"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_788_1 {
	meta:
		name = "?dtor$0@?0???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z@4HA"
		size = 16
		refs = "0008 ??1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_799_1 {
	meta:
		name = "?dtor$0@?0???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@0@AEB_K@Z@4HA"
		size = 16
		refs = "0008 ??1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_216_1 {
	meta:
		name = "?dtor$0@?0??_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z@4HA"
		size = 16
		refs = "0008 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_307_1 {
	meta:
		name = "?dtor$0@?0??do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1020_1 {
	meta:
		name = "?dtor$0@?0??do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_940_1 {
	meta:
		name = "?dtor$0@?0??do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_786_1 {
	meta:
		name = "?dtor$1@?0???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z@4HA"
		size = 16
		refs = "0008 ??1?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_797_1 {
	meta:
		name = "?dtor$1@?0???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@0@AEB_K@Z@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_237_1 {
	meta:
		name = "?dtor$2@?0??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_579_103_0 {
	meta:
		name = "?dtor$1@?0??CreateUMSBackgroundThreads@ResourceManager@details@Concurrency@@QEAAXXZ@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_36_86_1 {
	meta:
		name = "?dtor$1@?0??message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_814_1 {
	meta:
		name = "?dtor$3@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_833_1 {
	meta:
		name = "?dtor$3@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_873_1 {
	meta:
		name = "?dtor$3@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_690_1 {
	meta:
		name = "?dtor$3@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_579_105_0 {
	meta:
		name = "??1ResourceManager@details@Concurrency@@AEAA@XZ"
		size = 282
		refs = "0027 ??_7ResourceManager@details@Concurrency@@6B@ 0041 ??_V@YAXPEAX@Z 0082 __imp_VirtualFree 0093 ?Retire@UMSBackgroundPoller@details@Concurrency@@QEAAXXZ 00ac ?Shutdown@Transmogrificator@details@Concurrency@@QEAAXXZ 00be __imp_CloseHandle 00f8 ??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ 0116 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 ED 39 69 18 76 25 33 F6 48 8B 5F 50 48 8B 4C 1E 28 E8 ?? ?? ?? ?? 48 8B 4C 1E 30 E8 ?? ?? ?? ?? FF C5 48 83 C6 38 3B 6F 18 72 DD 48 8B 4F 50 E8 ?? ?? ?? ?? 48 8B 4F 58 E8 ?? ?? ?? ?? 48 8B 8F F0 00 00 00 48 85 C9 74 0E 33 D2 41 B8 00 80 00 00 FF 15 ?? ?? ?? ?? 48 8B 8F 98 00 00 00 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 A7 98 00 00 00 00 48 8B 8F A0 00 00 00 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 83 A7 A0 00 00 00 00 48 8B 4F 68 FF 15 ?? ?? ?? ?? 48 8B 4F 70 E8 ?? ?? ?? ?? 48 8B 4F 60 48 85 C9 74 1C FF 15 ?? ?? ?? ?? 48 8B 4F 78 E8 ?? ?? ?? ?? 48 8B 8F 80 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F A8 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 28 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_106_0 {
	meta:
		name = "?dtor$0@?0???1ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_264_2 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA@0I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_279_2 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA@0I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_386_2 {
	meta:
		name = "?dtor$1@?0???1_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_621_2 {
	meta:
		name = "?dtor$1@?0???1_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_73_36_2 {
	meta:
		name = "?dtor$1@?0???1_Locimp@locale@std@@MEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_73_39_2 {
	meta:
		name = "?dtor$1@?0???_G_Locimp@locale@std@@MEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_603_2 {
	meta:
		name = "?dtor$2@?0???0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_49_139_2 {
	meta:
		name = "?dtor$3@?0???1_Locinfo@std@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_107_0 {
	meta:
		name = "?dtor$1@?0???1ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 19
		refs = "000f ??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 A8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_113_0 {
	meta:
		name = "?AddTail@?$List@VSchedulerProxy@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 66
	strings:
		$1 = { 48 8B 41 08 4C 8B C1 48 85 C0 75 0A 48 89 52 30 48 89 52 38 EB 24 48 8B 40 30 48 89 42 30 48 8B 41 08 48 89 42 38 48 8B 41 08 48 8B 48 30 48 89 51 38 49 8B 40 08 48 89 50 30 41 FF 00 49 89 50 08 C3 }
	condition:
		$1
}

rule file_579_114_0 {
	meta:
		name = "?Remove@?$List@VSchedulerProxy@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 54
	strings:
		$1 = { FF 09 4C 8B 42 30 48 8B 42 38 49 89 40 38 48 8B 42 30 4C 8B 42 38 49 89 40 30 48 8B 41 08 48 3B D0 75 12 48 3B 40 30 75 04 33 C0 EB 04 48 8B 40 38 48 89 41 08 C3 }
	condition:
		$1
}

rule file_579_115_0 {
	meta:
		name = "?First@?$List@VSchedulerProxy@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEBAPEAVSchedulerProxy@23@XZ"
		size = 16
	strings:
		$1 = { 48 8B 51 08 33 C0 48 85 D2 74 04 48 8B 42 30 C3 }
	condition:
		$1
}

rule file_579_126_0 {
	meta:
		name = "??0ResourceManager@details@Concurrency@@AEAA@XZ"
		size = 389
		refs = "001e ??_7ResourceManager@details@Concurrency@@6B@ 0040 ??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 0087 ??0ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ 008f ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0095 __imp_GetModuleHandleW 009f ??_C@_0BJ@LKGHFHBO@FlushProcessWriteBuffers?$AA@ 00a5 __imp_GetProcAddress 00b2 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 00e0 __imp_VirtualAlloc 00f3 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 010d ??0exception@std@@QEAA@AEBQEBDH@Z 0114 ??_7bad_alloc@std@@6B@ 0120 _TI2?AVbad_alloc@std@@ 012a _CxxThrowException 0135 ?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z 013d ?DetermineTopology@ResourceManager@details@Concurrency@@AEAAXXZ 014d __imp_CreateEventW 016f ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 FF 89 79 08 89 79 0C 48 C7 41 10 10 00 00 00 89 79 20 89 79 24 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 89 7B 50 48 89 7B 58 48 89 7B 60 48 89 7B 68 48 89 7B 70 48 89 7B 78 48 89 BB 80 00 00 00 89 BB 88 00 00 00 48 89 BB 90 00 00 00 48 89 BB 98 00 00 00 48 89 BB A0 00 00 00 48 8D 8B A8 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 8D 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 18 48 8B C8 E8 ?? ?? ?? ?? 48 89 83 E8 00 00 00 48 89 BB F0 00 00 00 EB 6C 48 89 BB E8 00 00 00 BA 00 10 00 00 33 C9 44 8D 49 04 41 B8 00 30 00 00 FF 15 ?? ?? ?? ?? 48 89 83 F0 00 00 00 48 85 C0 75 3F 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 41 B8 01 00 00 00 48 8D 54 24 58 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC C6 00 01 B1 01 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 43 68 8B 4B 10 B8 08 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 43 70 48 8B C3 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_579_127_0 {
	meta:
		name = "?dtor$0@?0???0ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_612_2 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA@0AEBV456@I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_808_1 {
	meta:
		name = "?dtor$1@?0???0_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA@0AEBV345@I@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_567_2 {
	meta:
		name = "?dtor$2@?0???1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_179_2 {
	meta:
		name = "?dtor$3@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_128_0 {
	meta:
		name = "?dtor$1@?0???0ResourceManager@details@Concurrency@@AEAA@XZ@4HA"
		size = 19
		refs = "000f ??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 A8 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_129_0 {
	meta:
		name = "?DiscardExistingSchedulerStatistics@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 115
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 20 48 8B 99 90 00 00 00 48 8B F9 48 85 DB EB 40 8B 83 A8 00 00 00 48 8B 4B 10 83 64 24 40 00 83 64 24 38 00 89 44 24 30 48 8B 01 4C 8D 4C 24 30 4C 8D 44 24 38 48 8D 54 24 40 FF 50 08 44 8B 5C 24 30 44 89 9B A8 00 00 00 48 3B 9F 90 00 00 00 74 06 48 8B 5B 30 EB 02 33 DB 48 85 DB 75 B1 48 8B 5C 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_131_0 {
	meta:
		name = "?RegisterScheduler@ResourceManager@details@Concurrency@@UEAAPEAUISchedulerProxy@3@PEAUIScheduler@3@I@Z"
		size = 141
		refs = "000c ??_C@_0L@HKFDMHB@pScheduler?$AA@ 0020 ??0exception@std@@QEAA@AEBQEBD@Z 0027 ??_7invalid_argument@std@@6B@ 002e _TI3?AVinvalid_argument@std@@ 003d _CxxThrowException 004e ??_C@_07CPCPJPKL@version?$AA@ 0089 ?CreateSchedulerProxy@ResourceManager@details@Concurrency@@AEAAPEAVSchedulerProxy@23@PEAUIScheduler@3@@Z"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 41 81 F8 00 00 01 00 74 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_134_0 {
	meta:
		name = "?Shutdown@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 302
		refs = "0027 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00f7 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0106 __imp_SetEvent"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B F9 48 83 C1 28 48 8B F2 45 32 E4 E8 ?? ?? ?? ?? FF 8F 88 00 00 00 48 8B 46 38 4C 8B 46 30 49 89 40 38 48 8B 46 30 48 8B 56 38 48 89 42 30 48 8B 87 90 00 00 00 48 3B F0 75 15 48 3B 40 30 75 04 33 C0 EB 04 48 8B 40 38 48 89 87 90 00 00 00 48 8B 46 20 45 33 C0 44 39 47 18 76 57 4D 8D 58 D0 48 8D 48 30 4C 2B D8 83 79 DC 00 76 39 48 8B 57 50 33 ED 49 03 D3 39 6C 0A 08 76 2A 45 33 D2 45 33 C9 48 8B 01 41 83 3C 01 01 75 0A 48 8B 44 0A 28 41 FF 4C 02 08 FF C5 49 83 C1 38 49 83 C2 18 3B 6C 0A 08 72 DC 41 FF C0 48 83 C1 38 44 3B 47 18 72 B4 8B 86 B0 00 00 00 39 86 B4 00 00 00 75 03 FF 4F 14 FF 4F 0C 83 7F 0C 01 75 0A C7 47 24 00 00 00 00 41 B4 01 48 8D 4F 28 E8 ?? ?? ?? ?? 45 84 E4 74 0A 48 8B 4F 68 FF 15 ?? ?? ?? ?? 48 8B 06 48 8B CE 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C 48 FF 60 40 }
	condition:
		$1
}

rule file_579_135_0 {
	meta:
		name = "?RestoreSchedulerResources@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@@Z"
		size = 467
		refs = "00f5 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0110 ?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 48 8B 42 20 45 33 E4 48 8B D9 45 8D 54 24 01 44 89 A4 24 88 00 00 00 44 39 61 18 0F 86 62 01 00 00 4D 8D 6C 24 F8 48 8D 78 08 4C 2B E8 48 89 BC 24 90 00 00 00 4C 89 6C 24 20 33 ED 39 2F 0F 86 1E 01 00 00 49 8D 44 3D 00 45 33 F6 33 F6 48 89 84 24 98 00 00 00 4C 8B 67 28 45 33 C0 45 8B FA 44 89 84 24 80 00 00 00 44 39 53 0C 0F 86 D0 00 00 00 48 8B BC 24 98 00 00 00 45 8D 68 08 48 8B 43 70 49 8B 4C 05 00 48 8B 49 10 80 B9 08 01 00 00 00 0F 84 91 00 00 00 48 8B 41 20 48 8D 14 07 4C 8B 4A 30 42 83 3C 0E 02 75 7E 46 39 14 26 75 62 42 8B 44 26 18 85 C0 75 41 42 38 44 0E 30 75 3A 45 85 C0 75 35 48 8B 43 50 4C 8B 44 38 28 47 01 54 30 08 42 80 7C 0E 31 00 46 89 14 0E 75 0E 44 8B C5 E8 ?? ?? ?? ?? 41 BA 01 00 00 00 45 8B C2 44 89 94 24 80 00 00 00 EB 2E 44 8B C5 E8 ?? ?? ?? ?? 44 8B 84 24 80 00 00 00 41 BA 01 00 00 00 EB 16 48 8B 43 50 48 8B 4C 38 28 46 01 54 31 08 48 8B 42 30 44 89 14 06 45 03 FA 49 83 C5 08 44 3B 7B 0C 0F 82 44 FF FF FF 48 8B BC 24 90 00 00 00 41 03 EA 48 83 C6 38 49 83 C6 18 3B 2F 0F 82 01 FF FF FF 44 8B A4 24 88 00 00 00 4C 8B 6C 24 20 45 03 E2 48 83 C7 38 44 89 A4 24 88 00 00 00 48 89 BC 24 90 00 00 00 44 3B 63 18 0F 82 B7 FE FF FF 41 8B D2 44 39 53 0C 76 25 41 B8 08 00 00 00 48 8B 43 70 41 03 D2 49 8B 0C 00 49 83 C0 08 48 8B 41 10 C6 80 08 01 00 00 00 3B 53 0C 72 E1 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_579_136_0 {
	meta:
		name = "?SetupStaticAllocationData@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@_N@Z"
		size = 351
		refs = "0022 ?InitializeRMBuffers@ResourceManager@details@Concurrency@@AEAAXXZ 0035 memset 0045 ?PopulateCommonAllocationData@ResourceManager@details@Concurrency@@AEAAXIPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z 0137 ?HandleBorrowedCores@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 41 8A F8 4C 8B E2 48 8B F1 E8 ?? ?? ?? ?? 33 D2 49 8D 5C 24 70 44 8D 42 30 48 8B CB E8 ?? ?? ?? ?? 4C 8B CB 4D 8B C4 33 D2 48 8B CE E8 ?? ?? ?? ?? 41 8B 84 24 EC 00 00 00 41 8B 8C 24 E8 00 00 00 66 0F EF C0 41 03 8C 24 B0 00 00 00 40 88 7B 28 41 BD 01 00 00 00 3B C1 0F 42 C8 8B C1 F2 48 0F 2A C0 F2 0F 11 43 20 48 8B 46 70 48 89 18 48 8B BE 90 00 00 00 48 85 FF 74 04 48 8B 7F 30 48 85 FF 74 79 BD 08 00 00 00 49 3B FC 74 59 33 D2 48 8D 5F 70 44 8D 42 30 48 8B CB E8 ?? ?? ?? ?? 4C 8B CB 4C 8B C7 41 8B D5 48 8B CE E8 ?? ?? ?? ?? 8B 87 EC 00 00 00 8B 8F E8 00 00 00 66 0F EF C0 03 8F B0 00 00 00 3B C1 0F 42 C8 41 FF C5 8B C1 F2 48 0F 2A C0 F2 0F 11 43 20 48 8B 46 70 48 89 1C 28 48 83 C5 08 48 3B BE 90 00 00 00 74 06 48 8B 7F 30 EB 02 33 FF 48 85 FF 75 8C 33 DB 39 5E 0C 76 2A 33 FF 48 8B 46 70 4C 8B 04 07 49 8B 50 10 83 BA D8 00 00 00 00 76 08 48 8B CE E8 ?? ?? ?? ?? FF C3 48 83 C7 08 3B 5E 0C 72 D8 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_137_0 {
	meta:
		name = "?PopulateDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 357
		refs = "0017 ?InitializeRMBuffers@ResourceManager@details@Concurrency@@AEAAXXZ 0045 memset 0056 ?PopulateCommonAllocationData@ResourceManager@details@Concurrency@@AEAAXIPEAVSchedulerProxy@23@PEAUAllocationData@23@@Z 00b1 ?Update@HillClimbing@details@Concurrency@@QEAAIIIII@Z 00c6 ?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 48 83 EC 30 48 8B E9 45 33 ED E8 ?? ?? ?? ?? 48 8B BD 90 00 00 00 48 85 FF 74 04 48 8B 7F 30 48 85 FF 0F 84 20 01 00 00 45 33 E4 33 D2 48 8D 77 70 44 8D 42 38 48 8B CE E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D5 48 8B CD E8 ?? ?? ?? ?? 80 BF 09 01 00 00 00 74 76 8B 87 A8 00 00 00 48 8B 4F 10 83 64 24 70 00 83 64 24 68 00 8B 9F D0 00 00 00 89 44 24 60 48 8B 01 4C 8D 4C 24 60 4C 8D 44 24 68 48 8D 54 24 70 FF 50 08 44 8B 5C 24 60 44 8B 4C 24 68 44 8B 44 24 70 48 8B 4F 68 8B D3 44 89 5C 24 20 E8 ?? ?? ?? ?? 89 46 24 3B 87 D0 00 00 00 76 0D 8B D0 48 8B CF E8 ?? ?? ?? ?? 89 46 24 8B 44 24 60 89 87 A8 00 00 00 EB 09 8B 87 D0 00 00 00 89 46 24 44 8B 87 D0 00 00 00 45 85 C0 74 29 83 7E 18 00 74 2C 33 C0 88 46 21 48 8B 45 70 41 FF C5 49 89 34 04 49 83 C4 08 48 3B BD 90 00 00 00 74 38 48 8B 7F 30 EB 34 83 BF F8 00 00 00 00 76 D4 44 3B 46 24 77 CE 8B 87 EC 00 00 00 8B 97 E8 00 00 00 03 97 B0 00 00 00 3B C2 0F 42 D0 44 3B C2 73 B2 B8 01 00 00 00 EB AD 33 FF 48 85 FF 0F 85 E3 FE FF FF 48 8B 5C 24 78 48 83 C4 30 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_579_138_0 {
	meta:
		name = "?DoCoreMigration@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 771
		refs = "0020 ?PopulateDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ 0028 ?PreProcessDynamicAllocationData@ResourceManager@details@Concurrency@@AEAAXXZ 0191 ?IncreaseFullyLoadedSchedulerAllocations@ResourceManager@details@Concurrency@@AEAAXXZ 0209 ?AdjustDynamicAllocation@ResourceManager@details@Concurrency@@AEAAIIII@Z 0216 ?PrepareReceiversForCoreTransfer@ResourceManager@details@Concurrency@@AEAAII@Z 0250 ?DistributeExclusiveCores@ResourceManager@details@Concurrency@@AEAAXIIIII@Z 0289 ?DistributeIdleCores@ResourceManager@details@Concurrency@@AEAAXII@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B F9 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 33 DB 44 8B F3 44 8B FB 44 8B DB 39 5F 0C 0F 86 B6 00 00 00 44 8B EB 8B F3 48 8B 47 70 4C 8B 04 06 49 8B 40 10 8B 88 D0 00 00 00 41 3B 48 24 0F 86 82 00 00 00 48 8B 47 78 41 FF C7 4D 89 44 05 00 41 8B 58 24 4D 8B 60 10 41 8B 94 24 D0 00 00 00 41 8B 68 1C 49 83 C5 08 8B C2 2B C3 44 03 F0 8B C2 2B C3 3B E8 73 04 8B D5 EB 02 2B D3 41 89 50 28 45 8B 94 24 D0 00 00 00 45 8B 8C 24 D8 00 00 00 41 8B CA 41 8B C1 2B CB 2B C5 2B CA 3B C1 73 05 44 2B CD EB 09 44 2B D3 44 2B D2 45 8B CA 45 89 48 2C 41 8B 84 24 D0 00 00 00 2B C3 41 2B C1 2B C2 41 89 40 30 41 FF C3 48 83 C6 08 44 3B 5F 0C 0F 82 51 FF FF FF 33 DB 44 8B EB 89 5F 1C 44 8B CB 39 5F 18 76 64 48 8B C3 48 8B 4F 50 44 8B D3 39 5C 08 08 76 47 48 8B D3 4C 8B 44 08 28 46 8B 5C 02 08 45 85 DB 75 11 42 C7 04 02 03 00 00 00 FF 44 08 10 41 FF C5 EB 16 46 3B 5C 02 14 75 0F 42 C7 04 02 04 00 00 00 FF 44 08 20 FF 47 1C 41 FF C2 48 83 C2 18 44 3B 54 08 08 72 BC 41 FF C1 48 83 C0 38 44 3B 4F 18 72 9F 43 8D 6C 35 00 89 5F 20 85 ED 75 09 39 5F 1C 0F 86 1D 01 00 00 83 7F 20 02 0F 83 13 01 00 00 83 7F 20 01 75 08 48 8B CF E8 ?? ?? ?? ?? 44 8B E3 8B F3 8B D3 39 5F 0C 0F 86 ED 00 00 00 4C 8B D3 4C 8B C3 48 8B 47 70 4D 8B 0C 00 49 8B 41 10 8B 88 D0 00 00 00 41 3B 49 24 73 22 48 8B 87 80 00 00 00 41 FF C4 4D 89 0C 02 49 8B 41 10 41 8B 49 24 2B 88 D0 00 00 00 49 83 C2 08 03 F1 FF C2 49 83 C0 08 3B 57 0C 72 BB 45 85 E4 0F 84 99 00 00 00 85 ED 74 5D 45 8B CC 44 8B C6 8B D5 48 8B CF E8 ?? ?? ?? ?? 41 8B D4 48 8B CF 8B D8 E8 ?? ?? ?? ?? 45 33 C9 44 3B EB 44 8B C3 45 0F 42 C5 45 2B E8 44 3B C3 73 12 45 8B CE 8B CB 41 2B C8 41 3B CE 44 0F 42 C9 45 2B F1 8B D3 48 8B CF 44 89 7C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 2B EB 2B F3 33 DB 85 F6 74 34 8B 57 1C 85 D2 74 2D 45 8B CC 44 8B C6 48 8B CF E8 ?? ?? ?? ?? 41 8B D4 48 8B CF 8B D8 E8 ?? ?? ?? ?? 8B D3 44 8B C0 48 8B CF E8 ?? ?? ?? ?? 29 5F 1C 33 DB FF 47 20 E9 D6 FE FF FF 44 8B CB 39 5F 18 76 44 48 8B CB 48 8B 57 50 44 8B D3 89 5C 11 10 89 5C 11 20 39 5C 11 08 76 1F 4C 8B C3 48 8B 44 11 28 41 FF C2 41 89 1C 00 41 89 5C 00 14 49 83 C0 18 44 3B 54 11 08 72 E4 41 FF C1 48 83 C1 38 44 3B 4F 18 72 BF 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_139_0 {
	meta:
		name = "?CurrentSubscriptionLevel@ResourceManager@details@Concurrency@@QEAAIII@Z"
		size = 159
		refs = "0028 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 007e ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4C 8B E1 48 83 C1 28 41 8B F0 8B EA 33 FF E8 ?? ?? ?? ?? 4D 8B 8C 24 90 00 00 00 4D 85 C9 74 04 4D 8B 49 30 4D 85 C9 74 36 48 8B D5 4C 8B C6 48 6B D2 38 4D 6B C0 38 49 8B 41 20 48 8B 4C 10 30 41 8B 44 08 18 03 F8 4D 3B 8C 24 90 00 00 00 74 06 4D 8B 49 30 EB 03 45 33 C9 4D 85 C9 75 D8 49 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_579_140_0 {
	meta:
		name = "?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
		size = 457
		refs = "0164 ?SendCoreNotification@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerCore@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 20 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 D2 48 8B F9 44 39 51 18 0F 86 92 00 00 00 45 33 C0 48 8B 47 50 45 33 DB 45 39 5C 00 08 76 70 33 DB 45 33 C9 49 8B 74 00 28 41 8B 44 31 0C 41 83 64 31 0C 00 41 89 44 31 10 48 8B 97 90 00 00 00 48 85 D2 EB 25 48 8B 42 20 49 8B 4C 00 30 8B 44 0B 1C 89 44 0B 20 8B 44 0B 18 89 44 0B 1C 41 01 44 31 0C 48 3B 97 90 00 00 00 74 06 48 8B 52 30 EB 02 33 D2 48 85 D2 75 CC 48 8B 47 50 41 FF C3 49 83 C1 18 48 83 C3 38 45 3B 5C 00 08 72 95 41 FF C2 49 83 C0 38 44 3B 57 18 0F 82 71 FF FF FF 33 ED 89 6C 24 70 39 6F 18 0F 86 EA 00 00 00 33 F6 48 8B 47 50 45 33 ED 44 39 6C 06 08 0F 86 C3 00 00 00 48 8B 6C 24 68 45 33 F6 45 33 E4 48 8B 44 06 28 48 8B 9F 90 00 00 00 45 8B 44 04 10 45 8B 7C 04 0C 48 85 DB 44 89 44 24 60 EB 6B 8B 83 B0 00 00 00 39 83 B4 00 00 00 75 56 48 8B 43 20 48 8B 4C 06 30 49 8D 14 0E 83 7A 24 00 76 43 48 3B DD 75 0E 48 8B CB 44 3B 7A 1C 76 28 41 B0 01 EB 26 44 3B 42 20 75 0E 44 3B 7A 1C 76 0C 41 B0 01 48 8B CB EB 12 44 3B 7A 1C 75 16 44 3B 42 20 76 10 48 8B CB 45 33 C0 E8 ?? ?? ?? ?? 44 8B 44 24 60 48 3B 9F 90 00 00 00 74 06 48 8B 5B 30 EB 02 33 DB 48 85 DB 75 86 48 8B 47 50 41 FF C5 49 83 C4 18 49 83 C6 38 44 3B 6C 06 08 0F 82 4C FF FF FF 8B 6C 24 70 FF C5 48 83 C6 38 89 6C 24 70 3B 6F 18 0F 82 18 FF FF FF 48 8B 5C 24 78 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_579_142_0 {
	meta:
		name = "?CloneAndReset@GlobalNode@details@Concurrency@@QEAAXPEAUSchedulerNode@23@@Z"
		size = 231
		refs = "0027 memcpy 0045 ??_U@YAPEAX_K@Z 0083 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B EA 48 8B D9 48 8B D1 48 8B CD 41 B8 20 00 00 00 E8 ?? ?? ?? ?? 8B 7B 08 48 C7 C1 FF FF FF FF B8 38 00 00 00 48 F7 E7 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 1D 8D 4F FF 85 C9 78 19 48 83 C0 08 83 20 00 48 83 60 08 00 48 83 C0 38 FF C9 79 F0 EB 03 45 33 DB 4C 89 5D 30 44 8B 43 08 33 D2 49 8B CB 4D 6B C0 38 E8 ?? ?? ?? ?? 33 F6 39 73 08 76 40 33 FF 48 8B 43 28 8B CE 48 8D 14 76 48 6B C9 38 48 03 4D 30 48 8D 14 D0 41 B8 08 00 00 00 E8 ?? ?? ?? ?? 4C 8B 5B 28 FF C6 42 83 24 1F 00 48 8B 43 28 48 83 C7 18 83 64 07 FC 00 3B 73 08 72 C2 83 63 0C 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_143_0 {
	meta:
		name = "?DistributeCoresToSurvivingScheduler@ResourceManager@details@Concurrency@@AEAA_NXZ"
		size = 643
		refs = "006e ?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z 00c6 ?s_physicalProcessorCount@ResourceManager@details@Concurrency@@0IA 01b3 ?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z 01dd ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0245 ?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 33 FF 48 8B F1 48 39 B9 90 00 00 00 0F 84 4D 02 00 00 48 8B 99 90 00 00 00 48 85 DB 74 06 48 8B 5B 30 EB 03 48 8B DF 8B 8B EC 00 00 00 8B 93 E8 00 00 00 03 93 B0 00 00 00 3B CA 8B C2 0F 42 C1 39 83 D0 00 00 00 72 0C 39 BB D8 00 00 00 0F 86 CC 01 00 00 3B CA 0F 42 D1 48 8B CB E8 ?? ?? ?? ?? 8B 8B E8 00 00 00 44 8B 56 18 4C 8B 73 20 4C 8B 6B 28 44 8B C0 44 2B 83 D0 00 00 00 8B 83 B0 00 00 00 44 8B FF 8D 14 01 8B 83 EC 00 00 00 4C 89 B4 24 98 00 00 00 3B C2 44 89 84 24 88 00 00 00 4C 89 6C 24 20 0F 42 D0 89 BC 24 90 00 00 00 4C 8B E7 3B 15 ?? ?? ?? ?? 0F 95 C1 45 85 D2 0F 84 5B 01 00 00 45 85 C0 0F 95 C0 22 C8 88 8C 24 80 00 00 00 74 75 48 8B 46 58 41 8D 57 01 41 8B EF 46 8B 0C A0 4D 8B DC 4D 8D 44 24 01 4D 6B C9 38 4D 03 CE 41 3B D2 73 4A 43 8B 4C 85 00 41 8B 41 0C 48 6B C9 38 49 03 CE 39 41 0C 76 08 8B EA 4D 8B D8 4C 8B C9 FF C2 49 FF C0 41 3B D2 72 D9 44 8B 84 24 88 00 00 00 44 3B FD 74 1E 43 8B 44 9D 00 43 8B 4C A5 00 43 89 44 A5 00 43 89 4C 9D 00 EB 08 44 8B 84 24 88 00 00 00 48 8B 46 58 44 8B EF 42 8B 2C A0 48 6B ED 38 49 03 EE 39 7D 08 0F 86 93 00 00 00 4C 8B FF 4C 8B F7 48 8B 45 30 41 39 3C 06 75 45 45 85 C0 74 5D 48 8B 46 58 45 33 C9 45 8B C5 42 8B 0C A0 48 8B 46 50 48 6B C9 38 48 8B 54 01 28 48 8B CB 41 FF 44 17 08 48 8B D5 E8 ?? ?? ?? ?? 44 8B 84 24 88 00 00 00 41 FF C8 44 89 84 24 88 00 00 00 EB 1D 41 38 7C 06 31 74 16 45 8B C5 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 44 8B 84 24 88 00 00 00 41 FF C5 49 83 C6 38 49 83 C7 18 44 3B 6D 08 72 83 44 8B BC 24 90 00 00 00 4C 8B B4 24 98 00 00 00 44 8B 56 18 4C 8B 6C 24 20 8A 8C 24 80 00 00 00 41 FF C7 49 FF C4 44 89 BC 24 90 00 00 00 45 3B FA 0F 82 A5 FE FF FF 8B 83 B0 00 00 00 39 83 B4 00 00 00 75 0A 33 D2 48 8B CE E8 ?? ?? ?? ?? 8B 8B EC 00 00 00 44 8B 83 E8 00 00 00 44 03 83 B0 00 00 00 41 3B C8 44 0F 42 C1 44 39 83 D0 00 00 00 0F 94 C0 EB 02 B0 01 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_579_144_0 {
	meta:
		name = "?DynamicResourceManager@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 279
		refs = "0026 __imp_GetTickCount 004d __imp_WaitForSingleObject 0058 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0075 ?DoCoreMigration@ResourceManager@details@Concurrency@@AEAAXXZ 0096 ?DiscardExistingSchedulerStatistics@ResourceManager@details@Concurrency@@AEAAXXZ 00a8 ?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z 00d8 ?DistributeCoresToSurvivingScheduler@ResourceManager@details@Concurrency@@AEAA_NXZ 00ec ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 48 8B F9 BE 64 00 00 00 FF 15 ?? ?? ?? ?? 8D A8 0C FE FF FF 8B 47 24 83 F8 02 0F 84 C8 00 00 00 48 8D 5F 28 48 89 5C 24 50 8B D6 48 8B 4F 68 FF 15 ?? ?? ?? ?? 44 8B E0 48 8B CB E8 ?? ?? ?? ?? 90 8B 4F 24 85 C9 74 70 FF C9 75 7E 41 81 FC 02 01 00 00 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 21 FF 15 ?? ?? ?? ?? 8B D8 2B DD 83 FB 64 76 31 81 FB 82 00 00 00 76 0A 48 8B CF E8 ?? ?? ?? ?? EB 10 83 7F 14 00 76 0A 33 D2 48 8B CF E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B E8 BE 64 00 00 00 EB 2B 83 7F 14 00 76 0A 33 D2 48 8B CF E8 ?? ?? ?? ?? BE 64 00 00 00 2B F3 EB 12 48 8B CF E8 ?? ?? ?? ?? F6 D8 1B F6 83 E6 9B 83 C6 64 48 8B 4C 24 50 E8 ?? ?? ?? ?? 44 8B 5F 24 41 83 FB 02 74 0A 48 8B 5C 24 50 E9 41 FF FF FF 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_579_150_0 {
	meta:
		name = "?Version@ResourceManager@details@Concurrency@@SA?AW4OSVersion@IResourceManager@3@XZ"
		size = 133
		refs = "000f ?s_version@ResourceManager@details@Concurrency@@0W4OSVersion@IResourceManager@3@A 001a ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 003a ?_Sleep0@details@Concurrency@@YAXXZ 0049 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 006c ?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 8B 05 ?? ?? ?? ?? 85 C0 75 69 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2D 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 8B 05 ?? ?? ?? ?? 85 C0 75 0D 33 C9 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_579_154_0 {
	meta:
		name = "?GetCoreCount@ResourceManager@details@Concurrency@@SAIXZ"
		size = 133
		refs = "000f ?s_physicalProcessorCount@ResourceManager@details@Concurrency@@0IA 001a ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 003a ?_Sleep0@details@Concurrency@@YAXXZ 0049 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 006c ?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 8B 05 ?? ?? ?? ?? 85 C0 75 69 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2D 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 8B 05 ?? ?? ?? ?? 85 C0 75 0D 33 C9 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_579_152_0 {
	meta:
		name = "?GetNodeCount@ResourceManager@details@Concurrency@@SAIXZ"
		size = 139
		refs = "000f ?s_nodeCount@ResourceManager@details@Concurrency@@0IA 001a ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 0037 ?_Sleep0@details@Concurrency@@YAXXZ 0046 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0067 ?InitializeSystemInformation@ResourceManager@details@Concurrency@@CAX_N@Z 007d ?s_packageCount@ResourceManager@details@Concurrency@@0IA"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 8B 0D ?? ?? ?? ?? 85 C9 75 64 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 8D 41 01 87 05 ?? ?? ?? ?? 85 C0 74 2C 21 4C 24 30 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 8B 0D ?? ?? ?? ?? 85 C9 75 0B E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 8B 05 ?? ?? ?? ?? 3B C8 0F 43 C1 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_579_156_0 {
	meta:
		name = "?CreateSingleton@ResourceManager@details@Concurrency@@SAPEAV123@XZ"
		size = 239
		refs = "0012 ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0059 ?s_pResourceManager@ResourceManager@details@Concurrency@@0PEAV123@EA 0068 ??2@YAPEAX_K@Z 007a ??0ResourceManager@details@Concurrency@@AEAA@XZ 0088 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 00d1 ?EncodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 BB 01 00 00 00 8B C3 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 44 8B DB 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E7 48 8B 0D ?? ?? ?? ?? 48 85 C9 75 25 B9 F8 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB EB 3E E8 ?? ?? ?? ?? 48 8B D8 8B 43 08 85 C0 74 0C 8D 48 01 F0 0F B1 4B 08 74 3C EB ED B9 F8 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 02 33 DB 48 8B 03 48 8B CB FF 10 48 8B CB E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_579_157_0 {
	meta:
		name = "?dtor$0@?0??CreateSingleton@ResourceManager@details@Concurrency@@SAPEAV123@XZ@4HA"
		size = 16
		refs = "0008 ??1_Scoped_lock@_NonReentrantLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_1006_1 {
	meta:
		name = "?dtor$0@?0??wait_for_one@agent@Concurrency@@SAX_KPEAPEAV12@AEAW4agent_status@2@AEA_KI@Z@4HA"
		size = 16
		refs = "0008 ??1?$single_assignment@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 50 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_579_158_0 {
	meta:
		name = "?dtor$1@?0??CreateSingleton@ResourceManager@details@Concurrency@@SAPEAV123@XZ@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B 8A 58 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_579_160_0 {
	meta:
		name = "?CreateDynamicRMWorker@ResourceManager@details@Concurrency@@AEAAXXZ"
		size = 171
		refs = "001a ?DynamicRMThreadProc@ResourceManager@details@Concurrency@@CAKPEAX@Z 0026 ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 0035 __imp_GetLastError 004d ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0054 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 005e _CxxThrowException 006d __imp_SetThreadPriority"
	strings:
		$1 = { 40 53 48 83 EC 50 48 83 64 24 28 00 83 64 24 20 00 48 8B D9 4C 8B C9 4C 8D 05 ?? ?? ?? ?? BA 00 00 01 00 33 C9 E8 ?? ?? ?? ?? 48 89 43 60 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC BA 0F 00 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_579_161_0 {
	meta:
		name = "?Release@ResourceManager@details@Concurrency@@UEAAIXZ"
		size = 240
		refs = "002f ?s_lock@ResourceManager@details@Concurrency@@0V_NonReentrantLock@23@A 004d ?_Sleep0@details@Concurrency@@YAXXZ 005b ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0074 ?s_pResourceManager@ResourceManager@details@Concurrency@@0PEAV123@EA 0079 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z 00a3 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00b3 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00bd __imp_SetEvent 00ca __imp_WaitForSingleObject 00d2 ??1ResourceManager@details@Concurrency@@AEAA@XZ 00da ??3@YAXPEAX@Z"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 49 89 5B 10 49 89 73 18 48 8B F9 83 CE FF F0 0F C1 71 08 FF CE 0F 85 B2 00 00 00 48 8D 05 ?? ?? ?? ?? 49 89 43 08 8D 46 01 87 05 ?? ?? ?? ?? 33 DB 85 C0 74 2B 89 5C 24 30 48 8D 05 ?? ?? ?? ?? 49 89 43 F0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 3B F8 48 0F 44 CB 48 89 0D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 48 39 5F 60 74 30 48 8D 4F 28 E8 ?? ?? ?? ?? C7 47 24 02 00 00 00 48 8D 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 68 FF 15 ?? ?? ?? ?? 83 CA FF 48 8B 4F 60 FF 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_579_163_0 {
	meta:
		name = "?RemoveExecutionResource@ResourceManager@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 170
		refs = "0032 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 003f ?DecrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ 0072 ?DistributeCoresToSurvivingScheduler@ResourceManager@details@Concurrency@@AEAA_NXZ 0083 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0093 __imp_SetEvent"
	strings:
		$1 = { 40 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 48 8B F2 4C 8B E1 40 32 ED 48 8D 59 28 48 89 5C 24 50 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 7E 20 48 8B CE E8 ?? ?? ?? ?? 8B 8F E8 00 00 00 03 8F B0 00 00 00 8B 87 EC 00 00 00 3B C1 0F 42 C8 39 8F D0 00 00 00 73 1D BF 01 00 00 00 41 39 7C 24 0C 75 11 49 8B CC E8 ?? ?? ?? ?? 40 0F B6 ED 84 C0 0F 44 EF 48 8B CB E8 ?? ?? ?? ?? 40 84 ED 74 0B 49 8B 4C 24 68 FF 15 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_579_169_0 {
	meta:
		name = "??0HardwareAffinity@details@Concurrency@@QEAA@PEAX@Z"
		size = 124
		refs = "0017 memset 001c ?Version@ResourceManager@details@Concurrency@@SA?AW4OSVersion@IResourceManager@3@XZ 0031 __imp_GetCurrentProcess 0044 __imp_GetProcessAffinityMask 005d ?s_pfnGetThreadGroupAffinity@HardwareAffinity@details@Concurrency@@0P6AHPEAXPEAU_GROUP_AFFINITY@@@ZEA 0062 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B FA 33 D2 48 8B D9 44 8D 42 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 04 74 35 E8 ?? ?? ?? ?? 83 F8 05 74 2B FF 15 ?? ?? ?? ?? 4C 8D 44 24 40 48 8D 54 24 30 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 44 24 30 45 33 DB 48 89 03 66 44 89 5B 08 EB 14 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D3 48 8B CF FF D0 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_170_0 {
	meta:
		name = "?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z"
		size = 84
		refs = "0011 ?Version@ResourceManager@details@Concurrency@@SA?AW4OSVersion@IResourceManager@3@XZ 002c __imp_SetThreadAffinityMask 0035 ?s_pfnSetThreadGroupAffinity@HardwareAffinity@details@Concurrency@@0P6AHPEAXPEAU_GROUP_AFFINITY@@1@ZEA 003a ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 83 F8 04 74 18 E8 ?? ?? ?? ?? 83 F8 05 74 0E 48 8B 17 48 8B CB FF 15 ?? ?? ?? ?? EB 17 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 C0 48 8B D7 48 8B CB FF D0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_579_171_0 {
	meta:
		name = "?GetCurrentNodeAndCore@ResourceManager@details@Concurrency@@QEAAIPEAI@Z"
		size = 417
		refs = "0016 ?Version@ResourceManager@details@Concurrency@@SA?AW4OSVersion@IResourceManager@3@XZ 0064 ??0unsupported_os@Concurrency@@QEAA@XZ 006b _TI2?AVunsupported_os@Concurrency@@ 0075 _CxxThrowException 007d ??_C@_1BK@MGMFAEKH@?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA3?$AA2?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0083 __imp_GetModuleHandleW 008a ??_C@_0BK@DFNBACLA@GetCurrentProcessorNumber?$AA@ 0093 __imp_GetProcAddress 009e __imp_GetLastError 00b6 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00bd _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0123 ?s_pfnGetCurrentProcessorNumberEx@ResourceManager@details@Concurrency@@0P6AXPEAU_PROCESSOR_NUMBER@@@ZEA 0128 ?DecodePointer@Security@details@Concurrency@@SAPEAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 83 F8 04 0F 84 FD 00 00 00 E8 ?? ?? ?? ?? 83 F8 05 0F 84 EF 00 00 00 E8 ?? ?? ?? ?? 83 F8 02 74 3F E8 ?? ?? ?? ?? 83 F8 03 74 35 E8 ?? ?? ?? ?? 83 F8 01 75 0F 48 85 DB 74 03 83 23 00 33 C0 E9 33 01 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC FF D0 4C 8B 47 50 BA 01 00 00 00 8B C8 44 8B D8 D3 E2 33 C9 4C 63 D2 4D 85 10 74 25 33 D2 41 39 50 08 76 1D 4D 8B 48 28 49 83 C1 04 41 0F B6 01 41 3B C3 74 14 FF C2 49 83 C1 18 41 3B 50 08 72 EB FF C1 49 83 C0 38 EB CE 48 85 DB 74 02 89 13 8B C1 EB 71 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 4C 24 60 FF D0 0F B6 74 24 62 44 0F B7 54 24 60 8B CE B8 01 00 00 00 D3 E0 48 8B 4F 50 45 33 C0 4C 63 D8 44 39 51 14 75 27 4C 85 19 74 22 33 D2 39 51 08 76 1B 4C 8B 49 28 49 83 C1 04 41 0F B6 01 3B C6 74 14 FF C2 49 83 C1 18 3B 51 08 72 ED 41 FF C0 48 83 C1 38 EB CA 48 85 DB 74 02 89 13 41 8B C0 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_579_172_0 {
	meta:
		name = "?AllocateCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
		size = 517
		refs = "003c ?GetCurrentNodeAndCore@ResourceManager@details@Concurrency@@QEAAIPEAI@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 44 89 40 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 41 83 CF FF 80 BA 98 00 00 00 00 41 8B F9 41 8B F0 4C 8B F2 48 8B D9 74 0A 33 D2 E8 ?? ?? ?? ?? 44 8B F8 45 33 C0 45 32 DB 44 39 43 18 76 4F 33 C9 48 8B 53 50 45 33 D2 44 39 54 11 08 76 32 33 C0 4C 8B 4C 11 28 42 83 3C 08 00 75 16 42 3B 7C 08 08 75 0F 42 C7 04 08 03 00 00 00 FF 44 11 10 41 B3 01 41 FF C2 48 83 C0 18 44 3B 54 11 08 72 D0 41 FF C0 48 83 C1 38 44 3B 43 18 72 B3 33 ED 45 84 DB 0F 84 3D 01 00 00 33 FF 45 33 DB 39 7B 18 0F 86 2F 01 00 00 48 8B 43 58 44 8B EF 4D 8B E3 46 8B 04 98 4D 6B C0 38 4C 03 43 50 2B F5 74 7D 41 8B 40 10 44 8D 57 01 4D 8D 4B 01 3B C6 0F 47 C6 41 89 40 10 EB 60 48 8B 43 58 42 8B 14 88 48 6B D2 38 48 03 53 50 8B 42 10 3B C6 0F 47 C6 89 42 10 41 8B 48 10 8B 52 0C 41 03 48 0C 03 D0 3B CA 73 06 48 8B 43 58 EB 16 75 26 41 80 BE 98 00 00 00 00 74 1C 48 8B 43 58 46 39 3C 88 75 12 46 8B 04 88 4D 8B E1 45 8B EA 4D 6B C0 38 4C 03 43 50 41 FF C2 49 FF C1 44 3B 53 18 72 9A 41 83 78 10 00 76 62 33 D2 41 39 50 08 76 55 44 8B 4C 24 60 33 C9 49 8B 40 28 83 3C 01 03 75 38 41 3B E9 73 2F FF 44 01 08 C7 04 01 01 00 00 00 41 FF 40 0C FF C5 41 80 BE 98 00 00 00 00 74 18 48 8B 43 58 46 39 3C A0 75 0E 41 C6 86 98 00 00 00 00 EB 04 83 24 01 00 FF C2 48 83 C1 18 41 3B 50 08 72 B2 41 83 60 10 00 41 3B FD 74 18 48 8B 53 58 42 8B 0C A2 46 8B 04 9A 42 89 0C 9A 48 8B 4B 58 46 89 04 A1 8B 74 24 60 FF C7 49 FF C3 3B 7B 18 0F 82 D1 FE FF FF 48 8B 5C 24 50 48 8B 74 24 68 8B C5 48 8B 6C 24 58 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_173_0 {
	meta:
		name = "?RedistributeCoresAmongAll@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@III@Z"
		size = 988
		refs = "00d9 ??_U@YAPEAX_K@Z 0111 __real@0000000000000000 01be ?RoundUpScaledAllocations@ResourceManager@details@Concurrency@@CAXPEAPEAUAllocationData@23@II@Z 0215 __real@3ff0000000000000 0387 ?ReleaseSchedulerResources@ResourceManager@details@Concurrency@@AEAA_NPEAVSchedulerProxy@23@I_N@Z 03aa ?AllocateCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z 03b4 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 30 0F 29 70 C8 8B 41 0C 33 F6 45 8B D9 45 8B F8 48 8B E9 83 F8 01 0F 86 7D 03 00 00 8D 7E 01 45 8B F0 3B C7 0F 86 6F 03 00 00 4C 8B 41 70 8D 58 FF 49 83 C0 08 49 8B 00 48 8B 50 10 44 8B AA E8 00 00 00 44 8B 8A B4 00 00 00 44 8B 92 DC 00 00 00 44 8B A2 D0 00 00 00 45 2B D5 41 8B C1 45 3B D1 41 0F 47 C2 44 2B A2 D8 00 00 00 41 8D 4C 05 00 44 3B E1 76 14 FF C7 45 3B D1 45 0F 47 CA 43 8D 44 0D 00 44 03 D8 45 03 F4 49 83 C0 08 48 FF CB 75 A2 83 FF 01 0F 86 FD 02 00 00 45 3B DE 0F 87 F4 02 00 00 48 8D 4B FF 8D 43 08 44 8B EF 49 F7 E5 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 41 BA 01 00 00 00 48 8B D8 48 8B 45 70 48 8B 08 8B 84 24 80 00 00 00 66 0F EF C0 48 89 0B F2 48 0F 2A C0 F2 0F 11 41 20 48 8B 03 F2 0F 10 60 20 F2 0F 58 25 ?? ?? ?? ?? 44 39 55 0C 76 62 45 8D 4A 07 4C 8D 43 08 48 8B 45 70 49 8B 0C 01 4C 8B 59 10 41 8B 93 E8 00 00 00 41 8B 83 B4 00 00 00 41 8B 8B DC 00 00 00 2B CA 3B C8 0F 47 C1 8D 0C 02 41 8B 83 D0 00 00 00 41 2B 83 D8 00 00 00 3B C1 76 10 49 8D 43 70 49 89 00 49 83 C0 08 F2 0F 58 60 20 41 FF C2 49 83 C1 08 44 3B 55 0C 72 A6 66 0F EF F6 41 8B C6 F2 48 0F 2A F0 66 0F 28 EE F2 0F 5E EC 85 FF 74 20 48 8B CB 49 8B D5 48 8B 01 66 0F 28 C5 48 83 C1 08 48 FF CA F2 0F 59 40 20 F2 0F 11 40 08 75 E6 45 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? 44 8A DE 83 FF 01 76 76 48 8D 53 08 44 8D 4F FF 48 8B 0A 48 8B 41 10 44 8B 80 D0 00 00 00 44 2B 80 D8 00 00 00 44 39 41 04 76 41 F2 0F 10 49 20 66 0F EF C0 66 0F EF D2 41 8B C0 41 B3 01 F2 48 0F 2A D0 8B 41 04 F2 48 0F 2A C0 F2 0F 5E D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C2 F2 0F 59 C1 F2 0F 59 CA F2 0F 11 49 20 F2 0F 5C E0 48 83 C2 08 49 FF C9 75 9B 45 84 DB 0F 85 49 FF FF FF 85 FF 0F 84 06 01 00 00 4C 8B CB 4D 8B D5 4D 8B 01 49 8B 50 10 8B 8A EC 00 00 00 44 8B A2 E8 00 00 00 44 03 A2 B0 00 00 00 41 3B CC 41 8B C4 0F 42 C1 41 39 40 04 76 4B F2 41 0F 10 48 20 66 0F EF C0 66 0F EF D2 41 3B CC 41 B3 01 44 0F 42 E1 41 8B C4 F2 48 0F 2A D0 41 8B 40 04 F2 48 0F 2A C0 F2 0F 5E D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C2 F2 0F 59 C1 F2 0F 59 CA F2 41 0F 11 48 20 F2 0F 5C E0 49 83 C1 08 49 FF CA 75 82 45 84 DB 0F 85 B4 FE FF FF 48 8B D3 4D 8B C5 48 8B 0A 48 8B 41 10 44 8B A0 E8 00 00 00 44 8B 88 DC 00 00 00 44 8B 90 B4 00 00 00 45 2B CC 41 8B C2 45 3B CA 41 0F 47 C1 41 03 C4 3B 41 04 76 30 48 8B 02 66 0F EF C9 45 3B CA 45 0F 47 D1 41 B3 01 43 8D 0C 14 F2 48 0F 2A C9 F2 0F 5E CD 66 0F 28 C1 F2 0F 5C 40 20 F2 0F 11 48 20 F2 0F 58 E0 48 83 C2 08 49 FF C8 75 96 45 84 DB 0F 85 3B FE FF FF 48 8B 03 44 39 78 04 76 59 83 FF 01 76 38 48 8D 73 08 FF CF 48 8B 0E 48 8B 41 10 44 8B 80 D0 00 00 00 44 2B 80 D8 00 00 00 44 2B 41 04 74 0E 41 B1 01 48 8B D0 48 8B CD E8 ?? ?? ?? ?? 48 83 C6 08 48 FF CF 75 CE 48 8B 03 48 8B 54 24 68 45 33 C9 44 8B 40 04 48 8B CD 45 2B C7 E8 ?? ?? ?? ?? 8B F0 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 70 0F 28 74 24 20 8B C6 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_174_0 {
	meta:
		name = "?ReduceOthersToMin@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z"
		size = 165
		refs = "0053 ?ReleaseSchedulerResources@ResourceManager@details@Concurrency@@AEAA_NPEAVSchedulerProxy@23@I_N@Z 0080 ?AllocateCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 DB 41 8B E8 4C 8B E2 44 8D 7B 01 48 8B F9 40 8A F3 45 8B F7 44 39 79 0C 76 4F 44 8D 6B 08 48 8B 47 70 45 8A CF 41 83 C8 FF 49 8B 54 05 00 48 8B CF 48 8B 52 10 E8 ?? ?? ?? ?? 40 0F B6 F6 84 C0 41 0F 45 F7 45 03 F7 49 83 C5 08 44 3B 77 0C 72 CD 40 84 F6 74 13 45 33 C9 44 8B C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 6C 24 58 48 8B 74 24 60 8B C3 48 8B 5C 24 50 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_175_0 {
	meta:
		name = "?ReleaseBorrowedCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z"
		size = 167
		refs = "0055 ?ReleaseSchedulerResources@ResourceManager@details@Concurrency@@AEAA_NPEAVSchedulerProxy@23@I_N@Z 0082 ?AllocateCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 33 DB 41 8B E8 4C 8B E2 44 8D 7B 01 48 8B F9 40 8A F3 45 8B F7 44 39 79 0C 76 51 44 8D 6B 08 48 8B 47 70 45 33 C9 41 B8 FE FF FF FF 49 8B 54 05 00 48 8B CF 48 8B 52 10 E8 ?? ?? ?? ?? 40 0F B6 F6 84 C0 41 0F 45 F7 45 03 F7 49 83 C5 08 44 3B 77 0C 72 CB 40 84 F6 74 13 45 33 C9 44 8B C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B 6C 24 58 48 8B 74 24 60 8B C3 48 8B 5C 24 50 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_176_0 {
	meta:
		name = "?AllocateAtHigherUseCounts@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z"
		size = 100
		refs = "003d ?AllocateCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 FF 41 8B F0 48 8B EA 4C 8B E1 8B DF 45 85 C0 74 1C 44 8B C6 FF C7 48 8B D5 44 2B C3 44 8B CF 49 8B CC E8 ?? ?? ?? ?? 03 D8 3B DE 72 E4 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_579_177_0 {
	meta:
		name = "?PerformAllocation@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@_N@Z"
		size = 479
		refs = "00c0 ?SetupStaticAllocationData@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@_N@Z 00d1 ?AllocateCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z 00ee ?ReleaseBorrowedCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z 0109 ?RedistributeCoresAmongAll@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@III@Z 0121 ?ReduceOthersToMin@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z 0139 ?AllocateAtHigherUseCounts@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z 0159 ??_U@YAPEAX_K@Z 016e memset 0188 ?CloneAndReset@GlobalNode@details@Concurrency@@QEAAXPEAUSchedulerNode@23@@Z 01a6 ?GrantAllocation@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAUSchedulerNode@23@II_N@Z 01b9 ?RestoreSchedulerResources@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 30 45 8A E8 48 8B F2 48 8B E9 45 84 C0 74 5B 44 8B 8A E8 00 00 00 8B 8E B4 00 00 00 8B 92 DC 00 00 00 8B 9E EC 00 00 00 41 2B D1 8B C1 3B D1 0F 47 C2 41 03 C1 FF C0 3B D8 73 05 44 8B E3 EB 0A 3B D1 0F 47 CA 45 8D 64 09 01 8B 8E B0 00 00 00 41 03 C9 3B D9 8B C1 0F 42 C3 FF C0 3B D8 72 3A 3B D9 0F 42 CB 8D 59 01 EB 30 8B 92 E8 00 00 00 8B 86 B4 00 00 00 8B 8E DC 00 00 00 8B 9E B0 00 00 00 2B CA 3B C8 0F 47 C1 03 DA 44 8D 24 02 8B 86 EC 00 00 00 3B C3 0F 42 D8 45 8A C5 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 45 33 C9 44 8B C3 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 45 32 F6 8B F8 3B C3 73 61 44 8B C3 48 8B D6 48 8B CD 44 2B C0 41 B6 01 E8 ?? ?? ?? ?? 03 F8 3B FB 73 47 45 8B CC 44 8B C7 48 8B D6 48 8B CD 89 5C 24 20 E8 ?? ?? ?? ?? 03 F8 41 3B FC 73 2B 45 8B C4 48 8B D6 48 8B CD 44 2B C7 E8 ?? ?? ?? ?? 03 F8 41 3B FC 73 13 44 2B E7 48 8B D6 48 8B CD 45 8B C4 E8 ?? ?? ?? ?? 03 F8 8B 4D 18 B8 38 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 44 8B 45 18 33 D2 48 8B C8 4C 8B E0 4D 6B C0 38 E8 ?? ?? ?? ?? 33 DB 39 5D 18 76 1A 8B CB 48 6B C9 38 4A 8D 14 21 48 03 4D 50 E8 ?? ?? ?? ?? FF C3 3B 5D 18 72 E6 44 8B 45 18 44 8B CF 49 8B D4 48 8B CE 44 88 6C 24 20 E8 ?? ?? ?? ?? 48 8B D8 45 84 F6 74 0B 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_579_178_0 {
	meta:
		name = "?PerformExternalThreadAllocation@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@@Z"
		size = 582
		refs = "0095 ?GrantExternalThreadAllocation@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@_N@Z 00ad ?SetupStaticAllocationData@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@_N@Z 012f ?AllocateCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@II@Z 0145 ?ReleaseSchedulerResourceAboveMin@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@@Z 014f ?ReleaseBorrowedCores@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z 016e ?RedistributeCoresAmongAll@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@III@Z 0182 ?ReduceOthersToMin@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z 0196 ?AllocateAtHigherUseCounts@ResourceManager@details@Concurrency@@AEAAIPEAVSchedulerProxy@23@I@Z 0222 ?RestoreSchedulerResources@ResourceManager@details@Concurrency@@AEAAXPEAVSchedulerProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 44 8B 8A E8 00 00 00 44 8B 82 DC 00 00 00 48 8B FA 8B 92 B4 00 00 00 45 2B C1 48 8B F1 8B 8F EC 00 00 00 44 3B C2 8B C2 41 0F 47 C0 45 8D 34 01 8B C2 41 0F 47 C0 41 03 C1 FF C0 3B C8 73 05 44 8B F9 EB 0C 44 3B C2 41 0F 47 D0 45 8D 7C 11 01 8B 97 B0 00 00 00 41 03 D1 3B CA 8B C2 0F 42 C1 FF C0 3B C8 72 08 3B CA 0F 42 D1 8D 4A 01 44 3B F1 75 0F B2 01 48 8B CF E8 ?? ?? ?? ?? E9 8B 01 00 00 BB 01 00 00 00 48 8B D7 48 8B CE 44 8A C3 E8 ?? ?? ?? ?? 4C 8B 67 20 44 8B AF D0 00 00 00 45 33 D2 4C 89 64 24 68 44 39 56 18 76 58 4D 8B CC 49 8B D4 49 F7 D9 4D 8D 04 11 45 33 DB 4C 03 46 50 45 39 58 08 76 25 33 ED 45 33 E4 48 8B 42 30 49 8B 48 28 44 03 DB 41 8B 04 04 49 83 C4 38 89 04 29 48 83 C5 18 45 3B 58 08 72 E0 8B 42 0C 44 03 D3 48 83 C2 38 41 89 40 0C 44 3B 56 18 72 B6 4C 8B 64 24 68 45 33 C9 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 8B E8 3B C3 74 61 48 8B D7 48 8B CE 45 3B EE 76 07 E8 ?? ?? ?? ?? EB 4F 44 8B C3 E8 ?? ?? ?? ?? 03 E8 3B EB 74 41 41 8D 45 01 45 8B CF 45 8B C5 48 8B D7 48 8B CE 89 44 24 20 E8 ?? ?? ?? ?? 03 E8 3B EB 74 22 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 03 E8 3B EB 74 0E 44 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 45 33 ED 45 8B C5 44 39 6E 18 76 68 4D 8B CC 49 F7 D9 4B 8D 14 0C 45 8B DD 48 03 56 50 44 39 6A 08 76 38 4D 8B D5 49 8B ED 48 8B 42 28 49 8B 4C 24 30 44 03 DB 41 8B 04 02 89 04 29 48 8B 42 28 48 83 C5 38 45 89 2C 02 48 8B 42 28 49 83 C2 18 45 89 6C 02 FC 44 3B 5A 08 72 CE 8B 42 0C 44 03 C3 49 83 C4 38 41 89 44 24 D4 44 89 6A 0C 44 3B 46 18 72 9E 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 8B D7 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_179_0 {
	meta:
		name = "?RequestInitialVirtualProcessors@ResourceManager@details@Concurrency@@QEAAPEAUIExecutionResource@3@PEAVSchedulerProxy@23@_N@Z"
		size = 410
		refs = "0043 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0056 ?ReferenceCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ 00d9 ?PerformAllocation@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@_N@Z 00f9 ?SendResourceNotifications@ResourceManager@details@Concurrency@@QEAAXPEAVSchedulerProxy@23@@Z 0107 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0135 ??_U@YAPEAX_K@Z 0169 __imp_SetEvent 0176 ?CreateDynamicRMWorker@ResourceManager@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 41 8A F8 48 8B EA 48 8B F1 45 32 F6 45 33 E4 45 32 ED 48 8D 59 28 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 45 8D 7C 24 01 40 84 FF 74 16 48 8B CD E8 ?? ?? ?? ?? 4C 8B E0 45 0F B6 ED 48 85 C0 45 0F 44 EF 8B 85 B0 00 00 00 39 85 B4 00 00 00 75 04 44 01 7E 14 44 01 7E 0C 48 8B 86 90 00 00 00 48 85 C0 75 0A 48 89 6D 30 48 89 6D 38 EB 2D 48 8B 40 30 48 89 45 30 48 8B 86 90 00 00 00 48 89 45 38 48 8B 86 90 00 00 00 48 8B 48 30 48 89 69 38 48 8B 86 90 00 00 00 48 89 68 30 48 89 AE 90 00 00 00 44 01 BE 88 00 00 00 45 8A C5 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 4D 85 E4 4C 0F 44 E0 8B 8D B0 00 00 00 39 8D B4 00 00 00 75 0B 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 83 7E 0C 02 74 0A 48 8B CB E8 ?? ?? ?? ?? EB 6D 44 89 7E 24 48 83 7E 60 00 75 43 4C 89 7E 60 8B 4E 10 BF 08 00 00 00 8B C7 48 F7 E1 48 8D 6F F7 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 89 46 78 8B 4E 10 8B C7 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 48 89 86 80 00 00 00 45 8A F7 48 8B CB E8 ?? ?? ?? ?? 48 8B 4E 68 FF 15 ?? ?? ?? ?? 45 84 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 49 8B C4 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_579_181_0 {
	meta:
		name = "?SubscribeCurrentThread@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@@Z"
		size = 114
		refs = "002f ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0038 ?ReferenceCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ 004b ?PerformExternalThreadAllocation@ResourceManager@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAVSchedulerProxy@23@@Z 0056 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B F2 48 8B E9 48 8D 59 28 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 0E 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_581_2_0 {
	meta:
		name = "_searchenv_s"
		size = 797
		refs = "0017 __security_cookie 0046 _errno 0051 _invalid_parameter_noinfo 0088 _access_s 00a3 _fullpath 00c4 _dupenv_s 00e5 _invoke_watson 00fc strlen 0129 _calloc_crt 0170 _getpath 021b strcpy_s 0259 free 0305 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 78 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 60 01 00 00 33 F6 4D 8B F1 4C 89 4C 24 40 4D 8B E0 4C 8B FA 4C 8B E9 48 89 74 24 30 8B EE 4D 85 C0 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 9A 02 00 00 4D 85 C9 74 E1 48 85 C9 75 05 41 88 30 EB D7 40 38 31 75 08 41 88 30 E9 4E 02 00 00 E8 ?? ?? ?? ?? 33 D2 49 8B CD 8B 38 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 38 85 DB 75 20 4D 8B C6 49 8B D5 49 8B CC E8 ?? ?? ?? ?? 48 85 C0 0F 85 2B 02 00 00 41 88 34 24 E9 1B 02 00 00 48 8D 4C 24 30 4D 8B C7 33 D2 E8 ?? ?? ?? ?? 85 C0 74 1E 83 F8 16 0F 85 F0 01 00 00 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 48 8B 5C 24 30 48 85 DB 0F 84 CD 01 00 00 49 8B CD E8 ?? ?? ?? ?? 41 BE 08 01 00 00 48 8D 6C 24 50 4C 8B F8 49 3B C6 72 36 48 8B CB E8 ?? ?? ?? ?? BA 01 00 00 00 4E 8D 74 38 02 49 8B CE E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 14 41 88 34 24 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 8B 01 00 00 E8 ?? ?? ?? ?? 8B 00 89 44 24 38 48 85 DB 0F 84 68 01 00 00 4D 8B C6 48 8B D5 48 8B CB 4D 2B C7 48 8B FB 49 FF C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 5D 48 8D 44 24 50 48 3B E8 0F 85 3B 01 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 2D 01 00 00 48 8B CF E8 ?? ?? ?? ?? 8D 53 01 4E 8D 74 38 02 49 8B CE E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 0F 84 79 FF FF FF 4D 8B C6 48 8B D0 48 8B CF 4D 2B C7 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 EC 00 00 00 40 38 75 00 0F 84 E2 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B F8 48 8D 0C 28 0F BE 41 FF 83 F8 2F 74 13 83 F8 5C 74 0E 83 F8 3A 74 09 C6 01 5C 48 FF C1 48 FF C7 49 8B D6 4D 8B C5 48 2B D1 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 89 00 00 00 33 D2 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 1B FF FF FF 48 8B 5C 24 40 4A 8D 04 3F 48 3B C3 72 23 48 8D 44 24 50 41 88 34 24 48 3B E8 74 08 48 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 6A E8 ?? ?? ?? ?? 8B 4C 24 38 4C 8B C5 89 08 49 8B CC 48 8B D3 E8 ?? ?? ?? ?? 85 C0 75 14 48 8D 44 24 50 48 3B E8 74 4A 48 8B CD E8 ?? ?? ?? ?? EB 40 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC 41 88 34 24 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 30 48 8D 44 24 50 48 3B E8 74 08 48 8B CD E8 ?? ?? ?? ?? 48 8B 4C 24 30 E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 60 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 78 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_582_1_0 {
	meta:
		name = "__loctotime64_t"
		size = 714
		refs = "0017 __security_cookie 0090 _days 0164 __tzset 016d _get_daylight 017e _get_dstbias 018f _get_timezone 024b _isindst 026f _invoke_watson 029f _errno 02b5 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 33 FF 8D 99 94 F8 FF FF 4D 63 F9 48 63 F2 89 7D B8 89 7D BC 89 7D C0 83 FB 46 0F 8C 5C 02 00 00 81 FB 4C 04 00 00 0F 8F 50 02 00 00 8D 46 FF 83 F8 0B 0F 87 44 02 00 00 41 83 FF 17 0F 87 3A 02 00 00 4C 63 6D 68 41 83 FD 3B 0F 87 2C 02 00 00 4C 63 75 70 41 83 FE 3B 0F 87 1E 02 00 00 44 8D 57 01 45 3B C2 0F 8C 11 02 00 00 48 8D 0D ?? ?? ?? ?? 41 BB 1F 85 EB 51 44 8B 4C B1 FC 8B 0C B1 41 2B C9 41 3B C8 7D 62 8B C3 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B DA 75 23 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 0F 85 A5 01 00 00 83 FE 02 0F 85 9C 01 00 00 41 83 F8 1D 0F 8F 92 01 00 00 8B C3 47 8D 24 01 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B DA 75 1F 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 75 08 83 FE 02 7E 03 45 03 E2 E8 ?? ?? ?? ?? 48 8D 4D B8 E8 ?? ?? ?? ?? 85 C0 0F 85 10 01 00 00 48 8D 4D BC E8 ?? ?? ?? ?? 85 C0 0F 85 EA 00 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 85 C0 0F 85 C4 00 00 00 8D 8B 2B 01 00 00 41 BA 1F 85 EB 51 44 8D 43 FF 41 8B C2 44 89 65 E4 89 5D DC 44 89 7D D0 44 89 6D CC 44 89 75 C8 F7 E9 44 8B CA 41 8B C2 41 C1 F9 07 41 8B C9 C1 E9 1F 44 03 C9 41 F7 E8 C1 FA 05 41 8B C0 8B CA C1 E9 1F 03 D1 44 2B CA 99 83 E2 03 03 C2 C1 F8 02 41 8D 4C 01 EF 48 63 C3 48 83 E8 46 48 63 D1 48 69 C0 6D 01 00 00 48 03 D0 49 63 C4 48 03 D0 48 63 45 C0 48 8D 0C 52 49 8D 3C CF 48 6B FF 3C 49 03 FD 48 6B FF 3C 48 03 F8 8D 46 FF 49 03 FE 83 7D 78 01 89 45 D8 74 19 83 7D 78 FF 75 1A 83 7D B8 00 74 14 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 74 07 48 63 4D BC 48 03 F9 48 8B C7 EB 4E 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_583_0_0 {
	meta:
		name = "abort"
		size = 64
		refs = "0005 __get_sigabrt 0014 raise 001a __abort_behavior 0031 _call_reportfault 003b _exit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 85 C0 74 0A B9 16 00 00 00 E8 ?? ?? ?? ?? F6 05 ?? ?? ?? ?? 02 74 14 41 B8 01 00 00 00 BA 15 00 00 40 41 8D 48 02 E8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_583_1_0 {
	meta:
		name = "_set_abort_behavior"
		size = 28
		refs = "0002 __abort_behavior"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 44 8B C2 23 CA 41 F7 D0 44 23 C0 44 0B C1 44 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_585_1_0 {
	meta:
		name = "_wcsdup"
		size = 117
		refs = "0018 wcslen 0029 calloc 0040 wcscpy_s 005e _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 48 8B D9 48 85 C9 74 4C E8 ?? ?? ?? ?? BA 02 00 00 00 48 8D 48 01 48 8B F0 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 2E 48 8D 56 01 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C7 EB 18 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_586_0_0 {
	meta:
		name = "_wsplitpath_s"
		size = 692
		refs = "00e9 wcsncpy_s 0278 _errno 0284 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B A4 24 98 00 00 00 4C 8B AC 24 88 00 00 00 48 8B F1 33 C9 4D 8B F9 49 8B F8 44 8B C9 89 4C 24 60 4C 8B F2 48 85 F6 74 0A 48 85 D2 75 10 4D 85 C0 74 10 41 B9 01 00 00 00 E9 D1 01 00 00 4D 85 C0 74 F0 4D 85 FF 75 0C 48 39 8C 24 80 00 00 00 75 E1 EB 0A 48 39 8C 24 80 00 00 00 74 D5 4D 85 ED 75 0C 48 39 8C 24 90 00 00 00 75 C6 EB 0A 48 39 8C 24 90 00 00 00 74 BA 4D 85 E4 75 0C 48 39 8C 24 A0 00 00 00 75 AB EB 0A 48 39 8C 24 A0 00 00 00 74 9F B8 01 00 00 00 48 8B DE 66 39 0B 74 09 48 83 C3 02 48 FF C8 75 F2 66 83 3B 3A 75 2B 48 85 D2 74 20 49 83 F8 03 0F 82 50 01 00 00 41 B9 02 00 00 00 4C 8B C6 48 8B D7 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 8D 73 02 EB 08 48 85 D2 74 03 66 89 0A 0F B7 06 48 8B E9 48 8B F9 48 8B DE 66 85 C0 74 62 66 83 F8 2F 74 11 66 83 F8 5C 74 0B 66 83 F8 2E 75 09 48 8B FB EB 04 48 8D 6B 02 48 83 C3 02 0F B7 03 66 85 C0 75 D9 48 85 ED 74 36 4D 85 FF 74 2C 4C 8B CD 4C 2B CE 49 D1 F9 4C 39 8C 24 80 00 00 00 0F 86 C9 00 00 00 48 8B 94 24 80 00 00 00 4C 8B C6 49 8B CF E8 ?? ?? ?? ?? 33 C9 48 8B F5 EB 09 4D 85 FF 74 04 66 41 89 0F 48 85 FF 74 63 48 3B FE 72 5E 4D 85 ED 74 2C 4C 8B CF 4C 2B CE 49 D1 F9 4C 39 8C 24 90 00 00 00 0F 86 80 00 00 00 48 8B 94 24 90 00 00 00 4C 8B C6 49 8B CD E8 ?? ?? ?? ?? 33 C9 4D 85 E4 74 5F 48 2B DF 48 D1 FB 48 39 9C 24 A0 00 00 00 76 56 48 8B 94 24 A0 00 00 00 4C 8B CB 4C 8B C7 49 8B CC E8 ?? ?? ?? ?? EB 37 4D 85 ED 74 28 48 2B DE 48 D1 FB 48 39 9C 24 90 00 00 00 76 29 48 8B 94 24 90 00 00 00 4C 8B CB 4C 8B C6 49 8B CD E8 ?? ?? ?? ?? 33 C9 4D 85 E4 74 05 66 41 89 0C 24 33 C0 E9 80 00 00 00 44 8B 4C 24 60 48 8B 7C 24 70 4D 85 F6 74 09 48 85 FF 74 04 66 41 89 0E 4D 85 FF 74 0E 48 39 8C 24 80 00 00 00 76 04 66 41 89 0F 4D 85 ED 74 0F 48 39 8C 24 90 00 00 00 76 05 66 41 89 4D 00 4D 85 E4 74 0F 48 39 8C 24 A0 00 00 00 76 05 66 41 89 0C 24 48 85 F6 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 13 45 85 C9 75 E6 E8 ?? ?? ?? ?? B9 22 00 00 00 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_587_10_0 {
	meta:
		name = "??0UMSThreadInternalContext@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
		size = 54
		refs = "000a ??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z 0011 ??_7UMSThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 001c ??_7UMSThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 43 10 4C 8D 1D ?? ?? ?? ?? 48 8B C3 4C 89 1B C7 83 58 01 00 00 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_14_0 {
	meta:
		name = "?IsSynchronouslyBlocked@UMSThreadInternalContext@details@Concurrency@@UEBA_NXZ"
		size = 24
	strings:
		$1 = { 8B 41 54 83 F8 02 74 0A 8B 41 50 A8 02 75 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_587_15_0 {
	meta:
		name = "?RMAwaken@UMSThreadInternalContext@details@Concurrency@@EEAAXXZ"
		size = 16
		refs = "000c ?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 8B 91 E0 00 00 00 48 8B 49 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_17_0 {
	meta:
		name = "??1UMSThreadInternalContext@details@Concurrency@@UEAA@XZ"
		size = 26
		refs = "0003 ??_7UMSThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 000d ??_7UMSThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0016 ??1InternalContextBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_792_16_0 {
	meta:
		name = "??1ThreadInternalContext@details@Concurrency@@UEAA@XZ"
		size = 26
		refs = "0003 ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 000d ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0016 ??1InternalContextBase@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_18_0 {
	meta:
		name = "?PrepareToRun@UMSThreadInternalContext@details@Concurrency@@EEAAXPEAVVirtualProcessor@23@@Z"
		size = 26
	strings:
		$1 = { 48 89 91 50 01 00 00 33 C0 89 81 58 01 00 00 48 89 91 E0 00 00 00 87 41 60 C3 }
	condition:
		$1
}

rule file_587_19_0 {
	meta:
		name = "?NotifyBlocked@UMSThreadInternalContext@details@Concurrency@@AEAAX_N@Z"
		size = 25
	strings:
		$1 = { F6 DA 48 C7 81 E0 00 00 00 00 00 00 00 1B C0 83 E0 02 83 C0 02 87 41 60 C3 }
	condition:
		$1
}

rule file_587_20_0 {
	meta:
		name = "?Block@UMSThreadInternalContext@details@Concurrency@@UEAAXXZ"
		size = 189
		refs = "000e ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 0021 ?g_TraceOn@details@Concurrency@@3_NA 002c ?g_EnableLevel@details@Concurrency@@3EA 003e ?ThrowContextEvent@ContextBase@details@Concurrency@@KAXW4ConcRT_EventType@3@EKK@Z 007e ?SwitchOut@InternalContextBase@details@Concurrency@@IEAA_NW4ReasonForSwitch@123@@Z 00a7 ?SwitchTo@InternalContextBase@details@Concurrency@@IEAAXPEAV123@W4ReasonForSwitch@123@@Z 00b9 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 4B 38 48 8B 01 8B 7B 20 FF 50 08 80 3D ?? ?? ?? ?? 00 74 1A B2 04 38 15 ?? ?? ?? ?? 72 10 44 8B CF 44 8B C0 B9 03 00 00 00 E8 ?? ?? ?? ?? 48 8B 83 D0 00 00 00 41 B8 01 00 00 00 80 B8 C1 00 00 00 00 41 8B C0 74 29 F0 0F C1 43 54 41 03 C0 41 8D 50 01 41 3B C0 75 0D 41 8B C0 F0 0F B1 53 54 75 03 41 8B D0 48 8D 4B F0 E8 ?? ?? ?? ?? EB 27 F0 0F C1 43 54 41 03 C0 41 3B C0 75 1A BA 02 00 00 00 41 8B C0 F0 0F B1 53 54 75 0B 48 8D 4B F0 33 D2 E8 ?? ?? ?? ?? 48 8B CB 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_22_0 {
	meta:
		name = "?EnterCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 91
		refs = "003b __imp_Sleep"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 41 24 48 8B D9 48 8B 89 C8 00 00 00 EB 34 48 8B 8B D0 00 00 00 48 85 C9 74 34 48 83 B9 18 01 00 00 00 74 2A 48 8B 03 48 8B CB FF 50 68 B9 01 00 00 00 FF 15 ?? ?? ?? ?? FF 43 24 48 8B 8B C8 00 00 00 48 8B 01 FF 50 20 83 7B 24 01 74 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_23_0 {
	meta:
		name = "?ExitCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 17
	strings:
		$1 = { FF 49 24 48 8B 89 C8 00 00 00 48 8B 01 48 FF 60 28 }
	condition:
		$1
}

rule file_587_24_0 {
	meta:
		name = "?EnterHyperCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 97
		refs = "003e __imp_Sleep"
	strings:
		$1 = { 40 53 48 83 EC 20 FF 41 24 FF 41 28 48 8B D9 48 8B 89 C8 00 00 00 EB 37 48 8B 8B D0 00 00 00 48 85 C9 74 37 48 83 B9 18 01 00 00 00 74 2D 48 8B 03 48 8B CB FF 50 70 B9 01 00 00 00 FF 15 ?? ?? ?? ?? FF 43 24 FF 43 28 48 8B 8B C8 00 00 00 48 8B 01 FF 50 30 83 7B 24 01 74 BD 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_587_25_0 {
	meta:
		name = "?ExitHyperCriticalRegionHelper@UMSThreadInternalContext@details@Concurrency@@UEAAHXZ"
		size = 23
	strings:
		$1 = { 83 C8 FF 01 41 24 01 41 28 48 8B 89 C8 00 00 00 48 8B 01 48 FF 60 38 }
	condition:
		$1
}

rule file_587_36_0 {
	meta:
		name = "??_GUMSThreadInternalContext@details@Concurrency@@UEAAPEAXI@Z"
		size = 68
		refs = "000d ??_7UMSThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 001c ??_7UMSThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0025 ??1InternalContextBase@details@Concurrency@@UEAA@XZ 0032 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_792_20_0 {
	meta:
		name = "??_GThreadInternalContext@details@Concurrency@@UEAAPEAXI@Z"
		size = 68
		refs = "000d ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 001c ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0025 ??1InternalContextBase@details@Concurrency@@UEAA@XZ 0032 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_587_39_0 {
	meta:
		name = "?SpinOnAndReturnBlockingType@UMSThreadInternalContext@details@Concurrency@@AEAA?AW4BlockingType@123@XZ"
		size = 69
		refs = "001a ?_Sleep0@details@Concurrency@@YAXXZ 0029 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 8B 81 58 01 00 00 48 8B D9 85 C0 75 26 21 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9B 58 01 00 00 45 85 DB 74 EA 8B 83 58 01 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_588_0_0 {
	meta:
		name = "wcsrchr"
		size = 43
	strings:
		$1 = { 4C 8B C9 45 33 C0 0F B7 01 48 83 C1 02 66 85 C0 75 F4 48 83 E9 02 49 3B C9 74 05 66 39 11 75 F2 66 39 11 4C 0F 44 C1 49 8B C0 C3 }
	condition:
		$1
}

rule file_589_3_0 {
	meta:
		name = "_mbsnbcnt_l"
		size = 166
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 2C 48 85 DB 74 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 4D 48 8B D7 48 85 DB 74 2C 48 8B 4C 24 28 48 FF CB 80 3A 00 74 1F 0F B6 02 F6 44 08 1D 04 74 08 48 FF C2 80 3A 00 74 0A 48 FF C2 48 85 DB 74 05 EB DC 48 FF CA 48 2B D7 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_590_1_0 {
	meta:
		name = "_tsopen_nolock"
		size = 1959
		refs = "005e _get_fmode 00a4 __doserrno 00ae _errno 00ba _invalid_parameter_noinfo 01a6 _umaskval 01fc _alloc_osfhnd 0254 __imp_CreateFileA 02bd __pioinfo 02da __imp_GetLastError 02e1 _dosmaperr 02f6 __imp_GetFileType 0334 __imp_CloseHandle 0364 _set_osfhnd 03d1 _lseek_nolock 03ed _close_nolock 0407 _read_nolock 041c _chsize_nolock 0539 _lseeki64_nolock 0650 _write 0769 _free_osfhnd 07a2 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 48 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 33 FF 41 B5 80 41 8B F1 48 8B DA C7 45 E8 18 00 00 00 44 8D 67 01 89 7D D8 40 88 7D 58 48 89 7D F0 45 84 CD 74 08 89 7D F8 41 B7 10 EB 07 44 89 65 F8 44 8A FF 48 8D 4D D8 E8 ?? ?? ?? ?? 85 C0 0F 85 28 07 00 00 B8 00 80 00 00 85 F0 75 10 F7 C6 00 40 07 00 75 05 39 45 D8 74 03 45 0A FD 8B CE 41 B9 03 00 00 00 B8 00 00 00 C0 41 23 C9 41 B8 00 00 00 80 74 5B FF C9 74 41 FF C9 74 38 E8 ?? ?? ?? ?? 89 38 83 0B FF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 9C 24 C8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 8B F0 EB 19 40 F6 C6 08 74 08 F7 C6 00 00 07 00 75 ED 41 BE 00 00 00 40 EB 03 45 8B F0 8B 4D 60 44 89 75 C4 41 BD 02 00 00 00 83 E9 10 74 2D 83 E9 10 74 23 83 E9 10 74 19 83 E9 10 74 0F 83 F9 40 75 84 45 3B F0 8B D7 0F 94 C2 EB 11 41 8B D1 EB 0C 41 8B D5 EB 07 41 8B D4 EB 02 8B D7 8B C6 B9 00 07 00 00 89 55 C8 23 C1 41 B8 00 01 00 00 74 46 41 3B C0 74 39 3D 00 02 00 00 74 2A 3D 00 03 00 00 74 1E 3D 00 04 00 00 74 2C 3D 00 05 00 00 74 28 3D 00 06 00 00 74 0E 3B C1 74 1D E9 24 FF FF FF 45 8B E5 EB 13 41 BC 05 00 00 00 EB 0B 41 BC 04 00 00 00 EB 03 45 8B E1 B9 80 00 00 00 89 4D D0 41 85 F0 74 16 8A 05 ?? ?? ?? ?? F6 D0 22 45 68 A8 80 8D 41 81 0F 44 C8 89 4D D0 40 F6 C6 40 74 16 0F BA E9 1A 41 0F BA EE 10 83 CA 04 89 55 C8 89 4D D0 44 89 75 C4 0F BA E6 0C 73 06 41 0B C8 89 4D D0 40 F6 C6 20 74 06 0F BA E9 1B EB 0A 40 F6 C6 10 74 07 0F BA E9 1C 89 4D D0 E8 ?? ?? ?? ?? 89 03 83 F8 FF 75 21 E8 ?? ?? ?? ?? 89 38 83 0B FF E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 98 FE FF FF 48 8B 45 40 44 8B 45 C8 48 8B 4D 50 C7 00 01 00 00 00 8B 45 D0 48 89 7C 24 30 89 44 24 28 4C 8D 4D E8 41 8B D6 44 89 64 24 20 FF 15 ?? ?? ?? ?? 48 89 45 E0 48 83 F8 FF 0F 85 8B 00 00 00 B9 00 00 00 C0 41 8B C6 23 C1 3B C1 75 43 B8 01 00 00 00 40 84 F0 74 39 8B 45 D0 44 8B 45 C8 48 8B 4D 50 41 0F BA F6 1F 48 89 7C 24 30 89 44 24 28 4C 8D 4D E8 41 8B D6 44 89 64 24 20 44 89 75 C4 FF 15 ?? ?? ?? ?? 48 89 45 E0 48 83 F8 FF 75 3A 48 63 0B 4C 8D 35 ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 08 FE FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 38 E9 9A 04 00 00 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 4B 48 63 0B 4C 8D 35 ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 08 FE FF 15 ?? ?? ?? ?? 8B C8 8B D8 E8 ?? ?? ?? ?? 48 8B 4D E0 FF 15 ?? ?? ?? ?? 85 DB 75 A9 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB 9C 41 3B C5 75 06 41 80 CF 40 EB 09 83 F8 03 75 04 41 80 CF 08 48 8B 55 E0 8B 0B E8 ?? ?? ?? ?? 48 63 0B 4C 8D 35 ?? ?? ?? ?? 48 8B C1 83 E1 1F 41 B8 01 00 00 00 48 C1 F8 05 45 0A F8 49 8B 04 C6 48 6B C9 58 44 88 7C 08 08 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 38 80 41 8A C7 24 48 88 45 D4 0F 85 82 00 00 00 45 84 FF 0F 89 A4 02 00 00 41 84 F5 74 74 8B 0B 45 8B C5 83 CA FF E8 ?? ?? ?? ?? 89 45 CC 83 F8 FF 75 19 E8 ?? ?? ?? ?? 81 38 83 00 00 00 74 4C 8B 0B E8 ?? ?? ?? ?? E9 EF FE FF FF 8B 0B 48 8D 55 C0 41 B8 01 00 00 00 40 88 7D C0 E8 ?? ?? ?? ?? 85 C0 75 16 80 7D C0 1A 75 10 48 63 55 CC 8B 0B E8 ?? ?? ?? ?? 83 F8 FF 74 C5 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 83 F8 FF 74 B4 41 B8 01 00 00 00 45 84 FF 0F 89 22 02 00 00 BA 00 40 07 00 B9 00 40 00 00 85 F2 75 0D 8B 45 D8 23 C2 75 04 0B F1 EB 02 0B F0 8B C6 23 C2 3B C1 74 43 3D 00 00 01 00 74 29 3D 00 40 01 00 74 22 3D 00 00 02 00 74 28 3D 00 40 02 00 74 21 3D 00 00 04 00 74 07 3D 00 40 04 00 75 1D 44 88 45 58 EB 17 B9 01 03 00 00 8B C6 23 C1 3B C1 75 0A 44 88 6D 58 EB 04 40 88 7D 58 F7 C6 00 00 07 00 0F 84 AC 01 00 00 41 F6 C7 40 44 8B 7D C4 89 7D CC 0F 85 9F 01 00 00 41 8B C7 B9 00 00 00 C0 23 C1 3D 00 00 00 40 0F 84 0D 01 00 00 3D 00 00 00 80 74 70 3B C1 0F 85 7B 01 00 00 45 85 E4 0F 84 72 01 00 00 45 3B E5 76 10 41 83 FC 04 76 2D 41 83 FC 05 0F 85 5D 01 00 00 0F BE 4D 58 44 8B E7 FF C9 0F 84 15 01 00 00 FF C9 0F 85 46 01 00 00 C7 45 CC FF FE 00 00 E9 0E 01 00 00 8B 0B 45 8B C5 33 D2 E8 ?? ?? ?? ?? 48 85 C0 74 CC 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 92 FE FF FF 8B 0B 48 8D 55 CC 41 B8 03 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 78 FE FF FF 41 3B C5 74 1B 83 F8 03 75 61 81 7D CC EF BB BF 00 75 0D 44 8D 40 FE 44 88 45 58 E9 DF 00 00 00 0F B7 45 CC 3D FE FF 00 00 75 1A 8B 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 8B FB E9 D4 01 00 00 3D FF FE 00 00 75 1F 8B 0B 45 33 C0 41 8B D5 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 16 FE FF FF 44 88 6D 58 E9 8E 00 00 00 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 83 F8 FF EB 3D 45 85 E4 74 78 45 3B E5 0F 86 12 FF FF FF 41 83 FC 04 0F 87 FE FE FF FF 8B 0B 45 8B C5 33 D2 E8 ?? ?? ?? ?? 48 85 C0 0F 84 F3 FE FF FF 8B 0B 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 83 F8 FF 75 3E E9 B8 FD FF FF C7 45 CC EF BB BF 00 41 BD 03 00 00 00 8B 0B 49 63 C4 45 8B C5 48 8D 54 05 CC 45 2B C4 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 8D FD FF FF 44 03 E0 45 3B EC 7F DA EB 04 44 8B 7D C4 41 B8 01 00 00 00 48 63 0B 44 8A 65 58 48 8B C1 83 E1 1F 41 80 E4 7F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 64 08 38 80 44 08 64 08 38 48 63 13 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 8B 0C C6 8B C6 80 64 11 38 7F C1 E8 10 C0 E0 07 08 44 11 38 40 38 7D D4 75 20 40 F6 C6 08 74 1A 48 63 0B 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C6 80 4C 08 08 20 B9 00 00 00 C0 41 8B C7 23 C1 3B C1 0F 85 95 00 00 00 41 84 F0 0F 84 8C 00 00 00 48 8B 4D E0 FF 15 ?? ?? ?? ?? 8B 45 D0 44 8B 45 C8 48 8B 4D 50 48 89 7C 24 30 89 44 24 28 41 0F BA F7 1F 4C 8D 4D E8 C7 44 24 20 03 00 00 00 41 8B D7 FF 15 ?? ?? ?? ?? 48 83 F8 FF 75 35 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 4C 63 1B 49 8B C3 41 83 E3 1F 48 C1 F8 05 4D 6B DB 58 49 8B 04 C6 42 80 64 18 08 FE 8B 0B E8 ?? ?? ?? ?? E9 73 FB FF FF 48 63 13 48 8B CA 83 E2 1F 48 C1 F9 05 48 6B D2 58 49 8B 0C CE 48 89 04 0A 8B C7 E9 2E F9 FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_592_3_0 {
	meta:
		name = "_isctype_l"
		size = 232
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0051 _isleadbyte_l 00a3 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 74 24 10 55 57 41 54 48 8B EC 48 83 EC 60 48 63 F9 44 8B E2 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 44 8D 5F 01 41 81 FB 00 01 00 00 77 14 48 8B 45 E0 48 8B 88 40 01 00 00 0F B7 04 79 E9 80 00 00 00 8B F7 48 8D 55 E0 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? BA 01 00 00 00 85 C0 74 12 40 88 75 38 40 88 7D 39 C6 45 3A 00 44 8D 4A 01 EB 0B 40 88 7D 38 C6 45 39 00 44 8B CA 48 8B 4D E0 89 54 24 38 4C 8D 45 38 8B 41 14 89 44 24 30 8B 41 04 48 8D 4D E0 89 44 24 28 48 8D 45 20 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 14 38 45 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 18 0F B7 45 20 41 23 C4 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B B4 24 88 00 00 00 48 83 C4 60 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_592_4_0 {
	meta:
		name = "_isctype"
		size = 34
		refs = "0002 __locale_changed 000c __initiallocinfo 001e _isctype_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 48 8B 05 ?? ?? ?? ?? 48 63 C9 0F B7 04 48 23 C2 C3 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_0_0 {
	meta:
		name = "xtoa"
		size = 83
	strings:
		$1 = { 45 8B D8 4C 8B D2 8B C1 45 85 C9 74 08 49 FF C2 C6 02 2D F7 D8 4D 8B C2 33 D2 41 F7 F3 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 12 49 FF C2 85 C0 75 E4 41 88 02 49 FF CA 41 8A 00 41 8A 0A 41 88 02 41 88 08 49 FF C0 49 FF CA 4D 3B C2 72 E9 F3 C3 }
	condition:
		$1
}

rule file_594_1_0 {
	meta:
		name = "_itoa"
		size = 42
		refs = "001d xtoa"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 41 83 F8 0A 75 0A 85 C9 79 06 45 8D 48 F7 EB 03 45 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_931_1_0 {
	meta:
		name = "_itow"
		size = 42
		refs = "001d xtow"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 41 83 F8 0A 75 0A 85 C9 79 06 45 8D 48 F7 EB 03 45 33 C9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_594_2_0 {
	meta:
		name = "_ltoa"
		size = 40
		refs = "001b xtoa"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA 41 83 F8 0A 75 08 85 C9 79 04 45 8D 48 F7 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_931_2_0 {
	meta:
		name = "_ltow"
		size = 40
		refs = "001b xtow"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA 41 83 F8 0A 75 08 85 C9 79 04 45 8D 48 F7 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_594_3_0 {
	meta:
		name = "_ultoa"
		size = 26
		refs = "000d xtoa"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_931_6_0 {
	meta:
		name = "_ui64tow"
		size = 26
		refs = "000d x64tow"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_931_3_0 {
	meta:
		name = "_ultow"
		size = 26
		refs = "000d xtow"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C9 48 8B DA E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_594_4_0 {
	meta:
		name = "x64toa"
		size = 89
	strings:
		$1 = { 45 8B D8 4C 8B D2 48 8B C1 45 85 C9 74 09 49 FF C2 C6 02 2D 48 F7 D8 4D 8B C2 49 8B CB 33 D2 48 F7 F1 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 12 49 FF C2 48 85 C0 75 E3 41 88 02 49 FF CA 41 8A 00 41 8A 0A 41 88 02 41 88 08 49 FF C0 49 FF CA 4D 3B C2 72 E9 F3 C3 }
	condition:
		$1
}

rule file_594_5_0 {
	meta:
		name = "_i64toa"
		size = 43
		refs = "001e x64toa"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B DA 41 83 F8 0A 75 09 48 85 C9 79 04 41 8D 40 F7 44 8B C8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_931_5_0 {
	meta:
		name = "_i64tow"
		size = 43
		refs = "001e x64tow"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 8B DA 41 83 F8 0A 75 09 48 85 C9 79 04 41 8D 40 F7 44 8B C8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_594_6_0 {
	meta:
		name = "_ui64toa"
		size = 77
	strings:
		$1 = { 48 8B C1 4C 8B DA 4C 8B CA 41 8B C8 4C 8B D2 33 D2 48 F7 F1 83 FA 09 76 05 80 C2 57 EB 03 80 C2 30 41 88 11 49 FF C1 48 85 C0 75 E3 41 88 01 49 FF C9 41 8A 02 41 8A 09 41 88 01 41 88 0A 49 FF C2 49 FF C9 4D 3B D1 72 E9 49 8B C3 C3 }
	condition:
		$1
}

rule file_595_39_0 {
	meta:
		name = "?DecrementCoreUseCount@ResourceManager@details@Concurrency@@QEAAXII@Z"
		size = 28
	strings:
		$1 = { 48 8B 49 50 44 8B CA 41 8B C0 48 8D 14 40 4D 6B C9 38 49 8B 44 09 28 FF 4C D0 08 C3 }
	condition:
		$1
}

rule file_595_45_0 {
	meta:
		name = "?GetNewThreadProxy@SchedulerProxy@details@Concurrency@@UEAAPEAUIThreadProxy@3@PEAUIExecutionContext@3@@Z"
		size = 93
		refs = "0023 ?GetFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVFreeThreadProxyFactory@23@XZ 004b ?AssociateExecutionContext@FreeThreadProxy@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 08 00 48 8B FA 48 8B D9 75 14 48 8B 49 18 48 81 C1 A8 00 00 00 E8 ?? ?? ?? ?? 48 89 43 08 48 8B 4B 08 44 8B 83 C8 00 00 00 8B 93 C4 00 00 00 48 8B 01 FF 10 48 8B D7 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_595_46_0 {
	meta:
		name = "?BindContext@SchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 114
		refs = "001a ??_C@_08BAFMHLII@pContext?$AA@ 002b ??0exception@std@@QEAA@AEBQEBD@Z 0032 ??_7invalid_argument@std@@6B@ 0039 _TI3?AVinvalid_argument@std@@ 0048 _CxxThrowException"
		altNames = "?BindContext@UMSSchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B CA FF 50 10 48 85 C0 75 0C 48 8B 07 48 8B D3 48 8B CF FF 50 38 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_595_48_0 {
	meta:
		name = "?UnbindContext@SchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 87
		refs = "000c ??_C@_08BAFMHLII@pContext?$AA@ 0020 ??0exception@std@@QEAA@AEBQEBD@Z 0027 ??_7invalid_argument@std@@6B@ 002e _TI3?AVinvalid_argument@std@@ 003d _CxxThrowException 0053 ?ReturnIdleProxy@FreeThreadProxy@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B CA FF 50 10 48 8B C8 48 83 C4 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_49_0 {
	meta:
		name = "?GetCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ"
		size = 44
		refs = "0014 __imp_TlsGetValue"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 41 18 33 DB 8B 88 B8 00 00 00 FF 15 ?? ?? ?? ?? 48 85 C0 74 06 A8 03 48 0F 44 D8 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_595_50_0 {
	meta:
		name = "?GetResourceForNewSubscription@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAV423@@Z"
		size = 108
		refs = "002b ??2@YAPEAX_K@Z 0045 ??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAV012@@Z 0050 ?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B FA 48 8B F1 48 39 4A 20 74 31 B9 60 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 33 DB 48 85 C0 74 11 4C 8B C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B CB E8 ?? ?? ?? ?? EB 03 48 8B DA 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_595_53_0 {
	meta:
		name = "?CreateExternalThreadResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAUSchedulerNode@23@I@Z"
		size = 113
		refs = "002d ??2@YAPEAX_K@Z 004a ??0ExecutionResource@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 0055 ?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 6C 24 48 48 89 74 24 50 41 8B F8 48 8B F2 48 8B E9 B9 60 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 33 DB 48 85 C0 74 14 44 8B CF 4C 8B C6 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_595_56_0 {
	meta:
		name = "?GrantExternalThreadAllocation@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@_N@Z"
		size = 217
		refs = "0034 ?GetCurrentNodeAndCore@ResourceManager@details@Concurrency@@QEAAIPEAI@Z 00c7 ?CreateExternalThreadResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 83 CF FF 33 ED 44 8A E2 48 8B D9 8B F7 44 8B D7 84 D2 74 0E 48 8B 49 18 33 D2 E8 ?? ?? ?? ?? 44 8B D0 33 C9 39 8B F0 00 00 00 76 5E 48 8B 53 20 83 7A 0C 00 76 46 45 33 C0 44 39 42 08 76 3D 4C 8B 4A 30 41 83 39 01 75 26 41 8B 41 2C 41 03 41 24 45 84 E4 74 15 3B C7 72 07 75 13 41 3B CA 75 0E 8B F8 48 8B EA 41 8B F0 EB 04 85 C0 74 43 41 FF C0 49 83 C1 38 44 3B 42 08 72 C7 FF C1 48 83 C2 38 3B 8B F0 00 00 00 72 A6 44 8B C6 48 8B D5 48 8B CB 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C E9 ?? ?? ?? ?? FF 83 E8 00 00 00 FF 83 D0 00 00 00 EB D0 }
	condition:
		$1
}

rule file_595_57_0 {
	meta:
		name = "?CreateVirtualProcessorRoot@SchedulerProxy@details@Concurrency@@UEAAPEAVVirtualProcessorRoot@23@PEAUSchedulerNode@23@I@Z"
		size = 90
		refs = "0028 ??2@YAPEAX_K@Z 0045 ??0FreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 48 41 8B D8 48 8B FA 48 8B F1 B9 80 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 58 33 C0 48 85 C9 74 0F 44 8B CB 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_595_59_0 {
	meta:
		name = "?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
		size = 51
	strings:
		$1 = { 41 8B C0 48 6B C0 38 48 03 42 30 80 78 31 00 74 14 41 83 C8 FF 44 01 81 D8 00 00 00 44 01 42 20 C6 40 31 00 C3 FF 81 D8 00 00 00 FF 42 20 C6 40 31 01 C3 }
	condition:
		$1
}

rule file_595_60_0 {
	meta:
		name = "?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 113
		refs = "0062 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B F9 48 8B CA 48 8B DA FF 10 44 8B 43 44 8B D0 48 8B 47 20 48 6B D2 38 4D 6B C0 38 48 8B 54 02 30 B8 01 00 00 00 F0 42 0F C1 44 02 18 FF C0 83 F8 01 75 24 8B 87 B0 00 00 00 48 8B 4F 18 33 D2 39 87 B4 00 00 00 0F 94 C2 39 51 14 76 0A 48 8B 49 68 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_595_61_0 {
	meta:
		name = "?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 102
		refs = "0057 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B F9 48 8B CA 48 8B DA FF 10 44 8B 43 44 8B D0 48 8B 47 20 4D 6B C0 38 48 6B D2 38 48 8B 54 02 30 F0 42 FF 4C 02 18 75 24 8B 87 B0 00 00 00 48 8B 4F 18 33 D2 39 87 B4 00 00 00 0F 94 C2 39 51 14 76 0A 48 8B 49 68 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_595_62_0 {
	meta:
		name = "?AdjustAllocationIncrease@SchedulerProxy@details@Concurrency@@QEBAII@Z"
		size = 146
	strings:
		$1 = { 4C 8B C9 33 C9 44 8B C2 41 8B 81 CC 00 00 00 41 39 81 BC 00 00 00 76 3A 41 8B 89 C0 00 00 00 41 8B 81 BC 00 00 00 45 8B 91 D4 00 00 00 41 2B 81 CC 00 00 00 8B D1 41 0F AF D2 3B D0 72 08 33 D2 F7 F1 8B C8 EB 0C 2B C2 FF C9 33 D2 F7 F1 41 8D 0C 02 41 8B 81 D0 00 00 00 45 8B 91 E8 00 00 00 45 03 91 B0 00 00 00 8D 14 01 41 8B 89 EC 00 00 00 41 3B CA 41 8B C2 0F 42 C1 3B D0 72 09 41 8B D2 41 3B CA 0F 42 D1 41 3B D0 44 0F 42 C2 41 8B C0 C3 }
	condition:
		$1
}

rule file_595_63_0 {
	meta:
		name = "??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
		size = 135
		refs = "0023 ??_7SchedulerProxy@details@Concurrency@@6B@ 0040 ??_V@YAXPEAX@Z 0083 ??1_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 FF 39 B9 F0 00 00 00 76 1E 8B F7 48 8B 4B 20 48 8B 4C 0E 30 E8 ?? ?? ?? ?? FF C7 48 83 C6 38 3B BB F0 00 00 00 72 E4 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B 01 FF 50 08 90 48 8D 4B 40 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_64_0 {
	meta:
		name = "?dtor$0@?0???1SchedulerProxy@details@Concurrency@@IEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_740_1 {
	meta:
		name = "?dtor$2@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_744_1 {
	meta:
		name = "?dtor$2@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_641_1 {
	meta:
		name = "?dtor$2@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_665_1 {
	meta:
		name = "?dtor$2@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_724_1 {
	meta:
		name = "?dtor$2@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_728_1 {
	meta:
		name = "?dtor$2@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_818_1 {
	meta:
		name = "?dtor$9@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_837_1 {
	meta:
		name = "?dtor$9@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_66_0 {
	meta:
		name = "?AddTail@?$List@VExecutionResource@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 66
	strings:
		$1 = { 48 8B 41 08 4C 8B C1 48 85 C0 75 0A 48 89 52 58 48 89 52 50 EB 24 48 8B 40 58 48 89 42 58 48 8B 41 08 48 89 42 50 48 8B 41 08 48 8B 48 58 48 89 51 50 49 8B 40 08 48 89 50 58 41 FF 00 49 89 50 08 C3 }
	condition:
		$1
}

rule file_595_67_0 {
	meta:
		name = "?Remove@?$List@VExecutionResource@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 54
	strings:
		$1 = { FF 09 4C 8B 42 58 48 8B 42 50 49 89 40 50 48 8B 42 58 4C 8B 42 50 49 89 40 58 48 8B 41 08 48 3B D0 75 12 48 3B 40 58 75 04 33 C0 EB 04 48 8B 40 50 48 89 41 08 C3 }
	condition:
		$1
}

rule file_595_68_0 {
	meta:
		name = "?First@?$List@VExecutionResource@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEBAPEAVExecutionResource@23@XZ"
		size = 16
	strings:
		$1 = { 48 8B 51 08 33 C0 48 85 D2 74 04 48 8B 42 58 C3 }
	condition:
		$1
}

rule file_595_74_0 {
	meta:
		name = "??0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z"
		size = 607
		refs = "002c ??_7SchedulerProxy@details@Concurrency@@6B@ 004a ??0_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ 009e ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 0111 __imp_GetCurrentThread 011a __imp_GetThreadPriority 0137 ?GetCoreCount@ResourceManager@details@Concurrency@@SAIXZ 0220 ??2@YAPEAX_K@Z 023e ??0HillClimbing@details@Concurrency@@QEAA@IIPEAVSchedulerProxy@12@@Z"
	strings:
		$1 = { 48 89 4C 24 08 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 89 6C 24 68 49 8B F9 48 8B DA 48 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 33 ED 48 89 69 08 4C 89 41 18 48 89 69 20 48 89 69 28 48 83 C1 40 E8 ?? ?? ?? ?? 90 48 89 6E 68 89 AE A8 00 00 00 48 89 AE CC 00 00 00 48 89 AE D8 00 00 00 48 89 AE E4 00 00 00 89 AE F0 00 00 00 89 AE F8 00 00 00 48 89 AE 00 01 00 00 40 88 AE 08 01 00 00 40 88 AE 0A 01 00 00 48 89 5E 10 44 8D 65 01 41 8B D4 48 8B CF E8 ?? ?? ?? ?? 89 86 BC 00 00 00 8D 55 02 48 8B CF E8 ?? ?? ?? ?? 89 86 B8 00 00 00 8D 55 03 48 8B CF E8 ?? ?? ?? ?? 89 86 C0 00 00 00 8D 55 05 48 8B CF E8 ?? ?? ?? ?? 89 86 C4 00 00 00 8D 55 06 48 8B CF E8 ?? ?? ?? ?? 89 86 C8 00 00 00 8D 55 08 48 8B CF E8 ?? ?? ?? ?? 41 3B C4 0F 94 C0 88 86 09 01 00 00 81 BE C8 00 00 00 00 F0 00 00 75 18 FF 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 0F BE C8 89 8E C8 00 00 00 48 8B 4E 10 48 8B 01 FF 10 89 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B D8 89 86 EC 00 00 00 44 8B 86 C0 00 00 00 8B 8E BC 00 00 00 8D 44 01 FF 33 D2 F7 F3 44 3B C0 73 0E 89 86 C0 00 00 00 89 9E B0 00 00 00 EB 10 42 8D 44 01 FF 33 D2 41 F7 F0 89 86 B0 00 00 00 44 8B 86 B0 00 00 00 33 D2 8B C1 41 F7 F0 44 8B C8 85 D2 75 1E 89 86 C0 00 00 00 44 89 86 D4 00 00 00 8B 8E B8 00 00 00 8D 44 08 FF 33 D2 41 F7 F1 EB 54 41 8D 44 08 FF 33 D2 41 F7 F0 44 8B C8 89 86 C0 00 00 00 44 2B E0 45 0F AF E0 41 03 CC 89 8E D4 00 00 00 44 2B C1 44 8D 50 FF 41 8B CA 41 0F AF C8 8B 86 B8 00 00 00 33 D2 3B C8 72 0A 41 8D 44 01 FE 41 F7 F2 EB 0D 2B C1 41 8D 44 01 FF 41 F7 F1 41 03 C0 89 86 B4 00 00 00 48 8B 4E 18 48 8B 01 FF 10 40 38 AE 09 01 00 00 74 2F B9 38 08 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 48 85 C0 74 17 4C 8B CE 44 8B C3 8B 96 AC 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B E8 48 89 6E 68 48 8B C6 48 8B 5C 24 60 48 8B 6C 24 68 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_595_75_0 {
	meta:
		name = "?dtor$0@?0???0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1_ReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 40 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_78_0 {
	meta:
		name = "?ReferenceCurrentThreadExecutionResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@XZ"
		size = 187
		refs = "001e __imp_TlsGetValue 0054 ?IncrementUseCounts@ExecutionResource@details@Concurrency@@QEAAXXZ 00a3 ?GetResourceForNewSubscription@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAV423@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 18 48 8B F1 8B 88 B8 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 7F 83 E0 03 74 21 48 83 F8 01 75 25 48 83 E3 FE 48 8B 5B 20 48 8B 43 38 48 83 C3 08 48 85 C0 74 06 80 78 68 00 75 59 48 8B CB E8 ?? ?? ?? ?? EB 3D 48 83 E3 FD 48 8D 7B 08 48 8B CF 48 8B 07 FF 50 20 48 8B 5B 40 48 8B 43 48 48 83 C3 18 48 85 C0 74 0A 80 78 68 00 74 04 33 DB EB 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 48 8B CF FF 50 28 48 85 DB 74 0D 48 8B D3 48 8B CE E8 ?? ?? ?? ?? EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_595_79_0 {
	meta:
		name = "?IncrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z"
		size = 96
		refs = "0048 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 20 44 8B DA 45 8B D0 4D 6B DB 38 4D 6B D2 38 4E 03 54 18 30 41 8B 52 28 8D 42 01 41 89 42 28 85 D2 75 22 48 8B 41 20 49 8D 14 03 FF 42 24 FF 81 DC 00 00 00 41 80 7A 31 00 74 0A 41 C6 42 32 01 E8 ?? ?? ?? ?? 45 84 C9 74 0A FF 81 E4 00 00 00 41 FF 42 2C 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_595_80_0 {
	meta:
		name = "?DecrementFixedCoreCount@SchedulerProxy@details@Concurrency@@QEAAXII_N@Z"
		size = 150
		refs = "005f ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 20 41 8A F9 8B DA 45 8B D8 83 CE FF 4C 8B D1 48 6B DB 38 4C 8B 4C 18 30 4D 6B DB 38 40 84 FF 74 0B 43 01 74 0B 2C 01 B1 E4 00 00 00 43 01 74 0B 28 75 41 48 8B 41 20 01 B1 DC 00 00 00 48 8D 14 03 01 72 24 43 80 7C 0B 32 00 74 0B E8 ?? ?? ?? ?? 43 C6 44 0B 32 00 40 84 FF 74 18 49 8B 42 20 48 8B 4C 18 30 42 83 7C 19 24 00 75 07 41 01 B2 E8 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_595_81_0 {
	meta:
		name = "?AddThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 85
	strings:
		$1 = { 48 8B 81 00 01 00 00 4C 8B C1 48 85 C0 75 0A 48 89 52 58 48 89 52 50 EB 2D 48 8B 40 58 48 89 42 58 48 8B 81 00 01 00 00 48 89 42 50 48 8B 81 00 01 00 00 48 8B 48 58 48 89 51 50 49 8B 80 00 01 00 00 48 89 50 58 41 FF 80 F8 00 00 00 49 89 90 00 01 00 00 C3 }
	condition:
		$1
}

rule file_595_82_0 {
	meta:
		name = "?RemoveThreadSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 81
		refs = "0042 ??_7ExecutionResource@details@Concurrency@@6B@ 004d ??3@YAXPEAX@Z"
	strings:
		$1 = { FF 89 F8 00 00 00 4C 8B 42 58 48 8B 42 50 49 89 40 50 48 8B 42 58 4C 8B 42 50 49 89 40 58 48 8B 81 00 01 00 00 48 3B D0 75 15 48 3B 40 58 75 04 33 C0 EB 04 48 8B 40 50 48 89 81 00 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8B CA 48 89 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_83_0 {
	meta:
		name = "?CreateOversubscriber@SchedulerProxy@details@Concurrency@@UEAAPEAUIVirtualProcessorRoot@3@PEAUIExecutionResource@3@@Z"
		size = 316
		refs = "002a ??_R0?AVExecutionResource@details@Concurrency@@@8 0031 ??_R0?AUIExecutionResource@Concurrency@@@8 003b __RTDynamicCast 0054 ??_C@_0BD@HOFLOOHM@pExecutionResource?$AA@ 0068 ??0exception@std@@QEAA@AEBQEBD@Z 006f ??_7invalid_argument@std@@6B@ 007b _TI3?AVinvalid_argument@std@@ 0085 _CxxThrowException 0097 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0120 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 50 48 C7 44 24 30 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 20 48 8B DA 48 8B E9 83 60 C8 00 4C 8D 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 43 48 8D 7B 08 48 39 6F 20 74 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 38 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 38 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8D 5D 40 48 89 5C 24 70 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 07 48 8B CF FF 10 8B F0 48 6B F6 38 48 03 75 20 8B 7F 44 48 8B 45 00 44 8B C7 48 8B D6 48 8B CD FF 50 30 48 8B E8 C6 40 69 01 48 8D 50 08 44 8B C7 4D 6B C0 38 4C 8B 4E 30 4B 8B 44 08 10 48 85 C0 75 0A 48 89 52 58 48 89 52 50 EB 27 48 8B 40 58 48 89 42 58 4B 8B 44 08 10 48 89 42 50 4B 8B 44 08 10 48 8B 48 58 48 89 51 50 4B 8B 44 08 10 48 89 50 58 4B 89 54 08 10 43 FF 44 08 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_595_85_0 {
	meta:
		name = "?AddVirtualProcessorRoots@SchedulerProxy@details@Concurrency@@QEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z"
		size = 238
		refs = "0036 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00ea ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 56 57 41 54 41 55 41 56 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 68 48 89 6C 24 70 41 8B E8 4C 8B EA 48 8B F1 48 8D 59 40 48 89 5C 24 60 48 8B CB E8 ?? ?? ?? ?? 90 85 ED 74 7B 4D 8B E5 44 8B F5 49 8B 3C 24 48 8B 07 48 8B CF FF 10 48 8D 57 08 8B C8 48 6B C9 38 48 8B 46 20 44 8B 47 4C 4D 6B C0 38 4C 8B 4C 01 30 4B 8B 44 01 10 48 85 C0 75 0A 48 89 52 58 48 89 52 50 EB 27 48 8B 40 58 48 89 42 58 4B 8B 44 01 10 48 89 42 50 4B 8B 44 01 10 48 8B 48 58 48 89 51 50 4B 8B 44 01 10 48 89 50 58 4B 89 54 01 10 43 FF 44 01 08 49 83 C4 08 49 FF CE 75 8B 48 8B 4E 10 48 8B 01 44 8B C5 49 8B D5 FF 50 18 01 AE CC 00 00 00 48 8B CB 48 8B 5C 24 68 48 8B 6C 24 70 48 83 C4 30 41 5E 41 5D 41 5C 5F 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_87_0 {
	meta:
		name = "?AddExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 172
		refs = "002c ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00a8 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B F2 48 8B F9 48 8D 59 40 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 06 48 8B CE FF 10 44 8B C0 4D 6B C0 38 48 8B 47 20 8B 56 44 48 6B D2 38 4D 8B 4C 00 30 49 8B 44 11 10 48 85 C0 75 0A 48 89 76 58 48 89 76 50 EB 27 48 8B 40 58 48 89 46 58 49 8B 44 11 10 48 89 46 50 49 8B 44 11 10 48 8B 48 58 48 89 71 50 49 8B 44 11 10 48 89 70 58 49 89 74 11 10 41 FF 44 11 08 48 8B CB 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_89_0 {
	meta:
		name = "?AddCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I_N@Z"
		size = 245
		refs = "0067 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 0090 ??_U@YAPEAX_K@Z 00c8 ?AddVirtualProcessorRoots@SchedulerProxy@details@Concurrency@@QEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z 00da ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 55 41 56 48 83 EC 20 8B 81 D4 00 00 00 8B 99 C0 00 00 00 45 8B F0 48 8B EA 48 8B F9 85 C0 74 0A FF C8 89 81 D4 00 00 00 EB 02 FF CB FF 42 0C FF 81 D0 00 00 00 49 8B C6 48 6B C0 38 48 03 42 30 C7 00 01 00 00 00 89 58 24 01 99 E0 00 00 00 45 84 C9 74 08 45 8B C6 E8 ?? ?? ?? ?? 83 FB 01 75 07 48 8D 74 24 50 EB 20 8B CB B8 08 00 00 00 48 F7 E1 48 C7 C1 FF FF FF FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 85 DB 74 23 4C 8B E6 44 8B EB 4C 8B 0F 45 8B C6 48 8B D5 48 8B CF 41 FF 51 30 49 89 04 24 49 83 C4 08 49 FF CD 75 E3 44 8B C3 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 3B F3 74 08 48 8B CE E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 20 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_595_90_0 {
	meta:
		name = "?RemoveCore@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z"
		size = 219
		refs = "0058 ?ToggleBorrowedState@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerNode@23@I@Z 006d ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00d7 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B F9 83 C8 FF 01 42 0C 01 81 D0 00 00 00 41 8B F0 48 6B F6 38 48 03 72 30 83 26 00 8B 81 C0 00 00 00 39 46 24 75 06 FF 81 D4 00 00 00 8B 46 24 29 81 E0 00 00 00 83 66 24 00 80 7E 31 00 74 05 E8 ?? ?? ?? ?? C6 46 30 00 48 8D 5F 40 48 89 5C 24 58 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 46 10 48 85 C0 74 04 48 8B 40 58 48 85 C0 74 43 48 3B 46 10 74 06 48 8B 68 58 EB 02 33 ED 48 8B 48 30 48 85 C9 74 24 80 79 68 00 75 1E C6 41 68 01 48 89 4C 24 50 48 8B 4F 10 48 8B 01 41 B8 01 00 00 00 48 8D 54 24 50 FF 50 20 48 8B C5 48 85 ED 75 BD 48 8B CB 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_92_0 {
	meta:
		name = "?SendCoreNotification@SchedulerProxy@details@Concurrency@@QEAAXPEAUSchedulerCore@23@_N@Z"
		size = 250
		refs = "0036 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0059 ??_U@YAPEAX_K@Z 00ca ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00dc ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 45 8A E8 48 8B EA 4C 8B E1 48 8D 59 40 48 89 58 08 48 8B CB E8 ?? ?? ?? ?? 90 33 F6 83 7D 08 08 7E 1F 48 63 4D 08 8D 46 08 48 F7 E1 48 8D 4E FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 EB 05 48 8D 7C 24 30 48 8B 45 10 48 85 C0 74 04 48 8B 40 58 48 85 C0 74 31 4C 8B C7 48 3B 45 10 74 06 48 8B 50 58 EB 02 33 D2 48 8B 48 30 48 85 C9 74 0F 80 79 68 00 75 09 49 89 08 FF C6 49 83 C0 08 48 8B C2 48 85 D2 75 D2 49 8B 4C 24 10 44 8B C6 48 8B D7 48 8B 01 45 84 ED 74 05 FF 50 30 EB 04 FF 50 28 90 48 8B CB E8 ?? ?? ?? ?? 4C 8D 5C 24 30 49 3B FB 74 08 48 8B CF E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 28 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_595_94_0 {
	meta:
		name = "?DestroyVirtualProcessorRoot@SchedulerProxy@details@Concurrency@@QEAAXPEAVVirtualProcessorRoot@23@@Z"
		size = 187
		refs = "002c ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 009e ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B FA 48 8B F1 48 8D 59 40 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 07 48 8B CF FF 10 44 8B D8 4D 6B DB 38 4C 03 5E 20 48 8D 57 08 4C 63 47 4C 4D 6B C0 38 4D 8B 4B 30 43 FF 4C 08 08 48 8B 4A 58 48 8B 42 50 48 89 41 50 48 8B 4A 50 48 8B 42 58 48 89 41 58 4B 8B 44 08 10 48 3B D0 75 13 48 3B 40 58 75 04 33 C0 EB 04 48 8B 40 50 4B 89 44 08 10 80 7F 69 00 75 06 FF 8E CC 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 1F 48 8B CF 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F 49 FF 63 48 }
	condition:
		$1
}

rule file_595_96_0 {
	meta:
		name = "?DestroyExecutionResource@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z"
		size = 240
		refs = "0084 ?_Acquire@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00c0 ?_Release@_ReentrantBlockingLock@details@Concurrency@@QEAAXXZ 00c7 ??_7ExecutionResource@details@Concurrency@@6B@ 00ec ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B 02 4C 8B E1 48 8B CA 48 8B FA FF 10 8B 77 44 44 8B D8 33 ED 48 6B F6 38 4D 6B DB 38 4D 03 5C 24 20 49 03 73 30 8B 46 2C 03 46 24 75 36 41 FF 4B 0C 89 2E 41 FF 8C 24 D0 00 00 00 48 8B 07 8B 5F 44 48 8B CF FF 10 49 8B 4C 24 18 48 8B 51 50 44 8B C0 48 8D 0C 5B 4D 6B C0 38 49 8B 44 10 28 FF 4C C8 08 49 8D 4C 24 40 E8 ?? ?? ?? ?? FF 4E 08 48 8B 4F 58 48 8B 47 50 48 89 41 50 48 8B 47 58 48 8B 4F 50 48 89 41 58 48 8B 46 10 48 3B F8 75 0E 48 3B 40 58 74 04 48 8B 68 50 48 89 6E 10 49 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B CF 4C 89 1F 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_97_0 {
	meta:
		name = "?Cleanup@SchedulerProxy@details@Concurrency@@IEAAXXZ"
		size = 202
		refs = "0074 ?ResetSubscriptionLevel@VirtualProcessorRoot@details@Concurrency@@QEAAXXZ 00c6 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 E4 48 8B F1 44 39 A1 F0 00 00 00 76 7A 33 ED 4C 8B 76 20 45 33 FF 45 39 7C 2E 08 76 5A 45 33 ED 49 8B 44 2E 30 4A 8B 7C 28 10 48 85 FF 74 06 48 8B 7F 58 EB 2F EB 2D 49 8B 44 2E 30 48 8B DF 4A 3B 7C 28 10 74 06 48 8B 7F 58 EB 02 33 FF 48 8B 5B 30 48 8B CB E8 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 41 FF 53 48 48 85 FF 75 CE 41 FF C7 49 83 C5 38 45 3B 7C 2E 08 72 A9 41 FF C4 48 83 C5 38 44 3B A6 F0 00 00 00 72 88 48 8B 4E 68 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_98_0 {
	meta:
		name = "?DeleteThis@SchedulerProxy@details@Concurrency@@MEAAXXZ"
		size = 32
		refs = "000e ??1SchedulerProxy@details@Concurrency@@IEAA@XZ 0016 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 85 C9 74 1A 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_595_99_0 {
	meta:
		name = "?GrantAllocation@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAUSchedulerNode@23@II_N@Z"
		size = 707
		refs = "0040 ??_U@YAPEAX_K@Z 0196 ?GetCurrentNodeAndCore@ResourceManager@details@Concurrency@@QEAAIPEAI@Z 01a8 ?CreateExternalThreadResource@SchedulerProxy@details@Concurrency@@QEAAPEAVExecutionResource@23@PEAUSchedulerNode@23@I@Z 02a3 ?AddVirtualProcessorRoots@SchedulerProxy@details@Concurrency@@QEAAXPEAPEAUIVirtualProcessorRoot@3@I@Z 02ab ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 48 48 89 51 20 41 8B D0 48 8B D9 44 89 81 F0 00 00 00 44 89 89 D0 00 00 00 B8 04 00 00 00 48 C7 C5 FF FF FF FF 48 F7 E2 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 33 C9 48 89 43 28 39 8B F0 00 00 00 76 17 33 D2 48 8B 43 28 89 0C 02 FF C1 48 83 C2 04 3B 8B F0 00 00 00 72 EB 40 8A B4 24 B0 00 00 00 8B BB D0 00 00 00 C6 84 24 A0 00 00 00 00 40 84 F6 74 12 3B BB B4 00 00 00 76 0A C6 84 24 A0 00 00 00 01 FF CF 8B 93 D4 00 00 00 3B FA 77 09 0F AF BB C0 00 00 00 EB 13 8B 8B C0 00 00 00 2B FA 8D 41 FF 0F AF CA 0F AF F8 03 F9 45 33 E4 8B CF 89 BC 24 98 00 00 00 41 8D 44 24 08 89 BB E0 00 00 00 4C 89 64 24 38 48 F7 E1 48 0F 40 C5 48 8B C8 E8 ?? ?? ?? ?? 33 D2 45 33 ED 40 84 F6 48 8B E8 48 89 44 24 20 41 0F 94 C0 48 21 54 24 28 33 F6 89 94 24 A8 00 00 00 89 B4 24 90 00 00 00 44 88 84 24 B0 00 00 00 39 93 D0 00 00 00 0F 86 71 01 00 00 40 8A BC 24 A0 00 00 00 33 C9 48 89 4C 24 30 3B B3 F0 00 00 00 0F 83 4A 01 00 00 48 8B 43 20 4C 8D 3C 01 41 83 7F 0C 00 0F 86 18 01 00 00 45 33 F6 44 3B AB D0 00 00 00 0F 83 08 01 00 00 45 33 E4 45 3B 77 08 0F 83 F6 00 00 00 49 8B 6F 30 41 83 3C 2C 01 0F 85 BF 00 00 00 41 FF C5 45 84 C0 75 47 44 3B AB D0 00 00 00 74 0F 48 8B 4B 18 33 D2 E8 ?? ?? ?? ?? 3B C6 75 28 45 8B C6 49 8B D7 48 8B CB E8 ?? ?? ?? ?? C6 84 24 B0 00 00 00 01 48 89 44 24 38 40 84 FF 74 08 FF 83 E8 00 00 00 EB 77 8B 94 24 A8 00 00 00 8B 83 D4 00 00 00 8B B3 C0 00 00 00 85 C0 74 0A FF C8 89 83 D4 00 00 00 EB 02 FF CE 41 01 74 2C 24 85 F6 74 44 48 8B 6C 24 20 48 8B 7C 24 28 03 D6 89 94 24 A8 00 00 00 48 8B 03 45 8B C6 49 8B D7 48 8B CB FF 50 30 48 89 44 FD 00 48 FF C7 FF CE 75 E5 8B B4 24 90 00 00 00 48 89 7C 24 28 40 8A BC 24 A0 00 00 00 EB 0C 8B B4 24 90 00 00 00 48 8B 6C 24 20 8B 94 24 A8 00 00 00 44 8A 84 24 B0 00 00 00 41 FF C6 49 83 C4 38 44 3B AB D0 00 00 00 0F 82 00 FF FF FF 48 8B 4C 24 30 FF C6 48 83 C1 38 89 B4 24 90 00 00 00 48 89 4C 24 30 44 3B AB D0 00 00 00 0F 82 AA FE FF FF 8B BC 24 98 00 00 00 4C 8B 64 24 38 85 FF 74 0E 44 8B C7 48 8B D5 48 8B CB E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 49 8B C4 48 83 C4 48 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_595_100_0 {
	meta:
		name = "?FinalShutdown@SchedulerProxy@details@Concurrency@@UEAAXXZ"
		size = 29
		refs = "000a ?Cleanup@SchedulerProxy@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 48 83 C4 20 5B 49 FF 63 48 }
	condition:
		$1
}

rule file_596_0_0 {
	meta:
		name = "lldiv"
		size = 19
	strings:
		$1 = { 48 8B C2 48 99 49 F7 F8 48 89 01 48 89 51 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_597_0_0 {
	meta:
		name = "strstr"
		size = 87
	strings:
		$1 = { 80 3A 00 4C 8B CA 4C 8B C1 75 04 48 8B C1 C3 8A 01 84 C0 74 3B 4C 8B DA 49 F7 DB 49 8B D1 84 C0 74 1F 4F 8D 14 03 80 3A 00 74 28 41 0F BE 0C 12 0F BE 02 3B C8 75 0A 48 FF C2 41 80 3C 12 00 75 E5 80 3A 00 74 0D 49 FF C0 41 8A 00 84 C0 75 CB 33 C0 C3 49 8B C0 C3 }
	condition:
		$1
}

rule file_598_0_0 {
	meta:
		name = "evaluate"
		size = 134
		refs = "0075 _invalid_parameter_noinfo 007d __real@bff0000000000000"
	strings:
		$1 = { 48 83 EC 28 4C 8B D2 66 0F 28 D0 45 85 C0 7E 64 48 63 4C 24 50 85 C9 7E 5B 49 63 C0 F2 0F 59 04 C2 41 8D 40 FF 48 63 D0 85 C0 7E 12 F2 41 0F 58 04 D2 48 FF CA F2 0F 59 C2 48 85 D2 7F EE F2 41 0F 58 02 8D 41 FF 66 0F 28 CA F2 41 0F 59 0C C9 48 63 C8 85 C0 7E 12 F2 41 0F 58 0C C9 48 FF C9 F2 0F 59 CA 48 85 C9 7F EE F2 41 0F 58 09 F2 0F 5E C1 EB 0D E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_598_1_0 {
	meta:
		name = "_j0"
		size = 584
		refs = "003a __mask@@NegDouble@ 0042 __real@401e000000000000 0051 J0p 0083 J0q 00ce __real@4020000000000000 00d5 P0p 0120 P0q 0154 Q0p 0194 Q0q 01c9 __real@3fe921fb54442d18 01db cos 01ed sin 01f6 __real@400921fb54442d18 020c __real@4000000000000000 0216 sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 66 0F 57 C9 0F 29 70 E8 0F 29 78 D8 66 0F 2F C8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 66 44 0F 28 C0 44 0F 29 58 98 76 09 66 44 0F 57 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? 66 41 0F 2F C8 72 7C F2 0F 10 05 ?? ?? ?? ?? F2 45 0F 59 C0 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 00 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 41 0F 59 C0 48 3B C1 7F E7 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 D0 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 41 0F 59 D0 48 3B C1 7F E7 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 CA F2 0F 5E C1 E9 55 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E D8 66 41 0F 28 CB F2 41 0F 59 CB 66 44 0F 28 C9 F2 44 0F 59 0D ?? ?? ?? ?? F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 44 0F 58 0D ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C8 F2 44 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 D1 48 3B C1 7F E6 F2 44 0F 58 15 ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 28 F0 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E D0 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 C6 F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 05 ?? ?? ?? ?? F2 45 0F 59 D3 F2 41 0F 59 C2 F2 0F 5C F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C0 E8 ?? ?? ?? ?? F2 0F 59 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_598_2_0 {
	meta:
		name = "_j1"
		size = 628
		refs = "0040 __mask@@NegDouble@ 004b __real@401e000000000000 005e J1p 0093 J1q 00ed __real@4020000000000000 00f4 P1p 013f P1q 0173 Q1p 01b3 Q1q 01e8 __real@4002d97c7f3321d2 01fa cos 020c sin 0215 __real@400921fb54442d18 022b __real@4000000000000000 0235 sqrt"
	strings:
		$1 = { 48 8B C4 53 48 81 EC 80 00 00 00 66 0F 57 C9 0F 29 70 E8 0F 29 78 D8 66 0F 2F C8 BB 01 00 00 00 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 66 44 0F 28 C0 44 0F 29 58 98 76 0C 66 44 0F 57 05 ?? ?? ?? ?? 83 CB FF F2 0F 10 0D ?? ?? ?? ?? 66 41 0F 2F C8 0F 82 8E 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 66 41 0F 28 C0 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 59 C8 F2 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 C8 48 3B C1 7F E8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 D0 F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D0 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C2 F2 0F 5E C8 66 0F 6E C3 F3 0F E6 C0 F2 41 0F 59 C0 F2 0F 59 C1 E9 61 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E D8 66 41 0F 28 CB F2 41 0F 59 CB 66 44 0F 28 C9 F2 44 0F 59 0D ?? ?? ?? ?? F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 44 0F 58 0D ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C8 F2 44 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 D1 48 3B C1 7F E6 F2 44 0F 58 15 ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 28 F0 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E D0 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 C6 F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 05 ?? ?? ?? ?? F2 45 0F 59 D3 F2 41 0F 59 C2 F2 0F 5C F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C0 E8 ?? ?? ?? ?? 66 0F 6E CB F3 0F E6 C9 F2 0F 59 C1 F2 0F 59 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 80 00 00 00 5B C3 }
	condition:
		$1
}

rule file_598_3_0 {
	meta:
		name = "_jn"
		size = 404
		refs = "0024 __mask@@NegDouble@ 0033 _j0 0046 _j1 0074 fabs 00a7 __real@4000000000000000 0116 __real@3ff0000000000000"
	strings:
		$1 = { 40 53 48 83 EC 50 0F 29 74 24 40 0F 29 7C 24 30 8B D9 66 0F 28 F9 44 0F 29 44 24 20 85 C9 79 0A 66 0F 57 3D ?? ?? ?? ?? F7 DB 85 DB 75 0E 66 0F 28 C7 E8 ?? ?? ?? ?? E9 42 01 00 00 83 FB 01 75 0E 66 0F 28 C7 E8 ?? ?? ?? ?? E9 2F 01 00 00 66 45 0F 57 C0 66 41 0F 2E F8 7A 0C 75 0A 66 41 0F 28 C0 E9 17 01 00 00 66 0F 6E F3 66 0F 28 C7 F3 0F E6 F6 E8 ?? ?? ?? ?? 03 DB 66 0F 2F C6 76 67 66 0F 28 C7 E8 ?? ?? ?? ?? 66 0F 28 F0 66 0F 28 C7 E8 ?? ?? ?? ?? B8 04 00 00 00 66 0F 28 D0 66 0F 28 E8 F2 0F 59 15 ?? ?? ?? ?? F2 0F 5E D7 F2 0F 5C D6 3B D8 74 27 66 0F 6E C0 66 0F 28 CD 66 0F 28 EA 83 C0 02 F3 0F E6 C0 F2 0F 59 C2 66 0F 28 D0 F2 0F 5E D7 F2 0F 5C D1 3B C3 75 D9 66 0F 28 C2 E9 97 00 00 00 66 0F 28 CF 8D 43 24 F2 0F 59 CF EB 1A 66 0F 6E C0 83 E8 02 F3 0F E6 C0 F2 41 0F 5C C0 66 44 0F 28 C1 F2 44 0F 5E C0 3B C3 7F E2 F2 0F 10 15 ?? ?? ?? ?? 66 0F 6E C3 83 C3 FE 66 0F 6E F3 F3 0F E6 C0 F2 41 0F 5C C0 66 44 0F 28 C7 F3 0F E6 F6 F2 44 0F 5E C0 F2 0F 5E F7 F2 41 0F 5C F0 EB 20 66 0F 28 CA 66 0F 28 D6 66 0F 6E C3 F3 0F E6 C0 F2 0F 59 C6 66 0F 28 F0 F2 0F 5E F7 F2 0F 5C F1 83 EB 02 75 DB 66 0F 28 C7 E8 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 5E C6 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_598_4_0 {
	meta:
		name = "domain_err"
		size = 82
		refs = "0025 _ctrlfp 003e _except1"
	strings:
		$1 = { 40 53 48 83 EC 50 8B D9 0F 29 74 24 40 BA C0 FF 00 00 B9 80 1F 00 00 0F 29 7C 24 30 66 0F 28 F2 66 0F 28 F9 E8 ?? ?? ?? ?? 8B D3 66 0F 28 DE 66 0F 28 D7 B9 08 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 0F 28 74 24 40 0F 28 7C 24 30 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_598_5_0 {
	meta:
		name = "_y0"
		size = 647
		refs = "0039 _d_ind 0047 domain_err 0054 __real@401e000000000000 0067 Y0p 009c Y0q 00e1 _j0 00f2 __real@3fe45f306dc9c883 00f7 log 010d __real@4020000000000000 0114 P0p 015f P0q 0193 Q0p 01d3 Q0q 0208 __real@3fe921fb54442d18 021a cos 0231 sin 023a __real@400921fb54442d18 024b __real@4000000000000000 0255 sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 66 0F 57 C9 0F 29 70 E8 0F 29 78 D8 66 0F 2F C8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 66 44 0F 28 D0 44 0F 29 58 98 76 1B F2 0F 10 15 ?? ?? ?? ?? 66 0F 28 C8 B9 22 00 00 00 E8 ?? ?? ?? ?? E9 0D 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 0F 82 A5 00 00 00 F2 0F 10 3D ?? ?? ?? ?? 66 41 0F 28 C2 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C2 F2 0F 59 F8 F2 0F 58 38 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 F8 48 3B C1 7F E8 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 C8 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 5E F8 66 41 0F 28 C2 E8 ?? ?? ?? ?? 66 0F 28 F0 66 41 0F 28 C2 F2 0F 59 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 59 C6 F2 0F 58 C7 E9 55 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E DA 66 41 0F 28 CB F2 41 0F 59 CB 66 44 0F 28 C1 F2 44 0F 59 05 ?? ?? ?? ?? F2 44 0F 58 00 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C1 48 3B C1 7F E6 F2 44 0F 58 05 ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 28 C9 48 8D 05 ?? ?? ?? ?? F2 44 0F 59 0D ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C0 F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 44 0F 58 0D ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 28 F2 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C8 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 C6 F2 45 0F 59 CB F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_598_6_0 {
	meta:
		name = "_y1"
		size = 673
		refs = "0039 _d_ind 0047 domain_err 0054 __real@401e000000000000 0067 Y1p 009c Y1q 00e1 _j1 00ef log 00f7 __real@3ff0000000000000 0111 __real@3fe45f306dc9c883 0127 __real@4020000000000000 012e P1p 0179 P1q 01ad Q1p 01ed Q1q 0222 __real@4002d97c7f3321d2 0234 cos 024b sin 0254 __real@400921fb54442d18 0265 __real@4000000000000000 026f sqrt"
	strings:
		$1 = { 48 8B C4 48 81 EC 88 00 00 00 66 0F 57 C9 0F 29 70 E8 0F 29 78 D8 66 0F 2F C8 44 0F 29 40 C8 44 0F 29 48 B8 44 0F 29 50 A8 66 44 0F 28 D0 44 0F 29 58 98 76 1B F2 0F 10 15 ?? ?? ?? ?? 66 0F 28 C8 B9 23 00 00 00 E8 ?? ?? ?? ?? E9 27 02 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 2F C2 0F 82 BF 00 00 00 F2 0F 10 3D ?? ?? ?? ?? 66 41 0F 28 C2 48 8D 05 ?? ?? ?? ?? F2 41 0F 59 C2 F2 0F 59 F8 F2 0F 58 38 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 F8 48 3B C1 7F E8 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 3D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 0F 59 C8 F2 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 C8 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 58 C1 F2 0F 5E F8 66 41 0F 28 C2 E8 ?? ?? ?? ?? 66 0F 28 F0 66 41 0F 28 C2 E8 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 F0 F2 41 0F 5E CA F2 41 0F 59 FA F2 0F 5C F1 F2 0F 59 35 ?? ?? ?? ?? F2 0F 58 F7 66 0F 28 C6 E9 55 01 00 00 F2 44 0F 10 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F2 45 0F 5E DA 66 41 0F 28 CB F2 41 0F 59 CB 66 44 0F 28 C1 F2 44 0F 59 05 ?? ?? ?? ?? F2 44 0F 58 00 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C1 48 3B C1 7F E6 F2 44 0F 58 05 ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 44 0F 28 C9 48 8D 05 ?? ?? ?? ?? F2 44 0F 59 0D ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C0 F2 44 0F 58 08 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 44 0F 59 C9 48 3B C1 7F E6 F2 44 0F 58 0D ?? ?? ?? ?? 66 0F 28 D1 48 8D 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 10 48 8D 0D ?? ?? ?? ?? 48 83 E8 08 F2 0F 59 D1 48 3B C1 7F E8 F2 0F 10 05 ?? ?? ?? ?? 66 41 0F 28 F2 F2 0F 5C 35 ?? ?? ?? ?? F2 0F 58 C2 F2 44 0F 5E C8 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 C6 F2 45 0F 59 CB F2 41 0F 59 F9 E8 ?? ?? ?? ?? F2 44 0F 59 15 ?? ?? ?? ?? F2 41 0F 59 C0 F2 0F 58 F8 F2 0F 10 05 ?? ?? ?? ?? F2 41 0F 5E C2 E8 ?? ?? ?? ?? F2 0F 59 C7 0F 28 74 24 70 0F 28 7C 24 60 44 0F 28 44 24 50 44 0F 28 4C 24 40 44 0F 28 54 24 30 44 0F 28 5C 24 20 48 81 C4 88 00 00 00 C3 }
	condition:
		$1
}

rule file_598_7_0 {
	meta:
		name = "_yn"
		size = 228
		refs = "0028 _d_ind 0032 domain_err 0058 _y0 006c _y1 0088 __real@4000000000000000"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 66 0F 57 C0 0F 29 74 24 30 8B D9 66 0F 2F C1 0F 29 7C 24 20 66 0F 28 F1 76 17 F2 0F 10 15 ?? ?? ?? ?? B9 24 00 00 00 E8 ?? ?? ?? ?? E9 94 00 00 00 BF 01 00 00 00 85 C9 79 0B F7 DB 8D 47 FE 40 84 DF 0F 45 F8 66 0F 28 C1 85 DB 75 0F E8 ?? ?? ?? ?? 66 0F 6E CF F3 0F E6 C9 EB 65 83 FB 01 75 07 E8 ?? ?? ?? ?? EB EA E8 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 5E D6 3B D8 7E 24 66 0F 6E C8 FF C0 F3 0F E6 C9 F2 0F 59 CA F2 0F 59 C8 F2 0F 5C CF 66 0F 28 F8 66 0F 28 C1 3B C3 7C DE EB 06 F2 0F 10 4C 24 58 66 0F 6E C7 F3 0F E6 C0 F2 0F 59 C1 48 8B 5C 24 50 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_599_0_0 {
	meta:
		name = "_CRT_INIT"
		size = 338
		refs = "0013 _heap_init 0023 _mtinit 002c _heap_term 0033 _RTC_Initialize 0039 __imp_GetCommandLineA 0040 _acmdln 0045 __crtGetEnvironmentStringsA 004c _aenvptr 0051 _ioinit 005a _mtterm 0061 _setargv 006a _setenvp 0075 _cinit 007f __proc_attached 0089 _ioterm 00ab _C_Termination_Done 00b2 _cexit 00d2 __flsindex 00e6 __set_flsgetvalue 00f5 _calloc_crt 0110 __imp_FlsSetValue 011e _initptd 0124 __imp_GetCurrentThreadId 0132 free 0143 _freeptd"
	strings:
		$1 = { 4C 89 44 24 18 53 48 83 EC 20 49 8B D8 83 FA 01 75 7D E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 2A 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB E9 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 07 E8 ?? ?? ?? ?? EB CB E8 ?? ?? ?? ?? 85 C0 78 1F E8 ?? ?? ?? ?? 85 C0 78 16 33 C9 E8 ?? ?? ?? ?? 85 C0 75 0B FF 05 ?? ?? ?? ?? E9 BF 00 00 00 E8 ?? ?? ?? ?? EB CA 85 D2 75 4D 8B 05 ?? ?? ?? ?? 85 C0 0F 8E 7A FF FF FF FF C8 89 05 ?? ?? ?? ?? 39 15 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 48 85 DB 75 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 85 DB 75 77 83 3D ?? ?? ?? ?? FF 74 6E E8 ?? ?? ?? ?? EB 67 83 FA 02 75 56 E8 ?? ?? ?? ?? BA C8 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 16 FF FF FF 48 8B D0 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B CB 85 C0 74 16 33 D2 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 03 48 83 4B 08 FF EB 16 E8 ?? ?? ?? ?? E9 E0 FE FF FF 83 FA 03 75 07 33 C9 E8 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_599_1_0 {
	meta:
		name = "_CRT_INIT$fin$0"
		size = 38
		refs = "0012 __flsindex 001a _mtterm"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 83 7D 40 00 75 0F 83 3D ?? ?? ?? ?? FF 74 06 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_599_2_0 {
	meta:
		name = "__DllMainCRTStartup"
		size = 283
		refs = "0028 __proc_attached 0042 _pRawDllMain 005f _CRT_INIT 007b DllMain"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 83 EC 30 49 8B F0 8B DA 4C 8B E1 B8 01 00 00 00 85 D2 75 0F 39 15 ?? ?? ?? ?? 75 07 33 C0 E9 D0 00 00 00 83 FA 01 74 05 83 FA 02 75 33 4C 8B 0D ?? ?? ?? ?? 4D 85 C9 74 07 41 FF D1 89 44 24 20 85 C0 74 15 4C 8B C6 8B D3 49 8B CC E8 ?? ?? ?? ?? 89 44 24 20 85 C0 75 07 33 C0 E9 93 00 00 00 4C 8B C6 8B D3 49 8B CC E8 ?? ?? ?? ?? 8B F8 89 44 24 20 83 FB 01 75 35 85 C0 75 31 4C 8B C6 33 D2 49 8B CC E8 ?? ?? ?? ?? 4C 8B C6 33 D2 49 8B CC E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 4D 85 DB 74 0B 4C 8B C6 33 D2 49 8B CC 41 FF D3 85 DB 74 05 83 FB 03 75 37 4C 8B C6 8B D3 49 8B CC E8 ?? ?? ?? ?? F7 D8 1B C9 23 CF 8B F9 89 4C 24 20 74 1C 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 10 4C 8B C6 8B D3 49 8B CC FF D0 8B F8 89 44 24 20 8B C7 EB 02 33 C0 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_599_4_0 {
	meta:
		name = "_DllMainCRTStartup"
		size = 61
		refs = "001d __security_init_cookie 0039 __DllMainCRTStartup"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 8B DA 48 8B F1 83 FA 01 75 05 E8 ?? ?? ?? ?? 4C 8B C7 8B D3 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_600_5_0 {
	meta:
		name = "__wstrgtold12_l"
		size = 2427
		refs = "001f __security_cookie 0064 _errno 006f _invalid_parameter_noinfo 056e __mtold12 05a7 _pow10pos 05bc _pow10neg 095c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 8B 6D 7F 33 DB 44 89 4D 8F 44 8D 4B 01 48 89 4D A7 48 89 55 97 4C 8D 55 DF 66 89 5D 93 8B FB 44 89 4D 8B 44 8B F3 89 5D 87 44 8B FB 8B F3 44 8B E3 8B CB 4D 85 ED 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 DA 08 00 00 B8 09 00 00 00 4D 8B D8 8D 50 01 66 41 83 38 20 74 13 66 41 39 00 74 0D 66 41 39 10 74 07 66 41 83 38 0D 75 06 49 83 C0 02 EB E0 B8 30 00 00 00 41 0F B7 10 49 83 C0 02 83 F9 05 0F 8F EA 02 00 00 0F 84 C1 02 00 00 44 8B C9 85 C9 0F 84 45 02 00 00 41 FF C9 0F 84 A2 01 00 00 41 FF C9 0F 84 36 01 00 00 41 FF C9 0F 84 97 00 00 00 41 FF C9 0F 85 F0 03 00 00 41 B9 01 00 00 00 45 8B F1 44 89 4D 87 41 8D 41 2F 85 FF 75 35 EB 0B 41 0F B7 10 45 2B E1 49 83 C0 02 66 3B D0 74 F0 EB 21 66 83 FA 39 77 20 83 FF 19 73 0E 2A D0 41 03 F9 41 88 12 4D 03 D1 45 2B E1 41 0F B7 10 49 83 C0 02 66 3B D0 73 DA 0F B7 C2 83 F8 2B 74 29 83 F8 2D 74 24 83 F8 43 0F 8E 9C 03 00 00 83 F8 45 7E 0C 83 C0 9C 41 3B C1 0F 87 8B 03 00 00 B9 06 00 00 00 E9 35 FF FF FF 49 83 E8 02 B9 0B 00 00 00 E9 27 FF FF FF B8 01 00 00 00 44 8B F0 8D 48 2F EB 22 66 83 FA 39 77 21 83 FF 19 73 0C 2A D1 03 F8 41 88 12 4C 03 D0 EB 03 44 03 E0 41 0F B7 10 49 83 C0 02 66 3B D1 73 D9 49 8B 45 00 44 0F B7 CA 48 8B 88 28 01 00 00 48 8B 01 0F BE 08 44 3B C9 75 0D B9 04 00 00 00 4D 8B CE E9 CC FE FF FF 41 83 F9 2B 74 2A 41 83 F9 2D 74 24 41 83 F9 43 0F 8E FF 02 00 00 41 83 F9 45 7E 0C 41 8D 41 9C 4D 8B CE E9 5C FF FF FF 4D 8B CE E9 5D FF FF FF 49 83 E8 02 B9 0B 00 00 00 EB BD 8D 42 CF B9 08 00 00 00 66 3B C1 77 19 B9 03 00 00 00 49 83 E8 02 B8 30 00 00 00 41 B9 01 00 00 00 E9 70 FE FF FF 49 8B 45 00 44 0F B7 CA 48 8B 88 28 01 00 00 48 8B 01 0F BE 08 44 3B C9 75 07 B9 05 00 00 00 EB CF B8 30 00 00 00 44 3B C8 0F 85 F1 01 00 00 41 B9 01 00 00 00 41 8B C9 E9 33 FE FF FF 41 B9 01 00 00 00 8D 42 CF 41 8D 49 07 45 8B F1 66 3B C1 77 0D 41 8D 49 02 49 83 E8 02 E9 0C FE FF FF 49 8B 45 00 44 0F B7 CA 48 8B 88 28 01 00 00 48 8B 01 0F BE 08 44 3B C9 0F 84 15 FF FF FF 41 83 F9 2B 0F 84 48 FF FF FF 41 83 F9 2D 0F 84 3E FF FF FF B8 30 00 00 00 44 3B C8 74 34 41 83 F9 43 0F 8E 0F 02 00 00 41 83 F9 45 7E 1F 41 8D 41 9C 4D 8B CE 41 3B C1 0F 87 FC 01 00 00 B8 30 00 00 00 B9 06 00 00 00 E9 A6 FD FF FF 4D 8B CE EB F1 4D 8B CE E9 5E FF FF FF 8D 42 CF B9 08 00 00 00 66 3B C1 0F 86 FF FE FF FF 49 8B 45 00 44 0F B7 CA 48 8B 88 28 01 00 00 48 8B 01 0F BE 08 44 3B C9 0F 84 14 FF FF FF 41 83 F9 2B 74 2E 41 83 F9 2D 74 17 B8 30 00 00 00 44 3B C8 0F 84 0F FF FF FF 49 83 E8 02 E9 FA 00 00 00 B9 02 00 00 00 C7 45 93 00 80 00 00 E9 B6 FE FF FF B9 02 00 00 00 66 89 5D 93 E9 A8 FE FF FF 66 2B D0 B9 09 00 00 00 44 89 4D 87 66 3B D1 0F 87 63 01 00 00 B9 04 00 00 00 49 83 E8 02 E9 05 FD FF FF 44 8B C9 41 83 E9 06 0F 84 F5 00 00 00 41 FF C9 74 7E 41 FF C9 74 41 41 FF C9 0F 84 3D 01 00 00 41 83 F9 02 0F 85 11 01 00 00 39 5D 77 74 86 0F B7 C2 4D 8D 58 FE 83 F8 2B 74 13 83 F8 2D 75 75 83 4D 8B FF B9 07 00 00 00 E9 37 FE FF FF B9 07 00 00 00 E9 2D FE FF FF 41 B9 01 00 00 00 45 8B F9 41 8D 41 2F EB 08 41 0F B7 10 49 83 C0 02 66 3B D0 74 F3 66 83 EA 31 B9 08 00 00 00 66 3B D1 0F 87 C6 00 00 00 B9 09 00 00 00 E9 67 FF FF FF 8D 42 CF B9 08 00 00 00 66 3B C1 77 0A B9 09 00 00 00 E9 DA FD FF FF B8 30 00 00 00 66 3B D0 0F 84 D5 FD FF FF 4D 8B C3 41 B9 01 00 00 00 48 8B 45 97 4C 89 00 45 85 F6 0F 84 B7 04 00 00 83 FF 18 76 18 8A 45 F6 3C 05 7C 06 41 02 C1 88 45 F6 4D 2B D1 BF 18 00 00 00 45 03 E1 85 FF 0F 85 C3 00 00 00 0F B7 D3 0F B7 C3 8B FB 8B CB E9 92 04 00 00 8D 42 CF 41 B9 08 00 00 00 4D 8D 58 FC 66 41 3B C1 76 88 0F B7 C2 83 F8 2B 74 19 83 F8 2D 0F 84 1A FF FF FF 41 8D 49 28 3B C1 75 87 41 8B C9 E9 4F FD FF FF B9 07 00 00 00 83 F9 0A 0F 84 74 FF FF FF E9 3C FD FF FF 4D 8B CE 49 83 E8 02 E9 69 FF FF FF 4D 8B C3 E9 61 FF FF FF 41 B9 01 00 00 00 45 8B F9 45 8D 59 2F EB 20 66 83 FA 39 77 37 8D 0C B6 0F B7 C2 8D 74 48 D0 81 FE 50 14 00 00 7F 10 41 0F B7 10 49 83 C0 02 66 41 3B D3 73 DA EB 15 BE 51 14 00 00 EB 0E 66 83 FA 39 77 AB 41 0F B7 10 49 83 C0 02 66 41 3B D3 73 EC EB 9B FF CF 45 03 E1 4D 2B D1 41 38 1A 74 F3 4C 8D 45 BF 48 8D 4D DF 8B D7 E8 ?? ?? ?? ?? 39 5D 8B 7D 02 F7 DE 41 03 F4 45 85 FF 75 03 03 75 67 39 5D 87 75 03 2B 75 6F 81 FE 50 14 00 00 0F 8F 7C 03 00 00 81 FE B0 EB FF FF 0F 8C 60 03 00 00 4C 8D 2D ?? ?? ?? ?? 49 83 ED 60 85 F6 0F 84 3B 03 00 00 79 0D 4C 8D 2D ?? ?? ?? ?? F7 DE 49 83 ED 60 39 5D 8F 75 04 66 89 5D BF 85 F6 0F 84 1B 03 00 00 BF 00 00 00 80 41 B9 FF 7F 00 00 41 BB 01 00 00 00 8B C6 49 83 C5 54 C1 FE 03 83 E0 07 89 75 8F 4C 89 6D 9F 0F 84 E9 02 00 00 48 98 41 BF 00 80 00 00 48 8D 0C 40 49 8D 54 8D 00 66 44 39 3A 72 1B 48 8B 0A 8B 42 08 48 8D 55 CF 48 89 4D CF 48 C1 E9 10 89 45 D7 41 2B CB 89 4D D1 0F B7 42 0A 0F B7 4D C9 48 89 5D AF 44 0F B7 F0 66 41 23 C1 89 5D B7 66 44 33 F1 66 41 23 C9 66 45 23 F7 44 8D 04 01 66 44 89 75 8B 66 41 3B C9 0F 83 6D 02 00 00 66 41 3B C1 0F 83 63 02 00 00 41 BA FD BF 00 00 66 45 3B C2 0F 87 53 02 00 00 41 BA BF 3F 00 00 66 45 3B C2 77 0C 48 89 5D C3 89 5D BF E9 4F 02 00 00 66 85 C9 75 20 66 45 03 C3 F7 45 C7 FF FF FF 7F 75 13 39 5D C3 75 0E 39 5D BF 75 09 66 89 5D C9 E9 2A 02 00 00 66 85 C0 75 16 66 45 03 C3 F7 42 08 FF FF FF 7F 75 09 39 5A 04 75 04 39 1A 74 B4 41 BA 05 00 00 00 44 8B E3 48 8D 4D B3 45 8D 72 FC 43 8D 04 24 44 89 55 87 4C 63 C8 45 85 D2 7E 55 45 8B EC 4E 8D 7C 0D BF 48 8D 7A 08 45 23 EE 41 0F B7 07 44 0F B7 0F 44 8B DB 44 0F AF C8 8B 41 FC 42 8D 34 08 3B F0 72 05 41 3B F1 73 03 45 8B DE 89 71 FC 45 85 DB 74 04 66 44 01 31 44 8B 5D 87 49 83 C7 02 48 83 EF 02 45 2B DE 44 89 5D 87 45 85 DB 7F BA 45 2B D6 48 83 C1 02 45 03 E6 45 85 D2 7F 8C 44 8B 55 B7 44 8B 4D AF B8 02 C0 00 00 66 44 03 C0 BF 00 00 00 80 41 BC FF FF 00 00 66 45 85 C0 7E 3F 44 85 D7 75 34 44 8B 5D B3 41 8B D1 45 03 D2 C1 EA 1F 45 03 C9 41 8B CB C1 E9 1F 43 8D 04 1B 66 45 03 C4 0B C2 44 0B D1 44 89 4D AF 89 45 B3 44 89 55 B7 66 45 85 C0 7F C7 66 45 85 C0 7F 6A 66 45 03 C4 79 64 41 0F B7 C0 8B FB 66 F7 D8 0F B7 D0 66 44 03 C2 44 84 75 AF 74 03 41 03 FE 44 8B 5D B3 41 8B C2 41 D1 E9 41 8B CB C1 E0 1F 41 D1 EB C1 E1 1F 44 0B D8 41 D1 EA 44 0B C9 49 2B D6 44 89 5D B3 44 89 4D AF 75 CB 85 FF 44 89 55 B7 BF 00 00 00 80 74 12 41 0F B7 C1 66 41 0B C6 66 89 45 AF 44 8B 4D AF EB 04 0F B7 45 AF 4C 8B 6D 9F 44 0F B7 75 8B 41 BF 00 80 00 00 66 41 3B C7 77 10 41 81 E1 FF FF 01 00 41 81 F9 00 80 01 00 75 50 8B 45 B1 83 C9 FF 41 BB 01 00 00 00 3B C1 75 38 8B 45 B5 89 5D B1 3B C1 75 22 0F B7 45 B9 89 5D B5 66 41 3B C4 75 0B 66 44 89 7D B9 66 45 03 C3 EB 10 66 41 03 C3 66 89 45 B9 EB 06 41 03 C3 89 45 B5 44 8B 55 B7 EB 0E 41 03 C3 89 45 B1 EB 06 41 BB 01 00 00 00 8B 75 8F 41 B9 FF 7F 00 00 66 45 3B C1 73 1D 0F B7 45 B1 66 45 0B C6 44 89 55 C5 66 89 45 BF 8B 45 B3 66 44 89 45 C9 89 45 C1 EB 14 66 41 F7 DE 48 89 5D BF 1B C0 23 C7 05 00 80 FF 7F 89 45 C7 85 F6 0F 85 F6 FC FF FF 8B 45 C7 0F B7 55 BF 8B 4D C1 8B 7D C5 C1 E8 10 EB 35 8B D3 0F B7 C3 8B FB 8B CB BB 01 00 00 00 EB 25 8B CB 0F B7 D3 B8 FF 7F 00 00 BB 02 00 00 00 BF 00 00 00 80 EB 0F 0F B7 D3 0F B7 C3 8B FB 8B CB BB 04 00 00 00 4C 8B 45 A7 66 0B 45 93 66 41 89 40 0A 8B C3 66 41 89 10 41 89 48 02 41 89 78 06 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_601_0_0 {
	meta:
		name = "__isnanf"
		size = 30
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0E F7 C1 FF FF 7F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_601_2_0 {
	meta:
		name = "fp32_is_qnan"
		size = 28
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0C 0F BA E1 16 73 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_601_3_0 {
	meta:
		name = "fp32_is_snan"
		size = 36
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 14 0F BA E1 16 72 0E F7 C1 FF FF 3F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_601_4_0 {
	meta:
		name = "fp32_is_inf"
		size = 30
	strings:
		$1 = { BA 00 00 80 7F 8B C1 23 C2 3B C2 75 0E F7 C1 FF FF 7F 00 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_601_5_0 {
	meta:
		name = "fp32_is_zero"
		size = 25
	strings:
		$1 = { F7 C1 00 00 80 7F 75 0E F7 C1 FF FF 7F 00 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_601_6_0 {
	meta:
		name = "fp32_is_denormal"
		size = 25
	strings:
		$1 = { F7 C1 00 00 80 7F 75 0E F7 C1 FF FF 7F 00 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_601_7_0 {
	meta:
		name = "RoundFloatToIntegral"
		size = 463
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 8B C2 45 33 C9 49 8B F8 C1 E8 17 8B D9 44 0F B6 D8 B8 FF 00 00 00 44 3B D8 75 06 0F BA E2 16 72 23 41 BC FF FF 7F 00 45 85 DB 75 05 41 85 D4 74 13 44 3B D8 75 05 41 85 D4 74 09 41 81 FB 96 00 00 00 72 0A 45 89 08 8B C2 E9 51 01 00 00 45 85 DB 75 09 41 85 D4 0F 85 B2 00 00 00 41 83 FB 7F 0F 82 A8 00 00 00 41 83 C3 81 41 8B C1 B9 17 00 00 00 41 2B CB 8B F2 41 BD 00 00 80 00 41 23 F4 41 0B F5 8B EE D3 ED 44 8B C5 41 D3 E0 41 8D 4B 09 D3 E6 D3 EE B9 16 00 00 00 85 F6 44 8D 51 EB 0F 95 C0 89 07 41 8B C2 44 3B D9 74 05 41 2B CB D3 E0 8D 3C 00 B9 00 00 00 80 85 DB 75 0B 3B F0 72 31 75 1D 41 84 EA EB 16 41 3B DA 75 06 85 D1 74 21 EB 09 83 FB 02 75 1A 85 D1 75 16 85 F6 74 12 44 03 C7 41 81 F8 00 00 00 01 75 06 45 03 DA 45 8B C5 45 23 C4 41 8D 43 7F 23 D1 C1 E0 17 25 00 00 80 7F 41 0B C0 0B C2 E9 91 00 00 00 41 BA 01 00 00 00 85 C9 75 37 B9 00 00 00 80 85 D1 74 1B 41 83 FB 7E 75 0D 41 85 D4 74 08 41 B9 00 00 80 BF EB 65 41 B9 00 00 00 80 EB 5D 41 83 FB 7E 75 57 41 85 D4 74 52 41 B9 00 00 80 3F EB 4A 41 3B CA 75 16 B9 00 00 00 80 41 B9 00 00 80 BF 23 D1 F7 DA 1B C0 44 23 C8 EB 2F 83 F9 02 B9 00 00 00 80 75 16 23 D1 41 B9 00 00 80 3F F7 DA 1B C0 25 00 00 80 40 44 03 C8 EB 0F 23 D1 41 B9 00 00 00 80 F7 DA 1B C9 44 23 C9 45 89 10 41 8B C1 48 8B 5C 24 18 48 8B 6C 24 20 48 8B 74 24 28 48 8B 7C 24 30 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_601_8_0 {
	meta:
		name = "XMMI_FP_Emulation"
		size = 4497
		refs = "0020 __read_mxcsr 0030 __write_mxcsr 00f6 __int_sqrtss 014c __Fill_FPIEEE_RECORD 027d __int_divss 0290 __int_mulss 029c __int_subss 02a8 __int_addss 090c __int_maxss 091a __int_minss 09df __int_ucomiss 09eb __int_comiss 0a93 __int_cmpss 0c21 __int_cvtsi2ss 0c30 __int64_cvtsi2ss 0d55 fp32_is_snan 0e0d RoundFloatToIntegral 0f23 __int_cvttss2si 0f2a __int64_cvttss2si 0f45 __int_cvtss2si 0f53 __int64_cvtss2si"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 FF 48 8B F9 44 89 7C 24 70 E8 ?? ?? ?? ?? BE 80 1F 00 00 8B CE 89 44 24 60 E8 ?? ?? ?? ?? 4C 8B 47 20 BD FF 0F 00 00 41 8B 10 44 89 7C 24 68 33 57 10 83 E2 03 41 31 10 48 8B 4F 20 8B 47 14 C1 E0 02 33 01 83 E0 1C 31 01 48 8B 4F 20 8B 01 C1 E8 05 23 C5 83 F8 3E 0F 87 59 0C 00 00 83 F8 3D 0F 83 3F 0B 00 00 83 F8 38 0F 87 09 09 00 00 83 F8 35 0F 83 10 08 00 00 83 F8 2B 0F 82 E3 10 00 00 83 F8 32 0F 86 22 01 00 00 83 F8 34 0F 87 D1 10 00 00 44 39 7F 0C 8B 4F 10 8D 46 40 0F 45 F0 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 4C 8B 5F 20 41 81 23 BF 00 FE FF 41 8B 4B 10 41 81 0B A0 00 00 00 E8 ?? ?? ?? ?? 44 8B F0 E8 ?? ?? ?? ?? BE 01 00 00 00 8B D8 83 E3 3F 44 8B EB 44 23 EE 74 09 40 84 37 0F 84 AD 01 00 00 8B C3 BD 02 00 00 00 23 C5 74 03 09 6F 04 85 C0 74 09 40 84 2F 0F 84 2F 0A 00 00 41 BC 20 00 00 00 41 23 DC 74 3C 44 84 27 75 37 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 09 73 0C 48 8B 47 20 44 09 67 04 09 70 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 70 50 E9 6F 01 00 00 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 0B 48 8B 47 20 09 70 0C 44 09 67 04 45 85 ED 74 0B 48 8B 47 20 83 48 0C 10 89 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 70 50 E9 F1 09 00 00 8B 01 8B 59 10 44 8B 69 30 C1 E8 05 41 BC 20 00 00 00 23 C5 83 F8 2B 72 3F 83 F8 2C 76 31 83 F8 2E 76 21 83 F8 30 76 11 83 F8 32 77 2B 81 21 9F 00 FE FF 0F BA 29 07 EB 1F 81 21 7F 00 FE FF 83 09 60 EB 14 81 21 5F 00 FE FF 83 09 40 EB 09 81 21 3F 00 FE FF 44 09 21 44 39 7F 08 B8 80 9F 00 00 0F 45 F0 44 39 7F 0C 74 03 83 CE 40 8B 4F 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8B 03 C1 E8 05 23 C5 FF C8 74 37 FF C8 74 27 FF C8 74 17 FF C8 75 0C 41 8B D5 8B CB E8 ?? ?? ?? ?? EB 29 44 8B 7C 24 60 EB 25 41 8B D5 8B CB E8 ?? ?? ?? ?? EB 16 41 8B D5 8B CB E8 ?? ?? ?? ?? EB 0A 41 8B D5 8B CB E8 ?? ?? ?? ?? 44 8B F8 E8 ?? ?? ?? ?? BE 01 00 00 00 44 8B F0 41 83 E6 3F 40 84 37 75 39 44 84 F6 74 34 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 83 4B 0C 10 48 8B 47 20 09 77 04 83 48 04 10 48 8B 47 20 83 60 60 FE 8B 4C 24 60 E8 ?? ?? ?? ?? 8B C6 E9 7E 0E 00 00 BD 02 00 00 00 40 84 2F 75 12 44 84 F5 74 0D 48 8B CF E8 ?? ?? ?? ?? 09 6F 04 EB CC F6 07 04 75 25 41 F6 C6 04 74 1F 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 83 4B 0C 08 48 8B 47 20 83 4F 04 04 83 48 04 08 EB A2 41 8B C6 41 8B CF BA 00 00 80 00 C1 E8 04 23 C6 81 E1 FF FF FF 7F 74 04 3B CA 72 10 3B CA 75 04 3B C6 74 08 85 C9 75 08 3B C6 75 04 8B C6 EB 04 8B 44 24 68 F6 07 10 0F 85 57 02 00 00 85 C0 0F 84 4F 02 00 00 E8 ?? ?? ?? ?? 0F BA E0 0F 73 04 0F BA F0 0F 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8B 03 C1 E8 05 25 FF 0F 00 00 FF C8 0F 84 42 01 00 00 FF C8 0F 84 B5 00 00 00 FF C8 74 53 FF C8 0F 85 B1 01 00 00 B9 00 00 80 7F 41 BE 00 00 80 6F 85 D9 8B CB 41 8B D6 75 13 E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 15 E8 ?? ?? ?? ?? 41 8B D6 41 8B CD 8B D8 E8 ?? ?? ?? ?? 44 8B E8 41 8B D5 8B CB E8 ?? ?? ?? ?? E9 63 01 00 00 B9 00 00 80 7F 41 BE 00 00 80 6F 41 8B D6 85 D9 75 15 8B CB E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 28 44 85 E9 75 0C 41 8B CD E8 ?? ?? ?? ?? 8B C8 EB 0C 8B CB E8 ?? ?? ?? ?? 41 8B CD 8B D8 41 8B D6 E8 ?? ?? ?? ?? 44 8B E8 41 8B D5 8B CB E8 ?? ?? ?? ?? E9 05 01 00 00 8B C3 41 BE 00 00 80 6F C1 E8 17 44 0F B6 F8 84 C0 75 19 41 8B D6 8B CB E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 44 8B F8 EB 14 41 81 C7 C0 00 00 00 81 E3 FF FF 7F 80 41 C1 E7 17 44 0B FB 41 8B C5 C1 E8 17 0F B6 C0 85 C0 75 17 41 8B D6 41 8B CD E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? EB 12 05 C0 00 00 00 41 81 E5 FF FF 7F 80 C1 E0 17 41 0B C5 8B D0 41 8B CF E8 ?? ?? ?? ?? E9 80 00 00 00 8B C3 41 BE 00 00 80 6F C1 E8 17 44 0F B6 F8 84 C0 75 19 41 8B D6 8B CB E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 44 8B F8 EB 14 41 81 C7 C0 00 00 00 81 E3 FF FF 7F 80 41 C1 E7 17 44 0B FB 41 8B C5 C1 E8 17 0F B6 C0 85 C0 75 17 41 8B D6 41 8B CD E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? EB 12 05 C0 00 00 00 41 81 E5 FF FF 7F 80 C1 E0 17 41 0B C5 8B D0 41 8B CF E8 ?? ?? ?? ?? 44 8B F8 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 3F 45 84 DC 74 0B 48 8B 4F 20 09 71 0C 44 09 67 04 48 8B 4F 20 09 69 0C 48 8B 47 20 83 4F 04 10 09 68 04 44 84 DD 74 03 09 6F 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 78 50 E9 16 FD FF FF F6 07 08 0F 85 EA 01 00 00 41 F6 C6 08 0F 84 E0 01 00 00 E8 ?? ?? ?? ?? 83 E0 C0 8B C8 E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8B 03 C1 E8 05 25 FF 0F 00 00 FF C8 0F 84 FC 00 00 00 FF C8 74 78 FF C8 74 49 FF C8 0F 85 6D 01 00 00 B9 00 00 80 7F 41 BE 00 00 80 6F 41 8B D6 44 85 E9 75 0C 41 8B CD E8 ?? ?? ?? ?? 8B C8 EB 0C 8B CB E8 ?? ?? ?? ?? 41 8B CD 8B D8 41 8B D6 E8 ?? ?? ?? ?? 8B CB 8B D0 E8 ?? ?? ?? ?? E9 29 01 00 00 41 BE 00 00 80 6F 8B CB 41 8B D6 E8 ?? ?? ?? ?? 41 8B D6 41 8B CD 8B D8 E8 ?? ?? ?? ?? 8B CB 8B D0 E8 ?? ?? ?? ?? E9 FE 00 00 00 41 8B C5 B9 00 00 80 7F 41 BF 00 00 80 80 C1 E8 17 41 BE 00 00 80 6F 0F B6 C0 89 44 24 68 8B C3 23 C1 3D 00 00 80 60 72 18 41 8B D6 8B CB E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 07 41 23 DF 0F BA EB 17 81 7C 24 68 C1 00 00 00 72 1A 41 8B D6 41 8B CD E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 44 8B E8 EB 08 45 23 EF 41 0F BA ED 17 41 8B D5 8B CB E8 ?? ?? ?? ?? EB 7E 41 8B C5 B9 00 00 80 7F 41 BF 00 00 80 80 C1 E8 17 41 BE 00 00 80 6F 0F B6 C0 89 44 24 68 8B C3 23 C1 3D 00 00 80 60 72 18 41 8B D6 8B CB E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 8B D8 EB 07 41 23 DF 0F BA EB 17 81 7C 24 68 C1 00 00 00 72 1A 41 8B D6 41 8B CD E8 ?? ?? ?? ?? 41 8B D6 8B C8 E8 ?? ?? ?? ?? 44 8B E8 EB 08 45 23 EF 41 0F BA ED 17 41 8B D5 8B CB E8 ?? ?? ?? ?? 44 8B F8 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 3F 45 84 DC 74 0B 48 8B 4F 20 09 71 0C 44 09 67 04 48 8B 4F 20 83 49 0C 04 48 8B 47 20 83 4F 04 08 83 48 04 04 E9 E9 FD FF FF 44 84 27 75 4B 45 84 F4 74 46 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 09 73 0C 44 09 67 04 48 8B 47 20 09 70 04 41 F6 C6 10 74 0B 48 8B 47 20 09 68 0C 83 4F 04 10 41 F6 C6 08 74 0C 48 8B 47 20 83 48 0C 04 83 4F 04 08 44 84 F5 E9 9C FD FF FF 48 8B CF E8 ?? ?? ?? ?? 45 84 F4 74 0B 48 8B 47 20 09 70 0C 44 09 67 04 41 F6 C6 10 74 0B 48 8B 47 20 09 68 0C 83 4F 04 10 41 F6 C6 08 74 0C 48 8B 47 20 83 48 0C 04 83 4F 04 08 41 F6 C6 04 74 0C 48 8B 47 20 83 48 0C 08 83 4F 04 04 44 84 F5 74 03 09 6F 04 44 84 F6 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 33 F6 44 89 78 50 E9 50 FA FF FF 44 39 7F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8B 03 41 8B 4B 10 41 8B 53 30 C1 E8 05 23 C5 83 F8 35 72 28 83 F8 36 76 15 83 F8 38 77 1E 41 81 23 1F 05 FE FF 41 81 0B 00 05 00 00 EB 0E 41 81 23 3F 05 FE FF 41 81 0B 20 05 00 00 48 8B 47 20 44 8B 00 41 C1 E8 05 44 23 C5 41 83 E8 28 74 13 41 FF C8 75 07 E8 ?? ?? ?? ?? EB 0C 44 8B 64 24 60 EB 08 E8 ?? ?? ?? ?? 44 8B E0 E8 ?? ?? ?? ?? BE 01 00 00 00 8B D8 83 E3 3F 44 8B EB 44 23 EE 74 09 40 84 37 0F 84 89 F9 FF FF BD 02 00 00 00 23 DD 74 09 40 84 2F 0F 84 11 02 00 00 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 03 09 6F 04 45 85 ED 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 60 50 E9 25 02 00 00 83 F8 39 0F 82 E3 07 00 00 83 F8 3A 0F 86 59 01 00 00 83 F8 3C 0F 87 D1 07 00 00 44 39 7F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8B 03 45 8B 63 10 41 8B 5B 30 C1 E8 05 23 C5 83 E8 3B 74 10 FF C8 75 16 8B D3 41 8B CC E8 ?? ?? ?? ?? EB 0A 8B D3 41 8B CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 57 20 BE 01 00 00 00 8B 0A 44 8B E8 41 83 E5 3F 81 E1 FF 00 FE FF 81 C9 E0 00 00 00 41 8B ED 23 EE 89 0A 74 09 40 84 37 0F 84 A6 F8 FF FF B9 00 00 80 7F 41 8B C4 BA FF FF 7F 00 23 C1 3B C1 75 05 44 85 E2 75 0C 8B C3 23 C1 3B C1 75 33 85 DA 74 2F 81 67 1C 6F F7 FF FF 83 4F 1C 45 48 8B CF E8 ?? ?? ?? ?? 85 ED 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 83 60 60 FE E9 3C 01 00 00 BD 02 00 00 00 44 23 ED 74 09 40 84 2F 0F 84 DA 00 00 00 44 8B C6 41 8B D4 8B CB E8 ?? ?? ?? ?? 41 83 CE FF 41 3B C6 75 07 81 67 1C 2A F7 FF FF 44 8B C6 8B D3 41 8B CC E8 ?? ?? ?? ?? 41 3B C6 75 0A 81 67 1C 2B F7 FF FF 09 77 1C 45 33 C0 8B D3 41 8B CC E8 ?? ?? ?? ?? 41 3B C6 75 0B 81 67 1C 6A F7 FF FF 83 4F 1C 40 48 8B CF E8 ?? ?? ?? ?? 45 85 ED 0F 84 79 FF FF FF 09 6F 04 E9 71 FF FF FF 44 39 7F 0C B8 C0 1F 00 00 0F 45 F0 8B CE E8 ?? ?? ?? ?? 4C 8B 5F 20 44 8B 47 18 41 8B 53 30 41 81 23 FF 00 FE FF 41 8B 4B 10 41 81 0B E0 00 00 00 41 83 E0 07 E8 ?? ?? ?? ?? 44 8B E8 E8 ?? ?? ?? ?? BE 01 00 00 00 8B D8 83 E3 3F 44 8B E3 44 23 E6 74 09 40 84 37 0F 84 74 F7 FF FF BD 02 00 00 00 23 DD 74 1E 40 84 2F 75 19 09 6F 04 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 83 63 60 FE E9 71 F7 FF FF 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 03 09 6F 04 45 85 E4 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 44 89 68 50 41 8B F7 E9 33 F7 FF FF 8B 41 20 D1 E8 83 E0 0F 83 F8 05 75 22 8B 69 10 48 8B 5C 24 60 8B 4F 10 85 C9 74 2E FF C9 74 25 FF C9 74 1A FF C9 75 22 BE 80 7F 00 00 EB 1B 8B 6C 24 60 83 F8 06 75 D8 48 8B 59 10 EB D7 BE 80 5F 00 00 EB 05 BE 80 3F 00 00 8B CE E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8B 43 20 D1 E8 83 E0 0F 83 F8 05 75 09 8B CD E8 ?? ?? ?? ?? EB 0D 83 F8 06 75 0F 48 8B CB E8 ?? ?? ?? ?? 48 8B 4F 20 89 41 50 E8 ?? ?? ?? ?? 48 8B 57 20 41 BC 20 00 00 00 8B 0A 8B D8 81 E1 1F 01 FE FF 83 E3 3F 0F BA E9 08 89 0A 44 84 27 75 39 41 84 DC 74 34 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8D 74 24 E1 41 09 73 0C 48 8B 47 20 44 09 67 04 09 70 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 E9 53 F6 FF FF 48 8B CF E8 ?? ?? ?? ?? BE 01 00 00 00 41 84 DC 74 0B 48 8B 47 20 09 70 0C 44 09 67 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 E9 E7 FE FF FF 83 F8 3F 0F 84 47 03 00 00 83 F8 40 0F 84 A8 01 00 00 83 F8 41 0F 84 35 03 00 00 83 F8 42 0F 84 96 01 00 00 83 C0 BA BE 01 00 00 00 3B C6 0F 87 7A 04 00 00 81 21 3F 01 FE FF 81 09 20 01 00 00 48 8B 47 20 8B 58 10 BD 00 00 40 00 8B C3 C1 E8 17 44 0F B6 C0 41 81 F8 FF 00 00 00 75 28 85 DD 74 24 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 09 73 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 61 FE FF FF 8B CB E8 ?? ?? ?? ?? 85 C0 74 30 48 8B CF 40 84 37 0F 84 64 F5 FF FF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 83 4B 0C 10 48 8B 47 20 09 77 04 09 70 60 48 8B 47 20 83 60 60 E1 0B DD EB B9 45 85 C0 75 2F BA FF FF 7F 00 85 DA 74 26 44 39 7F 0C 74 20 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 09 73 60 48 8B 47 20 83 60 60 E1 81 E3 00 00 00 80 EB 85 44 8B 67 18 41 83 E4 0F 41 F6 C4 04 75 08 41 8B EC 83 E5 03 EB 2C 8B 4F 10 85 C9 74 22 FF C9 74 1A FF C9 74 0F FF C9 75 05 8D 69 03 EB 14 8B 6C 24 60 EB 0E BD 02 00 00 00 EB 07 8B EE EB 03 41 8B EF 4C 8D 44 24 70 8B D3 8B CD E8 ?? ?? ?? ?? 8B D8 41 F6 C4 08 0F 85 11 FF FF FF 44 39 7C 24 70 0F 84 06 FF FF FF 41 BC 20 00 00 00 48 8B CF 44 84 27 75 33 E8 ?? ?? ?? ?? 4C 8B 5F 20 41 09 73 0C 48 8B 47 20 44 09 67 04 09 70 04 48 8B 47 20 09 70 60 48 8B 47 20 83 60 60 E1 48 8B 47 20 89 58 50 E9 85 F4 FF FF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 09 73 0C 48 8B 47 20 44 09 67 04 09 70 60 E9 B8 FE FF FF 8B 01 8B 59 10 C1 E8 05 23 C5 83 F8 40 74 13 83 F8 42 75 18 81 21 5F 05 FE FF 81 09 40 05 00 00 EB 0A 81 21 1F 01 FE FF 0F BA 29 08 44 39 7F 0C B8 C0 1F 00 00 0F 45 F0 48 8B 47 20 8B 08 C1 E9 05 23 CD 83 F9 08 74 05 83 F9 2A EB 11 8B 4F 10 85 C9 74 1E FF C9 74 16 FF C9 74 0C FF C9 75 12 81 CE 00 60 00 00 EB 0A 0F BA EE 0E EB 04 0F BA EE 0D 8B CE E8 ?? ?? ?? ?? 4C 8B 5F 20 41 8B 03 C1 E8 05 23 C5 83 F8 08 74 27 83 F8 2A 75 1B 41 8B 43 60 8B CB 83 E0 1E 3C 0A 75 07 E8 ?? ?? ?? ?? EB 20 E8 ?? ?? ?? ?? EB 27 48 8B 5C 24 60 EB 23 41 8B 43 60 8B CB 83 E0 1E 3C 0A 75 0E E8 ?? ?? ?? ?? 48 8B 5C 24 60 8B E8 EB 0C E8 ?? ?? ?? ?? 48 8B D8 8B 6C 24 60 E8 ?? ?? ?? ?? BE 01 00 00 00 44 8B E8 41 83 E5 3F 40 84 37 75 09 44 84 EE 0F 85 4D F3 FF FF 41 BC 20 00 00 00 44 84 27 75 46 45 84 EC 74 41 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5F 20 41 09 73 0C 44 09 67 04 48 8B 47 20 09 70 04 48 8B 47 20 09 70 60 48 8B 4F 20 8B 41 60 83 E0 1E 3C 0A 75 08 89 69 50 E9 29 F3 FF FF 48 89 59 50 E9 20 F3 FF FF 48 8B CF E8 ?? ?? ?? ?? 45 84 EC 74 0B 48 8B 47 20 09 70 0C 44 09 67 04 44 84 EE 74 0B 48 8B 47 20 83 48 0C 10 09 77 04 48 8B 47 20 09 70 60 48 8B 4F }
	condition:
		$1
}

rule file_604_0_0 {
	meta:
		name = "_strset"
		size = 17
	strings:
		$1 = { 48 8B C1 EB 05 88 11 48 FF C1 80 39 00 75 F6 F3 C3 }
	condition:
		$1
}

rule file_605_3_0 {
	meta:
		name = "_mbsncpy_s_l"
		size = 576
		refs = "005e _errno 006a _invalid_parameter_noinfo 0097 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b4 strncpy_s 00f8 _ismbblead_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 45 33 FF 4D 8B E9 49 8B F8 4C 8B E2 48 8B D9 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 20 33 C0 EB 2F 48 85 C9 74 17 48 85 D2 74 12 4D 85 C9 75 05 44 88 39 EB E8 4D 85 C0 75 34 44 88 39 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 48 8B 55 50 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 5D E8 33 D2 41 39 53 08 75 24 4D 8B CD 4C 8B C7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 44 38 7D F8 74 B2 48 8B 4D F0 83 A1 C8 00 00 00 FD EB A5 48 8B F3 4D 8B F4 49 83 FD FF 75 19 48 8B CB 48 2B CF 8A 07 88 04 39 48 FF C7 84 C0 74 6D 49 FF CE 75 EF EB 66 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 33 D2 85 C0 74 23 38 57 01 74 3D 49 83 FE 02 76 32 8A 07 48 83 C7 02 88 06 8A 47 FF 48 83 C6 02 88 46 FF 49 83 EE 02 EB 13 8A 07 48 FF C7 88 06 48 FF C6 84 C0 74 1C 49 FF CE 74 17 49 FF CD 74 12 EB B1 4C 8B F2 EB 0B 88 16 41 BF 01 00 00 00 48 FF C6 4D 85 ED 75 02 88 16 4D 85 F6 0F 85 9D 00 00 00 49 83 FD FF 75 6A 45 85 FF 74 0D E8 ?? ?? ?? ?? 33 D2 C7 00 2A 00 00 00 49 83 FC 01 76 4B 4A 8D 74 23 FE 48 8B FE 48 3B F3 72 1A 0F B6 0F 48 8D 55 E0 E8 ?? ?? ?? ?? 33 D2 85 C0 74 08 48 FF CF 48 3B FB 73 E6 8B C6 2B C7 A8 01 74 1C 88 16 38 55 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 50 00 00 00 E9 A8 FE FF FF 42 88 54 23 FF EB DF 88 13 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7D F8 00 0F 84 82 FE FF FF 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 72 FE FF FF 45 85 FF 74 26 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD B8 2A 00 00 00 E9 49 FE FF FF 38 55 F8 0F 84 0D FE FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 FD FD FF FF }
	condition:
		$1
}

rule file_606_4_0 {
	meta:
		name = "??0WorkItem@details@Concurrency@@QEAA@PEAVRealizedChore@12@PEAVScheduleGroupBase@12@@Z"
		size = 18
	strings:
		$1 = { C7 01 02 00 00 00 4C 89 41 08 48 89 51 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_606_5_0 {
	meta:
		name = "??0WorkItem@details@Concurrency@@QEAA@PEAV_UnrealizedChore@12@PEAVScheduleGroupBase@12@@Z"
		size = 18
	strings:
		$1 = { C7 01 04 00 00 00 4C 89 41 08 48 89 51 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_606_9_0 {
	meta:
		name = "?LocalBiasStage@WorkSearchContext@details@Concurrency@@AEAAHXZ"
		size = 34
	strings:
		$1 = { 83 79 20 65 73 03 33 C0 C3 83 79 20 7F 73 06 B8 01 00 00 00 C3 81 79 20 97 00 00 00 1B C0 83 C0 03 C3 }
	condition:
		$1
}

rule file_606_10_0 {
	meta:
		name = "?DropRingBias@WorkSearchContext@details@Concurrency@@AEAA_NXZ"
		size = 25
	strings:
		$1 = { 81 79 24 33 01 00 00 0F 97 C0 84 C0 74 0A 80 79 39 00 75 04 C6 41 38 01 C3 }
	condition:
		$1
}

rule file_606_11_0 {
	meta:
		name = "?PerformOneTimeLRCScan@WorkSearchContext@details@Concurrency@@AEAA_NXZ"
		size = 18
	strings:
		$1 = { 80 79 38 00 74 09 66 C7 41 38 00 01 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_606_15_0 {
	meta:
		name = "?GetNextSchedulingNode@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@PEAHH@Z"
		size = 98
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 44 8B 59 38 41 8B F8 45 33 C0 83 FF FF 4C 8B D2 48 8B D9 41 0F 95 C0 45 33 C9 44 03 02 45 85 DB 7E 24 43 8D 04 01 99 41 F7 FB 3B D7 74 18 48 8B 43 28 48 63 CA 48 8B 04 C8 48 85 C0 75 15 41 FF C1 45 3B CB 7C DC 33 C0 48 8B 5C 24 08 48 8B 7C 24 10 C3 41 89 12 EB F0 }
	condition:
		$1
}

rule file_606_20_0 {
	meta:
		name = "??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
		size = 53
		refs = "001b ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 C7 01 01 00 00 00 48 8D 4A 10 48 8B DA E8 ?? ?? ?? ?? 48 89 5F 10 48 8B 5C 24 30 48 89 47 08 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_606_21_0 {
	meta:
		name = "?Bind@WorkItem@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 67
		refs = "0024 ?GetInternalContext@ScheduleGroupBase@details@Concurrency@@IEAAPEAVInternalContextBase@23@PEAU_Chore@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 02 48 8B D9 74 0A 83 39 04 75 20 41 B0 01 EB 03 45 33 C0 48 8B 51 10 48 8B 49 08 E8 ?? ?? ?? ?? 48 89 43 10 80 88 FF 00 00 00 01 C7 03 01 00 00 00 48 8B 43 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_606_22_0 {
	meta:
		name = "?Invoke@WorkItem@details@Concurrency@@QEAAXXZ"
		size = 70
		refs = "0028 ?Invoke@RealizedChore@details@Concurrency@@QEAAXXZ 003c ?ReleaseRealizedChore@SchedulerBase@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 02 48 8B D9 74 15 83 39 04 75 2D 48 8B 41 10 48 8B C8 48 83 C4 20 5B 48 FF 60 18 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 53 10 48 8B 89 A8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_606_23_0 {
	meta:
		name = "?TransferReferences@WorkItem@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 116
		refs = "0015 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 0053 ?RemoveScheduleGroup@SchedulingRing@details@Concurrency@@AEAAXPEAVScheduleGroupBase@23@@Z 0065 ?SwapScheduleGroup@InternalContextBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 8D 4A 10 48 8B FA E8 ?? ?? ?? ?? 83 3B 02 48 8B 53 08 4C 8B D8 75 34 48 3B C2 74 05 45 33 C0 EB 32 F6 80 BC 00 00 00 04 75 31 83 C8 FF F0 41 0F C1 83 B4 00 00 00 FF C8 75 21 49 8B 8B A0 00 00 00 49 8B D3 E8 ?? ?? ?? ?? EB 10 48 3B C2 74 0B 41 B0 01 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_606_24_0 {
	meta:
		name = "?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z"
		size = 67
		refs = "0021 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 49 10 48 8B DA 48 8B 01 FF 50 10 48 85 C0 74 25 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8B 08 48 89 0B 48 8B 48 08 48 89 4B 08 48 8B 40 10 48 89 43 10 B0 01 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_606_25_0 {
	meta:
		name = "?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@@Z"
		size = 66
		refs = "0020 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 49 8B 00 49 8B C8 48 8B DA FF 50 30 48 85 C0 74 25 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 8B 08 48 89 0B 48 8B 48 08 48 89 4B 08 48 8B 40 10 48 89 43 10 B0 01 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_606_35_0 {
	meta:
		name = "?GetFirstSchedulingNode@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingNode@23@PEAH@Z"
		size = 64
	strings:
		$1 = { 83 22 00 44 8B 49 38 45 33 C0 4C 8B D2 4C 8B D9 45 85 C9 7E 24 41 8B C0 99 41 F7 F9 83 FA FF 74 18 49 8B 43 28 48 63 CA 48 8B 04 C8 48 85 C0 75 0B 41 FF C0 45 3B C1 7C DC 33 C0 C3 41 89 12 C3 }
	condition:
		$1
}

rule file_606_36_0 {
	meta:
		name = "?SetPseudoRRScheduleGroupNext@SchedulingRing@details@Concurrency@@QEAAXH@Z"
		size = 21
	strings:
		$1 = { 44 8B 81 90 00 00 00 8D 42 01 99 41 F7 F8 89 91 A0 00 00 00 C3 }
	condition:
		$1
}

rule file_606_41_0 {
	meta:
		name = "?GetPseudoRRScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAH@Z"
		size = 17
		refs = "000d ?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z"
	strings:
		$1 = { 8B 81 A0 00 00 00 41 83 C8 FF 89 02 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_606_42_0 {
	meta:
		name = "?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z"
		size = 128
		refs = "002a ?GetNextVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAHH@Z 003d ?Steal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 0054 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 83 64 24 20 00 49 8B F0 49 8B D9 41 83 C8 FF 48 8B FA 48 8D 54 24 20 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 74 3D 48 3B C3 74 0E 48 8D 48 10 E8 ?? ?? ?? ?? 48 85 C0 75 05 45 33 C0 EB D6 48 8D 4C 24 28 48 8B D0 E8 ?? ?? ?? ?? 48 8B 08 48 89 0F 48 8B 48 08 48 89 4F 08 48 8B 40 10 48 89 47 10 B0 01 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_606_43_0 {
	meta:
		name = "?StealForeignLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@@Z"
		size = 211
		refs = "006f ?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4C 8B 59 18 33 FF 45 33 C9 45 8B 53 38 49 8B E8 4C 8B E2 48 8B F1 45 85 D2 7E 24 41 8B C1 99 41 F7 FA 83 FA FF 74 18 49 8B 43 28 48 63 CA 4C 8B 04 C8 4D 85 C0 75 5E 41 FF C1 45 3B CA 7C DC 45 33 C0 4D 85 C0 74 56 4C 3B C5 74 12 45 33 C9 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 3B 4C 8B 5E 18 45 33 C9 45 8B 53 38 45 85 D2 7E D1 41 8D 44 39 01 99 41 F7 FA 85 D2 74 22 49 8B 43 28 48 63 CA 4C 8B 04 C8 4D 85 C0 75 0A 41 FF C1 45 3B CA 7C DB EB AA 8B FA EB A9 B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_606_44_0 {
	meta:
		name = "?GetLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVVirtualProcessor@23@_N@Z"
		size = 135
		refs = "0013 ?Steal@?$StructuredWorkStealingQueue@VInternalContextBase@details@Concurrency@@V_HyperNonReentrantLock@23@@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ 0061 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B DA 45 84 C9 74 0E 49 8D 48 10 E8 ?? ?? ?? ?? 48 8B D0 EB 3A 41 8B 48 14 41 8B 40 10 33 D2 2B C8 85 C9 7E 2A 45 8B 48 14 49 63 48 18 41 FF C9 49 63 C1 45 89 48 14 48 23 C8 49 8B 40 20 48 87 14 C8 48 85 D2 75 0D 41 8D 41 01 41 89 40 14 48 85 D2 74 24 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 08 48 89 0B 48 8B 48 08 48 89 4B 08 48 8B 48 10 B0 01 48 89 4B 10 EB 02 32 C0 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_606_45_0 {
	meta:
		name = "?SearchFair_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z"
		size = 169
		refs = "002d ?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z 008b ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 41 8B 80 A0 00 00 00 49 8B D8 48 8B F2 48 8D 54 24 60 41 83 C8 FF 48 8B CB 89 44 24 60 E8 ?? ?? ?? ?? 8B 7C 24 60 EB 21 48 8B 10 48 8B C8 FF 52 30 4C 8B D8 48 85 C0 75 25 48 8D 54 24 60 44 8B C7 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 75 DA 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 8B 8B 90 00 00 00 8B 44 24 60 FF C0 99 F7 F9 48 8D 4C 24 20 89 93 A0 00 00 00 49 8B D3 E8 ?? ?? ?? ?? 48 8B 08 48 89 0E 48 8B 48 08 48 89 4E 08 48 8B 40 10 48 89 46 10 B0 01 EB B4 }
	condition:
		$1
}

rule file_606_46_0 {
	meta:
		name = "?SearchFair_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z"
		size = 172
		refs = "0031 ?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z 003f ?GetRealizedChore@ScheduleGroupBase@details@Concurrency@@IEAAPEAVRealizedChore@23@XZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 20 57 48 83 EC 40 41 8B 80 A0 00 00 00 49 8B F8 48 8B EA 49 8D 53 18 41 83 C8 FF 48 8B CF 89 44 24 60 E8 ?? ?? ?? ?? 8B 74 24 60 EB 20 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 2F 48 8D 54 24 60 44 8B C6 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 D8 32 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 40 5F C3 8B 8F 90 00 00 00 8B 44 24 60 C7 44 24 20 02 00 00 00 FF C0 99 F7 F9 48 8B 44 24 20 89 97 A0 00 00 00 48 89 45 00 48 89 5D 08 4C 89 5D 10 B0 01 EB B9 }
	condition:
		$1
}

rule file_606_47_0 {
	meta:
		name = "?SearchFair_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z"
		size = 172
		refs = "0031 ?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z 003f ?StealUnrealizedChore@ScheduleGroupBase@details@Concurrency@@IEAAPEAV_UnrealizedChore@23@XZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 20 57 48 83 EC 40 41 8B 80 A0 00 00 00 49 8B F8 48 8B EA 49 8D 53 18 41 83 C8 FF 48 8B CF 89 44 24 60 E8 ?? ?? ?? ?? 8B 74 24 60 EB 20 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 2F 48 8D 54 24 60 44 8B C6 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 D8 32 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 40 5F C3 8B 8F 90 00 00 00 8B 44 24 60 C7 44 24 20 04 00 00 00 FF C0 99 F7 F9 48 8B 44 24 20 89 97 A0 00 00 00 48 89 45 00 48 89 5D 08 4C 89 5D 10 B0 01 EB B9 }
	condition:
		$1
}

rule file_606_48_0 {
	meta:
		name = "?SearchFair@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z"
		size = 299
		refs = "0025 ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 0039 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 005b ?SearchFair_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z 0075 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 0090 ?StealForeignLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@@Z 00b3 ?SearchFair_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z 00ed ?SearchFair_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 45 8B E1 4C 8B EA 48 8B F1 40 32 FF E8 ?? ?? ?? ?? 84 C0 74 07 B0 01 E9 DE 00 00 00 48 8B 4E 18 E8 ?? ?? ?? ?? 48 89 06 48 8B 1E 41 F6 C4 01 74 52 48 8B EB 48 85 DB 74 30 4C 8B C5 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 40 8A F8 84 C0 0F 85 A5 00 00 00 48 8B 4E 18 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 D0 48 8B 46 10 49 8B D5 48 8B CE 4C 8B 40 70 E8 ?? ?? ?? ?? 40 8A F8 84 C0 75 74 41 F6 C4 02 74 34 48 8B EB 48 85 DB 74 2C 4C 8B C5 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 40 8A F8 84 C0 75 51 48 8B 4E 18 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 D4 41 F6 C4 04 74 34 48 8B EB 48 85 DB 74 2C 4C 8B C5 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 40 8A F8 84 C0 75 17 48 8B 4E 18 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 D4 40 8A C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_606_49_0 {
	meta:
		name = "?SearchFairYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z"
		size = 295
		refs = "0025 ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 0039 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 005b ?SearchFair_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z 0075 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 0099 ?SearchFair_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z 00d3 ?SearchFair_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@@Z 0104 ?StealForeignLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 45 8B E1 4C 8B EA 48 8B F9 40 32 F6 E8 ?? ?? ?? ?? 84 C0 74 07 B0 01 E9 DA 00 00 00 48 8B 4F 18 E8 ?? ?? ?? ?? 48 89 07 48 8B 1F 41 F6 C4 04 74 38 48 8B EB 48 85 DB 74 30 4C 8B C5 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 40 8A F0 84 C0 0F 85 A1 00 00 00 48 8B 4F 18 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 D0 41 F6 C4 02 74 34 48 8B EB 48 85 DB 74 2C 4C 8B C5 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 40 8A F0 84 C0 75 67 48 8B 4F 18 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 D4 41 F6 C4 01 74 4A 48 8B EB 48 85 DB 74 2C 4C 8B C5 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 40 8A F0 84 C0 75 2D 48 8B 4F 18 4C 8B C5 48 8B D3 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 D4 48 8B 47 10 49 8B D5 48 8B CF 4C 8B 40 70 E8 ?? ?? ?? ?? 40 8A F0 40 8A C6 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_606_50_0 {
	meta:
		name = "?SearchCacheLocal_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupBase@23@@Z"
		size = 185
		refs = "0034 ?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z 0087 ??0WorkItem@details@Concurrency@@QEAA@PEAVInternalContextBase@12@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 20 57 48 83 EC 40 41 8B 80 A0 00 00 00 49 8B D8 48 8B EA 49 8D 53 18 41 83 C8 FF 48 8B CB 89 44 24 60 49 8B F9 E8 ?? ?? ?? ?? 8B 74 24 60 48 85 C0 74 63 48 3B C7 74 11 48 8B 10 48 8B C8 FF 52 30 4C 8B D8 48 85 C0 75 12 48 8D 54 24 60 44 8B C6 48 8B CB E8 ?? ?? ?? ?? EB D3 8B 8B 90 00 00 00 8B 44 24 60 FF C0 99 F7 F9 48 8D 4C 24 20 89 93 A0 00 00 00 49 8B D3 E8 ?? ?? ?? ?? 48 8B 08 48 89 4D 00 48 8B 48 08 48 89 4D 08 48 8B 40 10 48 89 45 10 B0 01 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_606_51_0 {
	meta:
		name = "?SearchCacheLocal_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@1PEAVScheduleGroupBase@23@@Z"
		size = 238
		refs = "002e ?GetRealizedChore@ScheduleGroupBase@details@Concurrency@@IEAAPEAVRealizedChore@23@XZ 006e ?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 57 41 54 48 83 EC 40 48 8B BC 24 80 00 00 00 49 8B F0 48 8B EA 4D 3B C1 75 32 48 85 FF 74 2D 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 20 C7 44 24 20 02 00 00 00 48 8B 4C 24 20 48 89 4D 00 48 89 7D 08 48 89 45 10 B0 01 E9 84 00 00 00 8B 86 A0 00 00 00 48 8D 54 24 70 41 83 C8 FF 48 8B CE 89 44 24 70 E8 ?? ?? ?? ?? 44 8B 64 24 70 48 8B D8 48 85 C0 74 5A 48 3B C7 74 10 48 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 12 48 8D 54 24 70 45 8B C4 48 8B CE E8 ?? ?? ?? ?? EB D1 8B 8E 90 00 00 00 8B 44 24 70 C7 44 24 20 02 00 00 00 FF C0 99 F7 F9 48 8B 44 24 20 89 96 A0 00 00 00 48 89 45 00 48 89 5D 08 4C 89 5D 10 E9 77 FF FF FF 32 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_606_52_0 {
	meta:
		name = "?SearchCacheLocal_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@1PEAVScheduleGroupBase@23@@Z"
		size = 238
		refs = "002e ?StealUnrealizedChore@ScheduleGroupBase@details@Concurrency@@IEAAPEAV_UnrealizedChore@23@XZ 006e ?GetNextScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@PEAHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 56 57 41 54 48 83 EC 40 48 8B BC 24 80 00 00 00 49 8B F0 48 8B EA 4D 3B C1 75 32 48 85 FF 74 2D 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 20 C7 44 24 20 04 00 00 00 48 8B 4C 24 20 48 89 4D 00 48 89 7D 08 48 89 45 10 B0 01 E9 84 00 00 00 8B 86 A0 00 00 00 48 8D 54 24 70 41 83 C8 FF 48 8B CE 89 44 24 70 E8 ?? ?? ?? ?? 44 8B 64 24 70 48 8B D8 48 85 C0 74 5A 48 3B C7 74 10 48 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 12 48 8D 54 24 70 45 8B C4 48 8B CE E8 ?? ?? ?? ?? EB D1 8B 8E 90 00 00 00 8B 44 24 70 C7 44 24 20 04 00 00 00 FF C0 99 F7 F9 48 8B 44 24 20 89 96 A0 00 00 00 48 89 45 00 48 89 5D 08 4C 89 5D 10 E9 77 FF FF FF 32 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_606_53_0 {
	meta:
		name = "?SearchCacheLocal@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z"
		size = 677
		refs = "0036 ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 00aa ?GetLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVVirtualProcessor@23@_N@Z 00bc ?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@@Z 00d3 ?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z 013b ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 0170 ?SearchCacheLocal_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupBase@23@@Z 01a3 ?SearchCacheLocal_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@1PEAVScheduleGroupBase@23@@Z 01d2 ?SearchCacheLocal_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@1PEAVScheduleGroupBase@23@@Z 0245 ?UpdateRamblingState@VirtualProcessor@details@Concurrency@@QEAAX_NPEAVSchedulingRing@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 44 89 4C 24 20 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 C0 45 8B E9 4D 8B F8 4C 8B F2 48 8B D9 40 8A E8 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 33 C9 84 C0 0F 85 4A 02 00 00 48 8B 33 48 85 F6 75 17 48 8B 43 10 48 8B 88 80 00 00 00 48 89 0B 48 8B 33 33 C9 48 89 73 08 83 7B 20 65 4C 8B E6 73 04 8B F9 EB 19 83 7B 20 7F 73 07 BF 01 00 00 00 EB 0C 81 7B 20 97 00 00 00 1B FF 83 C7 03 41 83 E5 01 74 56 83 FF 03 7D 51 83 FF 02 7D 19 4C 8B 43 10 85 FF 49 8B D6 41 0F 9F C1 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 2B 4D 8B C7 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 19 4C 8B 4B 10 49 8B D6 48 8B CB 4D 8B 41 70 E8 ?? ?? ?? ?? 33 C9 84 C0 74 08 40 B5 01 E9 48 01 00 00 83 FF 02 4C 0F 4F F9 81 7B 24 33 01 00 00 0F 97 C0 84 C0 74 52 38 4B 39 75 04 C6 43 38 01 4C 8B 46 08 38 4B 38 74 1A 4C 8B 4B 10 49 8B D6 48 8B CB 66 C7 43 38 00 01 E8 ?? ?? ?? ?? 33 C9 40 8A E8 40 84 ED 74 05 89 4B 20 EB 1C 48 8B 4B 18 4C 8B C6 48 8B D6 E8 ?? ?? ?? ?? 33 C9 4C 8B E0 48 89 4B 20 66 89 4B 38 40 84 ED 0F 85 D0 00 00 00 4D 85 E4 0F 84 06 01 00 00 45 85 ED 74 1B 4D 8B CF 4D 8B C4 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 33 C9 84 C0 0F 85 A1 00 00 00 8B 84 24 88 00 00 00 A8 02 74 2B 48 8B 84 24 80 00 00 00 4C 8B CE 4D 8B C4 49 8B D6 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 C9 84 C0 75 72 8B 84 24 88 00 00 00 A8 04 74 24 48 8B 84 24 80 00 00 00 4C 8B CE 4D 8B C4 49 8B D6 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 33 C9 84 C0 75 43 45 85 ED 74 1A 4C 8B 4B 10 4D 8B 44 24 08 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 33 C9 84 C0 75 24 48 8B 4B 18 4D 8B C4 48 8B D6 E8 ?? ?? ?? ?? 33 C9 4C 8B E0 48 85 C0 48 89 4B 20 66 89 4B 38 E9 39 FF FF FF 89 4B 20 40 B5 01 4C 8B BC 24 80 00 00 00 48 8B 43 08 FF 43 20 FF 43 24 48 8B 4B 10 49 3B C4 4D 8B C4 0F 95 C2 E8 ?? ?? ?? ?? 44 8B AC 24 88 00 00 00 33 C0 4C 89 23 40 84 ED 0F 84 D0 FD FF FF 40 8A C5 EB 2C 48 89 0B 48 C7 43 20 00 00 00 00 66 C7 43 38 00 00 85 FF 74 E6 44 8B AC 24 88 00 00 00 4C 8B BC 24 80 00 00 00 E9 A1 FD FF FF B0 01 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_606_54_0 {
	meta:
		name = "?SearchCacheLocalYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z"
		size = 514
		refs = "002a ?PreSearch@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@@Z 007f ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z 00e4 ?SearchCacheLocal_Unrealized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@1PEAVScheduleGroupBase@23@@Z 0110 ?SearchCacheLocal_Realized@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@1PEAVScheduleGroupBase@23@@Z 013a ?SearchCacheLocal_Runnables@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingRing@23@PEAVScheduleGroupBase@23@@Z 015b ?StealLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVSchedulingNode@23@PEAVVirtualProcessor@23@@Z 0182 ?GetRunnableContext@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@@Z 019d ?GetLocalRunnable@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVVirtualProcessor@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 44 89 4C 24 20 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 8B E9 4C 8B F2 48 8B D9 33 FF E8 ?? ?? ?? ?? 84 C0 74 07 B0 01 E9 B4 01 00 00 48 8B 2B 48 8B 03 48 85 C0 75 15 48 8B 43 10 48 8B 88 80 00 00 00 48 89 0B 48 8B 2B 48 89 6B 08 81 7B 24 33 01 00 00 48 8B F5 0F 97 C0 84 C0 74 24 40 38 7B 39 75 04 C6 43 38 01 48 8B 4B 18 4C 8B C5 48 8B D5 E8 ?? ?? ?? ?? 48 89 7B 20 66 89 7B 38 48 8B F0 48 85 F6 0F 84 48 01 00 00 45 8B FD 41 83 E7 04 83 7B 20 65 73 05 44 8B E7 EB 1C 83 7B 20 7F 73 08 41 BC 01 00 00 00 EB 0E 81 7B 20 97 00 00 00 45 1B E4 41 83 C4 03 45 85 FF 74 26 48 8B 84 24 80 00 00 00 4C 8B CD 4C 8B C6 49 8B D6 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 E1 00 00 00 41 F6 C5 02 74 26 48 8B 84 24 80 00 00 00 4C 8B CD 4C 8B C6 49 8B D6 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 84 C0 0F 85 B5 00 00 00 41 83 FC 01 7D 24 41 F6 C5 01 74 1E 4C 8B 8C 24 80 00 00 00 4C 8B C6 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 8B 00 00 00 41 83 E5 01 74 17 4C 8B 4B 10 4C 8B 46 08 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 6E 48 3B F5 75 3D 45 85 ED 74 38 41 83 FC 02 7D 1B 4C 8B 84 24 80 00 00 00 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 47 41 83 FC 02 4C 8B 43 10 41 0F 9F C1 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 2C 48 8B 4B 18 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 48 89 7B 20 66 89 7B 38 48 8B F0 48 85 C0 74 1B 44 8B AC 24 88 00 00 00 E9 CD FE FF FF FF 43 20 FF 43 24 40 B7 01 48 89 33 EB 0B 48 89 3B 48 89 7B 20 66 89 7B 38 40 8A C7 48 8B 5C 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_606_55_0 {
	meta:
		name = "?Reset@WorkSearchContext@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@W4Algorithm@123@@Z"
		size = 76
		refs = "0024 ?SearchFair@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z 002f ?SearchFairYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z 0038 ?SearchCacheLocal@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z 0043 ?SearchCacheLocalYield@WorkSearchContext@details@Concurrency@@AEAA_NPEAVWorkItem@23@PEAVScheduleGroupBase@23@K@Z"
	strings:
		$1 = { 33 C0 41 FF C8 48 89 51 10 48 89 01 48 89 41 20 66 89 41 38 48 8B 42 70 48 8B 10 48 89 51 18 74 14 48 8D 05 ?? ?? ?? ?? 48 89 41 28 48 8D 05 ?? ?? ?? ?? EB 12 48 8D 05 ?? ?? ?? ?? 48 89 41 28 48 8D 05 ?? ?? ?? ?? 48 89 41 30 C3 }
	condition:
		$1
}

rule file_607_0_0 {
	meta:
		name = "LoadOperand"
		size = 792
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 10 48 8B 5C 24 40 44 8B DA 4D 89 19 49 83 FB 1F 75 0A 41 83 61 20 FE E9 E8 02 00 00 41 BA 08 00 00 00 83 FA 15 74 4B 83 FA 14 74 46 83 FA 17 74 41 83 FA 1B 74 3C 84 C9 74 48 83 FA 1F 74 43 83 FA 12 41 8D 4A 05 49 8B C3 48 0F 44 C1 49 89 01 83 FA 13 75 07 49 C7 01 19 00 00 00 83 FA 0E 75 03 49 89 09 83 FA 0C 75 19 49 C7 01 0B 00 00 00 EB 10 84 C9 74 08 83 FA 14 75 03 4D 89 11 45 89 41 08 49 83 61 10 00 49 83 61 18 00 41 83 49 20 01 49 8B 01 41 8B 51 20 48 83 F8 13 0F 87 93 01 00 00 0F 84 85 01 00 00 49 2B C2 74 6A 48 83 E8 03 74 5C 48 FF C8 74 4F 48 FF C8 74 31 48 FF C8 74 12 48 83 F8 04 0F 85 38 02 00 00 83 E2 E1 E9 A9 01 00 00 83 E2 E1 41 89 51 20 48 8B 83 A0 04 00 00 48 8B 08 49 89 49 10 E9 16 02 00 00 83 E2 E1 41 89 51 20 48 8B 83 A0 04 00 00 8B 08 41 89 49 10 E9 FD 01 00 00 83 E2 EB 83 CA 0A EB C8 83 E2 EB 83 CA 0A EB DA 83 E2 EB 83 CA 0A 41 89 51 20 45 3B C2 0F 87 87 00 00 00 74 79 45 85 C0 74 6B 41 FF C8 74 5A 41 FF C8 74 49 41 FF C8 74 38 41 83 E8 02 74 26 41 FF C8 74 15 41 FF C8 0F 85 B0 01 00 00 48 8B 83 B0 00 00 00 E9 A0 01 00 00 48 8B 83 A8 00 00 00 E9 94 01 00 00 48 8B 83 A0 00 00 00 E9 88 01 00 00 48 8B 83 90 00 00 00 E9 7C 01 00 00 48 8B 83 88 00 00 00 E9 70 01 00 00 48 8B 83 80 00 00 00 E9 64 01 00 00 48 8B 43 78 E9 5B 01 00 00 48 8B 83 B8 00 00 00 E9 4F 01 00 00 41 83 E8 09 74 6A 41 FF C8 74 59 41 FF C8 74 48 41 FF C8 74 37 41 FF C8 74 26 41 FF C8 74 15 41 FF C8 0F 85 2B 01 00 00 48 8B 83 F0 00 00 00 E9 1B 01 00 00 48 8B 83 E8 00 00 00 E9 0F 01 00 00 48 8B 83 E0 00 00 00 E9 03 01 00 00 48 8B 83 D8 00 00 00 E9 F7 00 00 00 48 8B 83 D0 00 00 00 E9 EB 00 00 00 48 8B 83 C8 00 00 00 E9 DF 00 00 00 48 8B 83 C0 00 00 00 E9 D3 00 00 00 83 E2 E3 83 CA 02 EB 48 48 83 E8 14 0F 84 A9 00 00 00 48 FF C8 74 6F 48 83 E8 02 74 54 48 83 E8 02 74 43 48 FF C8 74 22 48 FF C8 0F 85 A6 00 00 00 41 8B C0 83 E2 EB 48 83 C0 1A 48 03 C0 83 CA 0A 8B 04 C3 41 89 41 10 EB 6B 83 E2 EB 83 CA 0A 41 89 51 20 48 8B 83 A0 04 00 00 0F 28 00 F3 41 0F 7F 41 10 EB 71 83 E2 E3 83 CA 02 E9 39 FE FF FF 41 8B C8 83 E2 E3 48 8D 41 1A 48 03 C9 48 03 C0 83 CA 02 EB 10 41 8B C8 48 8D 41 1A 48 03 C9 48 03 C0 83 E2 E1 48 8B 04 C3 48 89 04 24 48 8B 84 CB A8 01 00 00 48 89 44 24 08 0F 28 04 24 F3 41 0F 7F 41 10 41 89 51 20 EB 1C 41 8B C0 83 E2 EB 48 83 C0 12 48 03 C0 83 CA 0A 48 8B 04 C3 41 89 51 20 49 89 41 10 48 8B 5C 24 20 48 83 C4 10 5F C3 }
	condition:
		$1
}

rule file_607_1_0 {
	meta:
		name = "LoadImm8"
		size = 89
	strings:
		$1 = { 44 8B 01 41 B9 03 00 00 00 B8 02 00 00 00 41 8B D0 C1 EA 0E 41 23 D1 41 3B D1 74 38 41 C1 E8 08 41 83 E0 07 41 83 F8 04 41 0F 44 C1 83 FA 01 75 02 FF C0 83 FA 02 75 03 83 C0 04 85 D2 75 09 41 83 F8 05 75 03 83 C0 04 83 FA 01 75 07 45 85 C0 75 02 FF C0 0F B6 04 08 C3 }
	condition:
		$1
}

rule file_607_2_0 {
	meta:
		name = "AdjustExceptionResult"
		size = 489
	strings:
		$1 = { 4C 8B 4A 20 41 8B 41 60 A8 01 0F 84 95 01 00 00 83 E0 1E 3C 0E 0F 85 8A 01 00 00 83 F9 39 0F 82 81 01 00 00 41 BB 02 00 00 00 45 33 C0 45 8D 53 05 83 F9 3A 76 64 83 F9 3C 76 1B 83 F9 56 0F 86 61 01 00 00 83 F9 58 0F 86 A8 00 00 00 83 F9 5A 0F 87 4F 01 00 00 41 8B 49 50 85 C9 74 30 FF C9 74 24 FF C9 74 14 FF C9 0F 85 37 01 00 00 81 62 1C 6F F7 FF FF 83 4A 1C 45 C3 81 62 1C 2B F7 FF FF 83 4A 1C 01 C3 81 62 1C 2A F7 FF FF C3 81 62 1C 6A F7 FF FF 83 4A 1C 40 C3 41 8B 49 50 85 C9 0F 84 9C 00 00 00 FF C9 0F 84 86 00 00 00 FF C9 74 1C FF C9 75 3F 44 39 5A 18 76 0C 83 7A 18 06 76 2E 44 39 52 18 75 2D 45 89 41 50 EB 27 8B 42 18 85 C0 74 F3 41 3B C3 76 16 83 F8 03 74 E9 83 F8 04 74 0C 76 0F 83 F8 06 76 DD 41 3B C2 75 05 41 83 49 50 FF 48 8B 4A 20 44 8B 49 50 45 85 C9 0F 84 AE 00 00 00 41 FF C9 0F 84 97 00 00 00 41 FF C9 74 6A 41 FF C9 0F 85 88 00 00 00 44 39 5A 18 76 0C 83 7A 18 06 76 77 44 39 52 18 75 76 4C 89 41 50 C3 83 7A 18 03 76 8E 44 39 52 18 77 B5 EB AE 8B 42 18 85 C0 74 A7 83 F8 01 0F 84 76 FF FF FF 41 3B C3 74 99 76 9C 83 F8 04 0F 86 66 FF FF FF 83 F8 05 74 89 83 F8 06 0F 84 58 FF FF FF 41 3B C2 0F 84 77 FF FF FF E9 77 FF FF FF 8B 42 18 85 C0 74 AA 41 3B C3 76 16 83 F8 03 74 A0 83 F8 04 74 0C 76 0F 83 F8 06 76 94 41 3B C2 75 05 48 83 49 50 FF C3 83 7A 18 03 76 83 44 39 52 18 77 F3 EB EC 8B 42 18 85 C0 74 E5 83 F8 01 0F 84 6B FF FF FF 41 3B C3 74 D7 76 DA 83 F8 04 0F 86 5B FF FF FF 83 F8 05 74 C7 83 F8 06 0F 84 4D FF FF FF 41 3B C2 74 B9 F3 C3 }
	condition:
		$1
}

rule file_607_3_0 {
	meta:
		name = "UpdateResult"
		size = 479
	strings:
		$1 = { 4C 8B 09 8B 41 08 4C 8B D2 4C 8B D9 49 83 F9 13 0F 87 62 01 00 00 49 83 F9 12 0F 83 9F 01 00 00 49 83 E9 08 74 3F 49 FF C9 0F 84 44 01 00 00 49 83 E9 02 74 22 49 FF C9 74 0E 49 FF C9 74 18 49 FF C9 0F 85 96 01 00 00 48 8B 8A A0 04 00 00 49 8B 43 10 48 89 01 C3 48 8B 8A A0 04 00 00 41 8B 43 10 89 01 C3 83 F8 08 0F 87 96 00 00 00 0F 84 84 00 00 00 85 C0 74 77 FF C8 74 64 FF C8 74 51 FF C8 74 3E 83 E8 02 74 2A FF C8 74 17 FF C8 0F 85 DE 00 00 00 8B 41 10 48 89 82 B0 00 00 00 E9 CF 00 00 00 8B 41 10 48 89 82 A8 00 00 00 E9 C0 00 00 00 8B 41 10 48 89 82 A0 00 00 00 E9 B1 00 00 00 8B 41 10 48 89 82 90 00 00 00 E9 A2 00 00 00 8B 41 10 48 89 82 88 00 00 00 E9 93 00 00 00 8B 41 10 48 89 82 80 00 00 00 E9 84 00 00 00 8B 41 10 48 89 42 78 EB 7B 8B 41 10 48 89 82 B8 00 00 00 EB 6F 83 E8 09 74 60 FF C8 74 50 FF C8 74 40 FF C8 74 30 FF C8 74 20 FF C8 74 10 FF C8 75 52 8B 41 10 48 89 82 F0 00 00 00 EB 46 8B 41 10 48 89 82 E8 00 00 00 EB 3A 8B 41 10 48 89 82 E0 00 00 00 EB 2E 8B 41 10 48 89 82 D8 00 00 00 EB 22 8B 41 10 48 89 82 D0 00 00 00 EB 16 8B 41 10 48 89 82 C8 00 00 00 EB 0A 8B 41 10 48 89 82 C0 00 00 00 44 89 42 44 C3 49 83 E9 14 74 51 49 FF C9 74 1A 49 83 E9 02 74 14 49 83 E9 02 0F 84 B5 FE FF FF 49 FF C9 74 27 49 FF C9 75 41 48 8D 48 1A 48 8B D0 49 8B 43 10 48 03 C9 48 03 D2 49 89 04 CA 49 8B 43 18 49 89 84 D2 A8 01 00 00 C3 0F 10 41 10 48 8B 82 A0 04 00 00 F3 0F 7F 00 C3 48 8D 48 12 49 8B 43 10 48 03 C9 48 89 04 CA C3 }
	condition:
		$1
}

rule file_607_4_0 {
	meta:
		name = "ValidateResult"
		size = 103
	strings:
		$1 = { 44 8B 09 44 8B 41 04 32 D2 41 BA 01 00 00 00 0F B6 CA 41 8A C1 41 32 C0 41 84 C2 41 8A C1 41 0F 45 CA 41 32 C0 A8 02 0F B6 D1 41 8A C1 41 0F 45 D2 41 32 C0 A8 04 0F B6 CA 41 8A C1 41 0F 45 CA 41 32 C0 A8 08 41 8A C1 0F B6 D1 41 0F 45 D2 41 32 C0 A8 10 0F B6 C2 41 0F 45 C2 45 32 C8 41 F6 C1 20 41 0F 45 C2 C3 }
	condition:
		$1
}

rule file_607_5_0 {
	meta:
		name = "SetPniOperation"
		size = 90
	strings:
		$1 = { 83 E9 43 74 37 FF C9 74 40 FF C9 74 44 83 E9 23 74 1B FF C9 74 0F FF C9 74 03 33 C0 C3 C7 02 4B 00 00 00 EB 32 C7 02 49 00 00 00 EB 2A 41 F7 D8 1B C0 83 E0 FE 83 C0 4B 89 02 EB 1B 33 C0 45 85 C0 74 0E 41 83 F8 02 74 08 C7 02 2B 00 00 00 EB 06 C7 02 2D 00 00 00 B0 01 C3 }
	condition:
		$1
}

rule file_607_7_0 {
	meta:
		name = "ax8"
		size = 17
	strings:
		$1 = { 41 0F B6 00 48 03 42 78 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_607_8_0 {
	meta:
		name = "ax32"
		size = 16
	strings:
		$1 = { 41 8B 00 48 03 42 78 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_607_10_0 {
	meta:
		name = "cx8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 80 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_607_11_0 {
	meta:
		name = "cx32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 80 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_607_13_0 {
	meta:
		name = "dx8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 88 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_607_14_0 {
	meta:
		name = "dx32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 88 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_607_16_0 {
	meta:
		name = "bx8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 90 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_607_17_0 {
	meta:
		name = "bx32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 90 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_607_18_0 {
	meta:
		name = "sib0"
		size = 361
	strings:
		$1 = { 48 89 5C 24 08 45 0F B6 08 4C 8B D1 41 BB 01 00 00 00 41 8B C1 41 8B C9 49 8B D8 48 C1 E8 03 C1 E9 06 83 E0 07 41 D3 E3 48 83 F8 04 75 05 45 33 C0 EB 6B 83 E0 07 74 62 48 FF C8 74 54 48 FF C8 74 46 48 FF C8 74 38 48 FF C8 74 2A 48 FF C8 74 1C 48 FF C8 74 0E 48 FF C8 75 D3 4C 8B 82 B0 00 00 00 EB 3A 4C 8B 82 A8 00 00 00 EB 31 4C 8B 82 A0 00 00 00 EB 28 4C 8B 82 98 00 00 00 EB 1F 4C 8B 82 90 00 00 00 EB 16 4C 8B 82 88 00 00 00 EB 0D 4C 8B 82 80 00 00 00 EB 04 4C 8B 42 78 41 83 E1 07 41 83 F9 05 75 18 8B 43 01 41 8B CB 49 0F AF C8 48 03 C8 41 8B C1 49 89 0A E9 A3 00 00 00 41 83 F9 04 75 16 41 8B C3 49 0F AF C0 48 03 82 98 00 00 00 49 89 02 E9 82 00 00 00 41 83 E1 07 74 6B 41 FF C9 74 5A 41 FF C9 74 4C 41 FF C9 74 3E 41 FF C9 74 30 41 FF C9 74 22 41 FF C9 74 14 41 FF C9 74 06 49 83 22 00 EB 49 48 8B 82 B0 00 00 00 EB 34 48 8B 82 A8 00 00 00 EB 2B 48 8B 82 A0 00 00 00 EB 22 48 8B 82 98 00 00 00 EB 19 48 8B 82 90 00 00 00 EB 10 48 8B 82 88 00 00 00 EB 07 48 8B 82 80 00 00 00 49 89 02 EB 07 48 8B 4A 78 49 89 0A 41 8B CB 49 0F AF C8 49 01 0A B8 01 00 00 00 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_607_19_0 {
	meta:
		name = "sib8"
		size = 342
	strings:
		$1 = { 48 89 5C 24 08 45 0F B6 08 4C 8B D1 41 BB 01 00 00 00 41 8B C1 41 8B C9 49 8B D8 48 C1 E8 03 C1 E9 06 83 E0 07 41 D3 E3 48 83 F8 04 75 05 45 33 C0 EB 6B 83 E0 07 74 62 48 FF C8 74 54 48 FF C8 74 46 48 FF C8 74 38 48 FF C8 74 2A 48 FF C8 74 1C 48 FF C8 74 0E 48 FF C8 75 D3 4C 8B 82 B0 00 00 00 EB 3A 4C 8B 82 A8 00 00 00 EB 31 4C 8B 82 A0 00 00 00 EB 28 4C 8B 82 98 00 00 00 EB 1F 4C 8B 82 90 00 00 00 EB 16 4C 8B 82 88 00 00 00 EB 0D 4C 8B 82 80 00 00 00 EB 04 4C 8B 42 78 41 83 E1 07 41 83 F9 04 75 1D 0F B6 43 01 41 8B CB 49 0F AF C8 48 03 C8 48 03 8A 98 00 00 00 49 89 0A E9 86 00 00 00 41 83 E1 07 74 68 41 FF C9 74 5A 41 FF C9 74 4C 41 FF C9 74 3E 41 FF C9 74 30 41 FF C9 74 22 41 FF C9 74 14 41 FF C9 74 06 49 83 22 00 EB 46 48 8B 82 B0 00 00 00 EB 3A 48 8B 82 A8 00 00 00 EB 31 48 8B 82 A0 00 00 00 EB 28 48 8B 82 98 00 00 00 EB 1F 48 8B 82 90 00 00 00 EB 16 48 8B 82 88 00 00 00 EB 0D 48 8B 82 80 00 00 00 EB 04 48 8B 42 78 49 89 02 0F B6 43 01 41 8B CB 49 0F AF C8 48 03 C8 49 01 0A 48 8B 5C 24 08 B8 02 00 00 00 C3 }
	condition:
		$1
}

rule file_607_20_0 {
	meta:
		name = "sib32"
		size = 340
	strings:
		$1 = { 48 89 5C 24 08 45 0F B6 08 4C 8B D1 41 BB 01 00 00 00 41 8B C1 41 8B C9 49 8B D8 48 C1 E8 03 C1 E9 06 83 E0 07 41 D3 E3 48 83 F8 04 75 05 45 33 C0 EB 6B 83 E0 07 74 62 48 FF C8 74 54 48 FF C8 74 46 48 FF C8 74 38 48 FF C8 74 2A 48 FF C8 74 1C 48 FF C8 74 0E 48 FF C8 75 D3 4C 8B 82 B0 00 00 00 EB 3A 4C 8B 82 A8 00 00 00 EB 31 4C 8B 82 A0 00 00 00 EB 28 4C 8B 82 98 00 00 00 EB 1F 4C 8B 82 90 00 00 00 EB 16 4C 8B 82 88 00 00 00 EB 0D 4C 8B 82 80 00 00 00 EB 04 4C 8B 42 78 41 83 E1 07 41 83 F9 04 75 1C 8B 43 01 41 8B CB 49 0F AF C8 48 03 C8 48 03 8A 98 00 00 00 49 89 0A E9 85 00 00 00 41 83 E1 07 74 68 41 FF C9 74 5A 41 FF C9 74 4C 41 FF C9 74 3E 41 FF C9 74 30 41 FF C9 74 22 41 FF C9 74 14 41 FF C9 74 06 49 83 22 00 EB 46 48 8B 82 B0 00 00 00 EB 3A 48 8B 82 A8 00 00 00 EB 31 48 8B 82 A0 00 00 00 EB 28 48 8B 82 98 00 00 00 EB 1F 48 8B 82 90 00 00 00 EB 16 48 8B 82 88 00 00 00 EB 0D 48 8B 82 80 00 00 00 EB 04 48 8B 42 78 49 89 02 8B 43 01 41 8B CB 49 0F AF C8 48 03 C8 49 01 0A 48 8B 5C 24 08 B8 05 00 00 00 C3 }
	condition:
		$1
}

rule file_607_22_0 {
	meta:
		name = "bp8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 A0 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_607_23_0 {
	meta:
		name = "bp32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 A0 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_607_25_0 {
	meta:
		name = "si8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 A8 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_607_26_0 {
	meta:
		name = "si32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 A8 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_607_28_0 {
	meta:
		name = "di8"
		size = 20
	strings:
		$1 = { 41 0F B6 00 48 03 82 B0 00 00 00 48 89 01 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_607_29_0 {
	meta:
		name = "di32"
		size = 19
	strings:
		$1 = { 41 8B 00 48 03 82 B0 00 00 00 48 89 01 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule file_607_31_0 {
	meta:
		name = "LoopDppxSimdValue"
		size = 618
		refs = "0189 XMMI_FP_Emulation 0193 XMMI2_FP_Emulation"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 45 33 FF 41 83 CC FF 49 8B F9 49 8B F0 48 8B DA 44 8B F1 44 39 7C 24 78 0F 86 10 02 00 00 4C 8D AA B0 00 00 00 48 8D 6A 08 83 BC 24 80 00 00 00 00 75 39 8B 46 18 41 8D 4F 04 D3 E8 A8 01 75 2C 41 8B C6 45 85 F6 74 0B FF C8 75 0E 49 83 65 00 00 EB 07 83 A5 A8 00 00 00 00 83 8B C0 00 00 00 01 8B 46 1C 89 43 30 E9 AC 01 00 00 83 66 04 00 83 67 04 E0 83 67 08 E0 83 67 0C E0 8B 46 10 8B 94 24 88 00 00 00 33 07 81 E2 FF 0F 00 00 83 E0 03 C1 E2 03 31 07 8B 46 14 8B 0F 83 E0 07 81 E1 03 00 FE FF 0B D0 8B 47 20 C1 E2 02 0B D1 89 17 33 43 60 83 E0 01 31 47 20 8B 47 20 33 43 60 83 E0 1E 33 47 20 89 47 20 41 8B C6 45 85 F6 74 0E FF C8 75 10 49 8B 45 A0 48 89 47 10 EB 06 8B 45 48 89 47 10 8B 83 90 00 00 00 83 67 40 FE 83 E0 01 74 15 09 47 40 8B 47 40 33 83 90 00 00 00 83 E0 1E 33 47 40 89 47 40 41 8B C6 45 85 F6 74 0E FF C8 75 10 49 8B 45 D0 48 89 47 30 EB 06 8B 45 78 89 47 30 83 67 60 FE 41 8B C6 45 85 F6 74 0E FF C8 75 13 49 8B 45 00 48 89 47 50 EB 09 8B 85 A8 00 00 00 89 47 50 8B 47 60 33 83 C0 00 00 00 83 E0 1E 33 47 60 89 47 60 48 89 7E 20 41 83 FE 01 74 10 41 83 FE 02 74 0A 48 8B CE E8 ?? ?? ?? ?? EB 08 48 8B CE E8 ?? ?? ?? ?? 44 8B D8 89 45 00 8B 46 04 89 45 10 41 83 FB 01 75 4B F6 46 04 20 74 04 83 4B 04 20 F6 46 04 10 74 04 83 4B 04 10 F6 46 04 08 74 04 83 4B 04 08 F6 46 04 04 74 04 83 4B 04 04 F6 46 04 02 74 04 83 4B 04 02 F6 46 04 01 74 04 83 4B 04 01 48 8B CF FF 54 24 70 44 8B E0 83 F8 FF 75 59 8B 8B C0 00 00 00 33 4F 60 83 E1 01 31 8B C0 00 00 00 F6 83 C0 00 00 00 01 8B 4E 1C 89 4B 30 74 1F 41 8B C6 45 85 F6 74 0E FF C8 75 13 48 8B 47 50 49 89 45 00 EB 09 8B 47 50 89 85 A8 00 00 00 41 FF C7 49 83 C5 08 48 83 C5 04 44 3B 7C 24 78 0F 82 FB FD FF FF 41 8B C4 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_607_32_0 {
	meta:
		name = "DppxEmulationWrapper"
		size = 483
		refs = "0097 LoopDppxSimdValue"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 84 24 98 00 00 00 8B 7C 24 70 45 33 F6 8B 28 4D 8B F9 4D 8B E8 C1 ED 1E 48 8B DA 44 8B E1 FF C5 83 7A 28 6D 41 0F 95 C6 41 FF C6 33 F6 83 7B 28 48 74 14 83 7B 28 6D 75 1A 8B C6 F7 D8 1B FF 83 E7 FC 83 C7 4D EB 0C 8B C6 F7 D8 1B FF 83 E7 FC 83 C7 2F 48 8B 84 24 90 00 00 00 89 7C 24 38 89 74 24 30 4D 8B CF 4D 8B C5 48 8B D3 41 8B CC 89 6C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 41 8B CC 44 8B D8 45 85 E4 74 39 FF C9 0F 85 B4 00 00 00 85 F6 0F 85 AC 00 00 00 48 8B 93 B0 00 00 00 48 8B 8B B8 00 00 00 48 89 53 50 48 89 4B 58 48 89 8B 80 00 00 00 48 89 93 88 00 00 00 E9 83 00 00 00 8B C6 85 F6 74 3E FF C8 75 79 8B 93 BC 00 00 00 8B 8B B0 00 00 00 44 8B 83 B8 00 00 00 8B 83 B4 00 00 00 89 53 54 89 4B 58 89 8B 84 00 00 00 89 93 88 00 00 00 44 89 83 8C 00 00 00 89 83 80 00 00 00 EB 38 8B 8B B4 00 00 00 8B 93 B8 00 00 00 44 8B 83 B0 00 00 00 8B 83 BC 00 00 00 89 4B 54 89 53 58 89 8B 80 00 00 00 44 89 83 84 00 00 00 89 93 8C 00 00 00 89 83 88 00 00 00 89 43 5C 44 89 43 50 FF C6 41 3B F6 0F 86 DE FE FF FF 45 85 E4 74 2C 41 FF CC 75 4B 33 C9 85 ED 74 45 48 81 C3 B0 00 00 00 41 8B 45 18 D3 E8 A8 01 75 04 48 83 23 00 FF C1 48 83 C3 08 3B CD 72 E8 EB 24 33 C9 85 ED 74 1E 48 81 C3 B0 00 00 00 41 8B 45 18 D3 E8 A8 01 75 03 83 23 00 FF C1 48 83 C3 04 3B CD 72 E9 41 8B C3 4C 8D 5C 24 40 49 8B 5B 38 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_607_33_0 {
	meta:
		name = "fpieee_flt_simd"
		size = 2962
		refs = "001d __security_cookie 01a0 InstInfoTableEX 01ac InstInfoTableDX 01c9 InstInfoTableCX 01d2 InstInfoTable7X 01db InstInfoTable5X 0231 InstInfoTable4X 023a InstInfoTable0X 0243 InstInfoTable2X 032a __ImageBase 034f InstInfoTableX 03f2 modrm32 0432 LoadOperand 0678 SetPniOperation 0985 XMMI_FP_Emulation 0991 XMMI2_FP_Emulation 0a43 AdjustExceptionResult 0b1b DppxEmulationWrapper 0b3c UpdateResult 0b71 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC 00 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 01 00 00 4D 8B D0 4C 89 84 24 98 00 00 00 83 4C 24 58 FF 45 33 F6 44 89 74 24 34 33 C0 89 44 24 68 48 8B 02 48 8B 48 20 48 85 C9 74 08 41 FF D2 E9 07 0B 00 00 4C 8B 7A 08 4C 89 7C 24 50 49 8B 87 A0 04 00 00 48 89 84 24 A8 00 00 00 45 33 DB 44 89 5C 24 38 45 33 C9 40 32 F6 45 8D 6B 01 41 8A D5 88 54 24 3C 45 32 E4 44 88 64 24 31 49 8B BF F8 00 00 00 48 89 7C 24 60 44 8A 44 24 32 84 D2 0F 84 90 00 00 00 44 0F B6 07 44 88 44 24 32 49 03 FD 48 89 7C 24 60 41 8B C8 41 83 F8 65 7F 2D 83 F9 64 7D 1E 83 F9 26 74 19 83 F9 2E 74 14 83 F9 36 74 0F 83 F9 3E 74 0A 8D 41 C0 83 F8 0F 77 26 EB 46 41 8A F5 44 88 6C 24 30 EB 44 83 E9 66 74 2F FF C9 74 ED 81 E9 89 00 00 00 74 E5 83 E9 02 74 16 FF C9 74 08 32 D2 88 54 24 3C EB 22 45 8A E5 44 88 6C 24 31 EB 10 45 8A E5 44 88 6C 24 31 44 89 6C 24 38 45 8B DD 45 03 F5 44 89 74 24 34 E9 68 FF FF FF 40 84 F6 74 07 33 C0 E9 19 0A 00 00 48 8B DF 48 89 9C 24 A0 00 00 00 41 80 F8 0F 74 12 41 8A F5 44 88 6C 24 30 4C 8B 6C 24 40 E9 89 03 00 00 8B 0F 8B C1 C1 E8 04 83 E0 0F 83 E8 02 0F 84 BE 00 00 00 FF C8 74 5B 83 E8 02 74 4D 83 E8 02 74 3F 83 E8 05 74 31 FF C8 74 10 FF C8 75 C0 48 8D 15 ?? ?? ?? ?? E9 9E 00 00 00 48 8D 15 ?? ?? ?? ?? 45 84 E4 0F 84 8E 00 00 00 45 33 DB 44 89 5C 24 38 E9 81 00 00 00 48 8D 15 ?? ?? ?? ?? EB 78 48 8D 15 ?? ?? ?? ?? EB D8 48 8D 15 ?? ?? ?? ?? EB 66 80 F9 3A 0F 85 73 FF FF FF 45 8B CD 49 03 FD 48 89 7C 24 60 45 03 F5 44 89 74 24 34 48 8B DF 48 89 9C 24 A0 00 00 00 8B 0F 8B C1 C1 E8 04 83 E0 0F 74 23 83 F8 04 74 15 41 8A F5 44 88 6C 24 30 4C 8B 6C 24 40 45 8B D9 E9 D0 02 00 00 48 8D 15 ?? ?? ?? ?? EB 10 48 8D 15 ?? ?? ?? ?? EB 07 48 8D 15 ?? ?? ?? ?? 8B C1 41 B8 00 C0 00 00 41 23 C0 41 3B C0 41 0F 95 C0 41 0F B6 C0 C1 E0 04 83 E1 0F 0B C1 83 F8 20 0F 87 EF FE FF FF 45 3B CD 0F 85 8F 00 00 00 4C 8D 2C 82 4C 89 6C 24 40 41 8B 45 00 BA FF 0F 00 00 23 C2 83 F8 6B 74 39 83 F8 6C 74 34 83 F8 6D 74 2F 83 F8 46 74 1D 83 F8 47 74 18 83 F8 48 74 13 41 BB 01 00 00 00 41 8A F3 44 88 5C 24 30 E9 42 02 00 00 83 64 24 38 00 41 BB 01 00 00 00 EB 0B 41 BB 01 00 00 00 44 89 5C 24 38 83 F8 6B 74 23 83 F8 46 74 1E 83 F8 6D 74 19 83 F8 48 74 14 83 F8 6C 74 05 83 F8 47 75 BD 45 8A E3 44 88 5C 24 31 EB 1C 45 32 E4 44 88 64 24 31 EB 12 41 8D 04 43 4C 8D 2C 82 4C 89 6C 24 40 BA FF 0F 00 00 41 8B 4D 00 85 CA 74 89 8B C1 25 00 F0 01 00 4C 8D 15 ?? ?? ?? ?? 3D 00 E0 01 00 75 33 45 84 E4 74 0A C1 E9 11 83 E1 1F FF C1 EB 07 48 C1 E9 11 83 E1 1F 4D 8D AC 8A ?? ?? ?? ?? 4C 89 6C 24 40 45 32 E4 44 88 64 24 31 C7 44 24 38 02 00 00 00 41 8B 4D 00 23 CA 83 F9 43 74 0A 83 F9 44 74 05 83 F9 45 75 08 45 32 E4 44 88 64 24 31 83 F9 68 74 0A 83 F9 69 74 05 83 F9 6A 75 08 C7 44 24 38 01 00 00 00 45 85 C9 75 0F 41 0F B6 C4 03 C1 89 84 24 48 01 00 00 EB 07 89 8C 24 48 01 00 00 41 83 C6 03 44 89 74 24 34 45 84 C0 74 35 48 89 7C 24 60 48 FF C7 48 89 7C 24 60 0F B6 07 88 44 24 32 48 FF C7 48 89 7C 24 60 49 8D 8F A0 04 00 00 4C 8B C7 49 8B D7 41 FF 94 C2 ?? ?? ?? ?? 89 44 24 68 44 8B 33 41 8B C6 C1 E8 0B 83 E0 07 89 44 24 48 45 8B 7D 00 41 8B DF C1 EB 0C 83 E3 1F 48 8B 4C 24 50 48 89 4C 24 20 4C 8D 8C 24 60 01 00 00 44 8B C0 8B D3 41 8A CC E8 ?? ?? ?? ?? 41 C1 EE 08 41 8B D7 48 8B 44 24 50 41 8A CC 41 83 E6 07 C1 EA 11 48 89 44 24 20 45 8B C6 83 E2 1F 83 FB 1F 75 17 4C 8D 8C 24 60 01 00 00 E8 ?? ?? ?? ?? 83 A4 24 B0 01 00 00 FE EB 0D 4C 8D 8C 24 90 01 00 00 E8 ?? ?? ?? ?? 41 8B D7 C1 EA 19 83 E2 1F 48 8B 44 24 50 48 89 44 24 20 4C 8D 8C 24 C0 01 00 00 44 8B 44 24 48 41 8A CC E8 ?? ?? ?? ?? 44 8B 74 24 34 8B 44 24 68 44 03 F0 44 89 74 24 34 41 81 E7 00 00 C0 01 4C 8B 94 24 98 00 00 00 41 81 FF 00 00 40 00 4C 8B 7C 24 50 75 22 48 03 F8 48 89 7C 24 60 0F B6 07 89 84 24 4C 01 00 00 41 BB 01 00 00 00 45 03 F3 44 89 74 24 34 EB 06 41 BB 01 00 00 00 40 84 F6 0F 85 3E FC FF FF 41 8B 47 34 B9 00 03 00 00 23 C1 74 1F 3D 00 02 00 00 74 0E 3B C1 75 1F 83 A4 24 84 00 00 00 00 EB 15 44 89 9C 24 84 00 00 00 EB 0B C7 84 24 84 00 00 00 02 00 00 00 41 8B 47 34 8B C8 C1 E9 0D 83 E1 03 74 30 FF C9 74 22 FF C9 74 11 FF C9 75 2C C7 84 24 80 00 00 00 03 00 00 00 EB 1F C7 84 24 80 00 00 00 02 00 00 00 EB 12 44 89 9C 24 80 00 00 00 EB 08 83 A4 24 80 00 00 00 00 8B C8 C1 E9 07 83 E1 3F 89 4C 24 70 8B C8 C1 E9 0F 41 23 CB 89 4C 24 78 8B C8 C1 E9 06 41 23 CB 89 4C 24 7C 41 8B 4F 44 89 8C 24 8C 00 00 00 8B 8C 24 4C 01 00 00 89 8C 24 88 00 00 00 83 E0 3F 89 84 24 20 01 00 00 83 A4 24 24 01 00 00 00 45 8B 7D 00 41 C1 EF 1E 45 03 FB 45 84 E4 45 0F 45 FB 8B 9C 24 48 01 00 00 83 FB 48 0F 84 02 05 00 00 83 FB 6D 0F 84 F9 04 00 00 45 33 E4 33 FF 45 85 FF 0F 84 17 05 00 00 41 BE E0 FF FF FF 44 8B 94 24 10 01 00 00 8B 74 24 38 4C 8B AC 24 98 00 00 00 83 64 24 74 00 44 21 B4 24 B4 00 00 00 44 21 B4 24 B8 00 00 00 44 21 B4 24 BC 00 00 00 44 8B 8C 24 84 00 00 00 41 83 E1 07 41 C1 E1 02 8B 84 24 B0 00 00 00 41 23 C6 44 0B C8 8B 84 24 80 00 00 00 83 E0 03 44 0B C8 45 8B C4 48 8D 54 24 48 8B CB E8 ?? ?? ?? ?? 84 C0 8B 44 24 48 75 02 8B C3 C1 E0 05 41 33 C1 25 E0 FF 01 00 44 33 C8 44 89 8C 24 B0 00 00 00 8B 94 24 80 01 00 00 83 E2 1F 8B 8C 24 D0 00 00 00 41 23 CE 0B CA 89 8C 24 D0 00 00 00 8B C6 85 F6 0F 84 9F 00 00 00 FF C8 74 56 83 FB 5F 0F 82 F5 00 00 00 83 FB 60 76 34 83 FB 62 0F 86 E7 00 00 00 83 FB 65 76 13 83 FB 67 0F 87 D9 00 00 00 48 8B 84 FC 70 01 00 00 EB 1A 8B 84 BC 70 01 00 00 89 84 24 C0 00 00 00 E9 BC 00 00 00 8B 84 BC 70 01 00 00 48 89 84 24 C0 00 00 00 E9 A8 00 00 00 48 8B 84 FC 70 01 00 00 48 89 84 24 C0 00 00 00 83 FB 69 74 09 83 FB 6A 0F 85 8A 00 00 00 45 3B E3 0F 85 81 00 00 00 48 8B 84 FC 98 01 00 00 48 89 84 24 C0 00 00 00 8B C1 33 84 24 B0 01 00 00 83 E0 1F EB 5A 8B 84 BC 70 01 00 00 89 84 24 C0 00 00 00 83 FB 44 74 05 83 FB 45 75 4B 41 8B C4 FF C8 74 21 FF C8 74 14 FF C8 75 3C 8B 84 BC 9C 01 00 00 89 84 24 C0 00 00 00 EB BB 8B 84 BC 98 01 00 00 EB EE 8B 84 BC 74 01 00 00 89 84 24 C0 00 00 00 8B C1 33 84 24 80 01 00 00 83 E0 1E 33 C8 89 8C 24 D0 00 00 00 8B 8C 24 F0 00 00 00 44 84 9C 24 B0 01 00 00 74 10 8B C1 33 84 24 B0 01 00 00 83 E0 1F 33 C8 EB 03 83 E1 FE 89 8C 24 F0 00 00 00 8B C6 85 F6 0F 84 91 00 00 00 FF C8 74 4F 83 FB 5F 0F 82 F4 00 00 00 83 FB 60 76 2D 83 FB 62 0F 86 E6 00 00 00 83 FB 65 76 13 83 FB 67 0F 87 D8 00 00 00 48 8B 84 FC A0 01 00 00 EB 13 8B 84 BC A0 01 00 00 E9 BB 00 00 00 8B 84 BC A0 01 00 00 48 89 84 24 E0 00 00 00 E9 AE 00 00 00 48 8B 84 FC A0 01 00 00 48 89 84 24 E0 00 00 00 83 FB 69 74 09 83 FB 6A 0F 85 90 00 00 00 45 85 E4 0F 85 87 00 00 00 48 8B 84 FC 78 01 00 00 48 89 84 24 E0 00 00 00 41 23 CE 0B CA EB 44 8B 84 BC A0 01 00 00 89 84 24 E0 00 00 00 83 FB 44 74 05 83 FB 45 75 58 41 8B C4 45 85 E4 74 36 FF C8 74 29 FF C8 75 48 8B 84 BC 9C 01 00 00 89 84 24 E0 00 00 00 8B C1 33 84 24 B0 01 00 00 83 E0 1F 33 C8 89 8C 24 F0 00 00 00 EB 23 8B 84 BC 78 01 00 00 EB 07 8B 84 BC 74 01 00 00 41 23 CE 0B CA 89 8C 24 F0 00 00 00 89 84 24 E0 00 00 00 41 83 E2 FE 8B C6 85 F6 74 3A FF C8 74 2C 83 FB 5F 72 3F 83 FB 60 76 11 83 FB 62 76 35 83 FB 65 76 22 83 FB 67 77 2B EB 11 8B 84 BC D0 01 00 00 48 89 84 24 00 01 00 00 EB 18 48 8B 84 FC D0 01 00 00 EB EC 8B 84 BC D0 01 00 00 89 84 24 00 01 00 00 8B 84 24 E0 01 00 00 41 33 C2 83 E0 1E 44 33 D0 44 89 94 24 10 01 00 00 48 8D 84 24 B0 00 00 00 48 89 84 24 90 00 00 00 41 3B F3 74 11 83 FE 02 74 0C 48 8D 4C 24 70 E8 ?? ?? ?? ?? EB 0A 48 8D 4C 24 70 E8 ?? ?? ?? ?? 89 84 BC 28 01 00 00 8B 4C 24 74 89 8C BC 38 01 00 00 41 BB 01 00 00 00 44 39 9C BC 28 01 00 00 0F 85 94 00 00 00 8B 84 24 24 01 00 00 F6 C1 20 74 0A 83 C8 20 89 84 24 24 01 00 00 F6 C1 10 74 0A 83 C8 10 89 84 24 24 01 00 00 F6 C1 08 74 0A 83 C8 08 89 84 24 24 01 00 00 F6 C1 04 74 0A 83 C8 04 89 84 24 24 01 00 00 F6 C1 02 74 0A 83 C8 02 89 84 24 24 01 00 00 41 84 CB 74 0A 41 0B C3 89 84 24 24 01 00 00 48 8D 8C 24 B0 00 00 00 41 FF D5 89 44 24 58 83 F8 FF 0F 85 31 01 00 00 48 8D 54 24 70 8B 9C 24 48 01 00 00 8B CB E8 ?? ?? ?? ?? 41 BB 01 00 00 00 EB 07 8B 9C 24 48 01 00 00 8B 84 24 E0 01 00 00 44 8B 94 24 10 01 00 00 41 33 C2 41 23 C3 8B 8C 24 E0 01 00 00 33 C8 89 8C 24 E0 01 00 00 8B 84 24 8C 00 00 00 89 84 24 50 01 00 00 41 84 CB 74 53 8B C6 85 F6 74 38 FF C8 74 19 83 FB 5F 72 44 83 FB 60 76 21 83 FB 62 76 3A 83 FB 65 76 20 83 FB 67 77 30 48 8B 84 24 00 01 00 00 48 89 84 FC D0 01 00 00 EB 17 8B 84 24 00 01 00 00 EB ED 8B 84 24 00 01 00 00 89 84 BC D0 01 00 00 8B 9C 24 48 01 00 00 45 03 E3 49 03 FB 45 3B E7 0F 82 36 FB FF FF 44 8B 74 24 34 EB 2C 4C 89 6C 24 28 4C 89 54 24 20 4C 8D 8C 24 B0 00 00 00 4C 8D 44 24 70 48 8D 94 24 20 01 00 00 8B 4C 24 38 E8 ?? ?? ?? ?? 89 44 24 58 44 8B 84 24 50 01 00 00 48 8B 5C 24 50 48 8B D3 48 8D 8C 24 C0 01 00 00 E8 ?? ?? ?? ?? 41 8B C6 48 01 83 F8 00 00 00 48 8B 84 24 A8 00 00 00 48 89 83 A0 04 00 00 8B 44 24 58 EB 06 33 C0 EB 02 33 C0 48 8B 8C 24 F0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 02 00 00 49 8B 5B 30 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_608_1_0 {
	meta:
		name = "?_Type_info_dtor@type_info@@CAXPEAV1@@Z"
		size = 108
		refs = "000f _lock 0020 __type_info_root_node 0043 free 0062 _unlock"
		altNames = "?_Type_info_dtor_internal@type_info@@CAXPEAV1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 43 08 48 85 C0 74 3F 48 8B 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 4C 24 20 48 85 C9 74 19 48 39 01 75 0F 48 8B 41 08 48 89 42 08 E8 ?? ?? ?? ?? EB 05 48 8B D1 EB DD 48 8B 4B 08 E8 ?? ?? ?? ?? 48 83 63 08 00 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_608_2_0 {
	meta:
		name = "?fin$0@?0??_Type_info_dtor@type_info@@CAXPEAV1@@Z@4HA"
		size = 27
		refs = "000f _unlock"
		altNames = "?fin$0@?0??_Type_info_dtor_internal@type_info@@CAXPEAV1@@Z@4HA __clean_type_info_names_internal$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_608_3_0 {
	meta:
		name = "?_Name_base@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z"
		size = 308
		refs = "003b free 0046 malloc 0050 __unDName 0064 strlen 008d _lock 00c8 strcpy_s 00f6 _invoke_watson 0111 _unlock"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 49 89 7B 18 4D 89 63 20 41 55 48 83 EC 30 4C 8B EA 48 8B F9 48 83 79 08 00 0F 85 EB 00 00 00 B8 00 28 00 00 48 8D 51 11 66 89 44 24 28 48 8D 05 ?? ?? ?? ?? 49 89 43 E8 4C 8D 0D ?? ?? ?? ?? 45 33 C0 33 C9 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 B9 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 FF CB 42 80 3C 23 20 75 0D 42 C6 04 23 00 48 85 DB 75 EC 48 FF CB B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 83 7F 08 00 75 69 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 57 48 8D 4B 02 E8 ?? ?? ?? ?? 48 89 47 08 48 85 C0 74 3D 4D 8B C4 48 8D 53 02 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 15 48 8B 47 08 48 89 06 49 8B 45 08 48 89 46 08 49 89 75 08 EB 1D 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 90 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 08 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 30 41 5D C3 }
	condition:
		$1
}

rule file_608_4_0 {
	meta:
		name = "?fin$0@?0??_Name_base@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z@4HA"
		size = 27
		refs = "000f _unlock"
		altNames = "?fin$0@?0??_Name_base_internal@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 30 48 8B EA B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_608_7_0 {
	meta:
		name = "__unDNameHelper"
		size = 53
		refs = "001b free 0022 malloc 002c __unDName"
	strings:
		$1 = { 48 83 EC 38 41 0F B7 C1 66 45 85 C9 75 05 B8 00 28 00 00 66 89 44 24 28 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_608_8_0 {
	meta:
		name = "?_Name_base_internal@type_info@@CAPEBDPEBV1@PEAU__type_info_node@@@Z"
		size = 345
		refs = "0035 _lock 0056 free 0062 malloc 006c __unDName 0083 _local_unwind 0094 strlen 00ee strcpy_s 011c _invoke_watson 0137 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 55 41 56 48 83 EC 40 48 89 64 24 38 4C 8B EA 48 8B F1 48 83 79 08 00 0F 85 0C 01 00 00 B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 83 7E 08 00 0F 85 EC 00 00 00 B8 00 28 00 00 48 8D 56 11 66 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 4C 8D 0D ?? ?? ?? ?? 45 33 C0 33 C9 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 75 18 48 8D 15 0A 00 00 00 48 8B CC E8 ?? ?? ?? ?? 90 90 33 C0 E9 AF 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 30 48 8B CB 48 FF CB 48 89 5C 24 30 48 85 C9 74 0E 42 80 3C 23 20 75 07 42 C6 04 23 00 EB E2 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 58 4C 8D 73 02 49 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3C 4D 8B C4 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 15 48 89 5E 08 48 89 1F 49 8B 45 08 48 89 47 08 49 89 7D 08 EB 1D 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 90 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 8B 46 08 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_608_10_0 {
	meta:
		name = "__clean_type_info_names_internal"
		size = 79
		refs = "0013 _lock 0029 free 0040 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 B9 0E 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 5B 08 48 85 DB 74 19 48 8B 7B 08 48 8B 0B E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B DF EB E2 B9 0E 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_610_0_0 {
	meta:
		name = "ldexp"
		size = 386
		refs = "002c _ctrlfp 004a _sptype 0073 _handle_qnan2 0089 __real@3ff0000000000000 0096 __real@0000000000000000 00ac _decomp 00ea _set_exp 013e _d_inf 0143 _copysign 0169 _except2"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 20 F2 0F 11 40 08 57 48 83 EC 40 8B DA 0F 29 70 E8 BE C0 FF 00 00 B9 80 1F 00 00 8B D6 66 0F 28 F0 E8 ?? ?? ?? ?? 0F B7 4C 24 56 48 8B F8 B8 F0 7F 00 00 66 23 C8 66 3B C8 75 4D 66 0F 28 C6 E8 ?? ?? ?? ?? 85 C0 7E 2A 83 F8 02 0F 8E CA 00 00 00 83 F8 03 75 1C 66 0F 6E D3 8D 48 16 66 0F 28 CE 4C 8B CF F3 0F E6 D2 E8 ?? ?? ?? ?? E9 F1 00 00 00 66 0F 28 C6 B9 08 00 00 00 F2 0F 58 05 ?? ?? ?? ?? E9 BA 00 00 00 66 0F 2E 35 ?? ?? ?? ?? 7A 06 0F 84 83 00 00 00 48 8D 54 24 60 66 0F 28 C6 E8 ?? ?? ?? ?? 8B 4C 24 60 85 DB 79 0D B8 00 00 00 80 2B C3 3B C8 7C 35 EB 0B B8 FF FF FF 7F 2B C3 3B C8 7F 66 8D 14 19 81 FA 00 0A 00 00 7F 5B 81 FA 00 04 00 00 7E 0D 81 C2 00 FA FF FF E8 ?? ?? ?? ?? EB 57 81 FA 03 F6 FF FF 7D 0F F2 0F 59 05 ?? ?? ?? ?? B9 12 00 00 00 EB 45 81 FA 03 FC FF FF 7D 0D 81 C2 00 06 00 00 E8 ?? ?? ?? ?? EB E4 E8 ?? ?? ?? ?? 66 0F 28 F0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 66 0F 28 C6 EB 37 66 0F 28 C8 F2 0F 10 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 11 00 00 00 66 0F 6E DB 66 0F 28 D6 BA 19 00 00 00 48 89 7C 24 28 F2 0F 11 44 24 20 F3 0F E6 DB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 68 0F 28 74 24 30 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_611_3_0 {
	meta:
		name = "_towupper_l"
		size = 218
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006e iswctype 00ae __crtLCMapStringW"
	strings:
		$1 = { 48 89 5C 24 10 66 89 4C 24 08 55 48 8B EC 48 83 EC 50 B8 FF FF 00 00 66 3B C8 0F 84 AF 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5D E0 83 7B 14 00 75 27 0F B7 55 10 8D 42 9F 66 83 F8 19 77 04 66 83 EA 20 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 0F B7 C2 EB 75 0F B7 4D 10 B8 00 01 00 00 66 3B C8 73 25 BA 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 0F B7 45 10 EB 42 0F B7 4D 10 48 8B 83 50 01 00 00 0F B6 04 08 EB 31 8B 4B 14 48 8D 45 20 41 B9 01 00 00 00 44 89 4C 24 28 4C 8D 45 10 BA 00 02 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F B7 45 10 74 04 0F B7 45 20 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_612_0_0 {
	meta:
		name = "_wcreat"
		size = 55
		refs = "0024 _wsopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 48 8D 4C 24 50 44 8D 4B 41 41 B8 02 03 00 00 89 5C 24 50 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 50 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_690_0_0 {
	meta:
		name = "_creat"
		size = 55
		refs = "0024 _sopen_s"
	strings:
		$1 = { 40 53 48 83 EC 30 83 CB FF 89 54 24 20 48 8B D1 48 8D 4C 24 50 44 8D 4B 41 41 B8 02 03 00 00 89 5C 24 50 E8 ?? ?? ?? ?? 85 C0 0F 44 5C 24 50 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_614_1_0 {
	meta:
		name = "_unloaddll"
		size = 32
		refs = "0006 __imp_FreeLibrary 0015 __imp_GetLastError"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 85 C0 75 0B 48 83 C4 28 48 FF 25 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_616_3_0 {
	meta:
		name = "_strncoll_l"
		size = 240
		refs = "002a _errno 0035 _invalid_parameter_noinfo 005a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0075 strncmp 009f __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 49 8B D8 48 8B FA 48 8B F1 4D 85 C0 75 07 33 C0 E9 BC 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 9D 00 00 00 48 85 D2 74 E1 48 81 FB FF FF FF 7F 77 D8 48 8D 4C 24 40 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5C 24 40 41 8B 53 10 85 D2 75 10 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? EB 52 41 8B 43 08 48 8D 4C 24 40 4C 8B CE 89 44 24 38 89 5C 24 30 41 B8 00 10 00 00 48 89 7C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 23 E8 ?? ?? ?? ?? C7 00 16 00 00 00 80 7C 24 58 00 74 80 48 8B 44 24 50 83 A0 C8 00 00 00 FD E9 6F FF FF FF 83 C0 FE 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_617_0_0 {
	meta:
		name = "_strnset_s"
		size = 122
		refs = "0061 _errno 006c _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 4A 33 C0 EB 5B 48 85 C9 74 41 48 85 D2 74 3C 48 8B C1 44 38 11 74 18 4D 85 C9 74 22 48 FF CA 74 0E 44 88 00 48 FF C0 49 FF C9 44 38 10 75 E8 4D 85 C9 75 0F EB 08 48 FF CA 74 08 48 FF C0 44 38 10 75 F3 48 85 D2 75 B9 44 88 11 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_619_0_0 {
	meta:
		name = "_snwprintf"
		size = 226
		refs = "002e memset 0038 _errno 0043 _invalid_parameter_noinfo 008f _woutput_l 00ba _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 83 65 C8 00 48 8B DA 33 D2 49 8B F0 48 8B F9 44 8D 42 28 48 8D 4D D0 E8 ?? ?? ?? ?? 48 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 8A 00 00 00 48 85 DB 74 05 48 85 FF 74 DE 4C 8D 4D 40 C7 45 E0 42 00 00 00 48 89 7D D8 48 89 7D C8 48 81 FB FF FF FF 3F 76 09 C7 45 D0 FF FF FF 7F EB 06 8D 04 1B 89 45 D0 48 8D 4D C8 45 33 C0 48 8B D6 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 3F FF 4D D0 78 14 48 8B 45 C8 C6 00 00 48 8B 45 C8 48 FF C0 48 89 45 C8 EB 0F 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 48 8B 45 C8 FF 4D D0 78 05 C6 00 00 EB 0B 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 8B C3 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_620_0_0 {
	meta:
		name = "__crtCorExitProcess"
		size = 57
		refs = "000b ??_C@_1BI@BGOHAHKC@?$AAm?$AAs?$AAc?$AAo?$AAr?$AAe?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0011 __imp_GetModuleHandleW 001d ??_C@_0P@MIGLKIOC@CorExitProcess?$AA@ 0026 __imp_GetProcAddress"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 19 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 85 C0 74 04 8B CB FF D0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_620_1_0 {
	meta:
		name = "__crtExitProcess"
		size = 22
		refs = "0009 __crtCorExitProcess 0011 __imp_ExitProcess"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_620_4_0 {
	meta:
		name = "_init_pointers"
		size = 67
		refs = "0007 _encoded_null 0012 _initp_heap_handler 001a _initp_misc_invarg 0022 _initp_misc_purevirt 002a _initp_misc_rand_s 0032 _initp_misc_winsig 003f _initp_eh_hooks"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_620_5_0 {
	meta:
		name = "_initterm"
		size = 51
	strings:
		$1 = { 48 3B CA 73 2D 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 72 ED 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_6_0 {
	meta:
		name = "_initterm_e"
		size = 57
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 8B FA 48 8B D9 48 3B CA 73 17 85 C0 75 13 48 8B 0B 48 85 C9 74 02 FF D1 48 83 C3 08 48 3B DF 72 E9 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_7_0 {
	meta:
		name = "_get_wpgmptr"
		size = 54
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0023 _wpgmptr"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 11 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 DD 48 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_620_8_0 {
	meta:
		name = "_get_pgmptr"
		size = 54
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0023 _pgmptr"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 11 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 DD 48 89 01 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_620_9_0 {
	meta:
		name = "_cinit"
		size = 175
		refs = "000d _FPinit 001e _IsNonwritableInCurrentImage 002f _initp_misc_cfltcvt_tab 0036 __xi_z 003d __xi_a 0042 _initterm_e 004d _RTC_Terminate 0052 atexit 0059 __xc_a 0060 __xc_z 007c __dyn_tls_init_callback"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 3D ?? ?? ?? ?? 00 8B D9 74 18 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B CB FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 5A 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? EB 0E 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 72 ED 48 83 3D ?? ?? ?? ?? 00 74 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 45 33 C0 33 C9 41 8D 50 02 FF 15 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_620_10_0 {
	meta:
		name = "doexit"
		size = 399
		refs = "002a _lock 0031 _C_Exit_Done 003e _C_Termination_Done 0049 _exitflag 0058 __onexitbegin 005e __imp_DecodePointer 0076 __onexitend 00a7 _encoded_null 0119 __xp_z 0120 __xp_a 0125 _initterm 012c __xt_z 0133 __xt_a 0148 _unlock 0169 __crtCorExitProcess 0172 __imp_ExitProcess"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 44 89 44 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 40 45 8B E0 8B DA 44 8B F9 B9 08 00 00 00 E8 ?? ?? ?? ?? 90 83 3D ?? ?? ?? ?? 01 0F 84 01 01 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 44 88 25 ?? ?? ?? ?? 85 DB 0F 85 D4 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F0 48 89 44 24 30 48 85 C0 0F 84 A3 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F8 48 89 44 24 20 4C 8B F6 48 89 74 24 28 4C 8B E8 48 89 44 24 38 48 83 EF 08 48 89 7C 24 20 48 3B FE 72 70 E8 ?? ?? ?? ?? 48 39 07 75 02 EB E6 48 3B FE 72 5F 48 8B 0F FF 15 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 89 07 FF D3 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 3B F3 75 05 4C 3B E8 74 BC 4C 8B F3 48 89 5C 24 28 48 8B F3 48 89 5C 24 30 4C 8B E8 48 89 44 24 38 48 8B F8 48 89 44 24 20 EB 9A 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 45 85 E4 74 0F B9 08 00 00 00 E8 ?? ?? ?? ?? 45 85 E4 75 26 C7 05 ?? ?? ?? ?? 01 00 00 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 41 8B CF E8 ?? ?? ?? ?? 41 8B CF FF 15 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_620_11_0 {
	meta:
		name = "doexit$fin$0"
		size = 36
		refs = "0018 _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 BD 80 00 00 00 00 74 0B B9 08 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_620_16_0 {
	meta:
		name = "_amsg_exit"
		size = 38
		refs = "0009 _FF_MSGBANNER 0010 _NMSG_WRITE 0021 doexit"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 45 33 C0 B9 FF 00 00 00 41 8D 50 01 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_621_0_0 {
	meta:
		name = "_vsnprintf_l"
		size = 203
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 008d _output_l 00b0 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B DA 33 D2 49 8B F0 48 8B F9 44 8D 42 28 48 8D 48 D0 49 8B E9 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 68 48 85 DB 74 05 48 85 FF 74 E1 4C 8B 8C 24 80 00 00 00 B8 FF FF FF 7F 48 8D 4C 24 20 48 3B D8 4C 8B C5 48 8B D6 0F 47 D8 C7 44 24 38 42 00 00 00 48 89 7C 24 30 89 5C 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 1E FF 4C 24 28 78 0A 48 8B 44 24 20 C6 00 00 EB 0C 48 8D 54 24 20 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_622_9_0 {
	meta:
		name = "_whiteout"
		size = 64
		refs = "0010 _getwche_nolock 002a iswctype"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 FF 07 E8 ?? ?? ?? ?? 0F B7 D8 B8 FF FF 00 00 66 3B D8 74 11 BA 08 00 00 00 0F B7 CB E8 ?? ?? ?? ?? 85 C0 75 DB 0F B7 C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_622_10_0 {
	meta:
		name = "_cprinput_s_l"
		size = 4638
		refs = "0022 __security_cookie 0072 _errno 007d _invalid_parameter_noinfo 008e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00cb iswctype 00e2 _getwche_nolock 0104 _ungetwch_nolock 019e isdigit 0559 __check_float_string 07e6 _malloc_crt 080e wcstombs_s 0830 _cfltcvt_tab 083f __imp_DecodePointer 0856 free 0953 memset 0c91 wctomb_s 0e3e isxdigit 1117 _invoke_watson 11ff __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 50 FD FF FF 48 81 EC B0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 02 00 00 45 33 F6 4C 8D 65 E0 4C 89 45 B8 41 8B C6 41 0F B7 F6 48 8B F9 48 89 4C 24 60 4C 89 64 24 78 48 C7 45 A0 5E 01 00 00 89 45 A8 89 74 24 38 44 89 75 84 4C 89 74 24 68 44 89 74 24 40 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 6B 11 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 0F B7 07 44 88 74 24 3D 45 8B EE 44 89 74 24 30 45 8B FE 44 89 74 24 70 66 85 C0 0F 84 2D 11 00 00 BB 25 00 00 00 41 BC FF FF 00 00 44 8D 7B DC BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 45 33 DB 85 C0 74 50 45 2B EF 45 03 EF 44 89 6C 24 30 E8 ?? ?? ?? ?? 0F B7 D8 66 41 3B C4 74 19 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 75 D9 0F B7 CB E8 ?? ?? ?? ?? 48 83 C7 02 BA 08 00 00 00 0F B7 0F E8 ?? ?? ?? ?? 85 C0 75 EB 8B 74 24 38 E9 4D 0F 00 00 4C 8B 54 24 60 66 41 3B 1A 0F 85 60 0F 00 00 66 41 3B 5A 02 0F 84 3F 0F 00 00 45 0F B7 EB 41 8B D3 41 B8 01 00 00 00 44 89 6D 9C 44 89 5C 24 54 44 89 5C 24 48 45 8A E8 89 54 24 50 45 8B F3 4C 89 5D 88 44 88 5C 24 58 44 88 5C 24 3C 41 8A F3 41 8A FB 44 88 5D 98 45 8A E3 45 8B FB 49 83 C2 02 B8 00 FF 00 00 41 0F B7 1A 4C 89 54 24 60 66 85 D8 75 31 0F B6 CB E8 ?? ?? ?? ?? 8B 54 24 50 4C 8B 54 24 60 45 33 DB 45 8D 43 01 85 C0 74 15 43 8D 04 B6 41 03 D0 44 8D 74 43 D0 89 54 24 50 E9 EF 00 00 00 83 FB 2A 0F 84 E3 00 00 00 83 FB 46 0F 84 DD 00 00 00 83 FB 49 74 57 83 FB 4C 74 4A 83 FB 4E 0F 84 CA 00 00 00 83 FB 68 74 31 B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 AA 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 60 EB 3B 45 02 E8 45 02 E0 E9 94 00 00 00 41 FE CD 41 FE CC E9 89 00 00 00 45 02 E8 E9 81 00 00 00 41 0F B7 42 02 66 83 F8 36 75 1B 49 8D 4A 04 66 83 39 34 75 11 4C 8B D1 48 89 4C 24 60 45 03 F8 4C 89 5D 90 EB 5B 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 60 EB 41 B9 64 00 00 00 66 3B C1 74 D3 B9 69 00 00 00 66 3B C1 74 C9 B9 6F 00 00 00 66 3B C1 74 BF B9 78 00 00 00 66 3B C1 74 B5 B9 58 00 00 00 66 3B C1 74 AB 45 03 F8 4C 89 5D 90 41 02 F8 EB 03 41 02 F0 40 84 FF 0F 84 C0 FE FF FF 40 88 74 24 34 8B 74 24 38 44 88 6C 24 35 8A 4C 24 34 44 8B 6D 9C 44 89 7C 24 4C 4C 8B 7D 88 44 89 74 24 44 84 C9 75 1A 48 8B 45 B8 48 89 45 B0 48 83 C0 08 48 89 45 B8 48 8B 40 F8 48 89 45 88 EB 04 4C 89 5D 88 41 8A DB 88 5D 80 45 84 E4 75 14 66 41 83 3A 53 74 0A 66 41 83 3A 43 45 8A E0 75 03 41 B4 FF 45 0F B7 32 41 83 CE 20 44 89 75 9C 41 83 FE 6E 0F 84 82 00 00 00 41 83 FE 63 74 47 41 83 FE 7B 74 41 8B 7C 24 30 BB FF FF 00 00 41 03 F8 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 66 3B C3 74 17 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 41 B8 01 00 00 00 85 C0 75 D5 8A 5D 80 44 8B 75 9C 89 7C 24 30 EB 11 44 01 44 24 30 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 B8 FF FF 00 00 66 3B C6 0F 84 33 0D 00 00 4C 8B 54 24 60 8B 54 24 50 8A 4C 24 34 45 33 DB 45 8D 43 01 EB 05 B8 FF FF 00 00 8B 7C 24 44 85 D2 74 08 85 FF 0F 84 FB 0C 00 00 84 C9 75 50 41 83 FE 63 74 0C 41 83 FE 73 74 06 41 83 FE 7B 75 3E 4C 8B 45 B0 49 8B 00 49 83 C0 08 45 8B 38 4D 8B C8 4C 89 45 B0 49 83 C0 08 48 89 45 88 4C 89 45 B8 41 B8 01 00 00 00 4D 3B F8 73 16 45 84 E4 0F 8E CA 0C 00 00 66 44 89 18 E9 C4 0C 00 00 4C 8B 4D B0 B8 6F 00 00 00 44 3B F0 0F 8F 45 04 00 00 0F 84 27 09 00 00 41 83 FE 63 0F 84 14 04 00 00 B8 64 00 00 00 44 3B F0 0F 84 0F 09 00 00 0F 8E 53 04 00 00 41 83 FE 67 7E 43 41 83 FE 69 74 22 41 83 FE 6E 0F 85 3D 04 00 00 8B 44 24 30 45 8D 7E 93 84 C9 0F 84 99 0B 00 00 44 8B E8 E9 AB 0B 00 00 44 8B F0 B8 2D 00 00 00 66 3B C6 0F 85 BE 05 00 00 44 88 44 24 3C E9 BE 05 00 00 B9 2D 00 00 00 49 8B FB 66 3B CE 75 0D 48 8B 44 24 78 49 8B F8 66 89 08 EB 0A B8 2B 00 00 00 66 3B C6 75 22 44 8B 64 24 44 44 8B 6C 24 30 45 2B E0 45 03 E8 E8 ?? ?? ?? ?? 8B 54 24 50 0F B7 F0 89 74 24 38 EB 0A 44 8B 64 24 44 44 8B 6C 24 30 85 D2 BA FF FF FF FF BB 00 FF 00 00 44 0F 44 E2 66 85 F3 75 6C 44 8D 7A 02 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 59 41 8B C4 45 2B E7 85 C0 74 4F 48 8B 4C 24 78 44 01 7C 24 48 40 0F BE C6 66 89 04 79 48 8D 45 84 49 03 FF 4C 8D 4D E0 4C 8D 44 24 78 48 8D 55 A0 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 93 0B 00 00 45 03 EF E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 66 85 C3 74 98 48 8B 45 C0 41 BF 01 00 00 00 48 8B 88 28 01 00 00 48 8B 41 58 0F B7 18 40 0F BE C6 8B CB 3B D8 0F 85 BF 00 00 00 41 8B C4 45 2B E7 85 C0 0F 84 B1 00 00 00 45 03 EF E8 ?? ?? ?? ?? 4C 8D 4D E0 0F B7 F0 48 8B 44 24 78 4C 8D 44 24 78 66 89 1C 78 48 8D 45 84 49 03 FF 48 8D 55 A0 48 8B CF 89 74 24 38 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 F6 85 C0 0F 84 07 0B 00 00 BB 00 FF 00 00 EB 5F 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 5A 41 8B C4 45 2B E7 85 C0 74 50 48 8B 44 24 78 44 01 7C 24 48 4C 8D 4D E0 66 89 34 78 48 8D 45 84 49 03 FF 4C 8D 44 24 78 48 8D 55 A0 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 B0 0A 00 00 45 03 EF E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 66 85 F3 74 9C EB 03 45 33 F6 8B 5C 24 48 85 DB 0F 84 23 01 00 00 B9 65 00 00 00 66 3B CE 74 0C 8D 41 E0 66 3B C6 0F 85 0D 01 00 00 41 8B C4 45 2B E7 85 C0 0F 84 FF 00 00 00 48 8B 44 24 78 4C 8D 4D E0 4C 8D 44 24 78 66 89 0C 78 48 8D 45 84 49 03 FF 48 8D 55 A0 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 35 0A 00 00 45 03 EF E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F0 89 74 24 38 66 3B C8 75 34 48 8B 44 24 78 4C 8D 4D E0 4C 8D 44 24 78 66 89 0C 78 48 8D 45 84 49 03 FF 48 8D 55 A0 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 EA 09 00 00 EB 0A B8 2B 00 00 00 66 3B C6 75 6C 41 8B C4 45 2B E7 85 C0 75 53 45 8B E6 EB 5D 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 58 41 8B C4 45 2B E7 85 C0 74 4E 48 8B 44 24 78 4C 8D 4D E0 4C 8D 44 24 78 66 89 34 78 48 8D 45 84 49 03 FF 48 8D 55 A0 48 8B CF 41 03 DF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 81 09 00 00 45 03 EF E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 B8 00 FF 00 00 66 85 F0 74 99 45 2B EF 41 BC FF FF 00 00 44 89 6C 24 30 66 44 3B E6 74 08 0F B7 CE E8 ?? ?? ?? ?? 45 33 DB 85 DB 0F 84 C0 09 00 00 44 38 5C 24 34 0F 85 A3 08 00 00 48 8B 45 A0 44 8B 7C 24 70 4C 8B 64 24 78 48 8D 5C 00 02 41 FF C7 66 45 89 1C 7C 48 8B CB 44 89 7C 24 70 E8 ?? ?? ?? ?? 45 33 F6 48 8B F8 48 85 C0 0F 84 88 09 00 00 48 8D 43 FF 4D 8B CC 4C 8B C3 48 8B D7 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 83 F8 16 0F 84 E8 08 00 00 83 F8 22 0F 84 DF 08 00 00 0F BE 5C 24 35 48 8B 0D ?? ?? ?? ?? 41 BF 01 00 00 00 41 2B DF FF 15 ?? ?? ?? ?? 48 8B 55 88 4C 8D 4D C0 4C 8B C7 8B CB FF D0 48 8B CF E8 ?? ?? ?? ?? E9 D9 07 00 00 85 D2 75 0C 41 03 F8 44 89 44 24 50 89 7C 24 44 45 84 E4 0F 8E 0B 03 00 00 41 8A F8 E9 06 03 00 00 41 83 FE 70 0F 84 CB 04 00 00 41 83 FE 73 0F 84 E2 02 00 00 41 83 FE 75 0F 84 CA 04 00 00 B8 78 00 00 00 44 3B F0 0F 84 E4 FB FF FF 41 83 FE 7B 74 30 66 41 39 32 0F 85 60 08 00 00 FE 4C 24 3D 44 8B 6C 24 30 41 BF 01 00 00 00 41 BC FF FF 00 00 84 C9 0F 85 8C 07 00 00 4C 89 4D B8 E9 83 07 00 00 8B 7D 98 45 84 E4 B8 5E 00 00 00 40 0F B6 FF 41 0F 4F F8 49 83 C2 02 4C 89 54 24 60 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 58 FF 4C 89 54 24 60 48 8B 5C 24 68 48 85 DB 75 28 B9 00 20 00 00 E8 ?? ?? ?? ?? 45 33 E4 48 8B D8 48 89 44 24 68 48 85 C0 0F 84 51 08 00 00 41 8D 44 24 01 89 45 A8 EB 03 45 33 E4 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 60 BA 5D 00 00 00 66 41 3B 12 75 0D 8D 42 C3 44 8B EA 49 83 C2 02 88 43 0B 41 0F B7 0A 66 3B D1 0F 84 C1 00 00 00 BE 2D 00 00 00 44 8D 4E D4 49 83 C2 02 66 3B F1 75 7C 66 45 85 ED 74 76 41 0F B7 02 66 3B D0 74 6D 49 83 C2 02 4C 89 54 24 60 66 44 3B E8 73 06 44 0F B7 C8 EB 08 45 0F B7 CD 44 0F B7 E8 41 BB 01 00 00 00 66 45 3B E9 73 2D 45 0F B7 D5 41 0F B7 CD 4D 8B C2 41 8B D3 83 E1 07 49 C1 E8 03 66 45 03 EB D2 E2 4D 03 D3 41 08 14 18 66 45 3B E9 72 DC 4C 8B 54 24 60 45 0F B7 C1 41 0F B7 C1 41 8B D3 41 B9 01 00 00 00 45 0F B7 EC EB 0E 44 0F B7 E9 44 0F B7 C1 0F B7 C1 41 8B D1 83 E0 07 49 C1 E8 03 8A C8 D2 E2 41 08 14 18 41 0F B7 0A BA 5D 00 00 00 66 3B D1 0F 85 4C FF FF FF 8B 74 24 38 66 45 39 22 0F 84 B1 06 00 00 4C 89 54 24 60 41 B8 01 00 00 00 E9 2A 01 00 00 B8 2B 00 00 00 66 3B C6 75 10 41 2B F8 89 7C 24 44 75 74 85 D2 74 70 41 8A D8 44 8B 64 24 30 B8 30 00 00 00 66 3B C6 0F 85 24 03 00 00 45 03 E0 44 89 64 24 30 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 38 66 3B C6 0F 84 83 00 00 00 8D 48 E0 66 3B CE 74 7B 44 8D 68 89 45 8B FD 44 3B F0 74 48 33 C0 39 44 24 50 74 0C 41 2B FD 89 7C 24 44 75 03 41 02 DD 41 BE 6F 00 00 00 44 8B 64 24 4C E9 D4 02 00 00 44 8B 64 24 30 45 03 E0 44 89 64 24 30 E8 ?? ?? ?? ?? 41 B8 01 00 00 00 0F B7 F0 89 74 24 38 E9 74 FF FF FF 45 2B E5 B8 FF FF 00 00 44 89 64 24 30 66 3B C6 74 08 0F B7 CE E8 ?? ?? ?? ?? B8 30 00 00 00 8B F0 89 44 24 38 EB AB 41 BD 01 00 00 00 45 03 E5 44 89 64 24 30 E8 ?? ?? ?? ?? 0F B7 F0 33 C0 89 74 24 38 39 44 24 50 74 0F 83 EF 02 89 7C 24 44 41 3B FD 7D 03 41 02 DD 44 8B 64 24 4C 44 8B 7C 24 48 B8 78 00 00 00 44 8B F0 E9 46 02 00 00 0F B6 7D 98 45 84 E4 41 0F 4F F8 EB 03 8B 7D 98 8B 4C 24 30 48 8B 5D 88 B8 FF FF 00 00 41 2B C8 89 4C 24 30 66 3B C6 74 12 0F B7 CE E8 ?? ?? ?? ?? 8B 4C 24 30 41 B8 01 00 00 00 41 83 FE 63 74 03 4D 2B F8 44 8A 64 24 58 44 8B 6C 24 44 45 33 DB 44 39 5C 24 50 74 0E 41 8B C5 45 2B E8 85 C0 0F 84 64 01 00 00 41 03 C8 89 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 41 83 FE 63 74 4F 41 83 FE 73 75 1A 66 83 F8 09 72 0A 66 83 F8 0D 0F 86 CA 00 00 00 B8 20 00 00 00 66 3B F0 75 2F 41 83 FE 7B 0F 85 B6 00 00 00 48 8B 4C 24 68 0F B7 C6 0F B7 D6 48 C1 E8 03 83 E2 07 0F BE 0C 08 41 0F BE C4 33 C8 0F A3 D1 0F 83 91 00 00 00 45 33 DB 44 38 5C 24 34 75 74 4D 85 FF 0F 84 E7 04 00 00 40 84 FF 74 1F 48 8B 4D 88 45 8D 43 01 66 89 31 48 83 C1 02 4D 2B F8 48 89 4D 88 8B 4C 24 30 E9 4C FF FF FF 48 8B 55 88 48 8D 4C 24 48 44 0F B7 CE 4D 8B C7 44 89 5C 24 48 E8 ?? ?? ?? ?? 83 F8 22 0F 84 A0 04 00 00 48 63 44 24 48 8B 4C 24 30 45 33 DB 45 8D 43 01 85 C0 0F 8E 11 FF FF FF 48 01 45 88 4C 2B F8 E9 05 FF FF FF 8B 4C 24 30 48 83 C3 02 41 B8 01 00 00 00 E9 F2 FE FF FF 44 8B 6C 24 30 41 B8 01 00 00 00 41 BC FF FF 00 00 45 2B E8 44 89 6C 24 30 66 44 3B E6 74 0E 0F B7 CE E8 ?? ?? ?? ?? 41 B8 01 00 00 00 45 33 DB 48 8B 45 88 48 3B D8 0F 84 E6 03 00 00 44 38 5C 24 34 0F 85 42 03 00 00 44 01 44 24 70 41 83 FE 63 0F 84 33 03 00 00 41 BF 01 00 00 00 40 84 FF 74 16 66 44 89 18 E9 25 03 00 00 44 8B 6C 24 30 41 BC FF FF 00 00 EB B8 44 88 18 E9 10 03 00 00 44 8B 64 24 4C 44 88 44 24 35 4C 89 5D 90 45 03 E0 EB 05 44 8B 64 24 4C B8 2D 00 00 00 66 3B C6 75 07 44 88 44 24 3C EB 0A B8 2B 00 00 00 66 3B C6 75 2A 41 2B F8 89 7C 24 44 75 09 85 D2 74 05 41 8A D8 EB 18 44 01 44 24 30 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 EB 05 44 8B 64 24 4C 44 8B 7C 24 48 B8 78 00 00 00 33 FF 45 85 E4 0F 84 1C 01 00 00 84 DB 48 8B 5D 90 0F 85 F6 00 00 00 44 8B 6C 24 44 44 3B F0 74 4E 41 83 FE 70 74 48 B8 00 FF 00 00 66 85 F0 0F 85 BE 00 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 AB 00 00 00 B8 6F 00 00 00 44 3B F0 75 14 B8 38 00 00 00 66 3B C6 0F 86 93 00 00 00 48 C1 E3 03 EB 51 48 8D 1C 9B 48 03 DB EB 48 B8 00 FF 00 00 66 85 F0 75 7A 0F B7 DE 0F B6 FB 8B CF E8 ?? ?? ?? ?? 33 C9 85 C0 74 67 48 C1 65 90 04 8B CF E8 ?? ?? ?? ?? 33 FF 85 C0 74 05 0F B7 F3 EB 0C BE DF FF 00 00 66 23 F3 66 83 EE 07 48 8B 5D 90 89 74 24 38 0F B7 C6 B9 01 00 00 00 83 E8 30 44 03 F9 48 98 48 03 D8 48 89 5D 90 39 7C 24 50 74 05 44 2B E9 74 34 01 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 38 E9 29 FF FF FF FF 4C 24 30 B8 FF FF 00 00 66 3B C6 74 08 0F B7 CE E8 ?? ?? ?? ?? 48 8B 5D 90 45 33 DB 44 38 5C 24 3C 0F 84 1E 01 00 00 48 F7 DB 48 89 5D 90 E9 12 01 00 00 84 DB 8B 5C 24 54 0F 85 F6 00 00 00 44 8B 6C 24 44 44 3B F0 74 4C 41 83 FE 70 74 46 B8 00 FF 00 00 66 85 F0 0F 85 BE 00 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 AB 00 00 00 B8 6F 00 00 00 44 3B F0 75 13 B8 38 00 00 00 66 3B C6 0F 86 93 00 00 00 C1 E3 03 EB 56 8D 04 9B 8D 1C 00 EB 4E B8 00 FF 00 00 66 85 F0 75 7C 0F B7 DE 0F B6 FB 8B CF E8 ?? ?? ?? ?? 33 C9 85 C0 74 69 8B 44 24 54 8B CF C1 E0 04 89 44 24 54 E8 ?? ?? ?? ?? 33 FF 85 C0 74 05 0F B7 F3 EB 0C BE DF FF 00 00 66 23 F3 66 83 EE 07 8B 5C 24 54 89 74 24 38 0F B7 C6 B9 01 00 00 00 8D 5C 03 D0 44 03 F9 89 5C 24 54 39 7C 24 50 74 05 44 2B E9 74 34 01 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 38 E9 29 FF FF FF FF 4C 24 30 B8 FF FF 00 00 66 3B C6 74 08 0F B7 CE E8 ?? ?? ?? ?? 8B 5C 24 54 45 33 DB 44 38 5C 24 3C 74 06 F7 DB 89 5C 24 54 41 83 FE 46 45 0F 44 FB 45 85 FF }
	condition:
		$1
}

rule file_623_0_0 {
	meta:
		name = "_cgets_s"
		size = 302
		refs = "002a __doserrno 0032 _errno 003e _invalid_parameter_noinfo 0070 _lock 008d _cgetws_s 00b9 wctomb_s 00eb __console_wchar_buffer 00f1 __console_wchar_buffer_used 00ff _unlock"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 40 49 8B F0 48 8B F9 45 33 ED 41 8B C5 48 85 C9 0F 95 C0 85 C0 75 20 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 D1 00 00 00 41 8B C5 48 85 D2 0F 95 C0 85 C0 74 D3 44 88 29 41 8B C5 4D 85 C0 0F 95 C0 85 C0 74 C3 4C 8D 62 FF B9 03 00 00 00 E8 ?? ?? ?? ?? 90 4C 89 2E 4C 89 6C 24 28 4C 8D 44 24 28 BA 02 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B D8 89 44 24 24 85 C0 75 5E 44 89 6C 24 78 8B 4C 24 20 66 85 C9 74 50 44 0F B7 C9 4D 8B C4 48 8B D7 48 8D 4C 24 78 E8 ?? ?? ?? ?? 8B D8 89 44 24 24 85 C0 75 1C 48 63 44 24 78 48 03 F8 48 89 7C 24 60 48 01 06 4C 2B E0 4C 89 64 24 30 75 97 EB 16 0F B7 44 24 20 66 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 44 88 2F 85 DB 0F 84 34 FF FF FF E8 ?? ?? ?? ?? 89 18 E9 28 FF FF FF 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 40 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_623_2_0 {
	meta:
		name = "_cgets"
		size = 110
		refs = "001f __doserrno 0026 _errno 0031 _invalid_parameter_noinfo 004a _cgets_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B F9 48 89 74 24 30 48 85 C9 75 1B E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 25 48 0F BE 11 48 8D 59 02 4C 8D 44 24 30 48 8B CB E8 ?? ?? ?? ?? 8A 4C 24 30 85 C0 88 4F 01 48 0F 45 DE 48 8B C3 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_624_0_0 {
	meta:
		name = "_get_fpsr"
		size = 16
	strings:
		$1 = { 48 83 EC 08 0F AE 1C 24 8B 04 24 48 83 C4 08 C3 }
	condition:
		$1
}

rule file_624_2_0 {
	meta:
		name = "_fclrf"
		size = 20
	strings:
		$1 = { 0F AE 5C 24 08 B9 C0 FF FF FF 21 4C 24 08 0F AE 54 24 08 C3 }
	condition:
		$1
}

rule file_624_3_0 {
	meta:
		name = "_frnd"
		size = 31
		refs = "0004 __real@433fffffffffffff 000e __real@c33fffffffffffff"
	strings:
		$1 = { 66 0F 2E 05 ?? ?? ?? ?? 73 14 66 0F 2E 05 ?? ?? ?? ?? 76 0A F2 48 0F 2D C8 F2 48 0F 2A C1 C3 }
	condition:
		$1
}

rule file_626_0_0 {
	meta:
		name = "_controlfp_s"
		size = 99
		refs = "0027 _control87 002e _errno 003a _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 41 0F BA F0 13 8B C2 44 8B CA 41 23 C0 48 8B D9 A9 E0 FC F0 FC 74 25 48 85 C9 74 0B 33 D2 33 C9 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 1B 48 85 C9 41 8B D0 41 8B C9 74 09 E8 ?? ?? ?? ?? 89 03 EB 05 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_627_3_0 {
	meta:
		name = "_mbslwr_s_l"
		size = 338
		refs = "0034 strnlen 0048 _errno 0054 _invalid_parameter_noinfo 0067 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00c4 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 55 48 8B EC 48 83 EC 70 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 1D 48 85 D2 74 1D 48 85 C9 0F 84 DF 00 00 00 E8 ?? ?? ?? ?? 48 3B C3 72 22 C6 07 00 EB 05 48 85 D2 74 E3 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 B5 00 00 00 48 8D 4D E0 48 8B D6 E8 ?? ?? ?? ?? 80 3F 00 48 8B F7 48 8B DF 0F 84 84 00 00 00 48 8B 4D E8 0F B6 06 48 8D 14 08 F6 42 1D 04 74 5A 8B 41 04 8B 51 0C C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 45 10 C7 44 24 30 02 00 00 00 48 89 44 24 28 48 8D 4D E0 4C 8B CE 41 B8 00 01 00 00 C7 44 24 20 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 5E 8A 4D 10 48 FF C6 88 0B 48 8B 4D E8 48 FF C3 83 F8 01 7E 16 8A 45 11 EB 0C F6 42 1D 10 74 06 8A 82 1D 01 00 00 88 03 48 FF C3 48 FF C6 80 3E 00 75 80 80 7D F8 00 C6 03 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 4C 8D 5C 24 70 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 E8 ?? ?? ?? ?? 80 7D F8 00 8B 00 74 CF 48 8B 4D F0 83 A1 C8 00 00 00 FD EB C2 }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "clearerr_s"
		size = 184
		refs = "0024 _errno 0030 _invalid_parameter_noinfo 0039 _lock_file 0046 _fileno 006e __pioinfo 008e __badioinfo 00a2 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 4C 24 08 57 48 83 EC 20 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 70 E8 ?? ?? ?? ?? 90 83 67 18 CF 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 3C 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2F 48 8B CF E8 ?? ?? ?? ?? 48 63 D8 48 C1 FB 05 48 8D 35 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 1F 4D 6B DB 58 4C 03 1C DE EB 07 4C 8D 1D ?? ?? ?? ?? 41 0F BE 43 08 83 E0 FD 41 88 43 08 48 8B CF E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_630_3_0 {
	meta:
		name = "_mbsnset_l"
		size = 407
		refs = "0032 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0041 _errno 004c _invalid_parameter_noinfo 007f _strnset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 57 48 83 EC 40 48 8B D9 4C 8B E9 8B EA 48 8D 48 C8 49 8B D1 49 8B F0 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 2F 48 85 F6 74 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 E9 0E 01 00 00 4C 8B 64 24 28 41 39 7C 24 08 75 29 4C 8B C6 8B D5 48 8B CB E8 ?? ?? ?? ?? 40 38 7C 24 38 0F 84 EA 00 00 00 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 D9 00 00 00 8B CD 41 BF 20 00 00 00 C1 E9 08 84 C9 74 74 40 84 ED 75 11 E8 ?? ?? ?? ?? 41 8A CF 41 8A EF C7 00 16 00 00 00 48 85 F6 0F 84 95 00 00 00 48 FF CE 80 3B 00 74 7D 85 FF 75 12 0F B6 03 42 F6 44 20 1D 04 74 07 BF 01 00 00 00 EB 02 33 FF 88 0B 48 FF C3 80 3B 00 74 20 85 FF 75 12 0F B6 03 42 F6 44 20 1D 04 74 07 BF 01 00 00 00 EB 02 33 FF 40 88 2B 48 FF C3 EB 04 44 88 7B FF 48 85 F6 75 AD EB 30 48 85 F6 74 3B 48 FF CE 80 3B 00 74 23 85 FF 75 12 0F B6 03 42 F6 44 20 1D 04 74 07 BF 01 00 00 00 EB 02 33 FF 40 88 2B 48 FF C3 48 85 F6 75 D5 85 FF 74 0C 0F B6 0B 80 3B 00 41 0F 45 CF 88 0B 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 49 8B C5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 40 41 5F 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_632_0_0 {
	meta:
		name = "_finite"
		size = 42
	strings:
		$1 = { 48 B9 FF FF FF FF FF FF FF 7F F2 0F 11 44 24 08 48 8B 44 24 08 48 23 C1 48 B9 00 00 00 00 00 00 F0 7F 48 2B C1 48 C1 E8 3F C3 }
	condition:
		$1
}

rule file_634_0_0 {
	meta:
		name = "_wutime32"
		size = 139
		refs = "0013 _errno 001e _invalid_parameter_noinfo 0041 _wsopen_s 0051 _futime32 006e _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 59 83 64 24 20 00 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 D9 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 75 09 E8 ?? ?? ?? ?? 8B 38 EB 04 8B 7C 24 40 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FB FF 75 07 E8 ?? ?? ?? ?? 89 38 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_759_1_0 {
	meta:
		name = "_utime32"
		size = 139
		refs = "0013 _errno 001e _invalid_parameter_noinfo 0041 _sopen_s 0051 _futime32 006e _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 59 83 64 24 20 00 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 D9 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 75 09 E8 ?? ?? ?? ?? 8B 38 EB 04 8B 7C 24 40 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FB FF 75 07 E8 ?? ?? ?? ?? 89 38 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_796_1_0 {
	meta:
		name = "_utime64"
		size = 139
		refs = "0013 _errno 001e _invalid_parameter_noinfo 0041 _sopen_s 0051 _futime64 006e _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 59 83 64 24 20 00 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 D9 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 75 09 E8 ?? ?? ?? ?? 8B 38 EB 04 8B 7C 24 40 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FB FF 75 07 E8 ?? ?? ?? ?? 89 38 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_850_0_0 {
	meta:
		name = "_wutime64"
		size = 139
		refs = "0013 _errno 001e _invalid_parameter_noinfo 0041 _wsopen_s 0051 _futime64 006e _close"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 30 48 8B DA 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 59 83 64 24 20 00 48 8B D1 48 8D 4C 24 40 41 B9 40 00 00 00 41 B8 02 80 00 00 E8 ?? ?? ?? ?? 85 C0 75 D9 8B 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 8B D8 83 F8 FF 75 09 E8 ?? ?? ?? ?? 8B 38 EB 04 8B 7C 24 40 8B 4C 24 40 E8 ?? ?? ?? ?? 83 FB FF 75 07 E8 ?? ?? ?? ?? 89 38 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_635_2_0 {
	meta:
		name = "strerror"
		size = 154
		refs = "000d _getptd_noexit 001c ??_C@_0EA@FCLIIPNN@Visual?5C?$CL?$CL?5CRT?3?5Not?5enough?5memor@ 003d _calloc_crt 0053 __sys_nerr 0063 __sys_errlist 0077 strcpy_s 0095 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 8B F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 12 48 8D 05 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 48 83 78 38 00 75 18 BA 01 00 00 00 B9 86 00 00 00 E8 ?? ?? ?? ?? 48 89 43 38 48 85 C0 74 CF 48 8B 5B 38 85 FF 78 09 E8 ?? ?? ?? ?? 3B 38 7C 07 E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 48 63 CF BA 86 00 00 00 4C 8B 04 C8 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 05 48 8B C3 EB 9C 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_635_3_0 {
	meta:
		name = "strerror_s"
		size = 142
		refs = "001e _errno 002a _invalid_parameter_noinfo 004a __sys_nerr 005a __sys_errlist 0070 strncpy_s 0089 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 41 8B D8 48 8B FA 48 8B F1 48 85 C9 75 23 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 48 85 D2 74 D8 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 4C 8D 4F FF 4C 8B 04 C8 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 B8 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_636_7_0 {
	meta:
		name = "??1UMSBackgroundPoller@details@Concurrency@@QEAA@XZ"
		size = 39
		refs = "000f __imp_CloseHandle"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 FF 15 ?? ?? ?? ?? 48 8B 0B 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_636_22_0 {
	meta:
		name = "?InsertProxyInCompletionWhenAwake@UMSBackgroundPoller@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@PEAVUMSSchedulerProxy@23@@Z"
		size = 65
		refs = "001c ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z 0037 __imp_SetEvent"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 4C 89 82 E0 00 00 00 48 81 C2 B0 00 00 00 48 83 C1 28 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 1C FF C0 83 F8 01 75 0A 48 8B 4B 10 FF 15 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_636_23_0 {
	meta:
		name = "?StartPolling@UMSBackgroundPoller@details@Concurrency@@AEAAXXZ"
		size = 265
		refs = "0038 __imp_WaitForSingleObject 0057 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0082 ?IsSuspended@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 00c7 ?PushPolledCompletion@UMSSchedulerProxy@details@Concurrency@@AEAAXPEAVUMSThreadProxy@23@@Z 00d8 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00e5 ??1UMSBackgroundPoller@details@Concurrency@@QEAA@XZ 0105 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 57 41 54 41 55 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 48 89 74 24 68 48 8B F9 83 CA FF 8B 47 1C 85 C0 7E 03 8B 57 18 48 8B 4F 10 FF 15 ?? ?? ?? ?? 44 8A 5F 20 45 84 DB 0F 85 98 00 00 00 48 8D 5F 28 48 89 5C 24 50 48 8D 4B 08 E8 ?? ?? ?? ?? 90 48 8B 33 48 85 F6 74 04 48 8B 76 08 48 85 F6 74 66 48 3B 33 74 06 48 8B 6E 08 EB 02 33 ED 48 8D 8E 50 FF FF FF E8 ?? ?? ?? ?? 84 C0 75 41 48 8B 4E 08 48 8B 06 48 89 01 48 8B 0E 48 8B 46 08 48 89 41 08 48 8B 03 48 3B F0 75 10 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 03 F0 FF 4F 1C 48 8D 96 50 FF FF FF 48 8B 4E 30 E8 ?? ?? ?? ?? 48 8B F5 48 85 ED 75 9A 48 8D 4B 08 E8 ?? ?? ?? ?? E9 44 FF FF FF 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5D 41 5C 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_636_26_0 {
	meta:
		name = "??0UMSBackgroundPoller@details@Concurrency@@QEAA@H@Z"
		size = 164
		refs = "002a ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 003a __imp_CreateEventW 0049 __imp_GetLastError 0061 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0068 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0072 _CxxThrowException 007e ?BackgroundPollerMain@UMSBackgroundPoller@details@Concurrency@@CAKPEAX@Z 0094 ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 83 21 00 48 83 61 10 00 89 51 18 C7 41 1C 00 00 00 00 C6 41 20 00 48 83 61 28 00 48 8B D9 48 83 C1 30 E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 43 10 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8D 43 08 4C 8D 05 ?? ?? ?? ?? 4C 8B CB 48 89 44 24 28 83 64 24 20 00 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_637_33_0 {
	meta:
		name = "?NotifyBlocked@UMSThreadProxy@details@Concurrency@@QEAAX_N@Z"
		size = 28
	strings:
		$1 = { 8A C2 F6 D8 45 1B C0 33 C0 41 F7 D8 41 FF C0 44 89 41 38 84 D2 75 04 48 87 41 40 C3 }
	condition:
		$1
}

rule file_637_35_0 {
	meta:
		name = "?SetAffinity@UMSFreeThreadProxy@details@Concurrency@@QEAAXUHardwareAffinity@23@@Z"
		size = 85
		refs = "0031 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 18 57 48 83 EC 20 0F B7 81 28 01 00 00 48 8B FA 48 8B D9 66 39 42 08 75 0C 48 8B 81 20 01 00 00 48 39 02 74 0C 48 8B 51 28 48 8B CF E8 ?? ?? ?? ?? 0F B7 47 08 66 89 83 28 01 00 00 48 8B 07 48 89 83 20 01 00 00 48 8B 5C 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_637_44_0 {
	meta:
		name = "?PollForCompletion@UMSSchedulerProxy@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 19
		refs = "000f ?InsertProxyInCompletionWhenAwake@UMSBackgroundPoller@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@PEAVUMSSchedulerProxy@23@@Z"
	strings:
		$1 = { 48 8B 41 20 4C 8B C1 48 8B 88 98 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_637_45_0 {
	meta:
		name = "?Reference@UMSSchedulerProxy@details@Concurrency@@QEAAJXZ"
		size = 16
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 81 44 01 00 00 FF C0 C3 }
	condition:
		$1
}

rule file_637_47_0 {
	meta:
		name = "??0InitialThreadParam@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAV123@@Z"
		size = 94
		refs = "0019 __imp_CreateEventW 0027 __imp_GetLastError 003f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0046 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0050 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 89 51 08 48 8B D9 45 33 C9 33 D2 33 C9 45 33 C0 FF 15 ?? ?? ?? ?? 48 89 03 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_637_51_0 {
	meta:
		name = "??1InitialThreadParam@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@XZ"
		size = 23
		refs = "000e __imp_CloseHandle"
	strings:
		$1 = { 48 83 EC 28 48 8B 09 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_637_52_0 {
	meta:
		name = "?SchedulerProxy@UMSFreeVirtualProcessorRoot@details@Concurrency@@IEAAPEAVUMSSchedulerProxy@23@XZ"
		size = 16
	strings:
		$1 = { 48 8B 51 38 33 C0 48 85 D2 74 04 48 8D 42 F8 C3 }
	condition:
		$1
}

rule file_637_53_0 {
	meta:
		name = "?StartupPrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXXZ"
		size = 21
		refs = "0011 __imp_SetEvent"
	strings:
		$1 = { C6 81 BB 00 00 00 01 48 8B 89 90 00 00 00 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_637_54_0 {
	meta:
		name = "?OnPrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ"
		size = 30
		refs = "000b __imp_GetCurrentThreadId"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 3B 83 B0 00 00 00 0F 94 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_637_57_0 {
	meta:
		name = "??1UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
		size = 108
		refs = "0009 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BIThreadProxy@2@@ 0016 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BUMSBaseObject@12@@ 0021 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BVirtualProcessorRoot@12@@ 0032 __imp_CloseHandle 0053 ??_7VirtualProcessorRoot@details@Concurrency@@6B@ 005a ??_7ExecutionResource@details@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 48 8B 89 98 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 8B 88 00 00 00 FF 15 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 89 5B 10 48 89 43 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_637_59_0 {
	meta:
		name = "?DeleteThis@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXXZ"
		size = 126
		refs = "000e ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0016 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 006f __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0A 48 8D 48 08 48 8B 11 FF 52 30 C6 83 AA 00 00 00 01 48 85 FF 74 17 48 8B 47 40 48 8D 4B F0 48 3B C1 74 2E 48 8D 4F 08 48 8B 01 FF 50 38 48 83 7B 78 00 74 1D 80 BB AB 00 00 00 00 48 8B 8B 80 00 00 00 75 07 C6 83 AB 00 00 00 01 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_637_60_0 {
	meta:
		name = "?Activate@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 129
		refs = "005e ?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 0072 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 80 B9 A9 00 00 00 00 4C 8B C2 48 8B F9 74 1A B8 01 00 00 00 F0 0F C1 41 70 FF C0 83 F8 02 74 4C 48 8B 89 80 00 00 00 EB 3D 48 89 91 90 00 00 00 48 8B 02 48 8D 51 F0 49 8B C8 FF 50 18 48 8B 4F 28 C6 87 A9 00 00 00 01 48 8D 57 08 C7 47 70 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 8F 80 00 00 00 C6 87 AB 00 00 00 01 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_637_61_0 {
	meta:
		name = "?EnsureAllTasksVisible@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 305
		refs = "001c __imp_GetCurrentThreadId 005a ??0invalid_operation@Concurrency@@QEAA@XZ 0061 _TI2?AVinvalid_operation@Concurrency@@ 006b _CxxThrowException 00aa ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 00b2 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 00f4 ?FlushStoreBuffers@ResourceManager@details@Concurrency@@QEAAXXZ 00fb ??_C@_08BAFMHLII@pContext?$AA@ 010f ??0exception@std@@QEAA@AEBQEBD@Z 0116 ??_7invalid_argument@std@@6B@ 011d _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 40 48 8B F2 48 8B D9 FF 15 ?? ?? ?? ?? 3B 83 A0 00 00 00 40 0F 94 C5 48 85 F6 0F 84 C5 00 00 00 40 84 ED 74 0D 48 3B B3 90 00 00 00 0F 85 B3 00 00 00 48 83 BB 98 00 00 00 00 75 21 40 84 ED 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 06 48 8B CE 33 FF FF 50 10 48 8D 4B F0 48 3B C1 74 12 48 8B 06 48 8B CE FF 50 10 48 85 C0 74 04 48 8D 78 F8 40 84 ED 75 3C 48 85 FF 74 37 48 39 BB 98 00 00 00 75 12 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 4B 28 48 8B 49 18 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F E9 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 48 89 44 24 50 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_637_66_0 {
	meta:
		name = "?InternalDeactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ"
		size = 173
		refs = "007b ?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z 008f __imp_WaitForMultipleObjects"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B 81 90 00 00 00 48 8B 51 38 33 DB 48 89 44 24 20 48 8B F9 BE 02 00 00 00 48 8D 42 F8 48 85 D2 75 02 8B C3 48 8B 80 20 01 00 00 48 89 44 24 28 48 8D 42 F8 48 85 D2 75 03 48 8B C3 48 8B 80 28 01 00 00 B9 03 00 00 00 48 85 C0 48 89 44 24 30 0F 45 F1 EB 1A 48 8B 47 38 48 8D 48 F8 48 85 C0 75 03 48 8B CB 45 33 C0 33 D2 E8 ?? ?? ?? ?? 48 8D 54 24 20 41 83 C9 FF 45 33 C0 8B CE FF 15 ?? ?? ?? ?? 83 F8 01 74 CD 48 8B 5C 24 50 48 8B 74 24 58 85 C0 0F 94 C0 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_637_67_0 {
	meta:
		name = "?Affinitize@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z"
		size = 259
		refs = "000f __security_cookie 002c ?SpinUntilBlocked@UMSThreadProxy@details@Concurrency@@IEAAXXZ 006f memset 008e memcpy 00b8 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 00db ?PrepareToRun@UMSThreadProxy@details@Concurrency@@IEAAXPEAVUMSFreeVirtualProcessorRoot@23@@Z 00ef __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 33 DB 48 8B F2 48 8B E9 45 84 C0 75 08 48 8B CA E8 ?? ?? ?? ?? 48 39 6E 48 0F 84 9A 00 00 00 48 8B 45 38 48 85 C0 74 04 48 8D 58 F8 48 8D 4D 10 48 8B 01 FF 10 33 D2 8B C8 48 8B 43 28 44 8D 42 10 48 6B C9 38 48 8B 3C 01 0F B7 5C 01 14 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4C 24 20 41 B8 10 00 00 00 66 89 5C 24 38 48 89 7C 24 30 E8 ?? ?? ?? ?? 0F B7 4C 24 28 66 3B 8E 28 01 00 00 75 0E 48 8B 44 24 20 48 3B 86 20 01 00 00 74 18 48 8B 56 28 48 8D 4C 24 20 E8 ?? ?? ?? ?? 0F B7 4C 24 28 48 8B 44 24 20 66 89 8E 28 01 00 00 48 89 86 20 01 00 00 48 8B D5 48 8B CE E8 ?? ?? ?? ?? 48 89 B5 A8 00 00 00 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_637_68_0 {
	meta:
		name = "?CriticalBlockAndExecute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z"
		size = 148
		refs = "004c ?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z 0062 __imp_WaitForMultipleObjects 006e ?IsTerminated@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 0083 ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 48 8B 81 98 00 00 00 48 8B FA 48 8B D9 48 89 44 24 20 48 8B 41 38 48 85 C0 74 04 48 83 C0 F8 48 8B 80 20 01 00 00 48 89 44 24 28 48 8B 43 38 48 85 C0 74 06 48 8D 48 F8 EB 02 33 C9 45 33 C0 33 D2 E8 ?? ?? ?? ?? 45 33 C0 48 8D 54 24 20 41 8D 48 02 41 83 C9 FF FF 15 ?? ?? ?? ?? 85 C0 75 CB 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 13 41 B1 01 45 33 C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB AC 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_637_69_0 {
	meta:
		name = "?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z"
		size = 45
	strings:
		$1 = { 48 83 EC 28 48 8B 89 A0 00 00 00 0F B6 C2 C7 44 24 30 08 00 00 00 83 E0 01 48 8D 54 24 30 89 44 24 34 48 8B 01 FF 50 20 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_637_73_0 {
	meta:
		name = "?GetResourceManager@UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAAPEAVResourceManager@23@XZ"
		size = 20
	strings:
		$1 = { 48 8B 51 38 33 C0 48 85 D2 74 04 48 8D 42 F8 48 8B 40 20 C3 }
	condition:
		$1
}

rule file_637_83_0 {
	meta:
		name = "?Release@UMSSchedulerProxy@details@Concurrency@@QEAAJXZ"
		size = 59
		refs = "0022 ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 002a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 83 CF FF F0 0F C1 B9 44 01 00 00 FF CF 75 12 48 85 C9 74 0D E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_637_85_0 {
	meta:
		name = "?Deactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAA_NPEAUIExecutionContext@3@@Z"
		size = 391
		refs = "001a __imp_GetCurrentThreadId 0058 ??0invalid_operation@Concurrency@@QEAA@XZ 005f _TI2?AVinvalid_operation@Concurrency@@ 0069 _CxxThrowException 00a8 ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 00b0 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 00fb ?DecrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 0108 ?Deactivate@UMSThreadProxy@details@Concurrency@@IEAA_NXZ 0112 ?InternalDeactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ 0129 ?IncrementCoreSubscription@SchedulerProxy@details@Concurrency@@QEAAXPEAVExecutionResource@23@@Z 014b ??_C@_08BAFMHLII@pContext?$AA@ 0165 ??0exception@std@@QEAA@AEBQEBD@Z 016c ??_7invalid_argument@std@@6B@ 0173 _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 70 48 8B F2 48 8B D9 FF 15 ?? ?? ?? ?? 3B 83 A0 00 00 00 40 0F 94 C5 48 85 F6 0F 84 17 01 00 00 40 84 ED 74 0D 48 3B B3 90 00 00 00 0F 85 05 01 00 00 48 83 BB 98 00 00 00 00 75 21 40 84 ED 75 1C 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8B 06 48 8B CE 33 FF FF 50 10 4C 8D 63 F0 49 3B C4 74 12 48 8B 06 48 8B CE FF 50 10 48 85 C0 74 04 48 8D 78 F8 40 84 ED 75 3C 48 85 FF 74 37 48 39 BB 98 00 00 00 75 12 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 74 1C 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC 80 BB A8 00 00 00 00 74 21 83 C8 FF F0 0F C1 43 70 FF C8 75 43 38 83 A8 00 00 00 74 0D 48 8B 4B 28 48 8D 53 08 E8 ?? ?? ?? ?? 48 85 FF 74 0A 48 8B CF E8 ?? ?? ?? ?? EB 08 49 8B CC E8 ?? ?? ?? ?? 88 83 A8 00 00 00 84 C0 74 0D 48 8B 4B 28 48 8D 53 08 E8 ?? ?? ?? ?? 8A 83 A8 00 00 00 4C 8D 5C 24 70 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5C 5F 5E C3 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 90 00 00 00 48 8D 4C 24 20 48 89 84 24 90 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_637_87_0 {
	meta:
		name = "?HandleBlocking@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z"
		size = 138
		refs = "004f ?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z 0063 ?CriticalBlockAndExecute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F1 48 8D 4A 08 41 8A F8 48 8B 01 48 8B DA FF 50 40 48 63 E8 48 83 FD 02 74 25 48 83 FD 01 75 05 40 84 FF 75 1A 33 C0 C7 43 38 01 00 00 00 40 8A D7 48 87 43 40 48 8B CE E8 ?? ?? ?? ?? EB DB 48 8B D3 48 8B CE C7 43 38 02 00 00 00 E8 ?? ?? ?? ?? 4C 8B 1B BA 01 00 00 00 48 8B CB 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 49 FF 63 08 }
	condition:
		$1
}

rule file_637_89_0 {
	meta:
		name = "?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z"
		size = 205
		refs = "0028 ?Affinitize@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z 004f ?ExecuteUmsThread@UMS@details@Concurrency@@SAHPEAX@Z 005b ?IsSuspended@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 008b ?InsertProxyInCompletionWhenAwake@UMSBackgroundPoller@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@PEAVUMSSchedulerProxy@23@@Z 00b0 ?HandleBlocking@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 45 8A E8 45 8A C1 41 8A D9 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 33 FF 84 DB 75 03 89 7E 5C 48 8D 4E 08 48 8B 01 FF 50 40 BB 0A 00 00 00 85 C0 41 0F 95 C4 48 8B 4E 20 E8 ?? ?? ?? ?? FF CB 75 11 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 09 BB 0A 00 00 00 F3 90 EB DE 48 8B 45 38 4C 8D 40 F8 48 85 C0 75 03 4C 8B C7 49 8B 48 20 48 8B D6 48 8B 89 98 00 00 00 E8 ?? ?? ?? ?? 45 84 ED 74 12 45 84 E4 75 0D C7 46 38 01 00 00 00 48 87 7E 40 EB 0E 41 B0 01 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_637_90_0 {
	meta:
		name = "?HandleYielding@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z"
		size = 446
		refs = "006e ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z 008d ?ReturnIdleProxy@UMSFreeThreadProxy@details@Concurrency@@AEAAXXZ 00c9 __imp_WaitForSingleObject 00f3 ?InternalDeactivate@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAA_NXZ 0154 ?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z 018a ?UnblockTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 8B 42 5C 41 BC 01 00 00 00 48 8B FA 48 8B F1 41 3B C4 0F 84 29 01 00 00 83 F8 02 0F 84 DE 00 00 00 83 F8 03 0F 84 17 01 00 00 83 F8 04 0F 84 9C 00 00 00 83 F8 06 7E 22 44 89 62 38 33 DB 48 87 5A 40 48 8B 01 FF 50 18 45 33 C9 45 33 C0 48 8B D7 48 8B CE E8 ?? ?? ?? ?? CC 83 F8 05 0F 94 C0 33 DB 84 C0 74 14 44 89 62 38 8B C3 48 8B CA 48 87 42 40 E8 ?? ?? ?? ?? EB 15 48 8D 4A 08 48 8B 01 FF 50 38 48 8B C3 44 89 67 38 48 87 47 40 38 9E BA 00 00 00 75 1D 48 8B 8E 90 00 00 00 83 CA FF 48 89 9E A8 00 00 00 88 9E B9 00 00 00 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 44 89 62 38 33 DB 48 87 5A 40 E8 ?? ?? ?? ?? F6 D8 1B C9 45 33 C9 45 33 C0 83 C1 02 89 4F 70 48 8B 96 A8 00 00 00 48 8B CE E8 ?? ?? ?? ?? EB B5 33 DB 48 8B CA 48 39 5A 60 8B EB 8B C3 48 0F 45 6A 60 44 89 62 38 48 87 42 40 E8 ?? ?? ?? ?? 48 85 ED 74 12 45 33 C9 45 33 C0 48 8B D5 48 8B CE E8 ?? ?? ?? ?? CC 33 D2 48 8B CE E8 ?? ?? ?? ?? EB F4 33 DB 48 39 5A 60 8B EB 48 0F 45 6A 60 83 F8 03 75 24 48 8B 41 38 48 85 C0 74 06 48 83 C0 F8 EB 03 48 8B C3 48 8B 40 20 48 8B 88 A0 00 00 00 E8 ?? ?? ?? ?? EB 0B 48 8B C3 44 89 62 38 48 87 42 40 48 85 ED 74 12 45 33 C9 45 33 C0 48 8B D5 48 8B CE E8 ?? ?? ?? ?? CC 33 D2 48 8B CE E8 ?? ?? ?? ?? EB F4 }
	condition:
		$1
}

rule file_637_91_0 {
	meta:
		name = "?SwitchTo@UMSFreeVirtualProcessorRoot@details@Concurrency@@UEAAXPEAUIExecutionContext@3@W4SwitchingProxyState@3@@Z"
		size = 48
		refs = "002c ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 02 48 8B D9 48 8B CA FF 50 10 33 D2 48 85 C0 74 04 48 8D 50 F8 45 33 C9 41 B0 01 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_637_93_0 {
	meta:
		name = "?PrimaryInvocation@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z"
		size = 683
		refs = "002b ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 0068 ?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z 0072 __imp_GetLastError 008d ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0094 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00a1 _CxxThrowException 00ac __imp_SetEvent 00cf ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z 013b ?HandleYielding@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@@Z 014c ?HandleBlocking@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N@Z 015e __imp_WaitForSingleObject 0171 ?InvokeSchedulingContext@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAX_N@Z 0177 ?s_fRequireUMSWorkaround@ResourceManager@details@Concurrency@@0_NA 01ce ?Cancel@UMSThreadProxy@details@Concurrency@@QEAAXXZ 01df ?Execute@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXPEAVUMSFreeThreadProxy@23@_N1@Z 01e5 ?s_terminating@ResourceManager@details@Concurrency@@0JC 01f8 ??0invalid_operation@Concurrency@@QEAA@XZ 01ff _TI2?AVinvalid_operation@Concurrency@@ 0266 __imp_SleepEx 027d ?_UnderlyingYield@details@Concurrency@@YAXXZ 028c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 48 81 EC C0 00 00 00 48 C7 44 24 48 FE FF FF FF 48 89 58 10 48 89 70 18 4D 8B E0 4C 8B EA 8B F9 33 F6 E8 ?? ?? ?? ?? 85 FF 75 7F 49 8B 5C 24 08 48 89 9C 24 F8 00 00 00 48 85 DB 74 0B 48 8D 53 08 48 89 54 24 30 EB 05 48 21 74 24 30 41 B9 08 00 00 00 4C 8D 44 24 30 41 8D 51 F9 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 36 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? CC 49 8B 0C 24 FF 15 ?? ?? ?? ?? EB 78 48 21 74 24 38 48 21 74 24 20 41 B9 08 00 00 00 4C 8D 44 24 38 41 8D 51 F9 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 36 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? CC 48 8B 5C 24 38 48 85 DB 74 04 48 83 C3 F8 48 89 9C 24 F8 00 00 00 48 8B B3 A8 00 00 00 8B CF 85 FF 74 22 48 8B D6 FF C9 48 8B CB 74 07 E8 ?? ?? ?? ?? EB 34 41 F6 D5 41 80 E5 01 45 8A C5 E8 ?? ?? ?? ?? EB 23 83 CA FF 48 8B 8B 90 00 00 00 FF 15 ?? ?? ?? ?? 80 BB BA 00 00 00 00 75 0A 33 D2 48 8B CB E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 0F 84 10 01 00 00 83 FF 02 0F 85 07 01 00 00 33 F6 89 B4 24 E0 00 00 00 48 8B 43 38 48 85 C0 74 06 48 8D 48 F8 EB 02 33 C9 48 83 C1 08 48 8B 01 33 D2 FF 50 38 48 85 C0 74 06 48 8D 78 F8 EB 02 33 FF FF 87 8C 00 00 00 FF 87 90 00 00 00 48 8B CF E8 ?? ?? ?? ?? 41 B1 01 45 8A C1 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 85 C0 75 21 83 FE 0A 7C 1C 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 EB 0F 8B B4 24 E0 00 00 00 48 8B 9C 24 F8 00 00 00 8B 05 ?? ?? ?? ?? 85 C0 75 46 FF C6 89 B4 24 E0 00 00 00 0F 31 48 C1 E2 20 48 0B C2 48 8B C8 48 B8 B1 7D 89 3C CE 5A 35 08 48 F7 E1 48 C1 EA 04 48 69 D2 F3 01 00 00 48 2B CA 81 C1 F4 01 00 00 BA 01 00 00 00 FF 15 ?? ?? ?? ?? E9 25 FF FF FF 8B 05 ?? ?? ?? ?? 83 64 24 58 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 60 48 8D 4C 24 50 E8 ?? ?? ?? ?? EB F4 4C 8D 9C 24 C0 00 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_637_95_0 {
	meta:
		name = "__catch$?PrimaryInvocation@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z$0"
		size = 67
		refs = "0002 ?s_terminating@ResourceManager@details@Concurrency@@0JC 000f ?get_error_code@scheduler_resource_allocation_error@Concurrency@@QEBAJXZ 0028 _CxxThrowException 0030 $LN40"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 75 23 48 8B 4D 40 E8 ?? ?? ?? ?? 3D 05 00 07 80 75 09 83 BD E0 00 00 00 0A 7C 0A 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 30 5D C3 CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_637_97_0 {
	meta:
		name = "__catch$?PrimaryInvocation@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z$1"
		size = 45
		refs = "0002 ?s_terminating@ResourceManager@details@Concurrency@@0JC 0016 $LN42 0021 _CxxThrowException"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 74 12 83 BD E0 00 00 00 0A 7D 09 48 8D 05 ?? ?? ?? ?? EB 0A 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 30 5D C3 CC }
	condition:
		$1
}

rule file_637_98_0 {
	meta:
		name = "?PrimaryMain@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAKPEAX@Z"
		size = 237
		refs = "003c ?PrimaryInvocation@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z 0046 ?EnterUmsSchedulingMode@UMS@details@Concurrency@@SAHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@Z 0052 ??2@YAPEAX_K@Z 0060 __imp_GetLastError 0076 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 008a _TI3PEAVscheduler_resource_allocation_error@Concurrency@@ 0094 _CxxThrowException 00be ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 00c6 ??3@YAXPEAX@Z 00dc ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 79 08 C7 44 24 20 00 01 00 00 48 8B 47 38 48 85 C0 74 04 48 83 C0 F8 48 8B 80 18 01 00 00 48 89 4C 24 38 48 8D 4C 24 20 48 89 44 24 28 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 E8 ?? ?? ?? ?? 85 C0 75 4B 8D 48 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 23 FF 15 ?? ?? ?? ?? 48 8B CB 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 89 44 24 50 EB 06 48 83 64 24 50 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC 48 8B 5F 38 48 85 DB 74 04 48 83 C3 F8 83 C8 FF F0 0F C1 83 44 01 00 00 FF C8 75 15 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 4F 10 BA 01 00 00 00 48 8B 01 FF 50 40 33 C9 E8 ?? ?? ?? ?? 48 8B 5C 24 58 33 C0 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_637_99_0 {
	meta:
		name = "?CreatePrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXXZ"
		size = 374
		refs = "001f __security_cookie 003e __imp_CreateEventW 004e __imp_GetLastError 0066 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 006d _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0077 _CxxThrowException 0095 ?PrimaryMain@UMSFreeVirtualProcessorRoot@details@Concurrency@@CAKPEAX@Z 009e ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 00f6 memset 0111 ?ApplyTo@HardwareAffinity@details@Concurrency@@QEAAXPEAX@Z 0131 __imp_SetThreadPriority 013f __imp_WaitForSingleObject 0150 __imp_CloseHandle 015d __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 57 48 81 EC 80 00 00 00 48 C7 44 24 40 FE FF FF FF 49 89 5B 10 49 89 73 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 78 48 8B F1 49 89 4B B0 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 44 24 30 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? 90 48 8D 86 B0 00 00 00 48 89 44 24 28 83 64 24 20 00 4C 8D 4C 24 30 4C 8D 05 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 86 88 00 00 00 48 8B 46 38 48 85 C0 74 04 48 83 C0 F8 F0 FF 80 44 01 00 00 48 8B 46 38 48 85 C0 74 06 48 8D 58 F8 EB 02 33 DB 48 8D 4E 10 48 8B 01 FF 10 8B C8 48 6B C9 38 48 8B 43 28 48 8B 3C 01 0F B7 5C 01 14 33 D2 44 8D 42 10 48 8D 4C 24 68 E8 ?? ?? ?? ?? 66 89 5C 24 70 48 89 7C 24 68 48 8B 96 88 00 00 00 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B 46 38 48 85 C0 74 04 48 83 C0 F8 8B 90 D0 00 00 00 48 8B 8E 88 00 00 00 FF 15 ?? ?? ?? ?? 83 CA FF 48 8B 4C 24 30 FF 15 ?? ?? ?? ?? 90 48 8B 4C 24 30 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4C 24 78 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_637_101_0 {
	meta:
		name = "??0UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVUMSSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
		size = 341
		refs = "001f ??_7IThreadProxy@Concurrency@@6B@ 0029 ??_7UMSBaseObject@details@Concurrency@@6B@ 003f ??0VirtualProcessorRoot@details@Concurrency@@QEAA@PEAVSchedulerProxy@12@PEAUSchedulerNode@12@I@Z 0047 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BIThreadProxy@2@@ 0051 ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BUMSBaseObject@12@@ 005c ??_7UMSFreeVirtualProcessorRoot@details@Concurrency@@6BVirtualProcessorRoot@12@@ 0097 ?s_threadProxyIdCount@ResourceManager@details@Concurrency@@0JC 00af __imp_CreateEventW 00c1 __imp_GetLastError 00d9 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00e0 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00ea _CxxThrowException 013f ?CreatePrimary@UMSFreeVirtualProcessorRoot@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 85 D2 74 04 48 83 C2 08 48 83 C1 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 47 10 48 83 A7 88 00 00 00 00 48 83 A7 90 00 00 00 00 48 83 A7 A0 00 00 00 00 48 83 A7 A8 00 00 00 00 C7 87 B8 00 00 00 01 00 00 00 B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 89 87 B4 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 87 98 00 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 87 90 00 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? CC 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 9C 24 88 00 00 00 48 83 C4 70 5F C3 }
	condition:
		$1
}

rule file_637_102_0 {
	meta:
		name = "?dtor$0@?0???0UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVUMSSchedulerProxy@12@PEAUSchedulerNode@12@I@Z@4HA"
		size = 16
		refs = "000c ??1VirtualProcessorRoot@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 80 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_639_1_0 {
	meta:
		name = "TranslateName"
		size = 151
		refs = "0050 _stricmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 33 DB 4D 8B E8 8B FA 4C 8B F1 B8 01 00 00 00 8B F3 85 D2 78 3F 85 C0 74 3D 49 8B 4D 00 8D 04 3E 99 2B C2 D1 F8 48 63 E8 4C 8B E5 4D 03 E4 4B 8B 14 E6 E8 ?? ?? ?? ?? 85 C0 75 0B 4B 8D 4C E6 08 49 89 4D 00 EB 0A 79 05 8D 7D FF EB 03 8D 75 01 3B F7 7E C1 85 C0 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 0F 94 C3 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_639_2_0 {
	meta:
		name = "GetLcidFromDefault"
		size = 34
		refs = "0012 __imp_GetUserDefaultLCID"
	strings:
		$1 = { 40 53 48 83 EC 20 81 49 10 04 01 00 00 48 8B D9 FF 15 ?? ?? ?? ?? 89 43 24 89 43 20 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_639_3_0 {
	meta:
		name = "ProcessCodePage"
		size = 162
		refs = "001d ??_C@_03DFHEHBHG@ACP?$AA@ 0022 strcmp 002d ??_C@_03NFKLAGEF@OCP?$AA@ 0050 __imp_GetLocaleInfoW 0062 atol 0093 __imp_GetACP"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B FA 48 8B D9 48 85 C9 74 53 80 39 00 74 4E 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 3E 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 21 8B 4F 24 44 8D 48 02 4C 8D 44 24 30 BA 0B 00 00 20 FF 15 ?? ?? ?? ?? 85 C0 74 2D 8B 44 24 30 EB 39 48 8B CB E8 ?? ?? ?? ?? EB 2F 8B 4F 24 4C 8D 44 24 30 41 B9 02 00 00 00 BA 04 10 00 20 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0E 8B 44 24 30 85 C0 75 06 FF 15 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_639_4_0 {
	meta:
		name = "TestDefaultCountry"
		size = 37
		refs = "0006 __rglangidNotDefault"
	strings:
		$1 = { 45 33 C0 48 8D 15 ?? ?? ?? ?? 41 8D 40 01 66 3B 0A 74 0F 44 03 C0 48 83 C2 02 41 83 F8 0A 72 EE F3 C3 33 C0 C3 }
	condition:
		$1
}

rule file_639_5_0 {
	meta:
		name = "LcidFromHexString"
		size = 57
	strings:
		$1 = { 8A 11 4C 8B C1 45 33 C9 EB 27 8D 42 9F 49 FF C0 3C 05 77 05 80 C2 D9 EB 0A 8D 42 BF 3C 05 77 03 80 C2 F9 0F BE CA 41 8A 10 45 03 C9 46 8D 4C C9 D0 84 D2 75 D5 41 8B C1 C3 }
	condition:
		$1
}

rule file_639_6_0 {
	meta:
		name = "GetPrimaryLen"
		size = 28
	strings:
		$1 = { 33 D2 8A 01 48 FF C1 3C 41 7C 04 3C 5A 7E 06 2C 61 3C 19 77 04 FF C2 EB E9 8B C2 C3 }
	condition:
		$1
}

rule file_639_7_0 {
	meta:
		name = "CountryEnumProc"
		size = 229
		refs = "0015 __security_cookie 0028 _getptd 0033 LcidFromHexString 005e __imp_GetLocaleInfoA 0080 _stricmp 008b __rglangidNotDefault 00cc __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 8B 8F 5C 01 00 00 F7 D9 4C 8D 44 24 20 41 B9 78 00 00 00 1B D2 8B C8 8B F0 81 E2 05 F0 FF FF 81 C2 02 10 00 00 FF 15 ?? ?? ?? ?? 33 DB 85 C0 75 0B 89 9F 50 01 00 00 8D 43 01 EB 4D 48 8B 8F 48 01 00 00 48 8D 54 24 20 E8 ?? ?? ?? ?? 85 C0 75 2A 48 8D 05 ?? ?? ?? ?? 66 3B 30 74 1E FF C3 48 83 C0 02 83 FB 0A 72 F0 83 8F 50 01 00 00 04 89 B7 64 01 00 00 89 B7 60 01 00 00 8B 87 50 01 00 00 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_639_8_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 144
		refs = "0036 __imp_GetLocaleInfoW 006e strlen"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 48 83 EC 20 8B F9 49 8B E8 81 E1 FF 03 00 00 8B F2 4C 8D 40 08 41 B9 02 00 00 00 0F BA E9 0A BA 01 00 00 20 FF 15 ?? ?? ?? ?? 33 DB 85 C0 75 04 33 C0 EB 37 3B 7C 24 30 74 2C 85 F6 74 28 48 8B 4D 00 8A 01 48 FF C1 3C 41 7C 04 3C 5A 7E 06 2C 61 3C 19 77 04 FF C3 EB E9 48 8B 4D 00 E8 ?? ?? ?? ?? 3B D8 74 CA B8 01 00 00 00 48 8B 5C 24 38 48 8B 6C 24 40 48 8B 74 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_639_9_0 {
	meta:
		name = "LangCountryEnumProc"
		size = 717
		refs = "0015 __security_cookie 0028 _getptd 0033 LcidFromHexString 005e __imp_GetLocaleInfoA 0085 _stricmp 010d _strnicmp 012a strlen 014d __rglangidNotDefault 0218 TestDefaultLanguage 0279 __imp_GetLocaleInfoW 02b4 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 57 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 8B 8F 5C 01 00 00 F7 D9 4C 8D 44 24 30 41 B9 78 00 00 00 1B D2 8B C8 8B D8 81 E2 05 F0 FF FF 81 C2 02 10 00 00 FF 15 ?? ?? ?? ?? 33 ED 85 C0 75 10 89 AF 50 01 00 00 B8 01 00 00 00 E9 30 02 00 00 48 8B 8F 48 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 DF 00 00 00 8B 87 58 01 00 00 4C 8D 44 24 30 41 B9 78 00 00 00 F7 D8 8B CB 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 AA 48 8B 8F 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 15 81 8F 50 01 00 00 04 03 00 00 89 9F 60 01 00 00 E9 82 00 00 00 F6 87 50 01 00 00 02 75 7F 39 AF 54 01 00 00 74 45 4C 63 87 54 01 00 00 48 8B 8F 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 29 48 8B 8F 40 01 00 00 83 8F 50 01 00 00 02 89 9F 64 01 00 00 E8 ?? ?? ?? ?? 3B 87 54 01 00 00 75 3A 89 9F 60 01 00 00 EB 32 8B 87 50 01 00 00 A8 01 75 28 8B D5 48 8D 0D ?? ?? ?? ?? 66 3B 19 74 1A FF C2 48 83 C1 02 83 FA 0A 72 F0 83 C8 01 89 87 50 01 00 00 89 9F 64 01 00 00 8B 87 50 01 00 00 B9 00 03 00 00 23 C1 3B C1 0F 84 15 01 00 00 8B 87 58 01 00 00 4C 8D 44 24 30 41 B9 78 00 00 00 F7 D8 8B CB 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 B2 FE FF FF 48 8B 8F 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 6D 0F BA AF 50 01 00 00 09 8B 87 50 01 00 00 39 AF 58 01 00 00 74 0C 0F BA E8 08 89 87 50 01 00 00 EB 3B 39 AF 54 01 00 00 74 2B 48 8B 8F 40 01 00 00 E8 ?? ?? ?? ?? 3B 87 54 01 00 00 75 17 4C 8D 87 40 01 00 00 BA 01 00 00 00 8B CB E8 ?? ?? ?? ?? 85 C0 74 7A 0F BA AF 50 01 00 00 08 39 AF 60 01 00 00 75 6A 89 9F 60 01 00 00 EB 62 39 AF 58 01 00 00 75 5A 39 AF 54 01 00 00 74 52 48 8B 8F 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 3D 8B CB 44 8D 48 02 4C 8D 44 24 20 81 E1 FF 03 00 00 BA 01 00 00 20 0F BA E9 0A FF 15 ?? ?? ?? ?? 85 C0 74 19 8B 87 60 01 00 00 0F BA AF 50 01 00 00 08 85 C0 0F 44 C3 89 87 60 01 00 00 8B 87 50 01 00 00 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_639_10_0 {
	meta:
		name = "LanguageEnumProc"
		size = 302
		refs = "0010 __security_cookie 0023 _getptd 002e LcidFromHexString 0059 __imp_GetLocaleInfoA 007e _stricmp 009b TestDefaultLanguage 00e4 __imp_GetLocaleInfoW 0119 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 57 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 B0 00 00 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB 48 8B F8 E8 ?? ?? ?? ?? 8B 8F 58 01 00 00 F7 D9 4C 8D 44 24 30 41 B9 78 00 00 00 1B D2 8B C8 8B D8 81 E2 02 F0 FF FF 81 C2 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 10 21 87 50 01 00 00 B8 01 00 00 00 E9 9C 00 00 00 48 8B 8F 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 1B 39 87 58 01 00 00 75 5E 4C 8D 87 40 01 00 00 8D 50 01 8B CB E8 ?? ?? ?? ?? EB 47 83 BF 58 01 00 00 00 75 55 83 BF 54 01 00 00 00 74 4C 48 8B 8F 40 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 37 8B CB 44 8D 48 02 4C 8D 44 24 20 81 E1 FF 03 00 00 BA 01 00 00 20 0F BA E9 0A FF 15 ?? ?? ?? ?? 85 C0 74 13 83 8F 50 01 00 00 04 89 9F 60 01 00 00 89 9F 64 01 00 00 8B 87 50 01 00 00 C1 E8 02 F7 D0 83 E0 01 48 8B 8C 24 B0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 00 00 00 48 81 C4 C0 00 00 00 5F C3 }
	condition:
		$1
}

rule file_639_11_0 {
	meta:
		name = "GetLcidFromCountry"
		size = 64
		refs = "000e strlen 0017 CountryEnumProc 002c __imp_EnumSystemLocalesA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 E8 ?? ?? ?? ?? 33 D2 48 8D 0D ?? ?? ?? ?? 48 83 F8 03 0F 94 C2 89 53 1C BA 01 00 00 00 FF 15 ?? ?? ?? ?? F6 43 10 04 75 04 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_639_12_0 {
	meta:
		name = "GetLcidFromLangCountry"
		size = 152
		refs = "000d strlen 0047 LangCountryEnumProc 0052 __imp_EnumSystemLocalesA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 8B 4B 08 33 D2 48 83 F8 03 0F 94 C2 89 53 18 E8 ?? ?? ?? ?? 33 C9 48 83 F8 03 0F 94 C1 83 63 20 00 83 7B 18 00 89 4B 1C 74 3C BA 02 00 00 00 89 53 14 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 FF 15 ?? ?? ?? ?? F7 43 10 00 01 00 00 74 0F F7 43 10 00 02 00 00 74 06 F6 43 10 07 75 04 83 63 10 00 48 83 C4 20 5B C3 48 8B 03 33 D2 8A 08 48 FF C0 80 F9 41 7C 05 80 F9 5A 7E 08 80 E9 61 80 F9 19 77 AD FF C2 EB E5 }
	condition:
		$1
}

rule file_639_13_0 {
	meta:
		name = "GetLcidFromLanguage"
		size = 107
		refs = "000d strlen 002c LanguageEnumProc 0037 __imp_EnumSystemLocalesA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 33 D2 48 83 F8 03 0F 94 C2 89 53 18 85 D2 74 2A BA 02 00 00 00 89 53 14 48 8D 0D ?? ?? ?? ?? BA 01 00 00 00 FF 15 ?? ?? ?? ?? F6 43 10 04 75 04 83 63 10 00 48 83 C4 20 5B C3 48 8B 03 33 D2 8A 08 48 FF C0 80 F9 41 7C 05 80 F9 5A 7E 08 80 E9 61 80 F9 19 77 BF FF C2 EB E5 }
	condition:
		$1
}

rule file_639_14_0 {
	meta:
		name = "__get_qualified_locale"
		size = 733
		refs = "001c _getptd 0054 __rg_country 005e TranslateName 0085 GetLcidFromLangCountry 008f GetLcidFromLanguage 00a0 __rg_language 00e6 strlen 00fe CountryEnumProc 0104 __imp_EnumSystemLocalesA 011d __imp_GetUserDefaultLCID 014b ??_C@_03DFHEHBHG@ACP?$AA@ 0153 strcmp 015e ??_C@_03NFKLAGEF@OCP?$AA@ 0181 __imp_GetLocaleInfoW 0197 atol 01c8 __imp_GetACP 01f3 __imp_IsValidCodePage 0209 __imp_IsValidLocale 0245 ??_C@_0BC@NFIEMBLL@Norwegian?9Nynorsk?$AA@ 0252 strcpy_s 026b _invoke_watson 0283 __imp_GetLocaleInfoA 02bd _itoa_s"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 30 4D 8B E0 48 8B EA 48 8B F1 E8 ?? ?? ?? ?? 48 8D 98 40 01 00 00 48 85 F6 75 0C 81 4B 10 04 01 00 00 E9 E3 00 00 00 48 8D 46 40 48 89 33 48 89 43 08 48 85 C0 74 1A 80 38 00 74 15 4C 8D 43 08 48 8D 0D ?? ?? ?? ?? BA 16 00 00 00 E8 ?? ?? ?? ?? 48 8B 03 83 63 10 00 48 85 C0 74 69 80 38 00 74 64 48 8B 43 08 48 85 C0 74 0F 80 38 00 74 0A 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CB E8 ?? ?? ?? ?? 83 7B 10 00 0F 85 94 00 00 00 48 8D 0D ?? ?? ?? ?? 4C 8B C3 BA 40 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 72 48 8B 43 08 48 85 C0 74 0F 80 38 00 74 0A 48 8B CB E8 ?? ?? ?? ?? EB 5A 48 8B CB E8 ?? ?? ?? ?? EB 50 48 8B 4B 08 48 85 C9 74 34 80 39 00 74 2F E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 48 83 F8 03 0F 94 C1 89 4B 1C 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? F6 43 10 04 75 19 83 63 10 00 EB 13 C7 43 10 04 01 00 00 FF 15 ?? ?? ?? ?? 89 43 20 89 43 24 83 7B 10 00 0F 84 97 01 00 00 48 8D 86 80 00 00 00 48 F7 DE 48 1B FF 48 23 F8 74 5A 80 3F 00 74 55 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 42 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 25 8B 4B 24 44 8D 48 02 4C 8D 44 24 50 BA 0B 00 00 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 3B 01 00 00 8B 7C 24 50 EB 3B 48 8B CF E8 ?? ?? ?? ?? EB 2F 8B 4B 24 4C 8D 44 24 50 41 B9 02 00 00 00 BA 04 10 00 20 FF 15 ?? ?? ?? ?? 85 C0 0F 84 0A 01 00 00 8B 7C 24 50 85 FF 75 10 FF 15 ?? ?? ?? ?? 8B F8 85 FF 0F 84 F2 00 00 00 81 FF E8 FD 00 00 0F 84 E6 00 00 00 81 FF E9 FD 00 00 0F 84 DA 00 00 00 0F B7 CF FF 15 ?? ?? ?? ?? 85 C0 0F 84 C9 00 00 00 8B 4B 20 BA 01 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 B3 00 00 00 48 85 ED 74 14 0F B7 43 20 66 89 45 00 0F B7 43 24 66 89 7D 04 66 89 45 02 4D 85 E4 0F 84 8A 00 00 00 B8 14 08 00 00 66 39 45 00 75 2E 4C 8D 05 ?? ?? ?? ?? BA 40 00 00 00 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 31 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 8B 4B 20 41 B9 40 00 00 00 4D 8B C4 BA 01 10 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 3D 8B 4B 24 4D 8D 44 24 40 BA 02 10 00 00 41 B9 40 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 20 41 B9 0A 00 00 00 49 8D 94 24 80 00 00 00 8B CF 45 8D 41 06 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_640_0_0 {
	meta:
		name = "_lfind_s"
		size = 156
		refs = "002d _errno 0038 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 20 33 F6 4D 8B E1 49 8B F8 48 8B DA 4C 8B E9 48 85 C9 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 4C 8B 64 24 48 48 83 C4 20 41 5D C3 4D 85 C0 74 CE 48 85 D2 75 05 41 39 30 75 C4 4D 85 C9 74 BF 48 39 74 24 50 74 B8 41 39 30 76 C3 48 8B 4C 24 58 4C 8B C3 49 8B D5 FF 54 24 50 85 C0 74 0B FF C6 49 03 DC 3B 37 72 E4 EB A5 48 8B C3 EB A2 }
	condition:
		$1
}

rule file_641_0_0 {
	meta:
		name = "_getws_helper"
		size = 378
		refs = "003e _errno 0049 _invalid_parameter_noinfo 0062 __iob_func 006c _lock_file2 007a _fgetwc_nolock 0140 _local_unwind 0159 _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 55 41 56 48 83 EC 40 48 89 64 24 38 41 8B F0 48 8B DA 4C 8B E9 48 8B F9 4C 8B E1 45 33 F6 41 8B C6 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 0C 01 00 00 41 8B C6 48 85 D2 0F 95 C0 85 C0 74 DC E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 44 0F B7 D8 41 81 FB FF FF 00 00 75 10 4D 8B E6 4C 89 74 24 30 85 F6 0F 85 B3 00 00 00 48 83 FB FF 75 37 41 83 FB 0A 0F 84 9F 00 00 00 41 81 FB FF FF 00 00 0F 84 92 00 00 00 66 44 89 1F 48 83 C7 02 48 89 7C 24 28 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 44 0F B7 D8 EB C9 48 89 5C 24 20 41 83 FB 0A 74 36 41 81 FB FF FF 00 00 74 2D 48 85 DB 74 15 48 FF CB 48 89 5C 24 20 66 44 89 1F 48 83 C7 02 48 89 7C 24 28 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 44 0F B7 D8 EB C4 48 85 DB 75 2C 66 45 89 75 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 48 8D 15 0C 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? 90 90 33 C0 EB 16 66 44 89 37 E8 ?? ?? ?? ?? 48 8B D0 33 C9 E8 ?? ?? ?? ?? 49 8B C4 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_642_2_0 {
	meta:
		name = "_stat64i32"
		size = 1278
		refs = "0022 __security_cookie 0042 __doserrno 004a _errno 0055 _invalid_parameter_noinfo 0069 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 006e _mbspbrk 00a7 _mbctolower 00b2 _getdrive 00d2 __imp_FindFirstFileExA 00e9 ??_C@_03LLEJOLGL@?4?1?2?$AA@ 011f _fullpath 016e strlen 0221 __imp_GetDriveTypeA 0237 free 0268 __loctotime64_t 02d3 _sopen_s 02e7 _fstat64i32 02f2 _close 031b __imp_FileTimeToLocalFileTime 0333 __imp_FileTimeToSystemTime 0471 __imp_FindClose 0482 __dtoxmode 04be __imp_GetLastError 04c5 _dosmaperr 04df __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 45 33 F6 48 8B FA 4C 8B E1 45 8B EE 48 85 C9 75 20 E8 ?? ?? ?? ?? 44 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 73 04 00 00 48 85 D2 74 DB 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 15 E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 EB CD 41 80 7C 24 01 3A 75 1D 45 38 34 24 74 07 45 38 74 24 02 74 D6 41 0F BE 0C 24 E8 ?? ?? ?? ?? 44 8D 78 A0 EB 08 E8 ?? ?? ?? ?? 44 8B F8 4C 8D 44 24 60 45 33 C9 33 D2 49 8B CC 44 89 74 24 28 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 48 83 CB FF 48 8B F0 48 3B C3 0F 85 BF 01 00 00 48 8D 15 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 85 C0 0F 84 8F 01 00 00 E8 ?? ?? ?? ?? 44 8B 30 E8 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 44 21 28 41 B8 04 01 00 00 49 8B D4 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 30 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 4A 01 00 00 E8 ?? ?? ?? ?? 45 33 C0 49 8B D4 33 C9 44 89 30 E8 ?? ?? ?? ?? 4C 8B E8 48 8B F0 45 33 F6 48 85 F6 0F 84 16 01 00 00 48 8B CE E8 ?? ?? ?? ?? 48 83 F8 03 0F 84 A0 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 83 F8 05 0F 82 F2 00 00 00 41 B0 5C B2 2F 44 38 06 74 08 38 16 0F 85 E0 00 00 00 8A 46 01 41 3A C0 74 08 3A C2 0F 85 D0 00 00 00 8A 46 02 41 3A C0 0F 84 C4 00 00 00 3A C2 0F 84 BC 00 00 00 48 8D 46 03 8A 08 84 C9 0F 84 AE 00 00 00 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 30 0F 84 93 00 00 00 48 FF C0 44 38 30 0F 84 87 00 00 00 8A 08 84 C9 74 1D 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 30 74 06 44 38 70 01 75 64 48 8B CE FF 15 ?? ?? ?? ?? BE 01 00 00 00 3B C6 76 52 4D 85 ED 74 08 49 8B CD E8 ?? ?? ?? ?? 89 5C 24 30 45 33 C9 44 8B C6 8B D6 B9 BC 07 00 00 44 89 74 24 28 C7 44 24 60 10 00 00 00 4C 89 74 24 7C 44 88 75 8C 44 89 74 24 20 E8 ?? ?? ?? ?? 45 8B EE 48 89 47 20 48 89 47 18 48 89 47 28 E9 FA 01 00 00 4D 85 ED 74 08 49 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 E9 2D 02 00 00 F7 44 24 60 00 04 00 00 74 4C 81 7D 84 0C 00 00 A0 75 43 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 49 8B D4 89 5C 24 40 44 89 74 24 20 E8 ?? ?? ?? ?? 85 C0 75 B2 8B 4C 24 40 3B CB 74 AA 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 D7 01 00 00 44 39 74 24 74 75 0D 44 39 74 24 78 75 06 4C 89 77 20 EB 67 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 95 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 7D 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 20 44 39 74 24 6C 75 0D 44 39 74 24 70 75 06 48 8B 47 20 EB 63 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 1A 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 02 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 18 44 39 74 24 64 75 0D 44 39 74 24 68 75 06 48 8B 47 20 EB 63 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 87 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CE 48 89 47 28 FF 15 ?? ?? ?? ?? BE 01 00 00 00 8B 4C 24 60 49 8B D4 E8 ?? ?? ?? ?? 66 89 77 08 66 89 47 06 8B 45 80 89 47 14 44 39 74 24 7C 74 07 44 89 77 14 44 8B EB 41 8D 4F FF 66 44 89 77 04 C7 47 0A 00 00 00 00 89 0F 89 4F 10 41 8B C5 EB 18 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 8B C3 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 03 00 00 48 81 C4 C0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_643_3_0 {
	meta:
		name = "_exp2"
		size = 889
		refs = "009a ??_C@_04HPAFEEIN@exp2?$AA@ 00a4 _handle_error 00cd ?max_exp2_arg@?1??_exp2@@9@9 0111 ?min_exp2_arg@?1??_exp2@@9@9 0177 __real@3ff0000000000000 0188 ?log2_lead@?1??_exp2@@9@9 01c8 ?log2_tail@?1??_exp2@@9@9 0204 __real@3f437d98a3a06a02 020c __real@3e9208a80efa0f9c 0214 __real@3f885dd726cbfa41 021c __real@3f985eaf935d972d 022c __real@3fbb6a194bd1cdeb 0234 __real@3ef0e88e25daf0f3 0244 __real@3fdffc2b5ee8cd41 024c __real@3feffc6f012164ad 0285 ?one_by_32_lead@?1??_exp2@@9@9 028d __real@4040000000000000 02b1 ?log2@?1??_exp2@@9@9 02c5 splitexp"
	strings:
		$1 = { 48 83 EC 68 48 BA FF FF FF FF FF FF FF 7F F2 0F 11 84 24 88 00 00 00 0F 29 74 24 50 48 8B 8C 24 88 00 00 00 66 0F 28 E8 48 8B C1 48 23 C2 48 BA 00 00 00 00 00 00 90 40 48 3B C2 0F 82 10 01 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 3B C2 72 79 48 B8 FF FF FF FF FF FF 0F 00 48 85 C8 74 4E 66 0F 57 C0 C7 44 24 40 01 00 00 00 49 B8 00 00 00 00 00 00 08 00 F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 21 00 00 00 4C 0B C1 83 64 24 20 00 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? BA 14 00 00 00 E8 ?? ?? ?? ?? E9 C2 02 00 00 48 B8 00 00 00 00 00 00 00 80 48 85 C8 0F 84 AF 02 00 00 66 0F 57 C0 E9 A6 02 00 00 66 0F 2F 05 ?? ?? ?? ?? 76 3A 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 03 00 00 00 F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 49 B8 00 00 00 00 00 00 F0 7F EB 8A F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C5 76 36 66 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 04 00 00 00 F2 0F 11 44 24 38 F2 0F 11 6C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 12 00 00 00 45 33 C0 E9 46 FF FF FF 48 B9 2F 6C EE 64 47 15 B7 3F 48 3B C1 0F 83 19 01 00 00 48 B9 00 00 00 00 00 00 00 3C 48 3B C1 73 11 F2 0F 58 2D ?? ?? ?? ?? 66 0F 28 C5 E9 EB 01 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 11 AC 24 88 00 00 00 66 0F 28 DD 48 8B 84 24 88 00 00 00 48 25 00 00 00 F8 48 89 84 24 88 00 00 00 F2 0F 59 EA F2 0F 10 84 24 88 00 00 00 F2 0F 5C D8 66 0F 28 E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 E2 F2 0F 5C E5 F2 0F 58 E0 66 0F 28 C3 F2 0F 59 1D ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 E0 F2 0F 58 E3 66 0F 28 D4 F2 0F 58 D5 66 0F 28 CA 66 0F 28 DA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 1D ?? ?? ?? ?? F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 58 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 DA F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E D9 66 0F 28 F3 F2 0F 59 DD F2 0F 59 F4 F2 0F 58 F3 F2 0F 58 35 ?? ?? ?? ?? E9 EE 00 00 00 66 0F 57 C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? 48 8D 84 24 80 00 00 00 48 89 44 24 38 48 8D 44 24 78 48 89 44 24 30 48 8D 44 24 70 F2 0F 10 0D ?? ?? ?? ?? 48 89 44 24 28 F2 0F 11 44 24 20 66 0F 28 C5 E8 ?? ?? ?? ?? 4C 63 4C 24 70 41 8D 81 FD 03 00 00 3D FB 07 00 00 77 32 B8 FF 03 00 00 49 03 C1 48 C1 E0 34 48 89 84 24 88 00 00 00 F2 0F 10 84 24 88 00 00 00 F2 0F 10 74 24 78 F2 0F 58 B4 24 80 00 00 00 F2 0F 59 F0 EB 5D 41 8B C1 99 2B C2 BA FF 03 00 00 D1 F8 48 63 C8 44 2B C8 48 03 CA 49 63 C1 48 C1 E1 34 48 03 C2 48 89 8C 24 88 00 00 00 48 C1 E0 34 F2 0F 10 94 24 88 00 00 00 48 89 84 24 88 00 00 00 F2 0F 10 8C 24 88 00 00 00 F2 0F 10 74 24 78 F2 0F 58 B4 24 80 00 00 00 F2 0F 59 F2 F2 0F 59 F1 66 0F 28 C6 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_644_0_0 {
	meta:
		name = "_RTC_Check_2_to_1"
		size = 47
		refs = "0023 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F BF D9 B9 00 FF 00 00 8B C3 23 C1 74 13 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_644_1_0 {
	meta:
		name = "_RTC_Check_4_to_1"
		size = 46
		refs = "0022 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 B9 00 FF FF FF 23 C1 74 13 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_644_2_0 {
	meta:
		name = "_RTC_Check_8_to_1"
		size = 52
		refs = "0028 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 C7 C1 00 FF FF FF 48 23 C1 74 14 48 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_644_3_0 {
	meta:
		name = "_RTC_Check_4_to_2"
		size = 47
		refs = "0022 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 8B C1 8B D9 B9 00 00 FF FF 23 C1 74 13 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_644_4_0 {
	meta:
		name = "_RTC_Check_8_to_2"
		size = 53
		refs = "0028 ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 C7 C1 00 00 FF FF 48 23 C1 74 14 48 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_644_5_0 {
	meta:
		name = "_RTC_Check_8_to_4"
		size = 55
		refs = "002b ?_RTC_Failure@@YAXPEAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C1 48 8B D9 48 B9 00 00 00 00 FF FF FF FF 48 23 C1 74 14 48 3B C1 74 0F 48 8B 4C 24 28 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_0_0 {
	meta:
		name = "_mbsinc_l"
		size = 39
		refs = "000e _ismbblead_l"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 59 01 0F B6 09 E8 ?? ?? ?? ?? 85 C0 74 08 80 3B 00 74 03 48 FF C3 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_645_1_0 {
	meta:
		name = "_mbsinc"
		size = 66
		refs = "000f _errno 001a _invalid_parameter_noinfo 0026 _ismbblead"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 1A 0F B6 09 E8 ?? ?? ?? ?? 48 FF C3 85 C0 74 08 80 3B 00 74 03 48 FF C3 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_646_3_0 {
	meta:
		name = "_strtod_l"
		size = 364
		refs = "0017 __security_cookie 0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0047 _errno 0052 _invalid_parameter_noinfo 008e _isctype_l 00c1 _fltin2 00f6 _HUGE 0100 __mask@@NegDouble@ 0151 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 70 0F 29 74 24 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B F1 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 74 03 48 89 1F 48 85 F6 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 74 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 66 0F 57 C0 E9 D6 00 00 00 48 8B 54 24 20 83 BA 0C 01 00 00 01 7E 19 0F B6 0B 4C 8D 44 24 20 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 20 EB 11 0F B6 0B 48 8B 82 40 01 00 00 0F B7 04 48 83 E0 08 85 C0 74 05 48 FF C3 EB C4 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 48 85 FF 74 0A 48 63 48 04 48 03 CB 48 89 0F F7 00 40 02 00 00 74 0E 66 0F 57 F6 48 85 FF 74 4C 48 89 37 EB 47 F6 00 81 74 17 80 3B 2D F2 0F 10 35 ?? ?? ?? ?? 75 23 66 0F 57 35 ?? ?? ?? ?? EB 19 F7 00 00 01 00 00 74 1E F2 0F 10 40 10 66 0F 57 F6 66 0F 2E C6 7A 0F 75 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 05 F2 0F 10 70 10 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 66 0F 28 C6 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 20 49 8B 73 28 0F 28 74 24 60 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_647_0_0 {
	meta:
		name = "_setjmp"
		size = 160
		refs = "0003 _setjmpexused"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 85 C0 0F 85 8E 00 00 00 48 89 01 48 89 59 08 48 89 69 18 48 89 71 20 48 89 79 28 4C 89 61 30 4C 89 69 38 4C 89 71 40 4C 89 79 48 4C 8D 44 24 08 4C 89 41 10 4C 8B 04 24 4C 89 41 50 0F AE 59 58 D9 79 5C 66 0F 7F 71 60 66 0F 7F 79 70 66 44 0F 7F 81 80 00 00 00 66 44 0F 7F 89 90 00 00 00 66 44 0F 7F 91 A0 00 00 00 66 44 0F 7F 99 B0 00 00 00 66 44 0F 7F A1 C0 00 00 00 66 44 0F 7F A9 D0 00 00 00 66 44 0F 7F B1 E0 00 00 00 66 44 0F 7F B9 F0 00 00 00 C3 FF E0 }
	condition:
		$1
}

rule file_648_0_0 {
	meta:
		name = "strpbrk"
		size = 153
		refs = "0007 __security_cookie 008b __security_check_cookie"
	strings:
		$1 = { 48 83 EC 38 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 20 8A 02 45 33 DB 4C 8B D2 4C 89 1C 24 4C 89 5C 24 08 4C 89 5C 24 10 4C 89 5C 24 18 4C 8B C9 EB 21 44 0F B6 C0 0F B6 C0 BA 01 00 00 00 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 14 04 49 FF C2 41 8A 02 84 C0 75 DB EB 1E 41 0F B6 C8 41 0F B6 C0 BA 01 00 00 00 83 E1 07 48 C1 E8 03 D3 E2 84 14 04 75 1F 49 FF C1 45 8A 01 45 84 C0 75 DA 33 C0 48 8B 4C 24 20 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 38 C3 49 8B C1 EB E9 }
	condition:
		$1
}

rule file_649_0_0 {
	meta:
		name = "_byteswap_ulong"
		size = 37
	strings:
		$1 = { 8B C1 41 B8 00 FF 00 00 8B D1 41 23 C0 C1 E2 10 03 C2 8B D1 C1 E9 18 C1 E0 08 C1 EA 08 41 23 D0 03 C2 03 C1 C3 }
	condition:
		$1
}

rule file_649_1_0 {
	meta:
		name = "_byteswap_ushort"
		size = 20
	strings:
		$1 = { 0F B7 C1 BA 00 01 00 00 66 C1 E9 08 66 0F AF C2 66 03 C1 C3 }
	condition:
		$1
}

rule file_649_2_0 {
	meta:
		name = "_byteswap_uint64"
		size = 113
	strings:
		$1 = { 4C 8B C1 48 8B D1 B9 00 FF 00 00 48 23 D1 49 8B C0 41 BA 00 00 FF 00 48 C1 E0 10 41 B9 00 00 00 FF 48 03 D0 49 8B C0 49 23 C2 48 C1 E2 10 48 03 D0 49 8B C0 49 23 C1 48 C1 E2 10 48 03 D0 49 8B C0 48 C1 E8 28 48 C1 E2 08 48 23 C1 49 8B C8 48 C1 E9 08 48 03 C2 49 23 C9 48 03 C1 49 8B C8 49 C1 E8 38 48 C1 E9 18 49 23 CA 48 03 C1 49 03 C0 C3 }
	condition:
		$1
}

rule file_650_0_0 {
	meta:
		name = "_CallSettingFrame"
		size = 64
		refs = "001a _NLG_Notify 0021 __NLG_Return2"
	strings:
		$1 = { 48 83 EC 28 48 89 4C 24 30 48 89 54 24 38 44 89 44 24 40 48 8B 12 48 8B C1 E8 ?? ?? ?? ?? FF D0 E8 ?? ?? ?? ?? 48 8B C8 48 8B 54 24 38 48 8B 12 41 B8 02 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_651_13_0 {
	meta:
		name = "?HandleCompletion@UMSSchedulerProxy@details@Concurrency@@AEAA_NPEAVUMSThreadProxy@23@@Z"
		size = 122
		refs = "0014 ?SpinOnAndReturnBlockingType@UMSThreadProxy@details@Concurrency@@IEAA?AW4BlockingType@123@XZ 002a __imp_SetEvent 0051 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 83 F8 02 75 1E 48 8B 4B 48 48 8B 89 98 00 00 00 FF 15 ?? ?? ?? ?? 32 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 83 7B 5C 00 75 ED 48 8D 93 A0 00 00 00 48 8D 8F 30 01 00 00 FF 15 ?? ?? ?? ?? B9 01 00 00 00 F0 0F C1 8F 40 01 00 00 FF C1 83 F9 01 75 0D 48 8B 8F 28 01 00 00 FF 15 ?? ?? ?? ?? B0 01 EB B6 }
	condition:
		$1
}

rule file_651_14_0 {
	meta:
		name = "?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z"
		size = 178
		refs = "002d ?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z 0037 __imp_GetLastError 004f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0056 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0060 _CxxThrowException 0070 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 007b ?GetNextUmsListItem@UMS@details@Concurrency@@SAPEAXPEAX@Z 0093 ?HandleCompletion@UMSSchedulerProxy@details@Concurrency@@AEAA_NPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 40 48 8B E9 48 8B 89 18 01 00 00 4C 8B E2 40 32 FF 41 F6 D8 4C 8D 44 24 60 1B D2 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 5C 24 60 EB 2B 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 8B F0 E8 ?? ?? ?? ?? 48 8B D8 49 3B F4 75 05 40 B7 01 EB 0B 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 48 85 DB 75 D0 48 8B 5C 24 68 48 8B 6C 24 70 40 8A C7 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_651_18_0 {
	meta:
		name = "?GetCompletionListItems@UMSSchedulerProxy@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
		size = 62
		refs = "000f ?SweepCompletionList@UMSSchedulerProxy@details@Concurrency@@QEAA_NPEAVUMSThreadProxy@23@_N@Z 0024 __imp_InterlockedFlushSList"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 33 D2 48 8B D9 E8 ?? ?? ?? ?? 33 C0 48 8D 8B 30 01 00 00 87 83 40 01 00 00 FF 15 ?? ?? ?? ?? 48 8D 88 60 FF FF FF 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_651_19_0 {
	meta:
		name = "?CreateVirtualProcessorRoot@UMSSchedulerProxy@details@Concurrency@@UEAAPEAVVirtualProcessorRoot@23@PEAUSchedulerNode@23@I@Z"
		size = 117
		refs = "002d ??2@YAPEAX_K@Z 004b ??0UMSFreeVirtualProcessorRoot@details@Concurrency@@QEAA@PEAVUMSSchedulerProxy@12@PEAUSchedulerNode@12@I@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 6C 24 48 48 89 74 24 50 41 8B F8 48 8B F2 48 8B E9 B9 C0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 58 33 DB 48 85 C0 74 14 48 8D 55 F8 44 8B CF 4C 8B C6 48 8B C8 E8 ?? ?? ?? ?? EB 03 48 8B C3 48 85 C0 74 04 48 8D 58 10 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_651_22_0 {
	meta:
		name = "?GetNewThreadProxy@UMSSchedulerProxy@details@Concurrency@@UEAAPEAUIThreadProxy@3@PEAUIExecutionContext@3@@Z"
		size = 122
		refs = "0029 ?GetUMSFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVUMSFreeThreadProxyFactory@23@XZ 005a ?AssociateExecutionContext@UMSFreeThreadProxy@details@Concurrency@@AEAAXPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F2 48 8B F9 48 39 59 08 75 14 48 8B 49 18 48 81 C1 A8 00 00 00 E8 ?? ?? ?? ?? 48 89 47 08 48 8B 4F 08 44 8B 87 C8 00 00 00 8B 97 C4 00 00 00 48 8B 01 FF 10 48 8D 78 F8 48 85 C0 75 03 48 8B FB 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 48 85 FF 74 04 48 8D 5F 08 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_651_25_0 {
	meta:
		name = "?UnbindContext@UMSSchedulerProxy@details@Concurrency@@UEAAXPEAUIExecutionContext@3@@Z"
		size = 101
		refs = "0010 ??_C@_08BAFMHLII@pContext?$AA@ 0024 ??0exception@std@@QEAA@AEBQEBD@Z 002b ??_7invalid_argument@std@@6B@ 0032 _TI3?AVinvalid_argument@std@@ 0041 _CxxThrowException 0061 ?ReturnIdleProxy@UMSFreeThreadProxy@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 33 DB 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B CA FF 50 10 48 85 C0 74 04 48 8D 58 F8 48 8B CB 48 83 C4 40 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_651_28_0 {
	meta:
		name = "??0UMSSchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z"
		size = 403
		refs = "002f ??_7IUMSCompletionList@Concurrency@@6B@ 003b ??0SchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z 0043 ??_7UMSSchedulerProxy@details@Concurrency@@6BIUMSCompletionList@2@@ 004d ??_7UMSSchedulerProxy@details@Concurrency@@6BSchedulerProxy@12@@ 0085 ?CreateUMSBackgroundThreads@ResourceManager@details@Concurrency@@QEAAXXZ 0095 __imp_CreateEventW 00a7 __imp_GetLastError 00bf ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 00c6 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 00d0 _CxxThrowException 00dd ?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z 0124 ?GetUmsCompletionListEvent@UMS@details@Concurrency@@SAHPEAXPEAPEAX@Z 0165 __imp_InitializeSListHead"
	strings:
		$1 = { 48 8B C4 48 89 48 08 56 57 41 54 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 49 8B F8 48 8B EA 48 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 06 48 8D 05 ?? ?? ?? ?? 48 89 46 08 48 83 A6 18 01 00 00 00 48 83 A6 20 01 00 00 00 48 83 A6 28 01 00 00 00 C7 86 40 01 00 00 00 00 00 00 C7 86 44 01 00 00 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 86 28 01 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 8E 18 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? CC 48 8D 96 20 01 00 00 48 8B 8E 18 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 68 E8 ?? ?? ?? ?? CC 48 8D 8E 30 01 00 00 FF 15 ?? ?? ?? ?? 4C 8B 5D 00 48 8B D6 48 8B CD 41 FF 53 38 90 48 8B C6 4C 8D 9C 24 90 00 00 00 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_651_29_0 {
	meta:
		name = "?dtor$0@?0???0UMSSchedulerProxy@details@Concurrency@@QEAA@PEAUIScheduler@2@PEAVResourceManager@12@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
	strings:
		$1 = { 48 8B 8A B0 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_651_30_0 {
	meta:
		name = "?GetUnblockNotifications@UMSSchedulerProxy@details@Concurrency@@UEAAPEAUIUMSUnblockNotification@3@XZ"
		size = 28
		refs = "0005 ?GetCompletionListItems@UMSSchedulerProxy@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 4C 8B D8 33 C0 4D 85 DB 74 04 49 8D 43 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_651_31_0 {
	meta:
		name = "??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ"
		size = 126
		refs = "001e ??_7UMSSchedulerProxy@details@Concurrency@@6BIUMSCompletionList@2@@ 0028 ??_7UMSSchedulerProxy@details@Concurrency@@6BSchedulerProxy@12@@ 0031 ?GetCompletionListItems@UMSSchedulerProxy@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ 0043 __imp_CloseHandle 0066 ?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z 007a ??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 E8 ?? ?? ?? ?? 48 8B 8B 28 01 00 00 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 8B 20 01 00 00 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 8B 18 01 00 00 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8D 4B 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_651_32_0 {
	meta:
		name = "?dtor$0@?0???1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1SchedulerProxy@details@Concurrency@@IEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_779_1 {
	meta:
		name = "?dtor$0@?0???0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@1@_K@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_718_1 {
	meta:
		name = "?dtor$0@?0???0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@1@_K@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_165_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_156_2 {
	meta:
		name = "?dtor$0@?0???0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_172_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_975_2 {
	meta:
		name = "?dtor$0@?0???0agent@Concurrency@@QEAA@AEAVScheduleGroup@1@@Z@4HA"
		size = 16
		refs = "000c ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_973_2 {
	meta:
		name = "?dtor$0@?0???0agent@Concurrency@@QEAA@AEAVScheduler@1@@Z@4HA"
		size = 16
		refs = "000c ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_971_2 {
	meta:
		name = "?dtor$0@?0???0agent@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_773_1 {
	meta:
		name = "?dtor$0@?0???1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_714_1 {
	meta:
		name = "?dtor$0@?0???1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_777_1 {
	meta:
		name = "?dtor$0@?0???_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_716_1 {
	meta:
		name = "?dtor$0@?0???_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_736_2 {
	meta:
		name = "?dtor$1@?0???0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_688_1 {
	meta:
		name = "?dtor$1@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_291_0 {
	meta:
		name = "?dtor$1@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_146_2 {
	meta:
		name = "?dtor$1@?0???1_Locinfo@std@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_651_36_0 {
	meta:
		name = "?DeleteThis@UMSSchedulerProxy@details@Concurrency@@MEAAXXZ"
		size = 52
		refs = "0022 ??1UMSSchedulerProxy@details@Concurrency@@QEAA@XZ 002a ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 59 F8 83 C8 FF F0 0F C1 83 44 01 00 00 FF C8 75 15 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_652_5_0 {
	meta:
		name = "??8type_info@@QEBA_NAEBV0@@Z"
		size = 30
		refs = "0010 strcmp"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 48 8D 51 11 48 8D 48 11 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_652_6_0 {
	meta:
		name = "??9type_info@@QEBA_NAEBV0@@Z"
		size = 30
		refs = "0010 strcmp"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 48 8D 51 11 48 8D 48 11 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_652_7_0 {
	meta:
		name = "?before@type_info@@QEBAHAEBV1@@Z"
		size = 34
		refs = "0010 strcmp"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 48 8D 51 11 48 8D 48 11 E8 ?? ?? ?? ?? 33 C9 85 C0 0F 9F C1 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_654_3_0 {
	meta:
		name = "_ismbcdigit_l"
		size = 265
		refs = "0016 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0086 __crtGetStringTypeA 00cb _isctype_l"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 48 8B EC 48 83 EC 60 8B F1 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FE FF 00 00 00 0F 86 8A 00 00 00 48 8B 4D E8 33 DB 8B C6 C1 E8 08 89 5D 30 40 88 75 21 88 45 20 39 59 08 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 A2 00 00 00 8B 41 0C BF 01 00 00 00 4C 8D 45 20 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 30 44 8D 4F 01 48 8D 4D E0 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B2 66 39 5D 32 75 06 F6 45 30 04 75 02 8B FB 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 EB 49 48 8B 45 E0 BF 01 00 00 00 39 B8 0C 01 00 00 7E 13 4C 8D 45 E0 8D 57 03 8B CE E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 70 41 83 E3 04 33 DB 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 41 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F 5E 5D C3 }
	condition:
		$1
}

rule file_655_0_0 {
	meta:
		name = "__wcsncnt"
		size = 40
	strings:
		$1 = { 45 33 C0 48 8B C2 48 85 D2 74 12 48 FF C8 66 44 39 01 74 0C 48 83 C1 02 48 85 C0 75 EE 48 FF C8 48 2B D0 48 8D 42 FF C3 }
	condition:
		$1
}

rule file_656_0_0 {
	meta:
		name = "_ctime32_s"
		size = 147
		refs = "000d __security_cookie 0038 _errno 004e _localtime32_s 0062 asctime_s 0075 _invalid_parameter_noinfo 0084 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B FA 48 8B D9 48 85 C9 74 44 48 85 D2 74 3F C6 01 00 4D 85 C0 74 37 41 83 38 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB 34 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 85 C0 75 25 4C 8D 44 24 20 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_658_1_0 {
	meta:
		name = "_wfindfirst64i32"
		size = 328
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __time64_t_from_ft 0123 wcscpy_s 0143 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 47 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 47 10 E8 ?? ?? ?? ?? 48 8D 4F 24 48 89 47 18 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 47 20 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 0F FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_658_2_0 {
	meta:
		name = "_wfindnext64i32"
		size = 290
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __time64_t_from_ft 0101 wcscpy_s 011d _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 48 8D 4B 24 48 89 43 18 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 20 E8 ?? ?? ?? ?? 85 C0 0F 84 2E FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_659_0_0 {
	meta:
		name = "_RTC_CheckStackVars"
		size = 119
		refs = "0054 ?_RTC_StackFailure@@YAXPEAXPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 DB 48 8B F2 48 8B E9 39 1A 7E 42 8B FB 48 8B 46 08 48 63 0C 38 81 7C 29 FC CC CC CC CC 75 11 48 63 44 38 04 48 03 C1 81 3C 28 CC CC CC CC 74 13 48 8B 56 08 48 8B 4C 24 28 48 8B 54 3A 08 E8 ?? ?? ?? ?? FF C3 48 83 C7 10 3B 1E 7C C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_659_1_0 {
	meta:
		name = "_RTC_AllocaHelper"
		size = 53
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 48 85 C9 74 22 48 85 D2 74 1D 4D 85 C0 74 18 48 8B F9 B0 CC 48 8B CA F3 AA 49 8B 00 49 89 51 0C 49 89 41 04 4D 89 08 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_659_2_0 {
	meta:
		name = "_RTC_CheckStackVars2"
		size = 235
		refs = "0060 ?_RTC_StackFailure@@YAXPEAXPEBD@Z 00a8 ?_RTC_AllocaFailure@@YAXPEAXPEAU_RTC_ALLOCA_NODE@@H@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 49 8B D8 48 8B FA 4C 8B E1 41 BD CC CC CC CC 48 85 D2 74 42 33 ED 39 2A 7E 3C 33 F6 48 8B 47 08 48 63 0C 30 46 39 6C 21 FC 75 0E 48 63 44 30 04 48 03 C1 46 39 2C 20 74 13 48 8B 57 08 48 8B 4C 24 38 48 8B 54 32 08 E8 ?? ?? ?? ?? FF C5 48 83 C6 10 3B 2F 7C C6 33 FF 48 8B C3 48 85 DB 74 5A 48 8B 40 04 FF C7 48 85 C0 75 F5 EB 48 44 39 2B 75 12 44 39 6B 14 75 0C 44 39 6B 18 75 06 44 39 6B 1C 74 10 48 8B 4C 24 38 44 8B C7 48 8B D3 E8 ?? ?? ?? ?? 48 8B 43 0C 44 39 6C 18 FC 74 10 48 8B 4C 24 38 44 8B C7 48 8B D3 E8 ?? ?? ?? ?? 48 8B 5B 04 FF CF 48 85 DB 75 B3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_661_0_0 {
	meta:
		name = "_dospawn"
		size = 662
		refs = "0051 __doserrno 0058 _errno 0063 _invalid_parameter_noinfo 0095 memset 009e _nhandle 00a5 __pioinfo 00fe _calloc_crt 01f1 __imp_CreateProcessA 01f9 __imp_GetLastError 0205 free 0211 _dosmaperr 0220 _exit 0233 __imp_WaitForSingleObject 0241 __imp_GetExitCodeProcess 025b __imp_CloseHandle"
	strings:
		$1 = { 4C 89 4C 24 20 48 89 54 24 10 55 53 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D9 48 81 EC E0 00 00 00 33 FF 44 8B E1 8D 47 04 44 8D 6F 03 44 8B FF 44 8A F7 85 C9 74 13 83 F9 01 74 0E 7E 12 41 3B CD 7E 07 3B C8 75 09 41 B6 01 4C 89 45 AF EB 31 E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 13 02 00 00 49 FF C0 41 38 38 75 F8 41 38 78 01 74 07 41 C6 00 20 49 FF C0 41 38 38 75 E6 BB 68 00 00 00 48 8D 4D B7 33 D2 44 8B C3 E8 ?? ?? ?? ?? 89 5D B7 8B 1D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 85 DB 74 27 8D 53 FF 48 63 CA 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C0 40 38 7C 08 08 75 06 FF CA FF CB 75 DE 85 DB 0F 88 9A 01 00 00 81 FB 71 1C 00 00 0F 83 8E 01 00 00 0F B7 C3 BA 01 00 00 00 66 C1 E0 03 8D 4C 18 04 66 89 4D F9 0F B7 C9 E8 ?? ?? ?? ?? 48 89 45 FF 48 85 C0 0F 84 65 01 00 00 89 18 48 8B 45 FF 4C 63 DB 48 8D 48 04 49 8D 54 03 04 85 DB 7E 52 4C 8B C7 44 8B CB 4C 8D 1D ?? ?? ?? ?? 4D 8B D0 49 8B C0 41 83 E2 1F 48 C1 F8 05 4D 6B D2 58 4D 03 14 C3 41 8A 42 08 A8 10 75 0A 88 01 49 8B 02 48 89 02 EB 07 40 88 39 48 83 0A FF 49 FF C0 48 FF C1 48 83 C2 08 49 FF C9 75 C2 48 8B 45 FF 4C 63 DB 45 84 F6 74 31 41 3B DD 48 8D 48 04 49 8D 54 03 04 44 0F 4C EB 45 85 ED 7E 16 41 8B C5 40 88 39 48 83 0A FF 48 83 C2 08 48 FF C1 48 FF C8 75 ED 41 BF 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 AF 48 8B 4D 6F 89 38 48 8D 45 97 45 33 C9 48 89 44 24 48 48 8D 45 B7 45 33 C0 48 89 44 24 40 48 8B 45 7F 48 89 7C 24 38 48 89 44 24 30 44 89 7C 24 28 C7 44 24 20 01 00 00 00 FF 15 ?? ?? ?? ?? 8B D8 FF 15 ?? ?? ?? ?? 48 8B 4D FF 44 8B E8 E8 ?? ?? ?? ?? 85 DB 75 0A 41 8B CD E8 ?? ?? ?? ?? EB 68 41 83 FC 02 75 08 33 C9 E8 ?? ?? ?? ?? CC 45 85 E4 75 21 48 8B 4D 97 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4D 97 48 8D 55 67 FF 15 ?? ?? ?? ?? 48 63 7D 67 EB 0A B8 04 00 00 00 44 3B E0 75 0C 48 8B 4D 97 FF 15 ?? ?? ?? ?? EB 04 48 8B 7D 97 48 8B 4D 9F FF 15 ?? ?? ?? ?? 48 8B C7 EB 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 48 83 C8 FF 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5B 5D C3 }
	condition:
		$1
}

rule file_663_0_0 {
	meta:
		name = "_heapwalk"
		size = 327
		refs = "002f _errno 003a _invalid_parameter_noinfo 0064 _crtheap 006a __imp_HeapWalk 009b __imp_HeapValidate 00f9 __imp_GetLastError"
	strings:
		$1 = { 48 89 5C 24 18 48 89 4C 24 08 56 57 41 54 48 83 EC 50 48 8B F9 41 BC FE FF FF FF 44 89 64 24 78 33 DB 8B C3 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8D 43 FA E9 F0 00 00 00 66 89 5C 24 36 88 5C 24 35 4C 8B 01 4C 89 44 24 28 4D 85 C0 75 2A 48 8D 54 24 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 0A B8 FD FF FF FF E9 BA 00 00 00 BE 01 00 00 00 E9 89 00 00 00 BE 01 00 00 00 39 71 10 75 27 33 D2 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 0A B8 FC FF FF FF E9 89 00 00 00 B8 04 00 00 00 66 89 44 24 36 90 89 5C 24 20 48 8D 54 24 28 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B CB 85 C0 0F 44 CE 89 4C 24 20 EB 18 B9 02 00 00 00 89 4C 24 20 33 DB 8D 71 FF 48 8B 7C 24 70 44 8B 64 24 78 3B CE 75 13 FF 15 ?? ?? ?? ?? 3D 03 01 00 00 0F 95 C3 8D 43 FB EB 2C 83 F9 02 74 94 F6 44 24 36 03 75 A1 48 8B 4C 24 28 48 89 0F 8B 4C 24 30 48 89 4F 08 0F B6 4C 24 36 C1 E9 02 23 CE 89 4F 10 41 8B C4 48 8B 9C 24 80 00 00 00 48 83 C4 50 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_664_2_0 {
	meta:
		name = "?wcstoxq@@YA_KPEAUlocaleinfo_struct@@PEB_WPEAPEB_WHH@Z"
		size = 641
		refs = "002b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0041 _errno 004c _invalid_parameter_noinfo 0085 iswctype 00d2 _wchartodigit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 4C 8B F2 48 8B D1 48 8D 4C 24 20 45 8B E1 4D 8B E8 E8 ?? ?? ?? ?? 45 33 FF 4D 85 ED 74 04 4D 89 75 00 4D 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 FF 01 00 00 45 85 E4 74 0C 41 83 FC 02 7C E0 41 83 FC 24 7F DA 41 0F B7 36 49 8B FF 49 8D 5E 02 BD 08 00 00 00 EB 07 0F B7 33 48 83 C3 02 8B D5 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 EB 8B AC 24 A0 00 00 00 66 83 FE 2D 75 05 83 CD 02 EB 06 66 83 FE 2B 75 07 0F B7 33 48 83 C3 02 45 85 E4 0F 88 96 01 00 00 41 83 FC 01 0F 84 8C 01 00 00 41 83 FC 24 0F 8F 82 01 00 00 45 85 E4 75 2E 0F B7 CE E8 ?? ?? ?? ?? 85 C0 74 08 41 BC 0A 00 00 00 EB 40 66 83 3B 78 74 0E 66 83 3B 58 74 08 41 BC 08 00 00 00 EB 2C 41 BC 10 00 00 00 41 83 FC 10 75 20 0F B7 CE E8 ?? ?? ?? ?? 85 C0 75 14 66 83 3B 78 74 06 66 83 3B 58 75 08 0F B7 73 02 48 83 C3 04 49 63 CC 33 D2 48 83 C8 FF 48 F7 F1 4C 8B F8 4C 8B F2 0F B7 CE E8 ?? ?? ?? ?? 44 8B D8 83 F8 FF 75 2C B8 41 00 00 00 66 3B C6 77 06 66 83 FE 5A 76 09 8D 46 9F 66 83 F8 19 77 32 8D 46 9F 66 83 F8 19 0F B7 C6 77 03 83 E8 20 44 8D 58 C9 45 3B DC 73 1A 83 CD 08 49 3B FF 72 2F 75 08 41 8B C3 49 3B C6 76 25 83 CD 04 4D 85 ED 75 2A 4C 8B B4 24 88 00 00 00 48 83 EB 02 40 F6 C5 08 75 24 4D 85 ED 49 0F 45 DE 33 FF EB 75 49 63 CC 48 0F AF CF 41 8B FB 48 03 F9 0F B7 33 48 83 C3 02 E9 6F FF FF FF 48 BE FF FF FF FF FF FF FF 7F 40 F6 C5 04 75 25 40 F6 C5 01 75 46 8B C5 83 E0 02 74 0F 48 B9 00 00 00 00 00 00 00 80 48 3B F9 77 09 85 C0 75 2C 48 3B FE 76 27 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 74 06 48 83 CF FF EB 10 40 8A C5 24 02 F6 D8 48 1B FF 48 F7 DF 48 03 FE 4D 85 ED 74 04 49 89 5D 00 40 F6 C5 02 74 03 48 F7 DF 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C7 EB 1E 4D 85 ED 74 04 4D 89 75 00 44 38 7C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_666_0_0 {
	meta:
		name = "strspn"
		size = 178
		refs = "0007 __security_cookie 00a9 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 38 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 20 8A 02 45 33 C9 4C 8B DA 4C 89 0C 24 4C 89 4C 24 08 4C 89 4C 24 10 4C 89 4C 24 18 4C 8B D1 EB 21 44 0F B6 C0 0F B6 C0 BA 01 00 00 00 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 14 04 49 FF C3 41 8A 03 84 C0 75 DB 45 38 0A 74 41 41 0F B6 0A 41 0F B6 02 BA 01 00 00 00 83 E1 07 48 C1 E8 03 D3 E2 84 14 04 74 21 49 FF C2 BA 01 00 00 00 41 FF C1 45 0F B6 02 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 14 04 75 DF 49 63 C1 EB 02 33 C0 48 8B 4C 24 20 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_667_0_0 {
	meta:
		name = "__tlregdtor"
		size = 147
		refs = "001a _tls_index 001f dtor_list 0034 dtor_list_head 004f _malloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 65 48 8B 04 25 58 00 00 00 8B 15 ?? ?? ?? ?? BE ?? ?? ?? ?? 48 8B 1C D0 48 8B F9 48 8B 04 1E 48 85 C0 75 11 B8 ?? ?? ?? ?? 48 03 C3 48 89 04 1E 83 20 00 EB 2F 83 38 1E 75 2A B9 00 01 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 05 83 C8 FF EB 23 83 20 00 48 8B 04 1E 4C 89 1C 1E 49 89 43 08 41 83 23 00 48 8B 0C 1E 48 63 01 48 89 7C C1 10 FF 01 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_667_1_0 {
	meta:
		name = "__dyn_tls_dtor"
		size = 135
		refs = "001a _tls_index 0028 dtor_list 0066 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 FA 03 74 04 85 D2 75 5A 8B 0D ?? ?? ?? ?? 65 48 8B 04 25 58 00 00 00 BF ?? ?? ?? ?? 48 8B 04 C8 48 8B 3C 07 48 85 FF 74 39 8B 1F FF CB 48 63 C3 78 17 48 8D 74 C7 10 48 8B 06 48 85 C0 74 02 FF D0 48 83 EE 08 FF CB 79 EE 48 8B 5F 08 48 85 DB 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B FB 48 85 DB 75 C7 48 8B 5C 24 30 48 8B 74 24 38 B8 01 00 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_669_0_0 {
	meta:
		name = "_wspawnv"
		size = 71
		refs = "000d _errno 0018 _invalid_parameter_noinfo 0043 _wspawnve"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 66 44 39 0A 74 E1 4D 85 C0 74 DC 49 8B 00 48 85 C0 74 D4 66 44 39 08 74 CE 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_670_3_0 {
	meta:
		name = "tanf_piby4"
		size = 106
		refs = "0004 __real@3fd8a8b0da56cb17 001c __real@3f919dba6efd6aad 0030 __real@3f92e29003c692d9 003c __real@3fe07266d7b3511b 0048 __real@3ff27e84a3e73a2e 005c __real@bff0000000000000"
	strings:
		$1 = { F2 0F 10 25 ?? ?? ?? ?? 66 0F 28 D8 F2 0F 59 D8 66 0F 28 CB 66 0F 28 D3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 D0 F2 0F 5C E1 66 0F 28 CB F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 E2 F2 0F 5C 0D ?? ?? ?? ?? F2 0F 59 CB F2 0F 58 0D ?? ?? ?? ?? F2 0F 5E E1 F2 0F 58 E0 85 D2 74 0D F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C4 C3 66 0F 28 C4 C3 }
	condition:
		$1
}

rule file_670_4_0 {
	meta:
		name = "tanf"
		size = 894
		refs = "007e _controlfp_s 0094 __real@3fd5555555555555 00a5 __real@3fd8a8b0da56cb17 00c7 __real@3f919dba6efd6aad 00d7 __real@3f92e29003c692d9 00e3 __real@3fe07266d7b3511b 00ef __real@3ff27e84a3e73a2e 0142 ??_C@_04MHPLPEIA@tanf?$AA@ 016d _handle_errorf 018a __mask@@NegDouble@ 019e __real@411e848000000000 0206 ?twobypi@?L@??tanf@@9@9 020e __real@3fe0000000000000 022a ?piby2_1@?L@??tanf@@9@9 0232 ?piby2_1tail@?L@??tanf@@9@9 026d ?piby2_2@?L@??tanf@@9@9 0275 ?piby2_2tail@?L@??tanf@@9@9 029f ?piby2_3@?L@??tanf@@9@9 02a7 ?piby2_3tail@?L@??tanf@@9@9 02d2 __remainder_piby2f_inline 0344 __real@bff0000000000000"
	strings:
		$1 = { 40 53 48 83 EC 60 0F 29 74 24 50 48 B8 FF FF FF FF FF FF FF 7F 0F 28 F0 0F 14 F6 0F 5A DE F2 0F 11 9C 24 80 00 00 00 48 8B 9C 24 80 00 00 00 48 8B CB 48 23 C8 48 B8 18 2D 44 54 FB 21 E9 3F 48 3B C8 0F 87 BC 00 00 00 48 B8 00 00 00 00 00 00 80 3F 48 3B C8 73 4A 48 B8 00 00 00 00 00 00 20 3F 48 3B C8 73 1E 48 85 C9 75 08 0F 28 C6 E9 00 03 00 00 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? EB E7 66 0F 28 C3 F2 0F 59 C3 F2 0F 59 C3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 C3 E9 CE 02 00 00 F2 0F 10 1D ?? ?? ?? ?? 0F 14 F6 0F 5A E6 66 0F 28 D4 66 0F 28 CC F2 0F 59 D4 F2 0F 59 CA 66 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 66 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E D8 F2 0F 58 DC F2 0F 5A C3 E9 6F 02 00 00 48 BA 00 00 00 00 00 00 F0 7F 48 8B C3 48 23 C2 48 3B C2 75 6D 0F 57 C0 C7 44 24 40 01 00 00 00 48 B8 FF FF FF FF FF FF 0F 00 F3 0F 11 44 24 38 BA 20 00 00 00 F3 0F 11 74 24 30 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 44 8D 4A E1 48 85 D8 74 1F F3 0F 11 74 24 70 44 8B 44 24 70 49 0F BA E8 16 83 64 24 20 00 E8 ?? ?? ?? ?? E9 FD 01 00 00 C7 44 24 20 08 00 00 00 41 B8 00 00 C0 FF EB E6 F2 0F 10 2D ?? ?? ?? ?? 48 C1 EB 3F 85 DB 74 04 66 0F 57 DD F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C3 0F 86 18 01 00 00 4C 8B C1 48 B8 5E 38 55 29 7A 6A 0F 40 49 C1 E8 34 48 3B C8 77 16 33 D2 48 B8 D2 21 33 7F 7C D9 02 40 48 3B C8 0F 97 C2 FF C2 EB 3E 48 B8 BB B2 CC BE 3A 46 1C 40 48 3B C8 77 17 33 D2 48 B8 75 A7 BB E9 BB FD 15 40 48 3B C8 0F 97 C2 83 C2 03 EB 18 66 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 2C D0 66 0F 6E E2 F3 0F E6 E4 66 0F 28 C4 66 0F 28 D4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 11 9C 24 80 00 00 00 48 8B 84 24 80 00 00 00 48 C1 E8 34 25 FF 07 00 00 4C 2B C0 49 83 F8 0F 76 5E 66 0F 28 CB 66 0F 28 C4 66 0F 28 D4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C CB F2 0F 5C C8 F2 0F 5C D1 49 83 F8 30 76 2C 66 0F 28 CB 66 0F 28 C4 66 0F 28 D4 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C D8 F2 0F 5C CB F2 0F 5C C8 F2 0F 5C D1 F2 0F 5C DA 83 E2 03 EB 1F 4C 8D 44 24 78 48 8D 94 24 88 00 00 00 E8 ?? ?? ?? ?? 8B 54 24 78 F2 0F 10 9C 24 88 00 00 00 F2 0F 10 25 ?? ?? ?? ?? 66 0F 28 D3 F2 0F 59 D3 66 0F 28 C2 66 0F 28 CA F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 CB F2 0F 5C E0 66 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 C2 F2 0F 58 05 ?? ?? ?? ?? F2 0F 5E E0 F2 0F 58 E3 85 DB 74 1D F6 C2 01 74 0E F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C4 EB 04 66 0F 28 C4 66 0F 57 C5 EB 17 F6 C2 01 74 0E F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E C4 EB 04 66 0F 28 C4 F2 0F 5A C0 0F 28 74 24 50 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_672_0_0 {
	meta:
		name = "_fpieee_flt"
		size = 32
		refs = "0019 fpieee_flt_simd"
	strings:
		$1 = { 81 F9 8E 00 00 C0 72 15 81 F9 91 00 00 C0 76 08 81 F9 93 00 00 C0 75 05 E9 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule file_673_3_0 {
	meta:
		name = "_ismbclegal_l"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 44 8B DB 41 C1 EB 08 41 0F B6 C3 F6 44 08 1D 04 74 11 0F B6 C3 F6 44 08 1D 08 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_674_0_0 {
	meta:
		name = "_filelength"
		size = 263
		refs = "001a __doserrno 0022 _errno 003b _nhandle 0052 __pioinfo 006e __lock_fhandle 0087 _lseek_nolock 00d6 _unlock_fhandle 00f2 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 54 48 83 EC 30 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 C5 00 00 00 85 C9 0F 88 A5 00 00 00 3B 3D ?? ?? ?? ?? 0F 83 99 00 00 00 48 8B DF 48 8B F7 48 C1 FE 05 4C 8D 25 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 49 8B 04 F4 0F BE 4C 18 08 83 E1 01 74 73 8B CF E8 ?? ?? ?? ?? 90 49 8B 04 F4 F6 44 18 08 01 74 3B 33 D2 44 8D 42 01 8B CF E8 ?? ?? ?? ?? 8B F0 83 CB FF 3B C3 74 3B 33 D2 44 8D 43 03 8B CF E8 ?? ?? ?? ?? 8B D8 89 44 24 20 3B F0 74 28 45 33 C0 8B D6 8B CF E8 ?? ?? ?? ?? EB 1A E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CB FF 89 5C 24 20 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_679_8_0 {
	meta:
		name = "_woutput_s_l"
		size = 2879
		refs = "0022 __security_cookie 006b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0078 _errno 0083 _invalid_parameter_noinfo 00f9 __lookuptable_s 026c __nullstring 0274 strlen 02da _isleadbyte_l 0348 _mbtowc_l 0410 __wnullstring 049a _get_printf_count_output 061e _malloc_crt 0644 _cfltcvt_tab 065e __imp_DecodePointer 075d write_multi_char 0771 write_string 07de write_char 085d free 0af8 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 33 C0 48 8B D9 48 89 4C 24 78 48 89 55 80 48 8D 4D 90 49 8B D0 4D 8B F1 4C 89 4C 24 50 89 44 24 70 44 8B E0 89 44 24 58 8B F8 89 44 24 48 89 44 24 4C 89 44 24 6C 89 44 24 44 E8 ?? ?? ?? ?? 45 33 D2 48 85 DB 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D A8 74 0B 48 8B 45 A0 83 A0 C8 00 00 00 FD 83 C8 FF E9 4A 0A 00 00 4C 8B 45 80 4D 85 C0 74 CB 45 0F B7 28 41 8B D2 45 8B FA 45 8B CA 4C 89 55 B0 89 54 24 40 66 45 85 ED 0F 84 0F 0A 00 00 48 8B 5D B8 83 CE FF 8D 4E 59 44 8D 5E 21 49 83 C0 02 4C 89 45 80 85 D2 0F 88 E6 09 00 00 41 0F B7 C5 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C5 0F B6 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C1 48 03 C8 48 8D 05 ?? ?? ?? ?? 44 0F B6 0C 01 41 C1 E9 04 44 89 4C 24 68 41 83 F9 08 0F 84 DD 09 00 00 41 8B C9 45 85 C9 0F 84 38 08 00 00 FF C9 0F 84 3B 09 00 00 FF C9 0F 84 E6 08 00 00 FF C9 0F 84 93 08 00 00 FF C9 0F 84 7E 08 00 00 FF C9 0F 84 33 08 00 00 FF C9 0F 84 15 07 00 00 FF C9 0F 85 3E 09 00 00 41 0F B7 C5 B9 64 00 00 00 3B C1 0F 8F 12 02 00 00 0F 84 35 03 00 00 83 F8 41 0F 84 CC 01 00 00 83 F8 43 0F 84 51 01 00 00 83 F8 45 0F 84 BA 01 00 00 83 F8 47 0F 84 B1 01 00 00 83 F8 53 0F 84 C1 00 00 00 83 F8 58 0F 84 7B 02 00 00 83 F8 5A 74 4F 83 F8 61 0F 84 9C 01 00 00 83 F8 63 0F 84 22 01 00 00 44 8B 6C 24 44 BF 2D 00 00 00 44 39 54 24 6C 0F 85 4B 06 00 00 41 F6 C4 40 0F 84 2F 05 00 00 41 0F BA E4 08 0F 83 F6 04 00 00 66 89 7C 24 5C BF 01 00 00 00 89 7C 24 4C E9 15 05 00 00 49 8B 06 49 83 C6 08 4C 89 74 24 50 48 85 C0 74 39 48 8B 58 08 48 85 DB 74 30 BF 2D 00 00 00 41 0F BA E4 0B 73 16 0F BF 00 44 8D 6F D4 99 44 89 6C 24 44 2B C2 D1 F8 44 8B F8 EB 91 44 0F BF 38 45 8B EA 44 89 54 24 44 EB 83 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B F8 E9 5F FF FF FF 41 F7 C4 30 08 00 00 75 03 45 0B E3 39 74 24 48 49 8B 1E B8 FF FF FF 7F 0F 44 F8 49 83 C6 08 4C 89 74 24 50 45 84 E3 0F 84 53 01 00 00 48 85 DB 45 8B FA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 0F 8E 19 FF FF FF 44 38 16 0F 84 10 FF FF FF 0F B6 0E 48 8D 55 90 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C7 48 FF C6 44 3B FF 7C D6 E9 EA FE FF FF 41 F7 C4 30 08 00 00 75 03 45 0B E3 41 0F B7 06 49 83 C6 08 41 BD 01 00 00 00 66 89 44 24 60 44 89 6C 24 44 4C 89 74 24 50 45 84 E3 74 34 88 44 24 64 48 8B 45 90 44 88 54 24 65 4C 63 80 0C 01 00 00 4C 8D 4D 90 48 8D 54 24 64 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0B 44 89 6C 24 6C EB 04 66 89 45 C0 48 8D 5D C0 45 8B FD E9 7D FE FF FF C7 45 88 01 00 00 00 66 45 03 EB B9 67 00 00 00 B8 00 02 00 00 41 83 CC 40 48 8D 5D C0 8B F0 85 FF 0F 89 5C 02 00 00 41 BF 06 00 00 00 44 89 7C 24 48 E9 9D 02 00 00 83 F8 65 0F 8C 38 FE FF FF B9 67 00 00 00 3B C1 7E C7 B9 69 00 00 00 3B C1 0F 84 0A 01 00 00 83 F8 6E 0F 84 C4 00 00 00 B9 6F 00 00 00 3B C1 0F 84 A2 00 00 00 83 F8 70 74 61 83 F8 73 0F 84 AB FE FF FF B9 75 00 00 00 3B C1 0F 84 DD 00 00 00 B9 78 00 00 00 3B C1 0F 85 F5 02 00 00 8D 41 AF EB 48 48 85 DB 41 BD 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 44 89 6C 24 44 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B F8 E9 AB FD FF FF BF 10 00 00 00 41 0F BA EC 0F B8 07 00 00 00 41 B9 10 00 00 00 89 44 24 70 BE 00 02 00 00 45 8D 69 20 45 84 E4 79 7C 66 83 C0 51 66 44 89 6C 24 5C 41 8D 51 F2 66 89 44 24 5E EB 6B 41 B9 08 00 00 00 45 84 E4 79 51 BE 00 02 00 00 44 0B E6 EB 4C 49 8B 3E 49 83 C6 08 4C 89 74 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 6E 06 00 00 8B 44 24 40 45 8D 5A 20 45 84 E3 74 05 66 89 07 EB 02 89 07 C7 44 24 6C 01 00 00 00 E9 7E 03 00 00 41 83 CC 40 41 B9 0A 00 00 00 BE 00 02 00 00 41 BD 30 00 00 00 8B 54 24 4C B8 00 80 00 00 44 85 E0 74 09 4D 8B 06 49 83 C6 08 EB 39 41 0F BA E4 0C 72 F0 49 83 C6 08 45 84 E3 74 19 4C 89 74 24 50 41 F6 C4 40 74 07 4D 0F BF 46 F8 EB 1C 45 0F B7 46 F8 EB 15 41 F6 C4 40 74 06 4D 63 46 F8 EB 04 45 8B 46 F8 4C 89 74 24 50 41 F6 C4 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EC 08 44 85 E0 75 0A 41 0F BA E4 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 09 41 83 E4 F7 3B FE 0F 4F FE 44 8B 74 24 70 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C6 88 03 48 FF CB EB D3 4C 8B 74 24 50 48 8D 85 BF 01 00 00 89 7C 24 48 2B C3 48 FF C3 44 8B F8 44 85 E6 0F 84 10 FC FF FF 85 C0 74 09 44 38 2B 0F 84 03 FC FF FF 48 FF CB 41 FF C7 44 88 2B E9 F5 FB FF FF 75 11 66 44 3B E9 75 3F 41 BF 01 00 00 00 E9 97 FD FF FF 3B F8 41 BF A3 00 00 00 0F 4F F8 89 7C 24 48 41 3B FF 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 B0 48 85 C0 0F 84 68 FD FF FF 48 8B D8 8B F7 44 8B 7C 24 48 EB 03 44 8B FF 49 8B 06 48 8B 0D ?? ?? ?? ?? 49 83 C6 08 4C 89 74 24 50 41 0F BE FD 48 63 F6 48 89 45 B8 FF 15 ?? ?? ?? ?? 48 8D 4D 90 48 89 4C 24 30 8B 4D 88 44 8B CF 89 4C 24 28 48 8D 4D B8 4C 8B C6 48 8B D3 44 89 7C 24 20 FF D0 41 8B FC 81 E7 80 00 00 00 74 1B 45 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 B9 67 00 00 00 66 44 3B E9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EC 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 44 8B F8 EB 05 BF 2D 00 00 00 44 8B 6C 24 44 E9 EA FA FF FF 41 F6 C4 01 74 0F B8 2B 00 00 00 66 89 44 24 5C E9 FA FA FF FF 41 F6 C4 02 74 13 B8 20 00 00 00 66 89 44 24 5C 8D 78 E1 89 7C 24 4C EB 09 8B 7C 24 4C B8 20 00 00 00 44 8B 74 24 58 48 8B 74 24 78 45 2B F7 44 2B F7 41 F6 C4 0C 75 12 4C 8D 4C 24 40 8B C8 4C 8B C6 41 8B D6 E8 ?? ?? ?? ?? 4C 8D 4C 24 40 48 8D 4C 24 5C 4C 8B C6 8B D7 E8 ?? ?? ?? ?? 41 F6 C4 08 74 1B 41 F6 C4 04 75 15 4C 8D 4C 24 40 B9 30 00 00 00 4C 8B C6 41 8B D6 E8 ?? ?? ?? ?? 45 85 ED 75 66 45 85 FF 7E 61 48 8B FB 41 8B F7 48 8B 45 90 4C 8D 4D 90 48 8D 4C 24 60 4C 63 80 0C 01 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 45 33 D2 4C 63 E8 85 C0 7E 25 48 8B 54 24 78 0F B7 4C 24 60 4C 8D 44 24 40 E8 ?? ?? ?? ?? 49 03 FD 45 33 D2 85 F6 7F BA 48 8B 74 24 78 EB 24 48 8B 74 24 78 83 CA FF 89 54 24 40 EB 1A 4C 8D 4C 24 40 4C 8B C6 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 8B 54 24 40 85 D2 78 5F 41 F6 C4 04 74 59 4C 8D 4C 24 40 B9 20 00 00 00 4C 8B C6 41 8B D6 E8 ?? ?? ?? ?? 4C 8B 74 24 50 45 33 D2 41 BB 20 00 00 00 8B 54 24 40 48 8B 45 B0 48 85 C0 0F 84 53 02 00 00 48 8B C8 E8 ?? ?? ?? ?? 8B 7C 24 48 45 33 D2 4C 89 55 B0 83 CE FF 8B 54 24 40 41 BB 20 00 00 00 E9 35 02 00 00 4C 8B 74 24 50 41 BB 20 00 00 00 EB C1 41 0F B7 C5 83 F8 49 74 50 83 F8 68 74 43 B9 6C 00 00 00 3B C1 74 18 B9 58 00 00 00 83 F8 77 0F 85 11 02 00 00 41 0F BA EC 0B E9 07 02 00 00 66 41 39 08 B9 58 00 00 00 75 0E 49 83 C0 02 41 0F BA EC 0C E9 EE 01 00 00 41 83 CC 10 E9 E5 01 00 00 45 0B E3 E9 D8 01 00 00 41 0F BA EC 0F 66 41 83 38 36 75 16 66 41 83 78 02 34 75 0E 49 83 C0 04 41 0F BA EC 0F E9 B6 01 00 00 66 41 83 38 33 75 16 66 41 83 78 02 32 75 0E 49 83 C0 04 41 0F BA F4 0F E9 99 01 00 00 B8 64 00 00 00 66 41 39 00 0F 84 8A 01 00 00 B8 69 00 00 00 66 41 39 00 0F 84 7B 01 00 00 B8 6F 00 00 00 66 41 39 00 0F 84 6C 01 00 00 B8 75 00 00 00 8D 48 E3 66 41 39 00 0F 84 5F 01 00 00 8D 41 20 66 41 39 00 0F 84 52 01 00 00 66 41 39 08 0F 84 48 01 00 00 44 89 54 24 68 48 8B 54 24 78 4C 8D 44 24 40 41 0F B7 CD C7 44 24 44 01 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 E9 CE FE FF FF 66 41 83 FD 2A 75 28 41 8B 3E 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 7C 24 48 85 FF 0F 89 FC 00 00 00 8B FE 89 74 24 48 E9 F1 00 00 00 8D 0C BF 41 0F B7 C5 8D 7C 48 D0 89 7C 24 48 E9 D8 00 00 00 41 8B FA 44 89 54 24 48 E9 CB 00 00 00 66 41 83 FD 2A 75 2C 41 8B 06 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 44 24 58 85 C0 0F 89 AC 00 00 00 41 83 CC 04 F7 D8 89 44 24 58 E9 9D 00 00 00 8B 44 24 58 8D 0C 80 41 0F B7 C5 8D 44 48 D0 89 44 24 58 E9 80 00 00 00 41 0F B7 C5 41 3B C3 74 3E 83 F8 23 74 32 B9 2B 00 00 00 3B C1 74 23 B9 2D 00 00 00 3B C1 74 14 B9 30 00 00 00 3B C1 B9 58 00 00 00 75 57 41 83 CC 08 EB 51 41 83 CC 04 EB 46 41 83 CC 01 EB 40 41 0F BA EC 07 EB 39 41 83 CC 02 EB 33 44 89 55 88 44 89 54 24 6C 44 89 54 24 58 44 89 54 24 4C 45 8B E2 8B FE 89 74 24 48 44 89 54 24 44 EB 10 8B 7C 24 48 83 CE FF 44 8B 4C 24 68 4C 8B 45 80 B9 58 00 00 00 45 0F B7 28 66 45 85 ED 0F 85 0A F6 FF FF 45 85 C9 74 06 41 83 F9 07 75 3D 44 38 55 A8 74 0B 48 8B 4D A0 83 A1 C8 00 00 00 FD 8B C2 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D A8 74 0B 48 8B 45 A0 83 A0 C8 00 00 00 FD 8B C6 EB AE }
	condition:
		$1
}

rule file_680_1_0 {
	meta:
		name = "shortsort_s"
		size = 190
	strings:
		$1 = { 48 3B D1 0F 86 B3 00 00 00 55 57 41 54 41 56 48 83 EC 28 48 89 5C 24 50 48 89 74 24 58 4C 89 6C 24 60 4C 8B 6C 24 70 4C 89 7C 24 20 4D 8B F1 4E 8D 3C 01 49 8B E8 48 8B FA 4C 8B E1 0F 1F 40 00 49 8B DC 49 8B F7 4C 3B FF 77 1F 0F 1F 44 00 00 4C 8B C3 48 8B D6 49 8B CD 41 FF D6 85 C0 48 0F 4F DE 48 03 F5 48 3B F7 76 E6 4C 8B C5 48 8B D7 48 3B DF 74 21 48 85 ED 74 1C 48 2B DF 0F 1F 00 0F B6 02 0F B6 0C 13 48 FF C2 49 FF C8 88 44 13 FF 88 4A FF 75 EA 48 2B FD 49 3B FC 77 A2 4C 8B 7C 24 20 4C 8B 6C 24 60 48 8B 74 24 58 48 8B 5C 24 50 48 83 C4 28 41 5E 41 5C 5F 5D F3 C3 }
	condition:
		$1
}

rule file_680_2_0 {
	meta:
		name = "qsort_s"
		size = 834
		refs = "0021 _errno 0038 _invalid_parameter_noinfo 00c7 shortsort_s"
	strings:
		$1 = { 40 55 41 55 41 57 48 81 EC 20 04 00 00 4D 8B E9 49 8B E8 4C 8B F9 48 85 C9 75 21 48 85 D2 74 1C E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 81 C4 20 04 00 00 41 5F 41 5D 5D E9 ?? ?? ?? ?? 4D 85 C0 74 DF 4D 85 C9 74 DA 48 83 FA 02 0F 82 E5 02 00 00 48 89 9C 24 48 04 00 00 48 89 B4 24 50 04 00 00 48 89 BC 24 58 04 00 00 4C 89 A4 24 18 04 00 00 4C 8D 62 FF 4C 89 B4 24 10 04 00 00 4C 8B B4 24 60 04 00 00 48 C7 84 24 40 04 00 00 00 00 00 00 4C 0F AF E5 4C 03 E1 66 0F 1F 84 00 00 00 00 00 33 D2 49 8B C4 49 2B C7 48 F7 F5 48 8D 70 01 48 83 FE 08 77 3E 4D 8B CD 4C 8B C5 49 8B D4 49 8B CF 4C 89 74 24 20 E8 ?? ?? ?? ?? 48 8B 8C 24 40 04 00 00 48 FF C9 48 89 8C 24 40 04 00 00 0F 88 29 02 00 00 4C 8B 7C CC 30 4C 8B A4 CC 20 02 00 00 EB AD 48 D1 EE 49 8B D7 49 8B CE 48 0F AF F5 49 03 F7 4C 8B C6 41 FF D5 85 C0 7E 2B 4C 8B C5 48 8B D6 4C 3B FE 74 20 4D 8B CF 4C 2B CE 66 90 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 4D 8B C4 49 8B D7 49 8B CE 41 FF D5 85 C0 7E 30 4C 8B C5 49 8B D4 4D 3B FC 74 25 4D 8B CF 4D 2B CC 0F 1F 80 00 00 00 00 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 4D 8B C4 48 8B D6 49 8B CE 41 FF D5 85 C0 7E 30 4C 8B C5 49 8B D4 49 3B F4 74 25 4C 8B CE 4D 2B CC 0F 1F 80 00 00 00 00 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 49 8B DF 49 8B FC 66 90 48 3B F3 76 1D 48 03 DD 48 3B DE 73 15 4C 8B C6 48 8B D3 49 8B CE 41 FF D5 85 C0 7E E8 48 3B F3 77 1E 48 03 DD 49 3B DC 77 16 4C 8B C6 48 8B D3 49 8B CE 41 FF D5 85 C0 7E E8 66 0F 1F 44 00 00 48 2B FD 48 3B FE 76 10 4C 8B C6 48 8B D7 49 8B CE 41 FF D5 85 C0 7F E8 48 3B DF 77 3C 4C 8B C5 48 8B D7 74 23 4C 8B CB 4C 2B CF 0F 1F 44 00 00 0F B6 02 41 0F B6 0C 11 48 FF C2 49 FF C8 41 88 44 11 FF 88 4A FF 75 E8 48 3B F7 0F 85 6F FF FF FF 48 8B F3 E9 67 FF FF FF 48 03 FD 48 3B F7 73 1F 48 2B FD 48 3B FE 76 17 4C 8B C6 48 8B D7 49 8B CE 41 FF D5 85 C0 74 E8 48 3B F7 72 1A 66 90 48 2B FD 49 3B FF 76 10 4C 8B C6 48 8B D7 49 8B CE 41 FF D5 85 C0 74 E8 49 8B CC 48 8B C7 48 2B CB 49 2B C7 48 3B C1 48 8B 8C 24 40 04 00 00 7C 2E 4C 3B FF 73 18 4C 89 7C CC 30 48 89 BC CC 20 02 00 00 48 FF C1 48 89 8C 24 40 04 00 00 49 3B DC 0F 83 FC FD FF FF 4C 8B FB E9 C1 FD FF FF 49 3B DC 73 18 48 89 5C CC 30 4C 89 A4 CC 20 02 00 00 48 FF C1 48 89 8C 24 40 04 00 00 4C 3B FF 0F 83 CE FD FF FF 4C 8B E7 E9 93 FD FF FF 4C 8B A4 24 18 04 00 00 48 8B BC 24 58 04 00 00 48 8B B4 24 50 04 00 00 48 8B 9C 24 48 04 00 00 4C 8B B4 24 10 04 00 00 48 81 C4 20 04 00 00 41 5F 41 5D 5D C3 }
	condition:
		$1
}

rule file_681_3_0 {
	meta:
		name = "_ismbcspace_l"
		size = 263
		refs = "0016 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0084 __crtGetStringTypeA 00c9 _isctype_l"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 48 8B EC 48 83 EC 60 8B F1 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FE FF 00 00 00 0F 86 88 00 00 00 48 8B 4D E8 33 DB 8B C6 C1 E8 08 89 5D 30 40 88 75 21 88 45 20 39 59 08 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 A0 00 00 00 8B 41 0C BF 01 00 00 00 4C 8D 45 20 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 30 44 8D 4F 01 8B D7 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B4 66 39 5D 32 75 06 F6 45 30 08 75 02 8B FB 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 EB 49 48 8B 45 E0 BF 01 00 00 00 39 B8 0C 01 00 00 7E 13 4C 8D 45 E0 8D 57 07 8B CE E8 ?? ?? ?? ?? 44 8B D8 EB 10 48 8B 80 40 01 00 00 44 0F B7 1C 70 41 83 E3 08 33 DB 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 41 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 60 5F 5E 5D C3 }
	condition:
		$1
}

rule file_683_21_0 {
	meta:
		name = "?SetProxy@UMSSchedulingContext@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 75
		refs = "000c ??_C@_0N@FACDCNDA@pThreadProxy?$AA@ 0020 ??0exception@std@@QEAA@AEBQEBD@Z 0027 ??_7invalid_argument@std@@6B@ 002e _TI3?AVinvalid_argument@std@@ 003d _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 89 51 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_683_24_0 {
	meta:
		name = "?ClaimBoundProcessorAndSwallowActivation@UMSSchedulingContext@details@Concurrency@@AEAAXXZ"
		size = 42
		refs = "000e ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ 001c ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 E8 ?? ?? ?? ?? EB 0C 48 8B 4B 18 48 8B D3 E8 ?? ?? ?? ?? 84 C0 74 F0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_683_25_0 {
	meta:
		name = "?Dispatch@UMSSchedulingContext@details@Concurrency@@UEAAXPEAUDispatchState@3@@Z"
		size = 570
		refs = "0028 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 002e __imp_TlsSetValue 00c7 ?GetAnonymousScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 00f0 ?MoveCompletionListToRunnables@UMSThreadScheduler@details@Concurrency@@QEAA_NPEAVVirtualProcessor@23@@Z 0164 ?GetReservedContext@UMSThreadScheduler@details@Concurrency@@AEAAPEAVInternalContextBase@23@XZ 0198 ?NotifyBlocked@UMSThreadInternalContext@details@Concurrency@@AEAAX_N@Z 01b9 ?MakeAvailableFromSchedulingContext@UMSThreadVirtualProcessor@details@Concurrency@@QEAAXXZ 01c5 ?EnsureAllTasksVisible@VirtualProcessor@details@Concurrency@@QEAAXPEAUIExecutionContext@3@@Z 01e1 ?Deactivate@VirtualProcessor@details@Concurrency@@QEAA_NPEAUIExecutionContext@3@@Z 01ed ?ClaimBoundProcessorAndSwallowActivation@UMSSchedulingContext@details@Concurrency@@AEAAXXZ 01fd __imp_Sleep"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 48 89 50 10 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B D9 48 8B D1 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 43 18 33 ED BA 01 00 00 00 48 8B B8 B0 00 00 00 48 85 FF 75 09 4C 8B A8 20 01 00 00 EB 04 4C 8B 6F 40 45 32 E4 45 32 F6 33 C9 8B F2 48 85 FF 74 11 48 8D 4F 10 48 8B 01 FF 50 78 BA 01 00 00 00 8B C8 48 8B 43 18 48 39 A8 18 01 00 00 75 10 85 C9 74 0C 48 89 B8 18 01 00 00 BE 02 00 00 00 48 8B 4B 18 48 8B 81 18 01 00 00 48 85 C0 41 0F 95 C7 48 85 C0 74 0F 40 38 A8 FE 00 00 00 45 0F B6 E4 44 0F 45 E2 4D 85 ED 75 10 48 8B 41 70 48 8B 48 08 E8 ?? ?? ?? ?? 4C 8B E8 48 85 FF 74 06 89 B7 58 01 00 00 33 F6 48 8B 4B 18 48 83 B9 18 01 00 00 00 74 40 48 8B 4B 10 33 D2 E8 ?? ?? ?? ?? 4C 8B 5B 18 41 8B 83 08 01 00 00 85 C0 74 26 48 8B 43 18 48 8B B0 18 01 00 00 C7 80 08 01 00 00 00 00 00 00 48 8B 43 18 48 83 A0 18 01 00 00 00 48 85 F6 75 2C 48 8B 43 18 83 64 24 20 00 48 83 64 24 30 00 48 8D 48 30 48 8D 54 24 20 41 B9 01 00 00 00 4D 8B C5 FF 50 58 84 C0 48 0F 45 74 24 30 45 84 FF 75 11 48 85 F6 75 0C 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B F0 48 85 FF 74 2E 48 85 F6 75 14 48 8B 53 18 4C 8B 42 70 49 8B 48 08 E8 ?? ?? ?? ?? 4C 8B E8 48 8B 44 24 78 48 8B CF 8A 50 04 80 E2 01 E8 ?? ?? ?? ?? 33 FF 48 85 F6 75 65 8D 46 01 03 E8 3B E8 75 22 45 84 E4 75 0C 48 8B 4B 18 44 8A F0 E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B D3 E8 ?? ?? ?? ?? E9 0D FF FF FF 0F 8E 07 FF FF FF 45 84 E4 75 1D 48 8B 4B 18 48 8B D3 E8 ?? ?? ?? ?? 84 C0 75 08 48 8B CB E8 ?? ?? ?? ?? 45 32 F6 EB 0B B9 64 00 00 00 FF 15 ?? ?? ?? ?? 33 ED E9 D3 FE FF FF 45 84 F6 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 18 48 8B D6 48 8B 01 FF 50 20 48 8B 4B 20 41 B8 01 00 00 00 48 8B 01 48 8B D6 FF 50 08 E9 F8 FD FF FF }
	condition:
		$1
}

rule file_683_26_0 {
	meta:
		name = "?OnPrimary@UMSSchedulingContext@details@Concurrency@@SA_NXZ"
		size = 27
		refs = "0006 ?t_dwSchedulingContextIndex@UMSThreadScheduler@details@Concurrency@@0KA 000c __imp_TlsGetValue"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_683_29_0 {
	meta:
		name = "??0UMSSchedulingContext@details@Concurrency@@QEAA@PEAVUMSThreadScheduler@12@PEAVUMSThreadVirtualProcessor@12@@Z"
		size = 52
		refs = "000e ??_7UMSSchedulingContext@details@Concurrency@@6B@ 0024 ?GetNewContextId@SchedulerBase@details@Concurrency@@QEAAIXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 20 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 51 10 4C 89 41 18 48 89 01 48 8B CA E8 ?? ?? ?? ?? 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_684_1_0 {
	meta:
		name = "_wfindfirst32i64"
		size = 337
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __timet_from_ft 012c wcscpy_s 014c _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 47 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 47 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 89 47 0C 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4F 10 48 8D 4F 18 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 06 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_684_2_0 {
	meta:
		name = "_wfindnext32i64"
		size = 299
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __timet_from_ft 010a wcscpy_s 0126 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 89 43 0C 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 10 48 8D 4B 18 E8 ?? ?? ?? ?? 85 C0 0F 84 25 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "?_vswprintf_l@@YAHPEA_W_KPEB_WPEAUlocaleinfo_struct@@PEAD@Z"
		size = 203
		refs = "0032 memset 006c _woutput_l 0092 _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 50 48 8B FA 33 D2 4D 8B E0 48 8B D9 44 8D 42 28 48 8D 4D D8 49 8B F1 E8 ?? ?? ?? ?? C7 45 E8 42 00 00 00 48 89 5D E0 48 89 5D D0 48 81 FF FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 06 8D 04 3F 89 45 D8 4C 8B 4D 30 48 8D 4D D0 4C 8B C6 49 8B D4 E8 ?? ?? ?? ?? FF 4D D8 8B D8 78 14 48 8B 4D D0 C6 01 00 48 8B 4D D0 48 FF C1 48 89 4D D0 EB 0F 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 4D D0 FF 4D D8 78 05 C6 01 00 EB 0B 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 48 8B 74 24 68 48 8B 7C 24 70 4C 8B 64 24 78 8B C3 48 8B 5C 24 60 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_686_0_0 {
	meta:
		name = "_strdate_s"
		size = 304
		refs = "0009 __security_cookie 0034 _errno 0049 __imp_GetLocalTime 0117 _invalid_parameter_noinfo 0126 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 0F 84 E9 00 00 00 48 85 D2 0F 84 E0 00 00 00 C6 01 00 48 83 FA 09 73 0F E8 ?? ?? ?? ?? BB 22 00 00 00 E9 D2 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 4C 24 20 44 0F B7 5C 24 22 44 0F B7 44 24 26 41 BA 67 66 66 66 B8 1F 85 EB 51 C6 43 05 2F C6 43 02 2F C6 43 08 00 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C2 6B D2 64 44 2B CA 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 03 8A C2 C0 E2 02 02 C2 02 C0 44 2A D8 41 8B C2 41 80 C3 30 44 88 5B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 4A 30 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 41 80 C0 30 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 43 06 8A C2 C0 E2 02 02 C2 02 C0 44 2A C8 41 80 C1 30 33 C0 44 88 4B 07 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_686_1_0 {
	meta:
		name = "_strdate"
		size = 273
		refs = "0009 __security_cookie 001e _errno 0029 _invalid_parameter_noinfo 003e __imp_GetLocalTime 0107 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 CA 00 00 00 C6 01 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 44 0F B7 4C 24 20 44 0F B7 5C 24 22 44 0F B7 44 24 26 41 BA 67 66 66 66 B8 1F 85 EB 51 C6 43 05 2F C6 43 02 2F C6 43 08 00 41 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C2 6B D2 64 44 2B CA 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 42 30 88 03 8A C2 C0 E2 02 02 C2 02 C0 44 2A D8 41 8B C2 41 80 C3 30 44 88 5B 01 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 41 8B C2 8D 4A 30 88 4B 03 8A CA C0 E2 02 02 CA 02 C9 44 2A C1 41 80 C0 30 44 88 43 04 41 F7 E9 C1 FA 02 8B C2 C1 E8 1F 03 D0 48 8B C3 8D 4A 30 88 4B 06 8A CA C0 E2 02 02 CA 02 C9 44 2A C9 41 80 C1 30 44 88 4B 07 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_687_3_0 {
	meta:
		name = "_wcsncoll_l"
		size = 225
		refs = "0034 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003e _errno 0049 _invalid_parameter_noinfo 0088 wcsncmp 00a3 __crtCompareStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 50 49 8B D8 48 8B FA 48 8B F1 4D 85 C0 75 07 33 C0 E9 A0 00 00 00 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 48 85 F6 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 67 48 85 FF 74 D3 48 81 FB FF FF FF 7F 77 CA 48 8B 45 E0 8B 48 10 85 C9 75 10 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? EB 2D 44 8B CB 4C 8B C6 BA 00 10 00 00 89 5C 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 95 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_688_0_0 {
	meta:
		name = "_msize"
		size = 57
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0028 _crtheap 0035 __imp_HeapSize"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 4C 8B C1 48 8B 0D ?? ?? ?? ?? 33 D2 48 83 C4 28 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_0_0 {
	meta:
		name = "strrchr"
		size = 37
	strings:
		$1 = { 4C 8B C9 45 33 C0 8A 01 48 FF C1 84 C0 75 F7 48 FF C9 49 3B C9 74 04 38 11 75 F4 38 11 4C 0F 44 C1 49 8B C0 C3 }
	condition:
		$1
}

rule file_691_1_0 {
	meta:
		name = "_make__time64_t"
		size = 689
		refs = "001a __security_cookie 0038 _errno 0043 _invalid_parameter_noinfo 00bd _days 01ce __tzset 01d7 _get_dstbias 01e4 _get_timezone 01fd _localtime64_s 023c _invoke_watson 0260 _gmtime64_s 0276 memcpy 0297 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 18 4C 89 64 24 20 55 48 8B EC 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 83 65 C8 00 83 65 CC 00 8B FA 48 8B D9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 3F 02 00 00 4C 63 51 14 41 B8 08 04 00 00 49 8D 42 BB 4C 89 55 C0 49 3B C0 0F 87 19 02 00 00 8B 49 10 85 C9 78 05 83 F9 0B 7E 43 B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 52 C1 E0 02 2B C8 48 63 C2 4C 03 D0 89 4B 10 4C 89 55 C0 85 C9 79 0D 8D 41 0C 49 FF CA 89 43 10 4C 89 55 C0 49 8D 42 BB 49 3B C0 0F 87 CA 01 00 00 48 63 43 10 48 8D 0D ?? ?? ?? ?? 49 BC 0B D7 A3 70 3D 0A D7 A3 4C 63 1C 81 49 8B C2 48 99 83 E2 03 48 03 C2 83 E0 03 48 3B C2 75 20 49 8B C4 49 F7 EA 49 03 D2 48 C1 FA 06 48 8B C2 48 C1 E8 3F 48 03 D0 48 6B D2 64 4C 3B D2 75 2A 49 8D 8A 6C 07 00 00 49 8B C4 48 F7 E9 48 03 D1 48 C1 FA 08 48 8B C2 48 C1 E8 3F 48 03 D0 48 69 D2 90 01 00 00 48 3B CA 75 09 83 7B 10 01 7E 03 49 FF C3 49 8D 8A 2B 01 00 00 4D 8D 42 FF 49 8B C4 4D 69 D2 6D 01 00 00 48 F7 E9 49 8B C4 4C 8D 0C 11 49 F7 E8 49 8B C0 49 C1 F9 08 49 03 D0 48 C1 FA 06 49 8B C9 48 C1 E9 3F 4C 03 C9 48 63 4B 0C 4C 03 C9 48 8B CA 48 C1 E9 3F 48 03 D1 4C 2B CA 48 99 83 E2 03 48 03 C2 48 C1 F8 02 49 03 C3 49 03 C1 49 8D 84 02 21 9C FF FF 48 8D 0C 40 48 63 43 08 48 C1 E1 03 48 03 C1 48 63 4B 04 48 6B C0 3C 48 03 C8 48 63 03 48 6B C9 3C 48 03 C1 48 89 45 C0 85 FF 0F 84 8A 00 00 00 E8 ?? ?? ?? ?? 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 75 62 48 8D 4D CC E8 ?? ?? ?? ?? 85 C0 75 3F 48 63 45 CC 48 8D 55 C0 48 8D 4D D0 48 01 45 C0 E8 ?? ?? ?? ?? 85 C0 75 7B 8B 43 20 85 C0 7F 08 79 5A 83 7D F0 00 7E 54 48 63 45 C8 48 8D 55 C0 48 8D 4D D0 48 01 45 C0 E8 ?? ?? ?? ?? EB 39 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 18 48 8D 55 D0 48 8B CB 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 8B 45 C0 EB 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 48 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 18 49 8B 7B 20 4D 8B 63 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_692_0_0 {
	meta:
		name = "_wsplitpath_helper"
		size = 659
		refs = "00e8 wcsncpy_s 025a _errno 026b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B A4 24 98 00 00 00 4C 8B AC 24 88 00 00 00 48 8B F9 33 C9 4D 8B F9 4C 8B F2 8B F1 89 4C 24 60 4D 8B C8 48 85 FF 74 0A 48 85 D2 75 0F 4D 85 C0 74 0F BE 01 00 00 00 E9 BA 01 00 00 4D 85 C0 74 F1 4D 85 FF 75 0C 48 39 8C 24 80 00 00 00 75 E2 EB 0A 48 39 8C 24 80 00 00 00 74 D6 4D 85 ED 75 0C 48 39 8C 24 90 00 00 00 75 C7 EB 0A 48 39 8C 24 90 00 00 00 74 BB 4D 85 E4 75 0C 48 39 8C 24 A0 00 00 00 75 AC EB 0A 48 39 8C 24 A0 00 00 00 74 A0 B8 01 00 00 00 48 8B DF 66 39 0B 74 09 48 83 C3 02 48 FF C8 75 F2 66 83 3B 3A 75 2C 48 85 D2 74 21 49 83 F8 03 0F 82 39 01 00 00 41 B9 02 00 00 00 4C 8B C7 48 83 CA FF 49 8B CE E8 ?? ?? ?? ?? 33 C9 48 8D 7B 02 EB 08 48 85 D2 74 03 66 89 0A 0F B7 07 48 8B E9 48 8B F1 48 8B DF 66 85 C0 74 5E 66 83 F8 2F 74 11 66 83 F8 5C 74 0B 66 83 F8 2E 75 09 48 8B F3 EB 04 48 8D 6B 02 48 83 C3 02 0F B7 03 66 85 C0 75 D9 48 85 ED 74 32 4D 85 FF 74 28 4C 8B CD 4C 2B CF 49 D1 F9 4C 39 8C 24 80 00 00 00 0F 86 B2 00 00 00 4C 8B C7 48 83 CA FF 49 8B CF E8 ?? ?? ?? ?? 33 C9 48 8B FD EB 09 4D 85 FF 74 04 66 41 89 0F 48 85 F6 74 57 48 3B F7 72 52 4D 85 ED 74 24 4C 8B CE 4C 2B CF 49 D1 F9 4C 39 8C 24 90 00 00 00 76 71 4C 8B C7 48 83 CA FF 49 8B CD E8 ?? ?? ?? ?? 33 C9 4D 85 E4 74 57 48 2B DE 48 D1 FB 48 39 9C 24 A0 00 00 00 76 4B 4C 8B CB 4C 8B C6 48 83 CA FF 49 8B CC E8 ?? ?? ?? ?? EB 33 4D 85 ED 74 24 48 2B DF 48 D1 FB 48 39 9C 24 90 00 00 00 76 22 4C 8B CB 4C 8B C7 48 83 CA FF 49 8B CD E8 ?? ?? ?? ?? 33 C9 4D 85 E4 74 05 66 41 89 0C 24 33 C0 EB 77 8B 74 24 60 4C 8B 4C 24 70 4D 85 F6 74 09 4D 85 C9 74 04 66 41 89 0E 4D 85 FF 74 0E 48 39 8C 24 80 00 00 00 76 04 66 41 89 0F 4D 85 ED 74 0F 48 39 8C 24 90 00 00 00 76 05 66 41 89 4D 00 4D 85 E4 74 0F 48 39 8C 24 A0 00 00 00 76 05 66 41 89 0C 24 E8 ?? ?? ?? ?? 48 85 FF 75 10 BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 0B 85 F6 75 EC 8D 4E 22 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_694_0_0 {
	meta:
		name = "vscan_fn"
		size = 166
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 0057 strlen"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B FA 33 D2 49 8B D8 48 8B E9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 43 48 85 DB 74 E6 48 8B CF E8 ?? ?? ?? ?? 4C 8B 8C 24 80 00 00 00 B9 FF FF FF 7F 48 3B C1 4C 8B C6 48 8B D3 0F 47 C1 48 8D 4C 24 20 C7 44 24 38 49 00 00 00 48 89 7C 24 30 48 89 7C 24 20 89 44 24 28 FF D5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_698_3_0 {
	meta:
		name = "_mbsnccnt_l"
		size = 171
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 48 8B DA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 2C 48 85 DB 74 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 52 33 D2 48 85 DB 74 35 48 8B 4C 24 28 48 FF CB 80 3F 00 74 28 0F B6 07 F6 44 08 1D 04 74 13 48 8B C3 48 FF CB 48 85 C0 74 13 48 FF C7 80 3F 00 74 0B 48 FF C2 48 FF C7 48 85 DB 75 D0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_700_3_0 {
	meta:
		name = "_mbsset_l"
		size = 235
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002a _errno 0035 _invalid_parameter_noinfo 0064 _strset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B F1 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 85 DB 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 74 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 E9 88 00 00 00 48 8B 44 24 28 83 78 08 00 75 1F 8B D7 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 6C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 5E 8B C7 C1 E8 08 84 C0 74 3A 40 84 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B0 20 40 8A F8 EB 16 88 03 48 FF C3 80 3B 00 74 08 40 88 3B 48 FF C3 EB 04 C6 43 FF 20 80 3B 00 75 E5 EB 0B 40 88 3B 48 FF C3 80 3B 00 75 F5 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_702_9_0 {
	meta:
		name = "_output_s_l"
		size = 2731
		refs = "0022 __security_cookie 0067 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0074 _errno 007f _invalid_parameter_noinfo 00aa __ImageBase 00b8 _fileno 00bf __badioinfo 00ea __pioinfo 01af __lookuptable_s 02c7 __nullstring 02cf strlen 0316 __wnullstring 034f wctomb_s 0480 _get_printf_count_output 05e8 _malloc_crt 060a _cfltcvt_tab 061f __imp_DecodePointer 0720 write_multi_char 0734 write_string 080b free 086a __security_check_cookie 0946 _isleadbyte_l 095e write_char"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FE FF FF 48 81 EC D0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C8 01 00 00 33 C0 48 8B D9 48 89 4C 24 70 48 89 54 24 68 48 8D 4D 80 49 8B D0 4D 8B F9 89 44 24 64 44 8B E8 89 44 24 58 8B F8 89 44 24 44 89 44 24 4C 89 44 24 5C 89 44 24 54 E8 ?? ?? ?? ?? 45 33 D2 48 85 DB 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D 98 74 0B 48 8B 45 90 83 A0 C8 00 00 00 FD 83 C8 FF E9 C0 07 00 00 41 83 CE FF F6 43 18 40 4C 8D 0D ?? ?? ?? ?? 0F 85 A5 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 41 3B C6 74 28 83 F8 FE 74 23 4C 63 C0 4C 8D 0D ?? ?? ?? ?? 49 8B C8 41 83 E0 1F 48 C1 F9 05 4D 6B C0 58 4D 03 84 C9 ?? ?? ?? ?? EB 0A 4C 8B C2 4C 8D 0D ?? ?? ?? ?? 41 F6 40 38 7F 75 29 41 3B C6 74 1E 83 F8 FE 74 19 48 63 D0 48 8B C2 83 E2 1F 48 C1 F8 05 48 6B D2 58 49 03 94 C1 ?? ?? ?? ?? F6 42 38 80 74 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D 98 74 0B 48 8B 45 90 83 A0 C8 00 00 00 FD 41 8B C6 E9 09 07 00 00 45 33 D2 48 8B 54 24 68 48 85 D2 74 C7 44 8A 22 41 8B F2 44 89 54 24 40 44 89 54 24 48 45 8B C2 4C 89 55 A0 45 84 E4 0F 84 C9 06 00 00 48 8B 5D B0 41 BB 00 02 00 00 48 FF C2 48 89 54 24 68 85 F6 0F 88 A0 06 00 00 41 8D 44 24 E0 3C 58 77 12 49 0F BE C4 42 0F B6 8C 08 ?? ?? ?? ?? 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C0 48 03 C8 46 0F B6 84 09 ?? ?? ?? ?? 41 C1 E8 04 44 89 44 24 60 41 83 F8 08 0F 84 46 FF FF FF 41 8B C8 45 85 C0 0F 84 48 07 00 00 FF C9 0F 84 71 08 00 00 FF C9 0F 84 19 08 00 00 FF C9 0F 84 D8 07 00 00 FF C9 0F 84 C3 07 00 00 FF C9 0F 84 81 07 00 00 FF C9 0F 84 69 06 00 00 FF C9 0F 85 09 06 00 00 41 0F BE C4 83 F8 64 0F 8F 73 01 00 00 0F 84 6E 02 00 00 83 F8 41 0F 84 38 01 00 00 83 F8 43 0F 84 D5 00 00 00 83 F8 45 0F 84 26 01 00 00 83 F8 47 0F 84 1D 01 00 00 83 F8 53 74 74 83 F8 58 0F 84 D6 01 00 00 83 F8 5A 74 17 83 F8 61 0F 84 0D 01 00 00 83 F8 63 0F 84 AC 00 00 00 E9 2B 04 00 00 49 8B 07 49 83 C7 08 48 85 C0 74 2F 48 8B 58 08 48 85 DB 74 26 0F BF 00 41 0F BA E5 0B 73 12 99 C7 44 24 54 01 00 00 00 2B C2 D1 F8 E9 F6 03 00 00 44 89 54 24 54 E9 EC 03 00 00 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? E9 D5 03 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 8B 1F 41 3B FE 8B C7 B9 FF FF FF 7F 0F 44 C1 49 83 C7 08 41 F7 C5 10 08 00 00 0F 84 09 01 00 00 48 85 DB C7 44 24 54 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B CB E9 E2 00 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 83 C7 08 41 F7 C5 10 08 00 00 74 27 45 0F B7 4F F8 48 8D 55 C0 48 8D 4C 24 48 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 5C 01 00 00 00 EB 0F 41 8A 47 F8 C7 44 24 48 01 00 00 00 88 45 C0 48 8D 5D C0 E9 38 03 00 00 C7 44 24 78 01 00 00 00 41 80 C4 20 41 83 CD 40 48 8D 5D C0 41 8B F3 85 FF 0F 89 1E 02 00 00 C7 44 24 44 06 00 00 00 E9 5C 02 00 00 83 F8 65 0F 8C 03 03 00 00 83 F8 67 7E D2 83 F8 69 0F 84 EA 00 00 00 83 F8 6E 0F 84 B0 00 00 00 83 F8 6F 0F 84 97 00 00 00 83 F8 70 74 63 83 F8 73 0F 84 07 FF FF FF 83 F8 75 0F 84 C5 00 00 00 83 F8 78 0F 85 C3 02 00 00 B8 27 00 00 00 EB 50 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 EB 20 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 48 E9 7B 02 00 00 BF 10 00 00 00 41 0F BA ED 0F B8 07 00 00 00 89 44 24 64 41 B9 10 00 00 00 45 84 ED 79 5C 04 51 C6 44 24 50 30 41 8D 51 F2 88 44 24 51 EB 4F 41 B9 08 00 00 00 45 84 ED 79 40 45 0B EB EB 3B 49 8B 3F 49 83 C7 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 9B FC FF FF 41 F6 C5 20 74 05 66 89 37 EB 02 89 37 C7 44 24 5C 01 00 00 00 E9 55 03 00 00 41 83 CD 40 41 B9 0A 00 00 00 8B 54 24 4C B8 00 80 00 00 44 85 E8 75 07 41 0F BA E5 0C 73 09 4D 8B 07 49 83 C7 08 EB 2E 49 83 C7 08 41 F6 C5 20 74 14 41 F6 C5 40 74 07 4D 0F BF 47 F8 EB 17 45 0F B7 47 F8 EB 10 41 F6 C5 40 74 06 4D 63 47 F8 EB 04 45 8B 47 F8 41 F6 C5 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA ED 08 44 85 E8 75 0A 41 0F BA E5 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E5 F7 41 3B FB 41 0F 4F FB 8B 74 24 64 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C6 88 03 48 FF CB EB D4 8B 74 24 40 48 8D 85 BF 01 00 00 89 7C 24 44 2B C3 48 FF C3 89 44 24 48 45 85 EB 0F 84 17 01 00 00 85 C0 74 09 80 3B 30 0F 84 0A 01 00 00 48 FF CB FF 44 24 48 C6 03 30 E9 FB 00 00 00 75 10 41 80 FC 67 75 43 C7 44 24 44 01 00 00 00 EB 39 41 3B FB 41 0F 4F FB 89 7C 24 44 81 FF A3 00 00 00 7E 26 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 A0 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 44 A3 00 00 00 49 8B 07 48 8B 0D ?? ?? ?? ?? 49 83 C7 08 41 0F BE FC 48 63 F6 48 89 45 B0 FF 15 ?? ?? ?? ?? 48 8D 4D 80 44 8B CF 48 89 4C 24 30 8B 4C 24 78 4C 8B C6 89 4C 24 28 8B 4C 24 44 48 8B D3 89 4C 24 20 48 8D 4D B0 FF D0 41 8B FD 81 E7 80 00 00 00 74 1E 33 C0 39 44 24 44 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 41 80 FC 67 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 80 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA ED 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 89 44 24 48 44 39 54 24 5C 0F 85 3F 01 00 00 41 F6 C5 40 74 31 41 0F BA E5 08 73 07 C6 44 24 50 2D EB 0B 41 F6 C5 01 74 10 C6 44 24 50 2B BF 01 00 00 00 89 7C 24 4C EB 11 41 F6 C5 02 74 07 C6 44 24 50 20 EB E8 8B 7C 24 4C 44 8B 64 24 58 48 8B 74 24 70 44 2B 64 24 48 44 2B E7 41 F6 C5 0C 75 12 4C 8D 4C 24 40 4C 8B C6 41 8B D4 B1 20 E8 ?? ?? ?? ?? 4C 8D 4C 24 40 48 8D 4C 24 50 4C 8B C6 8B D7 E8 ?? ?? ?? ?? 41 F6 C5 08 74 18 41 F6 C5 04 75 12 4C 8D 4C 24 40 4C 8B C6 41 8B D4 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 48 33 C0 39 44 24 54 74 5E 85 FF 7E 5A 48 8B F3 44 0F B7 0E 48 8D 95 C0 01 00 00 48 8D 4D A8 41 B8 06 00 00 00 FF CF 48 83 C6 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 26 8B 55 A8 85 D2 74 1F 4C 8B 44 24 70 4C 8D 4C 24 40 48 8D 8D C0 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 B5 EB 1F 41 8B F6 44 89 74 24 40 EB 19 4C 8D 4C 24 40 4C 8B C6 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 8B 74 24 40 85 F6 78 21 41 F6 C5 04 74 1B 4C 8B 44 24 70 4C 8D 4C 24 40 41 8B D4 B1 20 E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 48 8B 45 A0 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 55 A0 8B 7C 24 44 48 8B 54 24 68 44 8B 44 24 60 41 BB 00 02 00 00 4C 8D 0D ?? ?? ?? ?? 44 8A 22 45 84 E4 0F 85 50 F9 FF FF 45 85 C0 74 0A 41 83 F8 07 0F 85 DE F8 FF FF 44 38 55 98 74 0B 48 8B 4D 90 83 A1 C8 00 00 00 FD 8B C6 48 8B 8D C8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 03 00 00 48 81 C4 D0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 80 FC 49 74 3D 41 80 FC 68 74 2E 41 80 FC 6C 74 0D 41 80 FC 77 75 90 41 0F BA ED 0B EB 89 80 3A 6C 75 0D 48 FF C2 41 0F BA ED 0C E9 77 FF FF FF 41 83 CD 10 E9 6E FF FF FF 41 83 CD 20 E9 65 FF FF FF 8A 02 41 0F BA ED 0F 3C 36 75 14 80 7A 01 34 75 0E 48 83 C2 02 41 0F BA ED 0F E9 46 FF FF FF 3C 33 75 14 80 7A 01 32 75 0E 48 83 C2 02 41 0F BA F5 0F E9 2E FF FF FF 3C 64 0F 84 26 FF FF FF 3C 69 0F 84 1E FF FF FF 3C 6F 0F 84 16 FF FF FF 3C 75 0F 84 0E FF FF FF 3C 78 0F 84 06 FF FF FF 3C 58 0F 84 FE FE FF FF 44 89 54 24 60 48 8D 55 80 41 0F B6 CC 44 89 54 24 54 E8 ?? ?? ?? ?? 33 F6 85 C0 74 2B 48 8B 54 24 70 4C 8D 44 24 40 41 8A CC E8 ?? ?? ?? ?? 48 8B 54 24 68 44 8A 22 48 FF C2 48 89 54 24 68 45 84 E4 0F 84 17 01 00 00 48 8B 54 24 70 4C 8D 44 24 40 41 8A CC E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 E9 81 FE FF FF 41 80 FC 2A 75 20 41 8B 3F 49 83 C7 08 89 7C 24 44 85 FF 0F 89 7F FE FF FF 41 8B FE 44 89 74 24 44 E9 72 FE FF FF 8D 0C BF 41 0F BE C4 8D 7C 48 D0 89 7C 24 44 E9 5E FE FF FF 41 8B FA 44 89 54 24 44 E9 51 FE FF FF 41 80 FC 2A 75 1B 41 8B 07 49 83 C7 08 89 44 24 58 85 C0 0F 89 38 FE FF FF 41 83 CD 04 F7 D8 EB 0F 8B 44 24 58 8D 0C 80 41 0F BE C4 8D 44 48 D0 89 44 24 58 E9 18 FE FF FF 41 80 FC 20 74 41 41 80 FC 23 74 31 41 80 FC 2B 74 22 41 80 FC 2D 74 13 41 80 FC 30 0F 85 F6 FD FF FF 41 83 CD 08 E9 ED FD FF FF 41 83 CD 04 E9 E4 FD FF FF 41 83 CD 01 E9 DB FD FF FF 41 0F BA ED 07 E9 D1 FD FF FF 41 83 CD 02 E9 C8 FD FF FF 44 89 54 24 78 44 89 54 24 5C 44 89 54 24 58 44 89 54 24 4C 45 8B EA 41 8B FE 44 89 74 24 44 44 89 54 24 54 E9 9F FD FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 75 98 E9 96 F6 FF FF }
	condition:
		$1
}

rule file_703_0_0 {
	meta:
		name = "_wmkdir"
		size = 49
		refs = "0008 __imp_CreateDirectoryW 0012 __imp_GetLastError 0021 _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_912_0_0 {
	meta:
		name = "_mkdir"
		size = 49
		refs = "0008 __imp_CreateDirectoryA 0012 __imp_GetLastError 0021 _dosmaperr"
	strings:
		$1 = { 48 83 EC 28 33 D2 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0C 8B C8 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_706_1_0 {
	meta:
		name = "parse_cmdline"
		size = 463
		refs = "0077 _ismbblead"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 4C 8B 6C 24 60 4D 8B F1 49 8B F8 41 83 65 00 00 4C 8B E2 48 8B D9 41 C7 01 01 00 00 00 48 85 D2 74 07 4C 89 02 49 83 C4 08 33 ED 80 3B 22 75 11 33 C0 85 ED 40 B6 22 0F 94 C0 48 FF C3 8B E8 EB 39 41 FF 45 00 48 85 FF 74 07 8A 03 88 07 48 FF C7 0F B6 33 48 FF C3 8B CE E8 ?? ?? ?? ?? 85 C0 74 13 41 FF 45 00 48 85 FF 74 07 8A 03 88 07 48 FF C7 48 FF C3 40 84 F6 74 1B 85 ED 75 AD 40 80 FE 20 74 06 40 80 FE 09 75 A1 48 85 FF 74 09 C6 47 FF 00 EB 03 48 FF CB 33 F6 80 3B 00 0F 84 E3 00 00 00 80 3B 20 74 05 80 3B 09 75 05 48 FF C3 EB F1 80 3B 00 0F 84 CB 00 00 00 4D 85 E4 74 08 49 89 3C 24 49 83 C4 08 41 FF 06 BA 01 00 00 00 33 C9 EB 05 48 FF C3 FF C1 80 3B 5C 74 F6 80 3B 22 75 36 84 CA 75 1D 85 F6 74 0E 48 8D 43 01 80 38 22 75 05 48 8B D8 EB 0B 33 C0 33 D2 85 F6 0F 94 C0 8B F0 D1 E9 EB 11 FF C9 48 85 FF 74 06 C6 07 5C 48 FF C7 41 FF 45 00 85 C9 75 EB 8A 03 84 C0 74 4F 85 F6 75 08 3C 20 74 47 3C 09 74 43 85 D2 74 37 0F BE C8 E8 ?? ?? ?? ?? 48 85 FF 74 1B 85 C0 74 0E 8A 03 48 FF C3 88 07 48 FF C7 41 FF 45 00 8A 03 88 07 48 FF C7 EB 0B 85 C0 74 07 48 FF C3 41 FF 45 00 41 FF 45 00 48 FF C3 E9 59 FF FF FF 48 85 FF 74 06 C6 07 00 48 FF C7 41 FF 45 00 E9 14 FF FF FF 4D 85 E4 74 05 49 83 24 24 00 41 FF 06 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_706_2_0 {
	meta:
		name = "_setargv"
		size = 246
		refs = "0011 __mbctype_initialized 0019 __initmbctable 0020 ?_pgmname@?1??_setargv@@9@9 0038 __imp_GetModuleFileNameA 003f _acmdln 0046 _pgmptr 006f parse_cmdline 009f _malloc_crt 00d1 __argv 00dd __argc"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 83 EC 30 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 41 B8 04 01 00 00 33 C9 48 8B D7 C6 05 ?? ?? ?? ?? 00 FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 80 3B 00 75 03 48 8B DF 48 8D 44 24 48 4C 8D 4C 24 40 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 40 48 B9 FF FF FF FF FF FF FF 1F 48 3B F1 73 5C 48 63 4C 24 48 48 83 F9 FF 73 51 48 8D 14 F1 48 3B D1 72 48 48 8B CA E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 38 4C 8D 04 F0 48 8D 44 24 48 4C 8D 4C 24 40 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 5C 24 40 48 89 3D ?? ?? ?? ?? 41 FF CB 33 C0 44 89 1D ?? ?? ?? ?? EB 03 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_709_4_0 {
	meta:
		name = "scaleUpDouble1024"
		size = 105
		refs = "003d __real@4010000000000000"
	strings:
		$1 = { 48 B8 00 00 00 00 00 00 F0 7F 48 85 C8 75 49 49 B8 00 00 00 00 00 00 10 40 48 8B C1 49 0B C0 48 89 44 24 08 48 B8 00 00 00 00 00 00 00 80 F2 0F 10 44 24 08 48 85 C8 74 0A F2 0F 58 05 ?? ?? ?? ?? EB 08 F2 0F 5C 05 ?? ?? ?? ?? F2 0F 11 44 24 08 48 8B 44 24 08 EB 0D 48 B8 00 00 00 00 00 00 00 40 48 03 C1 48 89 02 C3 }
	condition:
		$1
}

rule file_709_6_0 {
	meta:
		name = "atan2"
		size = 2010
		refs = "010b ??_C@_05KNGEOGJB@atan2?$AA@ 0120 _handle_error 014f ?pi@?1??atan2@@9@9 0160 __mask@@NegDouble@ 0177 ?piby2@?1??atan2@@9@9 0193 _controlfp_s 01d9 __real@4010000000000000 02f5 __real@8000000000000000 0428 ?three_piby4@?1??atan2@@9@9 0447 ?piby4@?1??atan2@@9@9 04a8 __real@3fb0000000000000 04b6 __real@4070000000000000 04c7 __ImageBase 04cf __real@3fe0000000000000 04e0 ?atan_jby256_tail@?1??atan2@@9@9 04ea ?atan_jby256_lead@?1??atan2@@9@9 0527 __real@3f70000000000000 05fe __real@3fd5555555550877 0622 __real@3fc99992b9802d7d 063f __real@3e45798ee2308c3a 06d6 __real@3fbc718839b8c4eb 06f0 __real@3fb70c3192d751c2 0701 __real@3fc2492482bd6be1 0711 __real@3fc99999999643a3 0721 __real@3fd5555555555538 074d ?piby2_head@?1??atan2@@9@9 0755 ?piby2_tail@?1??atan2@@9@9 0774 ?pi_head@?1??atan2@@9@9 077c ?pi_tail@?1??atan2@@9@9"
	strings:
		$1 = { 48 8B C4 53 56 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 0F 29 70 B8 0F 29 78 A8 44 0F 29 40 98 33 DB F2 0F 11 8C 24 E0 00 00 00 49 B8 00 00 00 00 00 00 00 80 4C 8B A4 24 E0 00 00 00 49 BB 00 00 00 00 00 00 F0 7F 41 BA FF 07 00 00 66 44 0F 28 C0 F2 0F 11 84 24 E0 00 00 00 4C 8B AC 24 E0 00 00 00 44 8B CB 49 8B D4 44 0F 29 48 88 44 0F 29 54 24 50 66 44 0F 28 C9 48 B8 FF FF FF FF FF FF FF 7F 49 8B CD 4D 8B FC 48 23 C8 48 23 D0 49 C1 EF 34 45 23 FA 49 8B C5 4D 8B F4 48 C1 E8 34 4D 23 F0 49 8B F5 41 23 C2 49 23 F0 49 3B D3 41 0F 94 C1 49 3B CB 44 8B C3 41 0F 94 C0 8B F8 48 89 84 24 F0 00 00 00 41 2B FF 44 89 84 24 E0 00 00 00 44 89 8C 24 E8 00 00 00 49 3B D3 76 48 49 B8 00 00 00 00 00 00 08 00 4D 0B C4 C7 44 24 40 02 00 00 00 F2 0F 11 44 24 38 F2 0F 11 4C 24 30 41 B9 01 00 00 00 48 8D 0D ?? ?? ?? ?? C7 44 24 28 21 00 00 00 41 8D 51 0F 89 5C 24 20 E8 ?? ?? ?? ?? E9 81 06 00 00 49 3B CB 76 0F 49 B8 00 00 00 00 00 00 08 00 4D 0B C5 EB B1 48 85 C9 75 27 4D 85 F6 0F 84 5F 06 00 00 F2 0F 10 35 ?? ?? ?? ?? 48 85 F6 0F 84 5E 01 00 00 66 0F 57 35 ?? ?? ?? ?? E9 51 01 00 00 48 85 D2 75 51 48 85 F6 74 15 F2 0F 10 35 ?? ?? ?? ?? 66 0F 57 35 ?? ?? ?? ?? E9 32 01 00 00 BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 48 8B 84 24 F0 00 00 00 44 8B 84 24 E0 00 00 00 44 8B 8C 24 E8 00 00 00 49 BB 00 00 00 00 00 00 F0 7F 41 BA FF 07 00 00 B9 FD 03 00 00 44 3B F9 0F 8D D7 00 00 00 3B C1 0F 8D CF 00 00 00 F2 0F 10 0D ?? ?? ?? ?? 48 B9 00 00 00 00 00 00 00 40 48 BA 00 00 00 00 00 00 10 40 4D 85 E3 75 36 4C 0B E2 4C 89 A4 24 E0 00 00 00 F2 0F 10 84 24 E0 00 00 00 4D 85 F6 74 06 F2 0F 58 C1 EB 04 F2 0F 5C C1 F2 0F 11 84 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 EB 04 49 8D 04 0C 4D 85 EB 75 36 4C 0B EA 4C 89 AC 24 E0 00 00 00 F2 0F 10 84 24 E0 00 00 00 48 85 F6 74 06 F2 0F 58 C1 EB 04 F2 0F 5C C1 F2 0F 11 84 24 E0 00 00 00 48 8B BC 24 E0 00 00 00 EB 05 49 8D 7C 0D 00 48 89 84 24 E0 00 00 00 48 C1 E8 34 F2 44 0F 10 8C 24 E0 00 00 00 48 89 BC 24 E0 00 00 00 48 C1 EF 34 41 23 FA 41 23 C2 F2 44 0F 10 84 24 E0 00 00 00 2B F8 83 FF 38 7E 29 48 85 F6 0F 85 C1 FE FF FF F2 0F 10 35 ?? ?? ?? ?? BA 10 00 00 00 44 8B C2 33 C9 E8 ?? ?? ?? ?? 66 0F 28 C6 E9 D8 04 00 00 83 FF E4 0F 8D 27 01 00 00 4D 85 F6 0F 85 1E 01 00 00 81 FF CE FB FF FF 7D 1B 48 85 F6 74 0D F2 0F 10 35 ?? ?? ?? ?? E9 EB 00 00 00 66 0F 57 F6 E9 E2 00 00 00 81 FF 02 FC FF FF 0F 8D E0 00 00 00 48 B8 00 00 00 00 00 00 30 46 48 B9 00 00 00 00 00 00 00 80 48 89 84 24 E0 00 00 00 F2 0F 10 84 24 E0 00 00 00 F2 41 0F 59 C0 F2 41 0F 5E C1 F2 0F 11 84 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 4C 8B C0 4C 23 C1 48 B9 FF FF FF FF FF FF FF 7F 48 23 C1 48 8B C8 48 C1 E9 34 41 23 CA 83 E9 64 85 C9 7E 19 48 63 D9 48 B9 FF FF FF FF FF FF 0F 80 48 23 C1 48 C1 E3 34 48 0B D8 EB 3C 48 BA FF FF FF FF FF FF 1F 80 41 BA 01 00 00 00 48 23 C2 48 BA 00 00 00 00 00 00 10 00 48 0B C2 41 8B D2 2B D1 83 FA 36 7F 12 8D 4A FF 48 D3 E8 48 8B D8 49 23 C2 48 D1 EB 48 03 D8 49 0B D8 48 89 9C 24 E0 00 00 00 F2 0F 10 B4 24 E0 00 00 00 49 85 DB 0F 85 E0 FE FF FF BA 12 00 00 00 E9 CC FE FF FF F2 45 0F 5E C1 66 41 0F 28 C0 E9 A8 03 00 00 83 FF C8 7D 09 4D 85 F6 0F 85 3B FD FF FF 45 85 C0 74 48 45 85 C9 74 43 4D 85 F6 74 1F 48 85 F6 74 0D F2 0F 10 35 ?? ?? ?? ?? E9 4A FD FF FF F2 0F 10 35 ?? ?? ?? ?? E9 7C FE FF FF 48 85 F6 74 0D F2 0F 10 35 ?? ?? ?? ?? E9 2B FD FF FF F2 0F 10 35 ?? ?? ?? ?? E9 5D FE FF FF 4D 85 F6 74 09 66 44 0F 57 0D ?? ?? ?? ?? 48 85 F6 74 09 66 44 0F 57 05 ?? ?? ?? ?? 66 45 0F 2F C1 76 17 66 41 0F 28 C1 66 45 0F 28 C8 41 BA 01 00 00 00 66 44 0F 28 C0 EB 03 44 8B D3 66 41 0F 28 E8 F2 41 0F 5E E9 66 0F 2F 2D ?? ?? ?? ?? 0F 86 89 01 00 00 F2 0F 59 2D ?? ?? ?? ?? 41 BB FF 03 00 00 66 0F EF F6 48 8D 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 48 0F 2C D5 8D 4A F0 F2 0F 10 BC C8 ?? ?? ?? ?? F2 44 0F 10 94 C8 ?? ?? ?? ?? F2 44 0F 11 8C 24 E0 00 00 00 4C 8B 8C 24 E0 00 00 00 8B C2 49 C1 E9 34 41 81 E1 FF 07 00 00 45 2B CB 41 F7 D9 F2 48 0F 2A F0 41 8B C1 99 2B C2 D1 F8 4C 63 C0 F2 0F 59 35 ?? ?? ?? ?? 4B 8D 0C 03 4B 8D 04 03 48 C1 E0 34 48 C1 E1 34 48 89 8C 24 E0 00 00 00 41 8B C9 45 2B C8 41 2B C8 F2 0F 10 AC 24 E0 00 00 00 48 63 D1 49 03 D3 F2 41 0F 59 E9 48 C1 E2 34 48 89 94 24 E0 00 00 00 F2 0F 10 84 24 E0 00 00 00 48 89 84 24 E0 00 00 00 49 63 C1 F2 0F 10 A4 24 E0 00 00 00 49 03 C3 48 C1 E0 34 F2 0F 59 E8 48 89 84 24 E0 00 00 00 F2 41 0F 59 E0 66 0F 28 CD F2 0F 10 84 24 E0 00 00 00 F2 0F 11 AC 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 48 25 00 00 00 F8 48 89 84 24 E0 00 00 00 F2 0F 59 E0 66 0F 28 DC F2 0F 10 94 24 E0 00 00 00 F2 0F 5C CA 66 0F 28 C2 F2 0F 59 C6 F2 0F 59 CE F2 0F 5C D8 F2 0F 59 F4 F2 0F 5C D9 F2 0F 10 0D ?? ?? ?? ?? F2 0F 58 F5 F2 0F 5E DE 66 0F 28 D3 66 0F 28 EB F2 0F 58 EF F2 0F 59 D3 66 0F 28 C2 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C C8 F2 0F 59 CA F2 0F 59 CB F2 0F 5C E9 E9 09 01 00 00 F2 0F 10 05 ?? ?? ?? ?? 66 45 0F 57 D2 66 0F 2F C5 0F 87 F2 00 00 00 F2 44 0F 11 8C 24 E0 00 00 00 48 B9 00 00 00 00 FF FF FF FF 66 0F 28 E5 48 8B 84 24 E0 00 00 00 48 23 C1 66 41 0F 28 C9 48 89 84 24 E0 00 00 00 F2 0F 59 E5 F2 0F 10 9C 24 E0 00 00 00 F2 0F 11 AC 24 E0 00 00 00 48 8B 84 24 E0 00 00 00 48 23 C1 48 89 84 24 E0 00 00 00 F2 0F 5C CB F2 0F 10 94 24 E0 00 00 00 66 0F 28 C2 F2 0F 59 CA F2 0F 59 C3 F2 44 0F 5C C0 66 0F 28 C5 F2 44 0F 5C C1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C2 F2 41 0F 59 C1 F2 44 0F 5C C0 66 0F 28 C4 F2 0F 59 05 ?? ?? ?? ?? F2 45 0F 5E C1 F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CC F2 0F 5C C1 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C4 F2 0F 5C C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 CC F2 0F 59 E5 F2 0F 5C C1 F2 0F 59 C4 F2 44 0F 5C C0 F2 44 0F 58 C5 66 41 0F 28 E8 45 85 D2 74 22 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 41 0F 5C C2 F2 0F 5C CD 66 44 0F 28 D0 66 0F 28 E9 4D 85 F6 74 22 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? F2 41 0F 5C C2 F2 0F 5C CD 66 44 0F 28 D0 66 0F 28 E9 F2 44 0F 58 D5 48 85 F6 74 09 66 44 0F 57 15 ?? ?? ?? ?? 66 41 0F 28 C2 4C 8D 9C 24 A0 00 00 00 41 0F 28 73 F0 41 0F 28 7B E0 45 0F 28 43 D0 45 0F 28 4B C0 45 0F 28 53 B0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_712_3_0 {
	meta:
		name = "_mbsspnp_l"
		size = 256
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0035 strspn 0052 _errno 005d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 48 8B 54 24 28 33 F6 39 72 08 75 1E 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 48 8D 0C 18 8A 01 F6 D8 48 1B C0 48 23 C1 E9 91 00 00 00 48 85 DB 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 74 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 78 48 85 FF 74 D4 EB 4F 48 8B CF 40 38 37 74 2D 0F B6 01 F6 44 10 1D 04 74 17 3A 03 75 08 8A 43 01 38 41 01 74 17 40 38 71 01 74 11 48 FF C1 EB 04 3A 03 74 08 48 FF C1 40 38 31 75 D3 40 38 31 74 1A 0F B6 03 F6 44 10 1D 04 74 08 48 FF C3 40 38 33 74 08 48 FF C3 40 38 33 75 AC 8A 03 F6 D8 48 1B C0 48 23 C3 40 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_713_0_0 {
	meta:
		name = "_wchartodigit"
		size = 405
	strings:
		$1 = { BA 30 00 00 00 66 3B CA 0F 82 83 01 00 00 66 83 F9 3A 73 06 0F B7 C1 2B C2 C3 BA 10 FF 00 00 66 3B CA 0F 83 5B 01 00 00 BA 60 06 00 00 66 3B CA 0F 82 5B 01 00 00 8D 42 0A 66 3B C8 72 D6 BA F0 06 00 00 66 3B CA 0F 82 45 01 00 00 8D 42 0A 66 3B C8 72 C0 BA 66 09 00 00 66 3B CA 0F 82 2F 01 00 00 8D 42 0A 66 3B C8 72 AA 8D 50 76 66 3B CA 0F 82 1B 01 00 00 8D 42 0A 66 3B C8 72 96 8D 50 76 66 3B CA 0F 82 07 01 00 00 8D 42 0A 66 3B C8 72 82 8D 50 76 66 3B CA 0F 82 F3 00 00 00 8D 42 0A 66 3B C8 0F 82 6A FF FF FF 8D 50 76 66 3B CA 0F 82 DB 00 00 00 8D 42 0A 66 3B C8 0F 82 52 FF FF FF BA 66 0C 00 00 66 3B CA 0F 82 C1 00 00 00 8D 42 0A 66 3B C8 0F 82 38 FF FF FF 8D 50 76 66 3B CA 0F 82 A9 00 00 00 8D 42 0A 66 3B C8 0F 82 20 FF FF FF 8D 50 76 66 3B CA 0F 82 91 00 00 00 8D 42 0A 66 3B C8 0F 82 08 FF FF FF BA 50 0E 00 00 66 3B CA 72 7B 8D 42 0A 66 3B C8 0F 82 F2 FE FF FF 8D 50 76 66 3B CA 72 67 8D 42 0A 66 3B C8 0F 82 DE FE FF FF 8D 50 46 66 3B CA 72 53 8D 42 0A 66 3B C8 0F 82 CA FE FF FF BA 40 10 00 00 66 3B CA 72 3D 8D 42 0A 66 3B C8 0F 82 B4 FE FF FF BA E0 17 00 00 66 3B CA 72 27 8D 42 0A 66 3B C8 0F 82 9E FE FF FF 8D 50 26 66 3B CA 72 13 8D 42 0A EB 05 B8 1A FF 00 00 66 3B C8 0F 82 83 FE FF FF 83 C8 FF C3 }
	condition:
		$1
}

rule file_714_0_0 {
	meta:
		name = "_swprintf_c"
		size = 253
		refs = "0033 memset 003d _errno 0048 _invalid_parameter_noinfo 0091 _woutput_l 00c0 _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 41 54 48 8B EC 48 83 EC 50 45 33 E4 49 8B F0 48 8B F9 48 8B DA 48 8D 4D D8 45 8D 44 24 28 33 D2 4C 89 65 D0 E8 ?? ?? ?? ?? 48 85 F6 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 9E 00 00 00 48 85 DB 74 05 48 85 FF 74 E1 4C 8D 4D 48 C7 45 E8 42 00 00 00 48 89 7D E0 48 89 7D D0 48 81 FB FF FF FF 3F 76 09 C7 45 D8 FF FF FF 7F EB 06 8D 04 1B 89 45 D8 48 8D 4D D0 45 33 C0 48 8B D6 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 56 85 C0 78 4B FF 4D D8 78 14 48 8B 45 D0 44 88 20 48 8B 45 D0 48 FF C0 48 89 45 D0 EB 14 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 22 48 8B 45 D0 FF 4D D8 78 05 44 88 20 EB 10 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C3 EB 07 66 44 89 27 83 C8 FF 48 83 C4 50 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_716_0_0 {
	meta:
		name = "__wdtoxmode"
		size = 247
		refs = "006f wcsrchr 007e ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 0086 _wcsicmp 0091 ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 00a4 ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 00b7 ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 4C 8B C2 0F B6 D1 66 41 83 78 02 3A 49 8B C0 75 04 49 8D 40 04 33 F6 66 83 38 5C 74 06 66 83 38 2F 75 06 66 39 70 02 74 0F F6 C2 10 75 0A BB 00 80 00 00 66 39 30 75 05 BB 40 40 00 00 66 C1 E2 07 B8 80 00 00 00 49 8B C8 66 F7 D2 66 23 D0 B8 00 01 00 00 66 0B D0 66 0B DA BA 2E 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 50 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 39 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 26 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 13 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 04 66 83 CB 40 48 8B 74 24 38 0F B7 C3 66 C1 E8 03 66 83 E0 38 66 0B D8 0F B7 C3 66 C1 E8 06 66 83 E0 07 66 0B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_716_3_0 {
	meta:
		name = "_wstat32"
		size = 1121
		refs = "0022 __security_cookie 0042 __doserrno 004a _errno 0055 _invalid_parameter_noinfo 0069 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 006e wcspbrk 00a3 towlower 00b2 _getdrive 00d2 __imp_FindFirstFileExW 00e9 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0122 _wfullpath 016d wcslen 017b IsRootUNCName 0188 __imp_GetDriveTypeW 01a0 free 01d3 __loctotime32_t 023b _wsopen_s 024f _fstat32 025a _close 0283 __imp_FileTimeToLocalFileTime 029b __imp_FileTimeToSystemTime 03d4 __imp_FindClose 03e0 __wdtoxmode 0421 __imp_GetLastError 0428 _dosmaperr 0442 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 F6 48 8B FA 48 8B F1 45 8B EE 48 85 C9 75 20 E8 ?? ?? ?? ?? 44 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D6 03 00 00 48 85 D2 74 DB 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 15 E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 EB CD 66 83 7E 02 3A 75 1E 0F B7 0E 66 85 C9 74 07 66 44 39 76 04 74 D5 E8 ?? ?? ?? ?? 44 0F B7 F8 41 83 EF 60 EB 08 E8 ?? ?? ?? ?? 44 8B F8 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CE 44 89 74 24 28 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 48 83 CB FF 4C 8B E0 48 3B C3 0F 85 27 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE 4D 8B E6 E8 ?? ?? ?? ?? 48 85 C0 0F 84 F4 00 00 00 E8 ?? ?? ?? ?? 44 8B 30 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 44 21 20 41 B8 04 01 00 00 48 8B D6 E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 30 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 AF 00 00 00 E8 ?? ?? ?? ?? 45 33 C0 48 8B D6 33 C9 44 89 30 E8 ?? ?? ?? ?? 4C 8B E0 4C 8B E8 45 33 F6 4D 85 ED 74 7F 49 8B CD E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CD E8 ?? ?? ?? ?? 85 C0 74 65 49 8B CD FF 15 ?? ?? ?? ?? 41 BD 01 00 00 00 41 3B C5 76 51 4D 85 E4 74 08 49 8B CC E8 ?? ?? ?? ?? 89 5C 24 30 45 33 C9 45 8B C5 41 8B D5 B9 BC 07 00 00 44 89 74 24 28 C7 44 24 60 10 00 00 00 4C 89 74 24 7C 66 44 89 75 8C 44 89 74 24 20 E8 ?? ?? ?? ?? 45 8B EE 89 47 1C 89 47 18 89 47 20 E9 F0 01 00 00 4D 85 E4 74 08 49 8B CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 E9 28 02 00 00 F7 44 24 60 00 04 00 00 74 4C 81 7D 84 0C 00 00 A0 75 43 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 48 8B D6 89 5C 24 40 44 89 74 24 20 E8 ?? ?? ?? ?? 85 C0 75 B2 8B 4C 24 40 3B CB 74 AA 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 D2 01 00 00 44 39 74 24 74 75 0D 44 39 74 24 78 75 06 44 89 77 1C EB 66 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 90 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 78 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 1C 44 39 74 24 6C 75 0C 44 39 74 24 70 75 05 8B 47 1C EB 63 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 17 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 FF 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 18 44 39 74 24 64 75 0C 44 39 74 24 68 75 05 8B 47 1C EB 63 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 9E 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 86 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 49 8B CC 89 47 20 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D6 E8 ?? ?? ?? ?? 66 89 47 06 B8 01 00 00 00 66 89 47 08 8B 45 80 89 47 14 44 39 74 24 7C 74 07 44 89 77 14 44 8B EB 41 8D 4F FF 66 44 89 77 04 C7 47 0A 00 00 00 00 89 0F 89 4F 10 41 8B C5 EB 18 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 49 8B CC FF 15 ?? ?? ?? ?? 8B C3 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_717_3_0 {
	meta:
		name = "?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
		size = 553
		refs = "005b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00dd __imp_MultiByteToWideChar 0101 _errno 0145 _isleadbyte_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 41 55 41 56 48 8B EC 48 83 EC 50 45 33 F6 4D 8B E9 49 8B F0 48 8B FA 48 8B D9 48 85 D2 74 04 66 44 89 32 4D 85 C0 0F 84 C1 01 00 00 4D 85 C9 0F 84 B8 01 00 00 45 38 30 0F 84 AF 01 00 00 48 8B 55 48 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8B 5D E0 45 39 73 14 75 30 48 85 FF 74 06 0F B6 06 66 89 07 48 85 DB 74 06 C7 03 01 00 00 00 44 38 75 F8 0F 84 80 01 00 00 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 70 01 00 00 4C 8B 65 40 45 39 34 24 0F 84 96 00 00 00 8A 06 41 88 44 24 01 41 83 BB 0C 01 00 00 01 7E 44 41 8B 4B 04 41 8B C6 41 B9 02 00 00 00 48 85 FF 41 8D 51 07 4D 8B C4 0F 95 C0 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 17 45 89 34 24 48 85 DB 74 91 48 8B 45 E0 8B 88 0C 01 00 00 89 0B EB 83 45 89 34 24 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 85 FF 74 04 66 44 89 37 48 85 DB 74 03 83 0B FF E8 ?? ?? ?? ?? 8B 00 44 38 75 F8 0F 84 DE 00 00 00 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 CE 00 00 00 0F B6 0E 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 7B 48 8B 4D E0 4C 63 89 0C 01 00 00 4D 3B E9 73 1A 8A 06 41 88 04 24 48 85 DB 0F 84 13 FF FF FF C7 03 FE FF FF FF E9 08 FF FF FF 41 83 F9 01 7E 2B 8B 49 04 41 8B C6 48 85 FF 0F 95 C0 4C 8B C6 BA 09 00 00 00 89 44 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 8B 4D E0 85 C0 75 0A 44 38 76 01 0F 84 4A FF FF FF 48 85 DB 0F 84 C4 FE FF FF 8B 81 0C 01 00 00 89 03 E9 B7 FE FF FF 41 8B C6 41 B9 01 00 00 00 48 85 FF 0F 95 C0 41 8D 51 08 4C 8B C6 89 44 24 28 48 8B 45 E0 48 89 7C 24 20 8B 48 04 FF 15 ?? ?? ?? ?? 85 C0 0F 84 04 FF FF FF E9 73 FE FF FF 48 85 C9 74 03 44 89 31 33 C0 4C 8D 5C 24 50 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 4D 8B 63 38 49 8B E3 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_717_4_0 {
	meta:
		name = "btowc"
		size = 100
		refs = "0049 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 83 F9 FF 75 07 B8 FF FF 00 00 EB 4C 83 4C 24 50 FF 33 DB 88 4C 24 40 48 8D 44 24 58 4C 8D 44 24 40 48 8D 54 24 48 44 8D 4B 01 48 8D 4C 24 50 48 89 5C 24 28 89 5C 24 58 66 89 5C 24 48 48 89 44 24 20 E8 ?? ?? ?? ?? 0F B7 44 24 48 39 5C 24 50 B9 FF FF 00 00 0F 4C C1 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_717_5_0 {
	meta:
		name = "mbrlen"
		size = 62
		refs = "0012 ?mbst@?1??mbrlen@@9@4HA 0030 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 83 EC 38 83 4C 24 50 FF 4D 85 C0 4C 8B CA 48 8D 05 ?? ?? ?? ?? 49 0F 45 C0 48 83 64 24 28 00 4C 8B C1 48 8D 4C 24 50 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 44 24 50 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_717_6_0 {
	meta:
		name = "mbrtowc"
		size = 92
		refs = "000c ?mbst@?1??mbrtowc@@9@4HA 002d ??_C@_00CNPNBAHC@?$AA@ 004e ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 83 EC 38 83 4C 24 48 FF 48 8D 05 ?? ?? ?? ?? 48 85 D2 74 12 4D 85 C9 49 0F 45 C1 4D 8B C8 4C 8B C2 48 8B D1 EB 16 4D 85 C9 4C 8D 05 ?? ?? ?? ?? 49 0F 45 C1 41 B9 01 00 00 00 33 D2 48 83 64 24 28 00 48 8D 4C 24 48 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 44 24 48 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_717_7_0 {
	meta:
		name = "_mbsrtowcs_helper"
		size = 343
		refs = "0031 _errno 003c _invalid_parameter_noinfo 0059 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 ?mbst@?5??_mbsrtowcs_helper@@9@4HA 00a0 ?_mbrtowc_s_l@@YAHPEAHPEA_WPEBD_K0PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 4D 8B F1 4D 8B E0 48 8B F2 4C 8B E9 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 F0 00 00 00 48 8B 3A 83 65 D0 00 48 8D 4D D8 33 D2 33 DB E8 ?? ?? ?? ?? 4D 85 F6 4C 8D 3D ?? ?? ?? ?? 4D 0F 45 FE 4D 85 ED 75 63 41 BE FF FF FF 7F EB 0B 74 46 49 63 C3 48 FF C3 48 03 F8 48 8D 45 D8 48 8D 55 38 48 8D 4D D0 48 89 44 24 28 4D 8B CE 4C 8B C7 4C 89 7C 24 20 E8 ?? ?? ?? ?? 44 8B 5D D0 45 85 DB 79 CB 80 7D F0 00 74 8D 48 8B 45 E8 83 A0 C8 00 00 00 FD EB 80 80 7D F0 00 74 70 48 8B 4D E8 83 A1 C8 00 00 00 FD EB 63 4D 85 E4 74 4A 41 BE FF FF FF 7F 48 8D 45 D8 48 8D 4D D0 4D 8B CE 48 89 44 24 28 4C 8B C7 49 8B D5 4C 89 7C 24 20 E8 ?? ?? ?? ?? 4C 63 5D D0 45 85 DB 78 17 74 11 48 FF C3 49 03 FB 49 83 C5 02 49 FF CC 75 C6 EB 08 33 FF EB 04 48 83 CB FF 80 7D F0 00 48 89 3E 74 0B 48 8B 45 E8 83 A0 C8 00 00 00 FD 48 8B C3 4C 8D 5C 24 60 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_717_9_0 {
	meta:
		name = "mbsrtowcs_s"
		size = 206
		refs = "003d _errno 0049 _invalid_parameter_noinfo 0071 _mbsrtowcs_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B C1 49 8B F8 48 8B DA 48 8B F1 48 85 C9 74 04 48 83 09 FF 48 85 D2 75 07 4D 85 C0 74 1F EB 05 4D 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 68 66 89 2A 48 85 C0 74 E3 4C 8B 44 24 50 4C 8B 4C 24 58 48 8B D0 4C 3B C7 48 8B CB 4C 0F 47 C7 E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 48 85 DB 74 03 66 89 2B E8 ?? ?? ?? ?? 8B 00 EB 2D 48 FF C0 48 85 DB 74 1B 48 3B F8 73 11 66 89 2B 76 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 9C 66 89 6C 43 FE 48 85 F6 74 03 48 89 06 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_718_0_0 {
	meta:
		name = "_waccess_s"
		size = 128
		refs = "000e __doserrno 0016 _errno 0022 _invalid_parameter_noinfo 0034 __imp_GetFileAttributesW 003f __imp_GetLastError 0046 _dosmaperr"
	strings:
		$1 = { 40 53 48 83 EC 20 8B DA 48 85 C9 75 1D E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 50 F7 C2 F9 FF FF FF 75 DB FF 15 ?? ?? ?? ?? 83 F8 FF 75 16 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 EB 27 A8 10 75 21 A8 01 74 1D F6 C3 02 74 18 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB D2 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_952_0_0 {
	meta:
		name = "_access_s"
		size = 128
		refs = "000e __doserrno 0016 _errno 0022 _invalid_parameter_noinfo 0034 __imp_GetFileAttributesA 003f __imp_GetLastError 0046 _dosmaperr"
	strings:
		$1 = { 40 53 48 83 EC 20 8B DA 48 85 C9 75 1D E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 50 F7 C2 F9 FF FF FF 75 DB FF 15 ?? ?? ?? ?? 83 F8 FF 75 16 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 EB 27 A8 10 75 21 A8 01 74 1D F6 C3 02 74 18 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB D2 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_718_1_0 {
	meta:
		name = "_waccess"
		size = 18
		refs = "0005 _waccess_s"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_952_1_0 {
	meta:
		name = "_access"
		size = 18
		refs = "0005 _access_s"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F7 D8 1B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_719_0_0 {
	meta:
		name = "fmod"
		size = 202
		refs = "009d @fmodz 00c1 _handle_error"
	strings:
		$1 = { 48 83 EC 48 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 DD 44 24 38 DD 44 24 30 D9 E5 9B DD 7C 24 10 0F B7 4C 24 10 81 E1 00 45 00 00 DB E2 D9 F8 9B DF E0 66 A9 00 04 75 F5 DD 1C 24 66 0F 12 04 24 D9 E5 9B DD 7C 24 08 0F B7 54 24 08 81 E2 00 45 00 00 DD D8 81 FA 00 01 00 00 74 36 81 F9 00 01 00 00 74 2E 83 E0 1D 75 18 81 FA 00 05 00 00 74 10 48 83 C4 48 C3 66 66 66 0F 1F 84 00 00 00 00 00 B8 08 00 00 00 49 B8 00 00 00 00 00 00 F8 FF EB 09 33 C0 66 49 0F 7E C0 EB 00 48 8D 0D ?? ?? ?? ?? BA 16 00 00 00 41 B9 01 00 00 00 89 44 24 20 C7 44 24 28 21 00 00 00 C7 44 24 40 02 00 00 00 E8 ?? ?? ?? ?? 9B DB E2 EB A6 }
	condition:
		$1
}

rule file_720_5_0 {
	meta:
		name = "?_strlwr_s_l_stat@@YAHPEAD_KPEAUlocaleinfo_struct@@@Z"
		size = 507
		refs = "001e __security_cookie 0038 _errno 0044 _invalid_parameter_noinfo 004e strnlen 0093 __crtLCMapStringA 0125 __chkstk 013f malloc 01b2 strcpy_s 01d3 free 01e1 __security_check_cookie"
	strings:
		$1 = { 40 55 41 54 41 55 48 83 EC 60 48 8D 6C 24 50 48 89 5D 30 48 89 75 38 48 89 7D 40 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 4D 8B E0 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 8A 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 05 C6 03 00 EB DB 49 8B 04 24 8B 50 14 85 D2 74 60 8B 40 04 C7 44 24 40 01 00 00 00 4C 8B CB 89 44 24 38 83 64 24 30 00 48 83 64 24 28 00 83 4C 24 20 FF 41 B8 00 01 00 00 49 8B CC E8 ?? ?? ?? ?? 4C 63 E8 85 C0 75 35 E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 23 01 00 00 8A 03 3C 41 7C 08 3C 5A 7F 04 04 20 88 03 48 FF C3 80 3B 00 75 EA 33 C0 E9 06 01 00 00 49 8B CD 49 3B F5 73 12 C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 54 FF FF FF 85 C0 7E 66 33 D2 48 8D 42 E0 48 F7 F1 48 83 F8 01 72 57 48 83 C1 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 50 48 85 FF 74 28 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0E C7 00 DD DD 00 00 48 83 C7 10 EB 02 33 FF 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 3C FF FF FF 49 8B 0C 24 C7 44 24 40 01 00 00 00 4C 8B CB 8B 41 04 8B 51 14 41 B8 00 01 00 00 89 44 24 38 44 89 6C 24 30 49 8B CC 48 89 7C 24 28 83 4C 24 20 FF E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 48 8D 65 10 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_720_9_0 {
	meta:
		name = "_strlwr"
		size = 98
		refs = "000d __locale_changed 0019 _errno 0024 _invalid_parameter_noinfo 0055 _strlwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 33 D2 48 8B D9 39 15 ?? ?? ?? ?? 75 3A 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 30 48 8B C1 38 11 74 26 8A 08 80 F9 41 7C 0A 80 F9 5A 7F 05 80 C1 20 88 08 48 FF C0 38 10 75 E8 EB 0C 45 33 C0 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_721_6_0 {
	meta:
		name = "_Getdays_l"
		size = 312
		refs = "0023 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003b strlen 0061 _malloc_crt 008b strcpy_s 011d _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 50 48 8B D1 48 8D 48 D8 33 ED E8 ?? ?? ?? ?? 4C 8B 5C 24 30 33 FF 4D 8B A3 58 01 00 00 49 8B 4C FC 38 E8 ?? ?? ?? ?? 49 8B 0C FC 48 8B D8 E8 ?? ?? ?? ?? 48 FF C7 48 03 C5 48 8D 6C 18 02 48 83 FF 07 72 D9 48 8D 4D 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 6E 48 8B D8 33 F6 C6 03 3A 4D 8B 04 F4 48 FF C3 48 8B CF 48 2B CB 48 8D 54 29 01 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 8B 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 03 D8 48 8B C7 C6 03 3A 4D 8B 44 F4 38 48 FF C3 48 2B C3 48 8B CB 48 8D 54 28 01 E8 ?? ?? ?? ?? 85 C0 75 48 48 8B CB E8 ?? ?? ?? ?? 48 FF C6 48 03 D8 48 83 FE 07 72 9A C6 03 00 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B C7 48 8B 7C 24 78 48 83 C4 50 41 5C C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_721_8_0 {
	meta:
		name = "_Getmonths_l"
		size = 323
		refs = "0023 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0040 strlen 0065 _malloc_crt 0094 strcpy_s 0128 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 50 48 8B D1 48 8D 48 D8 33 ED E8 ?? ?? ?? ?? 4C 8B 5C 24 30 44 8D 65 0C 49 8B B3 58 01 00 00 48 8D 7E 70 48 8B 4F 60 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 48 83 C7 08 48 03 C5 49 FF CC 48 8D 6C 18 02 75 DB 48 8D 4D 01 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 75 48 8B D8 48 81 C6 D0 00 00 00 C6 03 3A 4C 8B 46 A0 48 FF C3 48 8B CF 48 2B CB 48 8D 54 29 01 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 8D 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 03 D8 48 8B C7 C6 03 3A 4C 8B 06 48 FF C3 48 2B C3 48 8B CB 48 8D 54 28 01 E8 ?? ?? ?? ?? 85 C0 75 4C 48 8B CB E8 ?? ?? ?? ?? 49 FF C4 48 83 C6 08 48 03 D8 49 83 FC 0C 72 98 C6 03 00 80 7C 24 48 00 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B C7 48 8B 7C 24 78 48 83 C4 50 41 5C C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_721_10_0 {
	meta:
		name = "_Gettnames_l"
		size = 995
		refs = "002a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0043 strlen 00f3 _malloc_crt 0117 memcpy 013b strcpy_s 0300 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B D1 45 33 FF 48 8D 48 B8 41 8B EF E8 ?? ?? ?? ?? 4C 8B 5C 24 30 49 8B B3 58 01 00 00 41 8B FF 48 8B 4C FE 38 E8 ?? ?? ?? ?? 48 8B 0C FE 48 8B D8 E8 ?? ?? ?? ?? 48 FF C7 48 03 C5 48 8D 6C 18 02 48 83 FF 07 72 D9 4C 8D 66 70 41 BD 0C 00 00 00 49 8B FC 48 8B 4F 60 E8 ?? ?? ?? ?? 48 8B 0F 48 8B D8 E8 ?? ?? ?? ?? 48 83 C7 08 48 03 C5 49 FF CD 48 8D 6C 18 02 75 DB 48 8B 8E 38 01 00 00 E8 ?? ?? ?? ?? 48 8B 8E 30 01 00 00 48 8B D8 E8 ?? ?? ?? ?? 48 8B 8E 40 01 00 00 48 03 C5 48 8D 5C 18 02 E8 ?? ?? ?? ?? 48 8B 8E 48 01 00 00 48 8D 5C 03 01 E8 ?? ?? ?? ?? 48 8B 8E 50 01 00 00 48 8D 5C 03 01 E8 ?? ?? ?? ?? 48 8D AC 03 C1 02 00 00 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 AC 02 00 00 41 B8 C0 02 00 00 48 8B D6 48 8B C8 48 8D B8 C0 02 00 00 E8 ?? ?? ?? ?? 4C 8B F3 4C 2B F6 4C 8D 6E 38 4B 89 7C 2E C8 4D 8B 45 C8 48 8B D3 48 2B D7 48 8B CF 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 52 02 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8D 7C 07 01 4B 89 3C 2E 4D 8B 45 00 48 2B D7 48 03 D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 0E 02 00 00 48 8B CF E8 ?? ?? ?? ?? 49 FF C7 49 83 C5 08 48 8D 7C 07 01 49 83 FF 07 72 96 45 33 FF 45 8B EF 4B 89 3C 34 4D 8B 04 24 48 8B D3 48 2B D7 48 8B CF 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 B8 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8D 7C 07 01 4B 89 7C 26 60 4D 8B 44 24 60 48 2B D7 48 03 D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 73 01 00 00 48 8B CF E8 ?? ?? ?? ?? 49 FF C5 49 83 C4 08 48 8D 7C 07 01 49 83 FD 0C 72 95 48 89 BB 30 01 00 00 4C 8B 86 30 01 00 00 48 8B D3 48 2B D7 48 8B CF 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 85 1D 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8D 7C 07 01 48 89 BB 38 01 00 00 4C 8B 86 38 01 00 00 48 2B D7 48 03 D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 D4 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8D 7C 07 01 48 89 BB 40 01 00 00 4C 8B 86 40 01 00 00 48 2B D7 48 03 D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 0F 85 8B 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8D 7C 07 01 48 89 BB 48 01 00 00 4C 8B 86 48 01 00 00 48 2B D7 48 03 D5 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 46 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8D 4C 07 01 48 89 8B 50 01 00 00 4C 8B 86 50 01 00 00 48 2B D1 48 03 D5 E8 ?? ?? ?? ?? 85 C0 0F 84 BF 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 44 38 7C 24 48 74 0C 48 8B 44 24 40 83 A0 C8 00 00 00 FD 4C 8D 5C 24 50 48 8B C3 49 8B 5B 30 49 8B 6B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_721_12_0 {
	meta:
		name = "?_store_str@@YAXPEADPEAPEADPEA_K@Z"
		size = 33
	strings:
		$1 = { EB 17 44 8A 09 45 84 C9 74 15 48 8B 02 48 FF C1 44 88 08 48 FF 02 49 FF 08 49 83 38 00 75 E3 F3 C3 }
	condition:
		$1
}

rule file_721_13_0 {
	meta:
		name = "?_store_number@@YAXHPEAPEADPEA_K@Z"
		size = 100
	strings:
		$1 = { 4C 8B 0A 4C 8B D2 44 8B D9 EB 33 B8 67 66 66 66 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A D9 41 80 C3 30 45 88 19 49 FF 08 49 FF C1 44 8B DA 85 D2 7E 06 49 83 38 01 77 C7 49 8B 12 4D 89 0A 49 FF C9 8A 02 41 8A 09 41 88 01 88 0A 48 FF C2 49 FF C9 49 3B D1 72 EB F3 C3 }
	condition:
		$1
}

rule file_721_14_0 {
	meta:
		name = "?_store_num@@YAXHHPEAPEADPEA_KI@Z"
		size = 217
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 45 33 D2 44 8B D9 44 39 54 24 28 74 5E 4D 8B 10 EB 33 B8 67 66 66 66 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8A C2 C0 E0 02 8D 0C 10 02 C9 44 2A D9 41 80 C3 30 45 88 1A 49 FF 09 49 FF C2 44 8B DA 85 D2 7E 06 49 83 39 01 77 C7 49 8B 10 4D 89 10 49 FF CA 8A 02 41 8A 0A 41 88 02 88 0A 48 FF C2 49 FF CA 49 3B D2 72 EB EB 59 48 63 C2 49 3B 01 73 4E FF CA 48 63 FA 8D 5A 01 85 DB 74 37 B8 67 66 66 66 41 FF C2 41 F7 EB C1 FA 02 8B C2 C1 E8 1F 03 D0 8A C2 C0 E0 02 8D 0C 10 49 8B 00 02 C9 44 2A D9 41 80 C3 30 44 88 1C 07 48 FF CF FF CB 44 8B DA 75 C9 49 63 C2 49 01 00 49 29 01 EB 03 4D 21 11 48 8B 5C 24 08 48 8B 7C 24 10 C3 }
	condition:
		$1
}

rule file_721_15_0 {
	meta:
		name = "?_expandtime@@YAHPEAUlocaleinfo_struct@@DPEBUtm@@PEAPEADPEA_KPEAU__lc_time_data@@I@Z"
		size = 1593
		refs = "01db ?_store_winword@@YAHPEAUlocaleinfo_struct@@HPEBUtm@@PEAPEADPEA_KPEAU__lc_time_data@@@Z 0387 ?_store_num@@YAXHHPEAPEADPEA_KI@Z 04d6 __tzset 04db __tzname 0609 _errno 0614 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 30 44 0F BE D2 49 8B F9 49 8B F0 48 8B E9 41 BE 01 00 00 00 41 83 FA 59 0F 8F B8 02 00 00 0F 84 65 02 00 00 41 83 FA 49 0F 8F 47 01 00 00 0F 84 07 01 00 00 41 83 EA 04 0F 84 A9 05 00 00 41 83 EA 09 0F 84 9F 05 00 00 41 83 EA 18 0F 84 D3 00 00 00 41 83 EA 1C 74 7A 41 FF CA 74 21 41 8D 4E 05 44 3B D1 0F 85 92 05 00 00 41 8B 48 08 85 C9 0F 88 76 05 00 00 83 F9 17 E9 CE 02 00 00 33 DB 41 39 58 10 0F 8C 62 05 00 00 41 83 78 10 0B 0F 8F 57 05 00 00 49 63 48 10 48 8B 44 24 78 48 8B 94 C8 D0 00 00 00 48 8B 4C 24 70 EB 1B 44 8A 02 45 84 C0 0F 84 2E 05 00 00 49 8B 01 49 03 D6 44 88 00 4D 01 31 48 FF 09 48 39 19 75 E0 E9 15 05 00 00 33 DB 41 39 58 18 0F 8C 0E 05 00 00 8D 4B 06 41 39 48 18 0F 8F 01 05 00 00 49 63 48 18 48 8B 44 24 78 48 8B 54 C8 38 48 8B 4C 24 70 EB 1B 44 8A 02 45 84 C0 0F 84 DB 04 00 00 49 8B 01 49 03 D6 44 88 00 4D 01 31 48 FF 09 48 39 19 75 E0 E9 C2 04 00 00 49 8B 01 C6 00 25 48 8B 44 24 70 4D 01 31 48 FF 08 E9 AC 04 00 00 41 8B 48 08 85 C9 0F 88 A5 04 00 00 83 F9 17 0F 8F 9C 04 00 00 B8 AB AA AA 2A F7 E9 D1 FA 8B C2 C1 E8 1F 03 D0 8D 04 52 C1 E0 02 2B C8 B8 0C 00 00 00 0F 44 C8 E9 DD 01 00 00 41 83 EA 4D 0F 84 F6 00 00 00 B9 06 00 00 00 44 2B D1 0F 84 CC 00 00 00 41 83 EA 02 74 5C 41 83 EA 02 74 37 41 FF CA 0F 85 5A 04 00 00 48 8B 44 24 78 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 BA 02 00 00 00 48 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 1C 04 00 00 E9 2C 04 00 00 41 8B 40 18 33 DB 85 C0 0F 88 0E 04 00 00 3B C1 0F 8F 06 04 00 00 85 C0 74 1F 8D 48 FF EB 1A 33 DB 41 39 58 18 0F 8C F1 03 00 00 41 39 48 18 0F 8F E7 03 00 00 41 8B 48 18 41 39 58 1C 0F 8C D9 03 00 00 41 81 78 1C 6D 01 00 00 0F 8F CB 03 00 00 41 39 48 1C 7C 2B 45 8B 40 1C B8 93 24 49 92 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 D0 8B C2 8B DA 6B C0 07 44 2B C0 44 3B C1 7C 03 41 03 DE 8B CB E9 F9 00 00 00 33 DB 41 39 18 0F 8C 88 03 00 00 41 83 38 3B 0F 8F 7E 03 00 00 8B 0E E9 DD 00 00 00 41 8B 48 04 85 C9 0F 88 6B 03 00 00 83 F9 3B E9 C3 00 00 00 41 81 78 14 94 F8 FF FF 0F 8C 55 03 00 00 41 81 78 14 A3 1F 00 00 0F 8F 47 03 00 00 45 8B 40 14 B8 1F 85 EB 51 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 8B C2 8D 4A 13 BA 04 00 00 00 6B C0 64 44 2B C0 6B C9 64 41 03 C8 E9 81 00 00 00 41 83 FA 6D 0F 8F B2 01 00 00 0F 84 90 01 00 00 41 83 EA 5A 0F 84 C9 01 00 00 41 83 EA 07 0F 84 2A 01 00 00 41 FF CA 0F 84 D0 00 00 00 41 FF CA 74 6C 41 FF CA 74 2F B9 06 00 00 00 44 3B D1 0F 85 E1 02 00 00 41 8B 48 1C 85 C9 0F 88 C5 02 00 00 81 F9 6D 01 00 00 0F 8F B9 02 00 00 FF C1 BA 03 00 00 00 EB 1B 41 8B 48 0C 41 3B CE 0F 8C A3 02 00 00 83 F9 1F 0F 8F 9A 02 00 00 BA 02 00 00 00 8B 84 24 80 00 00 00 4C 8B 4C 24 70 4C 8B C7 89 44 24 20 E8 ?? ?? ?? ?? E9 73 02 00 00 4C 8B 6C 24 78 4C 8B 64 24 70 33 DB 4C 89 6C 24 28 4C 89 64 24 20 39 9C 24 80 00 00 00 74 3C 41 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 59 02 00 00 49 39 1C 24 0F 84 4F 02 00 00 48 8B 07 4C 89 6C 24 28 4C 8B CF C6 00 20 4C 01 37 49 FF 0C 24 4C 89 64 24 20 4C 8B C6 E9 E7 FD FF FF 33 D2 EB C3 33 DB 41 39 58 10 0F 8C 0D 02 00 00 41 83 78 10 0B 0F 8F 02 02 00 00 49 63 48 10 48 8B 44 24 78 48 8B 54 C8 70 48 8B 4C 24 70 EB 1B 44 8A 02 45 84 C0 0F 84 DC 01 00 00 49 8B 01 49 03 D6 44 88 00 4D 01 31 48 FF 09 48 39 19 75 E0 E9 C3 01 00 00 33 DB 41 39 58 18 0F 8C BC 01 00 00 8D 4B 06 41 39 48 18 0F 8F AF 01 00 00 49 63 48 18 48 8B 44 24 78 48 8B 14 C8 48 8B 4C 24 70 EB 1B 44 8A 02 45 84 C0 0F 84 8A 01 00 00 49 8B 01 49 03 D6 44 88 00 4D 01 31 48 FF 09 48 39 19 75 E0 E9 71 01 00 00 41 8B 48 10 85 C9 0F 88 6A 01 00 00 83 F9 0B 0F 8F 61 01 00 00 FF C1 E9 C0 FE FF FF 41 83 EA 70 0F 84 DA 00 00 00 41 83 EA 07 0F 84 AC 00 00 00 41 FF CA 74 79 41 FF CA 74 4D 41 FF CA 0F 85 43 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 39 5E 20 8B CB 0F 95 C1 48 8B 14 C8 48 8B 4C 24 70 EB 1B 44 8A 02 45 84 C0 0F 84 03 01 00 00 48 8B 07 49 03 D6 44 88 00 4C 01 37 48 FF 09 48 39 19 75 E0 E9 EA 00 00 00 41 8B 48 14 85 C9 0F 88 E3 00 00 00 B8 1F 85 EB 51 F7 E9 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 2B CA E9 2E FE FF FF 48 8B 44 24 78 33 DB 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 39 9C 24 80 00 00 00 74 08 41 8B D6 E9 73 FC FF FF 33 D2 E9 6C FC FF FF 33 DB 41 39 58 18 0F 8C 8E 00 00 00 8D 4B 06 41 39 48 18 0F 8F 81 00 00 00 8B 4E 18 41 8B D6 E9 E1 FD FF FF 33 DB 41 39 58 08 7C 6E 41 83 78 08 17 7F 67 41 83 78 08 0B 48 8B 44 24 78 7F 2C 48 8B 90 30 01 00 00 48 8B 4C 24 70 EB 17 44 8A 02 45 84 C0 74 40 49 8B 01 49 03 D6 44 88 00 4D 01 31 48 FF 09 48 39 19 75 E4 EB 2A 4C 8B 80 38 01 00 00 48 8B 54 24 70 EB 17 45 8A 08 45 84 C9 74 14 48 8B 0F 4D 03 C6 44 88 09 4C 01 37 48 FF 0A 48 39 1A 75 E4 41 8B C6 EB 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 30 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_721_16_0 {
	meta:
		name = "?_store_winword@@YAHPEAUlocaleinfo_struct@@HPEBUtm@@PEAPEADPEA_KPEAU__lc_time_data@@@Z"
		size = 1384
		refs = "001c __security_cookie 008d __imp_GetTimeFormatA 0098 __imp_GetDateFormatA 012f __chkstk 0153 malloc 01c7 free 0251 ??_C@_05JAMEPDIN@am?1pm?$AA@ 0259 __ascii_stricmp 02ad ??_C@_03EBAPMIKO@a?1p?$AA@ 02ef _isleadbyte_l 0520 ?_expandtime@@YAHPEAUlocaleinfo_struct@@DPEBUtm@@PEAPEADPEA_KPEAU__lc_time_data@@I@Z 0550 __security_check_cookie"
	strings:
		$1 = { 40 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 8D 6C 24 40 48 89 5D 78 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 28 4C 8B AD 98 00 00 00 4C 8B A5 90 00 00 00 45 33 DB 4D 8B F9 4C 89 45 00 4C 8B F1 4C 89 6D 08 48 89 4D 10 44 8B D2 4D 8B C8 85 D2 74 17 41 FF CA 74 09 49 8B 9D 50 01 00 00 EB 10 49 8B 9D 48 01 00 00 EB 07 49 8B 9D 40 01 00 00 41 BA 01 00 00 00 45 39 95 5C 01 00 00 0F 84 62 01 00 00 41 0F B7 40 14 4C 8B 35 ?? ?? ?? ?? 83 FA 02 4C 0F 45 35 ?? ?? ?? ?? B9 6C 07 00 00 44 89 5C 24 28 66 03 C1 41 8B 8D 58 01 00 00 4C 8B CB 66 89 45 18 41 0F B7 40 10 33 D2 66 41 03 C2 66 44 89 5D 26 4C 89 5C 24 20 66 89 45 1A 41 0F B7 40 0C 66 89 45 1E 41 0F B7 40 08 66 89 45 20 41 0F B7 40 04 66 89 45 22 41 0F B7 00 4C 8D 45 18 66 89 45 24 41 FF D6 45 33 DB 44 8B E8 85 C0 0F 84 CD 00 00 00 83 C0 10 3D 00 04 00 00 7F 3D 48 98 48 8D 48 0F 48 3B C8 77 0A 48 B9 F0 FF FF FF FF FF FF 0F 48 83 E1 F0 48 8B C1 E8 ?? ?? ?? ?? 48 2B E1 45 33 DB 48 8D 7C 24 40 48 85 FF 0F 84 8E 00 00 00 C7 07 CC CC 00 00 EB 19 48 63 C8 E8 ?? ?? ?? ?? 45 33 DB 48 8B F8 48 85 C0 74 0A C7 00 DD DD 00 00 48 83 C7 10 48 85 FF 74 64 48 8B 45 08 4C 8D 45 18 4C 8B CB 8B 88 58 01 00 00 33 D2 44 89 6C 24 28 48 8B F7 48 89 7C 24 20 41 FF D6 44 8D 58 FF EB 1B 49 83 3C 24 00 76 19 8A 06 49 8B 0F 48 FF C6 88 01 49 FF 07 49 FF 0C 24 41 FF CB 45 85 DB 7F E0 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? B8 01 00 00 00 E9 73 03 00 00 4C 8B 4D 00 4C 8B 75 10 4C 8B 6D 08 41 BA 01 00 00 00 8A 03 84 C0 0F 84 54 03 00 00 4D 39 1C 24 0F 84 4A 03 00 00 41 8B FB 41 8B CB 49 8B D3 48 8B F3 49 03 F2 41 03 CA 49 03 D2 38 06 74 F3 44 0F BE C0 41 83 F8 64 0F 8F 58 01 00 00 0F 84 26 01 00 00 41 83 F8 27 0F 84 96 00 00 00 41 83 F8 41 74 16 41 83 F8 48 74 55 41 83 F8 4D 74 23 41 83 F8 61 0F 85 6E 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 49 48 8D 73 05 EB 5A FF C9 74 1E FF C9 74 1D FF C9 74 0F FF C9 0F 85 41 02 00 00 B2 42 E9 85 02 00 00 B2 62 E9 7E 02 00 00 41 8B FA B2 6D E9 74 02 00 00 FF C9 74 09 FF C9 74 08 E9 1C 02 00 00 41 8B FA B2 48 E9 5D 02 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 04 48 8D 73 03 B2 70 E9 3F 02 00 00 41 84 CA 74 76 48 03 DA 8A 03 84 C0 0F 84 6B 02 00 00 4D 39 1C 24 0F 84 4E 02 00 00 3C 27 74 53 0F BE C8 49 8B D6 E8 ?? ?? ?? ?? 45 33 DB 45 8D 53 01 85 C0 74 21 4D 39 14 24 76 1B 44 38 5B 01 0F 84 33 02 00 00 8A 0B 49 8B 07 48 FF C3 88 08 4D 01 17 49 FF 0C 24 49 8B 07 8A 0B 49 03 DA 88 08 4D 01 17 49 FF 0C 24 8A 03 84 C0 75 A4 E9 F7 01 00 00 49 03 DA E9 EF 01 00 00 48 63 C1 48 03 D8 E9 E4 01 00 00 FF C9 74 1E FF C9 74 1D FF C9 74 0F FF C9 0F 85 5A 01 00 00 B2 41 E9 9E 01 00 00 B2 61 E9 97 01 00 00 41 8B FA B2 64 E9 8D 01 00 00 41 8B D0 83 EA 68 0F 84 2E 01 00 00 83 EA 05 0F 84 14 01 00 00 83 EA 06 0F 84 FA 00 00 00 FF CA 74 25 83 EA 05 0F 85 17 01 00 00 83 F9 02 74 10 83 F9 04 0F 85 09 01 00 00 B2 59 E9 4D 01 00 00 B2 79 E9 46 01 00 00 41 83 79 08 0B 7F 09 49 8B 9D 30 01 00 00 EB 07 49 8B 9D 38 01 00 00 41 3B CA 0F 85 A6 00 00 00 4D 39 1C 24 0F 86 9C 00 00 00 0F BE 0B 49 8B D6 E8 ?? ?? ?? ?? 45 33 DB 45 8D 53 01 85 C0 74 21 4D 39 14 24 76 1B 44 38 5B 01 0F 84 30 01 00 00 8A 03 49 8B 0F 48 FF C3 88 01 4D 01 17 49 FF 0C 24 49 8B 0F 8A 03 88 01 4D 01 17 49 FF 0C 24 E9 FA 00 00 00 4D 39 1C 24 0F 86 F0 00 00 00 0F BE C8 49 8B D6 E8 ?? ?? ?? ?? 45 33 DB 45 8D 53 01 85 C0 74 21 4D 39 14 24 76 1B 44 38 5B 01 0F 84 DC 00 00 00 8A 03 49 8B 0F 48 FF C3 88 01 4D 01 17 49 FF 0C 24 8A 03 49 8B 0F 49 03 DA 88 01 4D 01 17 49 FF 0C 24 8A 03 84 C0 75 A8 E9 9D 00 00 00 FF C9 74 06 FF C9 74 05 EB 20 41 8B FA B2 53 EB 64 FF C9 74 06 FF C9 74 05 EB 0F 41 8B FA B2 4D EB 53 FF C9 74 4A FF C9 74 49 49 8B D6 41 8B C8 E8 ?? ?? ?? ?? 45 33 DB 45 8D 53 01 85 C0 74 1D 4D 39 14 24 76 17 44 38 5B 01 74 63 8A 0B 49 8B 07 48 FF C3 88 08 4D 01 17 49 FF 0C 24 8A 0B 49 8B 07 49 03 DA 88 08 4D 01 17 49 FF 0C 24 EB 30 41 8B FA B2 49 4C 8B 45 00 89 7C 24 30 4D 8B CF 49 8B CE 4C 89 6C 24 28 4C 89 64 24 20 E8 ?? ?? ?? ?? 45 33 DB 85 C0 74 16 45 8D 53 01 48 8B DE 8A 03 84 C0 74 0D 4C 8B 4D 00 E9 B0 FC FF FF 33 C0 EB 03 41 8B C2 48 8B 4D 28 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 78 48 8D 65 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_721_17_0 {
	meta:
		name = "_Strftime_l"
		size = 464
		refs = "003e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 009f _isleadbyte_l 012c ?_expandtime@@YAHPEAUlocaleinfo_struct@@DPEBUtm@@PEAPEADPEA_KPEAU__lc_time_data@@I@Z 015d _errno 019b _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B FA 48 8B 55 58 4C 8B E9 48 8D 4D D8 45 33 FF 4D 8B F1 49 8B D8 41 8B F7 E8 ?? ?? ?? ?? 4C 8B 5D 30 4D 85 DB 0F 84 40 01 00 00 48 85 FF 0F 84 37 01 00 00 45 88 3B 48 85 DB 0F 84 2B 01 00 00 4C 8B 65 50 4D 85 E4 75 0B 48 8B 45 D8 4C 8B A0 58 01 00 00 48 8B C7 48 85 FF 48 89 45 D0 0F 84 C6 00 00 00 8A 0B 84 C9 0F 84 D7 00 00 00 80 F9 25 74 59 48 8D 55 D8 0F BE C9 E8 ?? ?? ?? ?? 85 C0 74 2D 48 83 7D D0 01 76 26 44 38 7B 01 0F 84 91 00 00 00 8A 0B 48 8B 45 30 48 FF C3 88 08 48 8B 4D 30 48 FF C1 48 FF 4D D0 48 89 4D 30 EB 04 48 8B 4D 30 8A 03 48 FF C3 88 01 48 8B 45 D0 48 FF 45 30 48 FF C8 48 89 45 D0 EB 4B 4D 85 F6 0F 84 96 00 00 00 48 FF C3 41 8B C7 80 3B 23 75 08 B8 01 00 00 00 48 FF C3 8A 13 89 44 24 30 48 8D 45 D0 4C 8D 4D 30 48 8D 4D D8 4D 8B C6 4C 89 64 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 0F 48 8B 45 D0 48 FF C3 48 85 C0 E9 3F FF FF FF 4C 39 7D D0 76 05 BE 01 00 00 00 45 88 7D 00 85 F6 75 39 4C 39 7D D0 77 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 36 48 85 C0 74 E0 48 8B 4D 30 44 88 39 48 2B 7D D0 44 38 7D F0 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD 48 8B C7 EB 23 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 7D F0 74 0B 48 8B 45 E8 83 A0 C8 00 00 00 FD 33 C0 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_723_1_0 {
	meta:
		name = "_wfindfirst32"
		size = 325
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExW 0090 __imp_GetLastError 00e9 __timet_from_ft 0120 wcscpy_s 0140 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 02 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 47 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 47 08 E8 ?? ?? ?? ?? 48 8D 4F 14 89 47 0C 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 47 10 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 12 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_723_2_0 {
	meta:
		name = "_wfindnext32"
		size = 287
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileW 0074 __imp_GetLastError 00c7 __timet_from_ft 00fe wcscpy_s 011a _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 90 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 80 02 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 80 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 02 00 00 48 81 C4 90 02 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 48 8D 4B 14 89 43 0C 8B 44 24 50 4C 8D 44 24 5C BA 04 01 00 00 89 43 10 E8 ?? ?? ?? ?? 85 C0 0F 84 31 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_724_6_0 {
	meta:
		name = "?Alloc@Concurrency@@YAPEAX_K@Z"
		size = 142
		refs = "001b ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0035 ??0exception@std@@QEAA@AEBQEBDH@Z 003c ??_7bad_alloc@std@@6B@ 0043 _TI2?AVbad_alloc@std@@ 0052 _CxxThrowException 0059 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0065 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 006b __imp_TlsGetValue 0078 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 B8 FF FF FF FF FF FF FF 7F 48 8B D9 48 3B C8 76 3F 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC F7 05 ?? ?? ?? ?? 00 00 00 80 74 14 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 8B D3 48 83 C4 40 5B 48 FF 60 48 }
	condition:
		$1
}

rule file_724_8_0 {
	meta:
		name = "?Free@Concurrency@@YAXPEAX@Z"
		size = 68
		refs = "000c ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 001b ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0021 __imp_TlsGetValue 002e ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
	strings:
		$1 = { 48 85 C9 74 3E 53 48 83 EC 20 F7 05 ?? ?? ?? ?? 00 00 00 80 48 8B D9 74 14 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 48 85 C0 75 08 E8 ?? ?? ?? ?? 48 8B C8 48 8B 01 48 8B D3 FF 50 50 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_724_9_0 {
	meta:
		name = "?GetBucketIndex@SubAllocator@details@Concurrency@@SAH_K@Z"
		size = 84
	strings:
		$1 = { 48 8D 51 0F 48 83 E2 F0 48 81 FA 00 20 00 00 76 04 83 C8 FF C3 48 C1 EA 04 83 FA 20 7F 04 8D 42 FF C3 B9 05 00 00 00 F7 C2 E0 FF FF FF 7E 0A FF C1 8B C2 D3 F8 85 C0 7F F6 83 E9 05 B8 01 00 00 00 D3 E0 FF C8 03 D0 F7 D0 23 D0 D3 FA 03 C9 8D 44 CA FF C3 }
	condition:
		$1
}

rule file_724_10_0 {
	meta:
		name = "?StaticAlloc@SubAllocator@details@Concurrency@@SAPEAX_K@Z"
		size = 57
		refs = "000e ?GetBucketIndex@SubAllocator@details@Concurrency@@SAH_K@Z 001d ?s_bucketSizes@SubAllocator@details@Concurrency@@0QBHB 0029 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 41 08 49 8B C8 E8 ?? ?? ?? ?? 48 63 D8 83 FB FF 74 0B 48 8D 0D ?? ?? ?? ?? 4C 63 04 99 49 8B C8 E8 ?? ?? ?? ?? 89 18 48 83 C0 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_724_11_0 {
	meta:
		name = "?Alloc@AllocatorBucket@details@Concurrency@@QEAAPEATAllocationEntry@23@XZ"
		size = 22
	strings:
		$1 = { 33 C0 48 39 41 08 74 0D 48 8B 41 08 48 8B 10 FF 09 48 89 51 08 C3 }
	condition:
		$1
}

rule file_724_12_0 {
	meta:
		name = "?Free@AllocatorBucket@details@Concurrency@@QEAA_NPEATAllocationEntry@23@@Z"
		size = 24
	strings:
		$1 = { 83 39 20 7D 10 48 8B 41 08 48 89 02 FF 01 48 89 51 08 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_724_13_0 {
	meta:
		name = "??1AllocatorBucket@details@Concurrency@@QEAA@XZ"
		size = 43
		refs = "001a ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 00 48 8B D9 74 17 48 8B 4B 08 48 8B 01 48 89 43 08 E8 ?? ?? ?? ?? FF 0B 83 3B 00 75 E9 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_724_14_0 {
	meta:
		name = "?Alloc@SubAllocator@details@Concurrency@@QEAAPEAX_K@Z"
		size = 100
		refs = "0011 ?GetBucketIndex@SubAllocator@details@Concurrency@@SAH_K@Z 0045 ?s_bucketSizes@SubAllocator@details@Concurrency@@0QBHB 0051 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 42 08 4C 8B C9 49 8B C8 E8 ?? ?? ?? ?? 48 63 D8 83 FB FF 74 30 48 8D 53 01 33 C9 48 C1 E2 04 49 03 D1 48 39 4A 08 74 0D 48 8B 4A 08 48 8B 01 FF 0A 48 89 42 08 48 85 C9 75 16 48 8D 05 ?? ?? ?? ?? 4C 63 04 98 49 8B C8 E8 ?? ?? ?? ?? 48 8B C8 89 19 48 8D 41 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_724_15_0 {
	meta:
		name = "?Free@SubAllocator@details@Concurrency@@QEAAXPEAX@Z"
		size = 49
		refs = "002d ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C1 48 8D 4A F8 83 39 FF 74 20 48 63 11 48 FF C2 48 C1 E2 04 48 03 D0 83 3A 20 7D 0E 48 8B 42 08 48 89 01 FF 02 48 89 4A 08 C3 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_725_0_0 {
	meta:
		name = "_getdllprocaddr"
		size = 33
		refs = "0014 __imp_GetProcAddress"
	strings:
		$1 = { 48 85 D2 75 13 49 81 F8 FF FF 00 00 7F 10 49 8B D0 48 FF 25 ?? ?? ?? ?? 49 83 F8 FF 74 F3 33 C0 C3 }
	condition:
		$1
}

rule file_726_0_0 {
	meta:
		name = "?ArrayUnwindFilter@@YAHPEAU_EXCEPTION_POINTERS@@@Z"
		size = 28
		refs = "0017 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 63 73 6D E0 74 07 33 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_726_1_0 {
	meta:
		name = "?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
		size = 74
	strings:
		$1 = { 48 89 5C 24 10 44 89 44 24 18 48 89 4C 24 08 56 57 41 54 48 83 EC 40 49 8B F1 41 8B F8 4C 8B E2 48 8B D9 FF CF 89 7C 24 70 78 0F 49 2B DC 48 89 5C 24 60 48 8B CB FF D6 EB E9 EB 00 48 8B 5C 24 68 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_726_2_0 {
	meta:
		name = "?filt$0@?0??__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z@4HA"
		size = 65
		refs = "0035 ?terminate@@YAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 89 4D 38 48 89 4D 28 48 8B 45 28 48 8B 08 48 89 4D 30 48 8B 45 30 81 38 63 73 6D E0 74 0C C7 45 20 00 00 00 00 8B 45 20 EB 06 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_726_3_0 {
	meta:
		name = "??_M@YAXPEAX_KHP6AX0@Z@Z"
		size = 93
	strings:
		$1 = { 48 8B C4 4C 89 48 20 44 89 40 18 48 89 50 10 53 56 57 41 54 48 83 EC 38 4D 8B E1 49 63 F8 48 8B F2 83 60 C8 00 48 8B DF 48 0F AF DA 48 03 D9 48 89 58 08 FF CF 89 7C 24 70 78 10 48 2B DE 48 89 5C 24 60 48 8B CB 41 FF D4 EB E8 C7 44 24 20 01 00 00 00 48 83 C4 38 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_726_4_0 {
	meta:
		name = "?fin$0@?0???_M@YAXPEAX_KHP6AX0@Z@Z@4HA"
		size = 44
		refs = "0020 ?__ArrayUnwind@@YAXPEAX_KHP6AX0@Z@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 83 7D 20 00 75 16 4C 8B 4D 78 44 8B 45 70 48 8B 55 68 48 8B 4D 60 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_727_2_0 {
	meta:
		name = "_wstat64"
		size = 1115
		refs = "0022 __security_cookie 003f __doserrno 0047 _errno 0052 _invalid_parameter_noinfo 0063 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 0068 wcspbrk 00a0 towlower 00af _getdrive 00cf __imp_FindFirstFileExW 00e9 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0122 _wfullpath 016e wcslen 017c IsRootUNCName 0189 __imp_GetDriveTypeW 01a1 free 01d5 __loctotime64_t 022f _wsopen_s 024c _fstat64 0257 _close 0282 __imp_FileTimeToLocalFileTime 029a __imp_FileTimeToSystemTime 03d7 __imp_FindClose 03e3 __wdtoxmode 041a __imp_GetLastError 0421 _dosmaperr 043c __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 45 33 FF 48 8B DA 48 8B F9 48 85 C9 75 1D E8 ?? ?? ?? ?? 44 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 D3 03 00 00 48 85 D2 74 DE 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 18 E8 ?? ?? ?? ?? BB 02 00 00 00 89 18 E8 ?? ?? ?? ?? 89 18 E9 A5 03 00 00 66 83 7F 02 3A 75 1E 0F B7 0F 66 85 C9 74 07 66 44 39 7F 04 74 D2 E8 ?? ?? ?? ?? 44 0F B7 F0 41 83 EE 60 EB 08 E8 ?? ?? ?? ?? 44 8B F0 4C 8D 44 24 60 45 33 C9 33 D2 48 8B CF 44 89 7C 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 41 BC 01 00 00 00 48 8B F0 48 83 F8 FF 0F 85 1A 01 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CF 49 8B F7 E8 ?? ?? ?? ?? 48 85 C0 0F 84 70 FF FF FF E8 ?? ?? ?? ?? 44 8B 28 E8 ?? ?? ?? ?? 48 8D 8D B0 01 00 00 41 B8 04 01 00 00 48 8B D7 44 89 38 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 28 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 2B FF FF FF E8 ?? ?? ?? ?? 45 33 C0 48 8B D7 33 C9 44 89 28 E8 ?? ?? ?? ?? 48 8B F0 4C 8B E0 4D 85 E4 0F 84 80 00 00 00 49 8B CC E8 ?? ?? ?? ?? 48 83 F8 03 74 0C 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 66 49 8B CC FF 15 ?? ?? ?? ?? 41 BC 01 00 00 00 41 3B C4 76 52 48 85 F6 74 08 48 8B CE E8 ?? ?? ?? ?? 83 4C 24 30 FF 45 33 C9 45 8B C4 41 8B D4 B9 BC 07 00 00 44 89 7C 24 28 C7 44 24 60 10 00 00 00 4C 89 7C 24 7C 66 44 89 7D 8C 44 89 7C 24 20 E8 ?? ?? ?? ?? 48 89 43 28 48 89 43 20 48 89 43 30 E9 F1 01 00 00 48 85 F6 0F 84 7E FE FF FF 48 8B CE E8 ?? ?? ?? ?? E9 71 FE FF FF F7 44 24 60 00 04 00 00 74 58 81 7D 84 0C 00 00 A0 75 4F 83 4C 24 40 FF 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 48 8B D7 44 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 36 FE FF FF 8B 4C 24 40 83 F9 FF 0F 84 29 FE FF FF 48 8B D3 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? 8B C3 E9 CF 01 00 00 44 39 7C 24 74 75 0D 44 39 7C 24 78 75 06 4C 89 7B 28 EB 68 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 8A 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 72 01 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 43 28 44 39 7C 24 6C 75 0D 44 39 7C 24 70 75 06 48 8B 43 28 EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 0E 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 F6 00 00 00 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 43 20 44 39 7C 24 64 75 0D 44 39 7C 24 68 75 06 48 8B 43 28 EB 60 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 92 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 7E 83 4C 24 30 FF 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CE 48 89 43 30 FF 15 ?? ?? ?? ?? 8B 4C 24 60 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 7C 66 44 89 63 08 66 89 43 06 8B 45 80 48 C1 E1 20 48 03 C8 41 8D 46 FF 66 44 89 7B 04 89 03 89 43 10 33 C0 48 89 4B 18 44 89 7B 0A EB 19 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 83 C8 FF 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_729_10_0 {
	meta:
		name = "_cprinput_l"
		size = 4245
		refs = "0022 __security_cookie 006d _errno 0078 _invalid_parameter_noinfo 0089 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00c5 iswctype 00d9 _getwche_nolock 00fb _ungetwch_nolock 018e isdigit 04f2 __check_float_string 0768 _malloc_crt 078d wcstombs_s 07af _cfltcvt_tab 07b8 __imp_DecodePointer 07cf free 08cc memset 0bb7 wctomb_s 0bd9 _invoke_watson 0d5d isxdigit 104a __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 50 FD FF FF 48 81 EC B0 03 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 02 00 00 45 33 FF 4C 8D 65 E0 4C 89 45 A8 41 8B C7 41 0F B7 F7 48 8B F9 48 89 4C 24 58 4C 89 64 24 78 48 C7 45 98 5E 01 00 00 89 45 A0 89 74 24 38 44 89 7D 80 4C 89 7C 24 68 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 BB 0F 00 00 48 8D 4D B8 E8 ?? ?? ?? ?? 0F B7 07 41 8B DF 44 88 7C 24 3C 45 8B EF 44 89 7C 24 30 89 5C 24 60 66 85 C0 0F 84 7F 0F 00 00 BB 25 00 00 00 41 BC FF FF 00 00 44 8D 73 DC BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 74 4C 45 2B EE 45 03 EE 44 89 6C 24 30 E8 ?? ?? ?? ?? 0F B7 D8 66 41 3B C4 74 19 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 85 C0 75 D9 0F B7 CB E8 ?? ?? ?? ?? 48 83 C7 02 BA 08 00 00 00 0F B7 0F E8 ?? ?? ?? ?? 85 C0 75 EB E9 7B 0E 00 00 4C 8B 54 24 58 66 41 3B 1A 0F 85 8E 0E 00 00 66 41 3B 5A 02 0F 84 6D 0E 00 00 45 33 C0 45 0F B7 EF 41 8B D7 45 8D 48 01 44 89 7C 24 4C 44 89 7C 24 54 44 89 6D 88 45 8B F7 44 88 7C 24 50 44 88 7C 24 3D 41 8A F7 41 8A FF 44 89 7D 90 45 8A E9 89 54 24 48 45 8A E0 45 8B F8 49 83 C2 02 B8 00 FF 00 00 41 0F B7 1A 4C 89 54 24 58 66 85 D8 75 31 0F B6 CB E8 ?? ?? ?? ?? 8B 54 24 48 4C 8B 54 24 58 45 33 C0 45 8D 48 01 85 C0 74 15 43 8D 04 B6 41 03 D1 44 8D 74 43 D0 89 54 24 48 E9 F1 00 00 00 83 FB 2A 0F 84 E5 00 00 00 83 FB 46 0F 84 DF 00 00 00 83 FB 49 74 57 83 FB 4C 74 4A 83 FB 4E 0F 84 CC 00 00 00 83 FB 68 74 31 B9 6C 00 00 00 3B D9 74 0A 83 FB 77 74 1B E9 AC 00 00 00 49 8D 42 02 66 39 08 75 0A 4C 8B D0 48 89 44 24 58 EB 3B 45 02 E9 45 02 E1 E9 96 00 00 00 41 FE CD 41 FE CC E9 8B 00 00 00 45 02 E9 E9 83 00 00 00 41 0F B7 42 02 66 83 F8 36 75 1C 49 8D 4A 04 66 83 39 34 75 12 4C 8B D1 48 89 4C 24 58 45 03 F9 4C 89 44 24 70 EB 5C 66 83 F8 33 75 14 49 8D 4A 04 66 83 39 32 75 0A 4C 8B D1 48 89 4C 24 58 EB 42 B9 64 00 00 00 66 3B C1 74 D2 B9 69 00 00 00 66 3B C1 74 C8 B9 6F 00 00 00 66 3B C1 74 BE B9 78 00 00 00 66 3B C1 74 B4 B9 58 00 00 00 66 3B C1 74 AA 45 03 F9 4C 89 44 24 70 41 02 F9 EB 03 41 02 F1 40 84 FF 0F 84 BE FE FF FF 40 88 74 24 34 8B 74 24 38 44 88 6C 24 35 8A 4C 24 34 44 8B 6D 88 44 89 7C 24 40 44 8B 7D 90 44 89 74 24 44 84 C9 75 1A 48 8B 45 A8 48 89 45 B0 48 83 C0 08 48 89 45 A8 48 8B 40 F8 48 89 45 88 EB 04 4C 89 45 88 41 8A D8 45 84 E4 75 14 66 41 83 3A 53 74 0A 66 41 83 3A 43 45 8A E1 75 03 41 B4 FF 45 0F B7 32 41 83 CE 20 41 83 FE 6E 0F 84 81 00 00 00 41 83 FE 63 74 46 41 83 FE 7B 74 40 8B 7C 24 30 41 BF FF FF 00 00 41 03 F9 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 66 41 3B C7 74 17 BA 08 00 00 00 0F B7 C8 E8 ?? ?? ?? ?? 41 B9 01 00 00 00 85 C0 75 D4 44 8B 7D 90 89 7C 24 30 EB 11 44 01 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 B8 FF FF 00 00 66 3B C6 0F 84 6E 0C 00 00 4C 8B 54 24 58 8B 54 24 48 8A 4C 24 34 45 33 C0 45 8D 48 01 EB 05 B8 FF FF 00 00 8B 7C 24 44 85 D2 74 08 85 FF 0F 84 36 0C 00 00 41 BB 6F 00 00 00 45 3B F3 0F 8F 2B 04 00 00 0F 84 B2 08 00 00 41 83 FE 63 0F 84 FA 03 00 00 41 BB 64 00 00 00 45 3B F3 0F 84 99 08 00 00 0F 8E 34 04 00 00 41 83 FE 67 7E 46 41 83 FE 69 74 25 41 83 FE 6E 0F 85 1E 04 00 00 8B 44 24 30 45 33 FF 45 8D 73 9D 84 C9 0F 84 1F 0B 00 00 44 8B E8 E9 32 0B 00 00 45 8B F3 B8 2D 00 00 00 66 3B C6 0F 85 87 05 00 00 44 88 4C 24 3D E9 87 05 00 00 45 33 FF 41 8B FF 41 8D 4F 2D 66 3B CE 75 0D 48 8B 44 24 78 49 8B F9 66 89 08 EB 0A B8 2B 00 00 00 66 3B C6 75 22 44 8B 64 24 44 44 8B 6C 24 30 45 2B E1 45 03 E9 E8 ?? ?? ?? ?? 8B 54 24 48 0F B7 F0 89 74 24 38 EB 0A 44 8B 64 24 44 44 8B 6C 24 30 85 D2 BA FF FF FF FF BB 00 FF 00 00 44 0F 44 E2 66 85 F3 75 6C 44 8D 72 02 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 59 41 8B C4 45 2B E6 85 C0 74 4F 48 8B 4C 24 78 44 01 74 24 54 40 0F BE C6 66 89 04 79 48 8D 45 80 49 03 FE 4C 8D 4D E0 4C 8D 44 24 78 48 8D 55 98 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 99 01 00 00 45 03 EE E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 66 85 C3 74 98 48 8B 45 B8 41 BE 01 00 00 00 48 8B 88 28 01 00 00 48 8B 41 58 0F B7 18 40 0F BE C6 8B CB 3B D8 0F 85 BA 00 00 00 41 8B C4 45 2B E6 85 C0 0F 84 AC 00 00 00 45 03 EE E8 ?? ?? ?? ?? 4C 8D 4D E0 0F B7 F0 48 8B 44 24 78 4C 8D 44 24 78 66 89 1C 78 48 8D 45 80 49 03 FE 48 8D 55 98 48 8B CF 89 74 24 38 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 10 01 00 00 BB 00 FF 00 00 EB 5F 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 55 41 8B C4 45 2B E6 85 C0 74 4B 48 8B 44 24 78 44 01 74 24 54 4C 8D 4D E0 66 89 34 78 48 8D 45 80 49 03 FE 4C 8D 44 24 78 48 8D 55 98 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 B9 00 00 00 45 03 EE E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 66 85 F3 74 9C 8B 5C 24 54 85 DB 0F 84 1F 01 00 00 B9 65 00 00 00 66 3B CE 74 0C 8D 41 E0 66 3B C6 0F 85 09 01 00 00 41 8B C4 45 2B E6 85 C0 0F 84 FB 00 00 00 48 8B 44 24 78 4C 8D 4D E0 4C 8D 44 24 78 66 89 0C 78 48 8D 45 80 49 03 FE 48 8D 55 98 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 47 45 03 EE E8 ?? ?? ?? ?? B9 2D 00 00 00 0F B7 F0 89 74 24 38 66 3B C8 75 38 48 8B 44 24 78 4C 8D 4D E0 4C 8D 44 24 78 66 89 0C 78 48 8D 45 80 49 03 FE 48 8D 55 98 48 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 14 48 8B 5C 24 68 E9 69 09 00 00 B8 2B 00 00 00 66 3B C6 75 68 41 8B C4 45 2B E6 85 C0 75 4F 45 8B E7 EB 59 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 74 54 41 8B C4 45 2B E6 85 C0 74 4A 48 8B 44 24 78 4C 8D 4D E0 4C 8D 44 24 78 66 89 34 78 48 8D 45 80 49 03 FE 48 8D 55 98 48 8B CF 41 03 DE 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 93 45 03 EE E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 B8 00 FF 00 00 66 85 F0 74 9D 45 2B EE 41 BC FF FF 00 00 44 89 6C 24 30 66 44 3B E6 74 08 0F B7 CE E8 ?? ?? ?? ?? 85 DB 0F 84 56 FF FF FF 44 38 7C 24 34 0F 85 3A 08 00 00 48 8B 45 98 4C 8B 64 24 78 44 01 74 24 60 48 8D 5C 00 02 66 45 89 3C 7C 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 1F FF FF FF 48 8D 43 FF 4D 8B CC 4C 8B C3 48 8B D7 33 C9 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 83 F8 16 0F 84 CB 08 00 00 83 F8 22 0F 84 C2 08 00 00 0F BE 5C 24 35 48 8B 0D ?? ?? ?? ?? 41 2B DE FF 15 ?? ?? ?? ?? 48 8B 55 88 4C 8D 4D B8 4C 8B C7 8B CB FF D0 48 8B CF E8 ?? ?? ?? ?? E9 7E 07 00 00 85 D2 75 0C 41 03 F9 44 89 4C 24 48 89 7C 24 44 45 84 E4 0F 8E E0 02 00 00 45 8A F9 E9 D8 02 00 00 41 83 FE 70 0F 84 6F 04 00 00 41 83 FE 73 0F 84 B9 02 00 00 41 83 FE 75 0F 84 6F 04 00 00 41 83 FE 78 0F 84 06 FC FF FF 41 83 FE 7B 74 35 66 41 39 32 0F 85 C4 07 00 00 FE 4C 24 3C 44 8B 6C 24 30 45 33 FF 45 8D 77 01 41 BC FF FF 00 00 84 C9 0F 85 37 07 00 00 4C 8B 45 B0 4C 89 45 A8 E9 2A 07 00 00 45 84 E4 45 0F B6 FF B8 5E 00 00 00 45 0F 4F F9 49 83 C2 02 4C 89 54 24 58 66 41 3B 02 75 0E 49 83 C2 02 C6 44 24 50 FF 4C 89 54 24 58 48 8B 5C 24 68 48 85 DB 75 27 B9 00 20 00 00 E8 ?? ?? ?? ?? 33 FF 48 8B D8 48 89 44 24 68 48 85 C0 0F 84 57 07 00 00 44 8D 67 01 44 89 65 A0 EB 06 33 FF 44 8D 67 01 33 D2 41 B8 00 20 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B 54 24 58 41 BB 5D 00 00 00 66 45 3B 1A 75 0E 41 8D 43 C3 45 8B EB 49 83 C2 02 88 43 0B 41 0F B7 02 66 44 3B D8 0F 84 AB 00 00 00 BE 2D 00 00 00 49 83 C2 02 66 3B F0 75 6E 66 45 85 ED 74 68 41 0F B7 0A 66 44 3B D9 74 5E 49 83 C2 02 4C 89 54 24 58 66 44 3B E9 73 06 44 0F B7 C9 EB 08 45 0F B7 CD 44 0F B7 E9 66 45 3B E9 73 2D 45 0F B7 D5 41 0F B7 CD 4D 8B C2 41 8B D4 83 E1 07 49 C1 E8 03 66 45 03 EC D2 E2 4D 03 D4 41 08 14 18 66 45 3B E9 72 DC 4C 8B 54 24 58 45 0F B7 C1 41 0F B7 C1 44 0F B7 EF EB 0B 44 0F B7 E8 44 0F B7 C0 0F B7 C0 83 E0 07 49 C1 E8 03 41 8B D4 8A C8 D2 E2 41 08 14 18 41 0F B7 02 66 44 3B D8 0F 85 5E FF FF FF 8B 74 24 38 66 41 39 3A 0F 84 55 06 00 00 4C 89 54 24 58 E9 15 01 00 00 B8 2B 00 00 00 66 3B C6 75 10 41 2B F9 89 7C 24 44 75 71 85 D2 74 6D 41 8A D9 44 8B 64 24 30 B8 30 00 00 00 66 3B C6 0F 85 E2 02 00 00 44 8D 68 D1 45 03 E5 44 89 64 24 30 E8 ?? ?? ?? ?? 0F B7 F0 41 8D 45 77 89 74 24 38 66 3B C6 74 78 8D 48 E0 66 3B CE 74 70 45 8B FD 44 3B F0 74 41 44 8B 64 24 48 45 85 E4 74 0C 41 2B FD 89 7C 24 44 75 03 41 02 DD 41 BE 6F 00 00 00 44 8B 64 24 40 E9 95 02 00 00 44 8B 64 24 30 45 03 E1 44 89 64 24 30 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 EB 80 45 2B E5 B8 FF FF 00 00 44 89 64 24 30 66 3B C6 74 08 0F B7 CE E8 ?? ?? ?? ?? B8 30 00 00 00 8B F0 89 44 24 38 EB B4 45 03 E5 44 89 64 24 30 E8 ?? ?? ?? ?? 44 8B 64 24 48 0F B7 F0 89 74 24 38 45 85 E4 74 0F 83 EF 02 89 7C 24 44 41 3B FD 7D 03 41 02 DD 44 8B 64 24 40 44 8B 7C 24 54 B8 78 00 00 00 44 8B F0 E9 14 02 00 00 45 0F B6 FF 45 84 E4 45 0F 4F F9 8B 4C 24 30 48 8B 5D 88 B8 FF FF 00 00 FF C9 89 4C 24 30 66 3B C6 74 0C 0F B7 CE E8 ?? ?? ?? ?? 8B 4C 24 30 40 8A 7C 24 50 44 8B 6C 24 44 44 8B 64 24 48 33 D2 45 85 E4 74 0E 41 8B C5 41 FF CD 85 C0 0F 84 41 01 00 00 FF C1 89 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 41 83 FE 63 74 4B 41 83 FE 73 75 1A 66 83 F8 09 72 0A 66 83 F8 0D 0F 86 AE 00 00 00 B8 20 00 00 00 66 3B F0 75 2B 41 83 FE 7B 0F 85 9A 00 00 00 48 8B 4C 24 68 0F B7 C6 0F B7 D6 48 C1 E8 03 83 E2 07 0F BE 0C 08 40 0F BE C7 33 C8 0F A3 D1 73 79 33 D2 38 54 24 34 75 64 45 84 FF 74 18 48 8B 55 88 8B 4C 24 30 66 89 32 48 83 C2 02 48 89 55 88 E9 63 FF FF FF 89 55 90 48 8B 55 88 48 8D 4D 90 44 0F B7 CE 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 33 D2 85 C0 74 1D 83 F8 16 74 05 83 F8 22 75 21 45 33 C9 45 33 C0 33 C9 48 89 54 24 20 E8 ?? ?? ?? ?? CC 48 63 45 90 48 01 45 88 EB 04 48 83 C3 02 8B 4C 24 30 E9 11 FF FF FF 44 8B 6C 24 30 41 BC FF FF 00 00 41 FF CD 44 89 6C 24 30 66 44 3B E6 74 08 0F B7 CE E8 ?? ?? ?? ?? 33 D2 48 8B 45 88 48 3B D8 0F 84 DD 03 00 00 38 54 24 34 0F 85 4E 03 00 00 8B 5C 24 60 FF C3 89 5C 24 60 41 83 FE 63 0F 84 3A 03 00 00 41 BE 01 00 00 00 45 84 FF 74 19 45 33 FF 66 44 89 38 E9 2C 03 00 00 44 8B 6C 24 30 41 BC FF FF 00 00 EB B1 45 33 FF 44 88 38 E9 14 03 00 00 44 8B 64 24 40 44 88 4C 24 35 4C 89 44 24 70 45 03 E1 EB 05 44 8B 64 24 40 B8 2D 00 00 00 66 3B C6 75 07 44 88 4C 24 3D EB 0A B8 2B 00 00 00 66 3B C6 75 2A 41 2B F9 89 7C 24 44 75 09 85 D2 74 05 41 8A D9 EB 18 44 01 4C 24 30 E8 ?? ?? ?? ?? 0F B7 F0 89 74 24 38 EB 05 44 8B 64 24 40 44 8B 7C 24 54 B8 78 00 00 00 33 FF 45 85 E4 0F 84 20 01 00 00 84 DB 48 8B 5C 24 70 0F 85 FB 00 00 00 44 8B 6C 24 44 44 3B F0 74 4E 41 83 FE 70 74 48 B8 00 FF 00 00 66 85 F0 0F 85 C2 00 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 AF 00 00 00 B8 6F 00 00 00 44 3B F0 75 14 B8 38 00 00 00 66 3B C6 0F 86 97 00 00 00 48 C1 E3 03 EB 53 48 8D 1C 9B 48 03 DB EB 4A B8 00 FF 00 00 66 85 F0 75 7E 0F B7 DE 0F B6 FB 8B CF E8 ?? ?? ?? ?? 33 C9 85 C0 74 69 48 C1 64 24 70 04 8B CF E8 ?? ?? ?? ?? 33 FF 85 C0 74 05 0F B7 F3 EB 0C BE DF FF 00 00 66 23 F3 66 83 EE 07 48 8B 5C 24 70 89 74 24 38 0F B7 C6 B9 30 00 00 00 41 FF C7 2B C1 48 98 48 03 D8 48 89 5C 24 70 39 7C 24 48 74 05 41 FF CD 74 37 FF 44 24 30 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 38 E9 27 FF FF FF 33 FF FF 4C 24 30 B8 FF FF 00 00 66 3B C6 74 08 0F B7 CE E8 ?? ?? ?? ?? 48 8B 5C 24 70 40 38 7C 24 3D 0F 84 19 01 00 00 48 F7 DB 48 89 5C 24 70 E9 0C 01 00 00 84 DB 8B 5C 24 4C 0F 85 F3 00 00 00 44 8B 6C 24 44 44 3B F0 74 4C 41 83 FE 70 74 46 B8 00 FF 00 00 66 85 F0 0F 85 BB 00 00 00 0F B7 C6 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 A8 00 00 00 B8 6F 00 00 00 44 3B F0 75 13 B8 38 00 00 00 66 3B C6 0F 86 90 00 00 00 C1 E3 03 EB 56 8D 04 9B 8D 1C 00 EB 4E B8 00 FF 00 00 66 85 F0 75 79 0F B7 DE 0F B6 FB 8B CF E8 ?? ?? ?? ?? 33 C9 85 C0 74 64 8B 44 24 4C 8B CF C1 E0 04 89 44 24 4C E8 ?? ?? ?? ?? 33 FF 85 C0 74 05 0F B7 F3 EB 0C BE DF FF 00 00 66 23 F3 66 83 EE 07 8B 5C 24 4C 89 74 24 38 0F B7 C6 41 FF C7 8D 5C 03 D0 89 5C 24 4C 39 7C 24 48 74 05 41 FF CD 74 36 FF 44 24 30 E8 ?? ?? ?? ?? 0F B7 F0 B8 78 00 00 00 89 74 24 38 E9 2E FF FF FF 33 FF FF 4C 24 30 B8 FF FF 00 00 66 3B C6 74 08 0F B7 CE E8 ?? ?? ?? ?? 8B 5C 24 4C 40 38 7C 24 3D 74 06 F7 DB 89 5C 24 4C 41 83 FE 46 44 0F 44 FF 45 85 FF 0F 84 E0 00 00 00 45 33 FF 45 8D 77 01 44 38 7C 24 34 75 21 44 01 74 24 60 8B 44 24 4C EB 05 44 8B 64 24 40 45 85 E4 74 19 48 8B 45 88 48 8B 4C 24 70 48 89 08 44 8B 6C 24 30 41 BC FF FF 00 00 EB 28 48 8B 4D 88 44 8B 6C 24 30 41 BC FF FF 00 00 44 38 7C 24 35 74 04 89 01 EB 0E 66 89 01 EB 09 41 BE 01 00 00 00 45 33 FF 48 8B 7C 24 58 44 00 74 24 3C 48 83 C7 02 48 89 7C 24 58 BB 25 00 00 00 EB 44 66 41 3B 1A 75 10 49 8D 42 02 66 3B 18 4C 0F 44 D0 4C 89 54 24 58 45 03 EE 44 89 6C 24 30 E8 ?? ?? ?? ?? 48 8B 7C 24 58 0F B7 F0 0F B7 07 48 83 C7 02 89 74 24 38 48 89 7C 24 58 66 3B C6 0F 85 9A 00 00 00 0F B7 07 66 85 C0 0F 84 A7 F6 FF FF E9 C7 F0 FF FF 66 3B C6 74 08 0F B7 CE E8 ?? ?? }
	condition:
		$1
}

rule file_732_0_0 {
	meta:
		name = "_fstat64i32"
		size = 946
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f4 __imp_GetFileType 0115 __imp_GetLastError 011c _dosmaperr 0185 __imp_PeekNamedPipe 01b3 __imp_GetFileInformationByHandle 01f8 __imp_FileTimeToLocalFileTime 0210 __imp_FileTimeToSystemTime 024c __loctotime64_t 0363 _unlock_fhandle 037e _invalid_parameter_noinfo 0391 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 98 00 00 00 48 8B FA 48 63 F1 89 74 24 4C 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 22 03 00 00 33 D2 44 8D 42 30 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 FD 02 00 00 85 F6 0F 88 DE 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 D2 02 00 00 4C 8B E6 4C 8B EE 49 C1 FD 05 4C 8D 3D ?? ?? ?? ?? 41 83 E4 1F 4D 6B E4 58 4B 8B 04 EF 42 0F BE 4C 20 08 41 BE 01 00 00 00 41 23 CE 0F 84 A0 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 0C EF 46 84 74 21 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 6F 02 00 00 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C6 0F 84 94 00 00 00 83 F8 02 74 20 83 F8 03 74 16 85 C0 74 CB FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 38 02 00 00 83 F8 02 75 07 B9 00 20 00 00 EB 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 66 44 89 77 08 66 89 5F 04 89 5F 0A 48 89 5F 28 48 89 5F 20 48 89 5F 18 83 F8 02 75 08 89 5F 14 E9 FC 01 00 00 4B 8B 0C EF 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 21 FF 15 ?? ?? ?? ?? F7 D8 1B C9 23 4C 24 48 89 4F 14 E9 C7 01 00 00 89 5F 0A 89 5F 04 66 44 89 77 08 4B 8B 0C EF 48 8D 54 24 60 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 85 C0 0F 84 54 FF FF FF 0F B7 47 06 44 84 74 24 60 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 74 75 0C 39 5C 24 78 75 06 48 89 5F 20 EB 68 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 59 01 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 41 01 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 20 39 5C 24 6C 75 0C 39 5C 24 70 75 06 48 8B 47 20 EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 DF 00 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 C7 00 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 18 39 5C 24 64 75 0C 39 5C 24 68 75 06 48 8B 47 20 EB 5C 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 74 69 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 55 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 89 47 28 8B 84 24 84 00 00 00 89 47 14 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 98 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_733_0_0 {
	meta:
		name = "strcspn"
		size = 147
		refs = "0007 __security_cookie 008a __security_check_cookie"
	strings:
		$1 = { 48 83 EC 38 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 20 8A 02 45 33 C9 4C 8B DA 4C 89 0C 24 4C 89 4C 24 08 4C 89 4C 24 10 4C 89 4C 24 18 4C 8B D1 EB 1C 44 0F B6 C0 0F B6 C0 83 E0 07 49 C1 E8 03 8A C8 D2 E2 42 08 14 04 49 FF C3 41 8A 03 BA 01 00 00 00 84 C0 75 DB 08 14 24 EB 0B 41 FF C1 BA 01 00 00 00 49 FF C2 45 0F B6 02 41 8B C8 49 C1 E8 03 83 E1 07 D3 E2 42 84 14 04 74 DF 49 63 C1 48 8B 4C 24 20 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_734_0_0 {
	meta:
		name = "_wmakepath_s"
		size = 341
		refs = "0124 _errno 0144 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 85 C9 0F 84 1F 01 00 00 48 85 D2 0F 84 16 01 00 00 44 8B D7 4C 8B D9 4D 85 C0 74 27 41 0F B7 00 66 85 C0 74 1E 44 8D 57 02 49 3B D2 0F 86 DE 00 00 00 66 89 01 4C 8D 59 02 8D 47 3A 66 41 89 03 4D 03 DA 4D 85 C9 74 50 66 41 39 39 74 4A 49 FF C2 4C 3B D2 0F 83 B6 00 00 00 41 0F B7 01 49 83 C1 02 66 41 89 03 49 83 C3 02 66 41 39 39 75 DE 66 41 83 79 FE 2F 74 20 B8 5C 00 00 00 66 41 39 41 FE 74 14 49 FF C2 4C 3B D2 0F 83 80 00 00 00 66 41 89 03 49 83 C3 02 48 8B 4C 24 50 48 85 C9 74 1E EB 17 49 FF C2 4C 3B D2 73 64 0F B7 01 66 41 89 03 49 83 C3 02 48 83 C1 02 66 39 39 75 E4 48 8B 4C 24 58 48 85 C9 74 3D 66 39 39 74 38 B8 2E 00 00 00 66 39 01 74 29 49 FF C2 4C 3B D2 73 2F 66 41 89 03 49 83 C3 02 EB 17 49 FF C2 4C 3B D2 73 1D 0F B7 01 66 41 89 03 49 83 C3 02 48 83 C1 02 66 39 39 75 E4 49 8D 42 01 48 3B C2 76 0F 66 89 3B E8 ?? ?? ?? ?? BB 22 00 00 00 EB 12 66 41 89 3B 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_37_0 {
	meta:
		name = "??0SubAllocator@details@Concurrency@@QEAA@XZ"
		size = 62
		refs = "000e ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0018 ??0AllocatorBucket@details@Concurrency@@QEAA@XZ 002a ??_L@YAXPEAX_KHP6AX0@Z2@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 BA 10 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 8D 0D ?? ?? ?? ?? 44 8D 42 50 48 83 C1 10 48 89 44 24 20 E8 ?? ?? ?? ?? C6 83 10 06 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_735_46_0 {
	meta:
		name = "?GetEnqueuedTaskCount@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 80 01 00 00 8B C2 2B 81 88 01 00 00 89 91 88 01 00 00 C3 }
	condition:
		$1
}

rule file_735_47_0 {
	meta:
		name = "?GetDequeuedTaskCount@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 21
	strings:
		$1 = { 8B 91 84 01 00 00 8B C2 2B 81 8C 01 00 00 89 91 8C 01 00 00 C3 }
	condition:
		$1
}

rule file_735_50_0 {
	meta:
		name = "?ObservedVersion@SchedulerBase@details@Concurrency@@AEAAKK@Z"
		size = 17
	strings:
		$1 = { 44 8B 81 2C 01 00 00 83 C8 FF 41 3B D0 0F 43 C2 C3 }
	condition:
		$1
}

rule file_735_51_0 {
	meta:
		name = "?PublishNewDataVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
		size = 28
	strings:
		$1 = { BA 01 00 00 00 8B C2 F0 0F C1 81 28 01 00 00 03 C2 85 C0 74 F0 83 F8 FF 74 EB F3 C3 }
	condition:
		$1
}

rule file_735_59_0 {
	meta:
		name = "?IsActive@ExternalStatistics@details@Concurrency@@QEAA_NXZ"
		size = 33
	strings:
		$1 = { 8B 41 30 33 D2 85 C0 75 10 8B 41 28 39 41 20 75 08 8B 41 2C 39 41 24 74 05 BA 01 00 00 00 8A C2 C3 }
	condition:
		$1
}

rule file_735_64_0 {
	meta:
		name = "?HashValue@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@CAIAEBQEAXH@Z"
		size = 18
	strings:
		$1 = { 48 8B 01 44 8B C2 33 D2 48 C1 E8 02 41 F7 F0 8B C2 C3 }
	condition:
		$1
}

rule file_735_67_0 {
	meta:
		name = "?GetNextValidSchedulingRingIndex@SchedulerBase@details@Concurrency@@AEAAHH@Z"
		size = 28
	strings:
		$1 = { 44 8B 41 38 4C 8B 49 30 8D 42 01 99 41 F7 F8 48 63 C2 49 83 3C C1 00 74 EF 8B C2 C3 }
	condition:
		$1
}

rule file_735_68_0 {
	meta:
		name = "?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@PEBV423@PEAV423@@Z"
		size = 51
	strings:
		$1 = { 44 8B 51 38 4C 8B CA 41 8B 90 A4 00 00 00 4C 8B 41 30 33 C9 8D 42 01 99 41 F7 FA 48 63 C2 49 39 0C C0 74 F0 48 63 C2 49 8B 04 C0 49 3B C1 48 0F 44 C1 C3 }
	condition:
		$1
}

rule file_735_69_0 {
	meta:
		name = "?GetNewContextId@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 16
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 81 20 01 00 00 FF C0 C3 }
	condition:
		$1
}

rule file_735_70_0 {
	meta:
		name = "?GetNewScheduleGroupId@SchedulerBase@details@Concurrency@@QEAAIXZ"
		size = 16
	strings:
		$1 = { B8 01 00 00 00 F0 0F C1 81 24 01 00 00 FF C0 C3 }
	condition:
		$1
}

rule file_735_72_0 {
	meta:
		name = "?OneShotStaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 83
		refs = "0005 ?_Initialize@_SpinCount@details@Concurrency@@SAXXZ 000b __imp_TlsAlloc 0011 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c __imp_GetLastError 0034 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 003b _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0045 _CxxThrowException 004f ?OneShotStaticConstruction@UMSThreadScheduler@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 83 EC 48 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 F8 FF 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_77_0 {
	meta:
		name = "?OneShotStaticDestruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 33
		refs = "0005 ?OneShotStaticDestruction@UMSThreadScheduler@details@Concurrency@@SAXXZ 000b ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0011 __imp_TlsFree"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 25 ?? ?? ?? ?? 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_78_0 {
	meta:
		name = "?CheckOneShotStaticDestruction@SchedulerBase@details@Concurrency@@SAXXZ"
		size = 45
		refs = "000b ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0019 ?OneShotStaticDestruction@SchedulerBase@details@Concurrency@@CAXXZ"
	strings:
		$1 = { 48 83 EC 28 83 C8 FF F0 0F C1 05 ?? ?? ?? ?? FF C8 3D 00 00 00 80 75 10 E8 ?? ?? ?? ?? F0 81 25 ?? ?? ?? ?? FF FF FF 7F 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_79_0 {
	meta:
		name = "??1SubAllocator@details@Concurrency@@QEAA@XZ"
		size = 25
		refs = "0008 ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0015 ??_M@YAXPEAX_KHP6AX0@Z@Z"
	strings:
		$1 = { BA 10 00 00 00 4C 8D 0D ?? ?? ?? ?? 48 83 C1 10 44 8D 42 50 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_80_0 {
	meta:
		name = "?SafeFastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		size = 28
		refs = "0002 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 000e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0015 __imp_TlsGetValue"
	strings:
		$1 = { F7 05 ?? ?? ?? ?? 00 00 00 80 74 0D 8B 0D ?? ?? ?? ?? 48 FF 25 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule file_735_82_0 {
	meta:
		name = "?FastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
		size = 36
		refs = "0006 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 000c __imp_TlsGetValue 001b ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B C8 33 C0 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_83_0 {
	meta:
		name = "?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
		size = 62
		refs = "000a ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0016 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001c __imp_TlsGetValue 002e ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB F7 05 ?? ?? ?? ?? 00 00 00 80 74 0E 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? EB 03 48 8B C3 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_85_0 {
	meta:
		name = "?SafeReference@SchedulerBase@details@Concurrency@@AEAA_NXZ"
		size = 33
	strings:
		$1 = { 45 33 C0 8B 81 48 01 00 00 85 C0 74 10 8D 50 01 F0 0F B1 91 48 01 00 00 75 E9 41 B0 01 41 8A C0 C3 }
	condition:
		$1
}

rule file_735_86_0 {
	meta:
		name = "?FindAvailableVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAV423@@Z"
		size = 145
		refs = "002e ?FindAvailableVirtualProcessor@SchedulingNode@details@Concurrency@@AEAAPEAVVirtualProcessor@23@PEAV423@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 ED 45 33 E4 48 8B F1 48 85 D2 74 11 4C 8B 62 70 49 8B CC E8 ?? ?? ?? ?? 48 85 C0 75 3F 33 DB 39 5E 38 7E 35 33 FF 48 8B 46 28 48 8B 0C 07 48 85 C9 74 1B 49 3B CC 74 16 8B 41 10 85 C0 7E 0F 33 D2 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 0B FF C3 48 83 C7 08 3B 5E 38 7C CD 48 8B C5 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_735_87_0 {
	meta:
		name = "?StealForeignLocalRunnableContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@PEAVSchedulingNode@23@@Z"
		size = 102
		refs = "003b ?StealLocalRunnableContext@SchedulingNode@details@Concurrency@@AEAAPEAVInternalContextBase@23@PEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 48 8B EA 48 8B F1 39 79 38 7E 2E 33 DB 48 8B 4E 28 48 83 3C 19 00 74 16 48 39 2C 19 74 10 48 8B 0C 19 33 D2 E8 ?? ?? ?? ?? 48 85 C0 75 0D FF C7 48 83 C3 08 3B 7E 38 7C D4 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_88_0 {
	meta:
		name = "?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z"
		size = 207
	strings:
		$1 = { 44 8B 81 58 01 00 00 8B 81 90 01 00 00 44 8B CA 44 3B C0 73 03 33 C0 C3 44 2B C0 41 83 F8 64 73 18 B8 CD CC CC CC 41 F7 E0 44 8B C2 41 C1 E8 03 41 83 C0 05 E9 8E 00 00 00 41 81 F8 2C 01 00 00 73 0A 41 C1 E8 03 41 83 C0 0F EB 7B 41 81 F8 58 02 00 00 73 15 B8 CD CC CC CC 41 F7 E0 44 8B C2 41 C1 E8 02 41 83 C0 3C EB 5D 41 81 F8 DC 05 00 00 73 0D 41 C1 E8 02 41 81 C0 B4 00 00 00 EB 47 B9 C4 09 00 00 44 3B C1 73 17 B8 AB AA AA AA 41 F7 E0 44 8B C2 41 D1 E8 41 81 C0 2B 02 00 00 EB 26 41 81 F8 A0 0F 00 00 73 13 B8 AB AA AA AA 41 F7 E0 44 8B C2 41 D1 E8 44 03 C1 EB 0A 41 D1 E8 41 81 C0 08 20 00 00 45 0F AF C1 41 8B C0 C3 }
	condition:
		$1
}

rule file_735_89_0 {
	meta:
		name = "?GetPolicy@SchedulerBase@details@Concurrency@@UEBA?AVSchedulerPolicy@3@XZ"
		size = 35
		refs = "0016 ??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 30 00 48 8B DA 48 8D 51 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_91_0 {
	meta:
		name = "?ReleaseSuspendedVirtualProcessors@SchedulerBase@details@Concurrency@@AEAAXJ@Z"
		size = 29
		refs = "0014 __imp_ReleaseSemaphore"
	strings:
		$1 = { 48 83 EC 28 85 D2 7E 10 48 8B 89 40 01 00 00 45 33 C0 FF 15 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_92_0 {
	meta:
		name = "?HasCompletedShutdown@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		size = 19
	strings:
		$1 = { 8B 91 5C 01 00 00 B9 00 00 00 A0 23 D1 3B D1 0F 94 C0 C3 }
	condition:
		$1
}

rule file_735_93_0 {
	meta:
		name = "?InFinalizationSweep@SchedulerBase@details@Concurrency@@QEAA_NXZ"
		size = 19
	strings:
		$1 = { 8B 91 5C 01 00 00 B9 00 00 00 C0 23 D1 3B D1 0F 94 C0 C3 }
	condition:
		$1
}

rule file_735_97_0 {
	meta:
		name = "?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
		size = 136
		refs = "0012 ?g_pEtw@details@Concurrency@@3PEAVEtw@12@EA 002d memset 0034 ?g_ConcRTSessionHandle@details@Concurrency@@3_KA 0042 SchedulerEventGuid 0074 ?Trace@Etw@details@Concurrency@@QEAAK_KPEAU_EVENT_TRACE_HEADER@@@Z"
	strings:
		$1 = { 48 89 6C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 3D ?? ?? ?? ?? 00 41 8B F8 40 8A F2 8B E9 74 57 33 D2 48 8D 4C 24 22 44 8D 42 3E E8 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 0F 10 05 ?? ?? ?? ?? 41 BB 40 00 00 00 4C 8D 44 24 20 C7 44 24 4C 00 00 02 00 F3 0F 7F 44 24 38 40 88 6C 24 24 40 88 74 24 25 89 7C 24 54 66 44 89 5C 24 20 E8 ?? ?? ?? ?? 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_735_98_0 {
	meta:
		name = "?AddVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAUIVirtualProcessorRoot@3@@Z"
		size = 218
		refs = "0045 ??2@YAPEAX_K@Z 005d ??0SchedulingRing@details@Concurrency@@QEAA@PEAVSchedulerBase@12@H@Z 0084 ??0SchedulingNode@details@Concurrency@@QEAA@PEAVSchedulingRing@12@@Z 00b9 ?AddVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@_N@Z"
	strings:
		$1 = { 40 57 41 54 41 55 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 48 89 74 24 68 4C 8B EA 48 8B D9 48 8B 02 48 8B CA FF 10 48 63 E8 4C 8B 43 28 33 FF 49 39 3C E8 75 6B B9 B0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 13 44 8B C5 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 EB 03 48 8B F7 B9 A0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 50 48 85 C0 74 0E 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7E 08 48 8B 43 30 48 89 34 E8 48 8B 43 28 48 89 3C E8 3B 6B 38 7C 06 8D 45 01 89 43 38 48 8B 4B 28 45 33 C0 49 8B D5 48 8B 0C E9 E8 ?? ?? ?? ?? F0 FF 43 1C 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_735_101_0 {
	meta:
		name = "?MarkSafePoint@SchedulerBase@details@Concurrency@@QEAA_NPEAVSafePointMarker@23@@Z"
		size = 24
	strings:
		$1 = { 8B 81 28 01 00 00 39 02 74 0B 8B 81 28 01 00 00 89 02 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_735_107_0 {
	meta:
		name = "?Push@?$LockFreePushStack@VContextNode@SchedulerBase@details@Concurrency@@@details@Concurrency@@QEAAXPEAVContextNode@SchedulerBase@23@@Z"
		size = 18
	strings:
		$1 = { 0F 0D 09 48 8B 01 48 89 02 F0 48 0F B1 11 75 F3 F3 C3 }
	condition:
		$1
}

rule file_735_114_0 {
	meta:
		name = "?Enqueue@?$SQueue@VSafePointInvocation@details@Concurrency@@@details@Concurrency@@QEAAXPEAVSafePointInvocation@23@@Z"
		size = 20
	strings:
		$1 = { 4C 8D 42 18 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_735_115_0 {
	meta:
		name = "?Dequeue@?$SQueue@VSafePointInvocation@details@Concurrency@@@details@Concurrency@@QEAAPEAVSafePointInvocation@23@XZ"
		size = 34
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 4A 18 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_735_119_0 {
	meta:
		name = "?AddTail@?$List@VContextExitEventHandler@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@@details@Concurrency@@QEAAXPEAVContextExitEventHandler@SchedulerBase@23@@Z"
		size = 58
	strings:
		$1 = { 48 8B 01 4C 8B C1 48 85 C0 75 0A 48 89 52 18 48 89 52 20 EB 21 48 8B 40 18 48 89 42 18 48 8B 01 48 89 42 20 48 8B 01 48 8B 48 18 48 89 51 20 49 8B 00 48 89 50 18 49 89 10 C3 }
	condition:
		$1
}

rule file_735_120_0 {
	meta:
		name = "?Remove@?$List@VContextExitEventHandler@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@@details@Concurrency@@QEAAXPEAVContextExitEventHandler@SchedulerBase@23@@Z"
		size = 50
	strings:
		$1 = { 4C 8B 42 18 48 8B 42 20 49 89 40 20 48 8B 42 18 4C 8B 42 20 49 89 40 18 48 8B 01 48 3B D0 75 11 48 3B 40 18 75 04 33 C0 EB 04 48 8B 40 20 48 89 01 C3 }
	condition:
		$1
}

rule file_735_124_0 {
	meta:
		name = "?AddHead@?$List@UListEntry@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 67
	strings:
		$1 = { 48 8B 41 08 4C 8B C1 48 85 C0 75 11 48 89 51 08 48 89 12 48 8B 41 08 48 89 40 08 EB 22 48 8B 40 08 48 89 42 08 48 8B 41 08 48 89 02 48 8B 41 08 48 8B 48 08 48 89 11 49 8B 40 08 48 89 50 08 41 FF 00 C3 }
	condition:
		$1
}

rule file_735_125_0 {
	meta:
		name = "?Remove@?$List@UListEntry@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z"
		size = 50
	strings:
		$1 = { FF 09 4C 8B 42 08 48 8B 02 49 89 00 48 8B 42 08 4C 8B 02 49 89 40 08 48 8B 41 08 48 3B D0 75 11 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 41 08 C3 }
	condition:
		$1
}

rule file_735_126_0 {
	meta:
		name = "?First@?$List@UListEntry@details@Concurrency@@VCount@CollectionTypes@23@@details@Concurrency@@QEBAPEAUListEntry@23@XZ"
		size = 16
	strings:
		$1 = { 48 8B 51 08 33 C0 48 85 D2 74 04 48 8B 42 08 C3 }
	condition:
		$1
}

rule file_735_132_0 {
	meta:
		name = "?Count@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEBAHXZ"
		size = 18
		refs = "0006 __imp_QueryDepthSList"
		altNames = "?Count@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEBAHXZ ?Count@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@QEBAHXZ ?Count@?$LockFreeStack@VSubAllocator@details@Concurrency@@@details@Concurrency@@QEBAHXZ ?Count@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEBAHXZ"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 0F B7 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_145_0 {
	meta:
		name = "?AddTail@?$List@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@@details@Concurrency@@QEAAXPEAVWaitNode@SchedulerBase@23@@Z"
		size = 53
	strings:
		$1 = { 48 8B 01 4C 8B C1 48 85 C0 75 09 48 89 12 48 89 52 08 EB 1D 48 8B 00 48 89 02 48 8B 01 48 89 42 08 48 8B 01 48 8B 08 48 89 51 08 49 8B 00 48 89 10 49 89 10 C3 }
	condition:
		$1
}

rule file_735_146_0 {
	meta:
		name = "?RemoveHead@?$List@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@@details@Concurrency@@QEAAPEAVWaitNode@SchedulerBase@23@XZ"
		size = 44
	strings:
		$1 = { 48 8B 11 4C 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 02 48 3B D0 75 05 48 83 21 00 C3 48 8B 08 48 89 51 08 49 8B 10 48 8B 08 48 89 0A C3 }
	condition:
		$1
}

rule file_735_160_0 {
	meta:
		name = "??$_InternalDeleteHelper@VExternalContextBase@details@Concurrency@@@details@Concurrency@@YAXPEAVExternalContextBase@01@@Z"
		size = 28
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0E 48 8B 01 BA 01 00 00 00 FF 90 88 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_161_0 {
	meta:
		name = "??$_InternalDeleteHelper@VInternalContextBase@details@Concurrency@@@details@Concurrency@@YAXPEAVInternalContextBase@01@@Z"
		size = 25
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 28 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_165_0 {
	meta:
		name = "??0RealizedChore@details@Concurrency@@QEAA@P6AXPEAX@Z0@Z"
		size = 27
		refs = "0008 ??_7RealizedChore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 20 00 48 8D 05 ?? ?? ?? ?? 48 89 51 08 48 89 01 4C 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_735_168_0 {
	meta:
		name = "?TraceSchedulerEvent@SchedulerBase@details@Concurrency@@AEAAXW4ConcRT_EventType@3@EI@Z"
		size = 45
		refs = "0006 ?g_TraceOn@details@Concurrency@@3_NA 0015 ?g_EnableLevel@details@Concurrency@@3EA 0024 ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
	strings:
		$1 = { 48 83 EC 28 80 3D ?? ?? ?? ?? 00 41 8A C0 44 8B D2 74 15 3A 05 ?? ?? ?? ?? 77 0D 45 8B C1 8A D0 41 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_170_0 {
	meta:
		name = "?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ"
		size = 46
	strings:
		$1 = { 8B 91 38 01 00 00 4C 8B 51 30 4C 8B C1 4D 8B 0C D2 8D 42 01 99 41 F7 78 38 48 63 CA 49 83 3C CA 00 74 EE 41 89 90 38 01 00 00 49 8B C1 C3 }
	condition:
		$1
}

rule file_735_171_0 {
	meta:
		name = "?GetValidSchedulingRingIndex@SchedulerBase@details@Concurrency@@AEAAHH@Z"
		size = 38
	strings:
		$1 = { 4C 8B 41 30 48 63 C2 49 83 3C C0 00 75 15 44 8B 49 38 8D 42 01 99 41 F7 F9 48 63 C2 49 83 3C C0 00 74 EF 8B C2 C3 }
	condition:
		$1
}

rule file_735_172_0 {
	meta:
		name = "??_GSubAllocator@details@Concurrency@@QEAAPEAXI@Z"
		size = 67
		refs = "0017 ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0024 ??_M@YAXPEAX_KHP6AX0@Z@Z 0031 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA BA 10 00 00 00 48 8B F9 4C 8D 0D ?? ?? ?? ?? 44 8D 42 50 48 83 C1 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_173_0 {
	meta:
		name = "?AddContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 73
		refs = "0016 ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 B9 20 00 00 00 48 8B FA E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 06 48 89 78 10 EB 03 45 33 DB 0F 0D 4B 40 48 8B 43 40 49 89 03 F0 4C 0F B1 5B 40 75 F1 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_174_0 {
	meta:
		name = "?ReleaseInternalContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z"
		size = 25
		refs = "0015 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { F0 FF 89 58 01 00 00 48 81 C1 E0 01 00 00 48 83 C2 20 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_175_0 {
	meta:
		name = "?ReleaseRealizedChore@SchedulerBase@details@Concurrency@@QEAAXPEAVRealizedChore@23@@Z"
		size = 102
		refs = "001e __imp_QueryDepthSList 003e __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 81 C1 00 02 00 00 48 8B FA FF 15 ?? ?? ?? ?? 44 0F B7 D8 8B 43 1C C1 E0 05 44 3B D8 7D 13 48 8D 57 20 48 8D 8B 00 02 00 00 FF 15 ?? ?? ?? ?? EB 12 48 85 FF 74 0D 48 8B 07 BA 01 00 00 00 48 8B CF FF 10 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_176_0 {
	meta:
		name = "?GetAnonymousScheduleGroup@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
		size = 95
		refs = "000f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0015 __imp_TlsGetValue 002b ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0038 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 0049 ?GetNextSchedulingRing@SchedulerBase@details@Concurrency@@QEAAPEAVSchedulingRing@23@XZ 005b ?GetAnonymousScheduleGroup@SchedulingRing@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 24 80 78 70 00 75 1E 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 75 11 48 8B CB E8 ?? ?? ?? ?? 48 8B 88 A0 00 00 00 EB 0B 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_177_0 {
	meta:
		name = "?ReleaseExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@@Z"
		size = 111
		refs = "001e __imp_QueryDepthSList 0032 ?RemoveFromUse@ExternalContextBase@details@Concurrency@@QEAAXXZ 0043 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 81 C1 F0 01 00 00 48 8B FA FF 15 ?? ?? ?? ?? 44 0F B7 D8 8B 43 1C 44 3B D8 7D 1B 48 8B CF E8 ?? ?? ?? ?? 48 8D 57 10 48 8D 8B F0 01 00 00 FF 15 ?? ?? ?? ?? EB 16 48 85 FF 74 11 48 8B 07 BA 01 00 00 00 48 8B CF FF 90 88 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_179_0 {
	meta:
		name = "?ScheduleTask@SchedulerBase@details@Concurrency@@UEAAXP6AXPEAX@Z0@Z"
		size = 115
		refs = "0019 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0025 __imp_TlsGetValue 0035 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0042 ?GetScheduleGroup@ContextBase@details@Concurrency@@QEBAPEAVScheduleGroupBase@23@XZ 004c ?GetAnonymousScheduleGroup@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B F9 8B 0D ?? ?? ?? ?? 49 8B F0 48 8B EA FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 17 48 8B C8 E8 ?? ?? ?? ?? 48 3B C7 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 48 8B 00 4C 8B C6 48 8B D5 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F 48 FF 20 }
	condition:
		$1
}

rule file_735_180_0 {
	meta:
		name = "?DestroySchedulerEventHandlers@SchedulerBase@details@Concurrency@@MEAAXXZ"
		size = 116
		refs = "001a ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 004d __imp_SetEvent 0070 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 81 C1 98 01 00 00 E8 ?? ?? ?? ?? 48 8B 8E C0 01 00 00 48 85 C9 74 04 48 8B 49 18 48 85 C9 74 26 48 3B 8E C0 01 00 00 74 06 48 8B 79 18 EB 02 33 FF C6 01 01 48 8B 49 08 FF 15 ?? ?? ?? ?? 48 8B CF 48 85 FF 75 DA 48 8D 8E 98 01 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_181_0 {
	meta:
		name = "?FoundUnstartedChores@SchedulerBase@details@Concurrency@@AEAA_NXZ"
		size = 275
		refs = "00b3 ?HasRealizedChores@ScheduleGroupBase@details@Concurrency@@IEBA_NXZ 00bf ?HasUnrealizedChores@ScheduleGroupBase@details@Concurrency@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 33 ED 40 32 FF 48 8B F1 39 69 38 0F 8E C3 00 00 00 45 33 E4 48 8B 46 30 49 8B 1C 04 48 85 DB 0F 84 A0 00 00 00 8B 83 90 00 00 00 45 33 ED 85 C0 0F 8E 8A 00 00 00 8B 4B 74 41 8B D5 D3 FA 3B 93 8C 00 00 00 7D 64 4C 63 83 88 00 00 00 48 8B 83 80 00 00 00 41 3B D0 7C 18 41 2B D0 4E 8B 4C C0 F8 78 15 8D 4A 01 48 FF C9 4D 8B 49 08 75 F7 EB 07 48 63 CA 4C 8B 0C C8 8B 43 70 FF C8 48 63 C8 49 63 C5 48 23 C8 49 8B 01 4C 8B 34 C8 4D 85 F6 74 18 49 8B CE E8 ?? ?? ?? ?? 84 C0 75 1F 49 8B CE E8 ?? ?? ?? ?? 84 C0 75 13 8B 83 90 00 00 00 41 FF C5 44 3B E8 7D 08 E9 79 FF FF FF 40 B7 01 40 84 FF 75 0F FF C5 49 83 C4 08 3B 6E 38 0F 8C 40 FF FF FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 40 8A C7 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_735_182_0 {
	meta:
		name = "?ReturnSubAllocator@SchedulerBase@details@Concurrency@@SAXPEAVSubAllocator@23@@Z"
		size = 105
		refs = "0015 ?s_numExternalAllocators@SchedulerBase@details@Concurrency@@0JC 001c ?s_subAllocatorFreePool@SchedulerBase@details@Concurrency@@0V?$LockFreeStack@VSubAllocator@details@Concurrency@@@23@A 0022 __imp_QueryDepthSList 0042 __imp_InterlockedPushEntrySList 004d ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0058 ??_M@YAXPEAX_KHP6AX0@Z@Z 0065 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 80 B9 10 06 00 00 00 48 8B D9 74 07 F0 FF 0D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? BA 10 00 00 00 66 3B C2 73 16 48 8D 0D ?? ?? ?? ?? 48 8B D3 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? 48 8D 4B 10 4C 8D 0D ?? ?? ?? ?? 41 B8 60 00 00 00 E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_183_0 {
	meta:
		name = "?CommitToVersion@SchedulerBase@details@Concurrency@@AEAAXK@Z"
		size = 204
		refs = "002a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0089 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 30 49 83 63 E8 00 49 8D 43 E8 48 8B F1 48 81 C1 18 01 00 00 8B DA 49 89 43 F0 E8 ?? ?? ?? ?? 4C 8D 9E 08 01 00 00 EB 42 85 DB 74 11 8B 48 10 8B 86 2C 01 00 00 3B C8 72 39 3B CB 77 35 49 8B 0B 48 85 C9 74 10 48 8B 41 18 49 89 03 48 85 C0 75 04 4D 89 5B 08 48 8D 51 18 48 83 22 00 48 8B 44 24 28 48 89 08 48 89 54 24 28 49 8B 03 48 85 C0 75 B6 48 8D 8E 18 01 00 00 E8 ?? ?? ?? ?? EB 23 49 8B 43 18 48 8D 4C 24 20 48 85 C0 48 89 44 24 20 48 0F 45 4C 24 28 48 89 4C 24 28 49 8B 4B 08 41 FF 13 4C 8B 5C 24 20 4D 85 DB 75 D3 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_735_184_0 {
	meta:
		name = "?ComputeSafePointCommitVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
		size = 271
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 33 DB 45 32 E4 45 33 C9 4C 8B D1 39 59 38 0F 8E CC 00 00 00 33 FF 49 8B 42 28 48 8B 14 07 48 85 D2 0F 84 A9 00 00 00 8B 82 90 00 00 00 33 ED 85 C0 0F 8E 99 00 00 00 8B 4A 74 44 8B C5 41 D3 F8 44 3B 82 8C 00 00 00 7D 77 4C 63 9A 88 00 00 00 48 8B 82 80 00 00 00 45 3B C3 7C 19 45 2B C3 4A 8B 74 D8 F8 78 16 41 8D 48 01 48 FF C9 48 8B 76 08 75 F7 EB 07 49 63 C8 48 8B 34 C8 8B 42 70 FF C8 48 63 C8 48 63 C5 48 23 C8 48 8B 06 4C 8B 04 C8 4D 85 C0 74 2A 41 8B 88 00 01 00 00 41 8B 82 2C 01 00 00 41 83 C8 FF 3B C8 44 0F 43 C1 45 84 E4 74 07 45 3B C8 76 08 EB 03 41 B4 01 45 8B C8 8B 8A 90 00 00 00 FF C5 3B E9 0F 8C 67 FF FF FF FF C3 48 83 C7 08 41 3B 5A 38 0F 8C 36 FF FF FF 48 8B 5C 24 10 48 8B 6C 24 18 48 8B 74 24 20 48 8B 7C 24 28 41 8B C1 41 5C C3 }
	condition:
		$1
}

rule file_735_185_0 {
	meta:
		name = "?UpdatePendingVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
		size = 67
		refs = "000a ?ComputeSafePointCommitVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B 93 30 01 00 00 44 8B D8 3B C2 77 04 33 C0 EB 1E 8B 8B 2C 01 00 00 8B 83 30 01 00 00 3B C1 75 05 41 8B C3 EB 02 33 C0 44 89 9B 30 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_186_0 {
	meta:
		name = "?UpdateCommitVersion@SchedulerBase@details@Concurrency@@AEAAKK@Z"
		size = 75
		refs = "0019 ?ComputeSafePointCommitVersion@SchedulerBase@details@Concurrency@@AEAAKXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 83 FA FF 75 17 C7 81 2C 01 00 00 00 00 00 00 E8 ?? ?? ?? ?? 89 83 30 01 00 00 EB 06 89 91 2C 01 00 00 8B 8B 2C 01 00 00 8B 83 30 01 00 00 3B C8 74 08 8B 83 30 01 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_187_0 {
	meta:
		name = "?CommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 106
		refs = "001a ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 0022 ?UpdatePendingVersion@SchedulerBase@details@Concurrency@@AEAAKXZ 002e ?CommitToVersion@SchedulerBase@details@Concurrency@@AEAAXK@Z 0044 ?UpdateCommitVersion@SchedulerBase@details@Concurrency@@AEAAKK@Z 0052 ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 81 C1 18 01 00 00 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? EB 20 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8D 8B 18 01 00 00 E8 ?? ?? ?? ?? 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8D 8B 18 01 00 00 8B F0 E8 ?? ?? ?? ?? 85 F6 75 CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_188_0 {
	meta:
		name = "?TriggerCommitSafePoints@SchedulerBase@details@Concurrency@@QEAAXPEAVSafePointMarker@23@@Z"
		size = 96
		refs = "001d ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 005c ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 81 C1 18 01 00 00 48 8B DA E8 ?? ?? ?? ?? 8B 87 28 01 00 00 39 03 74 1A B9 01 00 00 00 8B C1 F0 0F C1 87 28 01 00 00 03 C1 85 C0 74 F0 83 F8 FF 74 EB 48 8D 8F 18 01 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_189_0 {
	meta:
		name = "?InvokeOnSafePoint@SchedulerBase@details@Concurrency@@AEAAXPEAVSafePointInvocation@23@@Z"
		size = 114
		refs = "001d ?_Acquire@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ 006e ?_Release@_HyperNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 81 C1 18 01 00 00 48 8B FA E8 ?? ?? ?? ?? B9 01 00 00 00 8B C1 F0 0F C1 83 28 01 00 00 03 C1 85 C0 74 F0 83 F8 FF 74 EB 89 47 10 48 8D 57 18 48 8D 8B 18 01 00 00 48 83 22 00 48 8B 83 10 01 00 00 48 89 38 48 89 93 10 01 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_190_0 {
	meta:
		name = "?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
		size = 18
		refs = "000e ?InvokeOnSafePoint@SchedulerBase@details@Concurrency@@AEAAXPEAVSafePointInvocation@23@@Z"
	strings:
		$1 = { 48 89 11 4C 89 41 08 48 8B D1 49 8B C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_195_0 {
	meta:
		name = "?AddTail@?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAAXPEAVWaitNode@SchedulerBase@23@@Z"
		size = 103
		refs = "001a ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0063 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 48 8B FA E8 ?? ?? ?? ?? 48 8B 06 48 85 C0 75 09 48 89 3F 48 89 7F 08 EB 1D 48 8B 00 48 89 07 48 8B 06 48 89 47 08 48 8B 06 48 8B 08 48 89 79 08 48 8B 06 48 89 38 48 8D 4E 08 48 89 3E 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_196_0 {
	meta:
		name = "?RemoveHead@?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAAPEAVWaitNode@SchedulerBase@23@XZ"
		size = 97
		refs = "0017 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 004a ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 E8 ?? ?? ?? ?? 4C 8B 1E 33 FF 4D 85 DB 74 20 49 8B 13 4C 3B DA 75 05 48 89 3E EB 10 48 8B 02 4C 89 58 08 48 8B 0E 48 8B 02 48 89 01 48 8B FA 48 8D 4E 08 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_199_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVExternalContextBase@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 F0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_200_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAVExternalContextBase@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 F0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_201_0 {
	meta:
		name = "?Next@?$LockFreeStack@VExternalContextBase@details@Concurrency@@@details@Concurrency@@SAPEAVExternalContextBase@23@PEAV423@@Z"
		size = 18
	strings:
		$1 = { 48 8B 41 10 48 8D 48 F0 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_735_204_0 {
	meta:
		name = "?Next@?$LockFreeStack@VRealizedChore@details@Concurrency@@@details@Concurrency@@SAPEAVRealizedChore@23@PEAV423@@Z"
		size = 18
	strings:
		$1 = { 48 8B 41 20 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_735_207_0 {
	meta:
		name = "?Insert@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAXAEBQEAVExternalContextBase@23@@Z"
		size = 165
		refs = "004f ??2@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B D9 48 8B 0A 48 8B F2 33 D2 48 8B C1 49 8B E8 48 C1 E8 02 F7 33 48 8B 43 08 48 63 FA 48 8B 14 F8 EB 09 48 39 4A 08 74 08 48 8B 12 48 85 D2 75 F2 48 85 D2 75 43 8D 4A 18 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 15 48 83 20 00 48 8B 06 49 89 43 08 48 8B 45 00 49 89 43 10 EB 03 45 33 DB 48 8B 4B 08 49 8B C3 48 8B 14 F9 49 89 13 48 8B 4B 08 4C 89 1C F9 FF 43 04 EB 02 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_208_0 {
	meta:
		name = "?Exists@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA_NAEBQEAX@Z"
		size = 53
	strings:
		$1 = { 4C 8B 0A 33 D2 49 8B C1 48 C1 E8 02 F7 31 48 8B 41 08 4C 63 C2 4A 8B 0C C0 33 C0 EB 09 4C 39 49 08 74 0B 48 8B 09 48 85 C9 75 F2 48 8B C8 48 85 C9 0F 95 C0 C3 }
	condition:
		$1
}

rule file_735_212_0 {
	meta:
		name = "?CheckForDeletion@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@AEAAXXZ"
		size = 87
		refs = "0037 ??3@YAXPEAX@Z"
		altNames = "?CheckForDeletionBridge@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 48 48 8B F9 8B 90 5C 01 00 00 B8 00 00 00 A0 23 D0 3B D0 74 20 48 8B 71 20 33 DB EB 0C 48 8D 4E F0 48 8B 36 E8 ?? ?? ?? ?? 48 85 F6 75 EF 48 89 5F 20 87 5F 78 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_213_0 {
	meta:
		name = "?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 511
		refs = "0037 ??2@YAPEAX_K@Z 004c ??0SchedulerResourceManagement@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z 0059 ?CreateResourceManager@Concurrency@@YAPEAUIResourceManager@1@XZ 0065 ?GetSchedulerId@Concurrency@@YAIXZ 0070 ?GetProcessorNodeCount@Concurrency@@YAIXZ 0090 ??_U@YAPEAX_K@Z 00c0 memset 0134 __imp_CreateSemaphoreW 0146 __imp_GetLastError 015e ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0165 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 016f _CxxThrowException 01cd ?g_TraceOn@details@Concurrency@@3_NA 01d8 ?g_EnableLevel@details@Concurrency@@3EA 01eb ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 68 48 89 74 24 70 48 8B D9 C7 81 7C 01 00 00 00 00 00 00 C7 41 1C 00 00 00 00 83 61 38 00 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 60 48 85 C0 74 0C 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 90 48 89 83 68 01 00 00 E8 ?? ?? ?? ?? 48 89 83 60 01 00 00 E8 ?? ?? ?? ?? 89 83 34 01 00 00 E8 ?? ?? ?? ?? 89 43 3C 48 63 C8 BF 08 00 00 00 8B C7 48 F7 E1 48 8D 77 F7 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 89 43 30 48 63 4B 3C 8B C7 48 F7 E1 48 0F 40 C6 48 8B C8 E8 ?? ?? ?? ?? 48 89 43 28 4C 63 43 3C 49 C1 E0 03 33 D2 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 63 43 3C 49 C1 E0 03 33 D2 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 8B 60 01 00 00 48 8B 01 41 B8 00 00 01 00 48 8B 93 68 01 00 00 FF 50 10 48 89 83 70 01 00 00 4C 8B 00 33 D2 48 8B C8 41 FF 10 4C 8B 5B 30 33 D2 49 39 13 75 11 8D 42 01 99 F7 7B 38 48 63 C2 49 83 3C C3 00 74 EF 89 93 38 01 00 00 45 33 C9 33 D2 33 C9 41 B8 FF FF FF 7F FF 15 ?? ?? ?? ?? 48 89 83 40 01 00 00 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC B9 10 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 60 48 85 C0 74 2B C7 00 01 10 00 00 83 60 04 00 B9 08 80 00 00 E8 ?? ?? ?? ?? 48 89 47 08 4C 63 07 49 C1 E0 03 33 D2 48 8B C8 E8 ?? ?? ?? ?? EB 02 33 FF 48 89 BB D8 01 00 00 48 8B 03 48 8B CB FF 90 88 00 00 00 80 3D ?? ?? ?? ?? 00 74 1B B2 04 38 15 ?? ?? ?? ?? 72 11 44 8B 83 34 01 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_735_214_0 {
	meta:
		name = "?dtor$0@?0??Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_735_239_0 {
	meta:
		name = "?dtor$0@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "0008 ??1Scheduler@Concurrency@@MEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_735_216_0 {
	meta:
		name = "?GetInternalContext@SchedulerBase@details@Concurrency@@QEAAPEAVInternalContextBase@23@XZ"
		size = 135
		refs = "0016 __imp_InterlockedPopEntrySList 003c ?AddContext@SchedulerBase@details@Concurrency@@QEAAXPEAVInternalContextBase@23@@Z 004b ?SpinUntilBlocked@InternalContextBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 81 C1 E0 01 00 00 FF 15 ?? ?? ?? ?? 48 8D 50 E0 48 F7 D8 48 1B FF 48 23 FA 75 1E 48 8B 03 48 8B CB FF 50 70 48 8B CB 48 8B D0 48 8B F8 E8 ?? ?? ?? ?? F0 FF 83 50 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 C7 87 D8 00 00 00 00 00 00 00 F0 FF 83 58 01 00 00 48 8B 8B 70 01 00 00 48 8B D7 48 8B 01 FF 50 10 83 67 34 00 83 67 38 00 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_217_0 {
	meta:
		name = "?GetRealizedChore@SchedulerBase@details@Concurrency@@QEAAPEAVRealizedChore@23@P6AXPEAX@Z0@Z"
		size = 93
		refs = "0019 __imp_InterlockedPopEntrySList 0030 ??2@YAPEAX_K@Z 003c ??_7RealizedChore@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 81 C1 00 02 00 00 49 8B D8 48 8B FA FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 48 1B C0 48 23 C1 75 17 8D 48 30 E8 ?? ?? ?? ?? 48 85 C0 74 17 48 8D 0D ?? ?? ?? ?? 48 89 08 48 83 60 20 00 48 89 58 10 48 89 78 08 48 8B 5C 24 30 48 83 C4 20 5F C3 EB F3 }
	condition:
		$1
}

rule file_735_218_0 {
	meta:
		name = "?RegisterShutdownEvent@SchedulerBase@details@Concurrency@@UEAAXPEAX@Z"
		size = 326
		refs = "0030 __imp_GetCurrentProcess 005f __imp_DuplicateHandle 0069 __imp_GetLastError 0081 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0088 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0092 _CxxThrowException 009d ??2@YAPEAX_K@Z 00b2 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00f1 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 010a ??_C@_0M@IAPOLKMH@eventObject?$AA@ 0124 ??0exception@std@@QEAA@AEBQEBD@Z 012b ??_7invalid_argument@std@@6B@ 0132 _TI3?AVinvalid_argument@std@@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 48 83 EC 60 48 8B FA 48 8B F1 48 85 D2 0F 84 E9 00 00 00 48 83 FA FF 0F 84 DF 00 00 00 48 83 64 24 78 00 FF 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? C7 44 24 30 02 00 00 00 83 64 24 28 00 83 64 24 20 00 4C 8D 4C 24 78 48 8B C8 4C 8B C3 48 8B D7 FF 15 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 40 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 78 48 89 48 10 48 8D 4E 50 48 8B F8 E8 ?? ?? ?? ?? 48 8B 46 48 48 85 C0 75 09 48 89 3F 48 89 7F 08 EB 20 48 8B 00 48 89 07 48 8B 46 48 48 89 47 08 48 8B 46 48 48 8B 08 48 89 79 08 48 8B 46 48 48 89 38 48 8D 4E 50 48 89 7E 48 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 28 49 8B E3 5F C3 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 40 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 4C 89 5C 24 40 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_735_221_0 {
	meta:
		name = "?DetachExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@_N@Z"
		size = 102
		refs = "0020 ?PopContextFromTls@ContextBase@details@Concurrency@@AEAAPEAV123@XZ 002e ?ReleaseExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@@Z 0052 ?RejoinScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B FA 48 8B F1 45 84 C0 74 0B 48 8B CA E8 ?? ?? ?? ?? 48 8B D8 48 8B D7 48 8B CE E8 ?? ?? ?? ?? F0 FF 8E 4C 01 00 00 48 8B 16 48 8B CE FF 52 28 48 85 DB 74 0F 80 7B 70 00 75 09 48 8D 4B F0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_222_0 {
	meta:
		name = "?GetExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z"
		size = 128
		refs = "0028 __imp_InterlockedPopEntrySList 0041 ??2@YAPEAX_K@Z 0059 ??0ExternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@_N@Z 0069 ?PrepareForUse@ExternalContextBase@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 40 8A FA 48 8B F1 48 81 C1 F0 01 00 00 FF 15 ?? ?? ?? ?? 4C 8D 40 F0 48 F7 D8 48 1B DB 49 23 D8 75 27 B9 F0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 11 44 8A C7 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 EB 0B 40 8A D7 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_735_224_0 {
	meta:
		name = "?FoundBlockedContexts@SchedulerBase@details@Concurrency@@AEAA_NXZ"
		size = 46
	strings:
		$1 = { 4C 8B 41 40 33 D2 4D 85 C0 74 20 49 8B 40 10 8A 88 48 01 00 00 84 C9 75 0B 49 8B 40 10 8B 48 60 85 C9 75 05 4D 8B 00 EB DD B2 01 8A C2 C3 }
	condition:
		$1
}

rule file_735_225_0 {
	meta:
		name = "?HasWorkPending@SchedulerBase@details@Concurrency@@MEAA_NXZ"
		size = 45
		refs = "000a ?FoundBlockedContexts@SchedulerBase@details@Concurrency@@AEAA_NXZ 0018 ?FoundUnstartedChores@SchedulerBase@details@Concurrency@@AEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B C9 E8 ?? ?? ?? ?? 33 DB 84 C0 75 0C 49 8B C9 E8 ?? ?? ?? ?? 84 C0 74 05 BB 01 00 00 00 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_226_0 {
	meta:
		name = "?CancelAllContexts@SchedulerBase@details@Concurrency@@MEAAXXZ"
		size = 36
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 40 EB 0D 48 8B 4B 10 48 8B 01 FF 50 38 48 8B 1B 48 85 DB 75 EE 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_227_0 {
	meta:
		name = "?GetSubAllocator@SchedulerBase@details@Concurrency@@SAPEAVSubAllocator@23@_N@Z"
		size = 162
		refs = "001d ?s_numExternalAllocators@SchedulerBase@details@Concurrency@@0JC 0034 ?s_subAllocatorFreePool@SchedulerBase@details@Concurrency@@0V?$LockFreeStack@VSubAllocator@details@Concurrency@@@23@A 003a __imp_InterlockedPopEntrySList 004c ??2@YAPEAX_K@Z 0064 ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 0070 ??0AllocatorBucket@details@Concurrency@@QEAA@XZ 007e ??_L@YAXPEAX_KHP6AX0@Z2@Z"
	strings:
		$1 = { 40 57 48 83 EC 40 48 C7 44 24 30 FE FF FF FF 48 89 5C 24 50 40 8A F9 84 C9 74 16 8B 05 ?? ?? ?? ?? 83 F8 20 7C 04 33 C0 EB 6D F0 FF 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 47 B9 20 06 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 58 48 85 C0 74 2E 48 8D 48 10 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 4C 8D 0D ?? ?? ?? ?? BA 10 00 00 00 44 8D 42 50 E8 ?? ?? ?? ?? C6 83 10 06 00 00 00 EB 02 33 DB 40 88 BB 10 06 00 00 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_231_0 {
	meta:
		name = "?FindAndDelete@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA_NAEBQEAXPEAPEAVExternalContextBase@23@@Z"
		size = 112
		refs = "0049 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B 12 48 8B 59 08 33 D2 49 8B C2 4C 8B C9 48 C1 E8 02 F7 31 4C 63 DA 33 D2 4A 8B 0C DB EB 0C 4C 39 51 08 74 25 48 8B D1 48 8B 09 48 85 C9 75 EF 48 85 C9 74 2C 4D 85 C0 74 07 48 8B 41 10 49 89 00 E8 ?? ?? ?? ?? B0 01 EB 19 48 8B 01 48 85 D2 75 06 4A 89 04 DB EB 03 48 89 02 41 FF 49 04 EB CF 32 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_234_0 {
	meta:
		name = "?SpinUntilBitsSet@details@Concurrency@@YAJPECJJ@Z"
		size = 80
		refs = "0023 ?_Sleep0@details@Concurrency@@YAXXZ 0032 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 44 8B 01 8B DA 48 8B F9 41 8B C0 23 C2 3B C2 74 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 07 41 8B C8 23 CB 3B CB 75 EA 41 8B C0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_235_0 {
	meta:
		name = "?SpinUntilBitsReset@details@Concurrency@@YAJPECJJ@Z"
		size = 65
		refs = "001d ?_Sleep0@details@Concurrency@@YAXXZ 002c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 01 8B DA 48 8B F9 85 C2 74 21 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 07 85 C3 75 F0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_238_0 {
	meta:
		name = "??0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
		size = 511
		refs = "002a ??_7SchedulerBase@details@Concurrency@@6B@ 0036 ??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z 004a ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 0061 ??0?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@PEAVSchedulerBase@12@HH@Z 006e ??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 012b __imp_InitializeSListHead 014f ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 0181 ?GetProcessorCount@Concurrency@@YAIXZ 01ab __imp_TlsAlloc 01b9 __imp_GetLastError 01d1 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 01d8 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 01e2 _CxxThrowException"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B F2 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 33 ED 48 89 6F 40 48 89 6F 48 48 8D 4F 50 E8 ?? ?? ?? ?? 48 8D 4F 60 33 D2 41 B9 FF FF FF 7F 41 B8 00 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 8F E0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 87 08 01 00 00 48 89 28 48 89 40 08 89 68 10 83 C8 FF 89 87 20 01 00 00 89 87 24 01 00 00 89 AF 28 01 00 00 89 AF 2C 01 00 00 89 AF 30 01 00 00 83 8F 34 01 00 00 FF 89 AF 38 01 00 00 89 AF 48 01 00 00 89 AF 4C 01 00 00 C7 87 50 01 00 00 01 00 00 00 89 AF 54 01 00 00 89 AF 58 01 00 00 89 AF 5C 01 00 00 48 89 AF 60 01 00 00 48 89 AF 68 01 00 00 89 AF 78 01 00 00 89 AF 80 01 00 00 89 AF 84 01 00 00 48 89 AF 88 01 00 00 48 8D 8F 98 01 00 00 E8 ?? ?? ?? ?? 90 48 89 AF C0 01 00 00 89 AF C8 01 00 00 48 89 AF D0 01 00 00 48 8D 8F E0 01 00 00 FF 15 ?? ?? ?? ?? 48 8D 8F F0 01 00 00 FF 15 ?? ?? ?? ?? 48 8D 8F 00 02 00 00 FF 15 ?? ?? ?? ?? 33 D2 48 8B CE E8 ?? ?? ?? ?? 89 47 10 8D 55 04 48 8B CE E8 ?? ?? ?? ?? 66 89 47 18 8D 55 07 48 8B CE E8 ?? ?? ?? ?? 89 47 14 8D 55 02 48 8B CE E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? C1 E0 02 3B C3 76 0A E8 ?? ?? ?? ?? C1 E0 02 EB 0D BA 02 00 00 00 48 8B CE E8 ?? ?? ?? ?? 89 87 90 01 00 00 FF 15 ?? ?? ?? ?? 89 47 20 83 F8 FF 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 68 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_735_240_0 {
	meta:
		name = "?dtor$1@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_241_0 {
	meta:
		name = "?dtor$2@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 16
		refs = "000c ??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_242_0 {
	meta:
		name = "?dtor$3@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 32
		refs = "000f ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 E0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_735_243_0 {
	meta:
		name = "?dtor$4@?0???0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z@4HA"
		size = 19
		refs = "000f ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 81 C1 98 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_250_0 {
	meta:
		name = "?CheckStaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 148
		refs = "0010 ?s_schedulerLock@SchedulerBase@details@Concurrency@@0V_NonReentrantLock@23@A 0030 ?_Sleep0@details@Concurrency@@YAXXZ 003f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 005e ?s_initializedCount@SchedulerBase@details@Concurrency@@0JA 006b ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0076 ?OneShotStaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2D 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 B8 01 00 00 00 F0 0F C1 05 ?? ?? ?? ?? FF C0 83 F8 01 75 1C F7 05 ?? ?? ?? ?? 00 00 00 80 75 10 E8 ?? ?? ?? ?? F0 81 0D ?? ?? ?? ?? 00 00 00 80 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_735_252_0 {
	meta:
		name = "?StaticDestruction@SchedulerBase@details@Concurrency@@CAXXZ"
		size = 172
		refs = "0012 ?s_schedulerLock@SchedulerBase@details@Concurrency@@0V_NonReentrantLock@23@A 0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0059 ?s_initializedCount@SchedulerBase@details@Concurrency@@0JA 006d ??1AllocatorBucket@details@Concurrency@@QEAA@XZ 007b ??_M@YAXPEAX_KHP6AX0@Z@Z 0083 ??3@YAXPEAX@Z 008a ?s_subAllocatorFreePool@SchedulerBase@details@Concurrency@@0V?$LockFreeStack@VSubAllocator@details@Concurrency@@@23@A 0090 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 BB 01 00 00 00 8B C3 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 44 8B DB 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E7 F0 FF 0D ?? ?? ?? ?? 75 3D EB 26 48 85 DB 74 21 48 8D 4B 10 4C 8D 0D ?? ?? ?? ?? BA 10 00 00 00 44 8D 42 50 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 48 8B D8 75 C5 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_735_254_0 {
	meta:
		name = "?SetDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@SAXAEBVSchedulerPolicy@3@@Z"
		size = 251
		refs = "0018 ?_ValidateConcRTPolicy@SchedulerPolicy@Concurrency@@QEBAXXZ 0021 ?s_pDefaultScheduler@SchedulerBase@details@Concurrency@@1PEAV123@EA 002f ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 004f ?_Sleep0@details@Concurrency@@YAXXZ 005e ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0081 ?s_pDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@1PEAVSchedulerPolicy@3@EA 008e ??1SchedulerPolicy@Concurrency@@QEAA@XZ 0096 ??3@YAXPEAX@Z 00a0 ??2@YAPEAX_K@Z 00b8 ??0SchedulerPolicy@Concurrency@@QEAA@AEBV01@@Z 00da ??0default_scheduler_exists@Concurrency@@QEAA@XZ 00e1 _TI2?AVdefault_scheduler_exists@Concurrency@@ 00eb _CxxThrowException"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 70 48 8B F9 E8 ?? ?? ?? ?? 32 DB 48 83 3D ?? ?? ?? ?? 00 0F 85 A8 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 78 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2D 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 48 83 3D ?? ?? ?? ?? 00 75 48 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 85 C0 74 0C 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 90 48 89 05 ?? ?? ?? ?? B3 01 C7 05 ?? ?? ?? ?? 00 00 00 00 84 DB 75 1C 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_735_255_0 {
	meta:
		name = "?dtor$0@?0??SetDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@SAXAEBVSchedulerPolicy@3@@Z@4HA"
		size = 16
		refs = "0008 ??1_Scoped_lock@_NonReentrantLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 78 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_326_2 {
	meta:
		name = "?dtor$0@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 78 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_342_2 {
	meta:
		name = "?dtor$1@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 78 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_386_1 {
	meta:
		name = "?dtor$2@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 78 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_735_260_0 {
	meta:
		name = "?ResetDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@SAXXZ"
		size = 138
		refs = "0012 ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0059 ?s_pDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@1PEAVSchedulerPolicy@3@EA 0066 ??1SchedulerPolicy@Concurrency@@QEAA@XZ 006e ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 BB 01 00 00 00 8B C3 87 05 ?? ?? ?? ?? 85 C0 74 2A 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 44 8B DB 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E7 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 18 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_735_262_0 {
	meta:
		name = "?Detach@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 159
		refs = "000f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0015 __imp_TlsGetValue 0025 ??0improper_scheduler_detach@Concurrency@@QEAA@XZ 002c _TI2?AVimproper_scheduler_detach@Concurrency@@ 0036 _CxxThrowException 0070 ?DetachExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@_N@Z 0076 ?g_TraceOn@details@Concurrency@@3_NA 0081 ?g_EnableLevel@details@Concurrency@@3EA 0090 ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 80 78 70 00 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 80 B8 C8 00 00 00 00 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 8B 9F 34 01 00 00 41 B0 01 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 17 B2 04 38 15 ?? ?? ?? ?? 72 0D 44 8B C3 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_266_0 {
	meta:
		name = "?AttachExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z"
		size = 158
		refs = "0014 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001d __imp_TlsGetValue 0035 ??0improper_scheduler_attach@Concurrency@@QEAA@XZ 003c _TI2?AVimproper_scheduler_attach@Concurrency@@ 0046 _CxxThrowException 0056 ?LeaveScheduler@InternalContextBase@details@Concurrency@@AEAAXXZ 005e ?ClearContextTls@ContextBase@details@Concurrency@@AEAAXXZ 0079 ?GetExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z 0087 ?PushContextToTls@ContextBase@details@Concurrency@@AEAAXPEAV123@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 8B 0D ?? ?? ?? ?? 40 8A F2 FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 39 48 39 58 38 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 80 78 70 00 75 09 48 8D 48 F0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? F0 FF 83 4C 01 00 00 48 8B 03 48 8B CB FF 50 20 40 8A D6 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B 74 24 58 48 8B C3 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_270_0 {
	meta:
		name = "?ProcessContextExitEvents@SchedulerBase@details@Concurrency@@AEAAXPEAVContextExitEventHandler@123@H@Z"
		size = 456
		refs = "002a ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0177 __imp_SetEvent 018d ?FindAndDelete@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAA_NAEBQEAXPEAPEAVExternalContextBase@23@@Z 019e ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 01b1 ?DetachExternalContext@SchedulerBase@details@Concurrency@@AEAAXPEAVExternalContextBase@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 20 48 8B F9 33 ED 48 81 C1 98 01 00 00 4D 63 E0 48 8B F2 48 89 6C 24 40 E8 ?? ?? ?? ?? 45 85 E4 75 0D 0F B7 46 04 66 89 46 02 E9 56 01 00 00 0F B7 4E 04 41 B8 01 00 00 00 FF C9 66 89 4E 04 66 89 4E 02 4A 8B 44 E6 38 48 89 44 24 58 66 41 3B C8 76 15 0F B7 C1 44 3B E0 7D 0D 0F B7 C1 48 8B 4C C6 38 4A 89 4C E6 38 66 83 7E 02 3F 75 5E 48 8B 87 D0 01 00 00 48 83 C6 28 48 85 C0 75 17 48 89 B7 D0 01 00 00 48 89 36 48 8B 87 D0 01 00 00 48 89 40 08 EB 2B 48 8B 40 08 48 89 46 08 48 8B 87 D0 01 00 00 48 89 06 48 8B 87 D0 01 00 00 48 8B 48 08 48 89 31 48 8B 87 D0 01 00 00 48 89 70 08 44 01 87 C8 01 00 00 E9 9D 00 00 00 66 44 39 46 02 0F 85 92 00 00 00 44 39 87 C8 01 00 00 0F 8E 85 00 00 00 FF 8F C8 01 00 00 48 8D 56 28 48 8B 4A 08 48 8B 02 48 89 01 48 8B 42 08 48 8B 0A 48 89 41 08 48 8B 87 D0 01 00 00 48 3B D0 75 14 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 87 D0 01 00 00 48 8B 4E 18 48 8B 46 20 48 89 41 20 48 8B 46 18 48 8B 4E 20 48 89 41 18 48 8B 87 C0 01 00 00 48 3B F0 75 15 48 3B 40 18 75 04 33 C0 EB 04 48 8B 40 20 48 89 87 C0 01 00 00 48 8B 4E 08 44 88 06 FF 15 ?? ?? ?? ?? 48 8B 8F D8 01 00 00 4C 8D 44 24 40 48 8D 54 24 58 E8 ?? ?? ?? ?? 48 8B 6C 24 40 48 8D 8F 98 01 00 00 E8 ?? ?? ?? ?? 48 85 ED 74 0E 45 33 C0 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 6C 24 50 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_735_271_0 {
	meta:
		name = "?Resurrect@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 133
		refs = "0028 ?_Sleep0@details@Concurrency@@YAXXZ 0037 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B 91 5C 01 00 00 BF 00 00 00 80 48 8B D9 8B C2 23 C7 3B C7 74 29 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 93 5C 01 00 00 8B CA 23 CF 3B CF 75 E8 8B CA 41 B8 FF FF FF 7F 8B C2 41 23 C8 F0 0F B1 8B 5C 01 00 00 74 13 8B C8 8B D0 41 23 C8 F0 0F B1 8B 5C 01 00 00 3B C2 75 ED F0 FF 83 50 01 00 00 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_272_0 {
	meta:
		name = "?RemoveVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAUIVirtualProcessorRoot@3@@Z"
		size = 144
		refs = "0022 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0031 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 003b __imp_SwitchToThread 0057 ?FindMatchingVirtualProcessor@SchedulingNode@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAUIVirtualProcessorRoot@3@@Z 0074 ?GetAndResetOversubscribedVProc@InternalContextBase@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAV423@@Z 0081 ?MarkForRetirement@VirtualProcessor@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B 02 48 8B F9 48 8B CA 48 8B DA FF 10 EB 2E 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 84 C0 75 F2 FF 15 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 41 FF 13 48 8B 4F 28 44 8B D8 48 8B D3 4A 8B 0C D9 E8 ?? ?? ?? ?? 48 85 C0 74 BA 80 B8 C0 00 00 00 00 74 0F 48 8B 88 C8 00 00 00 48 8B D0 E8 ?? ?? ?? ?? 48 85 C0 74 08 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_274_0 {
	meta:
		name = "?Remove@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVExternalStatistics@23@H_N@Z"
		size = 339
		refs = "00b5 __imp_QueryDepthSList 00cd __imp_InterlockedPushEntrySList 0109 __imp_InterlockedFlushSList 011c ?CheckForDeletionBridge@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@CAXPEAV123@@Z 0128 ?InvokeOnSafePoint@SchedulerBase@details@Concurrency@@AEAAXPEAVSafePointInvocation@23@@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 48 83 EC 30 48 8B D9 8B 49 54 BD 01 00 00 00 44 8B 5B 50 45 8B D0 48 8B F2 44 2B DD 41 D3 FA 45 23 D8 44 3B 53 6C 0F 8D 00 01 00 00 48 8B 43 60 44 3B 53 68 7C 1F 48 63 4B 68 4C 8B 44 C8 F8 78 1B 44 2B 53 68 42 8D 44 15 00 48 2B C5 4D 8B 40 08 75 F7 EB 07 49 63 CA 4C 8B 04 C8 49 8B 10 48 89 74 24 40 49 63 CB 48 8B 44 24 40 45 33 D2 F0 4C 0F B1 14 CA 48 89 44 24 20 48 8B 4C 24 20 48 8B 44 24 40 48 3B C8 0F 85 9F 00 00 00 41 8D 42 FE F0 45 0F B1 58 10 45 84 C9 0F 84 87 00 00 00 48 8B CB FF 15 ?? ?? ?? ?? 48 8D 56 10 44 0F B7 D8 44 3B 5B 74 7E 67 48 8D 4B 10 FF 15 ?? ?? ?? ?? 48 8D 4B 10 FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 5B 74 7E 52 48 8B 43 48 8B 90 5C 01 00 00 B8 00 00 00 A0 23 D0 3B D0 74 3D 33 C0 F0 0F B1 6B 78 75 34 48 8D 4B 10 FF 15 ?? ?? ?? ?? 48 8B 4B 48 48 8D 53 28 48 89 43 20 48 8D 05 ?? ?? ?? ?? 48 89 5A 08 48 89 02 E8 ?? ?? ?? ?? EB 09 48 8B CB FF 15 ?? ?? ?? ?? 40 8A C5 EB 02 32 C0 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_735_277_0 {
	meta:
		name = "?Cleanup@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 190
		refs = "0031 ??1SchedulingNode@details@Concurrency@@QEAA@XZ 0039 ??3@YAXPEAX@Z 0062 ??1SchedulingRing@details@Concurrency@@QEAA@XZ 007e ??_V@YAXPEAX@Z 0090 __imp_TlsFree 00ba ?StaticDestruction@SchedulerBase@details@Concurrency@@CAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 FF 48 8B D9 39 79 38 7E 2A 33 F6 48 8B 43 28 48 8B 2C 06 48 85 ED 74 10 48 8B CD E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B 7B 38 7C D8 33 FF 39 7B 38 7E 2A 33 F6 48 8B 43 30 48 8B 2C 06 48 85 ED 74 10 48 8B CD E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? FF C7 48 83 C6 08 3B 7B 38 7C D8 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 8B 4B 20 FF 15 ?? ?? ?? ?? 48 8B 8B 60 01 00 00 83 63 20 00 48 8B 01 FF 50 08 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_278_0 {
	meta:
		name = "?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 56
		refs = "000a ?_ValidateConcRTPolicy@SchedulerPolicy@Concurrency@@QEBAXXZ 000f ?CheckStaticConstruction@SchedulerBase@details@Concurrency@@CAXXZ 0019 ?GetPolicyValue@SchedulerPolicy@Concurrency@@QEBAIW4PolicyElementKey@2@@Z 002a ?Create@ThreadScheduler@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z 0034 ?Create@UMSThreadScheduler@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 85 C0 75 0A 48 83 C4 20 5B E9 ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_279_0 {
	meta:
		name = "?GetDefaultScheduler@SchedulerBase@details@Concurrency@@CAPEAV123@XZ"
		size = 212
		refs = "0010 ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 0030 ?_Sleep0@details@Concurrency@@YAXXZ 003f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0058 ?s_pDefaultScheduler@SchedulerBase@details@Concurrency@@1PEAV123@EA 0062 ?SafeReference@SchedulerBase@details@Concurrency@@AEAA_NXZ 0072 ??0SchedulerPolicy@Concurrency@@QEAA@_KZZ 007a ?s_pDefaultSchedulerPolicy@SchedulerBase@details@Concurrency@@1PEAVSchedulerPolicy@3@EA 0089 ??4SchedulerPolicy@Concurrency@@QEAAAEAV01@AEBV01@@Z 0093 ?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z 00a2 ?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ 00ba ??1SchedulerPolicy@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 48 48 C7 44 24 20 FE FF FF FF 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 B8 01 00 00 00 87 05 ?? ?? ?? ?? 85 C0 74 2D 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 48 8D 4C 24 28 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 09 E8 ?? ?? ?? ?? 84 C0 75 54 33 D2 48 8D 4C 24 50 E8 ?? ?? ?? ?? 90 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0A 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B 01 FF 50 20 90 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_735_280_0 {
	meta:
		name = "?dtor$0@?0??GetDefaultScheduler@SchedulerBase@details@Concurrency@@CAPEAV123@XZ@4HA"
		size = 16
		refs = "0008 ??1_Scoped_lock@_NonReentrantLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 58 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1062_1 {
	meta:
		name = "?dtor$0@?0??do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 58 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1008_1 {
	meta:
		name = "?dtor$0@?0??do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 58 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_282_2 {
	meta:
		name = "?dtor$1@?0??do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 58 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1021_1 {
	meta:
		name = "?dtor$1@?0??do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 58 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_941_1 {
	meta:
		name = "?dtor$1@?0??do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 58 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_735_282_0 {
	meta:
		name = "?Reference@SchedulerBase@details@Concurrency@@UEAAIXZ"
		size = 137
		refs = "002e ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0034 __imp_TlsGetValue 0047 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0054 ?Resurrect@SchedulerBase@details@Concurrency@@AEAAXXZ 0060 ??0improper_scheduler_reference@Concurrency@@QEAA@XZ 0067 _TI2?AVimproper_scheduler_reference@Concurrency@@ 0071 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 B9 01 00 00 00 8B F9 F0 0F C1 BB 48 01 00 00 03 F9 3B F9 75 5A 8B 83 54 01 00 00 85 C0 7E 4A 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 1D 80 78 70 00 75 17 48 8B C8 E8 ?? ?? ?? ?? 48 3B C3 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 22 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 87 8B 54 01 00 00 8B C7 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_286_0 {
	meta:
		name = "?Attach@SchedulerBase@details@Concurrency@@UEAAXXZ"
		size = 99
		refs = "000a ?FastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ 0019 ??0improper_scheduler_attach@Concurrency@@QEAA@XZ 0020 _TI2?AVimproper_scheduler_attach@Concurrency@@ 002a _CxxThrowException 0035 ?AttachExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z 003b ?g_TraceOn@details@Concurrency@@3_NA 0046 ?g_EnableLevel@details@Concurrency@@3EA 0059 ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? 48 3B C3 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC B2 01 48 8B CB E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 1B B2 04 38 15 ?? ?? ?? ?? 72 11 44 8B 83 34 01 00 00 B9 07 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_735_287_0 {
	meta:
		name = "??_G?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAXI@Z"
		size = 56
		refs = "0010 ?Wipe@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXXZ 0019 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8B 4F 08 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_289_0 {
	meta:
		name = "??1SchedulerBase@details@Concurrency@@UEAA@XZ"
		size = 100
		refs = "0019 ??_7SchedulerBase@details@Concurrency@@6B@ 0021 ?Cleanup@SchedulerBase@details@Concurrency@@AEAAXXZ 002e ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 0045 ??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ 004f ??1SchedulerPolicy@Concurrency@@QEAA@XZ 0057 ??_7Scheduler@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8D 8B 98 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B E0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 60 E8 ?? ?? ?? ?? 90 48 8D 4B 08 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_735_292_0 {
	meta:
		name = "?dtor$2@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 60 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_293_0 {
	meta:
		name = "?dtor$3@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 32
		refs = "000f ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 E0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_735_294_0 {
	meta:
		name = "?dtor$4@?0???1SchedulerBase@details@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 98 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_295_0 {
	meta:
		name = "?Create@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
		size = 31
		refs = "0007 ?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z 0012 ?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_296_0 {
	meta:
		name = "?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ"
		size = 54
		refs = "000b ?GetDefaultScheduler@SchedulerBase@details@Concurrency@@CAPEAV123@XZ 0018 ?AttachExternalContext@SchedulerBase@details@Concurrency@@AEAAPEAVExternalContextBase@23@_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 E8 ?? ?? ?? ?? 33 D2 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 48 8B 17 48 8B CF 48 8B D8 FF 52 28 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_297_0 {
	meta:
		name = "?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 393
		refs = "0027 ??3@YAXPEAX@Z 0034 __imp_CloseHandle 0048 ?Wipe@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAXXZ 0098 __imp_InterlockedFlushSList 0119 ?g_TraceOn@details@Concurrency@@3_NA 0124 ?g_EnableLevel@details@Concurrency@@3EA 0137 ?ThrowSchedulerEvent@SchedulerBase@details@Concurrency@@CAXW4ConcRT_EventType@3@EI@Z 0142 ?RemoveHead@?$SafeRWList@VWaitNode@SchedulerBase@details@Concurrency@@VNoCount@CollectionTypes@34@V_ReaderWriterLock@34@@details@Concurrency@@QEAAPEAVWaitNode@SchedulerBase@23@XZ 014f __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8B 89 70 01 00 00 48 8B 01 FF 50 08 48 8B 8F 68 01 00 00 E8 ?? ?? ?? ?? 48 8B 8F 40 01 00 00 FF 15 ?? ?? ?? ?? 48 8B 9F D8 01 00 00 48 85 DB 74 19 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 DB 48 87 5F 40 48 85 DB 74 27 48 8B 4B 10 48 8B 33 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 28 48 8B CB E8 ?? ?? ?? ?? 48 8B DE 48 85 F6 75 D9 48 8D 8F F0 01 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 F0 48 F7 D8 4D 1B C0 4C 23 C1 74 2A 49 8B 40 10 49 8B C8 48 8D 50 F0 48 F7 D8 49 8B 00 48 1B DB 48 23 DA BA 01 00 00 00 FF 90 88 00 00 00 4C 8B C3 48 85 DB 75 D6 48 8D 8F 00 02 00 00 FF 15 ?? ?? ?? ?? 48 8D 48 E0 48 F7 D8 4D 1B C0 4C 23 C1 74 26 49 8B 40 20 49 8B C8 48 8D 50 E0 48 F7 D8 49 8B 00 48 1B DB 48 23 DA BA 01 00 00 00 FF 10 4C 8B C3 48 85 DB 75 DA 80 3D ?? ?? ?? ?? 00 74 45 B2 04 38 15 ?? ?? ?? ?? 72 3B 44 8B 87 34 01 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? EB 28 48 8D 4F 48 E8 ?? ?? ?? ?? 48 8B D8 48 8B 48 10 FF 15 ?? ?? ?? ?? 48 8B 4B 10 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7F 48 00 75 D1 48 8B 07 BA 01 00 00 00 48 8B CF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF 20 }
	condition:
		$1
}

rule file_735_298_0 {
	meta:
		name = "?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
		size = 29
		refs = "0014 ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 83 C8 FF F0 0F C1 81 50 01 00 00 FF C8 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_299_0 {
	meta:
		name = "?Statistics@SchedulerBase@details@Concurrency@@QEAAXPEAI00@Z"
		size = 589
		refs = "0212 ?Remove@?$ListArray@VExternalStatistics@details@Concurrency@@@details@Concurrency@@QEAA_NPEAVExternalStatistics@23@H_N@Z 021a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 33 F6 4D 8B E1 4D 8B E8 4C 8B F2 48 8B F9 39 71 38 0F 8E E6 00 00 00 45 33 D2 48 8B 47 28 4D 8B 04 02 4D 85 C0 0F 84 C3 00 00 00 41 8B 80 90 00 00 00 45 33 C9 85 C0 0F 8E B1 00 00 00 41 8B 48 74 41 8B D1 D3 FA 41 3B 90 8C 00 00 00 0F 8D 88 00 00 00 4D 63 98 88 00 00 00 49 8B 80 80 00 00 00 41 3B D3 7C 18 41 2B D3 4A 8B 5C D8 F8 78 15 8D 4A 01 48 FF C9 48 8B 5B 08 75 F7 EB 07 48 63 CA 48 8B 1C C8 41 8B 40 70 FF C8 48 63 C8 49 63 C1 48 23 C8 48 8B 03 4C 8B 1C C8 4D 85 DB 74 3B 41 8B 83 A0 00 00 00 8B D0 41 2B 93 A8 00 00 00 41 89 83 A8 00 00 00 41 8B 83 A4 00 00 00 8B C8 41 2B 8B AC 00 00 00 41 89 83 AC 00 00 00 41 01 55 00 41 01 0E 2B D1 41 01 14 24 41 8B 80 90 00 00 00 41 FF C1 44 3B C8 0F 8C 4F FF FF FF FF C6 49 83 C2 08 3B 77 38 0F 8C 1D FF FF FF 8B 87 80 01 00 00 33 ED 8B D0 2B 97 88 01 00 00 89 87 88 01 00 00 8B 87 84 01 00 00 8B C8 2B 8F 8C 01 00 00 89 87 8C 01 00 00 41 01 55 00 41 01 0E 2B D1 41 01 14 24 8B 87 D0 00 00 00 85 C0 0F 8E CF 00 00 00 8B 8F B4 00 00 00 8B D5 D3 FA 3B 97 CC 00 00 00 0F 8D A9 00 00 00 48 8B 87 C0 00 00 00 3B 97 C8 00 00 00 7C 22 2B 97 C8 00 00 00 48 63 8F C8 00 00 00 4C 8B 44 C8 F8 78 15 8D 4A 01 48 FF C9 4D 8B 40 08 75 F7 EB 07 48 63 CA 4C 8B 04 C8 8B 87 B0 00 00 00 FF C8 48 63 C8 48 63 C5 48 23 C8 49 8B 00 48 8B 1C C8 48 85 DB 74 54 8B 43 20 8B D0 2B 53 28 89 43 28 8B 43 24 8B C8 2B 4B 2C 89 43 2C 41 01 55 00 41 01 0E 2B D1 41 01 14 24 8B 43 30 85 C0 75 2A 8B 43 28 39 43 20 75 22 8B 43 2C 39 43 24 75 1A 44 8B 03 48 8D 4F 60 45 33 C9 48 8B D3 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 8B 87 D0 00 00 00 FF C5 3B E8 0F 8C 31 FF FF FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_735_301_0 {
	meta:
		name = "?Create@Scheduler@Concurrency@@SAPEAV12@AEBVSchedulerPolicy@2@@Z"
		size = 41
		refs = "0007 ?CreateWithoutInitializing@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z 0012 ?Initialize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B C8 48 8B D8 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 41 FF 53 20 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_303_0 {
	meta:
		name = "?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
		size = 50
		refs = "0006 ?s_oneShotInitializationState@SchedulerBase@details@Concurrency@@0JA 0012 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0018 __imp_TlsGetValue 0022 ?CreateContextFromDefaultScheduler@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 002e ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ"
	strings:
		$1 = { 48 83 EC 28 F7 05 ?? ?? ?? ?? 00 00 00 80 74 11 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 75 05 E8 ?? ?? ?? ?? 48 8B C8 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_304_0 {
	meta:
		name = "?WaitForSchedulerEvents@SchedulerBase@details@Concurrency@@AEAAXPEAVContextExitEventHandler@123@@Z"
		size = 173
		refs = "002e ?ProcessContextExitEvents@SchedulerBase@details@Concurrency@@AEAAXPEAVContextExitEventHandler@123@H@Z 0043 __imp_WaitForMultipleObjects 004e __imp_GetLastError 0066 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 006d _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0077 _CxxThrowException 0082 __imp_CloseHandle 0099 ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 40 48 8B D9 0F B7 4A 02 48 8B FA 48 83 C2 38 EB 1B 80 3F 00 75 58 44 8B C0 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 0F B7 4F 02 48 8D 57 38 41 83 C9 FF 45 33 C0 FF 15 ?? ?? ?? ?? 83 F8 FF 75 D3 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 4F 08 FF 15 ?? ?? ?? ?? 83 C8 FF F0 0F C1 83 50 01 00 00 FF C8 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_305_0 {
	meta:
		name = "?PhaseTwoShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 197
		refs = "000f ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 0015 __imp_TlsGetValue 0028 ?GetScheduler@ContextBase@details@Concurrency@@QEBAPEAVSchedulerBase@23@XZ 0048 ?CommitToVersion@SchedulerBase@details@Concurrency@@AEAAXK@Z 008e __imp_ReleaseSemaphore 00b6 ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 18 80 78 70 00 75 12 48 8B C8 E8 ?? ?? ?? ?? 48 3B C3 75 05 40 32 FF EB 0C BF 01 00 00 00 F0 01 BB 50 01 00 00 33 D2 48 8B CB E8 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 41 FF 93 98 00 00 00 8B 83 5C 01 00 00 8B C8 44 8B C0 0F BA F1 1E 0F BA E9 1D F0 0F B1 8B 5C 01 00 00 41 3B C0 75 E6 25 FF FF FF 1F 7E 12 48 8B 8B 40 01 00 00 45 33 C0 8B D0 FF 15 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 90 90 00 00 00 40 84 FF 74 17 83 C8 FF F0 0F C1 83 50 01 00 00 FF C8 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_306_0 {
	meta:
		name = "?BackgroundThreadProc@SchedulerBase@details@Concurrency@@CAKPEAX@Z"
		size = 44
		refs = "0011 ?WaitForSchedulerEvents@SchedulerBase@details@Concurrency@@AEAAXPEAVContextExitEventHandler@123@@Z 0019 ??3@YAXPEAX@Z 0020 ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B D1 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_735_307_0 {
	meta:
		name = "?SweepSchedulerForFinalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 166
		refs = "0014 ?t_dwContextIndex@SchedulerBase@details@Concurrency@@1KA 001a __imp_TlsGetValue 0036 ?EnterCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ 004e ?PhaseTwoShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ 0085 __imp_ReleaseSemaphore 0092 ?ExitCriticalRegion@ContextBase@details@Concurrency@@QEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 40 B6 01 48 8B F8 48 85 C0 74 11 80 78 70 00 75 0B 48 8B C8 40 32 F6 E8 ?? ?? ?? ?? 48 8B 13 48 8B CB FF 92 80 00 00 00 84 C0 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 35 8B 83 5C 01 00 00 8B C8 44 8B C0 0F BA F1 1E F0 0F B1 8B 5C 01 00 00 41 3B C0 75 EA 25 FF FF FF 1F 7E 12 48 8B 8B 40 01 00 00 45 33 C0 8B D0 FF 15 ?? ?? ?? ?? 40 84 F6 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_308_0 {
	meta:
		name = "?RegisterForExitTracking@SchedulerBase@details@Concurrency@@QEAAXPEAVExternalContextBase@23@@Z"
		size = 611
		refs = "0037 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 005b ?Insert@?$Hash@PEAXPEAVExternalContextBase@details@Concurrency@@@details@Concurrency@@QEAAPEAUListNode@123@AEBQEAXAEBQEAVExternalContextBase@23@@Z 0080 ??2@YAPEAX_K@Z 0095 memset 00bc __imp_CreateEventW 0213 __imp_SetEvent 021c ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0236 ?BackgroundThreadProc@SchedulerBase@details@Concurrency@@CAKPEAX@Z 0242 ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 024b __imp_CloseHandle"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 48 83 EC 40 48 C7 44 24 30 FE FF FF FF 48 89 58 20 4C 8B E2 48 8B F1 45 32 ED 48 8D 99 98 01 00 00 48 89 58 18 48 8B CB E8 ?? ?? ?? ?? 90 49 8B 84 24 E0 00 00 00 48 89 44 24 70 4C 8D 44 24 78 48 8D 54 24 70 48 8B 8E D8 01 00 00 E8 ?? ?? ?? ?? 48 8B 96 D0 01 00 00 48 85 D2 74 04 48 8B 52 08 48 85 D2 0F 85 27 01 00 00 BB 38 02 00 00 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F 44 8B C3 33 D2 48 8B C8 E8 ?? ?? ?? ?? EB 02 33 FF C6 07 00 BD 01 00 00 00 F0 01 AE 50 01 00 00 48 89 77 10 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 47 08 33 D2 41 B8 00 02 00 00 48 8D 4F 38 E8 ?? ?? ?? ?? 4C 8B 5F 08 4C 89 5F 38 49 8B 84 24 E0 00 00 00 48 89 47 40 C7 47 02 02 00 02 00 48 8B 86 C0 01 00 00 48 85 C0 75 0A 48 89 7F 18 48 89 7F 20 EB 2D 48 8B 40 18 48 89 47 18 48 8B 86 C0 01 00 00 48 89 47 20 48 8B 86 C0 01 00 00 48 8B 48 18 48 89 79 20 48 8B 86 C0 01 00 00 48 89 78 18 48 89 BE C0 01 00 00 48 8D 57 28 48 8B 86 D0 01 00 00 48 85 C0 75 17 48 89 96 D0 01 00 00 48 89 12 48 8B 86 D0 01 00 00 48 89 40 08 EB 2B 48 8B 40 08 48 89 42 08 48 8B 86 D0 01 00 00 48 89 02 48 8B 86 D0 01 00 00 48 8B 48 08 48 89 11 48 8B 86 D0 01 00 00 48 89 50 08 01 AE C8 01 00 00 44 8A ED 48 8B 9C 24 80 00 00 00 EB 79 48 8D 7A D8 49 8B 8C 24 E0 00 00 00 0F B7 47 04 48 89 4C C7 38 BD 01 00 00 00 66 01 6F 04 66 83 7F 04 40 75 3B FF 8E C8 01 00 00 48 8B 4A 08 48 8B 02 48 89 01 48 8B 0A 48 8B 42 08 48 89 41 08 48 8B 86 D0 01 00 00 48 3B D0 75 14 48 3B 40 08 75 04 33 C0 EB 03 48 8B 00 48 89 86 D0 01 00 00 0F B7 47 02 0F B7 4F 04 2B C8 3B CD 75 0B 48 8B 4F 08 FF 15 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 45 84 ED 74 2A 48 83 64 24 28 00 83 64 24 20 00 4C 8B CF 4C 8D 05 ?? ?? ?? ?? BA 00 00 01 00 33 C9 E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B 9C 24 88 00 00 00 48 83 C4 40 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_735_310_0 {
	meta:
		name = "?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ"
		size = 34
		refs = "0019 ?SweepSchedulerForFinalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 BA 00 00 00 C0 B8 00 00 00 80 F0 0F B1 91 5C 01 00 00 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_735_311_0 {
	meta:
		name = "?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z"
		size = 209
		refs = "0034 ?_Sleep0@details@Concurrency@@YAXXZ 0043 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00c0 ?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 40 8A FA 48 8B D9 84 D2 74 76 8B 81 5C 01 00 00 0F BA E0 1E 73 33 8B 83 5C 01 00 00 0F BA E0 1E 73 27 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 8B 83 5C 01 00 00 0F BA E0 1E 72 EA 0F BA E0 1D 72 2D 8D 48 01 F0 0F B1 8B 5C 01 00 00 75 B4 41 B8 01 00 00 00 F0 44 0F C1 83 78 01 00 00 48 8B 03 41 FF C0 40 8A D7 48 8B CB FF 50 78 EB 3E 32 C0 EB 3C 83 CF FF 44 8B C7 F0 44 0F C1 81 78 01 00 00 48 8B 01 44 03 C7 33 D2 FF 50 78 8B CF F0 0F C1 8B 5C 01 00 00 03 CF F7 C1 FF FF FF 1F 75 0C 85 C9 79 08 48 8B CB E8 ?? ?? ?? ?? B0 01 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_312_0 {
	meta:
		name = "?VirtualProcessorIdle@SchedulerBase@details@Concurrency@@QEAAX_N@Z"
		size = 110
		refs = "0010 ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0034 ?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ 005b __imp_WaitForSingleObject 006a ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8A DA 48 8B F9 E8 ?? ?? ?? ?? 84 DB 74 22 83 C8 FF F0 0F C1 87 5C 01 00 00 FF C8 A9 FF FF FF 1F 75 33 85 C0 79 2F 48 8B CF E8 ?? ?? ?? ?? EB 25 B8 01 00 00 00 F0 0F C1 87 5C 01 00 00 FF C0 0F BA E0 1E 73 10 48 8B 8F 40 01 00 00 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_313_0 {
	meta:
		name = "?ActivateVirtualProcessor@SchedulerBase@details@Concurrency@@IEAAXPEAVVirtualProcessor@23@PEAVScheduleGroupBase@23@@Z"
		size = 70
		refs = "001d ?VirtualProcessorActive@SchedulerBase@details@Concurrency@@QEAA_N_N@Z 0029 ?MakeAvailable@VirtualProcessor@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 BA B0 00 00 00 00 49 8B F8 48 8B DA 75 15 B2 01 E8 ?? ?? ?? ?? 84 C0 75 0A 48 8B CB E8 ?? ?? ?? ?? EB 0C 48 8B 03 48 8B D7 48 8B CB FF 50 38 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_735_314_0 {
	meta:
		name = "?PhaseOneShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ"
		size = 219
		refs = "000d ?s_pDefaultScheduler@SchedulerBase@details@Concurrency@@1PEAV123@EA 001f ?s_defaultSchedulerLock@SchedulerBase@details@Concurrency@@1V_NonReentrantLock@23@A 002a ?_Sleep0@details@Concurrency@@YAXXZ 003d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00b5 ?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ 00cc ?Finalize@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 39 0D ?? ?? ?? ?? 48 8B D9 75 58 B8 01 00 00 00 33 FF 87 05 ?? ?? ?? ?? 85 C0 74 2C 48 8D 05 ?? ?? ?? ?? 89 7C 24 28 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 1D ?? ?? ?? ?? 45 85 DB 75 E4 48 8B 05 ?? ?? ?? ?? 48 3B C3 48 0F 44 C7 48 89 05 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 8B 83 50 01 00 00 83 F8 01 7E 40 8B 93 5C 01 00 00 41 B8 00 00 00 80 8B CA 8B C2 41 0B C8 F0 0F B1 8B 5C 01 00 00 74 13 8B C8 8B D0 41 0B C8 F0 0F B1 8B 5C 01 00 00 3B C2 75 ED F7 C2 FF FF FF 1F 75 08 48 8B CB E8 ?? ?? ?? ?? 83 C8 FF F0 0F C1 83 50 01 00 00 FF C8 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_735_315_0 {
	meta:
		name = "?StartupIdleVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@PEAVVirtualProcessor@23@@Z"
		size = 79
		refs = "0019 ?StaticEnterHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ 0024 ?FindAvailableVirtualProcessor@SchedulerBase@details@Concurrency@@QEAAPEAVVirtualProcessor@23@PEAV423@@Z 0037 ?ActivateVirtualProcessor@SchedulerBase@details@Concurrency@@IEAAXPEAVVirtualProcessor@23@PEAVScheduleGroupBase@23@@Z 004b ?StaticExitHyperCriticalRegion@ContextBase@details@Concurrency@@SAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 48 8B F2 48 8B F9 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 85 C0 74 0E 4C 8B C6 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_735_316_0 {
	meta:
		name = "?Release@SchedulerBase@details@Concurrency@@UEAAIXZ"
		size = 34
		refs = "0016 ?PhaseOneShutdown@SchedulerBase@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 CB FF F0 0F C1 99 48 01 00 00 FF CB 75 05 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_736_3_0 {
	meta:
		name = "_ismbcupper_l"
		size = 232
		refs = "0019 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0086 __crtGetStringTypeA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 60 8B F9 48 8D 4D E0 E8 ?? ?? ?? ?? 33 DB 81 FF FF 00 00 00 0F 86 85 00 00 00 48 8B 4D E8 8B C7 89 5D 20 C1 E8 08 40 88 7D 11 88 45 10 39 59 08 75 14 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 7F 8B 41 0C BF 01 00 00 00 4C 8D 45 10 89 7C 24 38 89 44 24 30 8B 41 04 89 44 24 28 48 8D 45 20 44 8D 4F 01 48 8D 4D E0 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 74 B5 66 39 5D 22 75 06 40 84 7D 20 75 02 8B FB 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 EB 26 48 8B 45 E8 8D 4F 01 8A 54 01 1C 8B C3 80 E2 10 80 FA 10 0F 94 C0 38 5D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_737_8_0 {
	meta:
		name = "_woutput_l"
		size = 2781
		refs = "0022 __security_cookie 006b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0078 _errno 0083 _invalid_parameter_noinfo 00ff __lookuptable 022a __nullstring 0232 strlen 028e _isleadbyte_l 0330 _mbtowc_l 03fc __wnullstring 0481 _get_printf_count_output 0600 _malloc_crt 0626 _cfltcvt_tab 0640 __imp_DecodePointer 0737 write_multi_char 074b write_string 07bb write_char 083a free 0abe __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 30 FC FF FF 48 81 EC D0 04 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 C0 03 00 00 33 C0 48 8B D9 48 89 4C 24 78 48 89 55 80 48 8D 4D 90 49 8B D0 4D 8B F1 4C 89 4C 24 50 89 44 24 74 44 8B E0 89 44 24 5C 8B F8 89 44 24 44 89 44 24 48 89 44 24 70 89 44 24 58 E8 ?? ?? ?? ?? 45 33 D2 48 85 DB 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D A8 74 0B 48 8B 45 A0 83 A0 C8 00 00 00 FD 83 C8 FF E9 10 0A 00 00 4C 8B 45 80 4D 85 C0 74 CB 45 0F B7 28 41 8B F2 44 89 54 24 40 45 8B FA 41 8B D2 4C 89 55 B0 66 45 85 ED 0F 84 D4 09 00 00 48 8B 5D B8 B9 58 00 00 00 41 B9 00 02 00 00 44 8D 59 C8 49 83 C0 02 4C 89 45 80 85 F6 0F 88 B1 09 00 00 41 0F B7 C5 66 41 2B C3 66 3B C1 77 15 48 8D 0D ?? ?? ?? ?? 41 0F B7 C5 0F BE 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C2 48 63 C9 48 8D 14 C8 48 8D 05 ?? ?? ?? ?? 0F BE 14 02 C1 FA 04 89 54 24 6C 8B CA 85 D2 0F 84 0D 08 00 00 FF C9 0F 84 15 09 00 00 FF C9 0F 84 C0 08 00 00 FF C9 0F 84 6D 08 00 00 FF C9 0F 84 58 08 00 00 FF C9 0F 84 0C 08 00 00 FF C9 0F 84 EA 06 00 00 FF C9 0F 85 1B 09 00 00 41 0F B7 C5 B9 64 00 00 00 3B C1 0F 8F 08 02 00 00 0F 84 24 03 00 00 83 F8 41 0F 84 C6 01 00 00 83 F8 43 0F 84 48 01 00 00 83 F8 45 0F 84 B4 01 00 00 83 F8 47 0F 84 AB 01 00 00 83 F8 53 0F 84 88 00 00 00 83 F8 58 0F 84 6E 02 00 00 83 F8 5A 74 17 83 F8 61 0F 84 96 01 00 00 83 F8 63 0F 84 19 01 00 00 E9 D0 00 00 00 49 8B 06 49 83 C6 08 4C 89 74 24 50 48 85 C0 74 3B 48 8B 58 08 48 85 DB 74 32 BF 2D 00 00 00 41 0F BA E4 0B 73 18 0F BF 00 C7 44 24 58 01 00 00 00 99 2B C2 D1 F8 44 8B F8 E9 97 00 00 00 44 0F BF 38 44 89 54 24 58 E9 89 00 00 00 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 4C 8B F8 EB 6D 41 F7 C4 30 08 00 00 75 03 45 0B E3 83 7C 24 44 FF 49 8B 1E B8 FF FF FF 7F 0F 44 F8 49 83 C6 08 4C 89 74 24 50 45 84 E3 0F 84 81 01 00 00 48 85 DB 45 8B FA 48 0F 44 1D ?? ?? ?? ?? 48 8B F3 85 FF 7E 26 44 38 16 74 21 0F B6 0E 48 8D 55 90 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 03 48 FF C6 41 FF C7 48 FF C6 44 3B FF 7C DA 8B 74 24 40 BF 2D 00 00 00 44 39 54 24 70 0F 85 68 05 00 00 41 F6 C4 40 0F 84 45 04 00 00 41 0F BA E4 08 0F 83 0C 04 00 00 66 89 7C 24 60 BF 01 00 00 00 89 7C 24 48 E9 2B 04 00 00 41 F7 C4 30 08 00 00 75 03 45 0B E3 41 0F B7 06 49 83 C6 08 C7 44 24 58 01 00 00 00 4C 89 74 24 50 66 89 44 24 64 45 84 E3 74 37 88 44 24 68 48 8B 45 90 44 88 54 24 69 4C 63 80 0C 01 00 00 4C 8D 4D 90 48 8D 54 24 68 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 D2 85 C0 79 0E C7 44 24 70 01 00 00 00 EB 04 66 89 45 C0 48 8D 5D C0 41 BF 01 00 00 00 E9 53 FF FF FF C7 45 88 01 00 00 00 66 45 03 EB B9 67 00 00 00 41 83 CC 40 48 8D 5D C0 41 8B F1 85 FF 0F 89 52 02 00 00 41 BF 06 00 00 00 44 89 7C 24 44 E9 95 02 00 00 83 F8 65 0F 8C 17 FF FF FF B9 67 00 00 00 3B C1 7E CB B9 69 00 00 00 3B C1 0F 84 03 01 00 00 83 F8 6E 0F 84 C1 00 00 00 B9 6F 00 00 00 3B C1 0F 84 9E 00 00 00 83 F8 70 74 5E 83 F8 73 0F 84 7C FE FF FF B9 75 00 00 00 3B C1 0F 84 D6 00 00 00 B9 78 00 00 00 3B C1 0F 85 C3 FE FF FF 8D 41 AF EB 45 48 85 DB C7 44 24 58 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 48 8B C3 EB 0C FF CF 66 44 39 10 74 08 48 83 C0 02 85 FF 75 F0 48 2B C3 48 D1 F8 44 8B F8 E9 88 FE FF FF BF 10 00 00 00 41 0F BA EC 0F B8 07 00 00 00 89 44 24 74 41 B9 10 00 00 00 41 BD 00 02 00 00 45 84 E4 79 76 41 8D 49 20 66 83 C0 51 8D 51 D2 66 89 4C 24 60 66 89 44 24 62 EB 63 41 B9 08 00 00 00 45 84 E4 79 4E 41 BD 00 02 00 00 45 0B E5 EB 49 49 8B 3E 49 83 C6 08 4C 89 74 24 50 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 E7 FB FF FF 45 8D 5A 20 45 84 E3 74 05 66 89 37 EB 02 89 37 C7 44 24 70 01 00 00 00 E9 7C 03 00 00 41 83 CC 40 41 B9 0A 00 00 00 41 BD 00 02 00 00 8B 54 24 48 B8 00 80 00 00 44 85 E0 74 09 4D 8B 06 49 83 C6 08 EB 39 41 0F BA E4 0C 72 F0 49 83 C6 08 45 84 E3 74 19 4C 89 74 24 50 41 F6 C4 40 74 07 4D 0F BF 46 F8 EB 1C 45 0F B7 46 F8 EB 15 41 F6 C4 40 74 06 4D 63 46 F8 EB 04 45 8B 46 F8 4C 89 74 24 50 41 F6 C4 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA EC 08 44 85 E0 75 0A 41 0F BA E4 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E4 F7 41 3B FD 41 0F 4F FD 8B 74 24 74 49 8B C0 48 8D 9D BF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 48 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 1F 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 02 03 C6 88 03 48 FF CB EB D4 8B 74 24 40 48 8D 85 BF 01 00 00 89 7C 24 44 2B C3 48 FF C3 44 8B F8 45 85 E5 0F 84 FC FC FF FF 85 C0 B8 30 00 00 00 74 08 38 03 0F 84 EB FC FF FF 48 FF CB 41 FF C7 88 03 E9 DE FC FF FF 75 11 66 44 3B E9 75 41 41 BF 01 00 00 00 E9 A1 FD FF FF 41 3B F9 41 BF A3 00 00 00 41 0F 4F F9 89 7C 24 44 41 3B FF 7E 27 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 B0 48 85 C0 0F 84 70 FD FF FF 48 8B D8 8B F7 44 8B 7C 24 44 EB 03 44 8B FF 49 8B 06 48 8B 0D ?? ?? ?? ?? 49 83 C6 08 4C 89 74 24 50 41 0F BE FD 48 63 F6 48 89 45 B8 FF 15 ?? ?? ?? ?? 48 8D 4D 90 48 89 4C 24 30 8B 4D 88 44 8B CF 89 4C 24 28 48 8D 4D B8 4C 8B C6 48 8B D3 44 89 7C 24 20 FF D0 41 8B FC 81 E7 80 00 00 00 74 1B 45 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 B9 67 00 00 00 66 44 3B E9 75 1A 85 FF 75 16 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 55 90 48 8B CB FF D0 BF 2D 00 00 00 40 38 3B 75 08 41 0F BA EC 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 44 8B F8 E9 D4 FB FF FF 41 F6 C4 01 74 0F B8 2B 00 00 00 66 89 44 24 60 E9 E4 FB FF FF 41 F6 C4 02 74 13 B8 20 00 00 00 66 89 44 24 60 8D 78 E1 89 7C 24 48 EB 09 8B 7C 24 48 B8 20 00 00 00 44 8B 74 24 5C 4C 8B 6C 24 78 45 2B F7 44 2B F7 41 F6 C4 0C 75 12 4C 8D 4C 24 40 8B C8 4D 8B C5 41 8B D6 E8 ?? ?? ?? ?? 4C 8D 4C 24 40 48 8D 4C 24 60 4D 8B C5 8B D7 E8 ?? ?? ?? ?? 41 F6 C4 08 74 1B 41 F6 C4 04 75 15 4C 8D 4C 24 40 B9 30 00 00 00 4D 8B C5 41 8B D6 E8 ?? ?? ?? ?? 33 C0 39 44 24 58 75 66 45 85 FF 7E 61 48 8B FB 41 8B F7 48 8B 45 90 4C 8D 4D 90 48 8D 4C 24 64 4C 63 80 0C 01 00 00 48 8B D7 FF CE E8 ?? ?? ?? ?? 45 33 D2 4C 63 E8 85 C0 7E 25 48 8B 54 24 78 0F B7 4C 24 64 4C 8D 44 24 40 E8 ?? ?? ?? ?? 49 03 FD 45 33 D2 85 F6 7F BA 4C 8B 6C 24 78 EB 24 4C 8B 6C 24 78 83 CE FF 89 74 24 40 EB 1A 4C 8D 4C 24 40 4D 8B C5 41 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 8B 74 24 40 85 F6 78 22 41 F6 C4 04 74 1C 4C 8D 4C 24 40 B9 20 00 00 00 4D 8B C5 41 8B D6 E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 4C 8B 74 24 50 41 BB 20 00 00 00 48 8B 45 B0 48 85 C0 0F 84 45 02 00 00 48 8B C8 E8 ?? ?? ?? ?? 8B 7C 24 44 45 33 D2 4C 89 55 B0 41 BB 20 00 00 00 E9 2B 02 00 00 41 0F B7 C5 83 F8 49 74 50 83 F8 68 74 43 B9 6C 00 00 00 3B C1 74 18 B9 58 00 00 00 83 F8 77 0F 85 19 02 00 00 41 0F BA EC 0B E9 0F 02 00 00 66 41 39 08 B9 58 00 00 00 75 0E 49 83 C0 02 41 0F BA EC 0C E9 F6 01 00 00 41 83 CC 10 E9 ED 01 00 00 45 0B E3 E9 E0 01 00 00 41 0F BA EC 0F 66 41 83 38 36 75 16 66 41 83 78 02 34 75 0E 49 83 C0 04 41 0F BA EC 0F E9 BE 01 00 00 66 41 83 38 33 75 16 66 41 83 78 02 32 75 0E 49 83 C0 04 41 0F BA F4 0F E9 A1 01 00 00 B8 64 00 00 00 66 41 39 00 0F 84 92 01 00 00 B8 69 00 00 00 66 41 39 00 0F 84 83 01 00 00 B8 6F 00 00 00 66 41 39 00 0F 84 74 01 00 00 B8 75 00 00 00 8D 48 E3 66 41 39 00 0F 84 67 01 00 00 8D 41 20 66 41 39 00 0F 84 5A 01 00 00 66 41 39 08 0F 84 50 01 00 00 44 89 54 24 6C 48 8B 54 24 78 4C 8D 44 24 40 41 0F B7 CD C7 44 24 58 01 00 00 00 E8 ?? ?? ?? ?? 8B 74 24 40 45 33 D2 E9 DB FE FF FF 66 41 83 FD 2A 75 29 41 8B 3E 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 7C 24 44 85 FF 0F 89 00 01 00 00 83 CF FF 89 7C 24 44 E9 F4 00 00 00 8D 0C BF 41 0F B7 C5 8D 7C 48 D0 89 7C 24 44 E9 DB 00 00 00 41 8B FA 44 89 54 24 44 E9 CE 00 00 00 66 41 83 FD 2A 75 2C 41 8B 06 49 83 C6 08 B9 58 00 00 00 4C 89 74 24 50 89 44 24 5C 85 C0 0F 89 AF 00 00 00 41 83 CC 04 F7 D8 89 44 24 5C E9 A0 00 00 00 8B 44 24 5C 8D 0C 80 41 0F B7 C5 8D 44 48 D0 89 44 24 5C E9 83 00 00 00 41 0F B7 C5 41 3B C3 74 3E 83 F8 23 74 32 B9 2B 00 00 00 3B C1 74 23 B9 2D 00 00 00 3B C1 74 14 B9 30 00 00 00 3B C1 B9 58 00 00 00 75 5A 41 83 CC 08 EB 54 41 83 CC 04 EB 49 41 83 CC 01 EB 43 41 0F BA EC 07 EB 3C 41 83 CC 02 EB 36 83 CF FF 44 89 55 88 44 89 54 24 70 44 89 54 24 5C 44 89 54 24 48 45 8B E2 89 7C 24 44 44 89 54 24 58 EB 12 8B 7C 24 44 8B 54 24 6C 4C 8B 45 80 41 B9 00 02 00 00 B9 58 00 00 00 45 0F B7 28 66 45 85 ED 0F 85 3F F6 FF FF 44 38 55 A8 74 0B 48 8B 4D A0 83 A1 C8 00 00 00 FD 8B C6 48 8B 8D C0 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 05 00 00 48 81 C4 D0 04 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_738_0_0 {
	meta:
		name = "_wfullpath"
		size = 308
		refs = "0043 __imp_GetFullPathNameW 004d __imp_GetLastError 0054 _dosmaperr 007b _errno 0090 calloc 00ba _invalid_parameter_noinfo 00e6 free 011d _wgetcwd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 54 48 83 EC 20 45 33 E4 49 8B F0 48 8B EA 48 8B F9 48 85 D2 0F 84 F2 00 00 00 66 44 39 22 0F 84 E8 00 00 00 48 85 C9 75 73 45 33 C9 45 33 C0 33 D2 48 8B CD FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 E9 C2 00 00 00 8B C0 48 3B F0 48 0F 47 C6 48 8B F0 48 B8 FF FF FF FF FF FF FF 7F 48 3B F0 76 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D1 BA 02 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB AF 4D 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 98 48 8B D9 4C 8D 4C 24 48 4C 8B C3 8B D6 48 8B CD FF 15 ?? ?? ?? ?? 8B C8 48 3B CE 72 1D 48 85 FF 75 08 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 5E FF FF FF 85 C0 75 16 48 85 FF 0F 85 44 FF FF FF 48 8B CB E8 ?? ?? ?? ?? E9 37 FF FF FF 48 8B C3 EB 08 41 8B D0 E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 50 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_739_3_0 {
	meta:
		name = "_mbsnicmp_l"
		size = 443
		refs = "003b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0053 _strnicmp 0062 _errno 006d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 40 45 33 E4 49 8B F0 48 8B FA 48 8B D9 4D 85 C0 75 07 33 C0 E9 6E 01 00 00 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5D E8 45 39 63 08 75 13 4C 8B C6 48 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 34 01 00 00 48 85 DB 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 15 01 00 00 48 85 FF 74 D0 0F B6 0B 48 FF CE 48 FF C3 42 F6 44 19 1D 04 74 42 44 38 23 75 06 41 0F B7 CC EB 4B 0F B6 03 66 C1 E1 08 48 FF C3 66 0B C8 66 41 3B 4B 10 72 0E 66 41 3B 4B 12 77 07 66 41 03 4B 14 EB 29 66 41 3B 4B 16 72 22 66 41 3B 4B 18 77 1B 66 41 03 4B 1A EB 14 0F B7 C1 42 F6 44 18 1D 10 74 09 42 0F B6 8C 18 1D 01 00 00 0F B6 17 48 FF C7 42 F6 44 1A 1D 04 74 42 44 38 27 75 06 41 0F B7 D4 EB 4B 0F B6 07 66 C1 E2 08 48 FF C7 66 0B D0 66 41 3B 53 10 72 0E 66 41 3B 53 12 77 07 66 41 03 53 14 EB 29 66 41 3B 53 16 72 22 66 41 3B 53 18 77 1B 66 41 03 53 1A EB 14 0F B7 C2 42 F6 44 18 1D 10 74 09 42 0F B6 94 18 1D 01 00 00 66 3B D1 75 28 66 85 C9 74 09 48 85 F6 0F 85 22 FF FF FF 44 38 65 F8 0F 84 B3 FE FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 A3 FE FF FF 1B C0 83 E0 02 FF C8 44 38 65 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_740_3_0 {
	meta:
		name = "_mbsicmp_l"
		size = 523
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0034 _errno 003f _invalid_parameter_noinfo 0078 _stricmp_l 00d9 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 55 57 41 54 41 56 41 57 48 8B EC 48 83 EC 70 48 8B F9 48 8B F2 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 45 33 E4 48 85 FF 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 94 01 00 00 48 85 F6 74 D0 48 8B 55 E8 44 39 62 08 75 14 4C 8D 45 E0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 60 01 00 00 41 BE 02 00 00 00 41 BF 00 01 00 00 0F B6 1F 48 FF C7 F6 44 13 1D 04 74 70 44 38 27 75 06 41 0F B7 DC EB 77 8B 42 04 8B 52 0C C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 45 30 44 89 74 24 30 48 89 44 24 28 4C 8D 4F FF 48 8D 4D E0 41 B8 00 02 00 00 44 89 74 24 20 E8 ?? ?? ?? ?? 83 F8 01 75 06 0F B6 5D 30 EB 19 41 3B C6 0F 85 D9 00 00 00 0F B6 5D 30 0F B6 45 31 66 41 0F AF DF 66 03 D8 48 8B 55 E8 48 FF C7 EB 12 0F B7 C3 F6 44 10 1D 10 74 08 0F B6 9C 10 1D 01 00 00 0F B6 0E 48 FF C6 F6 44 11 1D 04 74 6C 44 38 26 75 06 41 0F B7 CC EB 73 8B 42 04 8B 52 0C C7 44 24 40 01 00 00 00 89 44 24 38 48 8D 45 30 44 89 74 24 30 48 89 44 24 28 4C 8D 4E FF 48 8D 4D E0 41 B8 00 02 00 00 44 89 74 24 20 E8 ?? ?? ?? ?? 83 F8 01 75 06 0F B6 4D 30 EB 15 41 3B C6 75 4E 0F B6 4D 30 0F B6 45 31 66 41 0F AF CF 66 03 C8 48 8B 55 E8 48 FF C6 EB 12 0F B7 C1 F6 44 10 1D 10 74 08 0F B6 8C 10 1D 01 00 00 66 3B CB 75 2E 66 85 DB 0F 85 D8 FE FF FF 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 69 FE FF FF 1B C0 41 23 C6 FF C8 44 38 65 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_743_3_0 {
	meta:
		name = "_hypot"
		size = 628
		refs = "00c5 __real@2590000000000000 01c3 __real@7fefffffffffffff 01e5 ??_C@_06MEIMCGCF@_hypot?$AA@ 0208 _handle_error 0255 _controlfp_s"
	strings:
		$1 = { 40 53 48 83 EC 50 F2 0F 11 44 24 68 48 B8 FF FF FF FF FF FF FF 7F 48 8B 54 24 68 F2 0F 11 4C 24 68 4C 8B 44 24 68 48 23 D0 4C 23 C0 4C 8B CA B8 FF 07 00 00 49 8B C8 49 C1 E9 34 48 C1 E9 34 4C 3B C8 0F 84 D5 01 00 00 48 3B C8 0F 84 CC 01 00 00 48 89 54 24 68 41 8B C1 45 33 D2 F2 0F 10 54 24 68 4C 89 44 24 68 2B C1 F2 0F 10 5C 24 68 48 85 D2 75 09 66 0F 28 C3 E9 F1 01 00 00 4D 85 C0 75 09 66 0F 28 C2 E9 E3 01 00 00 83 C0 36 83 F8 6C 0F 87 7D 01 00 00 B8 F3 05 00 00 4C 3B C8 0F 87 9C 00 00 00 48 3B C8 0F 87 93 00 00 00 B8 0B 02 00 00 4C 3B C8 72 09 48 3B C8 0F 83 AE 00 00 00 F2 0F 10 05 ?? ?? ?? ?? 48 BB 00 00 00 00 00 00 90 25 41 BA A8 FD FF FF 49 BB 00 00 00 00 00 00 80 25 4D 85 C9 75 20 48 8D 04 1A 48 89 44 24 68 F2 0F 10 54 24 68 F2 0F 5C D0 F2 0F 11 54 24 68 48 8B 44 24 68 EB 0E 49 03 D3 48 89 54 24 68 F2 0F 10 54 24 68 48 85 C9 75 20 49 8D 04 18 48 89 44 24 68 F2 0F 10 5C 24 68 F2 0F 5C D8 F2 0F 11 5C 24 68 48 8B 44 24 68 EB 34 4B 8D 04 18 EB 23 48 B9 00 00 00 00 00 00 80 DA 41 BA 58 02 00 00 48 8D 04 0A 48 89 44 24 68 49 8D 04 08 F2 0F 10 54 24 68 48 89 44 24 68 F2 0F 10 5C 24 68 66 0F 28 CA 66 0F 28 C3 49 63 C2 48 05 FF 03 00 00 48 C1 E0 34 F2 0F 59 CA F2 0F 59 C3 F2 0F 58 C8 F2 0F 11 4C 24 70 F2 0F 10 44 24 70 66 0F 57 C9 F2 0F 51 C8 F2 0F 11 4C 24 60 48 89 44 24 68 F2 0F 10 44 24 68 F2 0F 10 4C 24 60 F2 0F 59 C8 66 0F 2F 0D ?? ?? ?? ?? 76 45 C7 44 24 40 02 00 00 00 F2 0F 11 5C 24 38 F2 0F 11 54 24 30 BA 18 00 00 00 48 8D 0D ?? ?? ?? ?? 49 B8 00 00 00 00 00 00 F0 7F 44 8D 4A EB C7 44 24 28 22 00 00 00 C7 44 24 20 11 00 00 00 E8 ?? ?? ?? ?? EB 60 66 0F 28 C1 EB 5A F2 0F 58 D3 E9 65 FE FF FF F2 0F 59 C0 F2 0F 59 C9 49 BA FF FF FF FF FF FF 0F 00 F2 0F 58 C1 F2 0F 11 44 24 60 4C 3B C8 75 05 49 85 D2 74 0A 48 3B C8 75 26 4D 85 C2 75 21 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 49 BB 00 00 00 00 00 00 F0 7F 4C 89 5C 24 68 F2 0F 10 44 24 68 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_744_0_0 {
	meta:
		name = "_freebuf"
		size = 55
		refs = "001a free"
	strings:
		$1 = { 40 53 48 83 EC 20 F6 41 18 83 48 8B D9 74 22 F6 41 18 08 74 1C 48 8B 49 10 E8 ?? ?? ?? ?? 81 63 18 F7 FB FF FF 33 C0 48 89 03 48 89 43 10 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_745_1_0 {
	meta:
		name = "perror"
		size = 173
		refs = "0015 __lock_fhandle 0028 strlen 0035 _write_nolock 003f ??_C@_02LMMGGCAJ@?3?5?$AA@ 004b _errno 0056 __sys_nerr 0066 __sys_errlist 008f ??_C@_01EEMJAFIK@?6?$AA@ 009e _unlock_fhandle"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 BF 02 00 00 00 8B CF E8 ?? ?? ?? ?? 90 48 85 DB 74 2B 80 3B 00 74 26 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 44 8B C7 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 18 85 DB 78 09 E8 ?? ?? ?? ?? 3B 18 7C 07 E8 ?? ?? ?? ?? 8B 18 E8 ?? ?? ?? ?? 48 63 CB 48 8B 1C C8 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 8B CF E8 ?? ?? ?? ?? 41 B8 01 00 00 00 48 8D 15 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 90 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_745_2_0 {
	meta:
		name = "perror$fin$0"
		size = 27
		refs = "000f _unlock_fhandle"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 02 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_746_0_0 {
	meta:
		name = "_execv"
		size = 69
		refs = "000a _errno 0015 _invalid_parameter_noinfo 0041 _execve"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 83 C4 28 C3 80 39 00 74 E2 48 85 D2 74 DD 48 8B 02 48 85 C0 74 D5 80 38 00 74 D0 45 33 C0 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_747_0_0 {
	meta:
		name = "_fputwchar"
		size = 31
		refs = "000a __iob_func 001b fputwc"
		altNames = "putwchar"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 E8 ?? ?? ?? ?? 0F B7 CB 48 8D 50 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_748_3_0 {
	meta:
		name = "_mbsnbicoll_l"
		size = 258
		refs = "002f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0055 _errno 0060 _invalid_parameter_noinfo 00a1 _strnicoll_l 00cc __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 60 48 8B F1 48 8B FA 48 8D 4D E0 49 8B D1 4D 8B E1 49 8B D8 E8 ?? ?? ?? ?? 48 85 DB 75 17 38 5D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 99 00 00 00 48 85 F6 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 6C 48 85 FF 74 D3 48 81 FB FF FF FF 7F 77 CA 48 8B 4D E8 83 79 08 00 75 13 4D 8B CC 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? EB 30 8B 41 04 8B 51 0C 48 8D 4D E0 89 44 24 38 89 5C 24 30 4C 8B CE 41 B8 01 10 00 00 48 89 7C 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 74 90 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 63 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_749_0_0 {
	meta:
		name = "_strset_s"
		size = 79
		refs = "0032 _errno 003d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 45 33 C9 48 85 C9 74 25 48 85 D2 74 20 48 8B C1 44 38 09 74 10 48 FF CA 74 0B 44 88 00 48 FF C0 44 38 08 75 F0 48 85 D2 75 1D 44 88 09 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 48 83 C4 28 C3 33 C0 EB F7 }
	condition:
		$1
}

rule file_751_0_0 {
	meta:
		name = "strncat_s"
		size = 213
		refs = "0038 _errno 0044 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 8B D8 4C 8B D2 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1A 33 C0 EB 29 48 85 C9 74 11 48 85 D2 74 0C 4D 85 C9 74 20 4D 85 C0 75 1B 88 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B C1 41 38 18 74 08 49 FF C0 48 FF CA 75 F3 48 85 D2 74 D0 49 83 F9 FF 75 18 4D 2B C3 41 8A 03 43 88 04 18 49 FF C3 84 C0 74 2F 48 FF CA 75 ED EB 28 4D 85 C9 74 20 4D 2B D8 43 8A 04 03 41 88 00 49 FF C0 84 C0 74 0A 48 FF CA 74 05 49 FF C9 75 E8 4D 85 C9 75 03 41 88 18 48 85 D2 0F 85 69 FF FF FF 49 83 F9 FF 75 0A 42 88 5C 11 FF 8D 42 50 EB 86 88 19 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 6C FF FF FF }
	condition:
		$1
}

rule file_753_2_0 {
	meta:
		name = "_spawnve"
		size = 646
		refs = "0035 _errno 0040 _invalid_parameter_noinfo 0080 _mbsrchr 00ad _mbschr 00c1 strlen 00d0 _calloc_crt 00e3 ??_C@_02CEGDFPFP@?4?2?$AA@ 00ee strcpy_s 0100 strcat_s 011e _invoke_watson 015f _access_s 0178 comexecmd 01dd ext_strings 0241 free"
	strings:
		$1 = { 48 89 5C 24 18 4C 89 4C 24 20 89 4C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 FF 4D 8B E1 4D 8B E8 48 8B EA 44 8B F1 48 8B FA 48 85 D2 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 38 3A 74 CF 4D 85 C0 74 CA 49 8B 00 48 85 C0 74 C2 44 38 38 74 BD BA 5C 00 00 00 48 8B CD E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 48 85 C0 0F 85 9B 00 00 00 48 85 F6 0F 85 9F 00 00 00 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 85 88 00 00 00 48 8B CD E8 ?? ?? ?? ?? 8D 56 01 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 64 FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 2D 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 06 48 8D 77 02 EB 37 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 28 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 DA 00 00 00 4D 8B CC 4D 8B C5 48 8B D7 41 8B CE E8 ?? ?? ?? ?? 48 8B D8 E9 C1 00 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 4C 8D 60 05 49 8B CC E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 9E FE FF FF 4C 8B C7 49 8B D4 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 B1 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 34 06 E8 ?? ?? ?? ?? 4D 2B E6 8B 00 4D 8D 3C 34 4C 8D 25 ?? ?? ?? ?? 89 44 24 78 4D 8B 04 24 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 85 C0 75 63 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 48 8D 05 ?? ?? ?? ?? 49 83 EC 08 4C 3B E0 7D CF EB 25 E8 ?? ?? ?? ?? 8B 4C 24 78 4C 8B 8C 24 88 00 00 00 89 08 8B 4C 24 70 4D 8B C5 48 8B D6 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 54 FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 47 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 7C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_754_0_0 {
	meta:
		name = "_cwait"
		size = 179
		refs = "002c __imp_WaitForSingleObject 003e __imp_GetExitCodeProcess 004d __imp_GetLastError 0057 _errno 0062 __doserrno 0077 _dosmaperr 0084 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 57 48 83 EC 20 48 83 CB FF 48 8B FA 48 8B F1 48 3B D3 74 77 48 83 FA FE 74 71 83 CA FF 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 75 17 48 8D 54 24 38 48 8B CF FF 15 ?? ?? ?? ?? 85 C0 74 05 48 8B DF EB 34 FF 15 ?? ?? ?? ?? 83 F8 06 75 18 E8 ?? ?? ?? ?? C7 00 0A 00 00 00 E8 ?? ?? ?? ?? C7 00 06 00 00 00 EB 0D FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 5C 24 38 48 8B CF FF 15 ?? ?? ?? ?? 48 85 F6 74 13 8B 4C 24 38 89 0E EB 0B E8 ?? ?? ?? ?? C7 00 0A 00 00 00 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_755_0_0 {
	meta:
		name = "_validdrive"
		size = 100
		refs = "0009 __security_cookie 0042 __imp_GetDriveTypeW 005a __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 85 C9 75 07 B8 01 00 00 00 EB 31 66 83 C1 40 B8 3A 00 00 00 C7 44 24 24 5C 00 00 00 66 89 4C 24 20 48 8D 4C 24 20 66 89 44 24 22 FF 15 ?? ?? ?? ?? 85 C0 74 05 83 F8 01 75 CA 33 C0 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_755_1_0 {
	meta:
		name = "_getdcwd_nolock"
		size = 299
		refs = "0019 _validdrive 0022 __doserrno 002d _errno 0038 _invalid_parameter_noinfo 0042 _getdrive 009a __imp_GetFullPathNameA 00ce calloc 0111 __imp_GetLastError 0118 _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 48 83 EC 20 41 8B F0 48 8B DA 8B F9 85 C9 74 29 E8 ?? ?? ?? ?? 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? E9 DB 00 00 00 E8 ?? ?? ?? ?? 8B F8 48 85 DB 74 18 85 F6 7F 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB D9 8B EE C6 03 00 EB 02 33 ED 85 FF 74 17 40 80 C7 40 66 C7 44 24 41 3A 2E C6 44 24 43 00 40 88 7C 24 40 EB 07 66 C7 44 24 40 2E 00 4C 8D 4C 24 58 48 8D 4C 24 40 4C 8B C3 8B D5 FF 15 ?? ?? ?? ?? 85 C0 74 6D 48 85 DB 74 19 3B C5 7D 05 48 8B C3 EB 6E E8 ?? ?? ?? ?? C7 00 22 00 00 00 C6 03 00 EB 5C 3B C6 BA 01 00 00 00 0F 4F F0 48 63 CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 EB 2A 4C 8D 4C 24 58 48 8D 4C 24 40 4C 8B C0 8B D6 FF 15 ?? ?? ?? ?? 85 C0 74 04 3B C6 7C 9C FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 33 C0 48 8B 5C 24 48 48 83 C4 20 5F 5E 5D C3 }
	condition:
		$1
}

rule file_756_1_0 {
	meta:
		name = "_findfirst64"
		size = 340
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExA 0090 __imp_GetLastError 00e9 __time64_t_from_ft 012f strcpy_s 014f _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 01 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 47 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 47 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 48 89 47 18 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4F 20 48 8D 4F 28 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 03 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_756_2_0 {
	meta:
		name = "_findnext64"
		size = 302
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileA 0074 __imp_GetLastError 00c7 __time64_t_from_ft 010d strcpy_s 0129 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 01 00 00 48 81 C4 80 01 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 48 89 43 08 E8 ?? ?? ?? ?? 48 8D 4C 24 44 48 89 43 10 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 48 89 43 18 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 20 48 8D 4B 28 E8 ?? ?? ?? ?? 85 C0 0F 84 22 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_757_3_0 {
	meta:
		name = "_stricoll_l"
		size = 204
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002a _errno 0035 _invalid_parameter_noinfo 0068 _stricmp 0093 __crtCompareStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 60 48 8B F9 48 8B DA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 48 85 FF 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 6B 48 85 DB 74 D3 48 8B 45 E0 8B 50 10 85 D2 75 0D 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 3D 8B 40 08 48 8D 4D E0 4C 8B CF 89 44 24 38 83 C8 FF 41 B8 01 10 00 00 89 44 24 30 48 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 91 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_757_4_0 {
	meta:
		name = "_stricoll"
		size = 22
		refs = "0002 __locale_changed 000a _stricmp 0012 _stricoll_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E9 ?? ?? ?? ?? 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_758_0_0 {
	meta:
		name = "__GSHandlerCheck_SEH"
		size = 148
		refs = "003e __GSHandlerCheckCommon 0071 __C_specific_handler"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4D 8B 51 38 48 8B F2 4D 8B E0 41 8B 02 48 8B E9 49 8B D1 48 03 C0 48 8B CE 49 8B F9 49 8D 5C C2 04 4C 8B C3 E8 ?? ?? ?? ?? 44 8B 1B 44 8B 55 04 41 8B C3 41 83 E3 02 BA 01 00 00 00 23 C2 41 80 E2 66 44 0F 44 D8 45 85 DB 74 13 4C 8B CF 4D 8B C4 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 8B D0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 8B C2 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_759_0_0 {
	meta:
		name = "_futime32"
		size = 502
		refs = "001b __security_cookie 0032 _errno 004d _nhandle 0060 __pioinfo 0088 _time32 00a1 _localtime32_s 0104 __imp_SystemTimeToFileTime 0116 __imp_LocalFileTimeToFileTime 019c _get_osfhandle 01af __imp_SetFileTime 01cb _invalid_parameter_noinfo 01da __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 55 57 41 54 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 63 D9 48 8B FA 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 8E 01 00 00 33 F6 85 C9 0F 88 74 01 00 00 3B 1D ?? ?? ?? ?? 0F 83 68 01 00 00 48 8B CB 48 8B C3 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 F6 44 08 08 01 0F 84 41 01 00 00 48 85 FF 75 15 48 8D 4D A4 E8 ?? ?? ?? ?? 44 8B 5D A4 48 8D 7D A0 44 89 5D A0 48 8D 57 04 48 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 16 01 00 00 0F B7 45 E4 41 BC 6C 07 00 00 48 8D 55 A8 66 41 03 C4 48 8D 4D C0 66 89 75 CE 66 89 45 C0 0F B7 45 E0 66 FF C0 66 89 45 C2 0F B7 45 DC 66 89 45 C6 0F B7 45 D8 66 89 45 C8 0F B7 45 D4 66 89 45 CA 0F B7 45 D0 66 89 45 CC FF 15 ?? ?? ?? ?? 85 C0 74 9D 48 8D 55 B0 48 8D 4D A8 FF 15 ?? ?? ?? ?? 85 C0 74 8B 48 8D 4D D0 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 77 FF FF FF 0F B7 45 E4 48 8D 55 A8 48 8D 4D C0 66 41 03 C4 66 89 75 CE 66 89 45 C0 0F B7 45 E0 66 FF C0 66 89 45 C2 0F B7 45 DC 66 89 45 C6 0F B7 45 D8 66 89 45 C8 0F B7 45 D4 66 89 45 CA 0F B7 45 D0 66 89 45 CC FF 15 ?? ?? ?? ?? 85 C0 0F 84 26 FF FF FF 48 8D 55 B8 48 8D 4D A8 FF 15 ?? ?? ?? ?? 85 C0 0F 84 10 FF FF FF 8B CB E8 ?? ?? ?? ?? 4C 8D 4D B0 4C 8D 45 B8 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EE FE FF FF 33 C0 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_760_3_0 {
	meta:
		name = "_ismbchira_l"
		size = 77
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 12 8D 83 61 7D FF FF 83 F8 52 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_760_5_0 {
	meta:
		name = "_ismbckata_l"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 1A 8D 83 C0 7C FF FF 83 F8 56 77 0F 81 FB 7F 83 00 00 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_760_7_0 {
	meta:
		name = "_ismbcsymbol_l"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 44 24 28 81 78 04 A4 03 00 00 75 1A 8D 83 BF 7E FF FF 83 F8 6B 77 0F 81 FB 7F 81 00 00 74 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_761_0_0 {
	meta:
		name = "__wrt2err"
		size = 48
		refs = "0015 __pioinfo 0027 __imp_WriteFile"
	strings:
		$1 = { 48 83 EC 38 44 0F BE 01 48 83 64 24 20 00 48 8D 51 01 48 8B 0D ?? ?? ?? ?? 4C 8D 4C 24 40 48 8B 89 B0 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_762_0_0 {
	meta:
		name = "_RTC_Initialize"
		size = 56
		refs = "000d __rtc_iaa 0014 __rtc_izz"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? EB 0E 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 72 ED 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_762_1_0 {
	meta:
		name = "_RTC_Terminate"
		size = 56
		refs = "000d __rtc_taa 0014 __rtc_tzz"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? EB 0E 48 8B 03 48 85 C0 74 02 FF D0 48 83 C3 08 48 3B DF 72 ED 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_763_0_0 {
	meta:
		name = "__crtLCMapStringW"
		size = 93
		refs = "0025 wcsnlen 0049 __imp_LCMapStringW"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 49 63 C1 49 8B D8 8B FA 8B F1 45 85 C9 7E 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 44 8B 4C 24 68 48 8B 54 24 60 4C 8B C3 44 89 4C 24 28 48 89 54 24 20 8B D7 44 8B C8 8B CE FF 15 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_764_1_0 {
	meta:
		name = "_ftime64_s"
		size = 403
		refs = "0015 __security_cookie 0033 _errno 003d _invalid_parameter_noinfo 004f __security_check_cookie 0069 __tzset 0073 _get_timezone 00a1 __imp_GetSystemTimeAsFileTime 00c1 elapsed_minutes_cache 00ce __imp_GetTimeZoneInformation 00fe dstflag_cache 018e _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F9 89 5C 24 30 48 85 C9 75 36 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 FF 00 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 57 0A FF 15 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B F2 48 C1 EE 1D 48 3B 35 ?? ?? ?? ?? 74 44 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 74 1D 83 F8 02 75 1B 66 39 9C 24 DA 00 00 00 74 11 39 9C 24 E8 00 00 00 74 08 8D 58 FF EB 03 83 CB FF 48 8B 4C 24 38 89 1D ?? ?? ?? ?? 48 89 35 ?? ?? ?? ?? EB 06 8B 1D ?? ?? ?? ?? 48 B8 4B 59 86 38 D6 C5 6D 34 66 89 5F 0C 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B C2 49 C1 E8 0B 49 F7 E0 49 8B C0 48 2B C2 48 D1 E8 48 03 C2 48 C1 E8 09 48 69 C0 E8 03 00 00 4C 2B C0 48 B8 00 80 C1 2A 21 4E 62 FE 48 8D 14 01 48 B8 BD 42 7A E5 D5 94 BF D6 66 44 89 47 08 48 F7 E2 48 C1 EA 17 33 C0 48 89 17 E9 C5 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_765_3_0 {
	meta:
		name = "?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
		size = 123
		refs = "0020 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 8B DA 48 8B D1 48 8D 4C 24 20 41 8B F9 41 8B F0 E8 ?? ?? ?? ?? 48 8B 44 24 28 44 0F B6 DB 41 84 7C 03 1D 75 1F 85 F6 74 15 48 8B 44 24 20 48 8B 88 40 01 00 00 42 0F B7 04 59 23 C6 EB 02 33 C0 85 C0 74 05 B8 01 00 00 00 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_765_4_0 {
	meta:
		name = "_ismbbkalnum_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 01 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_5_0 {
	meta:
		name = "_ismbbkalnum"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_6_0 {
	meta:
		name = "_ismbbkprint_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 03 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_7_0 {
	meta:
		name = "_ismbbkprint"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_8_0 {
	meta:
		name = "_ismbbkpunct_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 02 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_9_0 {
	meta:
		name = "_ismbbkpunct"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 02 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_10_0 {
	meta:
		name = "_ismbbalnum_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 01 00 00 00 48 8B C8 41 B8 07 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_11_0 {
	meta:
		name = "_ismbbalnum"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 41 B8 07 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_12_0 {
	meta:
		name = "_ismbbalpha_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 01 00 00 00 48 8B C8 41 B8 03 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_13_0 {
	meta:
		name = "_ismbbalpha"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 01 00 00 00 41 B8 03 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_14_0 {
	meta:
		name = "_ismbbgraph_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 03 00 00 00 48 8B C8 41 B8 17 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_15_0 {
	meta:
		name = "_ismbbgraph"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 41 B8 17 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_16_0 {
	meta:
		name = "_ismbbprint_l"
		size = 25
		refs = "0015 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 03 00 00 00 48 8B C8 41 B8 57 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_17_0 {
	meta:
		name = "_ismbbprint"
		size = 21
		refs = "0011 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 03 00 00 00 41 B8 57 01 00 00 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_18_0 {
	meta:
		name = "_ismbbpunct_l"
		size = 23
		refs = "0013 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 41 B9 02 00 00 00 8B D1 45 8D 41 0E 48 8B C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_19_0 {
	meta:
		name = "_ismbbpunct"
		size = 19
		refs = "000f ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 41 B9 02 00 00 00 8B D1 33 C9 45 8D 41 0E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_20_0 {
	meta:
		name = "_ismbblead_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 04 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_21_0 {
	meta:
		name = "_ismbblead"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 04 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_22_0 {
	meta:
		name = "_ismbbtrail_l"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 8B C2 8B D1 41 B9 08 00 00 00 48 8B C8 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_23_0 {
	meta:
		name = "_ismbbtrail"
		size = 18
		refs = "000e ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 8B D1 41 B9 08 00 00 00 45 33 C0 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_765_24_0 {
	meta:
		name = "_ismbbkana_l"
		size = 117
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003c ?x_ismbbtype_l@@YAHPEAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 8B F9 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 4C 8B 5C 24 28 4D 85 DB 74 32 41 81 7B 04 A4 03 00 00 75 28 41 B9 03 00 00 00 45 33 C0 8B D7 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 38 00 74 23 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 15 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_766_5_0 {
	meta:
		name = "?CalculateThroughput@HillClimbing@details@Concurrency@@AEAANIIII@Z"
		size = 36
		refs = "001b __real@4024000000000000"
	strings:
		$1 = { 66 0F EF C0 41 8B C0 66 0F EF C9 F2 48 0F 2A C0 8B C2 F2 48 0F 2A C8 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C1 C3 }
	condition:
		$1
}

rule file_766_6_0 {
	meta:
		name = "?GetRandomMove@HillClimbing@details@Concurrency@@AEAAHXZ"
		size = 25
	strings:
		$1 = { 8A 91 34 08 00 00 33 C0 84 D2 0F 95 C0 84 D2 0F 94 C2 88 91 34 08 00 00 C3 }
	condition:
		$1
}

rule file_766_7_0 {
	meta:
		name = "?Clear@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAXI@Z"
		size = 19
	strings:
		$1 = { 33 C0 89 51 14 89 41 10 48 89 01 48 89 41 08 89 41 18 C3 }
	condition:
		$1
}

rule file_766_8_0 {
	meta:
		name = "?Add@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAXNI@Z"
		size = 34
	strings:
		$1 = { FF 41 10 66 0F 28 C1 F2 0F 59 C9 F2 0F 58 01 44 89 41 18 F2 0F 58 49 08 F2 0F 11 01 F2 0F 11 49 08 C3 }
	condition:
		$1
}

rule file_766_12_0 {
	meta:
		name = "?Mean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 29
	strings:
		$1 = { 83 79 10 00 75 05 66 0F 57 C0 C3 66 0F 6E 49 10 F2 0F 10 01 F3 0F E6 C9 F2 0F 5E C1 C3 }
	condition:
		$1
}

rule file_766_13_0 {
	meta:
		name = "?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 102
		refs = "0046 fabs 004e __real@3f1a36e2eb1c432d"
	strings:
		$1 = { 48 83 EC 38 83 79 10 02 0F 29 74 24 20 66 0F 57 F6 7C 2E 8B 41 10 F2 0F 10 09 F2 0F 10 71 08 F2 0F 59 C9 66 0F 6E C0 FF C8 F3 0F E6 C0 F2 0F 5E C8 66 0F 6E C0 F3 0F E6 C0 F2 0F 5C F1 F2 0F 5E F0 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 77 04 66 0F 57 F6 66 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_766_14_0 {
	meta:
		name = "?VarianceMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 32
		refs = "000a ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 59 10 E8 ?? ?? ?? ?? 66 0F 6E CB F3 0F E6 C9 F2 0F 5E C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_766_16_0 {
	meta:
		name = "?StandardDeviationMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 73
		refs = "001b ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 0020 sqrt"
	strings:
		$1 = { 40 53 48 83 EC 30 83 79 10 00 0F 29 74 24 20 48 8B D9 75 06 66 0F 57 F6 EB 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 28 F0 66 0F 6E 43 10 F3 0F E6 C0 E8 ?? ?? ?? ?? F2 0F 5E F0 66 0F 28 C6 0F 28 74 24 20 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_766_17_0 {
	meta:
		name = "??$sign@N@@YANN@Z"
		size = 42
	strings:
		$1 = { 66 0F 57 C9 66 0F 2E C1 7A 07 75 05 66 0F 28 C1 C3 66 0F 2F C1 76 07 B8 01 00 00 00 EB 03 83 C8 FF 66 0F 6E C0 F3 0F E6 C0 C3 }
	condition:
		$1
}

rule file_766_18_0 {
	meta:
		name = "??$sign@I@@YAII@Z"
		size = 19
	strings:
		$1 = { 85 C9 75 03 33 C0 C3 83 C8 FF 85 C9 8D 50 02 0F 45 C2 C3 }
	condition:
		$1
}

rule file_766_19_0 {
	meta:
		name = "?FlushHistories@HillClimbing@details@Concurrency@@AEAAXXZ"
		size = 72
	strings:
		$1 = { 48 8D 51 14 41 B8 40 00 00 00 45 33 C9 8B 02 3B 81 14 08 00 00 74 26 3B 81 18 08 00 00 74 1E 8B 81 24 08 00 00 2B 42 04 83 F8 32 76 10 4C 89 4A EC 4C 89 4A F4 4C 89 4A FC 44 89 4A 04 48 83 C2 20 49 FF C8 75 C7 F3 C3 }
	condition:
		$1
}

rule file_766_20_0 {
	meta:
		name = "?ClearHistories@HillClimbing@details@Concurrency@@AEAAXXZ"
		size = 36
	strings:
		$1 = { 48 83 C1 08 B8 40 00 00 00 33 D2 48 89 51 F8 48 89 11 48 89 51 08 89 51 10 48 83 C1 20 48 FF C8 75 E9 F3 C3 }
	condition:
		$1
}

rule file_766_21_0 {
	meta:
		name = "?GetHistory@HillClimbing@details@Concurrency@@AEAAPEAVMeasuredHistory@123@I@Z"
		size = 38
	strings:
		$1 = { 8B C2 83 E0 3F 48 98 48 C1 E0 05 48 03 C1 39 50 14 74 12 33 C9 89 50 14 89 48 10 48 89 08 48 89 48 08 89 48 18 C3 }
	condition:
		$1
}

rule file_766_22_0 {
	meta:
		name = "??0MeasuredHistory@HillClimbing@details@Concurrency@@QEAA@XZ"
		size = 20
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 89 41 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_766_23_0 {
	meta:
		name = "?CoefficientOfVariation@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 74
		refs = "002b ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 0030 sqrt"
	strings:
		$1 = { 48 83 EC 38 83 79 10 00 66 0F 57 C9 0F 29 74 24 20 74 29 66 0F 6E 41 10 F2 0F 10 31 F3 0F E6 C0 F2 0F 5E F0 66 0F 2F CE 73 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 28 C8 F2 0F 5E CE 66 0F 28 C1 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_766_24_0 {
	meta:
		name = "?CoefficientOfVariationMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ"
		size = 103
		refs = "0014 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 0019 sqrt"
	strings:
		$1 = { 40 53 48 83 EC 40 0F 29 74 24 30 48 8B D9 0F 29 7C 24 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 66 0F 28 F8 85 C0 75 06 66 0F 57 F6 EB 10 F2 0F 10 33 66 0F 6E C0 F3 0F E6 C0 F2 0F 5E F0 66 0F 6E C0 F3 0F E6 C0 E8 ?? ?? ?? ?? F2 0F 5E F8 F2 0F 5E FE 0F 28 74 24 30 66 0F 28 C7 0F 28 7C 24 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_766_25_0 {
	meta:
		name = "?SignificanceTest@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAHPEAV1234@H@Z"
		size = 407
		refs = "0027 __security_cookie 0037 __xmm@3 003f __xmm@4 0059 __xmm@2 0067 __xmm@1 0075 __xmm@0 0086 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 00fd ??$sign@N@@YANN@Z 0106 __real@0000000000000000 0141 sqrt 014e fabs 016c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 18 48 89 68 20 56 57 41 54 48 81 EC B0 00 00 00 0F 29 70 D8 44 0F 29 40 C8 44 0F 29 48 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 8B 59 10 4D 63 E0 48 8B FA 48 8B E9 66 0F 29 44 24 20 66 0F 28 05 ?? ?? ?? ?? 66 0F 29 4C 24 30 66 0F 28 0D ?? ?? ?? ?? 66 0F 29 44 24 40 66 0F 28 05 ?? ?? ?? ?? 66 0F 29 44 24 60 66 0F 29 4C 24 50 E8 ?? ?? ?? ?? 83 7D 10 00 66 0F 6E CB 66 44 0F 28 C8 F3 0F E6 C9 F2 44 0F 5E C9 75 06 66 0F 57 F6 EB 12 66 0F 6E 45 10 F2 0F 10 75 00 F3 0F E6 C0 F2 0F 5E F0 8B 5F 10 48 8B CF E8 ?? ?? ?? ?? 8B 77 10 66 0F 6E CB 66 44 0F 28 C0 F3 0F E6 C9 F2 44 0F 5E C1 85 F6 75 06 66 0F 57 C9 EB 10 F2 0F 10 0F 66 0F 6E C6 F3 0F E6 C0 F2 0F 5E C8 F2 0F 5C F1 66 0F 28 C6 E8 ?? ?? ?? ?? 66 44 0F 2F 0D ?? ?? ?? ?? F2 0F 2C D8 76 51 66 44 0F 2F 05 ?? ?? ?? ?? 76 46 66 0F 6E 55 10 66 0F 6E CE F3 0F E6 D2 F3 0F E6 C9 F2 44 0F 5E CA F2 44 0F 5E C1 F2 45 0F 58 C1 66 41 0F 28 C0 E8 ?? ?? ?? ?? F2 0F 5E F0 66 0F 28 C6 E8 ?? ?? ?? ?? F2 42 0F 10 4C E4 18 66 0F 2F C8 76 02 33 DB 8B C3 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 B0 00 00 00 49 8B 5B 30 49 8B 6B 38 41 0F 28 73 F0 45 0F 28 43 E0 45 0F 28 4B D0 49 8B E3 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_766_26_0 {
	meta:
		name = "??0HillClimbing@details@Concurrency@@QEAA@IIPEAVSchedulerProxy@12@@Z"
		size = 116
	strings:
		$1 = { 41 BA 3F 00 00 00 48 8D 41 08 45 33 DB 4C 89 58 F8 4C 89 18 4C 89 58 08 44 89 58 10 48 83 C0 20 41 FF CA 79 E8 41 8B C0 66 0F EF C0 4C 89 89 00 08 00 00 F2 48 0F 2A C0 4C 89 99 14 08 00 00 89 91 1C 08 00 00 4C 89 99 20 08 00 00 4C 89 99 28 08 00 00 44 89 99 30 08 00 00 F2 0F 11 81 08 08 00 00 C6 81 34 08 00 00 01 44 89 81 10 08 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_766_27_0 {
	meta:
		name = "?EstablishControlSetting@HillClimbing@details@Concurrency@@AEAAXI@Z"
		size = 100
		refs = "005b ?FlushHistories@HillClimbing@details@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 8B 81 14 08 00 00 3B D0 74 51 89 81 18 08 00 00 8B C2 89 91 14 08 00 00 83 E0 3F 4C 63 C0 33 C0 49 C1 E0 05 41 39 54 08 14 74 18 41 89 44 08 10 49 89 04 08 49 89 44 08 08 41 89 54 08 14 41 89 44 08 18 49 89 04 08 49 89 44 08 08 49 89 44 08 10 41 89 44 08 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_766_28_0 {
	meta:
		name = "?CalculateThroughputSlope@HillClimbing@details@Concurrency@@AEAANHH@Z"
		size = 389
		refs = "00ef __real@3fc3333333333333 00f4 ?Variance@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 0124 sqrt 0132 fabs 0152 __mask@@NegDouble@ 015b exp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 60 0F 29 70 E8 0F 29 78 D8 44 0F 29 40 C8 45 33 D2 44 0F 29 48 B8 66 0F 6E C2 41 8B C0 2B C2 66 0F 6E D0 F3 0F E6 C0 8B C2 83 E0 3F 4C 63 C8 49 C1 E1 05 F3 0F E6 D2 F2 0F 5E D0 41 39 54 09 14 74 18 45 89 54 09 10 4D 89 14 09 4D 89 54 09 08 41 89 54 09 14 45 89 54 09 18 41 8B C0 83 E0 3F 48 63 F8 48 C1 E7 05 48 03 F9 44 39 47 14 74 13 44 89 57 10 4C 89 17 4C 89 57 08 44 89 47 14 44 89 57 18 41 8B 44 09 10 66 0F 57 FF 85 C0 75 06 66 0F 28 CF EB 12 F2 41 0F 10 0C 09 66 0F 6E C0 F3 0F E6 C0 F2 0F 5E C8 8B 5F 10 85 DB 75 07 66 44 0F 28 C7 EB 12 F2 44 0F 10 07 66 0F 6E C3 F3 0F E6 C0 F2 44 0F 5E C0 F2 44 0F 5C C1 48 8B CF 66 45 0F 28 C8 F2 44 0F 5E C9 F2 44 0F 5E CA F2 44 0F 5C 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 6E CB 8B 5F 10 48 8B CF 66 0F 28 F0 F3 0F E6 C9 F2 0F 5E F1 E8 ?? ?? ?? ?? 66 0F 6E CB F3 0F E6 C9 F2 0F 5E C1 F2 0F 58 C6 E8 ?? ?? ?? ?? 66 0F 28 F0 66 41 0F 28 C0 E8 ?? ?? ?? ?? 66 0F 2F C7 76 12 F2 41 0F 5E F0 66 0F 28 C6 E8 ?? ?? ?? ?? 66 0F 28 F8 66 0F 57 3D ?? ?? ?? ?? 66 0F 28 C7 E8 ?? ?? ?? ?? 48 8B 5C 24 70 0F 28 74 24 50 0F 28 7C 24 40 44 0F 28 44 24 30 F2 41 0F 59 C1 44 0F 28 4C 24 20 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_766_29_0 {
	meta:
		name = "?IsStableHistory@HillClimbing@details@Concurrency@@AEAA_NPEAVMeasuredHistory@123@@Z"
		size = 50
		refs = "0018 ?CoefficientOfVariationMean@MeasuredHistory@HillClimbing@details@Concurrency@@QEAANXZ 001d fabs 0025 __real@3f70624dd2f1a9fc"
	strings:
		$1 = { 48 83 EC 28 83 7A 10 05 77 21 83 7A 10 03 73 04 32 C0 EB 19 48 8B CA E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 0F 2F 05 ?? ?? ?? ?? 77 E5 B0 01 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_766_30_0 {
	meta:
		name = "?SignificanceTest@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAHNHI@Z"
		size = 70
		refs = "0017 __real@0000000000000000 003d ?SignificanceTest@MeasuredHistory@HillClimbing@details@Concurrency@@QEAAHPEAV1234@H@Z"
	strings:
		$1 = { 48 8B C4 48 83 EC 48 83 60 EC 00 66 0F 28 C1 F2 0F 59 C9 F2 0F 58 05 ?? ?? ?? ?? 48 8D 50 D8 C7 40 E8 01 00 00 00 44 89 48 F0 F2 0F 58 0D ?? ?? ?? ?? F2 0F 11 40 D8 F2 0F 11 48 E0 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_766_31_0 {
	meta:
		name = "?RecommendControlSetting@HillClimbing@details@Concurrency@@AEAAII@Z"
		size = 337
		refs = "011a ?CalculateThroughputSlope@HillClimbing@details@Concurrency@@AEAANHH@Z 0122 __real@bff0000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 41 54 48 83 EC 30 4C 8B 89 00 08 00 00 8B B9 14 08 00 00 8B DA 0F 29 70 E8 45 8B 81 E8 00 00 00 41 8B 81 B4 00 00 00 41 8B 91 DC 00 00 00 41 2B D0 48 8B F1 8B 89 10 08 00 00 3B D0 0F 47 C2 41 8D 14 00 45 03 81 B0 00 00 00 41 8B 81 EC 00 00 00 41 3B C0 44 0F 42 C0 8D 04 39 3B C3 0F 42 D8 3B F9 76 09 8B C7 2B C1 3B C3 0F 47 D8 41 BC 01 00 00 00 3B DF 75 0B 3B DA 76 04 FF CB EB 03 41 03 DC 3B D3 0F 47 DA 44 3B C3 41 0F 42 D8 3B DF 0F 84 8F 00 00 00 8B CB 2B CF 0F 84 85 00 00 00 83 C8 FF 85 C9 41 0F 45 C4 83 F8 FF 75 77 66 0F 57 F6 FF CF 3B FB 74 14 8B CB 2B CF 74 67 83 C8 FF 85 C9 41 0F 45 C4 83 F8 FF 75 59 8B C7 83 E0 3F 48 63 C8 48 C1 E1 05 39 7C 31 14 74 19 83 64 31 10 00 48 83 24 31 00 48 83 64 31 08 00 83 64 31 18 00 89 7C 31 14 83 7C 31 10 00 7E 1F 8B 96 14 08 00 00 44 8B C7 48 8B CE E8 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F F0 73 05 41 2B FC EB 92 8D 5F 01 48 8B 74 24 48 48 8B 7C 24 50 0F 28 74 24 20 8B C3 48 8B 5C 24 40 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_766_32_0 {
	meta:
		name = "?Update@HillClimbing@details@Concurrency@@QEAAIIIII@Z"
		size = 602
		refs = "0033 ?EstablishControlSetting@HillClimbing@details@Concurrency@@AEAAXI@Z 0113 __real@4024000000000000 01b1 ?IsStableHistory@HillClimbing@details@Concurrency@@AEAA_NPEAVMeasuredHistory@123@@Z 01ce ?CalculateThroughputSlope@HillClimbing@details@Concurrency@@AEAANHH@Z 01fb ??$sign@N@@YANN@Z 023d ?RecommendControlSetting@HillClimbing@details@Concurrency@@AEAAII@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 F6 0F 29 74 24 20 45 8B D9 45 8B D0 8B FA 48 8B D9 85 D2 75 07 33 C0 E9 19 02 00 00 FF 81 24 08 00 00 E8 ?? ?? ?? ?? 44 8B 83 28 08 00 00 45 85 C0 74 0E 44 03 93 2C 08 00 00 44 03 9B 30 08 00 00 8B 4C 24 60 44 3B D7 73 10 44 3B D1 73 0B 8B C7 41 2B C2 44 8B D7 44 03 D8 8B 93 20 08 00 00 83 FA 01 72 64 41 83 FA 01 73 5E 41 83 FB 01 73 58 85 C9 75 54 48 8B 83 00 08 00 00 45 8D 48 01 44 89 93 2C 08 00 00 44 89 8B 28 08 00 00 44 89 9B 30 08 00 00 8B 88 B4 00 00 00 44 8B 80 E8 00 00 00 8B 90 DC 00 00 00 41 2B D0 3B D1 0F 47 CA 41 8D 04 08 41 83 F9 03 0F 83 77 01 00 00 8B 83 14 08 00 00 E9 6C 01 00 00 8B BB 14 08 00 00 66 0F EF C9 41 8B C2 F2 48 0F 2A C8 FF C2 41 8D 48 01 8B C1 48 89 B3 2C 08 00 00 89 B3 28 08 00 00 66 0F EF C0 F2 48 0F 2A C0 89 93 20 08 00 00 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5E C8 83 FA 01 77 0B 89 BB 18 08 00 00 E9 18 01 00 00 8B C7 83 E0 3F 48 63 D0 48 C1 E2 05 48 03 D3 39 7A 14 74 10 89 72 10 48 89 32 48 89 72 08 89 7A 14 89 72 18 44 8B 83 18 08 00 00 41 8B C0 83 E0 3F 48 63 C8 48 C1 E1 05 48 03 CB 44 39 41 14 74 11 89 71 10 48 89 31 48 89 71 08 44 89 41 14 89 71 18 8B 83 24 08 00 00 FF 42 10 66 0F 28 C1 F2 0F 58 02 F2 0F 59 C9 89 42 18 F2 0F 58 4A 08 F2 0F 11 02 F2 0F 11 4A 08 39 71 10 74 64 48 3B D1 74 5F 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 44 8B 83 14 08 00 00 8B 93 18 08 00 00 48 8B CB E8 ?? ?? ?? ?? 8B 83 14 08 00 00 66 0F EF F6 F2 0F 59 83 08 08 00 00 F2 48 0F 2A F0 66 0F 28 CE F2 0F 58 C8 F2 48 0F 2C C9 3B C8 75 0E E8 ?? ?? ?? ?? F2 0F 58 C6 F2 48 0F 2C C8 8B D1 EB 2D 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 2B 8A 83 34 08 00 00 8B CE 84 C0 0F 95 C1 84 C0 0F 94 C0 88 83 34 08 00 00 8B 83 14 08 00 00 8D 14 01 48 8B CB E8 ?? ?? ?? ?? 8B F8 8B C7 48 8B 5C 24 40 48 8B 74 24 48 0F 28 74 24 20 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_767_0_0 {
	meta:
		name = "wcstok"
		size = 167
		refs = "0011 _getptd"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 E8 ?? ?? ?? ?? 45 33 C0 4C 8B D8 48 85 DB 75 2D 48 8B 58 28 EB 27 48 8B C7 66 44 39 07 74 14 0F B7 17 66 3B D1 74 0C 48 83 C0 02 0F B7 10 66 85 D2 75 EF 66 44 39 00 74 0C 48 83 C3 02 0F B7 0B 66 85 C9 75 D1 48 8B C3 EB 27 48 8B CF 66 44 39 07 74 14 0F B7 17 66 3B 13 74 0C 48 83 C1 02 0F B7 11 66 85 D2 75 EF 66 44 39 01 75 0C 48 83 C3 02 66 44 39 03 75 D3 EB 08 66 44 89 03 48 83 C3 02 48 3B C3 49 89 5B 28 48 8B 5C 24 30 49 0F 44 C0 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_768_3_0 {
	meta:
		name = "__ascii_stricmp"
		size = 57
	strings:
		$1 = { 4C 8B C9 45 0F B6 01 49 FF C1 41 8D 40 BF 83 F8 19 77 04 41 83 C0 20 0F B6 0A 48 FF C2 8D 41 BF 83 F8 19 77 03 83 C1 20 45 85 C0 74 05 44 3B C1 74 D1 44 2B C1 41 8B C0 C3 }
	condition:
		$1
}

rule file_768_4_0 {
	meta:
		name = "_stricmp_l"
		size = 214
		refs = "0025 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 002f _errno 003a _invalid_parameter_noinfo 006c __ascii_stricmp 008f _tolower_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 40 48 8B F1 48 8B FA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 48 85 F6 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 6B 48 85 FF 74 D3 48 8B 45 E0 83 78 14 00 75 1E 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 80 7D F8 00 74 4B 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 3E 48 2B F7 0F B6 0C 3E 48 8D 55 E0 E8 ?? ?? ?? ?? 0F B6 0F 48 8D 55 E0 8B D8 E8 ?? ?? ?? ?? 48 FF C7 85 DB 74 04 3B D8 74 DA 2B D8 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_769_1_0 {
	meta:
		name = "_ftime32_s"
		size = 400
		refs = "0015 __security_cookie 0033 _errno 003d _invalid_parameter_noinfo 004f __security_check_cookie 0069 __tzset 0073 _get_timezone 00a1 __imp_GetSystemTimeAsFileTime 00c0 elapsed_minutes_cache 00cd __imp_GetTimeZoneInformation 00fd dstflag_cache 018b _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 81 EC 00 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 F0 00 00 00 33 DB 48 8B F9 89 5C 24 30 48 85 C9 75 36 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 8C 24 F0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 FC 00 00 00 B8 89 88 88 88 48 8D 4C 24 38 F7 6C 24 30 03 54 24 30 C1 FA 05 8B C2 C1 E8 1F 03 D0 66 89 57 06 FF 15 ?? ?? ?? ?? 48 8B 4C 24 38 48 B8 A7 BE D7 05 C2 9E 10 E5 48 F7 E1 48 8B F2 48 C1 EE 1D 3B 35 ?? ?? ?? ?? 74 43 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 83 F8 FF 74 1D 83 F8 02 75 1B 66 39 9C 24 DA 00 00 00 74 11 39 9C 24 E8 00 00 00 74 08 8D 58 FF EB 03 83 CB FF 48 8B 4C 24 38 89 1D ?? ?? ?? ?? 89 35 ?? ?? ?? ?? EB 06 8B 1D ?? ?? ?? ?? 48 B8 4B 59 86 38 D6 C5 6D 34 66 89 5F 08 48 F7 E1 48 B8 77 BE 9F 1A 2F DD 24 06 4C 8B C2 49 C1 E8 0B 49 F7 E0 49 8B C0 48 2B C2 48 D1 E8 48 03 C2 48 C1 E8 09 48 69 C0 E8 03 00 00 4C 2B C0 48 B8 00 80 C1 2A 21 4E 62 FE 48 8D 14 01 48 B8 BD 42 7A E5 D5 94 BF D6 66 44 89 47 04 48 F7 E2 48 C1 EA 17 33 C0 89 17 E9 C8 FE FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_770_0_0 {
	meta:
		name = "cosf"
		size = 768
		refs = "006a L__real_3fe0000000000000 0090 L__real_411E848000000000 00ac L__real_3fe45f306dc9c883 00c7 L__real_3ff921fb54400000 00d3 L__real_3dd0b4611a626331 00f7 L__real_3dd0b4611a600000 00ff L__real_3ba3198a2e037073 0173 L__real_3fc5555555555555 0194 L__real_3ff0000000000000 01d9 Lcsarray 02b3 __remainder_piby2f 02f4 _cosf_special"
	strings:
		$1 = { 48 81 EC F8 00 00 00 66 0F 7E C2 B8 00 00 80 7F 44 8B D0 44 23 D2 44 3B D0 0F 84 D4 02 00 00 66 0F 57 D2 4C 8B DA F3 0F 5A C0 F2 0F 11 04 24 48 8B 14 24 49 BA FF FF FF FF FF FF FF 7F 4C 23 D2 41 B8 01 00 00 00 F2 0F 10 C8 48 B8 18 2D 44 54 FB 21 E9 3F 4C 3B D0 7F 27 F2 0F 10 D0 F2 0F 59 D2 33 C0 49 8B D2 F2 0F 10 2D ?? ?? ?? ?? E9 5D 01 00 00 66 66 66 66 66 0F 1F 84 00 00 00 00 00 49 3B D2 74 08 F2 0F 5C D0 F2 0F 10 C2 4C 3B 15 ?? ?? ?? ?? 0F 83 F6 01 00 00 66 0F 1F 44 00 00 F2 0F 10 D0 F2 0F 10 E0 F2 0F 59 15 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? 4D 8B CA 49 C1 E9 34 F2 0F 58 D5 F2 0F 10 1D ?? ?? ?? ?? 66 0F E6 C2 F2 0F 10 0D ?? ?? ?? ?? F3 0F E6 D0 F2 0F 59 DA F2 0F 5C E3 F2 0F 59 CA 66 0F 7E C0 F2 0F 10 C4 F2 0F 5C C1 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? 66 48 0F 7E C1 48 D1 E1 48 C1 E9 35 4C 2B C9 49 83 F9 0F 7E 28 F2 0F 10 CC F2 0F 59 DA F2 0F 59 EA F2 0F 5C E3 F2 0F 5C CC F2 0F 5C CB F2 0F 5C E9 F2 0F 10 C4 F2 0F 10 CD F2 0F 5C C5 F2 0F 10 D0 F2 0F 59 D0 F2 0F 10 C8 F2 0F 10 2D ?? ?? ?? ?? 48 81 F9 F2 03 00 00 0F 8D 6F 00 00 00 48 81 F9 DE 03 00 00 7E 46 44 23 C0 74 21 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 DA F2 0F 5C CB E9 E4 00 00 00 0F 1F 84 00 00 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 5C CA E9 C3 00 00 00 0F 1F 80 00 00 00 00 44 23 C0 0F 85 B3 00 00 00 F2 0F 10 0D ?? ?? ?? ?? E9 A6 00 00 00 66 66 0F 1F 84 00 00 00 00 00 44 23 C0 74 4B F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E4 F2 0F 59 DA F2 0F 59 D0 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 CA F2 0F 58 C8 EB 51 0F 1F 44 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 E2 F2 0F 59 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 E4 F2 0F 59 DA F2 0F 59 EA F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 58 1D ?? ?? ?? ?? F2 0F 58 CB F2 0F 59 CC F2 0F 5C 2D ?? ?? ?? ?? F2 0F 5C CD 83 C0 01 83 E0 02 74 0C 66 0F 57 D2 F2 0F 5C D1 F2 0F 10 CA F2 0F 5A C1 48 81 C4 F8 00 00 00 C3 0F 1F 40 00 48 89 14 24 4C 89 54 24 10 66 48 0F 7E C1 48 8D 94 24 B0 00 00 00 4C 8D 84 24 A0 00 00 00 48 83 EC 20 E8 ?? ?? ?? ?? 48 83 C4 20 48 8B 14 24 4C 8B 54 24 10 41 B8 01 00 00 00 F2 0F 10 84 24 B0 00 00 00 8B 84 24 A0 00 00 00 F2 0F 10 D0 F2 0F 59 D0 F2 0F 10 C8 F2 0F 10 2D ?? ?? ?? ?? E9 DD FE FF FF E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 C3 }
	condition:
		$1
}

rule file_774_2_0 {
	meta:
		name = "acosf"
		size = 670
		refs = "0075 ??_C@_05FFFCHCED@acosf?$AA@ 007f _handle_errorf 0091 ?piby2@?1??acosf@@9@9 009e __real@3f800000 00b1 __real@bf800000 00bd __real@40490fdb 00cc _controlfp_s 0114 __mask@@NegFloat@ 0134 __real@3f000000 0170 __real@bc5b3fe1 017b __real@3b81ce6b 0187 __real@3f8d6fa5 0193 __real@3d678bdd 019f __real@3e3c94dc 01ab __real@3f561f0d 01d7 ?piby2_tail@?1??acosf@@9@9 01e3 ?pi@?1??acosf@@9@9 01eb __real@4000000000000000 0200 __real@40000000 0268 ?piby2_head@?1??acosf@@9@9"
	strings:
		$1 = { 48 83 EC 68 0F 57 D2 0F 28 C8 0F 29 74 24 50 F3 0F 11 54 24 70 F3 0F 11 8C 24 80 00 00 00 44 8B 84 24 80 00 00 00 41 8B C0 41 8B D0 C1 E8 17 81 E2 00 00 00 80 0F B6 C8 41 8B C0 0F BA F0 1F 83 E9 7F 3D 00 00 80 7F 76 3F 41 B9 01 00 00 00 49 0F BA E8 16 44 89 4C 24 40 F3 0F 11 54 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0D 00 00 00 E8 ?? ?? ?? ?? E9 0C 02 00 00 83 F9 E6 7D 0A F3 0F 10 35 ?? ?? ?? ?? EB 2A 85 C9 78 6F 0F 2E 0D ?? ?? ?? ?? 7A 0A 75 08 0F 28 C2 E9 E6 01 00 00 0F 2E 0D ?? ?? ?? ?? 7A 21 75 1F F3 0F 10 35 ?? ?? ?? ?? BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 0F 28 C6 E9 BC 01 00 00 41 B9 01 00 00 00 41 B8 00 00 C0 FF 44 89 4C 24 40 F3 0F 11 54 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 68 FF FF FF 0F 28 E8 85 D2 74 07 0F 57 2D ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 35 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C D5 F3 0F 59 15 ?? ?? ?? ?? F3 0F 11 54 24 78 F3 0F 10 44 24 78 F3 0F 51 C0 F3 0F 11 44 24 70 F3 0F 10 5C 24 70 0F 28 EB EB 13 F3 0F 10 5C 24 70 0F 28 D5 F3 0F 59 D5 F3 0F 11 54 24 78 F3 0F 10 35 ?? ?? ?? ?? 0F 28 C2 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C F0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 F2 F3 0F 5C 35 ?? ?? ?? ?? F3 0F 59 F2 F3 0F 58 35 ?? ?? ?? ?? F3 0F 59 F2 F3 0F 59 15 ?? ?? ?? ?? F3 0F 5C C2 F3 0F 5E F0 85 C0 0F 84 A5 00 00 00 85 D2 74 39 F3 0F 59 F5 0F 14 DB 0F 5A C3 0F 14 F6 0F 5A CE F2 0F 5C 0D ?? ?? ?? ?? F2 0F 58 C8 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C C1 F2 0F 5A C0 E9 98 00 00 00 F3 0F 10 15 ?? ?? ?? ?? F3 0F 11 9C 24 80 00 00 00 8B 84 24 80 00 00 00 25 00 00 FF FF 89 84 24 80 00 00 00 F3 0F 59 EA F3 0F 59 EE F3 0F 10 A4 24 80 00 00 00 F3 0F 10 5C 24 78 0F 28 C4 0F 28 CC F3 0F 58 4C 24 70 F3 0F 59 C4 F3 0F 59 E2 F3 0F 5C D8 F3 0F 5E D9 F3 0F 59 DA F3 0F 58 DD F3 0F 58 DC 0F 28 C3 EB 30 F2 0F 10 15 ?? ?? ?? ?? 0F 14 C9 F3 0F 59 F1 0F 5A D9 F2 0F 10 0D ?? ?? ?? ?? 0F 14 F6 0F 5A C6 F2 0F 5C C8 F2 0F 5C D9 F2 0F 5C D3 F2 0F 5A C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_775_0_0 {
	meta:
		name = "_mtinitlocks"
		size = 132
		refs = "0018 _locktable 003a lclcritsects 0047 __imp_InitializeCriticalSectionAndSpinCount"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 83 EC 20 4C 8D 25 ?? ?? ?? ?? 33 F6 33 DB 49 8B FC 83 7F 08 01 75 26 48 63 C6 BA A0 0F 00 00 FF C6 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 48 89 0F FF 15 ?? ?? ?? ?? 85 C0 74 26 FF C3 48 83 C7 10 83 FB 24 7C C9 B8 01 00 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5C C3 48 63 C3 48 03 C0 49 83 24 C4 00 33 C0 EB DB }
	condition:
		$1
}

rule file_775_1_0 {
	meta:
		name = "_mtdeletelocks"
		size = 135
		refs = "001c _locktable 0035 __imp_DeleteCriticalSection 003d free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 BF 24 00 00 00 48 8D 1D ?? ?? ?? ?? 8B F7 48 8B 2B 48 85 ED 74 1B 83 7B 08 01 74 15 48 8B CD FF 15 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 83 23 00 48 83 C3 10 48 FF CE 75 D4 48 8D 1D ?? ?? ?? ?? 48 8B 4B F8 48 85 C9 74 0B 83 3B 01 75 06 FF 15 ?? ?? ?? ?? 48 83 C3 10 48 FF CF 75 E3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_775_2_0 {
	meta:
		name = "_unlock"
		size = 24
		refs = "0006 _locktable 0014 __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 63 C9 48 8D 05 ?? ?? ?? ?? 48 03 C9 48 8B 0C C8 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_775_3_0 {
	meta:
		name = "_lockerr_exit"
		size = 29
		refs = "000b __imp_FatalAppExitA 0019 __crtExitProcess"
	strings:
		$1 = { 48 83 EC 28 48 8B D1 33 C9 FF 15 ?? ?? ?? ?? B9 FF 00 00 00 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_775_4_0 {
	meta:
		name = "_mtinitlocknum"
		size = 230
		refs = "0020 _crtheap 0028 _FF_MSGBANNER 0030 _NMSG_WRITE 003a __crtExitProcess 0047 _locktable 005d _malloc_crt 006a _errno 007e _lock 0095 __imp_InitializeCriticalSectionAndSpinCount 00a1 free 00ca __imp_LeaveCriticalSection"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 55 48 83 EC 20 48 63 D9 BE 01 00 00 00 48 83 3D ?? ?? ?? ?? 00 75 17 E8 ?? ?? ?? ?? 8D 4E 1D E8 ?? ?? ?? ?? B9 FF 00 00 00 E8 ?? ?? ?? ?? 48 8B FB 48 03 FF 4C 8D 2D ?? ?? ?? ?? 49 83 7C FD 00 00 74 04 8B C6 EB 79 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 58 B9 0A 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB 49 83 7C FD 00 00 75 2D BA A0 0F 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 17 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 F6 EB 0D 49 89 5C FD 00 EB 06 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? EB 83 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5D C3 }
	condition:
		$1
}

rule file_775_5_0 {
	meta:
		name = "_mtinitlocknum$fin$0"
		size = 30
		refs = "000c _locktable 0012 __imp_LeaveCriticalSection"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_775_6_0 {
	meta:
		name = "_lock"
		size = 68
		refs = "0010 _locktable 001f _mtinitlocknum 002b _amsg_exit 0040 __imp_EnterCriticalSection"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 D9 48 8D 3D ?? ?? ?? ?? 48 03 DB 48 83 3C DF 00 75 11 E8 ?? ?? ?? ?? 85 C0 75 08 8D 48 11 E8 ?? ?? ?? ?? 48 8B 0C DF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_776_0_0 {
	meta:
		name = "_wcsnset"
		size = 31
	strings:
		$1 = { 48 8B C1 45 33 C9 EB 10 49 FF C8 66 44 39 09 74 0C 66 89 11 48 83 C1 02 4D 85 C0 75 EB F3 C3 }
	condition:
		$1
}

rule file_777_0_0 {
	meta:
		name = "_time32"
		size = 85
		refs = "0010 __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 48 8B 54 24 30 49 BB 00 80 C1 2A 21 4E 62 FE 49 03 D3 48 B8 BD 42 7A E5 D5 94 BF D6 48 F7 E2 48 83 C8 FF 48 C1 EA 17 48 81 FA 7F D2 FF 7F 48 0F 4F D0 48 85 DB 74 02 89 13 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_778_0_0 {
	meta:
		name = "fputs"
		size = 305
		refs = "002c _errno 0037 _invalid_parameter_noinfo 0059 _fileno 0074 __pioinfo 0086 __badioinfo 00d0 strlen 00db _lock_file 00e4 _stbuf 00f9 _fwrite_nolock 0106 _ftbuf 010f _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 41 54 48 83 EC 20 48 8B FA 48 8B F1 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 D8 00 00 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 DC F6 42 18 40 75 77 48 8B CA E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 88 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 0F 85 5F FF FF FF 48 8B CE E8 ?? ?? ?? ?? 4C 8B E0 48 8B CF E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B D8 4C 8B CF 4D 8B C4 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 49 2B F4 48 F7 DE 1B C0 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_780_0_0 {
	meta:
		name = "_splitpath_s"
		size = 670
		refs = "00e4 strncpy_s 0109 _ismbblead 0263 _errno 026f _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 20 4C 8B A4 24 98 00 00 00 4C 8B AC 24 88 00 00 00 48 8B F9 4C 8B F2 33 D2 4D 8B F9 8B CA 89 54 24 60 4D 8B D0 48 85 FF 74 0A 4D 85 F6 75 0F 4D 85 C0 74 0F B9 01 00 00 00 E9 C2 01 00 00 4D 85 C0 74 F1 4D 85 C9 75 0C 48 39 94 24 80 00 00 00 75 E2 EB 0A 48 39 94 24 80 00 00 00 74 D6 4D 85 ED 75 0C 48 39 94 24 90 00 00 00 75 C7 EB 0A 48 39 94 24 90 00 00 00 74 BB 4D 85 E4 75 0C 48 39 94 24 A0 00 00 00 75 AC EB 0A 48 39 94 24 A0 00 00 00 74 A0 B8 01 00 00 00 48 8B DF 38 13 74 08 48 FF C3 48 FF C8 75 F4 80 3B 3A 75 2B 4D 85 F6 74 20 49 83 F8 03 0F 82 44 01 00 00 41 B9 02 00 00 00 4C 8B C7 49 8B D2 49 8B CE E8 ?? ?? ?? ?? 33 D2 48 8D 7B 01 EB 08 4D 85 F6 74 03 41 88 16 48 8B EA 48 8B F2 48 8B DF 38 17 74 69 0F BE 0B E8 ?? ?? ?? ?? 33 D2 85 C0 74 05 48 FF C3 EB 17 8A 03 3C 2F 74 0D 3C 5C 74 09 3C 2E 75 09 48 8B F3 EB 04 48 8D 6B 01 48 FF C3 38 13 75 CF 48 85 ED 74 33 4D 85 FF 74 29 4C 8B CD 4C 2B CF 4C 39 8C 24 80 00 00 00 0F 86 B7 00 00 00 48 8B 94 24 80 00 00 00 4C 8B C7 49 8B CF E8 ?? ?? ?? ?? 33 D2 48 8B FD EB 08 4D 85 FF 74 03 41 88 17 48 85 F6 74 59 48 3B F7 72 54 4D 85 ED 74 25 4C 8B CE 4C 2B CF 4C 39 8C 24 90 00 00 00 76 7A 48 8B 94 24 90 00 00 00 4C 8B C7 49 8B CD E8 ?? ?? ?? ?? 33 D2 4D 85 E4 74 58 48 2B DE 48 39 9C 24 A0 00 00 00 76 53 48 8B 94 24 A0 00 00 00 4C 8B CB 4C 8B C6 49 8B CC E8 ?? ?? ?? ?? EB 33 4D 85 ED 74 25 48 2B DF 48 39 9C 24 90 00 00 00 76 29 48 8B 94 24 90 00 00 00 4C 8B CB 4C 8B C7 49 8B CD E8 ?? ?? ?? ?? 33 D2 4D 85 E4 74 04 41 88 14 24 33 C0 EB 7E 8B CA EB 04 8B 4C 24 60 4C 8B 54 24 70 4D 85 F6 74 08 4D 85 D2 74 03 41 88 16 4D 85 FF 74 0D 48 39 94 24 80 00 00 00 76 03 41 88 17 4D 85 ED 74 0E 48 39 94 24 90 00 00 00 76 04 41 88 55 00 4D 85 E4 74 0E 48 39 94 24 A0 00 00 00 76 04 41 88 14 24 48 85 FF 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 12 85 C9 75 E7 E8 ?? ?? ?? ?? B9 22 00 00 00 89 08 8B C1 48 8B 5C 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_782_4_0 {
	meta:
		name = "_toupper_l"
		size = 333
		refs = "001a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0040 _isctype_l 009f _isleadbyte_l 00bb _errno 010c __crtLCMapStringA"
	strings:
		$1 = { 48 89 74 24 10 48 89 7C 24 20 55 48 8B EC 48 83 EC 70 48 63 F9 48 8D 4D E0 E8 ?? ?? ?? ?? 81 FF 00 01 00 00 73 5E 4C 8B 45 E0 41 83 B8 0C 01 00 00 01 7E 16 4C 8D 45 E0 BA 02 00 00 00 8B CF E8 ?? ?? ?? ?? 4C 8B 45 E0 EB 0E 49 8B 80 40 01 00 00 0F B7 04 78 83 E0 02 85 C0 74 10 49 8B 80 50 01 00 00 0F B6 04 38 E9 BE 00 00 00 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 8B C7 E9 B7 00 00 00 48 8B 45 E0 83 B8 0C 01 00 00 01 7E 29 8B F7 48 8D 55 E0 C1 FE 08 40 0F B6 CE E8 ?? ?? ?? ?? 85 C0 74 13 40 88 75 10 40 88 7D 11 C6 45 12 00 BA 02 00 00 00 EB 18 E8 ?? ?? ?? ?? BA 01 00 00 00 C7 00 2A 00 00 00 40 88 7D 10 C6 45 11 00 48 8B 4D E0 C7 44 24 40 01 00 00 00 4C 8D 4D 10 8B 41 04 41 B8 00 02 00 00 89 44 24 38 48 8D 45 20 C7 44 24 30 03 00 00 00 48 89 44 24 28 89 54 24 20 8B 51 14 48 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 0F 84 54 FF FF FF 83 F8 01 0F B6 45 20 74 09 0F B6 4D 21 C1 E0 08 0B C1 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 70 49 8B 73 18 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_782_5_0 {
	meta:
		name = "toupper"
		size = 30
		refs = "0002 __locale_changed 001a _toupper_l"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0E 8D 41 9F 83 F8 19 77 03 83 C1 E0 8B C1 C3 33 D2 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_783_0_0 {
	meta:
		name = "_mbstok_l"
		size = 62
		refs = "0019 _getptd 003a _mbstok_s_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D8 48 8B FA 48 8B F1 E8 ?? ?? ?? ?? 4C 8B CB 48 8B D7 4C 8D 40 30 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_785_0_0 {
	meta:
		name = "_lseek_nolock"
		size = 150
		refs = "001a _get_osfhandle 0025 _errno 0041 __imp_SetFilePointer 004e __imp_GetLastError 005d _dosmaperr 006c __pioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 63 D9 41 8B F8 8B F2 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF EB 52 44 8B CF 45 33 C0 8B D6 48 8B C8 FF 15 ?? ?? ?? ?? 8B F8 83 F8 FF 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 09 8B C8 E8 ?? ?? ?? ?? EB CC 48 8B CB 48 8B C3 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 80 64 08 08 FD 8B C7 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_785_1_0 {
	meta:
		name = "_lseek"
		size = 223
		refs = "0024 __doserrno 002c _errno 0041 _nhandle 0054 __pioinfo 0070 __lock_fhandle 0089 _lseek_nolock 00aa _unlock_fhandle 00c6 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 57 41 54 41 55 41 56 48 83 EC 20 41 8B F0 44 8B E2 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 8F 00 00 00 85 C9 78 73 3B 3D ?? ?? ?? ?? 73 6B 48 8B DF 4C 8B EF 49 C1 FD 05 4C 8D 35 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 4B 8B 04 EE 0F BE 4C 18 08 83 E1 01 74 45 8B CF E8 ?? ?? ?? ?? 90 4B 8B 04 EE F6 44 18 08 01 74 11 44 8B C6 41 8B D4 8B CF E8 ?? ?? ?? ?? 8B D8 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_947_1_0 {
	meta:
		name = "_locking"
		size = 223
		refs = "0024 __doserrno 002c _errno 0041 _nhandle 0054 __pioinfo 0070 __lock_fhandle 0089 _locking_nolock 00aa _unlock_fhandle 00c6 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 10 89 4C 24 08 56 57 41 54 41 55 41 56 48 83 EC 20 41 8B F0 44 8B E2 48 63 F9 83 FF FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 8F 00 00 00 85 C9 78 73 3B 3D ?? ?? ?? ?? 73 6B 48 8B DF 4C 8B EF 49 C1 FD 05 4C 8D 35 ?? ?? ?? ?? 83 E3 1F 48 6B DB 58 4B 8B 04 EE 0F BE 4C 18 08 83 E1 01 74 45 8B CF E8 ?? ?? ?? ?? 90 4B 8B 04 EE F6 44 18 08 01 74 11 44 8B C6 41 8B D4 8B CF E8 ?? ?? ?? ?? 8B D8 EB 16 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 20 00 83 CB FF 8B CF E8 ?? ?? ?? ?? 8B C3 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 58 48 83 C4 20 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_786_2_0 {
	meta:
		name = "acos"
		size = 767
		refs = "009e ??_C@_04PDIFKINK@acos?$AA@ 00a8 _handle_error 00ba ?piby2@?1??acos@@9@9 00c8 __real@3ff0000000000000 00dd __real@bff0000000000000 00e9 ?pi@?1??acos@@9@9 00f8 _controlfp_s 0148 __mask@@NegDouble@ 016c __real@3fe0000000000000 01b2 __real@3f0951665d321061 01ba __real@3fbb1a422982ce76 01c2 __real@3f51e5f887a62135 01ca __real@3fee324ab418f78d 01da __real@3fac28d390c29690 01e2 __real@40062021571dccfc 01f2 __real@3fd1a2bec1b7ef59 01fa __real@400a4646f903cdea 020a __real@3fdc7b297e269eac 0212 __real@3ff5d6b12001f228 021e __real@3fcd1e4180029834 0247 ?piby2_tail@?1??acos@@9@9 0253 __real@4000000000000000"
	strings:
		$1 = { 48 83 EC 68 66 0F 57 C9 48 B8 00 00 00 00 00 00 00 80 49 B9 FF FF FF FF FF FF FF 7F F2 0F 11 4C 24 70 F2 0F 11 84 24 80 00 00 00 0F 29 74 24 50 4C 8B 84 24 80 00 00 00 49 8B D0 49 8B C8 66 0F 28 D0 48 23 D0 48 C1 E9 34 49 8B C0 49 23 C1 81 E1 FF 07 00 00 49 B9 00 00 00 00 00 00 F0 7F 81 E9 FF 03 00 00 49 3B C1 76 47 41 B9 01 00 00 00 48 B8 00 00 00 00 00 00 08 00 44 89 4C 24 40 4C 0B C0 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0D 00 00 00 E8 ?? ?? ?? ?? E9 44 02 00 00 83 F9 C8 7D 0A F2 0F 10 35 ?? ?? ?? ?? EB 2D 85 C9 78 77 66 0F 2E 05 ?? ?? ?? ?? 7A 0B 75 09 66 0F 28 C1 E9 1C 02 00 00 66 0F 2E 05 ?? ?? ?? ?? 7A 22 75 20 F2 0F 10 35 ?? ?? ?? ?? BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 66 0F 28 C6 E9 F0 01 00 00 41 B9 01 00 00 00 49 B8 00 00 00 00 00 00 F8 FF 44 89 4C 24 40 F2 0F 11 4C 24 38 F2 0F 11 44 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 60 FF FF FF 66 0F 28 F0 48 85 D2 74 08 66 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 3A F2 0F 10 1D ?? ?? ?? ?? 66 0F 57 C9 F2 0F 5C DE F2 0F 59 1D ?? ?? ?? ?? F2 0F 11 5C 24 78 F2 0F 10 44 24 78 F2 0F 51 C8 F2 0F 11 4C 24 70 F2 0F 10 64 24 70 66 0F 28 F4 EB 14 F2 0F 10 64 24 70 66 0F 28 DE F2 0F 59 DE F2 0F 11 5C 24 78 66 0F 28 EB 66 0F 28 C3 F2 0F 59 2D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 2D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 59 C3 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 59 C3 F2 0F 58 2D ?? ?? ?? ?? F2 0F 5C 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 59 C3 F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 EB F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 EB F2 0F 5E E8 85 C0 0F 84 A3 00 00 00 48 85 D2 74 29 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EE F2 0F 5C 2D ?? ?? ?? ?? F2 0F 58 EC F2 0F 59 2D ?? ?? ?? ?? F2 0F 5C C5 E9 95 00 00 00 F2 0F 10 15 ?? ?? ?? ?? F2 0F 11 A4 24 80 00 00 00 48 B9 00 00 00 00 FF FF FF FF 48 8B 84 24 80 00 00 00 48 23 C1 48 89 84 24 80 00 00 00 F2 0F 59 F2 F2 0F 59 F5 F2 0F 10 A4 24 80 00 00 00 F2 0F 10 5C 24 78 66 0F 28 C4 66 0F 28 CC F2 0F 58 4C 24 70 F2 0F 59 C4 F2 0F 59 E2 F2 0F 5C D8 F2 0F 5E D9 F2 0F 59 DA F2 0F 58 DE F2 0F 58 DC 66 0F 28 C3 EB 20 F2 0F 10 05 ?? ?? ?? ?? F2 0F 59 EA F2 0F 5C C5 F2 0F 5C D0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 5C C2 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_787_0_0 {
	meta:
		name = "wcsstr"
		size = 98
	strings:
		$1 = { 66 83 3A 00 4C 8B CA 4C 8B C1 75 04 48 8B C1 C3 0F B7 01 66 85 C0 74 43 4C 8B DA 49 F7 DB 49 8B D1 66 85 C0 74 22 4F 8D 14 03 66 83 3A 00 74 2E 41 0F B7 0C 12 0F B7 02 3B C8 75 0C 48 83 C2 02 66 41 83 3C 12 00 75 E2 66 83 3A 00 74 10 49 83 C0 02 41 0F B7 00 66 85 C0 75 C3 33 C0 C3 49 8B C0 C3 }
	condition:
		$1
}

rule file_788_2_0 {
	meta:
		name = "asinf"
		size = 606
		refs = "0075 ??_C@_05ECHIKDO@asinf?$AA@ 007f _handle_errorf 0094 __real@3f800000 00a0 ?piby2@?1??asinf@@9@9 00a9 __real@bf800000 00b5 __real@bfc90fdb 00c4 _controlfp_s 0109 __mask@@NegFloat@ 0129 __real@3f000000 0165 __real@bc5b3fe1 0170 __real@3b81ce6b 017c __real@3f8d6fa5 0188 __real@3d678bdd 0194 __real@3e3c94dc 01a0 __real@3f561f0d 01c1 __real@40000000 020d ?piby2_tail@?1??asinf@@9@9 021d ?hpiby2_head@?1??asinf@@9@9"
	strings:
		$1 = { 48 83 EC 68 0F 57 C9 0F 29 74 24 50 0F 28 F0 F3 0F 11 4C 24 70 F3 0F 11 B4 24 80 00 00 00 44 8B 84 24 80 00 00 00 41 8B C0 41 8B D0 C1 E8 17 81 E2 00 00 00 80 0F B6 C8 41 8B C0 0F BA F0 1F 83 E9 7F 3D 00 00 80 7F 76 3F 41 B9 01 00 00 00 49 0F BA E8 16 44 89 4C 24 40 F3 0F 11 4C 24 38 F3 0F 11 74 24 30 C7 44 24 28 21 00 00 00 83 64 24 20 00 48 8D 0D ?? ?? ?? ?? BA 0E 00 00 00 E8 ?? ?? ?? ?? E9 CC 01 00 00 83 F9 F2 7C 2C 85 C9 78 71 0F 2E 35 ?? ?? ?? ?? 7A 0C 75 0A F3 0F 10 35 ?? ?? ?? ?? EB 13 0F 2E 35 ?? ?? ?? ?? 7A 21 75 1F F3 0F 10 35 ?? ?? ?? ?? BA 10 00 00 00 33 C9 44 8B C2 E8 ?? ?? ?? ?? 0F 28 C6 E9 84 01 00 00 41 B9 01 00 00 00 41 B8 00 00 C0 FF 44 89 4C 24 40 F3 0F 11 4C 24 38 F3 0F 11 74 24 30 C7 44 24 28 21 00 00 00 C7 44 24 20 08 00 00 00 E9 70 FF FF FF 85 D2 74 07 0F 57 35 ?? ?? ?? ?? 33 C0 83 F9 FF 0F 9D C0 85 C0 74 35 F3 0F 10 15 ?? ?? ?? ?? F3 0F 5C D6 F3 0F 59 15 ?? ?? ?? ?? F3 0F 11 54 24 78 F3 0F 10 44 24 78 F3 0F 51 C0 F3 0F 11 44 24 70 F3 0F 10 5C 24 70 0F 28 F3 EB 13 F3 0F 10 5C 24 70 0F 28 D6 F3 0F 59 D6 F3 0F 11 54 24 78 F3 0F 10 0D ?? ?? ?? ?? 0F 28 C2 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C C8 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 CA F3 0F 5C 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 CA F3 0F 59 15 ?? ?? ?? ?? F3 0F 5C C2 F3 0F 5E C8 85 C0 0F 84 8A 00 00 00 F3 0F 11 9C 24 80 00 00 00 F3 0F 10 1D ?? ?? ?? ?? 8B 84 24 80 00 00 00 25 00 00 FF FF 89 84 24 80 00 00 00 F3 0F 10 A4 24 80 00 00 00 F3 0F 10 6C 24 70 F3 0F 10 54 24 78 F3 0F 59 EB 0F 28 C4 F3 0F 59 E9 F3 0F 59 C4 0F 28 CC F3 0F 58 4C 24 70 F3 0F 5C D0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 E3 F3 0F 5E D1 F3 0F 10 0D ?? ?? ?? ?? F3 0F 59 D3 F3 0F 5C C2 F3 0F 5C E8 0F 28 C1 F3 0F 5C C4 F3 0F 5C E8 F3 0F 5C CD EB 08 F3 0F 59 CE F3 0F 58 CE 85 D2 74 07 0F 57 0D ?? ?? ?? ?? 0F 28 C1 0F 28 74 24 50 48 83 C4 68 C3 }
	condition:
		$1
}

rule file_789_1_0 {
	meta:
		name = "_ZeroTail"
		size = 77
	strings:
		$1 = { 8B C2 4C 8B C9 B9 1F 00 00 00 99 23 D1 03 C2 44 8B C0 23 C1 2B C2 83 CA FF 41 C1 F8 05 2B C8 49 63 C0 D3 E2 F7 D2 41 85 14 81 74 03 33 C0 C3 41 8D 40 01 48 98 EB 0A 41 83 3C 81 00 75 EE 48 FF C0 48 83 F8 03 7C F0 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_789_2_0 {
	meta:
		name = "_IncMan"
		size = 118
	strings:
		$1 = { 4C 8B C9 8B C2 B9 1F 00 00 00 99 41 BA 01 00 00 00 23 D1 03 C2 44 8B C0 23 C1 2B C2 41 C1 F8 05 33 D2 2B C8 4D 63 D8 43 8B 04 99 41 D3 E2 42 8D 0C 10 3B C8 72 05 41 3B CA 73 05 BA 01 00 00 00 41 FF C8 43 89 0C 99 49 63 C8 78 27 85 D2 74 23 41 8B 04 89 33 D2 44 8D 40 01 44 3B C0 72 06 41 83 F8 01 73 05 BA 01 00 00 00 45 89 04 89 48 FF C9 79 D9 8B C2 C3 }
	condition:
		$1
}

rule file_789_3_0 {
	meta:
		name = "_RoundMan"
		size = 303
		refs = "0110 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 8D 7A FF 33 DB 41 83 CB FF 8D 73 1F 8D 47 01 4C 8B C9 99 44 8B EE 44 8D 43 03 23 D6 03 C2 44 8B E0 23 C6 2B C2 41 C1 FC 05 44 2B E8 49 63 EC 8B 04 A9 44 0F A3 E8 0F 83 97 00 00 00 41 8B CD 41 8B D3 4D 63 D4 D3 E2 F7 D2 43 85 14 91 75 18 41 8D 42 01 48 98 EB 09 41 39 1C 81 75 0A 48 FF C0 49 3B C0 7C F2 EB 6C 8B C7 BF 01 00 00 00 99 23 D6 03 C2 44 8B D0 23 C6 2B C2 41 C1 FA 05 2B F0 40 8A CE 49 63 F2 41 8B 04 B1 D3 E7 8B CB 8D 14 38 3B D0 72 04 3B D7 73 05 B9 01 00 00 00 41 FF CA 41 89 14 B1 49 63 D2 78 27 85 C9 74 23 41 8B 04 91 8B CB 44 8D 50 01 44 3B D0 72 06 41 83 FA 01 73 05 B9 01 00 00 00 45 89 14 91 48 FF CA 79 D9 8B D9 41 8D 44 24 01 41 8B CD 41 D3 E3 48 63 D0 45 21 1C A9 49 3B D0 7D 12 4C 2B C2 49 8D 0C 91 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 48 8B 6C 24 48 48 8B 74 24 50 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_789_4_0 {
	meta:
		name = "_CopyMan"
		size = 25
	strings:
		$1 = { 48 2B CA 41 B8 03 00 00 00 8B 02 89 04 11 48 83 C2 04 49 FF C8 75 F2 F3 C3 }
	condition:
		$1
}

rule file_789_6_0 {
	meta:
		name = "_IsZeroMan"
		size = 26
	strings:
		$1 = { 33 D2 83 3C 91 00 75 0F 48 FF C2 48 83 FA 03 7C F1 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_789_7_0 {
	meta:
		name = "_ShrMan"
		size = 161
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 7C 24 20 8B C2 45 33 C0 83 CB FF 99 4C 8B D1 41 8D 70 20 83 E2 1F 45 8D 58 03 03 C2 44 8B C8 83 E0 1F 2B C2 41 C1 F9 05 49 8B D2 8B C8 8B F8 D3 E3 2B F0 F7 D3 8B 02 8B CF 23 C3 89 44 24 10 8B 02 D3 E8 8B CE 41 0B C0 44 8B 44 24 10 89 02 41 D3 E0 48 83 C2 04 49 FF CB 75 DA 4D 63 C9 41 8D 53 02 49 8D 4A 08 4D 8B C1 49 F7 D8 49 3B D1 7C 08 42 8B 04 81 89 01 EB 03 83 21 00 48 83 E9 04 48 FF CA 79 E7 48 8B 5C 24 08 48 8B 74 24 18 48 8B 7C 24 20 C3 }
	condition:
		$1
}

rule file_789_8_0 {
	meta:
		name = "_ld12cvt"
		size = 1488
		refs = "001a __security_cookie 01ac memset 05b4 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 0F B7 41 0A 33 DB 4D 8B F8 8B F8 25 00 80 00 00 4C 89 45 D0 89 45 C4 8B 41 06 81 E7 FF 7F 00 00 89 45 D8 8B 41 02 81 EF FF 3F 00 00 89 45 DC 0F B7 01 41 B8 1F 00 00 00 C1 E0 10 48 89 55 C8 8D 73 01 45 8D 60 E4 89 45 E0 81 FF 01 C0 FF FF 75 29 44 8B C3 8B C3 39 5C 85 D8 75 0D 48 03 C6 49 3B C4 7C F2 E9 E3 04 00 00 48 89 5D D8 89 5D E0 BB 02 00 00 00 E9 D2 04 00 00 45 8B 4F 08 48 8D 4D D8 45 8B D8 48 8B 01 41 83 CE FF 89 7D C0 48 89 45 E8 8B 41 08 44 8B EB 89 45 F0 41 8B C1 99 41 23 D0 03 C2 44 8B D0 41 23 C0 2B C2 41 C1 FA 05 44 2B D8 49 63 C2 8B 4C 85 D8 44 0F A3 D9 0F 83 95 00 00 00 41 8B CB 41 8B C6 4D 63 C2 D3 E0 F7 D0 42 85 44 85 D8 75 18 42 8D 04 06 48 98 EB 09 39 5C 85 D8 75 0A 48 03 C6 49 3B C4 7C F2 EB 69 B9 1F 00 00 00 41 8D 41 FF 99 23 D1 03 C2 44 8B C0 23 C1 2B C2 41 C1 F8 05 8B D6 2B C8 4D 63 C8 42 8B 44 8D D8 D3 E2 8D 0C 10 3B C8 72 04 3B CA 73 03 44 8B EE 44 2B C6 42 89 4C 8D D8 49 63 D0 78 27 45 85 ED 74 22 8B 44 95 D8 44 8B EB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 03 44 8B EE 44 89 44 95 D8 48 2B D6 79 D9 41 8B CB 41 8B C6 D3 E0 49 63 CA 21 44 8D D8 41 8D 42 01 48 63 D0 49 3B D4 7D 16 48 8D 4C 95 D8 4D 8B C4 4C 2B C2 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 45 85 ED 74 02 03 FE 41 8B 57 04 8B C2 41 2B 47 08 3B F8 7D 14 48 89 5D D8 89 5D E0 44 8B C3 BB 02 00 00 00 E9 94 03 00 00 3B FA 0F 8F 4A 02 00 00 2B 55 C0 48 8D 45 E8 41 8B FE 48 8B 08 41 BF 20 00 00 00 44 8B CB 48 89 4D D8 8B 48 08 8B C2 99 89 4D E0 B9 1F 00 00 00 23 D1 4C 8D 45 D8 4D 8B D4 03 C2 44 8B D8 23 C1 2B C2 41 C1 FB 05 8B C8 44 8B E8 D3 E7 44 2B F8 F7 D7 41 8B 10 41 8B CD 8B C2 D3 EA 41 8B CF 41 0B D1 23 C7 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B D6 75 D8 41 8D 7A 02 4D 63 D3 4D 8B CA 44 8B C7 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D8 89 4C 15 D8 EB 05 42 89 5C 85 D8 4C 2B C6 79 DC 48 8B 45 D0 41 BD 1F 00 00 00 44 8B 48 08 45 8B DD 44 2B CE 41 8D 41 01 99 41 23 D5 03 C2 44 8B D0 41 23 C5 41 C1 FA 05 2B C2 4D 63 FA 44 2B D8 42 8B 4C BD D8 44 0F A3 D9 0F 83 9C 00 00 00 41 8B CB 41 8B C6 4D 63 C2 D3 E0 F7 D0 42 85 44 85 D8 75 18 42 8D 04 06 48 98 EB 09 39 5C 85 D8 75 0A 48 03 C6 49 3B C4 7C F2 EB 70 41 8B C1 41 8B CD 44 8B CE 99 41 23 D5 03 C2 44 8B C0 41 23 C5 2B C2 41 C1 F8 05 2B C8 4D 63 E8 42 8B 44 AD D8 41 D3 E1 8B CB 42 8D 14 08 3B D0 72 05 41 3B D1 73 02 8B CE 44 2B C6 42 89 54 AD D8 49 63 D0 78 24 85 C9 74 20 8B 44 95 D8 8B CB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 02 8B CE 44 89 44 95 D8 48 2B D6 79 DC 41 BD 1F 00 00 00 41 8B CB 41 8B C6 D3 E0 42 21 44 BD D8 41 8D 42 01 48 63 D0 49 3B D4 7D 16 48 8D 4C 95 D8 4D 8B C4 4C 2B C2 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 4C 8B 7D D0 44 8B CB 4C 8D 45 D8 41 8B 47 0C 03 C6 99 41 23 D5 03 C2 44 8B D0 41 23 C5 41 BD 20 00 00 00 2B C2 41 C1 FA 05 8B C8 44 8B D8 41 D3 E6 44 2B E8 41 F7 D6 41 8B 10 41 8B CB 8B C2 D3 EA 41 8B CD 41 0B D1 41 23 C6 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B E6 75 D7 4D 63 D2 4C 8B C7 4D 8B CA 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D8 89 4C 15 D8 EB 05 42 89 5C 85 D8 4C 2B C6 79 DC 44 8B C3 8B DF E9 42 01 00 00 B9 1F 00 00 00 41 3B 3F 0F 8C A0 00 00 00 41 8B 47 0C BF 20 00 00 00 48 89 5D D8 0F BA 6D D8 1F 99 89 5D E0 23 D1 44 8B CB 4C 8D 45 D8 03 C2 44 8B D0 23 C1 2B C2 41 C1 FA 05 8B C8 44 8B D8 41 D3 E6 2B F8 41 F7 D6 41 8B 10 41 8B CB 8B C2 D3 EA 8B CF 41 0B D1 41 23 C6 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B E6 75 D8 4D 63 CA 41 8D 7C 24 02 4D 8B C1 49 F7 D8 49 3B F9 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 82 8B 4C 05 D8 89 4C 15 D8 EB 04 89 5C BD D8 48 2B FE 79 DD 45 8B 47 14 8B DE 45 03 07 E9 94 00 00 00 41 8B 47 14 0F BA 75 D8 1F 41 BD 20 00 00 00 44 8D 04 07 41 8B 47 0C 44 8B D3 99 4C 8D 4D D8 23 D1 03 C2 44 8B D8 23 C1 2B C2 41 C1 FB 05 8B C8 8B F8 41 D3 E6 44 2B E8 41 F7 D6 41 8B 11 8B CF 8B C2 D3 EA 41 8B CD 41 0B D2 41 23 C6 89 45 C0 41 89 11 49 83 C1 04 44 8B 55 C0 41 D3 E2 4C 2B E6 75 D8 4D 63 D3 41 8D 7C 24 02 4D 8B CA 49 F7 D9 49 3B FA 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D8 89 4C 15 D8 EB 04 89 5C BD D8 48 2B FE 79 DD 48 8B 55 C8 B9 1F 00 00 00 41 2B 4F 0C 41 D3 E0 F7 5D C4 1B C0 25 00 00 00 80 44 0B C0 44 0B 45 D8 41 83 7F 10 40 75 0B 8B 45 DC 44 89 42 04 89 02 EB 0A 41 83 7F 10 20 75 03 44 89 02 8B C3 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_789_9_0 {
	meta:
		name = "_ld12tod"
		size = 1483
		refs = "001a __security_cookie 009b DoubleFormat 01a8 memset 05af __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 0F B7 41 0A 33 DB 41 BF 1F 00 00 00 8B F8 25 00 80 00 00 48 89 55 C8 89 45 C4 8B 41 06 81 E7 FF 7F 00 00 89 45 D0 8B 41 02 81 EF FF 3F 00 00 89 45 D4 0F B7 01 8D 73 01 C1 E0 10 45 8D 67 E4 89 45 D8 81 FF 01 C0 FF FF 75 29 44 8B C3 8B C3 39 5C 85 D0 75 0D 48 03 C6 49 3B C4 7C F2 E9 E2 04 00 00 48 89 5D D0 89 5D D8 BB 02 00 00 00 E9 D1 04 00 00 44 8B 0D ?? ?? ?? ?? 48 8D 4D D0 45 8B DF 48 8B 01 41 83 CE FF 89 7D C0 48 89 45 E0 8B 41 08 44 8B EB 89 45 E8 41 8B C1 99 41 23 D7 03 C2 44 8B D0 41 23 C7 2B C2 41 C1 FA 05 44 2B D8 49 63 C2 8B 4C 85 D0 44 0F A3 D9 0F 83 95 00 00 00 41 8B CB 41 8B C6 4D 63 C2 D3 E0 F7 D0 42 85 44 85 D0 75 18 42 8D 04 06 48 98 EB 09 39 5C 85 D0 75 0A 48 03 C6 49 3B C4 7C F2 EB 69 41 8D 41 FF 41 8B CF 99 41 23 D7 03 C2 44 8B C0 41 23 C7 2B C2 41 C1 F8 05 8B D6 2B C8 4D 63 C8 42 8B 44 8D D0 D3 E2 8D 0C 10 3B C8 72 04 3B CA 73 03 44 8B EE 44 2B C6 42 89 4C 8D D0 49 63 D0 78 27 45 85 ED 74 22 8B 44 95 D0 44 8B EB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 03 44 8B EE 44 89 44 95 D0 48 2B D6 79 D9 41 8B CB 41 8B C6 D3 E0 49 63 CA 21 44 8D D0 41 8D 42 01 48 63 D0 49 3B D4 7D 16 48 8D 4C 95 D0 4D 8B C4 4C 2B C2 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 45 85 ED 74 02 03 FE 8B 15 ?? ?? ?? ?? 8B C2 2B 05 ?? ?? ?? ?? 3B F8 7D 14 48 89 5D D0 89 5D D8 44 8B C3 BB 02 00 00 00 E9 8C 03 00 00 3B FA 0F 8F 3F 02 00 00 2B 55 C0 48 8D 45 E0 41 8B FE 48 8B 08 44 8B CB 4C 8D 45 D0 48 89 4D D0 8B 48 08 8B C2 99 89 4D D8 4D 8B D4 41 23 D7 03 C2 44 8B D8 41 23 C7 41 BF 20 00 00 00 2B C2 41 C1 FB 05 8B C8 44 8B E8 D3 E7 44 2B F8 F7 D7 41 8B 10 41 8B CD 8B C2 D3 EA 41 8B CF 41 0B D1 23 C7 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B D6 75 D8 41 8D 7A 02 4D 63 D3 4D 8B CA 44 8B C7 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D0 89 4C 15 D0 EB 05 42 89 5C 85 D0 4C 2B C6 79 DC 44 8B 0D ?? ?? ?? ?? 41 BD 1F 00 00 00 41 8B C1 45 8B DD 99 41 23 D5 03 C2 44 8B D0 41 23 C5 41 C1 FA 05 2B C2 4D 63 FA 44 2B D8 42 8B 4C BD D0 44 0F A3 D9 0F 83 97 00 00 00 41 8B CB 41 8B C6 4D 63 C2 D3 E0 F7 D0 42 85 44 85 D0 75 18 42 8D 04 06 48 98 EB 09 39 5C 85 D0 75 0A 48 03 C6 49 3B C4 7C F2 EB 6B 41 8D 41 FF 41 8B CD 44 8B CE 99 41 23 D5 03 C2 44 8B C0 41 23 C5 2B C2 41 C1 F8 05 2B C8 4D 63 E8 42 8B 44 AD D0 41 D3 E1 8B CB 42 8D 14 08 3B D0 72 05 41 3B D1 73 02 8B CE 44 2B C6 42 89 54 AD D0 49 63 D0 78 24 85 C9 74 20 8B 44 95 D0 8B CB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 02 8B CE 44 89 44 95 D0 48 2B D6 79 DC 41 8B CB 41 8B C6 D3 E0 42 21 44 BD D0 41 8D 42 01 48 63 D0 49 3B D4 7D 16 48 8D 4C 95 D0 4D 8B C4 4C 2B C2 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 41 BF 1F 00 00 00 44 8B CB FF C0 45 8D 6F 01 4C 8D 45 D0 99 41 23 D7 03 C2 44 8B D0 41 23 C7 2B C2 41 C1 FA 05 8B C8 44 8B D8 41 D3 E6 44 2B E8 41 F7 D6 41 8B 10 41 8B CB 8B C2 D3 EA 41 8B CD 41 0B D1 41 23 C6 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B E6 75 D7 4D 63 D2 4C 8B C7 4D 8B CA 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D0 89 4C 15 D0 EB 05 42 89 5C 85 D0 4C 2B C6 79 DC 44 8B C3 8B DF E9 45 01 00 00 8B 05 ?? ?? ?? ?? 99 41 23 D7 03 C2 3B 3D ?? ?? ?? ?? 0F 8C 9F 00 00 00 44 8B D0 41 23 C7 BF 20 00 00 00 2B C2 48 89 5D D0 0F BA 6D D0 1F 8B C8 41 C1 FA 05 89 5D D8 41 D3 E6 44 8B D8 44 8B CB 41 F7 D6 2B F8 4C 8D 45 D0 41 8B 10 41 8B CB 8B C2 D3 EA 8B CF 41 0B D1 41 23 C6 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B E6 75 D8 4D 63 CA 41 8D 7C 24 02 4D 8B C1 49 F7 D8 49 3B F9 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 82 8B 4C 05 D0 89 4C 15 D0 EB 04 89 5C BD D0 48 2B FE 79 DD 44 8B 05 ?? ?? ?? ?? 8B DE 44 03 05 ?? ?? ?? ?? E9 8E 00 00 00 44 8B 05 ?? ?? ?? ?? 0F BA 75 D0 1F 44 8B D8 41 23 C7 44 03 C7 41 BD 20 00 00 00 2B C2 41 C1 FB 05 44 8B D3 8B C8 8B F8 4C 8D 4D D0 41 D3 E6 44 2B E8 41 F7 D6 41 8B 11 8B CF 8B C2 D3 EA 41 8B CD 41 0B D2 41 23 C6 89 45 C0 41 89 11 49 83 C1 04 44 8B 55 C0 41 D3 E2 4C 2B E6 75 D8 4D 63 D3 41 8D 7C 24 02 4D 8B CA 49 F7 D9 49 3B FA 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D0 89 4C 15 D0 EB 04 89 5C BD D0 48 2B FE 79 DD 48 8B 55 C8 44 2B 3D ?? ?? ?? ?? 41 8A CF 41 D3 E0 F7 5D C4 1B C0 25 00 00 00 80 44 0B C0 8B 05 ?? ?? ?? ?? 44 0B 45 D0 83 F8 40 75 0B 8B 45 D4 44 89 42 04 89 02 EB 08 83 F8 20 75 03 44 89 02 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_789_10_0 {
	meta:
		name = "_ld12tof"
		size = 1483
		refs = "001a __security_cookie 009b FloatFormat 01a8 memset 05af __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 0F B7 41 0A 33 DB 41 BF 1F 00 00 00 8B F8 25 00 80 00 00 48 89 55 C8 89 45 C4 8B 41 06 81 E7 FF 7F 00 00 89 45 D0 8B 41 02 81 EF FF 3F 00 00 89 45 D4 0F B7 01 8D 73 01 C1 E0 10 45 8D 67 E4 89 45 D8 81 FF 01 C0 FF FF 75 29 44 8B C3 8B C3 39 5C 85 D0 75 0D 48 03 C6 49 3B C4 7C F2 E9 E2 04 00 00 48 89 5D D0 89 5D D8 BB 02 00 00 00 E9 D1 04 00 00 44 8B 0D ?? ?? ?? ?? 48 8D 4D D0 45 8B DF 48 8B 01 41 83 CE FF 89 7D C0 48 89 45 E0 8B 41 08 44 8B EB 89 45 E8 41 8B C1 99 41 23 D7 03 C2 44 8B D0 41 23 C7 2B C2 41 C1 FA 05 44 2B D8 49 63 C2 8B 4C 85 D0 44 0F A3 D9 0F 83 95 00 00 00 41 8B CB 41 8B C6 4D 63 C2 D3 E0 F7 D0 42 85 44 85 D0 75 18 42 8D 04 06 48 98 EB 09 39 5C 85 D0 75 0A 48 03 C6 49 3B C4 7C F2 EB 69 41 8D 41 FF 41 8B CF 99 41 23 D7 03 C2 44 8B C0 41 23 C7 2B C2 41 C1 F8 05 8B D6 2B C8 4D 63 C8 42 8B 44 8D D0 D3 E2 8D 0C 10 3B C8 72 04 3B CA 73 03 44 8B EE 44 2B C6 42 89 4C 8D D0 49 63 D0 78 27 45 85 ED 74 22 8B 44 95 D0 44 8B EB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 03 44 8B EE 44 89 44 95 D0 48 2B D6 79 D9 41 8B CB 41 8B C6 D3 E0 49 63 CA 21 44 8D D0 41 8D 42 01 48 63 D0 49 3B D4 7D 16 48 8D 4C 95 D0 4D 8B C4 4C 2B C2 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 45 85 ED 74 02 03 FE 8B 15 ?? ?? ?? ?? 8B C2 2B 05 ?? ?? ?? ?? 3B F8 7D 14 48 89 5D D0 89 5D D8 44 8B C3 BB 02 00 00 00 E9 8C 03 00 00 3B FA 0F 8F 3F 02 00 00 2B 55 C0 48 8D 45 E0 41 8B FE 48 8B 08 44 8B CB 4C 8D 45 D0 48 89 4D D0 8B 48 08 8B C2 99 89 4D D8 4D 8B D4 41 23 D7 03 C2 44 8B D8 41 23 C7 41 BF 20 00 00 00 2B C2 41 C1 FB 05 8B C8 44 8B E8 D3 E7 44 2B F8 F7 D7 41 8B 10 41 8B CD 8B C2 D3 EA 41 8B CF 41 0B D1 23 C7 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B D6 75 D8 41 8D 7A 02 4D 63 D3 4D 8B CA 44 8B C7 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D0 89 4C 15 D0 EB 05 42 89 5C 85 D0 4C 2B C6 79 DC 44 8B 0D ?? ?? ?? ?? 41 BD 1F 00 00 00 41 8B C1 45 8B DD 99 41 23 D5 03 C2 44 8B D0 41 23 C5 41 C1 FA 05 2B C2 4D 63 FA 44 2B D8 42 8B 4C BD D0 44 0F A3 D9 0F 83 97 00 00 00 41 8B CB 41 8B C6 4D 63 C2 D3 E0 F7 D0 42 85 44 85 D0 75 18 42 8D 04 06 48 98 EB 09 39 5C 85 D0 75 0A 48 03 C6 49 3B C4 7C F2 EB 6B 41 8D 41 FF 41 8B CD 44 8B CE 99 41 23 D5 03 C2 44 8B C0 41 23 C5 2B C2 41 C1 F8 05 2B C8 4D 63 E8 42 8B 44 AD D0 41 D3 E1 8B CB 42 8D 14 08 3B D0 72 05 41 3B D1 73 02 8B CE 44 2B C6 42 89 54 AD D0 49 63 D0 78 24 85 C9 74 20 8B 44 95 D0 8B CB 44 8D 40 01 44 3B C0 72 05 44 3B C6 73 02 8B CE 44 89 44 95 D0 48 2B D6 79 DC 41 8B CB 41 8B C6 D3 E0 42 21 44 BD D0 41 8D 42 01 48 63 D0 49 3B D4 7D 16 48 8D 4C 95 D0 4D 8B C4 4C 2B C2 33 D2 49 C1 E0 02 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 41 BF 1F 00 00 00 44 8B CB FF C0 45 8D 6F 01 4C 8D 45 D0 99 41 23 D7 03 C2 44 8B D0 41 23 C7 2B C2 41 C1 FA 05 8B C8 44 8B D8 41 D3 E6 44 2B E8 41 F7 D6 41 8B 10 41 8B CB 8B C2 D3 EA 41 8B CD 41 0B D1 41 23 C6 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B E6 75 D7 4D 63 D2 4C 8B C7 4D 8B CA 49 F7 D9 4D 3B C2 7C 15 49 8B D0 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D0 89 4C 15 D0 EB 05 42 89 5C 85 D0 4C 2B C6 79 DC 44 8B C3 8B DF E9 45 01 00 00 8B 05 ?? ?? ?? ?? 99 41 23 D7 03 C2 3B 3D ?? ?? ?? ?? 0F 8C 9F 00 00 00 44 8B D0 41 23 C7 BF 20 00 00 00 2B C2 48 89 5D D0 0F BA 6D D0 1F 8B C8 41 C1 FA 05 89 5D D8 41 D3 E6 44 8B D8 44 8B CB 41 F7 D6 2B F8 4C 8D 45 D0 41 8B 10 41 8B CB 8B C2 D3 EA 8B CF 41 0B D1 41 23 C6 89 45 C0 41 89 10 49 83 C0 04 44 8B 4D C0 41 D3 E1 4C 2B E6 75 D8 4D 63 CA 41 8D 7C 24 02 4D 8B C1 49 F7 D8 49 3B F9 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 82 8B 4C 05 D0 89 4C 15 D0 EB 04 89 5C BD D0 48 2B FE 79 DD 44 8B 05 ?? ?? ?? ?? 8B DE 44 03 05 ?? ?? ?? ?? E9 8E 00 00 00 44 8B 05 ?? ?? ?? ?? 0F BA 75 D0 1F 44 8B D8 41 23 C7 44 03 C7 41 BD 20 00 00 00 2B C2 41 C1 FB 05 44 8B D3 8B C8 8B F8 4C 8D 4D D0 41 D3 E6 44 2B E8 41 F7 D6 41 8B 11 8B CF 8B C2 D3 EA 41 8B CD 41 0B D2 41 23 C6 89 45 C0 41 89 11 49 83 C1 04 44 8B 55 C0 41 D3 E2 4C 2B E6 75 D8 4D 63 D3 41 8D 7C 24 02 4D 8B CA 49 F7 D9 49 3B FA 7C 15 48 8B D7 48 C1 E2 02 4A 8D 04 8A 8B 4C 05 D0 89 4C 15 D0 EB 04 89 5C BD D0 48 2B FE 79 DD 48 8B 55 C8 44 2B 3D ?? ?? ?? ?? 41 8A CF 41 D3 E0 F7 5D C4 1B C0 25 00 00 00 80 44 0B C0 8B 05 ?? ?? ?? ?? 44 0B 45 D0 83 F8 40 75 0B 8B 45 D4 44 89 42 04 89 02 EB 08 83 F8 20 75 03 44 89 02 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_789_11_0 {
	meta:
		name = "_ld12told"
		size = 235
		refs = "0012 __security_cookie 00d7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 10 44 0F B7 59 0A 44 0F B7 09 BD FF 7F 00 00 8D 45 01 45 0F B7 D3 45 33 C0 41 C1 E1 10 66 44 23 D8 8B 41 02 48 8B DA 8B 51 06 66 44 23 D5 44 89 4C 24 08 41 8D 78 01 89 14 24 45 85 C9 79 59 41 F7 C1 FF FF FF 7F 74 50 8D 50 01 41 8B C8 3B D0 72 04 3B D7 73 02 8B CF 89 54 24 04 49 8B D0 85 C9 74 2E 8B 04 94 41 8B C8 44 8D 48 01 44 3B C8 72 05 44 3B CF 73 02 8B CF 44 89 0C 94 48 2B D7 79 DD 85 C9 74 0B BA 00 00 00 80 66 44 03 D7 EB 03 8B 14 24 8B 44 24 04 66 44 3B D5 89 03 89 53 04 44 0F 44 C7 66 45 0B DA 66 44 89 5B 08 41 8B C0 48 8B 4C 24 10 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_790_1_0 {
	meta:
		name = "__free_lconv_mon"
		size = 266
		refs = "0018 __lconv_c 001f free"
	strings:
		$1 = { 48 85 C9 0F 84 00 01 00 00 53 48 83 EC 20 48 8B D9 48 8B 49 18 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 20 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 28 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 30 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 38 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 40 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 48 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 68 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 70 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 4B 78 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 80 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 88 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 8B 8B 90 00 00 00 48 3B 0D ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_790_2_0 {
	meta:
		name = "__init_monetary"
		size = 1204
		refs = "003f __lconv_c 0057 _calloc_crt 0075 _malloc_crt 0085 free 00d5 __getlocaleinfo 0382 __free_lconv_mon 03e1 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 33 DB 48 8B F1 48 89 4D F0 44 8B EB 48 89 5D F8 39 59 18 75 14 39 59 1C 75 0F 44 8B F3 4C 8D 25 ?? ?? ?? ?? E9 FF 03 00 00 41 BF 98 00 00 00 B9 01 00 00 00 41 8B D7 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 75 0A B8 01 00 00 00 E9 29 04 00 00 BF 04 00 00 00 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 75 0A 49 8B CC E8 ?? ?? ?? ?? EB D8 89 18 39 5E 18 0F 84 3D 03 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 75 0D 49 8B CC E8 ?? ?? ?? ?? 49 8B CE EB D1 89 18 0F B7 7E 38 41 B9 15 00 00 00 49 8D 44 24 18 48 8D 4D F0 41 8D 51 EC 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 49 8D 4C 24 20 41 B9 14 00 00 00 48 89 4C 24 20 41 8D 51 ED 48 8D 4D F0 44 8B C7 8B D8 E8 ?? ?? ?? ?? 49 8D 4C 24 28 41 B9 16 00 00 00 48 89 4C 24 20 41 8D 51 EB 48 8D 4D F0 44 8B C7 0B D8 E8 ?? ?? ?? ?? 41 B9 17 00 00 00 48 8D 4D F0 0B D8 49 8D 44 24 30 41 8D 51 EA 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 18 00 00 00 4D 8D 7C 24 38 48 8D 4D F0 41 8D 51 E9 44 8B C7 0B D8 4C 89 7C 24 20 E8 ?? ?? ?? ?? 41 B9 50 00 00 00 0B D8 49 8D 44 24 40 48 8D 4D F0 41 8D 51 B1 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 51 00 00 00 0B D8 49 8D 44 24 48 48 8D 4D F0 41 8D 51 B0 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 1A 00 00 00 0B D8 49 8D 44 24 50 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 19 00 00 00 0B D8 49 8D 44 24 51 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 54 00 00 00 0B D8 49 8D 44 24 52 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 49 8D 44 24 53 48 8D 4D F0 41 B9 55 00 00 00 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 0B D8 49 8D 44 24 54 41 B9 56 00 00 00 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 57 00 00 00 0B D8 49 8D 44 24 55 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 52 00 00 00 0B D8 49 8D 44 24 56 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8D 4D F0 41 B9 53 00 00 00 0B D8 49 8D 44 24 57 44 8B C7 33 D2 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 15 00 00 00 48 8D 4D F0 0B D8 49 8D 44 24 68 41 8D 51 ED 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 14 00 00 00 48 8D 4D F0 0B D8 49 8D 44 24 70 41 8D 51 EE 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 16 00 00 00 48 8D 4D F0 0B D8 49 8D 44 24 78 41 8D 51 EC 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 17 00 00 00 48 8D 4D F0 0B D8 49 8D 84 24 80 00 00 00 41 8D 51 EB 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 41 B9 50 00 00 00 48 8D 4D F0 0B D8 49 8D 84 24 88 00 00 00 41 8D 51 B2 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 0B D8 41 B9 51 00 00 00 49 8D 84 24 90 00 00 00 48 8D 4D F0 41 8D 51 B1 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 0B C3 74 20 49 8B CC E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 49 8B CE E8 ?? ?? ?? ?? 49 8B CD E9 E6 FC FF FF 49 8B 17 33 DB EB 11 8A 02 3C 30 7C 11 3C 39 7F 0D 2C 30 88 02 48 FF C2 38 1A 75 EB EB 29 3C 3B 75 F3 4C 8B C2 41 8A 40 01 41 88 00 49 FF C0 84 C0 75 F2 EB E3 48 8D 15 ?? ?? ?? ?? 49 8B CC 4D 8B C7 E8 ?? ?? ?? ?? 48 8B 86 28 01 00 00 48 8B 08 49 89 0C 24 48 8B 86 28 01 00 00 48 8B 48 08 49 89 4C 24 08 48 8B 86 28 01 00 00 48 8B 48 10 49 89 4C 24 10 48 8B 86 28 01 00 00 48 8B 48 58 49 89 4C 24 58 48 8B 86 28 01 00 00 48 8B 48 60 49 89 4C 24 60 41 C7 06 01 00 00 00 4D 85 ED 74 08 41 C7 45 00 01 00 00 00 48 8B 86 20 01 00 00 48 85 C0 74 03 F0 FF 08 48 8B 8E 10 01 00 00 48 85 C9 74 1D F0 FF 09 75 18 48 8B 8E 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 8E 10 01 00 00 E8 ?? ?? ?? ?? 4C 89 AE 20 01 00 00 4C 89 B6 10 01 00 00 4C 89 A6 28 01 00 00 33 C0 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_791_0_0 {
	meta:
		name = "_stbuf"
		size = 209
		refs = "0014 _fileno 001b _isatty 0028 __iob_func 004e _cflush 005e _stdbuf 0072 _malloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 41 54 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 97 00 00 00 E8 ?? ?? ?? ?? 48 83 C0 30 48 3B D8 75 04 33 C0 EB 13 E8 ?? ?? ?? ?? 48 83 C0 60 48 3B D8 75 77 B8 01 00 00 00 FF 05 ?? ?? ?? ?? F7 43 18 0C 01 00 00 75 63 4C 8D 25 ?? ?? ?? ?? 48 63 F8 49 83 3C FC 00 75 2B B9 00 10 00 00 E8 ?? ?? ?? ?? 49 89 04 FC 48 85 C0 75 18 48 8D 43 20 48 89 43 10 48 89 03 B8 02 00 00 00 89 43 24 89 43 08 EB 19 49 8B 0C FC C7 43 24 00 10 00 00 C7 43 08 00 10 00 00 48 89 4B 10 48 89 0B 81 4B 18 02 11 00 00 B8 01 00 00 00 EB 02 33 C0 48 8B 5C 24 30 48 8B 7C 24 38 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_791_1_0 {
	meta:
		name = "_ftbuf"
		size = 55
		refs = "0019 _flush"
	strings:
		$1 = { 85 C9 74 32 53 48 83 EC 20 F7 42 18 00 10 00 00 48 8B DA 74 1C 48 8B CA E8 ?? ?? ?? ?? 81 63 18 FF EE FF FF 83 63 24 00 48 83 23 00 48 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_7_0 {
	meta:
		name = "??0ThreadInternalContext@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z"
		size = 44
		refs = "000a ??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z 0011 ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@ 0018 ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 89 43 10 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_21_0 {
	meta:
		name = "?CreateVirtualProcessor@ThreadScheduler@details@Concurrency@@UEAAPEAVVirtualProcessor@23@PEAVSchedulingNode@23@PEAUIVirtualProcessorRoot@3@@Z"
		size = 74
		refs = "0020 ??2@YAPEAX_K@Z 003a ??0ThreadVirtualProcessor@details@Concurrency@@QEAA@PEAVSchedulingNode@12@PEAUIVirtualProcessorRoot@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 49 8B D8 48 8B FA B9 10 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 44 24 58 33 C0 48 85 C9 74 0C 4C 8B C3 48 8B D7 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_792_23_0 {
	meta:
		name = "?CreateInternalContext@ThreadScheduler@details@Concurrency@@MEAAPEAVInternalContextBase@23@XZ"
		size = 96
		refs = "001d ??2@YAPEAX_K@Z 0035 ??0InternalContextBase@details@Concurrency@@QEAA@PEAVSchedulerBase@12@@Z 003c ??_7ThreadInternalContext@details@Concurrency@@6BIExecutionContext@2@@ 0046 ??_7ThreadInternalContext@details@Concurrency@@6BContextBase@12@@"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B F9 B9 50 01 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 48 85 C0 74 22 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 8D 05 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_792_31_0 {
	meta:
		name = "?HasWorkPending@ThreadScheduler@details@Concurrency@@MEAA_NXZ"
		size = 40
		refs = "0013 ?HasWorkPending@SchedulerBase@details@Concurrency@@MEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 81 30 02 00 00 33 DB 85 C0 7F 09 E8 ?? ?? ?? ?? 84 C0 74 05 BB 01 00 00 00 8A C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_792_32_0 {
	meta:
		name = "?DestroySchedulerEventHandlers@ThreadScheduler@details@Concurrency@@MEAAXXZ"
		size = 42
		refs = "0019 __imp_SetEvent 0026 ?DestroySchedulerEventHandlers@SchedulerBase@details@Concurrency@@MEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 81 10 02 00 00 01 48 8B 89 28 02 00 00 FF 15 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_792_36_0 {
	meta:
		name = "?AddTail@?$List@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@@Z"
		size = 82
		altNames = "?UnlockedAddTail@?$SafeRWList@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 48 8B 01 4C 8B C1 48 85 C0 75 10 48 89 92 D8 00 00 00 48 89 92 E0 00 00 00 EB 33 48 8B 80 D8 00 00 00 48 89 82 D8 00 00 00 48 8B 01 48 89 82 E0 00 00 00 48 8B 01 48 8B 88 D8 00 00 00 48 89 91 E0 00 00 00 49 8B 00 48 89 90 D8 00 00 00 49 89 10 C3 }
	condition:
		$1
}

rule file_792_37_0 {
	meta:
		name = "?RemoveHead@?$List@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAPEAVVirtualProcessor@23@XZ"
		size = 66
	strings:
		$1 = { 48 8B 01 48 8B D1 48 85 C0 75 02 F3 C3 4C 8B 80 D8 00 00 00 49 3B C0 75 06 48 83 21 00 EB 1F 49 8B 88 D8 00 00 00 48 89 81 E0 00 00 00 48 8B 12 49 8B 88 D8 00 00 00 48 89 8A D8 00 00 00 49 8B C0 C3 }
	condition:
		$1
}

rule file_792_38_0 {
	meta:
		name = "?Remove@?$List@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@@Z"
		size = 74
		altNames = "?UnlockedRemove@?$SafeRWList@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAVVirtualProcessor@23@@Z"
	strings:
		$1 = { 4C 8B 82 D8 00 00 00 48 8B 82 E0 00 00 00 49 89 80 E0 00 00 00 48 8B 82 D8 00 00 00 4C 8B 82 E0 00 00 00 49 89 80 D8 00 00 00 48 8B 01 48 3B D0 75 17 48 3B 80 D8 00 00 00 75 04 33 C0 EB 07 48 8B 80 E0 00 00 00 48 89 01 C3 }
	condition:
		$1
}

rule file_792_43_0 {
	meta:
		name = "?UnlockedRemoveHead@?$SafeRWList@VVirtualProcessor@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAPEAVVirtualProcessor@23@XZ"
		size = 62
	strings:
		$1 = { 48 8B 11 33 C0 48 85 D2 74 33 4C 8B 82 D8 00 00 00 49 3B D0 75 05 48 89 01 EB 1F 49 8B 80 D8 00 00 00 48 89 90 E0 00 00 00 48 8B 09 49 8B 80 D8 00 00 00 48 89 81 D8 00 00 00 49 8B C0 C3 }
	condition:
		$1
}

rule file_792_47_0 {
	meta:
		name = "??0ThreadScheduler@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z"
		size = 68
		refs = "0017 ??0SchedulerBase@details@Concurrency@@QEAA@AEBVSchedulerPolicy@2@@Z 001f ??_7ThreadScheduler@details@Concurrency@@6B@ 0036 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 A3 18 02 00 00 00 48 8D 8B 20 02 00 00 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_792_51_0 {
	meta:
		name = "?ThrottleOversubscriber@ThreadScheduler@details@Concurrency@@UEAAXPEAVVirtualProcessor@23@@Z"
		size = 211
		refs = "001d ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00b4 __imp_SetEvent 00cf ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 81 C1 20 02 00 00 48 8B DA E8 ?? ?? ?? ?? 80 BB D0 00 00 00 00 0F 85 8A 00 00 00 C6 83 D0 00 00 00 01 48 8B 87 18 02 00 00 48 85 C0 75 10 48 89 9B D8 00 00 00 48 89 9B E0 00 00 00 EB 3F 48 8B 80 D8 00 00 00 48 89 83 D8 00 00 00 48 8B 87 18 02 00 00 48 89 83 E0 00 00 00 48 8B 87 18 02 00 00 48 8B 88 D8 00 00 00 48 89 99 E0 00 00 00 48 8B 87 18 02 00 00 48 89 98 D8 00 00 00 48 89 9F 18 02 00 00 B8 01 00 00 00 F0 0F C1 87 30 02 00 00 FF C0 83 F8 01 75 0D 48 8B 8F 28 02 00 00 FF 15 ?? ?? ?? ?? 48 8D 8F 20 02 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_792_52_0 {
	meta:
		name = "?RemoveThrottleOversubscriber@ThreadScheduler@details@Concurrency@@UEAAXPEAVVirtualProcessor@23@@Z"
		size = 156
		refs = "001d ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 0098 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 81 C1 20 02 00 00 48 8B F2 E8 ?? ?? ?? ?? 45 33 C0 44 38 86 D0 00 00 00 74 54 48 8B 8E D8 00 00 00 48 8B 86 E0 00 00 00 44 88 86 D0 00 00 00 48 89 81 E0 00 00 00 48 8B 86 D8 00 00 00 48 8B 8E E0 00 00 00 48 89 81 D8 00 00 00 48 8B 83 18 02 00 00 48 3B F0 75 17 48 3B 80 D8 00 00 00 74 07 4C 8B 80 E0 00 00 00 4C 89 83 18 02 00 00 48 8D 8B 20 02 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_792_53_0 {
	meta:
		name = "?ManageOversubscribers@ThreadScheduler@details@Concurrency@@AEAAXXZ"
		size = 392
		refs = "002e ?ThrottlingTime@SchedulerBase@details@Concurrency@@QEAAKK@Z 0034 __imp_GetTickCount 004a __imp_WaitForSingleObject 007a ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 00c8 ?ClaimExclusiveOwnership@VirtualProcessor@details@Concurrency@@QEAA_NXZ 00db ?GetAnonymousScheduleGroup@SchedulerBase@details@Concurrency@@QEAAPEAVScheduleGroupBase@23@XZ 00e9 ?ActivateVirtualProcessor@SchedulerBase@details@Concurrency@@IEAAXPEAVVirtualProcessor@23@PEAVScheduleGroupBase@23@@Z 00f3 ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 010a ?AttemptSchedulerSweep@SchedulerBase@details@Concurrency@@IEAAXXZ 0164 __imp_CloseHandle 0184 ?DecrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 41 54 41 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 6C 24 60 48 89 74 24 68 48 8B F9 45 33 E4 41 8D 54 24 01 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B E8 41 83 CF FF 41 8B D7 48 8B 8F 28 02 00 00 FF 15 ?? ?? ?? ?? 44 38 A7 10 02 00 00 0F 85 00 01 00 00 3D 02 01 00 00 0F 85 AA 00 00 00 44 8B E5 48 8D 9F 18 02 00 00 48 89 5C 24 50 48 8D 4B 08 E8 ?? ?? ?? ?? 90 48 8B 0B 48 85 C9 74 67 48 8B B1 D8 00 00 00 48 3B CE 75 06 48 83 23 00 EB 1F 48 8B 86 D8 00 00 00 48 89 88 E0 00 00 00 48 8B 0B 48 8B 86 D8 00 00 00 48 89 81 D8 00 00 00 48 85 F6 74 31 C6 86 D0 00 00 00 00 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 1E C6 86 C3 00 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4B 08 E8 ?? ?? ?? ?? 83 CE FF F0 0F C1 B7 30 02 00 00 FF CE 75 0F 48 8B CF E8 ?? ?? ?? ?? EB 05 BE 01 00 00 00 BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 8B D8 FF 15 ?? ?? ?? ?? 8B E8 8B D0 41 2B D4 8B CB 2B CA 3B D3 1B D2 23 D1 85 F6 41 0F 44 D7 48 8B 8F 28 02 00 00 FF 15 ?? ?? ?? ?? 80 BF 10 02 00 00 00 0F 84 00 FF FF FF 48 8B 8F 28 02 00 00 FF 15 ?? ?? ?? ?? 48 8B CF 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 30 41 5F 41 5C 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_792_56_0 {
	meta:
		name = "?InitializeSchedulerEventHandlers@ThreadScheduler@details@Concurrency@@MEAAXXZ"
		size = 112
		refs = "0026 __imp_CreateEventW 0035 ?IncrementInternalContextCount@SchedulerBase@details@Concurrency@@QEAAXXZ 0047 ?BackgroundOversubscribeManagerProc@ThreadScheduler@details@Concurrency@@CAKPEAX@Z 0056 ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 005f __imp_CloseHandle 006c ?InitializeSchedulerEventHandlers@SchedulerBase@details@Concurrency@@MEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 C7 81 30 02 00 00 00 00 00 00 C6 81 10 02 00 00 00 33 C9 45 33 C9 45 33 C0 33 D2 FF 15 ?? ?? ?? ?? 48 8B CB 48 89 83 28 02 00 00 E8 ?? ?? ?? ?? 48 83 64 24 28 00 83 64 24 20 00 4C 8D 05 ?? ?? ?? ?? 4C 8B CB BA 00 00 01 00 33 C9 E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_793_7_0 {
	meta:
		name = "$I10_OUTPUT"
		size = 2739
		refs = "001f __security_cookie 00ed ??_C@_06PGGFOGJG@1?$CDSNAN?$AA@ 00f7 strcpy_s 0113 _invoke_watson 0132 ??_C@_05PHHOCPM@1?$CDIND?$AA@ 0169 ??_C@_05DNEBIAHO@1?$CDINF?$AA@ 01a0 ??_C@_06IMKFLFPG@1?$CDQNAN?$AA@ 01ee _pow10pos 0247 _pow10neg 0a5f __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D9 48 81 EC C0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 0F B7 79 08 44 8B 11 49 8B D9 44 8B 49 04 0F B7 CF 41 BB 01 00 00 00 89 55 B3 BA 00 80 00 00 45 33 ED 66 23 CA 44 8D 7A FF 44 89 45 C7 66 41 23 FF 48 89 5D BF C7 45 F7 CC CC CC CC C7 45 FB CC CC CC CC C7 45 FF CC CC FB 3F 66 89 4D 99 41 8D 43 1F 45 8D 43 2C 66 85 C9 74 06 44 88 43 02 EB 03 88 43 02 66 85 FF 75 2F 45 85 C9 0F 85 37 01 00 00 45 85 D2 0F 85 2E 01 00 00 66 3B CA 41 0F 44 C0 66 C7 43 03 01 30 66 44 89 2B 88 43 02 44 88 6B 05 E9 92 09 00 00 66 41 3B FF 0F 85 07 01 00 00 BE 00 00 00 80 66 44 89 1B 44 3B CE 75 05 45 85 D2 74 39 41 0F BA E1 1E 72 32 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? BA 16 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 AF 00 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 66 85 C9 74 3B 41 81 F9 00 00 00 C0 75 32 45 85 D2 75 6E 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? 41 8D 52 16 E8 ?? ?? ?? ?? 85 C0 74 37 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 44 3B CE 75 3C 45 85 D2 75 37 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? 41 8D 52 16 E8 ?? ?? ?? ?? 85 C0 75 0A B8 05 00 00 00 88 43 03 EB 32 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 48 8D 4B 04 4C 8D 05 ?? ?? ?? ?? BA 16 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0C C6 43 03 06 45 8B DD E9 96 08 00 00 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 44 0F B7 C7 41 8B C9 44 89 55 E9 C1 E9 18 41 8B C0 44 89 4D ED C1 E8 08 4C 8D 15 ?? ?? ?? ?? BE 00 00 00 80 45 69 C0 10 4D 00 00 8D 14 48 41 BE 05 00 00 00 49 83 EA 60 66 89 7D F1 66 44 89 6D E7 41 BC FD BF 00 00 6B D2 4D 42 8D 8C 02 0C ED BC EC 44 89 75 B7 8D 7E FF C1 F9 10 44 0F BF C9 89 4D 9F 41 F7 D9 0F 84 6D 03 00 00 45 85 C9 79 11 4C 8D 15 ?? ?? ?? ?? 41 F7 D9 49 83 EA 60 45 85 C9 0F 84 51 03 00 00 44 8B 45 EB 8B 55 E7 41 8B C1 49 83 C2 54 41 C1 F9 03 83 E0 07 44 89 4D AF 4C 89 55 A7 0F 84 16 03 00 00 48 98 48 8D 0C 40 4D 8D 24 8A 41 BA 00 80 00 00 4C 89 65 CF 66 45 39 14 24 72 22 49 8B 0C 24 41 8B 44 24 08 4C 8D 65 07 48 89 4D 07 48 C1 E9 10 89 45 0F 41 2B CB 4C 89 65 CF 89 4D 09 41 0F B7 4C 24 0A 0F B7 45 F1 44 89 6D 9B 0F B7 D9 66 41 23 CF 48 C7 45 D7 00 00 00 00 66 33 D8 66 41 23 C7 44 89 6D DF 66 41 23 DA 44 8D 14 08 66 89 5D 97 66 41 3B C7 0F 83 7B 02 00 00 66 41 3B CF 0F 83 71 02 00 00 41 BF FD BF 00 00 66 45 3B D7 0F 87 5B 02 00 00 BB BF 3F 00 00 66 44 3B D3 77 13 48 C7 45 EB 00 00 00 00 41 BF FF 7F 00 00 E9 56 02 00 00 66 85 C0 75 22 66 45 03 D3 85 7D EF 75 19 45 85 C0 75 14 85 D2 75 10 66 44 89 6D F1 41 BF FF 7F 00 00 E9 38 02 00 00 66 85 C9 75 18 66 45 03 D3 41 85 7C 24 08 75 0D 45 39 6C 24 04 75 06 45 39 2C 24 74 A9 41 8B F5 4C 8D 45 DB 41 8B FE 8D 04 36 44 8B FF 48 63 C8 85 FF 7E 57 8B DE 4D 8D 74 24 08 4C 8D 6C 0D E7 41 23 DB 45 33 E4 41 0F B7 45 00 41 0F B7 0E 45 8B CC 0F AF C8 41 8B 40 FC 8D 14 08 3B D0 72 04 3B D1 73 03 45 8B CB 41 89 50 FC 45 85 C9 74 04 66 45 01 18 45 2B FB 49 83 C5 02 49 83 EE 02 45 85 FF 7F C2 4C 8B 65 CF 45 33 ED 41 2B FB 49 83 C0 02 41 03 F3 85 FF 7F 8E 44 8B 4D DF 44 8B 45 D7 B8 02 C0 00 00 66 44 03 D0 BE 00 00 00 80 BB FF FF 00 00 66 45 85 D2 7E 3C 44 85 CE 75 31 8B 7D DB 41 8B D0 45 03 C9 C1 EA 1F 45 03 C0 8B CF C1 E9 1F 8D 04 3F 66 44 03 D3 0B C2 44 0B C9 44 89 45 D7 89 45 DB 44 89 4D DF 66 45 85 D2 7F CA 66 45 85 D2 7F 6D 66 44 03 D3 79 67 41 0F B7 C2 66 F7 D8 0F B7 D0 66 44 03 D2 66 44 89 55 A3 44 8B 55 9B 44 84 5D D7 74 03 45 03 D3 8B 7D DB 41 8B C1 41 D1 E8 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 E9 44 0B C1 49 2B D3 89 7D DB 44 89 45 D7 75 D0 45 85 D2 44 0F B7 55 A3 44 89 4D DF 74 12 41 0F B7 C0 66 41 0B C3 66 89 45 D7 44 8B 45 D7 EB 04 0F B7 45 D7 B9 00 80 00 00 66 3B C1 77 10 41 81 E0 FF FF 01 00 41 81 F8 00 80 01 00 75 48 8B 45 D9 83 CA FF 3B C2 75 38 8B 45 DD 44 89 6D D9 3B C2 75 21 0F B7 45 E1 44 89 6D DD 66 3B C3 75 0A 66 89 4D E1 66 45 03 D3 EB 10 66 41 03 C3 66 89 45 E1 EB 06 41 03 C3 89 45 DD 44 8B 4D DF EB 06 41 03 C3 89 45 D9 41 BF FF 7F 00 00 41 BE 05 00 00 00 BF FF FF FF 7F 66 45 3B D7 72 0D 0F B7 45 97 44 8B 4D AF 66 F7 D8 EB 32 0F B7 45 D9 66 44 0B 55 97 44 89 4D ED 44 8B 4D AF 66 89 45 E7 8B 45 DB 89 45 E9 44 8B 45 EB 8B 55 E7 66 44 89 55 F1 EB 22 41 BF FF 7F 00 00 66 F7 DB 1B C0 44 89 6D EB 23 C6 05 00 80 FF 7F 89 45 EF 41 8B D5 45 8B C5 89 55 E7 4C 8B 55 A7 45 85 C9 0F 85 C5 FC FF FF 48 8B 5D BF 8B 4D 9F 41 BC FD BF 00 00 EB 07 44 8B 45 EB 8B 55 E7 8B 45 EF 41 B9 FF 3F 00 00 C1 E8 10 66 41 3B C1 0F 82 B5 02 00 00 66 41 03 CB 41 B9 00 80 00 00 44 89 6D 9B 45 8D 51 FF 89 4D 9F 0F B7 4D 01 44 0F B7 F9 66 41 23 CA 48 C7 45 D7 00 00 00 00 66 44 33 F8 66 41 23 C2 44 89 6D DF 66 45 23 F9 44 8D 0C 08 66 41 3B C2 0F 83 58 02 00 00 66 41 3B CA 0F 83 4E 02 00 00 66 45 3B CC 0F 87 44 02 00 00 41 BA BF 3F 00 00 66 45 3B CA 77 09 44 89 6D EF E9 3F 02 00 00 66 85 C0 75 1C 66 45 03 CB 85 7D EF 75 13 45 85 C0 75 0E 85 D2 75 0A 66 44 89 6D F1 E9 24 02 00 00 66 85 C9 75 15 66 45 03 CB 85 7D FF 75 0C 44 39 6D FB 75 06 44 39 6D F7 74 BC 41 8B FD 48 8D 4D DB 8D 04 3F 33 DB 45 8B EE 48 63 D0 45 85 F6 7E 52 44 8B F7 48 8D 75 FF 4C 8D 64 15 E7 45 23 F3 0F B7 06 41 0F B7 14 24 44 8B C3 0F AF D0 8B 41 FC 44 8D 14 10 44 3B D0 72 05 44 3B D2 73 03 45 8B C3 44 89 51 FC 45 85 C0 74 04 66 44 01 19 45 2B EB 49 83 C4 02 48 83 EE 02 45 85 ED 7F C1 44 8B 75 B7 45 2B F3 48 83 C1 02 41 03 FB 45 33 ED 44 89 75 B7 45 85 F6 7F 88 48 8B 5D BF 44 8B 45 DF 44 8B 55 D7 B8 02 C0 00 00 BE 00 00 00 80 41 BC FF FF 00 00 66 44 03 C8 66 45 85 C9 7E 3C 44 85 C6 75 31 8B 7D DB 41 8B D2 45 03 C0 C1 EA 1F 45 03 D2 8B CF C1 E9 1F 8D 04 3F 66 45 03 CC 0B C2 44 0B C1 44 89 55 D7 89 45 DB 44 89 45 DF 66 45 85 C9 7F CA 66 45 85 C9 7F 65 66 45 03 CC 79 5F 8B 5D 9B 41 0F B7 C1 66 F7 D8 0F B7 D0 66 44 03 CA 44 84 5D D7 74 03 41 03 DB 8B 7D DB 41 8B C0 41 D1 EA 8B CF C1 E0 1F D1 EF C1 E1 1F 0B F8 41 D1 E8 44 0B D1 49 2B D3 89 7D DB 44 89 55 D7 75 D0 85 DB 48 8B 5D BF 44 89 45 DF 74 12 41 0F B7 C2 66 41 0B C3 66 89 45 D7 44 8B 55 D7 EB 04 0F B7 45 D7 B9 00 80 00 00 66 3B C1 77 10 41 81 E2 FF FF 01 00 41 81 FA 00 80 01 00 75 49 8B 45 D9 83 CA FF 3B C2 75 39 8B 45 DD 44 89 6D D9 3B C2 75 22 0F B7 45 E1 44 89 6D DD 66 41 3B C4 75 0A 66 89 4D E1 66 45 03 CB EB 10 66 41 03 C3 66 89 45 E1 EB 06 41 03 C3 89 45 DD 44 8B 45 DF EB 06 41 03 C3 89 45 D9 B8 FF 7F 00 00 66 44 3B C8 72 18 66 41 F7 DF 45 8B C5 41 8B D5 1B C0 23 C6 05 00 80 FF 7F 89 45 EF EB 3F 0F B7 45 D9 66 45 0B CF 44 89 45 ED 66 89 45 E7 8B 45 DB 66 44 89 4D F1 89 45 E9 44 8B 45 EB 8B 55 E7 EB 1B 66 41 F7 DF 1B C0 23 C6 05 00 80 FF 7F 89 45 EF 41 8B D5 45 8B C5 B9 00 80 00 00 8B 45 9F 44 8B 65 B3 66 89 03 44 84 5D C7 74 1D 98 44 03 E0 45 85 E4 7F 14 66 39 4D 99 B8 20 00 00 00 8D 48 0D 0F 44 C1 E9 FC F7 FF FF 44 8B 4D EF B8 15 00 00 00 66 44 89 6D F1 8B 75 EF 44 3B E0 44 8D 50 F3 44 0F 4F E0 41 C1 E9 10 41 81 E9 FE 3F 00 00 41 8B C8 8B C2 03 F6 45 03 C0 C1 E8 1F C1 E9 1F 44 0B C0 0B F1 03 D2 4D 2B D3 75 E4 44 89 45 EB 89 55 E7 45 85 C9 79 32 41 F7 D9 45 0F B6 D1 45 85 D2 7E 26 41 8B C8 8B C6 D1 EA 41 D1 E8 C1 E0 1F C1 E1 1F 45 2B D3 D1 EE 44 0B C0 0B D1 45 85 D2 7F E1 44 89 45 EB 89 55 E7 45 8D 74 24 01 48 8D 7B 04 4C 8B D7 45 85 F6 0F 8E CA 00 00 00 4C 8B 6D E7 41 8B C8 45 03 C0 C1 E9 1F 8B C2 03 D2 C1 E8 1F 44 8D 0C 36 4C 89 6D 07 44 0B C0 44 0B C9 8B C2 41 8B C8 C1 E8 1F 45 03 C0 44 0B C0 03 D2 45 03 C9 C1 E9 1F 41 8B C5 44 8D 3C 10 44 0B C9 44 3B FA 72 05 44 3B F8 73 1D 41 8D 40 01 33 C9 41 3B C0 72 05 41 3B C3 73 03 41 8B CB 44 8B C0 85 C9 74 03 45 03 CB 49 C1 ED 20 47 8D 24 28 45 3B E0 72 05 45 3B E5 73 03 45 03 CB 44 03 CE 45 33 ED 41 8B C7 C1 E8 1F 47 8D 04 24 41 8B CC 44 0B C0 C1 E9 1F 43 8D 04 09 0B C1 43 8D 14 3F 45 2B F3 89 45 EF C1 E8 18 89 55 E7 04 30 44 89 45 EB 44 88 6D F2 41 88 02 4D 03 D3 45 85 F6 7E 08 8B 75 EF E9 36 FF FF FF 4D 2B D3 41 8A 02 4D 2B D3 3C 35 7C 6A EB 0D 41 80 3A 39 75 0C 41 C6 02 30 4D 2B D3 4C 3B D7 73 EE 4C 3B D7 73 07 4D 03 D3 66 44 01 1B 45 00 1A 44 2A D3 41 80 EA 03 49 0F BE C2 44 88 53 03 44 88 6C 18 04 41 8B C3 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 80 3A 30 75 08 4D 2B D3 4C 3B D7 73 F2 4C 3B D7 73 AF B8 20 00 00 00 41 B9 00 80 00 00 44 88 5B 03 66 44 39 4D 99 8D 48 0D C6 07 30 0F 44 C1 E9 FF F5 FF FF }
	condition:
		$1
}

rule file_795_1_0 {
	meta:
		name = "_getenv_helper_nolock"
		size = 161
		refs = "0011 __env_initialized 0019 _environ 002a _wenviron 0031 __wtomb_environ 004e strlen 0077 _mbsnbicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 3D ?? ?? ?? ?? 00 48 8B 1D ?? ?? ?? ?? 48 8B F1 74 6D 48 85 DB 75 1E 48 39 1D ?? ?? ?? ?? 74 5F E8 ?? ?? ?? ?? 85 C0 75 56 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 4A 48 85 F6 74 45 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 8B 0B 48 85 C9 74 32 E8 ?? ?? ?? ?? 48 3B C7 76 18 48 8B 0B 80 3C 39 3D 75 0F 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 06 48 83 C3 08 EB D0 48 8B 03 48 8D 44 38 01 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_795_2_0 {
	meta:
		name = "_getenv_s_helper"
		size = 195
		refs = "0023 _errno 002f _invalid_parameter_noinfo 006b _getenv_helper_nolock 007f strlen 00a5 strcpy_s 00be _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 49 8B D8 48 8B FA 48 8B E9 48 85 C9 75 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 21 00 48 85 D2 74 07 48 85 DB 75 07 EB C8 48 85 DB 75 C3 48 85 D2 74 03 C6 02 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 04 33 C0 EB BA 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 48 89 45 00 48 85 DB 74 E8 48 3B C3 76 07 B8 22 00 00 00 EB 9A 4C 8B C6 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 CA 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_795_3_0 {
	meta:
		name = "_dupenv_s_helper"
		size = 212
		refs = "0020 _errno 002c _invalid_parameter_noinfo 005d _getenv_helper_nolock 0071 strlen 0082 calloc 00ac strcpy_s 00cf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B DA 48 8B F9 48 85 C9 75 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 48 83 21 00 48 85 D2 74 04 48 83 22 00 4D 85 C0 74 C6 49 8B C8 E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 75 04 33 C0 EB C5 48 8B C8 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8D 34 02 48 8B CE E8 ?? ?? ?? ?? 48 89 07 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 90 4C 8B C5 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 0A 48 85 DB 74 B0 48 89 33 EB AB 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_795_6_0 {
	meta:
		name = "getenv_s"
		size = 253
		refs = "002b _lock 003f _errno 004b _invalid_parameter_noinfo 0081 _getenv_helper_nolock 0091 strlen 00b7 strcpy_s 00c5 _unlock 00dd _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 30 4D 8B E1 49 8B F0 48 8B FA 4C 8B E9 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 4D 85 ED 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 6E 49 89 5D 00 48 85 FF 74 0A 48 85 F6 75 0A 48 85 FF 75 0C 48 85 F6 75 07 B8 01 00 00 00 EB 02 8B C3 85 C0 74 C8 48 85 FF 74 02 88 1F 49 8B CC E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 32 48 8B C8 E8 ?? ?? ?? ?? 48 FF C0 49 89 45 00 48 85 F6 74 1E 48 3B C6 76 07 BB 22 00 00 00 EB 12 4D 8B C4 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 0E B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 30 41 5D C3 }
	condition:
		$1
}

rule file_795_8_0 {
	meta:
		name = "_dupenv_s"
		size = 258
		refs = "0028 _lock 003c _errno 0048 _invalid_parameter_noinfo 0069 _getenv_helper_nolock 0079 strlen 008a calloc 00b4 strcpy_s 00ca _unlock 00e2 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 41 55 48 83 EC 30 4D 8B E0 48 8B FA 48 8B F1 B9 07 00 00 00 E8 ?? ?? ?? ?? 90 33 DB 8B C3 48 85 F6 0F 95 C0 85 C0 75 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? EB 76 48 89 1E 48 85 FF 74 03 48 89 1F 8B C3 4D 85 E4 0F 95 C0 85 C0 74 D6 49 8B CC E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 74 4F 48 8B C8 E8 ?? ?? ?? ?? BA 01 00 00 00 4C 8D 2C 02 49 8B CD E8 ?? ?? ?? ?? 48 89 06 48 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 18 EB 1A 4D 8B C4 49 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 16 48 85 FF 74 03 4C 89 2F B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 15 48 89 5C 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 30 41 5D C3 }
	condition:
		$1
}

rule file_796_0_0 {
	meta:
		name = "_futime64"
		size = 504
		refs = "001d __security_cookie 0034 _errno 004f _nhandle 0062 __pioinfo 008a _time64 00a3 _localtime64_s 0106 __imp_SystemTimeToFileTime 0118 __imp_LocalFileTimeToFileTime 019e _get_osfhandle 01b1 __imp_SetFileTime 01cd _invalid_parameter_noinfo 01dc __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 55 57 41 54 48 8D 6C 24 B9 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 48 63 D9 48 8B FA 83 FB FE 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 8E 01 00 00 33 F6 85 C9 0F 88 74 01 00 00 3B 1D ?? ?? ?? ?? 0F 83 68 01 00 00 48 8B CB 48 8B C3 48 8D 15 ?? ?? ?? ?? 48 C1 F8 05 83 E1 1F 48 8B 04 C2 48 6B C9 58 F6 44 08 08 01 0F 84 41 01 00 00 48 85 FF 75 15 48 8D 4D 2F E8 ?? ?? ?? ?? 4C 8B 5D 2F 48 8D 7D 27 4C 89 5D 27 48 8D 57 08 48 8D 4D FF E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 16 01 00 00 0F B7 45 13 41 BC 6C 07 00 00 48 8D 55 D7 66 41 03 C4 48 8D 4D EF 66 89 75 FD 66 89 45 EF 0F B7 45 0F 66 FF C0 66 89 45 F1 0F B7 45 0B 66 89 45 F5 0F B7 45 07 66 89 45 F7 0F B7 45 03 66 89 45 F9 0F B7 45 FF 66 89 45 FB FF 15 ?? ?? ?? ?? 85 C0 74 9D 48 8D 55 E7 48 8D 4D D7 FF 15 ?? ?? ?? ?? 85 C0 74 8B 48 8D 4D FF 48 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 85 77 FF FF FF 0F B7 45 13 48 8D 55 D7 48 8D 4D EF 66 41 03 C4 66 89 75 FD 66 89 45 EF 0F B7 45 0F 66 FF C0 66 89 45 F1 0F B7 45 0B 66 89 45 F5 0F B7 45 07 66 89 45 F7 0F B7 45 03 66 89 45 F9 0F B7 45 FF 66 89 45 FB FF 15 ?? ?? ?? ?? 85 C0 0F 84 26 FF FF FF 48 8D 55 DF 48 8D 4D D7 FF 15 ?? ?? ?? ?? 85 C0 0F 84 10 FF FF FF 8B CB E8 ?? ?? ?? ?? 4C 8D 4D E7 4C 8D 45 DF 48 8B C8 33 D2 FF 15 ?? ?? ?? ?? 85 C0 0F 84 EE FE FF FF 33 C0 EB 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_797_0_0 {
	meta:
		name = "_heapadd"
		size = 23
		refs = "0005 _errno"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? C7 00 28 00 00 00 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_799_0_0 {
	meta:
		name = "_freopen_helper"
		size = 239
		refs = "0032 _errno 003e _invalid_parameter_noinfo 008f _lock_file 009e _fclose_nolock 00c2 _openfile 00cd _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 48 20 41 54 48 83 EC 20 49 8B D9 4D 8B E0 48 8B F2 48 8B F9 33 C0 48 85 C9 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 90 00 00 00 48 83 21 00 33 C0 48 85 D2 0F 95 C0 85 C0 74 D8 33 C0 4D 85 C0 0F 95 C0 85 C0 74 CC 33 C0 48 85 DB 0F 95 C0 85 C0 74 C0 80 3A 00 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 EB 4E 48 8B CB E8 ?? ?? ?? ?? 90 F6 43 18 83 74 08 48 8B CB E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 23 00 83 63 18 00 83 63 08 00 4C 8B CB 44 8B 44 24 50 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 48 89 07 48 8B CB E8 ?? ?? ?? ?? 48 83 3F 00 74 AB 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_800_0_0 {
	meta:
		name = "strnlen"
		size = 25
	strings:
		$1 = { 33 C0 48 85 D2 74 10 80 39 00 74 0B 48 FF C0 48 FF C1 48 3B C2 72 F0 F3 C3 }
	condition:
		$1
}

rule file_801_1_0 {
	meta:
		name = "_wsetenvp"
		size = 309
		refs = "001c _wenvptr 003f wcslen 005c _calloc_crt 0066 _wenviron 00af wcscpy_s 00d3 free 00e3 __env_initialized 0118 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 48 8B 1D ?? ?? ?? ?? 45 33 E4 41 8B FC 48 85 DB 75 1D 83 C8 FF E9 BA 00 00 00 66 83 F8 3D 74 02 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8D 5C 43 02 0F B7 03 66 85 C0 75 E3 8D 47 01 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 05 ?? ?? ?? ?? 48 85 C0 74 BC 48 8B 1D ?? ?? ?? ?? 66 44 39 23 74 53 48 8B CB E8 ?? ?? ?? ?? 66 83 3B 3D 8D 70 01 74 2E 48 63 EE BA 02 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 89 07 48 85 C0 74 78 4C 8B C3 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 51 48 83 C7 08 48 63 C6 48 8D 1C 43 66 44 39 23 75 B4 48 8B 1D ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 4C 89 25 ?? ?? ?? ?? 4C 89 27 C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 64 24 20 E8 ?? ?? ?? ?? CC 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 89 25 ?? ?? ?? ?? E9 F6 FE FF FF }
	condition:
		$1
}

rule file_802_0_0 {
	meta:
		name = "_set_error_mode"
		size = 64
		refs = "0014 __error_mode 0029 _errno 0034 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 85 C9 78 20 83 F9 02 7E 0D 83 F9 03 75 16 8B 05 ?? ?? ?? ?? EB 21 8B 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_805_0_0 {
	meta:
		name = "_difftime32"
		size = 44
		refs = "0019 _errno"
	strings:
		$1 = { 48 83 EC 28 85 D2 78 10 85 C9 78 0C 2B CA 66 0F 6E C1 F3 0F E6 C0 EB 0F E8 ?? ?? ?? ?? 66 0F 57 C0 C7 00 16 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_807_0_0 {
	meta:
		name = "_fstat32i64"
		size = 953
		refs = "001d __security_cookie 0045 __doserrno 004c _errno 0065 memset 008f _nhandle 00a6 __pioinfo 00ce __lock_fhandle 00f4 __imp_GetFileType 0115 __imp_GetLastError 011c _dosmaperr 0178 __imp_PeekNamedPipe 01b1 __imp_GetFileInformationByHandle 01f5 __imp_FileTimeToLocalFileTime 020d __imp_FileTimeToSystemTime 0249 __loctotime32_t 036a _unlock_fhandle 0385 _invalid_parameter_noinfo 0398 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 98 00 00 00 48 8B FA 48 63 F1 89 74 24 4C 33 DB 8B C3 48 85 D2 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 29 03 00 00 33 D2 44 8D 42 30 48 8B CF E8 ?? ?? ?? ?? 83 FE FE 75 17 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 04 03 00 00 85 F6 0F 88 E5 02 00 00 3B 35 ?? ?? ?? ?? 0F 83 D9 02 00 00 4C 8B E6 4C 8B EE 49 C1 FD 05 4C 8D 3D ?? ?? ?? ?? 41 83 E4 1F 4D 6B E4 58 4B 8B 04 EF 42 0F BE 4C 20 08 41 BE 01 00 00 00 41 23 CE 0F 84 A7 02 00 00 8B CE E8 ?? ?? ?? ?? 90 4B 8B 0C EF 46 84 74 21 08 75 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 76 02 00 00 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 0F BA F0 0F 41 3B C6 0F 84 92 00 00 00 83 F8 02 74 20 83 F8 03 74 16 85 C0 74 CB FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E9 3F 02 00 00 83 F8 02 75 07 B9 00 20 00 00 EB 05 B9 00 10 00 00 66 89 4F 06 89 37 89 77 10 66 44 89 77 08 66 89 5F 04 89 5F 0A 48 89 5F 24 89 5F 20 83 F8 02 74 37 4B 8B 0C EF 48 89 5C 24 28 48 8D 44 24 48 48 89 44 24 20 45 33 C9 45 33 C0 33 D2 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 85 C0 74 0E 48 63 44 24 48 48 89 47 18 E9 D9 01 00 00 48 89 5F 18 E9 D0 01 00 00 89 5F 0A 89 5F 04 66 44 89 77 08 4B 8B 0C EF 48 8D 54 24 60 4A 8B 0C 21 FF 15 ?? ?? ?? ?? 85 C0 0F 84 56 FF FF FF 0F B7 47 06 44 84 74 24 60 74 07 0D 24 01 00 00 EB 05 0D B6 01 00 00 66 89 47 06 39 5C 24 74 75 0B 39 5C 24 78 75 05 89 5F 24 EB 67 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 63 01 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 4B 01 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 24 39 5C 24 6C 75 0B 39 5C 24 70 75 05 8B 47 24 EB 64 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 EB 00 00 00 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 D3 00 00 00 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 20 39 5C 24 64 75 0B 39 5C 24 68 75 05 8B 47 24 EB 5C 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 74 77 48 8D 54 24 50 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 74 63 0F B7 44 24 5C 44 0F B7 54 24 5A 44 0F B7 4C 24 58 44 0F B7 44 24 56 0F B7 54 24 52 0F B7 4C 24 50 83 4C 24 30 FF 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 28 8B 8C 24 80 00 00 00 48 C1 E1 20 8B 84 24 84 00 00 00 48 03 C8 48 89 4F 18 0F B7 47 06 0F BA E8 0F 66 89 47 06 89 1F 89 5F 10 EB 03 83 CB FF 8B CE E8 ?? ?? ?? ?? 8B C3 EB 1A E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 98 00 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_808_0_0 {
	meta:
		name = "_filwbuf"
		size = 351
		refs = "0018 _errno 0023 _invalid_parameter_noinfo 005c _getbuf 006d _fileno 007c _read 00cb __pioinfo 00ef __badioinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B 41 18 A8 83 0F 84 13 01 00 00 A8 40 0F 85 0B 01 00 00 A8 02 74 0B 83 C8 20 89 41 18 E9 FC 00 00 00 83 C8 01 89 41 18 A9 0C 01 00 00 75 07 E8 ?? ?? ?? ?? EB 07 48 8B 41 10 48 89 01 48 8B CF E8 ?? ?? ?? ?? 44 8B 47 24 48 8B 57 10 8B C8 E8 ?? ?? ?? ?? 89 47 08 85 C0 0F 84 AE 00 00 00 83 F8 01 0F 84 A5 00 00 00 83 F8 FF 0F 84 9C 00 00 00 F6 47 18 82 75 5F 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 3C 48 8B CF E8 ?? ?? ?? ?? 83 F8 FE 74 2F 48 8B CF E8 ?? ?? ?? ?? 48 8B CF 48 8D 35 ?? ?? ?? ?? 48 63 D8 48 C1 FB 05 E8 ?? ?? ?? ?? 44 8B D8 41 83 E3 1F 4D 6B DB 58 4C 03 1C DE EB 07 4C 8D 1D ?? ?? ?? ?? 41 8A 43 08 24 82 3C 82 75 05 0F BA 6F 18 0D 81 7F 24 00 02 00 00 75 1B F6 47 18 08 74 15 8B 47 24 F7 47 18 00 04 00 00 B9 00 10 00 00 0F 44 C1 89 47 24 48 8B 0F 83 47 08 FE 0F B7 01 48 83 C1 02 48 89 0F EB 16 F7 D8 1B C0 83 E0 10 83 C0 10 09 47 18 83 67 08 00 B8 FF FF 00 00 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_809_0_0 {
	meta:
		name = "xtow_s"
		size = 268
		refs = "0027 _errno 0033 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 41 8B F1 4D 8B D8 4C 8B D2 8B F9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 B9 00 00 00 4D 85 C0 74 E3 66 89 2A 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 41 8D 41 FE BB 22 00 00 00 3B C3 77 B1 48 8B CD 4D 8B C2 85 D2 74 10 8D 43 0B 4D 8D 42 02 8D 4B DF 66 41 89 02 F7 DF 4D 8B C8 33 D2 8B C7 F7 F6 8B F8 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 10 48 FF C1 49 83 C0 02 85 C0 74 05 49 3B CB 72 D5 49 3B CB 72 0E 66 41 89 2A E8 ?? ?? ?? ?? E9 60 FF FF FF 66 41 89 28 49 83 E8 02 41 0F B7 01 41 0F B7 08 66 41 89 00 66 41 89 09 49 83 C1 02 49 83 E8 02 4D 3B C8 72 E3 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_809_4_0 {
	meta:
		name = "x64tow_s"
		size = 273
		refs = "0028 _errno 0034 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 41 8B F1 4D 8B D8 4C 8B D2 48 8B F9 48 85 D2 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 BD 00 00 00 4D 85 C0 74 E3 66 89 2A 8B 54 24 50 8B C2 F7 D8 48 1B C9 48 F7 D9 48 FF C1 4C 3B C1 77 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB C8 8D 46 FE BB 22 00 00 00 3B C3 77 B2 48 8B CD 4D 8B C2 85 D2 74 11 8D 43 0B 4D 8D 42 02 8D 4B DF 66 41 89 02 48 F7 DF 4D 8B C8 33 D2 48 8B C7 48 F7 F6 48 8B F8 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 10 48 FF C1 49 83 C0 02 48 85 C0 74 05 49 3B CB 72 D1 49 3B CB 72 0E 66 41 89 2A E8 ?? ?? ?? ?? E9 5C FF FF FF 66 41 89 28 49 83 E8 02 41 0F B7 01 41 0F B7 08 66 41 89 00 66 41 89 09 49 83 C1 02 49 83 E8 02 4D 3B C8 72 E3 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_810_1_0 {
	meta:
		name = "_localtime64_s"
		size = 794
		refs = "0023 _errno 002f _invalid_parameter_noinfo 0049 memset 0076 __tzset 007f _get_daylight 0090 _get_dstbias 00a1 _get_timezone 00cc _gmtime64_s 00e5 _isindst 02e9 _invoke_watson"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 83 65 30 00 83 65 38 00 83 65 20 00 48 8B FA 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 40 5F 5B 5D C3 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D0 48 83 3F 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CD 48 B8 FF 6F 40 93 07 00 00 00 48 39 07 7F E3 E8 ?? ?? ?? ?? 48 8D 4D 30 E8 ?? ?? ?? ?? 85 C0 0F 85 79 02 00 00 48 8D 4D 38 E8 ?? ?? ?? ?? 85 C0 0F 85 52 02 00 00 48 8D 4D 20 E8 ?? ?? ?? ?? 85 C0 0F 85 2B 02 00 00 48 8B 0F 48 81 F9 80 F4 03 00 7E 60 48 63 45 20 48 8D 55 F0 48 2B C8 48 89 4D F0 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 5D FF FF FF 39 45 30 0F 84 A4 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 94 01 00 00 48 63 45 38 48 8D 55 F0 48 8B CB 48 29 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 85 28 FF FF FF C7 43 20 01 00 00 00 E9 6C 01 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 09 FF FF FF 39 45 30 74 1D 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 20 C7 43 20 01 00 00 00 03 45 38 48 98 EB 04 48 63 45 20 48 63 0B 49 B8 89 88 88 88 88 88 88 88 48 2B C8 49 8B C0 48 F7 E9 48 03 D1 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 48 8B C1 48 6B D2 3C 48 2B C2 89 03 85 C0 79 09 83 C0 3C 48 83 E9 3C 89 03 49 8B C0 48 F7 E9 4C 8D 0C 11 49 C1 F9 05 49 8B C1 48 C1 E8 3F 4C 03 C8 48 63 43 04 4C 03 C8 49 8B C0 49 8B C9 49 F7 E9 49 03 D1 48 C1 FA 05 48 8B C2 48 C1 E8 3F 48 03 D0 48 6B D2 3C 48 2B CA 89 4B 04 85 C9 79 0A 83 C1 3C 49 83 E9 3C 89 4B 04 49 8B C0 49 F7 E9 4D 8D 04 11 49 B9 AB AA AA AA AA AA AA 2A 49 C1 F8 05 49 8B C0 48 C1 E8 3F 4C 03 C0 48 63 43 08 4C 03 C0 49 8B C1 49 F7 E8 48 C1 FA 02 48 8B C2 48 C1 E8 3F 48 03 D0 48 8D 0C 52 49 8B D0 48 C1 E1 03 48 2B D1 89 53 08 85 D2 79 0A 8D 4A 18 49 83 E8 18 89 4B 08 49 8B C1 49 F7 E8 4C 8B C2 49 C1 F8 02 49 8B C0 48 C1 E8 3F 4C 03 C0 4D 85 C0 7E 31 8B 43 18 41 8D 0C 00 B8 93 24 49 92 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B D2 07 2B CA 44 01 43 0C 89 4B 18 44 01 43 1C 33 C0 E9 A9 FD FF FF 79 F7 8B 43 18 44 01 43 0C 41 8D 4C 00 07 B8 93 24 49 92 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 8B 43 0C 6B D2 07 2B CA 89 4B 18 85 C0 7F C5 83 C0 1F C7 43 10 0B 00 00 00 89 43 0C 41 8D 80 6D 01 00 00 01 43 1C FF 4B 14 EB AD 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_811_3_0 {
	meta:
		name = "_mbstrnlen_l"
		size = 318
		refs = "0020 _errno 002b _invalid_parameter_noinfo 004a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 strnlen 00a0 __imp_MultiByteToWideChar 00e6 _isleadbyte_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B F2 48 8B D9 48 85 C9 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 F1 00 00 00 48 81 FA FF FF FF 7F 77 DE 48 8D 4C 24 30 49 8B D0 E8 ?? ?? ?? ?? 48 8B 44 24 30 83 B8 0C 01 00 00 01 75 29 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 80 7C 24 48 00 48 98 0F 84 B5 00 00 00 48 8B 4C 24 40 83 A1 C8 00 00 00 FD E9 A4 00 00 00 8B 48 04 83 64 24 28 00 48 83 64 24 20 00 44 8B CE 4C 8B C3 BA 09 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 27 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 80 7C 24 48 00 0F 84 71 FF FF FF 48 8B 44 24 40 83 A0 C8 00 00 00 FD E9 60 FF FF FF 33 ED 33 FF 48 85 F6 74 34 80 3B 00 74 2F 0F B6 0B 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 74 10 48 FF C7 48 3B FE 73 19 48 FF C3 80 3B 00 74 0E 48 FF C7 48 FF C5 48 FF C3 48 3B FE 72 CC 48 3B FE 48 0F 43 EE 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B C5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_813_1_0 {
	meta:
		name = "wmemset"
		size = 34
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 4D 85 C0 74 0C 48 8B F9 0F B7 C2 49 8B C8 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_813_2_0 {
	meta:
		name = "wmemcpy_s"
		size = 122
		refs = "001b _errno 0027 _invalid_parameter_noinfo 0041 memcpy"
	strings:
		$1 = { 40 57 48 83 EC 20 4D 8B D0 45 33 C0 4D 85 C9 75 04 33 C0 EB 5F 48 85 C9 75 15 E8 ?? ?? ?? ?? BF 16 00 00 00 89 38 E8 ?? ?? ?? ?? 8B C7 EB 45 4D 85 D2 74 13 49 3B D1 72 0E 4F 8D 04 09 49 8B D2 E8 ?? ?? ?? ?? EB CA 48 85 D2 74 0D 48 8B F9 41 0F B7 C0 48 8B CA 66 F3 AB 4D 85 D2 74 BC 49 3B D1 73 0C E8 ?? ?? ?? ?? BF 22 00 00 00 EB B5 B8 16 00 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_816_0_0 {
	meta:
		name = "fputc"
		size = 278
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 0043 _lock_file 0056 _fileno 0071 __pioinfo 0083 __badioinfo 00f6 _flsbuf 0100 _unlock_file"
		altNames = "putc"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 48 89 54 24 10 57 48 83 EC 20 48 8B DA 8B F1 33 FF 33 C0 48 85 D2 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 C7 00 00 00 48 8B CA E8 ?? ?? ?? ?? 90 F6 43 18 40 0F 85 86 00 00 00 48 8B CB E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 25 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 85 FF 75 20 FF 4B 08 78 0F 48 8B 03 40 88 30 40 0F B6 FE 48 FF 03 EB 0C 48 8B D3 8B CE E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_819_9_0 {
	meta:
		name = "?UnblockTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 32
		refs = "0017 ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 83 EC 28 B9 01 00 00 00 33 C0 F0 48 0F B1 4A 68 74 08 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_819_12_0 {
	meta:
		name = "?RemoveHead@?$List@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@@details@Concurrency@@QEAAPEAUListEntry@23@XZ"
		size = 50
	strings:
		$1 = { 48 8B 01 48 8B D1 48 85 C0 75 02 F3 C3 4C 8B 40 08 49 3B C0 75 06 48 83 21 00 EB 12 49 8B 48 08 48 89 01 48 8B 12 49 8B 48 08 48 89 4A 08 49 8B C0 C3 }
	condition:
		$1
}

rule file_819_13_0 {
	meta:
		name = "?Shutdown@TransmogrifiedPrimary@details@Concurrency@@QEAAXXZ"
		size = 42
		refs = "0012 __imp_WaitForSingleObject 0026 __imp_SetEvent"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 20 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4B 18 C6 43 54 01 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_819_14_0 {
	meta:
		name = "??1Transmogrificator@details@Concurrency@@QEAA@XZ"
		size = 109
		refs = "0018 __imp_InterlockedFlushSList 0030 __imp_WaitForSingleObject 003e __imp_SetEvent 0050 __imp_CloseHandle"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 83 C1 40 FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 26 48 8B 4E C0 48 8B 1E 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4E B8 C6 46 F4 01 FF 15 ?? ?? ?? ?? 48 8B F3 48 85 DB 75 DA 48 8B 4F 10 FF 15 ?? ?? ?? ?? 48 8B 0F 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_819_16_0 {
	meta:
		name = "?ReturnToCache@Transmogrificator@details@Concurrency@@QEAAXPEAVCachedTransmogrifiedPrimary@23@@Z"
		size = 74
		refs = "001a __imp_WaitForSingleObject 002e __imp_SetEvent 0046 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 40 53 48 83 EC 20 8B 41 30 48 8B DA 83 F8 08 7C 21 48 8B 4B 20 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4B 18 C6 43 54 01 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? F0 FF 41 30 48 83 C2 60 48 83 C1 40 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_819_19_0 {
	meta:
		name = "?RemoveHead@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAPEAUListEntry@23@XZ"
		size = 100
		refs = "0017 ?_AcquireWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ 004d ?_ReleaseWrite@_ReaderWriterLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 83 C1 08 E8 ?? ?? ?? ?? 4C 8B 1E 33 FF 4D 85 DB 74 23 49 8B 53 08 4C 3B DA 75 05 48 89 3E EB 12 48 8B 42 08 4C 89 18 48 8B 0E 48 8B 42 08 48 89 41 08 48 8B FA 48 8D 4E 08 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_819_20_0 {
	meta:
		name = "?PerformTransmogrification@Transmogrificator@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 99
		refs = "0016 __imp_InterlockedPopEntrySList 0039 ?AddTail@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAXPEAUListEntry@23@@Z 0054 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 83 C1 40 48 8B FA FF 15 ?? ?? ?? ?? 48 85 C0 74 0E F0 FF 4B 30 48 83 C0 A0 48 89 47 68 EB 2B 48 8D 97 D0 00 00 00 48 8D 4B 20 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 43 1C FF C0 83 F8 01 75 0A 48 8B 4B 10 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_819_21_0 {
	meta:
		name = "?BeginTransmogrifying@Transmogrificator@details@Concurrency@@AEAAXXZ"
		size = 173
		refs = "0027 ?RemoveHead@?$SafeRWList@UListEntry@details@Concurrency@@VNoCount@CollectionTypes@23@V_ReaderWriterLock@23@@details@Concurrency@@QEAAPEAUListEntry@23@XZ 0038 ??2@YAPEAX_K@Z 004d ??0CachedTransmogrifiedPrimary@details@Concurrency@@QEAA@PEAVTransmogrificator@12@@Z 0069 ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 0084 __imp_WaitForSingleObject 0092 ??1Transmogrificator@details@Concurrency@@QEAA@XZ 00a9 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B D9 48 8B 49 10 EB 5D 48 8D 4B 20 E8 ?? ?? ?? ?? 48 8D B8 30 FF FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 40 48 85 C0 74 10 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B C8 EB 02 33 C9 48 8B C1 48 87 47 68 48 83 F8 01 75 08 48 8B D7 E8 ?? ?? ?? ?? 83 C8 FF F0 0F C1 43 1C FF C8 85 C0 7F A7 48 8B 4B 10 83 CA FF FF 15 ?? ?? ?? ?? 80 7B 18 00 74 94 48 8B CB E8 ?? ?? ?? ?? 48 8B CB 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_819_24_0 {
	meta:
		name = "??0Transmogrificator@details@Concurrency@@QEAA@XZ"
		size = 178
		refs = "0027 ??0_ReaderWriterLock@details@Concurrency@@QEAA@XZ 003e __imp_CreateEventW 004d __imp_GetLastError 0065 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 006c _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0076 _CxxThrowException 0082 ?TransmogrificatorMain@Transmogrificator@details@Concurrency@@CAKPEAX@Z 0098 ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z 00a5 __imp_InitializeSListHead"
	strings:
		$1 = { 40 53 48 83 EC 50 48 83 21 00 48 83 61 10 00 C6 41 18 00 C7 41 1C 00 00 00 00 48 83 61 20 00 48 8B D9 48 83 C1 28 E8 ?? ?? ?? ?? 45 33 C9 45 33 C0 33 D2 33 C9 C7 43 30 00 00 00 00 FF 15 ?? ?? ?? ?? 48 89 43 10 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8D 43 08 4C 8D 05 ?? ?? ?? ?? 4C 8B CB 48 89 44 24 28 83 64 24 20 00 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8D 4B 40 48 89 03 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_820_3_0 {
	meta:
		name = "?GetPolicy@CurrentScheduler@Concurrency@@SA?AVSchedulerPolicy@2@XZ"
		size = 41
		refs = "000f ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 30 00 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 00 48 8B D3 48 8B C8 41 FF 50 18 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_820_5_0 {
	meta:
		name = "?Create@CurrentScheduler@Concurrency@@SAXAEBVSchedulerPolicy@2@@Z"
		size = 23
		refs = "0005 ?Create@SchedulerBase@details@Concurrency@@SAPEAV123@AEBVSchedulerPolicy@3@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 8B 10 48 83 C4 28 48 FF 62 38 }
	condition:
		$1
}

rule file_820_6_0 {
	meta:
		name = "?Detach@CurrentScheduler@Concurrency@@SAXXZ"
		size = 54
		refs = "0005 ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ 0016 ?Detach@SchedulerBase@details@Concurrency@@QEAAXXZ 0020 ??0scheduler_not_attached@Concurrency@@QEAA@XZ 0027 _TI2?AVscheduler_not_attached@Concurrency@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 E8 ?? ?? ?? ?? 48 85 C0 74 0C 48 8B C8 48 83 C4 48 E9 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_820_10_0 {
	meta:
		name = "?RegisterShutdownEvent@CurrentScheduler@Concurrency@@SAXPEAX@Z"
		size = 65
		refs = "000a ?SafeFastCurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ 002b ??0scheduler_not_attached@Concurrency@@QEAA@XZ 0032 _TI2?AVscheduler_not_attached@Concurrency@@ 003c _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 E8 ?? ?? ?? ?? 48 85 C0 74 12 4C 8B 00 48 8B D3 48 8B C8 48 83 C4 40 5B 49 FF 60 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_820_11_0 {
	meta:
		name = "?CreateScheduleGroup@CurrentScheduler@Concurrency@@SAPEAVScheduleGroup@2@XZ"
		size = 23
		refs = "0005 ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B C8 48 8B 10 48 83 C4 28 48 FF 62 40 }
	condition:
		$1
}

rule file_820_12_0 {
	meta:
		name = "?ScheduleTask@CurrentScheduler@Concurrency@@SAXP6AXPEAX@Z0@Z"
		size = 47
		refs = "0011 ?CurrentScheduler@SchedulerBase@details@Concurrency@@SAPEAV123@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8B 08 4C 8B C3 48 8B D7 48 8B C8 48 8B 5C 24 30 48 83 C4 20 5F 49 FF 61 48 }
	condition:
		$1
}

rule file_821_5_0 {
	meta:
		name = "?_wcslwr_s_l_stat@@YAHPEA_W_KPEAUlocaleinfo_struct@@@Z"
		size = 491
		refs = "0022 __security_cookie 003f _errno 004b _invalid_parameter_noinfo 0055 wcsnlen 0086 __crtLCMapStringW 0124 __chkstk 013e malloc 019e wcscpy_s 01bf free 01cd __security_check_cookie"
	strings:
		$1 = { 40 55 41 55 41 56 48 83 EC 40 48 8D 6C 24 30 48 89 5D 30 48 89 75 38 48 89 7D 40 4C 89 65 48 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 45 00 45 33 F6 4D 8B E8 48 8B F2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? E9 6F 01 00 00 E8 ?? ?? ?? ?? 48 3B C6 72 06 66 44 89 33 EB DA 49 8B 45 00 8B 48 14 85 C9 74 54 41 83 C9 FF 4C 8B C3 BA 00 01 00 00 44 89 74 24 28 4C 89 74 24 20 E8 ?? ?? ?? ?? 4C 63 E0 85 C0 75 3F E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 E8 ?? ?? ?? ?? 8B 00 E9 1C 01 00 00 0F B7 03 66 83 F8 41 72 0D 66 83 F8 5A 77 07 66 83 C0 20 66 89 03 48 83 C3 02 66 44 39 33 75 E0 33 C0 E9 F5 00 00 00 49 8B CC 49 3B F4 73 13 66 44 89 33 E8 ?? ?? ?? ?? BB 22 00 00 00 E9 5D FF FF FF 85 C0 7E 67 33 D2 48 8D 42 E0 48 F7 F1 48 83 F8 02 72 58 4B 8D 4C 24 10 48 81 F9 00 04 00 00 77 31 48 8D 41 0F 48 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8D 7C 24 30 48 85 FF 74 29 C7 07 CC CC 00 00 EB 13 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0F C7 00 DD DD 00 00 48 83 C7 10 EB 03 49 8B FE 48 85 FF 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 2F FF FF FF 49 8B 45 00 41 83 C9 FF 4C 8B C3 8B 48 14 BA 00 01 00 00 44 89 64 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 74 12 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 8B D8 EB 0C E8 ?? ?? ?? ?? BB 2A 00 00 00 89 18 48 8D 4F F0 81 39 DD DD 00 00 75 05 E8 ?? ?? ?? ?? 8B C3 48 8B 4D 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 5D 30 48 8B 75 38 48 8B 7D 40 4C 8B 65 48 48 8D 65 10 41 5E 41 5D 5D C3 }
	condition:
		$1
}

rule file_821_9_0 {
	meta:
		name = "_wcslwr"
		size = 111
		refs = "000f __locale_changed 001b _errno 0026 _invalid_parameter_noinfo 0062 _wcslwr_s_l"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 C0 48 8B D9 44 39 05 ?? ?? ?? ?? 75 48 48 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 3B 48 8B C1 66 44 39 01 74 2F 0F B7 08 BA 41 00 00 00 66 3B D1 77 0D 66 83 F9 5A 77 07 66 83 C1 20 66 89 08 48 83 C0 02 66 44 39 00 75 DC EB 09 48 83 CA FF E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_822_9_0 {
	meta:
		name = "_vcprintf_s_l"
		size = 2606
		refs = "0022 __security_cookie 005d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 006f _errno 007a _invalid_parameter_noinfo 00c9 __lookuptable_s 0213 __nullstring 0256 __wnullstring 0293 wctomb_s 03cb _get_printf_count_output 0538 _malloc_crt 055a _cfltcvt_tab 056f __imp_DecodePointer 05f8 strlen 066b write_multi_char 067c write_string 074d free 07b0 __security_check_cookie 088d _isleadbyte_l 089e _putch_nolock"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B8 01 00 00 33 C0 48 89 4C 24 68 48 8D 4C 24 78 4D 8B F0 89 44 24 70 44 8B E8 89 44 24 5C 8B F8 89 44 24 44 89 44 24 4C 89 44 24 64 89 44 24 40 E8 ?? ?? ?? ?? 48 8B 54 24 68 45 33 D2 48 85 D2 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 38 5D 90 74 0B 48 8B 45 88 83 A0 C8 00 00 00 FD 83 C8 FF E9 0B 07 00 00 44 8A 22 45 8B FA 44 89 54 24 58 44 89 54 24 50 44 89 54 24 48 45 8B C2 4C 89 55 98 45 84 E4 0F 84 D2 06 00 00 48 8B 5D A8 83 CE FF 4C 8D 0D ?? ?? ?? ?? 41 BB 00 02 00 00 48 FF C2 48 89 54 24 68 45 85 FF 0F 88 9E 06 00 00 41 8D 44 24 E0 3C 58 77 0F 49 0F BE C4 42 0F B6 4C 08 E0 83 E1 0F EB 03 41 8B CA 48 63 C1 48 8D 0C C0 49 63 C0 48 03 C8 46 0F B6 04 09 41 C1 E8 04 44 89 44 24 60 41 83 F8 08 0F 84 E1 08 00 00 41 8B C8 45 85 C0 0F 84 4E 07 00 00 FF C9 0F 84 48 08 00 00 FF C9 0F 84 F0 07 00 00 FF C9 0F 84 AF 07 00 00 FF C9 0F 84 9A 07 00 00 FF C9 0F 84 5A 07 00 00 FF C9 0F 84 6F 06 00 00 FF C9 0F 85 0E 06 00 00 41 0F BE C4 83 F8 64 0F 8F 77 01 00 00 0F 84 7B 02 00 00 83 F8 41 0F 84 3C 01 00 00 83 F8 43 0F 84 D9 00 00 00 83 F8 45 0F 84 2A 01 00 00 83 F8 47 0F 84 21 01 00 00 83 F8 53 74 78 83 F8 58 0F 84 E1 01 00 00 83 F8 5A 74 17 83 F8 61 0F 84 11 01 00 00 83 F8 63 0F 84 B0 00 00 00 E9 3A 04 00 00 49 8B 06 49 83 C6 08 48 85 C0 74 3B 48 8B 58 08 48 85 DB 74 32 0F BF 00 41 0F BA E5 0B 73 17 99 BE 01 00 00 00 2B C2 89 74 24 40 D1 F8 89 44 24 48 E9 08 04 00 00 41 8B F2 44 89 54 24 40 89 44 24 48 E9 F7 03 00 00 48 8B 1D ?? ?? ?? ?? E9 D8 03 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 8B 1E 3B FE 8B C7 B9 FF FF FF 7F 0F 44 C1 49 83 C6 08 41 F7 C5 10 08 00 00 0F 84 11 01 00 00 48 85 DB BE 01 00 00 00 48 0F 44 1D ?? ?? ?? ?? 89 74 24 40 48 8B CB E9 E2 00 00 00 41 F7 C5 30 08 00 00 75 05 41 0F BA ED 0B 49 83 C6 08 41 F7 C5 10 08 00 00 74 27 45 0F B7 4E F8 48 8D 55 B0 48 8D 4C 24 48 4D 8B C3 E8 ?? ?? ?? ?? 45 33 D2 85 C0 74 19 C7 44 24 64 01 00 00 00 EB 0F 41 8A 46 F8 C7 44 24 48 01 00 00 00 88 45 B0 48 8D 5D B0 E9 43 03 00 00 C7 44 24 74 01 00 00 00 41 80 C4 20 41 83 CD 40 48 8D 5D B0 41 8B F3 85 FF 0F 89 2A 02 00 00 C7 44 24 44 06 00 00 00 E9 68 02 00 00 83 F8 65 0F 8C 0E 03 00 00 83 F8 67 7E D2 83 F8 69 0F 84 F3 00 00 00 83 F8 6E 0F 84 B7 00 00 00 83 F8 6F 0F 84 9E 00 00 00 83 F8 70 74 6A 83 F8 73 0F 84 07 FF FF FF 83 F8 75 0F 84 CE 00 00 00 83 F8 78 0F 85 CE 02 00 00 B8 27 00 00 00 EB 57 FF C8 66 44 39 11 74 08 48 83 C1 02 85 C0 75 F0 48 2B CB 48 D1 F9 89 4C 24 48 E9 AC 02 00 00 48 85 DB 48 0F 44 1D ?? ?? ?? ?? 48 8B CB EB 0A FF C8 44 38 11 74 07 48 FF C1 85 C0 75 F2 2B CB 89 4C 24 48 E9 7F 02 00 00 BF 10 00 00 00 41 0F BA ED 0F B8 07 00 00 00 89 44 24 70 41 B9 10 00 00 00 45 84 ED 79 5E 04 51 C6 44 24 54 30 41 8D 51 F2 88 44 24 55 EB 51 41 B9 08 00 00 00 45 84 ED 79 42 45 0B EB EB 3D 49 8B 3E 49 83 C6 08 E8 ?? ?? ?? ?? 45 33 D2 85 C0 0F 84 2B 06 00 00 41 F6 C5 20 74 06 66 44 89 3F EB 03 44 89 3F C7 44 24 64 01 00 00 00 E9 4A 03 00 00 41 83 CD 40 41 B9 0A 00 00 00 8B 54 24 4C B8 00 80 00 00 44 85 E8 75 07 41 0F BA E5 0C 73 09 4D 8B 06 49 83 C6 08 EB 2E 49 83 C6 08 41 F6 C5 20 74 14 41 F6 C5 40 74 07 4D 0F BF 46 F8 EB 17 45 0F B7 46 F8 EB 10 41 F6 C5 40 74 06 4D 63 46 F8 EB 04 45 8B 46 F8 41 F6 C5 40 74 0D 4D 85 C0 79 08 49 F7 D8 41 0F BA ED 08 44 85 E8 75 0A 41 0F BA E5 0C 72 03 45 8B C0 85 FF 79 07 BF 01 00 00 00 EB 0B 41 83 E5 F7 41 3B FB 41 0F 4F FB 44 8B 7C 24 70 49 8B C0 48 8D 9D AF 01 00 00 48 F7 D8 1B C9 23 CA 89 4C 24 4C 8B CF FF CF 85 C9 7F 05 4D 85 C0 74 20 33 D2 49 8B C0 49 63 C9 48 F7 F1 4C 8B C0 8D 42 30 83 F8 39 7E 03 41 03 C7 88 03 48 FF CB EB D3 44 8B 7C 24 58 48 8D 85 AF 01 00 00 89 7C 24 44 2B C3 48 FF C3 89 44 24 48 45 85 EB 0F 84 16 01 00 00 85 C0 74 09 80 3B 30 0F 84 09 01 00 00 48 FF CB FF 44 24 48 C6 03 30 E9 FA 00 00 00 75 10 41 80 FC 67 75 43 C7 44 24 44 01 00 00 00 EB 39 41 3B FB 41 0F 4F FB 89 7C 24 44 81 FF A3 00 00 00 7E 26 81 C7 5D 01 00 00 48 63 CF E8 ?? ?? ?? ?? 48 89 45 98 48 85 C0 74 07 48 8B D8 8B F7 EB 08 C7 44 24 44 A3 00 00 00 49 8B 06 48 8B 0D ?? ?? ?? ?? 49 83 C6 08 41 0F BE FC 48 63 F6 48 89 45 A8 FF 15 ?? ?? ?? ?? 48 8D 4C 24 78 44 8B CF 48 89 4C 24 30 8B 4C 24 74 4C 8B C6 89 4C 24 28 8B 4C 24 44 48 8B D3 89 4C 24 20 48 8D 4D A8 FF D0 41 8B FD 81 E7 80 00 00 00 74 1F 33 C0 39 44 24 44 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 78 48 8B CB FF D0 41 80 FC 67 75 1B 85 FF 75 17 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8D 54 24 78 48 8B CB FF D0 80 3B 2D 75 08 41 0F BA ED 08 48 FF C3 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 89 44 24 48 8B 74 24 40 44 39 54 24 64 0F 85 2E 01 00 00 41 F6 C5 40 74 31 41 0F BA E5 08 73 07 C6 44 24 54 2D EB 0B 41 F6 C5 01 74 10 C6 44 24 54 2B BF 01 00 00 00 89 7C 24 4C EB 11 41 F6 C5 02 74 07 C6 44 24 54 20 EB E8 8B 7C 24 4C 44 8B 64 24 5C 44 2B 64 24 48 44 2B E7 41 F6 C5 0C 75 0F 4C 8D 44 24 50 41 8B D4 B1 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 48 8D 4C 24 54 8B D7 E8 ?? ?? ?? ?? 41 F6 C5 08 74 15 41 F6 C5 04 75 0F 4C 8D 44 24 50 41 8B D4 B1 30 E8 ?? ?? ?? ?? 8B 7C 24 48 85 F6 74 5A 85 FF 7E 56 48 8B F3 44 0F B7 0E 48 8D 95 B0 01 00 00 48 8D 4D A0 41 B8 06 00 00 00 FF CF 48 83 C6 02 E8 ?? ?? ?? ?? 45 33 D2 85 C0 75 21 8B 55 A0 85 D2 74 1A 4C 8D 44 24 50 48 8D 8D B0 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 85 FF 75 BA EB 1D 41 83 CF FF 44 89 7C 24 50 EB 17 4C 8D 44 24 50 8B D7 48 8B CB E8 ?? ?? ?? ?? 45 33 D2 44 8B 7C 24 50 44 89 7C 24 58 45 85 FF 78 22 41 F6 C5 04 74 1C 4C 8D 44 24 50 41 8B D4 B1 20 E8 ?? ?? ?? ?? 44 8B 7C 24 50 45 33 D2 44 89 7C 24 58 48 8B 45 98 48 85 C0 74 0F 48 8B C8 E8 ?? ?? ?? ?? 45 33 D2 4C 89 55 98 44 8B 44 24 60 48 8B 54 24 68 8B 7C 24 44 4C 8D 0D ?? ?? ?? ?? 41 BB 00 02 00 00 83 CE FF 44 8A 22 45 84 E4 0F 85 51 F9 FF FF 45 85 C0 74 0A 41 83 F8 07 0F 85 74 02 00 00 44 38 55 90 74 0B 48 8B 4D 88 83 A1 C8 00 00 00 FD 41 8B C7 48 8B 8D B8 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 08 03 00 00 48 81 C4 C0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 41 80 FC 49 74 3D 41 80 FC 68 74 2E 41 80 FC 6C 74 0D 41 80 FC 77 75 8F 41 0F BA ED 0B EB 88 80 3A 6C 75 0D 48 FF C2 41 0F BA ED 0C E9 76 FF FF FF 41 83 CD 10 E9 6D FF FF FF 41 83 CD 20 E9 64 FF FF FF 8A 02 41 0F BA ED 0F 3C 36 75 14 80 7A 01 34 75 0E 48 83 C2 02 41 0F BA ED 0F E9 45 FF FF FF 3C 33 75 14 80 7A 01 32 75 0E 48 83 C2 02 41 0F BA F5 0F E9 2D FF FF FF 3C 64 0F 84 25 FF FF FF 3C 69 0F 84 1D FF FF FF 3C 6F 0F 84 15 FF FF FF 3C 75 0F 84 0D FF FF FF 3C 78 0F 84 05 FF FF FF 3C 58 0F 84 FD FE FF FF 44 89 54 24 60 48 8D 54 24 78 41 0F B6 CC 44 89 54 24 40 E8 ?? ?? ?? ?? 85 C0 0F 84 26 01 00 00 41 0F BE CC E8 ?? ?? ?? ?? 3B C6 0F 85 FD 00 00 00 44 8B FE E9 F8 00 00 00 41 80 FC 2A 75 1E 41 8B 3E 49 83 C6 08 89 7C 24 44 85 FF 0F 89 AB FE FF FF 8B FE 89 74 24 44 E9 A0 FE FF FF 8D 0C BF 41 0F BE C4 8D 7C 48 D0 89 7C 24 44 E9 8C FE FF FF 41 8B FA 44 89 54 24 44 E9 7F FE FF FF 41 80 FC 2A 75 1B 41 8B 06 49 83 C6 08 89 44 24 5C 85 C0 0F 89 66 FE FF FF 41 83 CD 04 F7 D8 EB 0F 8B 44 24 5C 8D 0C 80 41 0F BE C4 8D 44 48 D0 89 44 24 5C E9 46 FE FF FF 41 80 FC 20 74 41 41 80 FC 23 74 31 41 80 FC 2B 74 22 41 80 FC 2D 74 13 41 80 FC 30 0F 85 24 FE FF FF 41 83 CD 08 E9 1B FE FF FF 41 83 CD 04 E9 12 FE FF FF 41 83 CD 01 E9 09 FE FF FF 41 0F BA ED 07 E9 FF FD FF FF 41 83 CD 02 E9 F6 FD FF FF 44 89 54 24 74 44 89 54 24 64 44 89 54 24 5C 44 89 54 24 4C 45 8B EA 8B FE 89 74 24 44 44 89 54 24 40 E9 CF FD FF FF 41 FF C7 48 8B 4C 24 68 44 8A 21 48 FF C1 48 89 4C 24 68 45 84 E4 74 46 41 0F BE CC E8 ?? ?? ?? ?? 48 8B 54 24 68 44 8B 44 24 60 41 BB 00 02 00 00 4C 8D 0D ?? ?? ?? ?? 3B C6 75 13 44 8B FE 89 74 24 58 89 74 24 50 45 33 D2 E9 80 FD FF FF 41 FF C7 44 89 7C 24 58 44 89 7C 24 50 EB E9 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 38 45 90 74 0B 48 8B 45 88 83 A0 C8 00 00 00 FD 8B C6 E9 77 FD FF FF }
	condition:
		$1
}

rule file_823_3_0 {
	meta:
		name = "_atodbl_l"
		size = 255
		refs = "0018 __security_cookie 0031 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 005c __strgtold12_l 006a _ld12tod 00e6 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 7C 24 20 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 48 8B DA 48 8D 4D C0 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 5D C0 48 8D 55 E0 4C 89 5C 24 38 83 64 24 30 00 83 64 24 28 00 83 64 24 20 00 48 8D 4D E8 45 33 C9 4C 8B C3 E8 ?? ?? ?? ?? 48 8D 4D E8 48 8B D7 8B D8 E8 ?? ?? ?? ?? BA 03 00 00 00 84 DA 75 37 83 F8 01 75 15 80 7D D8 00 74 0B 48 8B 4D D0 83 A1 C8 00 00 00 FD 8B C2 EB 4D 83 F8 02 75 35 80 7D D8 00 74 0B 48 8B 45 D0 83 A0 C8 00 00 00 FD B8 04 00 00 00 EB 30 F6 C3 01 75 E3 F6 C3 02 74 13 80 7D D8 00 74 CF 48 8B 45 D0 83 A0 C8 00 00 00 FD EB C2 80 7D D8 00 74 0B 48 8B 45 D0 83 A0 C8 00 00 00 FD 33 C0 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_823_7_0 {
	meta:
		name = "_atoflt_l"
		size = 255
		refs = "0018 __security_cookie 0031 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 005c __strgtold12_l 006a _ld12tof 00e6 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 7C 24 20 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 48 8B DA 48 8D 4D C0 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 5D C0 48 8D 55 E0 4C 89 5C 24 38 83 64 24 30 00 83 64 24 28 00 83 64 24 20 00 48 8D 4D E8 45 33 C9 4C 8B C3 E8 ?? ?? ?? ?? 48 8D 4D E8 48 8B D7 8B D8 E8 ?? ?? ?? ?? BA 03 00 00 00 84 DA 75 37 83 F8 01 75 15 80 7D D8 00 74 0B 48 8B 4D D0 83 A1 C8 00 00 00 FD 8B C2 EB 4D 83 F8 02 75 35 80 7D D8 00 74 0B 48 8B 45 D0 83 A0 C8 00 00 00 FD B8 04 00 00 00 EB 30 F6 C3 01 75 E3 F6 C3 02 74 13 80 7D D8 00 74 CF 48 8B 45 D0 83 A0 C8 00 00 00 FD EB C2 80 7D D8 00 74 0B 48 8B 45 D0 83 A0 C8 00 00 00 FD 33 C0 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_823_5_0 {
	meta:
		name = "_atoldbl_l"
		size = 258
		refs = "0018 __security_cookie 0031 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 005f __strgtold12_l 006d _ld12told 00e9 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 48 89 7C 24 20 55 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B F9 48 8B DA 48 8D 4D C0 49 8B D0 E8 ?? ?? ?? ?? 4C 8D 5D C0 48 8D 55 E0 4C 89 5C 24 38 83 64 24 30 00 83 64 24 28 00 83 64 24 20 00 48 8D 4D E8 41 B9 01 00 00 00 4C 8B C3 E8 ?? ?? ?? ?? 48 8D 4D E8 48 8B D7 8B D8 E8 ?? ?? ?? ?? BA 03 00 00 00 84 DA 75 37 83 F8 01 75 15 80 7D D8 00 74 0B 48 8B 4D D0 83 A1 C8 00 00 00 FD 8B C2 EB 4D 83 F8 02 75 35 80 7D D8 00 74 0B 48 8B 45 D0 83 A0 C8 00 00 00 FD B8 04 00 00 00 EB 30 F6 C3 01 75 E3 F6 C3 02 74 13 80 7D D8 00 74 CF 48 8B 45 D0 83 A0 C8 00 00 00 FD EB C2 80 7D D8 00 74 0B 48 8B 45 D0 83 A0 C8 00 00 00 FD 33 C0 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_824_0_0 {
	meta:
		name = "_copysignf"
		size = 44
	strings:
		$1 = { F3 0F 11 44 24 08 BA 00 00 00 80 8B 4C 24 08 F3 0F 11 4C 24 08 8B 44 24 08 33 C1 85 C2 74 0C 33 CA 89 4C 24 08 F3 0F 10 44 24 08 C3 }
	condition:
		$1
}

rule file_825_0_0 {
	meta:
		name = "_getwch_nolock"
		size = 315
		refs = "0017 __security_cookie 0026 wchbuf 0043 _coninpfh 004e __initconin 006e __imp_GetConsoleMode 007d __imp_SetConsoleMode 009c __imp_ReadConsoleInputW 00c9 _getextendedkeycode 0122 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 0F B7 05 ?? ?? ?? ?? BF FF FF 00 00 66 3B C7 74 0C 66 89 3D ?? ?? ?? ?? E9 D9 00 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 08 0F B7 C7 E9 B2 00 00 00 48 8D 54 24 24 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 33 D2 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? BD 01 00 00 00 4C 8D 4C 24 20 48 8D 54 24 28 44 8B C5 FF 15 ?? ?? ?? ?? 33 F6 85 C0 74 5C 39 74 24 20 74 52 66 39 6C 24 28 75 1F 39 74 24 2C 74 19 0F B7 5C 24 36 66 85 DB 75 42 48 8D 4C 24 2C E8 ?? ?? ?? ?? 48 85 C0 75 1C 48 8B 0D ?? ?? ?? ?? 4C 8D 4C 24 20 48 8D 54 24 28 44 8B C5 FF 15 ?? ?? ?? ?? EB B4 0F B6 18 0F B6 40 01 66 89 05 ?? ?? ?? ?? EB 07 8B DF EB 03 0F B7 DF 8B 54 24 24 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 0F B7 C3 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_825_1_0 {
	meta:
		name = "_getwche_nolock"
		size = 79
		refs = "000d wchbuf 0025 _getwch_nolock 0035 _putwch_nolock"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 0F B7 05 ?? ?? ?? ?? BF FF FF 00 00 66 3B C7 74 09 66 89 3D ?? ?? ?? ?? EB 20 E8 ?? ?? ?? ?? 0F B7 D8 66 3B C7 74 10 0F B7 C8 E8 ?? ?? ?? ?? 66 3B C7 0F B7 C3 75 03 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_825_2_0 {
	meta:
		name = "_ungetwch_nolock"
		size = 38
		refs = "000d wchbuf"
	strings:
		$1 = { B8 FF FF 00 00 66 3B C8 74 1B 66 39 05 ?? ?? ?? ?? 75 12 B8 FF 00 00 00 66 23 C8 66 89 0D ?? ?? ?? ?? 0F B7 C1 C3 }
	condition:
		$1
}

rule file_825_3_0 {
	meta:
		name = "_getwch"
		size = 44
		refs = "000c _lock 0012 _getwch_nolock 001f _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_825_5_0 {
	meta:
		name = "_getwche"
		size = 44
		refs = "000c _lock 0012 _getwche_nolock 001f _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_825_7_0 {
	meta:
		name = "_ungetwch"
		size = 50
		refs = "000f _lock 0018 _ungetwch_nolock 0025 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 0F B7 CB E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_938_1_0 {
	meta:
		name = "_putwch"
		size = 50
		refs = "000f _lock 0018 _putwch_nolock 0025 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 D9 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 0F B7 CB E8 ?? ?? ?? ?? 0F B7 D8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_827_0_0 {
	meta:
		name = "strncpy_s"
		size = 191
		refs = "0039 _errno 0045 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 33 DB 4D 8B D0 4D 85 C9 75 0E 48 85 C9 75 0E 48 85 D2 75 1E 33 C0 EB 2D 48 85 C9 74 15 48 85 D2 74 10 4D 85 C9 75 04 88 19 EB E9 4D 85 C0 75 1B 88 19 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 4C 8B D9 4C 8B C2 49 83 F9 FF 75 18 4D 2B DA 41 8A 02 43 88 04 13 49 FF C2 84 C0 74 2A 49 FF C8 75 ED EB 23 4C 2B D1 43 8A 04 1A 41 88 03 49 FF C3 84 C0 74 0A 49 FF C8 74 05 49 FF C9 75 E8 4D 85 C9 75 03 41 88 1B 4D 85 C0 0F 85 79 FF FF FF 49 83 F9 FF 75 0A 88 5C 11 FF 41 8D 40 50 EB 9A 88 19 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 83 }
	condition:
		$1
}

rule file_828_0_0 {
	meta:
		name = "__dtoxmode"
		size = 231
		refs = "0064 _mbsrchr 0073 ??_C@_04JLMDILM@?4exe?$AA@ 007b _mbsicmp 0086 ??_C@_04CPCBDHLK@?4cmd?$AA@ 0099 ??_C@_04NEEFLLOK@?4bat?$AA@ 00ac ??_C@_04PNGHFIJN@?4com?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 4C 8B C2 0F B6 D1 41 80 78 01 3A 49 8B C8 75 04 49 8D 48 02 8A 01 3C 5C 74 04 3C 2F 75 06 80 79 01 00 74 0E F6 C2 10 75 09 BB 00 80 00 00 84 C0 75 05 BB 40 40 00 00 66 C1 E2 07 B8 80 00 00 00 49 8B C8 66 F7 D2 66 23 D0 B8 00 01 00 00 66 0B D0 66 0B DA BA 2E 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 50 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 39 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 26 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 74 13 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 04 66 83 CB 40 0F B7 C3 66 C1 E8 03 66 83 E0 38 66 0B D8 0F B7 C3 66 C1 E8 06 66 83 E0 07 66 0B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_828_3_0 {
	meta:
		name = "_stat32"
		size = 1270
		refs = "0022 __security_cookie 0042 __doserrno 004a _errno 0055 _invalid_parameter_noinfo 0069 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 006e _mbspbrk 00a7 _mbctolower 00b2 _getdrive 00d2 __imp_FindFirstFileExA 00e9 ??_C@_03LLEJOLGL@?4?1?2?$AA@ 011f _fullpath 016e strlen 0221 __imp_GetDriveTypeA 0237 free 0268 __loctotime32_t 02d0 _sopen_s 02e4 _fstat32 02ef _close 0318 __imp_FileTimeToLocalFileTime 0330 __imp_FileTimeToSystemTime 0469 __imp_FindClose 047a __dtoxmode 04b6 __imp_GetLastError 04bd _dosmaperr 04d7 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 40 FE FF FF 48 81 EC C0 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 B0 01 00 00 45 33 F6 48 8B FA 4C 8B E1 45 8B EE 48 85 C9 75 20 E8 ?? ?? ?? ?? 44 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 6B 04 00 00 48 85 D2 74 DB 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 15 E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 EB CD 41 80 7C 24 01 3A 75 1D 45 38 34 24 74 07 45 38 74 24 02 74 D6 41 0F BE 0C 24 E8 ?? ?? ?? ?? 44 8D 78 A0 EB 08 E8 ?? ?? ?? ?? 44 8B F8 4C 8D 44 24 60 45 33 C9 33 D2 49 8B CC 44 89 74 24 28 4C 89 74 24 20 FF 15 ?? ?? ?? ?? 48 83 CB FF 48 8B F0 48 3B C3 0F 85 BC 01 00 00 48 8D 15 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 85 C0 0F 84 8C 01 00 00 E8 ?? ?? ?? ?? 44 8B 30 E8 ?? ?? ?? ?? 48 8D 8D A0 00 00 00 44 21 28 41 B8 04 01 00 00 49 8B D4 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 0A E8 ?? ?? ?? ?? 44 89 30 EB 29 E8 ?? ?? ?? ?? 83 38 22 0F 85 47 01 00 00 E8 ?? ?? ?? ?? 45 33 C0 49 8B D4 33 C9 44 89 30 E8 ?? ?? ?? ?? 4C 8B E8 48 8B F0 45 33 F6 48 85 F6 0F 84 13 01 00 00 48 8B CE E8 ?? ?? ?? ?? 48 83 F8 03 0F 84 A0 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 83 F8 05 0F 82 EF 00 00 00 41 B0 5C B2 2F 44 38 06 74 08 38 16 0F 85 DD 00 00 00 8A 46 01 41 3A C0 74 08 3A C2 0F 85 CD 00 00 00 8A 46 02 41 3A C0 0F 84 C1 00 00 00 3A C2 0F 84 B9 00 00 00 48 8D 46 03 8A 08 84 C9 0F 84 AB 00 00 00 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 30 0F 84 90 00 00 00 48 FF C0 44 38 30 0F 84 84 00 00 00 8A 08 84 C9 74 1D 41 3A C8 74 0D 3A CA 74 09 48 FF C0 8A 08 84 C9 75 EE 44 38 30 74 06 44 38 70 01 75 61 48 8B CE FF 15 ?? ?? ?? ?? BE 01 00 00 00 3B C6 76 4F 4D 85 ED 74 08 49 8B CD E8 ?? ?? ?? ?? 89 5C 24 30 45 33 C9 44 8B C6 8B D6 B9 BC 07 00 00 44 89 74 24 28 C7 44 24 60 10 00 00 00 4C 89 74 24 7C 44 88 75 8C 44 89 74 24 20 E8 ?? ?? ?? ?? 45 8B EE 89 47 1C 89 47 18 89 47 20 E9 F5 01 00 00 4D 85 ED 74 08 49 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 89 38 E8 ?? ?? ?? ?? 89 38 E9 28 02 00 00 F7 44 24 60 00 04 00 00 74 4C 81 7D 84 0C 00 00 A0 75 43 48 8D 4C 24 40 41 B9 40 00 00 00 45 33 C0 49 8B D4 89 5C 24 40 44 89 74 24 20 E8 ?? ?? ?? ?? 85 C0 75 B2 8B 4C 24 40 3B CB 74 AA 48 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 40 8B D8 E8 ?? ?? ?? ?? E9 D2 01 00 00 44 39 74 24 74 75 0D 44 39 74 24 78 75 06 44 89 77 1C EB 66 48 8D 54 24 40 48 8D 4C 24 74 FF 15 ?? ?? ?? ?? 85 C0 0F 84 90 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 78 01 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 1C 44 39 74 24 6C 75 0C 44 39 74 24 70 75 05 8B 47 1C EB 63 48 8D 54 24 40 48 8D 4C 24 6C FF 15 ?? ?? ?? ?? 85 C0 0F 84 17 01 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 FF 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 89 47 18 44 39 74 24 64 75 0C 44 39 74 24 68 75 05 8B 47 1C EB 63 48 8D 54 24 40 48 8D 4C 24 64 FF 15 ?? ?? ?? ?? 85 C0 0F 84 9E 00 00 00 48 8D 54 24 48 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 85 C0 0F 84 86 00 00 00 0F B7 44 24 54 44 0F B7 54 24 52 44 0F B7 4C 24 50 44 0F B7 44 24 4E 0F B7 54 24 4A 0F B7 4C 24 48 89 5C 24 30 89 44 24 28 44 89 54 24 20 E8 ?? ?? ?? ?? 48 8B CE 89 47 20 FF 15 ?? ?? ?? ?? BE 01 00 00 00 8B 4C 24 60 49 8B D4 E8 ?? ?? ?? ?? 66 89 77 08 66 89 47 06 8B 45 80 89 47 14 44 39 74 24 7C 74 07 44 89 77 14 44 8B EB 41 8D 4F FF 66 44 89 77 04 C7 47 0A 00 00 00 00 89 0F 89 4F 10 41 8B C5 EB 18 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 48 8B CE FF 15 ?? ?? ?? ?? 8B C3 48 8B 8D B0 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 03 00 00 48 81 C4 C0 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_829_0_0 {
	meta:
		name = "_ftell_nolock"
		size = 438
		refs = "0026 _errno 0031 _invalid_parameter_noinfo 003e _fileno 0059 _lseek 007d __pioinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 48 8B D9 48 85 C9 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 5A 01 00 00 E8 ?? ?? ?? ?? 83 7B 08 00 4C 63 E0 7D 04 83 63 08 00 33 D2 41 8B CC 44 8D 42 01 E8 ?? ?? ?? ?? 8B F0 85 C0 78 D2 8B 53 18 F7 C2 08 01 00 00 75 0A 2B 73 08 8B C6 E9 1F 01 00 00 8B 3B 4C 8D 05 ?? ?? ?? ?? 8B EF 2B 6B 10 F6 C2 03 74 3C 49 8B CC 49 8B C4 48 C1 F8 05 83 E1 1F 49 8B 04 C0 48 6B C9 58 F6 44 08 08 80 74 15 48 8B 43 10 EB 0A 80 38 0A 75 02 FF C5 48 FF C0 48 3B 03 72 F1 85 F6 75 1B 8B C5 E9 D0 00 00 00 84 D2 78 F1 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 5A FF FF FF F6 C2 01 0F 84 AF 00 00 00 83 7B 08 00 75 07 33 ED E9 A2 00 00 00 2B 7B 10 4D 8B EC 4D 8B F4 03 7B 08 49 C1 FE 05 41 83 E5 1F 4B 8B 04 F0 4D 6B ED 58 41 F6 44 05 08 80 74 7C 33 D2 41 8B CC 44 8D 42 02 E8 ?? ?? ?? ?? 3B C6 75 23 48 8B 43 10 8B CF 48 03 C8 EB 0A 80 38 0A 75 02 FF C7 48 FF C0 48 3B C1 72 F1 F7 43 18 00 20 00 00 EB 43 45 33 C0 8B D6 41 8B CC E8 ?? ?? ?? ?? 85 C0 0F 88 D6 FE FF FF B8 00 02 00 00 3B F8 77 11 F6 43 18 08 74 0B F7 43 18 00 04 00 00 8B F8 74 03 8B 7B 24 48 8D 05 ?? ?? ?? ?? 4A 8B 04 F0 41 F6 44 05 08 04 74 02 FF C7 2B F7 8D 44 35 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_829_1_0 {
	meta:
		name = "ftell"
		size = 88
		refs = "001f _errno 002a _invalid_parameter_noinfo 0034 _lock_file 003d _ftell_nolock 0047 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 33 C0 48 85 C9 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 1A E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_830_1_0 {
	meta:
		name = "wparse_cmdline"
		size = 446
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 55 41 56 4C 8B 5C 24 38 33 F6 49 8B D9 8D 6E 01 41 89 33 4C 8B D2 41 89 29 48 85 D2 74 07 4C 89 02 49 83 C2 08 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 41 01 2B 8B D6 41 BE 22 00 00 00 66 44 39 31 75 13 85 D2 8B C6 0F 94 C0 48 83 C1 02 8B D0 41 0F B7 C6 EB 1F 41 01 2B 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 0F B7 01 48 83 C1 02 66 85 C0 74 1C 85 D2 75 C4 66 83 F8 20 74 06 66 83 F8 09 75 B8 4D 85 C0 74 0B 66 41 89 70 FE EB 04 48 83 E9 02 8B FE 41 BD 5C 00 00 00 66 39 31 0F 84 DE 00 00 00 66 83 39 20 74 06 66 83 39 09 75 06 48 83 C1 02 EB EE 66 39 31 0F 84 C3 00 00 00 4D 85 D2 74 07 4D 89 02 49 83 C2 08 01 2B 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 41 01 2B 44 8B CD 8B D6 EB 06 48 83 C1 02 03 D5 66 44 39 29 74 F4 66 44 39 31 75 3A 40 84 D5 75 1F 85 FF 74 0F 48 8D 41 02 66 44 39 30 75 05 48 8B C8 EB 0C 85 FF 8B C6 44 8B CE 0F 94 C0 8B F8 D1 EA EB 12 FF CA 4D 85 C0 74 08 66 45 89 28 49 83 C0 02 41 01 2B 85 D2 75 EA 0F B7 01 66 85 C0 74 2E 85 FF 75 0C 66 83 F8 20 74 24 66 83 F8 09 74 1E 45 85 C9 74 10 4D 85 C0 74 08 66 41 89 00 49 83 C0 02 41 01 2B 48 83 C1 02 E9 73 FF FF FF 4D 85 C0 74 08 66 41 89 30 49 83 C0 02 41 01 2B E9 19 FF FF FF 4D 85 D2 74 03 49 89 32 01 2B 48 8B 74 24 28 48 8B 7C 24 30 48 8B 5C 24 18 48 8B 6C 24 20 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_830_2_0 {
	meta:
		name = "__wsetargv"
		size = 247
		refs = "000f ?_pgmname@?1??__wsetargv@@9@9 0029 __imp_GetModuleFileNameW 0030 _wcmdln 0037 _wpgmptr 0060 wparse_cmdline 009c _malloc_crt 00ce __wargv 00d8 __argc 00dd _wcwild"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 83 EC 30 48 8D 3D ?? ?? ?? ?? 33 ED 41 B8 04 01 00 00 48 8B D7 33 C9 66 89 2D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 66 39 2B 75 03 48 8B DF 48 8D 44 24 58 4C 8D 4C 24 50 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 50 48 B8 FF FF FF FF FF FF FF 1F 48 3B F0 73 6F 48 63 44 24 58 48 B9 FF FF FF FF FF FF FF 7F 48 3B C1 73 5B 48 8D 0C B0 48 03 C0 48 03 C9 48 3B C8 72 4C E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 3F 4C 8D 04 F0 48 8D 44 24 58 4C 8D 4C 24 50 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 5C 24 50 48 89 3D ?? ?? ?? ?? 41 FF CB 44 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B C0 EB 03 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_831_0_0 {
	meta:
		name = "_putws"
		size = 231
		refs = "002c _errno 0037 _invalid_parameter_noinfo 0043 __iob_func 0051 _lock_file2 0060 _stbuf 0085 _fputwc_nolock 00b6 _ftbuf 00ca _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B F9 BB FF FF 00 00 45 33 ED 41 8B C5 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C3 E9 91 00 00 00 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 44 8B E0 0F B7 37 66 85 F6 74 21 48 83 C7 02 48 89 7C 24 40 E8 ?? ?? ?? ?? 48 8D 50 30 0F B7 CE E8 ?? ?? ?? ?? 66 3B C3 74 1B EB D7 E8 ?? ?? ?? ?? 48 8D 50 30 66 B9 0A 00 E8 ?? ?? ?? ?? 66 3B C3 41 0F 45 DD E8 ?? ?? ?? ?? 48 8D 50 30 41 8B CC E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? E9 68 FF FF FF 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_833_7_0 {
	meta:
		name = "??0ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
		size = 112
		refs = "0024 ??0_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ 002b __imp_TlsAlloc 0039 __imp_GetLastError 0051 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0058 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0062 _CxxThrowException"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 21 00 48 83 61 08 00 48 83 C1 18 E8 ?? ?? ?? ?? 90 FF 15 ?? ?? ?? ?? 89 43 10 83 F8 FF 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_833_8_0 {
	meta:
		name = "?dtor$0@?0???0ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 60 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_833_12_0 {
	meta:
		name = "??1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ"
		size = 77
		refs = "003a __imp_TlsFree 0049 ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8B 09 48 85 C9 74 06 48 8B 01 FF 50 30 48 83 7B 08 00 74 0A 48 8B 4B 08 48 8B 01 FF 50 30 8B 4B 10 FF 15 ?? ?? ?? ?? 90 48 8D 4B 18 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_833_13_0 {
	meta:
		name = "?dtor$0@?0???1ThreadProxyFactoryManager@details@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_NonReentrantBlockingLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_597_2 {
	meta:
		name = "?dtor$0@?0???0?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Async_send_queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_593_2 {
	meta:
		name = "?dtor$0@?0???0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Async_send_queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_739_2 {
	meta:
		name = "?dtor$1@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_743_1 {
	meta:
		name = "?dtor$1@?0???0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_602_2 {
	meta:
		name = "?dtor$1@?0???0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_640_2 {
	meta:
		name = "?dtor$1@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_664_2 {
	meta:
		name = "?dtor$1@?0???1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_723_2 {
	meta:
		name = "?dtor$1@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_727_1 {
	meta:
		name = "?dtor$1@?0???_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_138_2 {
	meta:
		name = "?dtor$2@?0???1_Locinfo@std@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_817_2 {
	meta:
		name = "?dtor$8@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_16_836_2 {
	meta:
		name = "?dtor$8@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_833_19_0 {
	meta:
		name = "??0?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 79
		refs = "0012 ??_7?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@6B@ 0030 __imp_InitializeSListHead"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 8D 59 10 48 89 01 8B 42 10 BE 03 00 00 00 89 41 08 48 8B CB FF 15 ?? ?? ?? ?? 48 83 C3 10 FF CE 79 EF 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_29_0 {
	meta:
		name = "??0?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@IEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 79
		refs = "0012 ??_7?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@6B@ 0030 __imp_InitializeSListHead"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 48 8D 59 10 48 89 01 8B 42 10 BE 03 00 00 00 89 41 08 48 8B CB FF 15 ?? ?? ?? ?? 48 83 C3 10 FF CE 79 EF 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_23_0 {
	meta:
		name = "?Prepare@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@MEAAXPEAVFreeThreadProxy@23@H@Z"
		size = 29
		refs = "0014 ?SetPriority@ThreadProxy@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 44 39 42 2C 74 0B 41 8B D0 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_833_28_0 {
	meta:
		name = "?ReclaimProxy@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 144
		refs = "0014 ?s_numBuckets@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0028 ?s_proxyStackSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1PAIA 004f __imp_QueryDepthSList 005a ?s_bucketSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0069 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 8B 15 ?? ?? ?? ?? 48 8B F9 33 C9 85 D2 7E 4E 44 8B 43 28 48 8D 05 ?? ?? ?? ?? 44 3B 00 74 0C FF C1 48 83 C0 04 3B CA 7C F1 EB 32 48 63 F1 48 FF C6 48 C1 E6 04 48 03 F7 48 8B CE FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 1D ?? ?? ?? ?? 7D 0F 48 8D 53 60 48 8B CE FF 15 ?? ?? ?? ?? 33 DB 48 85 DB 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 40 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_33_0 {
	meta:
		name = "?Prepare@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@MEAAXPEAVUMSFreeThreadProxy@23@H@Z"
		size = 29
		refs = "0014 ?SetPriority@UMSThreadProxy@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B C2 44 39 42 54 74 0B 41 8B D0 48 8B C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_833_37_0 {
	meta:
		name = "?Delta@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@CAPEAVUMSFreeThreadProxy@23@PEAX@Z"
		size = 17
	strings:
		$1 = { 48 8D 91 F0 FE FF FF 48 F7 D9 48 1B C0 48 23 C2 C3 }
	condition:
		$1
}

rule file_833_38_0 {
	meta:
		name = "?ReclaimProxy@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 157
		refs = "0021 ?s_numBuckets@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0032 ?s_proxyStackSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1PAIA 0059 __imp_QueryDepthSList 0064 ?s_bucketSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0076 __imp_InterlockedPushEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 85 D2 74 06 48 8D 5A F8 EB 02 33 DB 8B 0D ?? ?? ?? ?? 33 C0 85 C9 7E 51 44 8B 43 50 48 8D 15 ?? ?? ?? ?? 44 3B 02 74 0C FF C0 48 83 C2 04 3B C1 7C F1 EB 35 48 63 F0 48 FF C6 48 C1 E6 04 48 03 F7 48 8B CE FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 1D ?? ?? ?? ?? 7D 12 48 8D 93 10 01 00 00 48 8B CE FF 15 ?? ?? ?? ?? 33 DB 48 85 DB 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 40 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_39_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVFreeThreadProxy@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_833_54_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVFreeThreadProxy@23@XZ"
		size = 28
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_833_40_0 {
	meta:
		name = "?Pop@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVUMSFreeThreadProxy@23@XZ"
		size = 31
		refs = "0006 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_833_86_0 {
	meta:
		name = "?Flush@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVUMSFreeThreadProxy@23@XZ"
		size = 31
		refs = "0006 __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B C0 48 23 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_833_41_0 {
	meta:
		name = "??0FreeThreadProxyFactory@details@Concurrency@@QEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 100
		refs = "0012 ??_7?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@6B@ 0030 __imp_InitializeSListHead 0044 ??_7FreeThreadProxyFactory@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 8D 79 10 48 89 01 8B 42 10 BE 03 00 00 00 89 41 08 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 10 FF CE 79 EF 48 8B 74 24 38 48 8D 05 ?? ?? ?? ?? 48 89 03 C7 43 50 01 00 00 00 C6 43 54 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_43_0 {
	meta:
		name = "??0FreeThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z"
		size = 69
		refs = "000e ??0ThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z 0017 ??_7FreeThreadProxy@details@Concurrency@@6B@ 0027 memset"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 33 D2 4C 8D 1D ?? ?? ?? ?? 48 8D 4F 48 44 8D 42 10 4C 89 1F E8 ?? ?? ?? ?? 48 8B 5C 24 30 45 33 DB 48 8B C7 66 44 89 5F 50 4C 89 5F 48 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_48_0 {
	meta:
		name = "?Release@FreeThreadProxyFactory@details@Concurrency@@UEAAJXZ"
		size = 41
	strings:
		$1 = { 40 53 48 83 EC 20 83 CB FF F0 0F C1 59 50 FF CB 75 0F 48 85 C9 74 0A 4C 8B 01 8D 53 01 41 FF 50 28 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_833_49_0 {
	meta:
		name = "?Create@FreeThreadProxyFactory@details@Concurrency@@EEAAPEAVFreeThreadProxy@23@I@Z"
		size = 136
		refs = "0029 ??2@YAPEAX_K@Z 0046 ??0ThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@I@Z 004d ??_7FreeThreadProxy@details@Concurrency@@6B@ 005f memset"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 6C 24 48 48 89 74 24 58 8B DA 48 8B F1 B9 80 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 50 33 ED 48 85 C0 74 31 44 8B C3 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 33 D2 44 8D 45 10 48 8D 4F 48 E8 ?? ?? ?? ?? 66 89 6F 50 48 89 6F 48 EB 03 48 8B FD 48 8B C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_833_55_0 {
	meta:
		name = "?Next@?$LockFreeStack@VFreeThreadProxy@details@Concurrency@@@details@Concurrency@@SAPEAVFreeThreadProxy@23@PEAV423@@Z"
		size = 18
	strings:
		$1 = { 48 8B 41 60 48 8D 48 A0 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_833_56_0 {
	meta:
		name = "?ReclaimProxy@FreeThreadProxyFactory@details@Concurrency@@UEAAXPEAUIThreadProxy@3@@Z"
		size = 220
		refs = "0022 ?s_numBuckets@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0037 ?s_proxyStackSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1PAIA 005e __imp_QueryDepthSList 0069 ?s_bucketSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0078 __imp_InterlockedPushEntrySList 008a __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8A 41 54 48 8B DA 48 8B F9 84 C0 0F 85 9B 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 85 D2 0F 8E 8B 00 00 00 44 8B 43 28 48 8D 0D ?? ?? ?? ?? 44 3B 01 74 0C FF C0 48 83 C1 04 3B C2 7C F1 EB 6F 48 63 F0 48 FF C6 48 C1 E6 04 48 03 F7 48 8B CE FF 15 ?? ?? ?? ?? 44 0F B7 D8 44 3B 1D ?? ?? ?? ?? 7D 4C 48 8D 53 60 48 8B CE FF 15 ?? ?? ?? ?? 44 8A 5F 54 45 84 DB 74 34 48 8B CE FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B D2 48 23 D1 74 1C 48 8B 07 48 8B 5A 60 48 8B CF FF 50 40 48 8D 43 A0 48 F7 DB 48 1B D2 48 23 D0 75 E4 33 DB 48 85 DB 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 40 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_57_0 {
	meta:
		name = "??0UMSFreeThreadProxyFactory@details@Concurrency@@QEAA@PEAVThreadProxyFactoryManager@12@@Z"
		size = 272
		refs = "0021 ??_7?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@6B@ 003c __imp_InitializeSListHead 004b ??_7UMSFreeThreadProxyFactory@details@Concurrency@@6B@ 0061 ?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z 006b __imp_GetLastError 0083 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 008a _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0094 _CxxThrowException 00a2 ?GetUmsCompletionListEvent@UMS@details@Concurrency@@SAHPEAXPEAPEAX@Z 00e0 ??2@YAPEAX_K@Z 00f2 ??0TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 8B 42 10 89 41 08 48 8D 79 10 BE 03 00 00 00 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 10 FF CE 79 EF 48 8D 05 ?? ?? ?? ?? 48 89 03 33 FF 48 89 7B 58 48 89 7B 60 48 8D 4B 58 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 53 60 48 8B 4B 58 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC B9 58 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 78 48 85 C0 74 0B 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 7B 50 48 8B C3 48 8B 9C 24 80 00 00 00 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_833_58_0 {
	meta:
		name = "?dtor$0@?0???0UMSFreeThreadProxyFactory@details@Concurrency@@QEAA@PEAVThreadProxyFactoryManager@12@@Z@4HA"
		size = 16
		refs = "0008 ??1?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_606_1 {
	meta:
		name = "?dtor$0@?0???1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_615_1 {
	meta:
		name = "?dtor$0@?0???1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ@4HA"
		size = 16
		refs = "0008 ??1?$ISource@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_833_63_0 {
	meta:
		name = "??0UMSFreeThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z"
		size = 100
		refs = "000e ??0UMSThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z 0015 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0022 ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 0029 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 0040 memset"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 33 D2 48 89 47 08 4C 8D 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 8D 8F 20 01 00 00 44 8D 42 10 48 89 47 10 4C 89 1F E8 ?? ?? ?? ?? 48 8B 5C 24 30 45 33 DB 48 8B C7 66 44 89 9F 28 01 00 00 4C 89 9F 20 01 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_73_0 {
	meta:
		name = "??1UMSFreeThreadProxy@details@Concurrency@@UEAA@XZ"
		size = 37
		refs = "0003 ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 000d ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0018 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 0021 ??1UMSThreadProxy@details@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_833_76_0 {
	meta:
		name = "??_GUMSFreeThreadProxy@details@Concurrency@@UEAAPEAXI@Z"
		size = 79
		refs = "000d ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 001c ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0027 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 0030 ??1UMSThreadProxy@details@Concurrency@@UEAA@XZ 003d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B DA 48 8B F9 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 41 10 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_79_0 {
	meta:
		name = "?Create@UMSFreeThreadProxyFactory@details@Concurrency@@EEAAPEAVUMSFreeThreadProxy@23@I@Z"
		size = 344
		refs = "0029 ??2@YAPEAX_K@Z 004a ??0UMSThreadProxy@details@Concurrency@@QEAA@PEAUIThreadProxyFactory@12@PEAXI@Z 0051 ??_7UMSFreeThreadProxy@details@Concurrency@@6BUMSBaseObject@12@@ 005b ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSThreadProxy@2@@ 0066 ??_7UMSFreeThreadProxy@details@Concurrency@@6BIUMSUnblockNotification@2@@ 007d memset 00b2 ?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z 00c0 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 00cc ?GetNextUmsListItem@UMS@details@Concurrency@@SAPEAXPEAX@Z 00dc ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 00fa __imp_WaitForMultipleObjects 0114 __imp_GetLastError 012b ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0132 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 013b _CxxThrowException"
	strings:
		$1 = { 48 8B C4 55 57 41 54 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 58 10 48 89 70 18 8B DA 48 8B F1 B9 30 01 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 20 45 33 E4 48 85 C0 74 56 44 8B CB 4C 8B 46 58 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 48 8D 05 ?? ?? ?? ?? 48 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 47 10 33 D2 45 8D 44 24 10 48 8D 8F 20 01 00 00 E8 ?? ?? ?? ?? 66 44 89 A7 28 01 00 00 4C 89 A7 20 01 00 00 EB 03 49 8B FC 48 8B 47 30 48 89 45 C8 48 8B 46 60 48 89 45 D0 EB 42 4C 8D 45 20 33 D2 48 8B 4E 58 E8 ?? ?? ?? ?? 85 C0 74 4A EB 24 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4D 20 E8 ?? ?? ?? ?? 48 89 45 20 48 8B D3 48 8B 4E 50 E8 ?? ?? ?? ?? 48 8B 45 20 48 85 C0 75 D3 41 83 C9 FF 45 33 C0 48 8D 55 C8 41 8D 48 02 FF 15 ?? ?? ?? ?? 85 C0 75 A5 EB 3C 48 8B 07 BA 01 00 00 00 48 8B CF FF 50 08 FF 15 ?? ?? ?? ?? 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D D8 E8 ?? ?? ?? ?? CC 48 8B C7 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_833_81_0 {
	meta:
		name = "?Retire@UMSFreeThreadProxyFactory@details@Concurrency@@EEAAXPEAVUMSFreeThreadProxy@23@@Z"
		size = 46
		refs = "0014 ?Cancel@UMSThreadProxy@details@Concurrency@@QEAAXXZ 002a ?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B 4F 50 48 8B D3 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_833_84_0 {
	meta:
		name = "?Prepare@UMSFreeThreadProxyFactory@details@Concurrency@@EEAAXPEAVUMSFreeThreadProxy@23@H@Z"
		size = 46
		refs = "0016 ?SetPriority@UMSThreadProxy@details@Concurrency@@QEAAXH@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 44 39 42 54 74 0B 41 8B D0 48 8B CB E8 ?? ?? ?? ?? 83 A3 90 00 00 00 00 83 A3 8C 00 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_833_87_0 {
	meta:
		name = "?Next@?$LockFreeStack@VUMSFreeThreadProxy@details@Concurrency@@@details@Concurrency@@SAPEAVUMSFreeThreadProxy@23@PEAV423@@Z"
		size = 24
	strings:
		$1 = { 48 8B 81 10 01 00 00 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B C0 48 23 C1 C3 }
	condition:
		$1
}

rule file_833_88_0 {
	meta:
		name = "?RequestProxy@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@UEAAPEAUIThreadProxy@3@IH@Z"
		size = 178
		refs = "001a ?s_numBuckets@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0032 ?s_proxyStackSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1PAIA 004a __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB 33 ED 45 8B E8 44 8B E2 48 8B F9 85 C0 7E 43 48 8D 35 ?? ?? ?? ?? 44 3B 26 77 28 48 63 CD 48 FF C1 48 C1 E1 04 48 03 CF FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B DB 48 23 D9 75 29 8B 05 ?? ?? ?? ?? FF C5 48 83 C6 04 3B E8 7C C9 48 85 DB 75 14 48 8B 07 41 8B D4 48 8B CF FF 50 38 48 8B D8 48 85 C0 74 10 4C 8B 0F 45 8B C5 48 8B D3 48 8B CF 41 FF 51 48 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_833_89_0 {
	meta:
		name = "?RetireThreadProxies@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@QEAAXXZ"
		size = 116
		refs = "0016 ?s_numBuckets@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1HA 002b __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 48 8B F1 39 3D ?? ?? ?? ?? 7E 48 48 63 CF 48 FF C1 48 C1 E1 04 48 03 CE FF 15 ?? ?? ?? ?? 48 8D 48 A0 48 F7 D8 48 1B D2 48 23 D1 74 1C 48 8B 06 48 8B 5A 60 48 8B CE FF 50 40 48 8D 43 A0 48 F7 DB 48 1B D2 48 23 D0 75 E4 FF C7 3B 3D ?? ?? ?? ?? 7C B8 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_90_0 {
	meta:
		name = "?CreateFactory@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@SAPEAUIThreadProxyFactory@23@PEAVThreadProxyFactoryManager@23@@Z"
		size = 145
		refs = "0011 ?s_bucketSize@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@1HA 001c ?GetProcessorCount@Concurrency@@YAIXZ 002f ??2@YAPEAX_K@Z 003e ??_7?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@6B@ 0059 __imp_InitializeSListHead 0068 ??_7FreeThreadProxyFactory@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 3D ?? ?? ?? ?? 00 48 8B F9 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? B9 60 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 41 48 8D 05 ?? ?? ?? ?? BE 03 00 00 00 48 89 03 8B 47 10 48 8D 7B 10 89 43 08 48 8B CF FF 15 ?? ?? ?? ?? 48 83 C7 10 FF CE 79 EF 48 8D 05 ?? ?? ?? ?? 48 89 03 C7 43 50 01 00 00 00 C6 43 54 00 EB 02 33 DB 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_91_0 {
	meta:
		name = "?RequestProxy@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@UEAAPEAUIThreadProxy@3@IH@Z"
		size = 207
		refs = "001f ?s_numBuckets@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1HA 003a ?s_proxyStackSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1PAIA 0053 __imp_InterlockedPopEntrySList"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 8B 05 ?? ?? ?? ?? 33 DB 45 8B F0 44 8B EA 48 8B F1 8B FB 44 8B E3 85 C0 7E 49 48 8D 2D ?? ?? ?? ?? 44 3B 6D 00 77 2B 49 63 CC 48 FF C1 48 C1 E1 04 48 03 CE FF 15 ?? ?? ?? ?? 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B FF 48 23 F9 75 2B 8B 05 ?? ?? ?? ?? 41 FF C4 48 83 C5 04 44 3B E0 7C C3 48 85 FF 75 14 48 8B 06 41 8B D5 48 8B CE FF 50 38 48 8B F8 48 85 C0 74 19 4C 8B 0E 45 8B C6 48 8B D7 48 8B CE 41 FF 51 48 48 85 FF 74 04 48 8D 5F 08 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_833_92_0 {
	meta:
		name = "?RetireThreadProxies@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@QEAAXXZ"
		size = 125
		refs = "0016 ?s_numBuckets@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1HA 002b __imp_InterlockedFlushSList"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 48 8B F1 39 3D ?? ?? ?? ?? 7E 51 48 63 CF 48 FF C1 48 C1 E1 04 48 03 CE FF 15 ?? ?? ?? ?? 48 8D 88 F0 FE FF FF 48 F7 D8 48 1B D2 48 23 D1 74 22 48 8B 06 48 8B 9A 10 01 00 00 48 8B CE FF 50 40 48 8D 83 F0 FE FF FF 48 F7 DB 48 1B D2 48 23 D0 75 DE FF C7 3B 3D ?? ?? ?? ?? 7C AF 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_833_93_0 {
	meta:
		name = "?CreateFactory@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@SAPEAUIThreadProxyFactory@23@PEAVThreadProxyFactoryManager@23@@Z"
		size = 95
		refs = "001b ?s_bucketSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0022 ?GetProcessorCount@Concurrency@@YAIXZ 0035 ??2@YAPEAX_K@Z 004a ??0UMSFreeThreadProxyFactory@details@Concurrency@@QEAA@PEAVThreadProxyFactoryManager@12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B F9 33 DB 39 1D ?? ?? ?? ?? 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? B9 70 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 48 48 85 C0 74 0E 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_833_95_0 {
	meta:
		name = "?ShutdownFactory@FreeThreadProxyFactory@details@Concurrency@@UEAAXXZ"
		size = 33
		refs = "000e ?RetireThreadProxies@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 41 54 01 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 48 83 C4 20 5B 49 FF 63 18 }
	condition:
		$1
}

rule file_833_96_0 {
	meta:
		name = "?ShutdownFactory@UMSFreeThreadProxyFactory@details@Concurrency@@UEAAXXZ"
		size = 88
		refs = "000e ?RetireThreadProxies@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@QEAAXXZ 001f __imp_WaitForSingleObject 002d __imp_SetEvent 003b ?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B 5F 50 48 8B 4B 20 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4B 18 C6 43 54 01 FF 15 ?? ?? ?? ?? 48 8B 4F 58 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 07 BA 01 00 00 00 48 8B CF 48 8B 5C 24 30 48 83 C4 20 5F 48 FF 60 28 }
	condition:
		$1
}

rule file_833_97_0 {
	meta:
		name = "?GetFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVFreeThreadProxyFactory@23@XZ"
		size = 86
		refs = "002a ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 0039 ?CreateFactory@?$ThreadProxyFactory@VFreeThreadProxy@details@Concurrency@@VFreeThreadProxyFactory@23@@details@Concurrency@@SAPEAUIThreadProxyFactory@23@PEAVThreadProxyFactoryManager@23@@Z 0044 ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 83 39 00 75 2B 48 8D 59 18 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 83 3F 00 75 0B 48 8B CF E8 ?? ?? ?? ?? 48 89 07 48 8B CB E8 ?? ?? ?? ?? 48 8B 07 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_833_99_0 {
	meta:
		name = "?GetUMSFreeThreadProxyFactory@ThreadProxyFactoryManager@details@Concurrency@@QEAAPEAVUMSFreeThreadProxyFactory@23@XZ"
		size = 148
		refs = "0031 ?_Acquire@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ 003e ?s_bucketSize@?$ThreadProxyFactory@VUMSFreeThreadProxy@details@Concurrency@@VUMSFreeThreadProxyFactory@23@@details@Concurrency@@1HA 0045 ?GetProcessorCount@Concurrency@@YAIXZ 0058 ??2@YAPEAX_K@Z 006d ??0UMSFreeThreadProxyFactory@details@Concurrency@@QEAA@PEAVThreadProxyFactoryManager@12@@Z 007c ?_Release@_NonReentrantBlockingLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B F9 33 F6 48 39 71 08 75 5C 48 8D 59 18 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 39 77 08 75 3C 39 35 ?? ?? ?? ?? 75 0E E8 ?? ?? ?? ?? C1 E0 02 89 05 ?? ?? ?? ?? B9 70 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 48 48 85 C0 74 0E 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 77 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 47 08 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_836_1_0 {
	meta:
		name = "wcomexecmd"
		size = 133
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0045 _wcenvarg 0061 _wdospawn 006e free"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D0 48 8B C2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 55 48 85 C0 74 E5 48 89 4C 24 20 4C 8D 4C 24 58 4C 8D 44 24 40 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 58 4C 8B 44 24 40 48 8B D3 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_951_1_0 {
	meta:
		name = "comexecmd"
		size = 133
		refs = "0015 _errno 0020 _invalid_parameter_noinfo 0045 _cenvarg 0061 _dospawn 006e free"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D0 48 8B C2 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 55 48 85 C0 74 E5 48 89 4C 24 20 4C 8D 4C 24 58 4C 8D 44 24 40 49 8B D2 48 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 74 D6 4C 8B 4C 24 58 4C 8B 44 24 40 48 8B D3 B9 02 00 00 00 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 8B D8 E8 ?? ?? ?? ?? 48 8B 4C 24 58 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_836_2_0 {
	meta:
		name = "_wexecve"
		size = 636
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0075 wcsrchr 00a8 wcschr 00bc wcslen 00cb _calloc_crt 00de ??_C@_15PCEAIKAA@?$AA?4?$AA?2?$AA?$AA@ 00e9 wcscpy_s 00fb wcscat_s 0119 _invoke_watson 015a _waccess_s 0170 wcomexecmd 01ca ext_strings 0237 free"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 4D 8B E8 4C 8B E2 48 8B E9 48 8B F9 48 85 C9 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 66 44 39 31 74 D1 48 85 D2 74 CC 48 8B 02 48 85 C0 74 C4 66 44 39 30 74 BE BA 5C 00 00 00 E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 41 BF 02 00 00 00 48 85 C0 0F 85 9B 00 00 00 48 85 F6 0F 85 9F 00 00 00 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 85 88 00 00 00 48 8B CD E8 ?? ?? ?? ?? 41 8B D7 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 62 FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 2D 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 06 48 8D 77 04 EB 37 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 25 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 D5 00 00 00 4D 8B C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 E9 BF 00 00 00 E8 ?? ?? ?? ?? 49 8B D7 4C 8D 68 05 49 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 A1 FE FF FF 4C 8B C7 49 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 B1 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 3C 46 E8 ?? ?? ?? ?? 4C 8D 35 ?? ?? ?? ?? 8B 00 89 44 24 70 49 8B C7 48 2B C6 48 D1 F8 4C 2B E8 4D 8B 06 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 85 C0 75 5F 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 12 48 8D 05 ?? ?? ?? ?? 49 83 EE 08 4C 3B F0 7D D0 EB 21 E8 ?? ?? ?? ?? 8B 4C 24 70 4C 8B 84 24 80 00 00 00 89 08 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 54 FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 47 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_838_0_0 {
	meta:
		name = "_rmtmp"
		size = 160
		refs = "0015 _lock 0022 _nstream 002e __piob 0046 _lock_file2 0064 _fclose_nolock 007c _unlock_file2 008a _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 30 33 FF 8D 4F 01 E8 ?? ?? ?? ?? 90 33 DB 89 5C 24 20 3B 1D ?? ?? ?? ?? 7D 5C 48 63 F3 48 8B 05 ?? ?? ?? ?? 48 83 3C F0 00 74 47 48 8B 14 F0 F6 42 18 83 74 3D 8B CB E8 ?? ?? ?? ?? 90 48 8B 15 ?? ?? ?? ?? 48 8B 0C F2 F6 41 18 83 74 19 48 83 79 28 00 74 12 E8 ?? ?? ?? ?? FF C7 89 7C 24 24 48 8B 15 ?? ?? ?? ?? 48 8B 14 F2 8B CB E8 ?? ?? ?? ?? FF C3 EB 98 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 40 48 8B 74 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_838_1_0 {
	meta:
		name = "_rmtmp$fin$0"
		size = 48
		refs = "0013 __piob 001c _unlock_file2"
		altNames = "flsall$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 63 4D 20 48 8B C1 48 8B 15 ?? ?? ?? ?? 48 8B 14 CA E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_841_3_0 {
	meta:
		name = "_wcsxfrm_l"
		size = 341
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0064 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0080 wcsncpy 0088 wcslen 00a8 __crtLCMapStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 50 41 BE FF FF FF 7F 49 8B F0 48 8B EA 48 8B F9 4D 3B C6 76 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 49 8B C6 E9 ED 00 00 00 45 33 ED 48 85 C9 75 05 4D 85 C0 75 DB 48 85 D2 74 D6 48 8D 4C 24 30 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 64 24 30 41 8B 4C 24 10 85 C9 75 1B 4C 8B C6 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? E9 92 00 00 00 41 83 C9 FF 4C 8B C5 BA 00 04 00 00 44 89 6C 24 28 4C 89 6C 24 20 E8 ?? ?? ?? ?? 8B D8 85 C0 75 10 E8 ?? ?? ?? ?? 41 8B DE C7 00 2A 00 00 00 EB 5E 3B C6 7F 3F 41 8B 4C 24 10 41 83 C9 FF 4C 8B C5 BA 00 04 00 00 89 74 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 48 63 D8 85 C0 74 C6 48 8B CB FF CB 48 85 C9 74 2A 48 FF C9 0F B6 04 0F 66 89 04 4F 75 F3 EB 1B 48 85 FF 74 14 48 85 F6 74 0F 66 44 89 2F E8 ?? ?? ?? ?? C7 00 22 00 00 00 FF CB 48 63 C3 44 38 6C 24 48 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_842_5_0 {
	meta:
		name = "??__E?s_cookie@Security@details@Concurrency@@2_KA@@YAXXZ"
		size = 21
		refs = "0005 ?InitializeCookie@Security@details@Concurrency@@SA_KXZ 000c ?s_cookie@Security@details@Concurrency@@2_KA"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_844_3_0 {
	meta:
		name = "?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z"
		size = 254
		refs = "002e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00a6 __imp_WideCharToMultiByte 00be _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 66 44 89 48 20 55 48 8B EC 48 83 EC 60 48 8B FA 48 8B 55 38 48 8B D9 48 8D 4D E0 49 8B F0 E8 ?? ?? ?? ?? 4C 8B 5D 30 4D 85 DB 74 04 41 83 23 00 48 8B 45 E0 83 78 14 00 75 30 0F B7 45 28 B9 FF 00 00 00 66 3B C1 77 66 88 07 48 85 DB 74 06 C7 03 01 00 00 00 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 6F 83 65 30 00 48 8D 4D 30 4C 8D 45 28 48 89 4C 24 38 48 83 64 24 30 00 8B 48 04 41 B9 01 00 00 00 33 D2 89 74 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 0F 83 7D 30 00 75 09 48 85 DB 74 AB 89 03 EB A7 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 85 DB 74 03 83 0B FF E8 ?? ?? ?? ?? 80 7D F8 00 8B 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_844_4_0 {
	meta:
		name = "wcrtomb_s"
		size = 138
		refs = "0009 __security_cookie 0030 _errno 003c _invalid_parameter_noinfo 0060 ?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z 0080 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 83 4C 24 30 FF 48 8B 84 24 80 00 00 00 48 8B D9 48 85 D2 75 25 4D 85 C0 74 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 33 41 B8 05 00 00 00 48 8D 54 24 34 48 83 64 24 28 00 48 8D 4C 24 30 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B D8 48 85 DB 74 08 48 63 44 24 30 48 89 03 41 8B C3 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_844_5_0 {
	meta:
		name = "wcrtomb"
		size = 58
		refs = "002c wcrtomb_s"
	strings:
		$1 = { 48 83 EC 38 48 83 4C 24 40 FF 4D 8B C8 48 8B C1 48 F7 D8 4C 89 4C 24 20 44 0F B7 CA 4D 1B C0 48 8B D1 48 8D 4C 24 40 41 83 E0 05 E8 ?? ?? ?? ?? 48 8B 44 24 40 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_844_6_0 {
	meta:
		name = "_wcsrtombs_helper"
		size = 486
		refs = "0018 __security_cookie 0039 _errno 0044 _invalid_parameter_noinfo 0061 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 008d ?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z 0177 memcpy_s 01d0 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 48 8B EC 48 81 EC 80 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B F1 4C 89 4D E0 4D 8B E0 4C 8B EA 48 8B F1 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 77 01 00 00 48 8B 3A 83 65 B0 00 48 8D 4D B8 33 D2 33 DB E8 ?? ?? ?? ?? 48 85 F6 0F 85 A0 00 00 00 44 0F B7 0F 48 8D 45 B8 44 8D 43 05 48 89 44 24 28 48 8D 55 E8 48 8D 4D B0 4C 89 74 24 20 E8 ?? ?? ?? ?? EB 36 49 63 C3 40 38 74 05 E7 74 4F 48 83 C7 02 48 03 D8 48 8D 45 B8 44 0F B7 0F 48 89 44 24 28 48 8D 55 E8 48 8D 4D B0 41 B8 05 00 00 00 4C 89 74 24 20 E8 ?? ?? ?? ?? 44 8B 5D B0 45 85 DB 7F C1 40 38 75 D0 0F 84 6C FF FF FF 48 8B 45 C8 83 A0 C8 00 00 00 FD E9 5C FF FF FF 40 38 75 D0 49 63 C3 48 8D 44 18 FF 0F 84 CA 00 00 00 48 8B 4D C8 83 A1 C8 00 00 00 FD E9 BA 00 00 00 4D 85 E4 0F 84 99 00 00 00 48 8B 45 B8 44 0F B7 0F 48 8D 4D E8 48 63 80 0C 01 00 00 41 B8 05 00 00 00 4C 3B E0 48 8D 45 B8 48 0F 43 CE 48 89 44 24 28 4C 89 74 24 20 48 89 4D D8 48 8B D1 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 63 75 B0 45 85 F6 7E 4E 48 3B 75 D8 74 17 4D 8B CE 4D 3B E6 72 44 4C 8D 45 E8 49 8B D4 48 8B CE E8 ?? ?? ?? ?? 49 03 F6 49 8B C6 80 7E FF 00 74 12 4C 8B 75 E0 48 03 D8 48 83 C7 02 4C 2B E0 75 80 EB 17 49 83 65 00 00 80 7D D0 00 49 8D 44 1E FF E9 4C FF FF FF 48 83 CB FF 80 7D D0 00 49 89 7D 00 74 0B 48 8B 4D C8 83 A1 C8 00 00 00 FD 48 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_844_8_0 {
	meta:
		name = "wcsrtombs_s"
		size = 192
		refs = "0036 _errno 0042 _invalid_parameter_noinfo 006a _wcsrtombs_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B C1 49 8B F0 48 8B DA 48 8B F9 48 85 C9 74 04 48 83 09 FF 48 85 D2 75 07 4D 85 C0 74 1F EB 05 4D 85 C0 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 66 C6 02 00 48 85 C0 74 E3 4C 8B 44 24 50 4C 8B 4C 24 58 48 8B D0 4C 3B C6 48 8B CB 4C 0F 47 C6 E8 ?? ?? ?? ?? 48 83 F8 FF 75 11 48 85 DB 74 03 C6 03 00 E8 ?? ?? ?? ?? 8B 00 EB 2B 48 FF C0 48 85 DB 74 19 48 3B C6 76 0F C6 03 00 E8 ?? ?? ?? ?? BB 22 00 00 00 EB 9E C6 44 18 FF 00 48 85 FF 74 03 48 89 07 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_844_9_0 {
	meta:
		name = "wctob"
		size = 109
		refs = "000a __security_cookie 0042 ?_wcrtomb_s_l@@YAHPEAHPEAD_K_W0PEAUlocaleinfo_struct@@@Z 0064 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 B8 FF FF 00 00 66 3B C8 74 38 49 83 63 D0 00 83 4C 24 30 FF 49 83 63 C8 00 44 0F B7 C9 49 8D 53 DC 49 8D 4B D8 41 B8 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E 83 7C 24 30 01 75 07 0F BE 44 24 34 EB 03 83 C8 FF 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_845_19_0 {
	meta:
		name = "?UnlockedSteal@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@_N@Z"
		size = 98
	strings:
		$1 = { 44 8B 01 45 33 D2 48 8B D1 41 8D 40 01 45 8B CA 87 01 8B 41 04 44 3B C0 7D 41 44 38 52 18 74 10 8B 02 0F B6 4A 18 3B 42 1C 41 0F 4D CA 88 4A 18 48 63 4A 08 49 63 C0 4D 8B CA 48 23 C8 48 8B 42 20 4C 87 0C C8 4D 85 C9 75 14 44 8B 02 41 8D 48 01 87 0A 8B 4A 04 44 3B C1 7C BF 44 89 02 49 8B C1 C3 }
	condition:
		$1
}

rule file_845_20_0 {
	meta:
		name = "?Sweep@?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAAXP6A_NPEAV_UnrealizedChore@23@PEAX@Z12@Z"
		size = 195
		refs = "0035 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 00bf ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 4D 8B F9 4D 8B F0 48 8B D9 48 8B 49 10 48 89 48 08 E8 ?? ?? ?? ?? 90 8B 7B 04 8B 73 04 FF CE 8B 03 3B F0 7C 57 8D 6E 01 4C 63 EE 48 63 4B 08 49 23 CD 48 8B 43 20 4C 8B 24 C8 4D 85 E4 74 33 49 8B D6 49 8B CC FF 54 24 78 84 C0 74 25 49 8B D6 49 8B CC 41 FF D7 84 C0 74 18 3B EF 75 04 FF CF EB 10 48 63 4B 08 49 23 CD 48 8B 43 20 48 83 24 C8 00 FF CE FF CD 8B 03 3B F0 7D AC 87 7B 04 48 8B 4C 24 70 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_845_24_0 {
	meta:
		name = "?UnlockedSteal@WorkQueue@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ"
		size = 485
		refs = "00ec ?FastCurrentContext@SchedulerBase@details@Concurrency@@SAPEAVContextBase@23@XZ 01c5 ?ReferenceForCancellation@ContextBase@details@Concurrency@@QEAAXXZ 01d3 ?_SetDetached@_UnrealizedChore@details@Concurrency@@QEAAX_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B 51 04 8B 01 4C 8B C1 3B D0 7F 17 8B 91 A4 00 00 00 8B 81 A0 00 00 00 3B D0 7F 07 33 C0 E9 AD 01 00 00 48 8B 81 98 00 00 00 33 DB 8B FB 48 85 C0 0F 84 C4 00 00 00 8B 80 A0 00 00 00 85 C0 0F 8E B6 00 00 00 38 99 B8 00 00 00 0F 84 90 00 00 00 8B 91 A0 00 00 00 8D 42 01 87 81 A0 00 00 00 8B 81 A4 00 00 00 EB 65 41 38 98 B8 00 00 00 74 20 41 8B 80 A0 00 00 00 41 0F B6 88 B8 00 00 00 41 3B 80 BC 00 00 00 0F 4D CB 41 88 88 B8 00 00 00 49 63 88 A8 00 00 00 48 63 C2 48 8B FB 48 23 C8 49 8B 80 C0 00 00 00 48 87 3C C8 48 85 FF 0F 85 0E 01 00 00 41 8B 90 A0 00 00 00 8D 42 01 41 87 80 A0 00 00 00 41 8B 80 A4 00 00 00 3B D0 7C 97 41 89 90 A0 00 00 00 48 85 FF 0F 85 E2 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 04 48 8D 58 F0 80 8B FF 00 00 00 02 E9 D2 00 00 00 8B 49 04 41 8B 00 48 8B D3 3B C1 7D 1E 4D 63 08 49 63 48 08 49 8B 40 10 49 23 C9 48 87 14 C8 48 85 D2 74 5D 41 8D 41 01 41 89 00 48 85 D2 74 51 48 8B C2 E9 9D 00 00 00 41 38 98 B8 00 00 00 74 20 41 8B 80 A0 00 00 00 41 0F B6 88 B8 00 00 00 41 3B 80 BC 00 00 00 0F 4D CB 41 88 88 B8 00 00 00 49 63 88 A8 00 00 00 48 63 C2 48 8B FB 48 23 C8 49 8B 80 C0 00 00 00 48 87 3C C8 48 85 FF 75 28 41 8B 90 A0 00 00 00 8D 42 01 41 87 80 A0 00 00 00 41 8B 80 A4 00 00 00 3B D0 7C 9B 41 89 90 A0 00 00 00 48 85 FF 74 29 49 8B 88 98 00 00 00 48 85 C9 74 13 48 8B 47 10 48 39 48 10 75 09 E8 ?? ?? ?? ?? 33 D2 EB 02 B2 01 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_845_25_0 {
	meta:
		name = "?TryToSteal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@AEA_N@Z"
		size = 104
		refs = "0029 ?_TryAcquire@_CriticalNonReentrantLock@details@Concurrency@@QEAA_NXZ 0035 ?UnlockedSteal@WorkQueue@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ 0044 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 41 54 48 83 EC 20 48 8B FA 48 8B F1 33 DB 48 81 C1 C8 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 48 8D 8E C8 00 00 00 E8 ?? ?? ?? ?? C6 07 01 EB 02 88 1F 48 8B C3 48 8B 5C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_845_26_0 {
	meta:
		name = "?fin$0@?0??TryToSteal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@AEA_N@Z@4HA"
		size = 33
		refs = "0015 ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 4D 30 48 81 C1 C8 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_845_27_0 {
	meta:
		name = "?Steal@WorkQueue@details@Concurrency@@QEAAPEAV_UnrealizedChore@23@XZ"
		size = 77
		refs = "0027 ?_Acquire@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ 0030 ?UnlockedSteal@WorkQueue@details@Concurrency@@AEAAPEAV_UnrealizedChore@23@XZ 003b ?_Release@_CriticalNonReentrantLock@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 99 C8 00 00 00 48 89 5C 24 40 48 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 48 8B F8 48 8B CB E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_845_30_0 {
	meta:
		name = "?RetireAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
		size = 33
		refs = "0014 ?StaticRetire@WorkQueue@details@Concurrency@@CAXPEAV123@@Z 001d ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 91 88 00 00 00 4C 8B 8A A8 00 00 00 4C 8B C1 48 8D 15 ?? ?? ?? ?? 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_845_31_0 {
	meta:
		name = "?RedetachFromScheduleGroupAtSafePoint@WorkQueue@details@Concurrency@@QEAAXPEAVScheduleGroupBase@23@@Z"
		size = 33
		refs = "0014 ?StaticRedetachFromScheduleGroup@WorkQueue@details@Concurrency@@CAXPEAV123@@Z 001d ?InvokeAtNextSafePoint@SafePointInvocation@details@Concurrency@@QEAAXP6AXPEAX@Z0PEAVSchedulerBase@23@@Z"
	strings:
		$1 = { 48 89 91 88 00 00 00 4C 8B 8A A8 00 00 00 4C 8B C1 48 8D 15 ?? ?? ?? ?? 48 83 C1 30 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_845_32_0 {
	meta:
		name = "??0?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@PEAV_CriticalNonReentrantLock@12@@Z"
		size = 57
		refs = "0028 ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 89 51 10 48 8B D9 89 01 89 41 04 89 41 1C 88 41 18 48 C7 41 08 3F 00 00 00 B9 00 02 00 00 E8 ?? ?? ?? ?? 48 89 43 20 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_845_33_0 {
	meta:
		name = "??0WorkQueue@details@Concurrency@@QEAA@XZ"
		size = 227
		refs = "0047 ??_U@YAPEAX_K@Z 0058 memset 00c6 ?GetNewWorkQueueId@SchedulerBase@details@Concurrency@@SAIXZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B F9 C7 01 00 00 00 00 C7 41 04 00 00 00 00 48 8D 99 C8 00 00 00 48 89 59 18 C7 41 08 3F 00 00 00 BE 00 02 00 00 8B CE E8 ?? ?? ?? ?? 48 89 47 10 44 8B C6 33 D2 48 8B C8 E8 ?? ?? ?? ?? 90 C7 87 80 00 00 00 00 00 00 00 48 83 A7 98 00 00 00 00 48 89 9F B0 00 00 00 C7 87 A0 00 00 00 00 00 00 00 C7 87 A4 00 00 00 00 00 00 00 83 A7 BC 00 00 00 00 C6 87 B8 00 00 00 00 83 A7 AC 00 00 00 00 C7 87 A8 00 00 00 3F 00 00 00 8B CE E8 ?? ?? ?? ?? 48 89 87 C0 00 00 00 C7 03 00 00 00 00 83 67 50 00 48 89 7F 70 E8 ?? ?? ?? ?? 89 87 90 00 00 00 48 8B C7 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_845_35_0 {
	meta:
		name = "?dtor$1@?0???0WorkQueue@details@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$WorkStealingQueue@V_UnrealizedChore@details@Concurrency@@V_CriticalNonReentrantLock@23@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 A0 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_846_3_0 {
	meta:
		name = "_mbstowcs_l_helper"
		size = 493
		refs = "0049 _errno 0054 _invalid_parameter_noinfo 0069 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00e6 __imp_MultiByteToWideChar 00f7 __imp_GetLastError 012e _isleadbyte_l 017e strlen"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 45 33 FF 49 8B F0 4C 8B EA 48 8B F9 41 8B DF 48 85 C9 74 10 4D 85 C0 75 07 33 C0 E9 90 01 00 00 66 44 89 39 48 85 D2 75 19 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF E9 6E 01 00 00 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 48 8B 45 E0 48 85 FF 0F 84 FA 00 00 00 44 39 78 14 75 4B 48 85 F6 74 1A 42 0F B6 04 2B 66 89 07 46 38 3C 2B 74 1F 48 FF C3 48 83 C7 02 48 3B DE 72 E6 44 38 7D F8 74 1E 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 11 44 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B C3 E9 04 01 00 00 8B 48 04 48 83 CB FF 4D 8B C5 8D 53 0A 44 8B CB 89 74 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 98 48 85 C0 0F 85 C6 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 74 11 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 66 44 89 3F EB 8E 44 8B F6 4D 8B E5 85 F6 74 2C 41 FF CE 45 38 3C 24 74 23 41 0F B6 0C 24 48 8D 55 E0 E8 ?? ?? ?? ?? 85 C0 74 09 49 FF C4 45 38 3C 24 74 C1 49 FF C4 45 85 F6 EB D2 48 8B 45 E0 45 2B E5 4D 8B C5 8B 48 04 BA 01 00 00 00 45 8B CC 89 74 24 28 48 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 98 48 85 C0 75 4C EB 8C 44 39 78 14 75 0A 49 8B CD E8 ?? ?? ?? ?? EB 3A 8B 48 04 48 83 CB FF 4D 8B C5 8D 53 0A 44 8B CB 44 89 7C 24 28 4C 89 7C 24 20 FF 15 ?? ?? ?? ?? 48 98 48 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E9 E4 FE FF FF 48 FF C8 44 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_846_5_0 {
	meta:
		name = "mbstowcs"
		size = 26
		refs = "0002 __locale_changed 000c __initiallocalestructinfo 0016 _mbstowcs_l_helper"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 09 4C 8D 0D ?? ?? ?? ?? EB 03 45 33 C9 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_846_6_0 {
	meta:
		name = "_mbstowcs_s_l"
		size = 379
		refs = "003c _errno 0048 _invalid_parameter_noinfo 006d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00bb _mbstowcs_l_helper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 55 41 56 48 83 EC 40 45 33 F6 4D 8B E9 49 8B F8 48 8B DA 48 8B F1 41 8B EE 48 85 D2 75 07 4D 85 C0 74 23 EB 05 4D 85 C0 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 0F 01 00 00 66 44 89 32 48 85 C9 74 03 4C 89 31 48 8B 94 24 88 00 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 84 24 80 00 00 00 4C 3B C7 4C 0F 47 C7 49 81 F8 FF FF FF 7F 76 26 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 44 38 74 24 38 74 AB 48 8B 44 24 30 83 A0 C8 00 00 00 FD EB 9D 4C 8D 4C 24 20 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 48 83 F8 FF 75 29 48 85 DB 74 04 66 44 89 33 E8 ?? ?? ?? ?? 8B 00 44 38 74 24 38 0F 84 82 00 00 00 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 74 48 FF C0 48 85 DB 74 4F 48 3B C7 76 44 48 83 BC 24 80 00 00 00 FF 74 31 66 44 89 33 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 44 38 74 24 38 0F 84 26 FF FF FF 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 15 FF FF FF 48 8B C7 BD 50 00 00 00 66 44 89 74 43 FE 48 85 F6 74 03 48 89 06 44 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 8B C5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 40 41 5E 41 5D 5F C3 }
	condition:
		$1
}

rule file_852_3_0 {
	meta:
		name = "_mbctoupper_l"
		size = 228
		refs = "0015 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 008c __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 10 55 48 8B EC 48 83 EC 70 48 63 D9 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 4D E8 81 FB FF 00 00 00 0F 86 8B 00 00 00 8B C3 88 5D 11 C1 E8 08 88 45 10 0F B6 C0 F6 44 08 1D 04 75 17 80 7D F8 00 0F 84 8C 00 00 00 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 7F 8B 41 04 C7 44 24 40 01 00 00 00 BA 02 00 00 00 89 44 24 38 89 54 24 30 48 8D 45 20 48 89 44 24 28 89 54 24 20 8B 51 0C 48 8D 4D E0 4C 8D 4D 10 41 B8 00 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 AA 0F B6 45 20 0F B6 4D 21 C1 E0 08 03 C1 80 7D F8 00 74 2F 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 22 F6 44 0B 1D 20 74 08 0F B6 9C 0B 1D 01 00 00 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C3 48 8B 9C 24 88 00 00 00 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_853_3_0 {
	meta:
		name = "_mbsrchr_l"
		size = 221
		refs = "001f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0029 _errno 0034 _invalid_parameter_noinfo 0060 strrchr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 8B F2 48 8D 4C 24 20 49 8B D0 33 FF E8 ?? ?? ?? ?? 48 85 DB 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 7C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 7E 4C 8B 44 24 28 41 39 78 08 75 1F 8B D6 48 8B CB E8 ?? ?? ?? ?? 40 38 7C 24 38 74 62 48 8B 4C 24 30 83 A1 C8 00 00 00 FD EB 54 0F B6 0B 8B D1 42 F6 44 01 1D 04 74 25 48 FF C3 8A 0B 84 C9 74 12 C1 E2 08 0F B6 C1 0B D0 3B F2 75 16 48 8D 7B FF EB 10 48 85 FF 75 0B 48 8B FB EB 06 3B F1 48 0F 44 FB 48 FF C3 84 C9 75 C1 38 4C 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_854_3_0 {
	meta:
		name = "_mbsset_s_l"
		size = 451
		refs = "0048 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0060 _strset_s 009b _ismbblead_l 00f5 _errno 0142 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 45 33 FF 45 8B E0 48 8B FA 48 8B F1 45 8B F7 48 85 C9 0F 84 5B 01 00 00 48 85 D2 0F 84 52 01 00 00 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5D E8 45 39 7B 08 75 28 45 8B C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 44 38 7D F8 0F 84 37 01 00 00 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 27 01 00 00 45 8B EC 48 8B DE 41 C1 ED 08 45 84 ED 74 53 45 84 E4 74 5F 48 8D 55 E0 41 0F B6 CD E8 ?? ?? ?? ?? 85 C0 74 4E 44 38 3E 0F 84 81 00 00 00 48 FF CF 74 7C 48 8D 43 01 44 38 38 74 18 48 FF CF 44 88 2B 48 8B D8 74 6D 48 FF C3 44 88 20 44 38 3B 75 DC EB 5B 44 88 3B 48 FF C7 41 BE 01 00 00 00 EB 4D 48 8D 55 E0 41 0F B6 CC E8 ?? ?? ?? ?? 85 C0 74 27 44 88 3E E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 44 38 7D F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C2 E9 8D 00 00 00 44 38 3E 74 10 48 FF CF 74 0B 44 88 23 48 FF C3 44 38 3B 75 F0 48 85 FF 75 27 44 88 3E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 44 38 7D F8 74 57 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 4A 45 85 F6 74 1F E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 44 38 7D F8 74 A1 48 8B 45 F0 83 A0 C8 00 00 00 FD EB 94 44 38 7D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 EB 13 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 40 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_855_0_0 {
	meta:
		name = "?_fpcvt@@YAHPEAD_KPEAU_strflt@@HPEAH3@Z"
		size = 139
		refs = "002b _errno 0035 _invalid_parameter_noinfo 004e _fptostr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 FF 45 85 C9 45 8B D1 8B C7 49 8B F0 41 0F 4F C1 83 C0 02 48 98 48 3B D0 73 13 E8 ?? ?? ?? ?? 8D 5F 22 89 18 E8 ?? ?? ?? ?? 8B C3 EB 3E 8D 42 FE 44 3B C8 4D 8B C8 44 0F 4F D0 45 8B C2 E8 ?? ?? ?? ?? 8B D8 85 C0 74 09 E8 ?? ?? ?? ?? 89 18 EB D8 83 3E 2D 48 8B 44 24 58 40 0F 94 C7 89 38 48 8B 44 24 50 8B 4E 04 89 08 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_855_1_0 {
	meta:
		name = "_fcvt_s"
		size = 205
		refs = "000e __security_cookie 003f _errno 004a _invalid_parameter_noinfo 007d _fltout2 00b1 ?_fpcvt@@YAHPEAD_KPEAU_strflt@@HPEAH3@Z 00be __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 48 8B B4 24 C0 00 00 00 48 8B AC 24 C8 00 00 00 F2 0F 11 54 24 30 45 8B E1 48 8B FA 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 60 48 85 D2 74 E4 C6 01 00 48 85 F6 74 DC 48 85 ED 74 D7 48 8B 4C 24 30 4C 8D 44 24 50 48 8D 54 24 38 41 B9 16 00 00 00 E8 ?? ?? ?? ?? 8B 48 04 46 8D 0C 21 45 85 E4 7E 10 85 C9 7E 0C B9 FF FF FF 7F 45 3B CC 44 0F 4C C9 4C 8B C0 48 8B D7 48 8B CB 48 89 6C 24 28 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_855_2_0 {
	meta:
		name = "_fcvt"
		size = 220
		refs = "0016 __security_cookie 0035 _getptd_noexit 0057 _malloc_crt 0084 _fltout2 00af _fcvt_s 00c5 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 81 EC 80 00 00 00 0F 29 74 24 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 F2 0F 11 44 24 30 49 8B E9 49 8B F0 8B FA 66 0F 28 F0 E8 ?? ?? ?? ?? 45 33 E4 48 8B D8 48 85 C0 75 04 33 C0 EB 74 4C 39 A0 80 00 00 00 75 16 B9 5D 01 00 00 E8 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 85 C0 74 DD 48 8B 4C 24 30 48 8B 9B 80 00 00 00 4C 8D 44 24 50 48 8D 54 24 38 41 B9 16 00 00 00 E8 ?? ?? ?? ?? B9 5B 01 00 00 BA 5D 01 00 00 2B 48 04 66 0F 28 D6 48 89 6C 24 28 3B F9 48 89 74 24 20 0F 4D F9 48 8B CB 44 8B CF E8 ?? ?? ?? ?? 85 C0 49 0F 45 DC 48 8B C3 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 0F 28 74 24 70 48 81 C4 80 00 00 00 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_855_3_0 {
	meta:
		name = "_ecvt_s"
		size = 199
		refs = "000e __security_cookie 003f _errno 004a _invalid_parameter_noinfo 007d _fltout2 0098 ?_fpcvt@@YAHPEAD_KPEAU_strflt@@HPEAH3@Z 00b8 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 48 8B AC 24 C0 00 00 00 4C 8B A4 24 C8 00 00 00 F2 0F 11 54 24 30 41 8B F9 48 8B F2 48 8B D9 48 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 5A 48 85 D2 74 E4 C6 01 00 48 85 ED 74 DC 4D 85 E4 74 D7 48 8B 4C 24 30 4C 8D 44 24 50 48 8D 54 24 38 41 B9 16 00 00 00 E8 ?? ?? ?? ?? 44 8B CF 48 8B D6 48 8B CB 4C 8B C0 4C 89 64 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? 8D 4E FE 3B F9 0F 4F F9 85 FF 78 07 48 63 CF C6 04 19 00 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_855_4_0 {
	meta:
		name = "_ecvt"
		size = 180
		refs = "002a _getptd_noexit 004c _malloc_crt 0087 _ecvt_s"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 40 0F 29 70 E8 49 8B F1 49 8B E8 66 0F 28 F0 8B FA E8 ?? ?? ?? ?? 45 33 E4 48 8B D8 48 85 C0 75 04 33 C0 EB 57 4C 39 A0 80 00 00 00 75 16 B9 5D 01 00 00 E8 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 85 C0 74 DD 48 8B 9B 80 00 00 00 41 B9 5B 01 00 00 66 0F 28 D6 41 3B F9 BA 5D 01 00 00 48 8B CB 44 0F 4C CF 48 89 74 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 49 0F 45 DC 48 8B C3 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 0F 28 74 24 30 48 8B 7C 24 68 48 83 C4 40 41 5C C3 }
	condition:
		$1
}

rule file_856_3_0 {
	meta:
		name = "_mbschr_l"
		size = 236
		refs = "0024 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0030 _errno 003b _invalid_parameter_noinfo 0076 strchr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 48 8B EC 48 83 EC 40 48 8B D9 8B FA 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 33 F6 48 85 DB 75 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 40 5D C3 48 8B 55 E8 39 72 08 75 1D 8B D7 48 8B CB E8 ?? ?? ?? ?? 40 38 75 F8 74 D2 48 8B 4D F0 83 A1 C8 00 00 00 FD EB C5 0F B6 0B 66 85 C9 74 33 0F B6 C1 F6 44 10 1D 04 74 1D 48 FF C3 40 38 33 74 98 0F B6 03 0F B7 C9 C1 E1 08 0B C8 3B F9 75 0D 48 8D 43 FF EB BE 0F B7 C1 3B F8 74 05 48 FF C3 EB C5 0F B7 C1 3B F8 0F 85 6C FF FF FF 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 48 8B C3 E9 66 FF FF FF }
	condition:
		$1
}

rule file_857_0_0 {
	meta:
		name = "_vsnprintf_helper"
		size = 230
		refs = "0038 memset 0042 _errno 004d _invalid_parameter_noinfo 00b1 _flsbuf"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 48 8B EC 48 83 EC 50 33 DB 4D 8B E0 4C 8B E9 48 8B F2 48 8D 4D D8 44 8D 43 28 33 D2 49 8B F9 48 89 5D D0 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 76 4D 85 E4 74 05 48 85 F6 74 E1 4C 8B 4D 48 4C 8B 45 40 B9 FF FF FF 7F 4C 3B E1 41 8B C4 48 8B D7 0F 47 C1 48 8D 4D D0 C7 45 E8 42 00 00 00 48 89 75 E0 48 89 75 D0 89 45 D8 41 FF D5 8B F8 48 85 F6 74 33 85 C0 78 21 FF 4D D8 78 08 48 8B 45 D0 88 18 EB 10 48 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C7 EB 0E 39 5D D8 42 88 5C 26 FF 0F 9D C3 8D 43 FE 4C 8D 5C 24 50 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_857_3_0 {
	meta:
		name = "_vsprintf_s_l"
		size = 110
		refs = "0033 _output_s_l 0038 _vsnprintf_helper 0049 _errno 0061 _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 4D 85 C0 74 47 48 85 C9 74 42 48 85 D2 74 3D 48 8B 44 24 60 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D1 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 03 C6 03 00 83 F8 FE 75 20 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_857_5_0 {
	meta:
		name = "_vsnprintf_s_l"
		size = 328
		refs = "0060 _errno 006b _output_s_l 008c _vsnprintf_helper 0126 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 49 8B E9 49 8B F0 48 8B DA 48 8B F9 4D 85 C9 0F 84 EC 00 00 00 4D 85 C0 75 15 48 85 C9 75 19 48 85 D2 0F 85 D9 00 00 00 33 C0 E9 E5 00 00 00 48 85 C9 0F 84 C9 00 00 00 48 85 D2 0F 84 C0 00 00 00 49 3B D0 76 4D E8 ?? ?? ?? ?? 4C 8D 46 01 48 8D 0D ?? ?? ?? ?? 8B 18 48 8B 44 24 68 4C 8B CD 48 89 44 24 28 48 8B 44 24 60 48 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 75 6C E8 ?? ?? ?? ?? 83 38 22 0F 85 87 00 00 00 E8 ?? ?? ?? ?? 89 18 EB 7E E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B CD 44 8B 20 48 8B 44 24 68 4C 8B C3 48 89 44 24 28 48 8B 44 24 60 48 8B D7 48 89 44 24 20 E8 ?? ?? ?? ?? C6 44 1F FF 00 83 F8 FE 75 1A 48 83 FE FF 75 18 E8 ?? ?? ?? ?? 83 38 22 75 33 E8 ?? ?? ?? ?? 44 89 20 EB 29 85 C0 79 28 C6 07 00 83 F8 FE 75 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_858_0_0 {
	meta:
		name = "_cfltcvt_init"
		size = 134
		refs = "0003 _cropzeros 000a _cfltcvt 0011 _cfltcvt_tab 0018 _fassign 002d _forcdecpt 0042 _positive 0050 _cfltcvt_l 005e _fassign_l 006c _cropzeros_l 007a _forcdecpt_l"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_859_3_0 {
	meta:
		name = "_mbscspn_l"
		size = 270
		refs = "001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0036 strcspn 005c _errno 0067 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 40 48 8B D9 48 8B FA 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 44 24 28 33 F6 41 39 70 08 75 27 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 40 38 74 24 38 0F 84 B9 00 00 00 48 8B 4C 24 30 83 A1 C8 00 00 00 FD E9 A8 00 00 00 48 85 DB 75 27 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 74 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 EB 7C 48 85 FF 74 D4 48 8B D3 40 38 33 74 56 48 8B CF 40 38 37 74 2E 0F B6 01 42 F6 44 00 1D 04 74 17 3A 02 75 08 8A 42 01 38 41 01 74 17 40 38 71 01 74 11 48 FF C1 EB 04 3A 02 74 08 48 FF C1 40 38 31 75 D2 40 38 31 75 1B 0F B6 02 42 F6 44 00 1D 04 74 08 48 FF C2 40 38 32 74 08 48 FF C2 40 38 32 75 AA 48 2B D3 40 38 74 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C2 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_860_3_0 {
	meta:
		name = "?strtoxq@@YA_KPEAUlocaleinfo_struct@@PEBDPEAPEBDHH@Z"
		size = 613
		refs = "002d ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _errno 004a _invalid_parameter_noinfo 00a1 _isctype_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 41 56 41 57 48 83 EC 40 4C 8B EA 48 8B D1 48 8D 48 B8 45 8B E1 4D 8B F0 E8 ?? ?? ?? ?? 4D 85 F6 74 03 4D 89 2E 4D 85 ED 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 E9 DF 01 00 00 45 85 E4 74 0C 41 83 FC 02 7C CB 41 83 FC 24 7F C5 41 8A 75 00 4C 8B 44 24 20 33 FF 49 8D 5D 01 41 83 B8 0C 01 00 00 01 7E 1A 4C 8D 44 24 20 40 0F B6 CE BA 08 00 00 00 E8 ?? ?? ?? ?? 4C 8B 44 24 20 EB 12 49 8B 80 40 01 00 00 40 0F B6 CE 0F B7 04 48 83 E0 08 85 C0 74 08 40 8A 33 48 FF C3 EB BE 8B AC 24 90 00 00 00 40 80 FE 2D 75 05 83 CD 02 EB 06 40 80 FE 2B 75 06 40 8A 33 48 FF C3 45 85 E4 75 26 40 80 FE 30 74 08 41 BC 0A 00 00 00 EB 36 80 3B 78 74 0D 80 3B 58 74 08 41 BC 08 00 00 00 EB 24 41 BC 10 00 00 00 41 83 FC 10 75 18 40 80 FE 30 75 12 80 3B 78 74 05 80 3B 58 75 08 40 8A 73 01 48 83 C3 02 4D 8B B8 40 01 00 00 4D 63 DC 33 D2 48 83 C8 FF 49 F7 F3 4C 8B D2 4C 8B C8 40 0F B6 CE 45 0F B7 04 4F 41 8B C8 83 E1 04 74 09 40 0F BE D6 83 EA 30 EB 1A 41 81 E0 03 01 00 00 74 2F 8D 46 9F 40 0F BE D6 3C 19 77 03 83 EA 20 83 C2 C9 41 3B D4 73 19 83 CD 08 49 3B F9 72 25 75 07 8B C2 49 3B C2 76 1C 83 CD 04 4D 85 F6 75 20 48 FF CB 40 F6 C5 08 75 1F 4D 85 F6 49 0F 45 DD 33 FF EB 70 49 8B CB 48 0F AF CF 8B FA 48 03 F9 40 8A 33 48 FF C3 EB 86 48 BE FF FF FF FF FF FF FF 7F 40 F6 C5 04 75 25 40 F6 C5 01 75 46 8B C5 83 E0 02 74 0F 48 B9 00 00 00 00 00 00 00 80 48 3B F9 77 09 85 C0 75 2C 48 3B FE 76 27 E8 ?? ?? ?? ?? C7 00 22 00 00 00 40 F6 C5 01 74 06 48 83 CF FF EB 10 40 8A C5 24 02 F6 D8 48 1B FF 48 F7 DF 48 03 FE 4D 85 F6 74 03 49 89 1E 40 F6 C5 02 74 03 48 F7 DF 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B C7 4C 8D 5C 24 40 49 8B 5B 30 49 8B 6B 40 49 8B 73 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_861_3_0 {
	meta:
		name = "_mbsstr_l"
		size = 331
		refs = "0029 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0042 strstr 005f _errno 006a _invalid_parameter_noinfo 00be strlen"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 48 8B EC 48 83 EC 40 48 8B F9 48 8B F2 48 8D 4D E0 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 65 E8 45 33 ED 45 39 6C 24 08 75 1E 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 44 38 6D F8 74 35 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 28 48 85 F6 75 3C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 6D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5D 41 5C 5D C3 44 38 2E 75 16 44 38 6D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 48 8B C7 EB CC 48 85 FF 74 A4 48 8B CE E8 ?? ?? ?? ?? 48 8B DF 48 8B CF 48 2B D8 E8 ?? ?? ?? ?? 4C 8D 1C 03 44 38 2F 74 95 48 8B D7 48 2B D6 49 3B FB 77 8A 48 8B C6 44 38 2F 74 14 8A 08 84 C9 74 3F 38 0C 02 75 09 48 FF C0 44 38 2C 02 75 EC 44 38 28 74 2C 0F B6 07 48 FF C2 48 FF C7 42 8A 4C 20 1D 80 E1 04 74 0F 44 38 2F 0F 84 4D FF FF FF 48 FF C7 48 FF C2 44 38 2F 75 B3 E9 3D FF FF FF 44 38 6D F8 0F 84 75 FF FF FF 48 8B 4D F0 83 A1 C8 00 00 00 FD E9 65 FF FF FF }
	condition:
		$1
}

rule file_862_0_0 {
	meta:
		name = "_getdrive"
		size = 239
		refs = "001a __security_cookie 003c __imp_GetCurrentDirectoryW 0053 _calloc_crt 0060 _errno 00c0 free 00d2 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 81 EC 40 02 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 30 02 00 00 48 8D 54 24 20 B9 05 01 00 00 48 8D 5C 24 20 33 ED FF 15 ?? ?? ?? ?? 8B F8 3D 04 01 00 00 7E 3B 8D 70 01 8D 55 02 48 63 CE E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 0F E8 ?? ?? ?? ?? 33 FF C7 00 0C 00 00 00 EB 16 BD 01 00 00 00 85 FF 74 0D 48 8B D0 8B CE FF 15 ?? ?? ?? ?? 8B F8 33 F6 85 FF 74 23 66 83 7B 02 3A 75 27 66 83 3B 61 72 0E 66 83 3B 7A 77 08 0F B7 03 83 E8 20 EB 03 0F B7 03 8D 70 C0 EB 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 85 ED 74 08 48 8B CB E8 ?? ?? ?? ?? 8B C6 48 8B 8C 24 30 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 40 02 00 00 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_862_1_0 {
	meta:
		name = "_chdrive"
		size = 156
		refs = "0009 __security_cookie 0027 _lock 0045 __imp_SetCurrentDirectoryW 004f __imp_GetLastError 0056 _dosmaperr 0063 _unlock 006c __doserrno 0077 _errno 0082 _invalid_parameter_noinfo 0092 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 8B D9 83 F9 01 7C 4F 83 F9 1A 7F 4A B9 07 00 00 00 E8 ?? ?? ?? ?? 90 8D 43 40 66 89 44 24 20 33 DB C7 44 24 22 3A 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? 85 C0 75 10 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 CB FF B9 07 00 00 00 E8 ?? ?? ?? ?? 8B C3 EB 1E E8 ?? ?? ?? ?? C7 00 0F 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_864_0_0 {
	meta:
		name = "_strrev"
		size = 55
	strings:
		$1 = { 4C 8B C1 4C 8B D1 4C 8B C9 41 8A 00 49 FF C0 84 C0 75 F6 49 83 E8 02 49 3B C8 73 17 41 8A 08 41 8A 11 41 88 09 41 88 10 49 FF C8 49 FF C1 4D 3B C8 72 E9 49 8B C2 C3 }
	condition:
		$1
}

rule file_865_1_0 {
	meta:
		name = "_localtime32_s"
		size = 723
		refs = "0023 _errno 002f _invalid_parameter_noinfo 0049 memset 0066 __tzset 006f _get_daylight 0080 _get_dstbias 0091 _get_timezone 00bb _gmtime32_s 00d4 _isindst 02a2 _invoke_watson"
	strings:
		$1 = { 40 55 53 57 48 8B EC 48 83 EC 40 83 65 38 00 83 65 F0 00 83 65 30 00 48 8B FA 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 40 5F 5B 5D C3 BA FF 00 00 00 41 B8 24 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 74 D0 83 3F 00 7D 0E E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 EB CE E8 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 85 C0 0F 85 42 02 00 00 48 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 0F 85 1B 02 00 00 48 8D 4D 30 E8 ?? ?? ?? ?? 85 C0 0F 85 F4 01 00 00 8B 07 3D 80 F4 03 00 7E 60 3D 7F 0B FC 7F 7D 59 2B 45 30 48 8D 55 20 48 8B CB 89 45 20 E8 ?? ?? ?? ?? 85 C0 0F 85 6E FF FF FF 39 45 38 0F 84 6E 01 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 84 5E 01 00 00 8B 45 F0 48 8D 55 20 48 8B CB 29 45 20 E8 ?? ?? ?? ?? 85 C0 0F 85 3B FF FF FF C7 43 20 01 00 00 00 E9 38 01 00 00 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 1C FF FF FF 39 45 38 74 1D 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 11 8B 0B C7 43 20 01 00 00 00 2B 4D 30 2B 4D F0 EB 05 8B 0B 2B 4D 30 41 B8 89 88 88 88 41 8B C0 F7 E9 03 D1 C1 FA 05 8B C2 C1 E8 1F 03 D0 8B C1 6B D2 3C 2B C2 89 03 79 08 83 C0 3C 83 E9 3C 89 03 41 8B C0 F7 E9 44 8D 0C 11 41 C1 F9 05 41 8B C1 C1 E8 1F 44 03 C8 41 8B C0 44 03 4B 04 41 8B C9 41 F7 E9 41 03 D1 C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 3C 2B CA 89 4B 04 79 0A 83 C1 3C 41 83 E9 3C 89 4B 04 41 8B C0 41 F7 E9 45 8D 04 11 41 B9 AB AA AA 2A 41 C1 F8 05 41 8B C0 C1 E8 1F 44 03 C0 41 8B C1 44 03 43 08 41 F7 E8 C1 FA 02 8B C2 C1 E8 1F 03 D0 8D 0C 52 41 8B D0 C1 E1 03 2B D1 89 53 08 79 0A 8D 4A 18 41 83 E8 18 89 4B 08 41 8B C1 41 F7 E8 44 8B C2 41 C1 F8 02 41 8B C0 C1 E8 1F 44 03 C0 45 85 C0 7E 31 8B 43 18 41 8D 0C 00 B8 93 24 49 92 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 6B D2 07 2B CA 44 01 43 0C 89 4B 18 44 01 43 1C 33 C0 E9 F0 FD FF FF 79 F7 8B 43 18 44 01 43 0C 41 8D 4C 00 07 B8 93 24 49 92 F7 E9 03 D1 C1 FA 02 8B C2 C1 E8 1F 03 D0 8B 43 0C 6B D2 07 2B CA 89 4B 18 85 C0 7F C5 83 C0 1F C7 43 10 0B 00 00 00 89 43 0C 41 8D 80 6D 01 00 00 01 43 1C FF 4B 14 EB AD 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_866_3_0 {
	meta:
		name = "__TypeMatch"
		size = 291
		refs = "002f _GetImageBase 007e _GetThrowImageBase 00c0 strcmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 8B 71 04 33 DB 4D 8B E0 48 8B EA 48 8B F9 85 F6 74 0E 48 63 F6 E8 ?? ?? ?? ?? 4C 8D 1C 06 EB 03 4C 8B DB 4D 85 DB 0F 84 BE 00 00 00 85 F6 74 0F 48 63 77 04 E8 ?? ?? ?? ?? 4C 8D 1C 06 EB 03 4C 8B DB 41 38 5B 10 0F 84 9E 00 00 00 85 F6 74 11 E8 ?? ?? ?? ?? 48 8B F0 48 63 47 04 48 03 F0 EB 03 48 8B F3 E8 ?? ?? ?? ?? 4C 8B D8 48 63 45 04 4C 03 D8 49 3B F3 74 3B 39 5F 04 74 11 E8 ?? ?? ?? ?? 48 8B F0 48 63 47 04 48 03 F0 EB 03 48 8B F3 E8 ?? ?? ?? ?? 48 8D 4E 10 4C 8B D8 48 63 45 04 49 8D 54 03 10 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 3C B0 02 84 45 00 74 05 F6 07 08 74 27 41 F6 04 24 01 74 05 F6 07 01 74 1B 41 F6 04 24 04 74 05 F6 07 04 74 0F 41 84 04 24 74 04 84 07 74 05 BB 01 00 00 00 8B C3 EB 05 B8 01 00 00 00 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_866_4_0 {
	meta:
		name = "__FrameUnwindFilter"
		size = 81
		refs = "0020 _getptd 002c ?terminate@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 81 38 52 43 43 E0 74 22 81 38 4D 4F 43 E0 74 1A 81 38 63 73 6D E0 75 2B E8 ?? ?? ?? ?? 83 A0 00 01 00 00 00 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7E 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_866_5_0 {
	meta:
		name = "__FrameUnwindToState"
		size = 393
		refs = "002f ?__GetCurrentState@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 0036 _GetImageBase 0040 _getptd 0067 ?_inconsistency@@YAXXZ 00c6 ?__SetState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 0109 _CallSettingFrame 0113 _SetImageBase"
	strings:
		$1 = { 48 8B C4 44 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 8B E9 49 8B F0 4C 8B FA 4C 8B F1 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 48 89 44 24 28 E8 ?? ?? ?? ?? FF 80 00 01 00 00 83 FF FF 0F 84 ED 00 00 00 41 3B FD 0F 8E E4 00 00 00 83 FF FF 7E 05 3B 7E 04 7C 05 E8 ?? ?? ?? ?? 4C 63 E7 E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 E0 8B 3C 01 89 7C 24 20 E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 E0 83 7C 01 04 00 74 1C E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 E0 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 85 C0 74 5E 44 8B CF 4C 8B C6 49 8B D7 49 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 E0 83 7C 01 04 00 74 1C E8 ?? ?? ?? ?? 48 63 4E 08 4A 8D 04 E0 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 41 B8 03 01 00 00 49 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 28 E8 ?? ?? ?? ?? EB 1E 44 8B AC 24 88 00 00 00 48 8B B4 24 80 00 00 00 4C 8B 7C 24 78 4C 8B 74 24 70 8B 7C 24 20 89 7C 24 24 E9 0A FF FF FF E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7E 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 83 FF FF 74 0A 41 3B FD 7E 05 E8 ?? ?? ?? ?? 44 8B CF 4C 8B C6 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_866_7_0 {
	meta:
		name = "__FrameUnwindToState$fin$1"
		size = 41
		refs = "000a _getptd"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7E 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_8_0 {
	meta:
		name = "?__RethrowException@@YAXPEAUEHExceptionRecord@@@Z"
		size = 20
		refs = "0010 __imp_RaiseException"
	strings:
		$1 = { 44 8B 41 18 8B 51 04 4C 8D 49 20 8B 09 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_866_9_0 {
	meta:
		name = "?ExFilterRethrow@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEAH@Z"
		size = 154
		refs = "0077 _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B 09 41 83 20 00 B9 63 73 6D E0 49 8B D8 41 39 09 75 78 41 83 79 18 04 41 BA 20 05 93 19 45 8D 5A 01 45 8D 42 02 75 22 45 39 51 20 74 0C 45 39 59 20 74 06 45 39 41 20 75 10 48 8B 42 28 49 39 41 28 75 06 C7 03 01 00 00 00 41 39 09 75 3C 41 83 79 18 04 75 35 45 39 51 20 74 0C 45 39 59 20 74 06 45 39 41 20 75 23 49 83 79 30 00 75 1C E8 ?? ?? ?? ?? C7 80 C0 02 00 00 01 00 00 00 C7 03 01 00 00 00 B8 01 00 00 00 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_866_10_0 {
	meta:
		name = "__DestructExceptionObject"
		size = 66
		refs = "0038 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 85 C9 74 3C 88 54 24 10 48 83 EC 28 81 39 63 73 6D E0 75 28 48 8B 41 30 48 85 C0 74 1F 83 78 04 00 74 19 48 63 40 04 48 8B 51 38 48 03 D0 48 8B 49 28 FF D2 EB 06 E8 ?? ?? ?? ?? 90 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_866_11_0 {
	meta:
		name = "__DestructExceptionObject$filt$0"
		size = 24
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 33 C0 38 45 38 0F 95 C0 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_866_12_0 {
	meta:
		name = "__AdjustPointer"
		size = 35
	strings:
		$1 = { 48 63 02 48 03 C1 83 7A 04 00 7C 16 4C 63 4A 04 48 63 52 08 49 8B 0C 09 4C 63 04 0A 4D 03 C1 49 03 C0 C3 }
	condition:
		$1
}

rule file_866_13_0 {
	meta:
		name = "?__uncaught_exception@@YA_NXZ"
		size = 25
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 33 C9 39 88 00 01 00 00 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_866_14_0 {
	meta:
		name = "__CxxRegisterExceptionObject"
		size = 207
		refs = "004b _getptd 005e _CreateFrameInfo"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 85 C9 74 7E 48 8B 19 48 85 DB 74 76 81 3B 63 73 6D E0 75 34 83 7B 18 04 75 2E 81 7B 20 20 05 93 19 74 12 81 7B 20 21 05 93 19 74 09 81 7B 20 22 05 93 19 75 13 48 83 7B 30 00 75 0C E8 ?? ?? ?? ?? 48 8B 98 F0 00 00 00 48 8B 53 28 48 8B CF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 48 89 4F 10 E8 ?? ?? ?? ?? 48 8B 88 F8 00 00 00 48 89 4F 18 E8 ?? ?? ?? ?? 48 89 98 F0 00 00 00 EB 0A 48 83 4A 10 FF 48 83 4A 18 FF E8 ?? ?? ?? ?? FF 88 00 01 00 00 E8 ?? ?? ?? ?? 83 B8 00 01 00 00 00 7D 0C E8 ?? ?? ?? ?? 83 A0 00 01 00 00 00 B8 01 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_866_15_0 {
	meta:
		name = "__CxxDetectRethrow"
		size = 85
		refs = "003d _getptd"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 45 48 8B 01 81 38 63 73 6D E0 75 3A 83 78 18 04 75 34 81 78 20 20 05 93 19 74 12 81 78 20 21 05 93 19 74 09 81 78 20 22 05 93 19 75 19 48 83 78 30 00 75 12 E8 ?? ?? ?? ?? FF 80 00 01 00 00 B8 01 00 00 00 EB 02 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_866_16_0 {
	meta:
		name = "__CxxUnregisterExceptionObject"
		size = 343
		refs = "001b _FindAndUnlinkFrame 0028 _getptd 009d _IsExceptionObjectToBeDestroyed 00b4 __DestructExceptionObject"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 10 FF 8B FA 48 8B D9 0F 84 32 01 00 00 E8 ?? ?? ?? ?? 85 FF 0F 85 91 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 63 73 6D E0 75 7D E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 83 79 18 04 75 6B E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 20 05 93 19 74 2A E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 21 05 93 19 74 15 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 22 05 93 19 75 2C E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 48 8B 49 28 E8 ?? ?? ?? ?? 85 C0 74 13 E8 ?? ?? ?? ?? B2 01 48 8B 88 F0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 63 73 6D E0 75 60 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 83 79 18 04 75 4E E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 20 05 93 19 74 2A E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 21 05 93 19 74 15 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 79 20 22 05 93 19 75 0F 85 FF 74 0B E8 ?? ?? ?? ?? FF 88 00 01 00 00 E8 ?? ?? ?? ?? 48 8B 4B 10 48 89 88 F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 18 48 89 88 F8 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_866_18_0 {
	meta:
		name = "__CxxCallUnwindDtor"
		size = 19
		altNames = "__CxxCallUnwindDelDtor __CxxCallUnwindStdDelDtor"
	strings:
		$1 = { 48 83 EC 28 48 8B C1 48 8B CA FF D0 EB 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_866_24_0 {
	meta:
		name = "__CxxCallUnwindVecDtor"
		size = 42
	strings:
		$1 = { 40 53 48 83 EC 20 41 8B C1 4D 8B D0 4C 8B DA 48 8B D9 4C 8B 4C 24 50 44 8B C0 49 8B D2 49 8B CB FF D3 EB 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_866_26_0 {
	meta:
		name = "?IsInExceptionSpec@@YAEPEAUEHExceptionRecord@@PEBU_s_ESTypeList@@@Z"
		size = 211
		refs = "0028 ?_inconsistency@@YAXXZ 002d ?terminate@@YAXXZ 003c _GetThrowImageBase 007f _GetImageBase 0096 __TypeMatch"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 48 8B F2 4C 8B F1 48 85 D2 75 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 33 FF 45 32 E4 39 3A 7E 78 E8 ?? ?? ?? ?? 4C 8B D8 49 8B 46 30 48 63 48 0C 4D 8D 6C 0B 04 E8 ?? ?? ?? ?? 4C 8B D8 49 8B 46 30 48 63 48 0C 41 8B 2C 0B 85 ED 7E 45 48 63 C7 4C 8D 3C 80 E8 ?? ?? ?? ?? 48 8B D8 49 63 45 00 48 03 D8 E8 ?? ?? ?? ?? 48 63 4E 04 4D 8B 46 30 4A 8D 04 B8 48 8B D3 48 03 C8 E8 ?? ?? ?? ?? 85 C0 75 0C FF CD 49 83 C5 04 85 ED 7F C7 EB 03 41 B4 01 FF C7 3B 3E 7C 88 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 41 8A C4 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_866_27_0 {
	meta:
		name = "?Is_bad_exception_allowed@@YAEPEBU_s_ESTypeList@@@Z"
		size = 135
		refs = "0020 _GetImageBase 0052 ??_R0?AVbad_exception@std@@@8 005a ??8type_info@@QEBA_NAEBV0@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 48 8B F9 39 31 7E 4F 33 ED E8 ?? ?? ?? ?? 48 63 4F 04 48 03 C5 83 7C 01 04 00 74 1B E8 ?? ?? ?? ?? 48 63 4F 04 48 03 C5 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 84 C0 75 21 FF C6 48 83 C5 14 3B 37 7C B3 32 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 B0 01 EB E7 }
	condition:
		$1
}

rule file_866_28_0 {
	meta:
		name = "?_is_exception_typeof@@YAHAEBVtype_info@@PEAU_EXCEPTION_POINTERS@@@Z"
		size = 204
		refs = "0025 ?_inconsistency@@YAXXZ 008b ?raw_name@type_info@@QEBAPEBDXZ 0096 strcmp"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B DA 4C 8B E1 48 85 D2 75 05 E8 ?? ?? ?? ?? 48 8B 1B 48 85 DB 75 05 E8 ?? ?? ?? ?? 81 3B 63 73 6D E0 75 21 83 7B 18 04 75 1B 81 7B 20 20 05 93 19 74 17 81 7B 20 21 05 93 19 74 0E 81 7B 20 22 05 93 19 74 05 E8 ?? ?? ?? ?? 48 8B 6B 38 48 8B 43 30 48 63 48 0C 8B 3C 29 48 8D 74 29 04 EB 2A 48 63 06 49 8B CC 48 63 44 28 04 48 8D 5C 28 10 E8 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 74 27 FF CF 48 83 C6 04 85 FF 7F D2 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 B8 01 00 00 00 EB DE }
	condition:
		$1
}

rule file_866_29_0 {
	meta:
		name = "__CxxCallCatchBlock"
		size = 530
		refs = "0031 _getptd 00ac _CreateFrameInfo 00e7 _CallSettingFrame 0131 __DestructExceptionObject 015a __imp_RaiseException 0186 _FindAndUnlinkFrame 01bd _IsExceptionObjectToBeDestroyed"
	strings:
		$1 = { 40 53 56 57 41 54 41 55 41 56 41 57 48 81 EC 80 00 00 00 48 8B F9 45 33 ED 44 89 6C 24 20 44 21 AC 24 C0 00 00 00 4C 21 6C 24 48 4C 21 6C 24 40 E8 ?? ?? ?? ?? 48 8B 80 F8 00 00 00 48 89 84 24 D8 00 00 00 E8 ?? ?? ?? ?? 48 8B 80 F0 00 00 00 48 89 84 24 D0 00 00 00 48 8B 77 50 48 89 B4 24 C8 00 00 00 48 8B 47 48 48 89 44 24 38 48 8B 5F 40 4C 8B 7F 30 4C 8B 67 28 4C 89 64 24 60 E8 ?? ?? ?? ?? 48 89 B0 F0 00 00 00 E8 ?? ?? ?? ?? 48 89 98 F8 00 00 00 E8 ?? ?? ?? ?? 48 8B 90 F0 00 00 00 48 8B 52 28 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 8B F0 48 89 44 24 50 4C 39 6F 58 74 1C C7 84 24 C0 00 00 00 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 38 01 00 00 48 89 4C 24 40 41 B8 00 01 00 00 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 48 8B BC 24 D8 00 00 00 4C 8B BC 24 D0 00 00 00 EB 7D C7 44 24 20 01 00 00 00 E8 ?? ?? ?? ?? 83 A0 C0 02 00 00 00 48 8B B4 24 C8 00 00 00 83 BC 24 C0 00 00 00 00 74 20 B2 01 48 8B CE E8 ?? ?? ?? ?? 4C 8B 5C 24 40 4D 8D 4B 20 45 8B 43 18 41 8B 53 04 41 8B 0B EB 0D 4C 8D 4E 20 44 8B 46 18 8B 56 04 8B 0E FF 15 ?? ?? ?? ?? 44 8B 6C 24 20 48 8B 5C 24 48 48 8B BC 24 D8 00 00 00 4C 8B BC 24 D0 00 00 00 4C 8B 64 24 60 4C 8B 74 24 50 49 8B CE E8 ?? ?? ?? ?? 45 85 ED 75 40 81 3E 63 73 6D E0 75 38 83 7E 18 04 75 32 81 7E 20 20 05 93 19 74 12 81 7E 20 21 05 93 19 74 09 81 7E 20 22 05 93 19 75 17 48 8B 4E 28 E8 ?? ?? ?? ?? 85 C0 74 0A B2 01 48 8B CE E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 89 B8 F0 00 00 00 E8 ?? ?? ?? ?? 48 89 B8 F8 00 00 00 48 8B 44 24 38 48 63 48 1C 49 8B 04 24 48 C7 04 01 FE FF FF FF 48 8B C3 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_866_30_0 {
	meta:
		name = "__CxxCallCatchBlock$filt$0"
		size = 256
		refs = "00c5 _getptd"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 89 4D 68 48 89 4D 58 48 8B 45 58 48 8B 08 48 89 4D 28 C7 45 20 00 00 00 00 48 8B 45 28 81 38 63 73 6D E0 75 4D 48 8B 45 28 83 78 18 04 75 43 48 8B 45 28 81 78 20 20 05 93 19 74 1A 48 8B 45 28 81 78 20 21 05 93 19 74 0D 48 8B 45 28 81 78 20 22 05 93 19 75 1C 48 8B 55 28 48 8B 85 C8 00 00 00 48 8B 48 28 48 39 4A 28 75 07 C7 45 20 01 00 00 00 48 8B 45 28 81 38 63 73 6D E0 75 5B 48 8B 45 28 83 78 18 04 75 51 48 8B 45 28 81 78 20 20 05 93 19 74 1A 48 8B 45 28 81 78 20 21 05 93 19 74 0D 48 8B 45 28 81 78 20 22 05 93 19 75 2A 48 8B 45 28 48 83 78 30 00 75 1F E8 ?? ?? ?? ?? C7 80 C0 02 00 00 01 00 00 00 C7 45 20 01 00 00 00 C7 45 30 01 00 00 00 EB 07 C7 45 30 00 00 00 00 8B 45 30 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_866_31_0 {
	meta:
		name = "__CxxCallCatchBlock$fin$1"
		size = 143
		refs = "000f _FindAndUnlinkFrame 004e _IsExceptionObjectToBeDestroyed 005c __DestructExceptionObject 0062 _getptd"
	strings:
		$1 = { 40 53 55 48 83 EC 28 48 8B EA 48 8B 4D 50 E8 ?? ?? ?? ?? 83 7D 20 00 75 48 48 8B 9D C8 00 00 00 81 3B 63 73 6D E0 75 39 83 7B 18 04 75 33 81 7B 20 20 05 93 19 74 12 81 7B 20 21 05 93 19 74 09 81 7B 20 22 05 93 19 75 18 48 8B 4B 28 E8 ?? ?? ?? ?? 85 C0 74 0B B2 01 48 8B CB E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B 8D D0 00 00 00 48 89 88 F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 8D D8 00 00 00 48 89 88 F8 00 00 00 48 83 C4 28 5D 5B C3 CC }
	condition:
		$1
}

rule file_866_32_0 {
	meta:
		name = "__BuildCatchObjectHelper"
		size = 514
		refs = "0034 _GetImageBase 00a1 ?_ValidateRead@@YAHPEBXI@Z 00b3 ?_ValidateWrite@@YAHPEAXI@Z 00cc __AdjustPointer 010f memmove 0133 _GetThrowImageBase 01ba ?_ValidateExecute@@YAHP6A_JXZ@Z 01d7 ?_inconsistency@@YAXXZ 01e1 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 55 41 56 48 83 EC 30 49 8B F1 49 8B F8 4C 8B E2 4C 8B F1 33 DB 45 8B 68 04 45 85 ED 74 0F 4D 63 ED E8 ?? ?? ?? ?? 4D 8D 5C 05 00 EB 03 4C 8B DB 4D 85 DB 0F 84 9B 01 00 00 45 85 ED 74 11 E8 ?? ?? ?? ?? 4C 8B D8 48 63 47 04 4C 03 D8 EB 03 4C 8B DB 41 38 5B 10 0F 84 78 01 00 00 39 5F 08 75 0C F7 07 00 00 00 80 0F 84 67 01 00 00 8B 0F 85 C9 78 0B 48 63 47 08 49 03 04 24 4C 8B E0 BF 01 00 00 00 F6 C1 08 74 3F 8B D7 49 8B 4E 28 E8 ?? ?? ?? ?? 85 C0 0F 84 29 01 00 00 8B D7 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 84 17 01 00 00 49 8B 4E 28 49 89 0C 24 48 8D 56 08 E8 ?? ?? ?? ?? 49 89 04 24 E9 03 01 00 00 40 84 3E 74 4F 8B D7 49 8B 4E 28 E8 ?? ?? ?? ?? 85 C0 0F 84 E5 00 00 00 8B D7 49 8B CC E8 ?? ?? ?? ?? 85 C0 0F 84 D3 00 00 00 4C 63 46 14 49 8B 56 28 49 8B CC E8 ?? ?? ?? ?? 83 7E 14 08 0F 85 BF 00 00 00 49 39 1C 24 0F 84 B5 00 00 00 49 8B 0C 24 EB 9A 39 5E 18 74 11 E8 ?? ?? ?? ?? 4C 8B D8 48 63 46 18 4C 03 D8 EB 03 4C 8B DB 8B D7 49 8B 4E 28 4D 85 DB 75 38 E8 ?? ?? ?? ?? 85 C0 74 7C 8B D7 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 6E 4C 63 56 14 48 8D 56 08 49 8B 4E 28 E8 ?? ?? ?? ?? 48 8B D0 4D 8B C2 49 8B CC E8 ?? ?? ?? ?? EB 53 E8 ?? ?? ?? ?? 85 C0 74 44 8B D7 49 8B CC E8 ?? ?? ?? ?? 85 C0 74 36 39 5E 18 74 11 E8 ?? ?? ?? ?? 48 8B C8 48 63 46 18 48 03 C8 EB 03 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 14 8A 06 24 04 F6 D8 1B C9 F7 D9 03 CF 8B D9 89 4C 24 20 EB 06 E8 ?? ?? ?? ?? 90 8B C3 EB 08 E8 ?? ?? ?? ?? 90 33 C0 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_866_33_0 {
	meta:
		name = "__BuildCatchObject"
		size = 176
		refs = "002b __BuildCatchObjectHelper 0041 _GetThrowImageBase 0058 __AdjustPointer 009b ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B D9 48 8B F1 41 F7 00 00 00 00 80 74 05 48 8B FA EB 07 49 63 78 08 48 03 3A E8 ?? ?? ?? ?? FF C8 74 3A FF C8 75 61 45 33 D2 44 39 53 18 74 0F E8 ?? ?? ?? ?? 4C 8B D0 48 63 43 18 4C 03 D0 48 8D 53 08 48 8B 4E 28 E8 ?? ?? ?? ?? 48 8B D0 41 B8 01 00 00 00 48 8B CF 41 FF D2 EB 2B 45 33 D2 44 39 53 18 74 0C E8 ?? ?? ?? ?? 4C 63 53 18 4C 03 D0 48 8D 53 08 48 8B 4E 28 E8 ?? ?? ?? ?? 48 8B D0 48 8B CF 41 FF D2 EB 06 E8 ?? ?? ?? ?? 90 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_866_34_0 {
	meta:
		name = "__CxxExceptionFilter"
		size = 527
		refs = "0094 _getptd 00af _GetImageBase 00c0 _SetThrowImageBase 00d1 RtlPcToFileHeader 00e1 _SetImageBase 00fe _GetThrowImageBase 0147 __TypeMatch 016e __BuildCatchObject 017f _local_unwind"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 48 89 7C 24 20 41 54 41 55 41 56 48 83 EC 60 48 89 64 24 38 4D 8B F1 41 8B F0 48 8B FA 48 85 C9 75 07 33 C0 E9 C1 01 00 00 48 8B 19 48 85 D2 74 06 80 7A 10 00 75 22 81 3B 4D 4F 43 E0 0F 84 54 01 00 00 81 3B 52 43 43 E0 0F 84 48 01 00 00 41 F6 C0 40 0F 84 3E 01 00 00 81 3B 63 73 6D E0 75 C1 83 7B 18 04 75 BB 81 7B 20 20 05 93 19 74 12 81 7B 20 21 05 93 19 74 09 81 7B 20 22 05 93 19 75 A0 48 83 7B 30 00 75 1B E8 ?? ?? ?? ?? 48 83 B8 F0 00 00 00 00 74 8A E8 ?? ?? ?? ?? 48 8B 98 F0 00 00 00 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 30 48 8B 4B 38 E8 ?? ?? ?? ?? 90 48 8D 94 24 80 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 89 84 24 80 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 2B BC 24 80 00 00 00 89 7C 24 44 89 74 24 40 0F BA EE 1F 89 74 24 40 E8 ?? ?? ?? ?? 48 8B 4B 30 48 63 51 0C 48 8D 74 10 04 48 89 74 24 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 63 51 0C 8B 3C 10 89 7C 24 20 85 FF 7E 68 E8 ?? ?? ?? ?? 4C 8B E0 48 63 06 4C 03 E0 4C 8B 43 30 49 8B D4 48 8D 4C 24 40 E8 ?? ?? ?? ?? 85 C0 74 34 E8 ?? ?? ?? ?? FF 80 00 01 00 00 4D 85 F6 74 13 4D 8B CC 4C 8D 44 24 40 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8D 15 76 00 00 00 48 8B 4C 24 38 E8 ?? ?? ?? ?? FF CF 89 7C 24 20 48 83 C6 04 48 89 74 24 28 EB 94 49 8B CD E8 ?? ?? ?? ?? E9 8B FE FF FF 81 3B 63 73 6D E0 75 3B 83 7B 18 04 75 35 81 7B 20 20 05 93 19 74 12 81 7B 20 21 05 93 19 74 09 81 7B 20 22 05 93 19 75 1A 48 83 7B 30 00 75 13 E8 ?? ?? ?? ?? 48 83 B8 F0 00 00 00 00 0F 84 48 FE FF FF E8 ?? ?? ?? ?? FF 80 00 01 00 00 B8 01 00 00 00 4C 8D 5C 24 60 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_866_36_0 {
	meta:
		name = "?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z"
		size = 193
		refs = "0039 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 005f __BuildCatchObject 0064 _GetImageBase 00a4 _UnwindNestedFrames"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 56 57 41 54 41 55 41 56 48 83 EC 50 4C 8B AC 24 A0 00 00 00 49 8B E9 4C 8B E2 4D 8B F0 48 8B D9 4C 8D 48 10 4D 8B C5 48 8B D5 49 8B CC E8 ?? ?? ?? ?? 4C 8B 8C 24 B0 00 00 00 48 8B B4 24 A8 00 00 00 48 8B F8 4D 85 C9 74 0E 4C 8B C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 63 4E 0C 4C 8B CF 48 03 C1 8A 8C 24 C0 00 00 00 4D 8B C6 88 4C 24 40 48 8B 8C 24 B8 00 00 00 48 89 6C 24 38 8B 11 4C 89 6C 24 30 49 8B CC 89 54 24 28 48 8B D3 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 6B 40 49 8B E3 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_866_37_0 {
	meta:
		name = "?FindHandlerForForeignException@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@HH1@Z"
		size = 568
		refs = "0032 _getptd 0058 _encoded_null 0098 _CallSETranslator 00ab ?_inconsistency@@YAXXZ 00e0 ?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z 0112 _GetImageBase 01fe ?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 81 39 03 00 00 80 4D 8B F1 4D 8B E0 4C 8B FA 48 8B F1 0F 84 EF 01 00 00 E8 ?? ?? ?? ?? 8B BC 24 D0 00 00 00 48 8B AC 24 C0 00 00 00 48 83 B8 E0 00 00 00 00 74 55 E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 39 83 E0 00 00 00 74 3F 81 3E 4D 4F 43 E0 74 37 81 3E 52 43 43 E0 74 2F 48 8B 84 24 D8 00 00 00 4D 8B CE 4D 8B C4 48 89 44 24 30 49 8B D7 48 8B CE 89 7C 24 28 48 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 85 7C 01 00 00 83 7D 0C 00 75 05 E8 ?? ?? ?? ?? 44 8B A4 24 C8 00 00 00 48 8D 44 24 50 4C 89 74 24 30 48 89 44 24 28 48 8D 84 24 A0 00 00 00 44 8B C7 45 8B CC 48 8B D5 49 8B CF 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 8C 24 A0 00 00 00 3B 4C 24 50 0F 83 2B 01 00 00 48 8D 78 0C 4C 8D 6F F4 45 3B 65 00 0F 8C 02 01 00 00 44 3B 67 F8 0F 8F F8 00 00 00 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 83 7C 10 F0 00 74 23 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 48 63 5C 10 F0 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 85 C0 74 46 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 83 7C 10 F0 00 74 23 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 48 63 5C 10 F0 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 80 78 10 00 75 66 E8 ?? ?? ?? ?? 48 63 0F 48 8D 14 89 48 63 4F 04 48 8D 14 91 F6 44 10 EC 40 75 4B E8 ?? ?? ?? ?? 8B 0F 4C 8B 84 24 B0 00 00 00 FF C9 C6 44 24 40 00 4C 89 6C 24 38 48 83 64 24 30 00 48 63 C9 4D 8B CE 48 8D 14 89 48 8D 0C 90 48 63 47 04 49 8B D7 48 03 C8 48 89 4C 24 28 48 8B CE 48 89 6C 24 20 E8 ?? ?? ?? ?? 8B 8C 24 A0 00 00 00 FF C1 48 83 C7 14 89 8C 24 A0 00 00 00 3B 4C 24 50 0F 82 D9 FE FF FF 48 8B 9C 24 A8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_866_38_0 {
	meta:
		name = "?FindHandler@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@EH1@Z"
		size = 1229
		refs = "0043 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0057 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 0065 ?__GetUnwindTryBlock@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 007b ?__SetState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 008c ?__SetUnwindTryBlock@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z 00a7 ?_inconsistency@@YAXXZ 00ec _getptd 011f _SetThrowImageBase 012c ?_ValidateRead@@YAHPEBXI@Z 01a1 ?IsInExceptionSpec@@YAEPEAUEHExceptionRecord@@PEBU_s_ESTypeList@@@Z 01b9 _GetImageBase 01ed ??_R0?AVbad_exception@std@@@8 01f5 ??8type_info@@QEBA_NAEBV0@@Z 020b ?terminate@@YAXXZ 0216 __DestructExceptionObject 021d ??_C@_0O@DPKOEFFH@bad?5exception?$AA@ 022e ??0exception@std@@QEAA@AEBQEBD@Z 0235 ??_7bad_exception@std@@6B@ 023c _TI2?AVbad_exception@std@@ 0249 _CxxThrowException 02b6 ?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z 02fd _GetThrowImageBase 0347 __TypeMatch 03a6 ?CatchIt@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEBU_s_HandlerType@@PEBU_s_CatchableType@@PEBU_s_TryBlockMapEntry@@H1EE@Z 045c _UnwindNestedFrames 04c1 ?FindHandlerForForeignException@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@HH1@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 20 4C 89 40 18 48 89 50 10 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 90 00 00 00 48 8B 5D 67 4C 8B EA 48 8B F9 45 32 F6 49 8B D1 48 8B CB 4D 8B F9 4D 8B E0 44 88 75 47 E8 ?? ?? ?? ?? 4C 8D 4D DF 4C 8B C3 49 8B D7 49 8B CD 8B F0 E8 ?? ?? ?? ?? 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 4C 8B C3 49 8B D7 3B F0 7E 1F 48 8D 4D DF 44 8B CE E8 ?? ?? ?? ?? 44 8B CE 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? EB 0A 49 8B CD E8 ?? ?? ?? ?? 8B F0 83 FE FF 7C 05 3B 73 04 7C 05 E8 ?? ?? ?? ?? 81 3F 63 73 6D E0 0F 85 D8 03 00 00 83 7F 18 04 0F 85 91 01 00 00 81 7F 20 20 05 93 19 74 16 81 7F 20 21 05 93 19 74 0D 81 7F 20 22 05 93 19 0F 85 72 01 00 00 48 83 7F 30 00 0F 85 67 01 00 00 E8 ?? ?? ?? ?? 48 83 B8 F0 00 00 00 00 0F 84 76 03 00 00 E8 ?? ?? ?? ?? 48 8B B8 F0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 38 4C 8B A0 F8 00 00 00 4C 89 65 57 E8 ?? ?? ?? ?? BA 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 81 3F 63 73 6D E0 75 2D 83 7F 18 04 75 27 81 7F 20 20 05 93 19 74 12 81 7F 20 21 05 93 19 74 09 81 7F 20 22 05 93 19 75 0C 48 83 7F 30 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 B8 08 01 00 00 00 0F 84 D1 00 00 00 E8 ?? ?? ?? ?? 4C 8B A0 08 01 00 00 E8 ?? ?? ?? ?? 49 8B D4 48 83 A0 08 01 00 00 00 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A1 00 00 00 45 33 ED 45 39 2C 24 7E 54 33 F6 E8 ?? ?? ?? ?? 49 63 4C 24 04 48 03 C6 83 7C 01 04 00 74 1C E8 ?? ?? ?? ?? 49 63 4C 24 04 48 03 C6 48 63 5C 01 04 E8 ?? ?? ?? ?? 48 03 C3 EB 02 33 C0 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 84 C0 75 13 41 FF C5 48 83 C6 14 45 3B 2C 24 7C AE E8 ?? ?? ?? ?? CC B2 01 48 8B CF E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 55 47 48 8D 4D EF 4C 89 5D 47 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D EF 4C 89 5D EF E8 ?? ?? ?? ?? CC 4C 8B 65 57 81 3F 63 73 6D E0 0F 85 31 02 00 00 83 7F 18 04 0F 85 27 02 00 00 81 7F 20 20 05 93 19 74 16 81 7F 20 21 05 93 19 74 0D 81 7F 20 22 05 93 19 0F 85 08 02 00 00 83 7B 0C 00 0F 86 43 01 00 00 44 8B 45 77 48 8D 45 CF 4C 89 7C 24 30 48 89 44 24 28 48 8D 45 C7 44 8B CE 48 8B D3 49 8B CD 48 89 44 24 20 E8 ?? ?? ?? ?? 8B 4D C7 8B 55 CF 3B CA 0F 83 0C 01 00 00 4C 8D 60 10 41 39 74 24 F0 0F 8F E3 00 00 00 41 3B 74 24 F4 0F 8F D8 00 00 00 E8 ?? ?? ?? ?? 4D 63 2C 24 45 8B 74 24 FC 4C 03 E8 45 85 F6 0F 8E B0 00 00 00 E8 ?? ?? ?? ?? 48 8B 4F 30 48 63 51 0C 48 8D 44 10 04 48 89 45 D7 E8 ?? ?? ?? ?? 48 8B 4F 30 48 63 51 0C 8B 0C 10 89 4D CB 85 C9 7E 37 E8 ?? ?? ?? ?? 48 8B 4D D7 4C 8B 47 30 48 63 09 48 03 C1 49 8B CD 48 8B D0 48 89 45 E7 E8 ?? ?? ?? ?? 85 C0 75 1A 8B 45 CB 48 83 45 D7 04 FF C8 89 45 CB 85 C0 7F C9 41 FF CE 49 83 C5 14 EB 8A 8A 45 6F 4C 8B 45 57 41 B6 01 88 44 24 40 49 8D 44 24 F0 4D 8B CF 48 89 44 24 38 48 8B 45 E7 48 8B CF 48 89 44 24 30 4C 89 6C 24 28 4C 8B 6D 4F 49 8B D5 44 88 75 47 48 89 5C 24 20 E8 ?? ?? ?? ?? EB 08 44 8A 75 47 4C 8B 6D 4F 8B 55 CF 8B 4D C7 FF C1 49 83 C4 14 89 4D C7 3B CA 0F 82 01 FF FF FF 45 84 F6 0F 85 8C 00 00 00 8B 03 25 FF FF FF 1F 3D 21 05 93 19 72 7E 8B 73 20 85 F6 74 0D 48 63 F6 E8 ?? ?? ?? ?? 48 03 C6 EB 02 33 C0 48 85 C0 74 63 85 F6 74 11 E8 ?? ?? ?? ?? 48 8B D0 48 63 43 20 48 03 D0 EB 02 33 D2 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 40 4C 8D 4D 47 4C 8B C3 49 8B D7 49 8B CD E8 ?? ?? ?? ?? 8A 4D 6F 4C 8B 45 57 88 4C 24 40 4C 89 7C 24 38 48 89 5C 24 30 83 4C 24 28 FF 48 83 64 24 20 00 4C 8B C8 48 8B D7 49 8B CD E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 B8 08 01 00 00 00 74 05 E8 ?? ?? ?? ?? 48 8B 9C 24 E8 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 83 7B 0C 00 76 CB 80 7D 6F 00 75 2C 48 8B 45 7F 4D 8B CF 4D 8B C4 48 89 44 24 38 8B 45 77 49 8B D5 89 44 24 30 48 8B CF 89 74 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? EB 99 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_866_40_0 {
	meta:
		name = "__InternalCxxFrameHandler"
		size = 549
		refs = "0025 _getptd 00c5 ?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z 00d6 ?_inconsistency@@YAXXZ 00e7 __FrameUnwindToState 011e ?__FrameUnwindToEmptyState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z 0143 _GetImageBase 017d _GetThrowImageBase 0205 ?FindHandler@@YAXPEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@EH1@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 56 48 83 EC 40 49 8B E9 4D 8B E0 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 48 8B BC 24 80 00 00 00 83 B8 C0 02 00 00 00 BA FF FF FF 1F 41 B8 29 00 00 80 41 B9 26 00 00 80 41 BE 01 00 00 00 75 38 81 3B 63 73 6D E0 74 30 44 39 03 75 10 83 7B 18 0F 75 0A 48 81 7B 60 20 05 93 19 74 1B 44 39 0B 74 16 8B 0F 23 CA 81 F9 22 05 93 19 72 0A 44 84 77 24 0F 85 80 01 00 00 8B 43 04 A8 66 0F 84 93 00 00 00 83 7F 04 00 0F 84 6B 01 00 00 83 BC 24 88 00 00 00 00 0F 85 5D 01 00 00 83 E0 20 74 3F 44 39 0B 75 3A 4D 8B 84 24 F8 00 00 00 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 8B D8 83 F8 FF 7C 05 3B 47 04 7C 05 E8 ?? ?? ?? ?? 44 8B CB 48 8B CE 48 8B D5 4C 8B C7 E8 ?? ?? ?? ?? E9 19 01 00 00 85 C0 74 20 44 39 03 75 1B 8B 73 38 83 FE FF 7C 05 3B 77 04 7C 05 E8 ?? ?? ?? ?? 48 8B 4B 28 44 8B CE EB CC 4C 8B C7 48 8B D5 48 8B CE E8 ?? ?? ?? ?? E9 E2 00 00 00 83 7F 0C 00 75 2E 8B 07 23 C2 3D 21 05 93 19 0F 82 CD 00 00 00 83 7F 20 00 74 0E E8 ?? ?? ?? ?? 48 63 4F 20 48 03 C1 EB 02 33 C0 48 85 C0 0F 84 AE 00 00 00 81 3B 63 73 6D E0 75 6D 83 7B 18 03 72 67 81 7B 20 22 05 93 19 76 5E 48 8B 43 30 83 78 08 00 74 12 E8 ?? ?? ?? ?? 48 8B 4B 30 4C 63 59 08 4C 03 D8 EB 03 45 33 DB 4D 85 DB 74 3A 0F B6 84 24 98 00 00 00 4C 8B CD 4D 8B C4 89 44 24 38 48 8B 84 24 90 00 00 00 48 8B D6 48 89 44 24 30 8B 84 24 88 00 00 00 48 8B CB 89 44 24 28 48 89 7C 24 20 41 FF D3 EB 3C 48 8B 84 24 90 00 00 00 4C 8B CD 4D 8B C4 48 89 44 24 38 8B 84 24 88 00 00 00 48 8B D6 89 44 24 30 8A 84 24 98 00 00 00 48 8B CB 88 44 24 28 48 89 7C 24 20 E8 ?? ?? ?? ?? 41 8B C6 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 40 41 5E 41 5C 5F C3 }
	condition:
		$1
}

rule file_868_0_0 {
	meta:
		name = "?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
		size = 234
		refs = "0030 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0075 RtlLookupFunctionEntry"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 20 49 63 78 0C 4C 8B F9 49 8B C8 49 8B E9 4D 8B E8 4C 8B F2 E8 ?? ?? ?? ?? 4D 8B 17 4C 89 55 00 44 8B E0 85 FF 0F 84 84 00 00 00 48 8D 0C BF 48 8D 34 8D EC FF FF FF 49 63 5D 10 49 03 5E 08 48 03 DE 44 3B 63 04 7E 49 44 3B 63 08 7F 43 49 8B 0E 48 8D 54 24 50 45 33 C0 E8 ?? ?? ?? ?? 4C 63 43 10 44 8B 4B 0C 4C 03 44 24 50 44 8B 10 33 C9 45 85 C9 74 17 49 8D 50 0C 48 63 02 49 3B C2 74 0B FF C1 48 83 C2 14 41 3B C9 72 ED 41 3B C9 72 0A 48 83 EE 14 FF CF 74 16 EB 9C 49 8B 07 48 8D 0C 89 49 63 4C 88 10 48 8B 0C 01 48 89 4D 00 48 8B 5C 24 58 48 8B 74 24 68 48 8B C5 48 8B 6C 24 60 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_868_1_0 {
	meta:
		name = "_GetImageBase"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 28 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_868_2_0 {
	meta:
		name = "_GetThrowImageBase"
		size = 21
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8B 80 30 01 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_868_3_0 {
	meta:
		name = "_SetImageBase"
		size = 27
		refs = "000a _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 98 28 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_868_4_0 {
	meta:
		name = "_SetThrowImageBase"
		size = 27
		refs = "000a _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 98 30 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_868_6_0 {
	meta:
		name = "?_CatchTryBlock@@YAPEBU_s_TryBlockMapEntry@@PEBU_s_FuncInfo@@H@Z"
		size = 108
		refs = "002e _getptd"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 63 59 0C 8B F2 48 8B E9 85 DB 74 34 48 8D 04 9B 48 8D 3C 85 EC FF FF FF E8 ?? ?? ?? ?? 48 63 4D 10 48 8B 80 28 01 00 00 48 03 C1 48 03 C7 3B 70 04 7E 05 3B 70 08 7E 0A 48 83 EF 14 FF CB 75 D8 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_868_7_0 {
	meta:
		name = "?_ExecutionInCatch@@YAHPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 143
		refs = "0023 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 0041 _getptd"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4C 8B E2 48 8B D1 49 8B CC E8 ?? ?? ?? ?? 49 63 7C 24 0C 33 DB 8B E8 85 FF 74 35 48 8D 0C BF 48 8D 34 8D EC FF FF FF E8 ?? ?? ?? ?? 49 63 4C 24 10 48 8B 90 28 01 00 00 48 03 D1 48 03 D6 3B 6A 04 7E 05 3B 6A 08 7E 0B 48 83 EE 14 FF CF 75 D7 48 8B D3 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 85 D2 0F 95 C3 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_868_8_0 {
	meta:
		name = "?__FrameUnwindToEmptyState@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 171
		refs = "0023 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z 0031 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 004c _getptd 008e __FrameUnwindToState"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 57 41 54 41 55 48 83 EC 20 4C 8D 48 18 49 8B E8 4C 8B E2 E8 ?? ?? ?? ?? 49 8B D4 48 8B CD 4C 8B E8 E8 ?? ?? ?? ?? 48 63 7D 0C 8B F0 85 FF 74 34 48 8D 0C BF 48 8D 1C 8D EC FF FF FF E8 ?? ?? ?? ?? 48 63 4D 10 48 8B 90 28 01 00 00 48 03 D1 48 03 D3 3B 72 04 7E 05 3B 72 08 7E 0A 48 83 EB 14 FF CF 75 D8 33 D2 48 85 D2 75 06 41 83 C9 FF EB 04 44 8B 4A 04 4C 8B C5 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_868_9_0 {
	meta:
		name = "__CxxFrameHandler3"
		size = 135
		refs = "001e _getptd 0073 __InternalCxxFrameHandler"
		altNames = "__CxxFrameHandler"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B D9 49 8B F8 48 8B F1 48 89 54 24 50 E8 ?? ?? ?? ?? 48 8B 53 08 48 89 90 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 56 38 48 89 90 30 01 00 00 E8 ?? ?? ?? ?? 48 8B 53 38 44 8B 02 48 8D 54 24 50 4C 8B CB 4C 03 80 28 01 00 00 33 C0 48 8B CE 89 44 24 38 48 89 44 24 30 89 44 24 28 4C 89 44 24 20 4C 8B C7 E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_868_12_0 {
	meta:
		name = "?__SehTransFilter@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEAH@Z"
		size = 161
		refs = "0021 _getptd 006b __InternalCxxFrameHandler"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F1 49 8B E8 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 98 38 01 00 00 48 8B 1F E8 ?? ?? ?? ?? 48 8B 53 38 48 8B 4C 24 78 4C 8B 4C 24 70 C7 44 24 38 01 00 00 00 48 89 90 30 01 00 00 33 DB 48 89 5C 24 30 89 5C 24 28 48 89 4C 24 20 48 8B 0F 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 8C 24 80 00 00 00 48 8B 6C 24 58 48 8B 74 24 60 48 89 98 38 01 00 00 8D 43 01 48 8B 5C 24 50 C7 01 01 00 00 00 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_868_13_0 {
	meta:
		name = "_CallSETranslator"
		size = 81
		refs = "0028 _getptd"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 48 83 EC 60 48 8B D9 83 60 D8 00 48 89 48 E0 4C 89 40 E8 E8 ?? ?? ?? ?? 4C 8B 80 E0 00 00 00 48 8D 54 24 48 8B 0B 41 FF D0 C7 44 24 40 00 00 00 00 EB 00 8B 44 24 40 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_868_14_0 {
	meta:
		name = "_CallSETranslator$filt$0"
		size = 70
		refs = "003a ?__SehTransFilter@@YAHPEAU_EXCEPTION_POINTERS@@PEAUEHExceptionRecord@@PEA_KPEAU_CONTEXT@@PEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@PEAH@Z"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA 48 8D 45 40 48 89 44 24 30 48 8B 85 90 00 00 00 48 89 44 24 28 48 8B 85 88 00 00 00 48 89 44 24 20 4C 8B 8D 80 00 00 00 4C 8B 45 78 48 8B 55 70 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_868_15_0 {
	meta:
		name = "?_GetRangeOfTrysToCheck@@YAPEBU_s_TryBlockMapEntry@@PEA_KPEBU_s_FuncInfo@@HHPEAI2PEAU_xDISPATCHER_CONTEXT@@@Z"
		size = 297
		refs = "0030 ?__StateFromControlPc@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@@Z 003b ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 63 5A 0C 4C 8B 64 24 70 48 8B FA 48 8B CF 49 8B D4 45 8B E9 33 ED E8 ?? ?? ?? ?? 8B F0 85 DB 75 05 E8 ?? ?? ?? ?? 4C 8B 54 24 68 4C 8B 44 24 60 41 83 CB FF 45 89 1A 8B D3 45 89 18 85 DB 74 2A 48 63 4F 10 48 8D 04 9B 48 8D 0C 81 49 8B 44 24 08 4C 8D 4C 01 F4 41 3B 71 FC 7E 05 41 3B 31 7E 09 49 83 E9 14 41 03 D3 75 EC 85 D2 74 14 8D 42 FF 48 8D 14 80 48 63 47 10 48 8D 2C 90 49 03 6C 24 08 33 D2 85 DB 74 65 45 33 C9 48 63 4F 10 49 03 4C 24 08 49 03 C9 48 85 ED 74 0F 8B 45 04 39 01 7E 25 8B 45 08 39 41 04 7F 1D 44 3B 29 7C 18 44 3B 69 04 7F 12 41 8B 00 41 3B C3 0F 44 C2 41 89 00 8D 42 01 41 89 02 FF C2 49 83 C1 14 3B D3 72 B9 45 39 18 74 16 41 8B 00 48 8D 0C 80 48 63 47 10 48 8D 04 88 49 03 44 24 08 EB 0A 41 83 20 00 41 83 22 00 33 C0 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_868_16_0 {
	meta:
		name = "_CreateFrameInfo"
		size = 67
		refs = "000d _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 89 11 E8 ?? ?? ?? ?? 48 3B 98 20 01 00 00 73 0E E8 ?? ?? ?? ?? 48 8B 88 20 01 00 00 EB 02 33 C9 48 89 4B 08 E8 ?? ?? ?? ?? 48 89 98 20 01 00 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_868_17_0 {
	meta:
		name = "_IsExceptionObjectToBeDestroyed"
		size = 50
		refs = "000a _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B 90 20 01 00 00 EB 09 48 39 1A 74 12 48 8B 52 08 48 85 D2 75 F2 8D 42 01 48 83 C4 20 5B C3 33 C0 EB F6 }
	condition:
		$1
}

rule file_868_18_0 {
	meta:
		name = "_FindAndUnlinkFrame"
		size = 94
		refs = "000e _getptd 001c ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 3B B8 20 01 00 00 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 98 20 01 00 00 EB 09 48 3B FB 74 19 48 8B 5B 08 48 85 DB 75 F2 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? 48 8B 4B 08 48 89 88 20 01 00 00 EB E3 }
	condition:
		$1
}

rule file_868_19_0 {
	meta:
		name = "_UnwindNestedFrames"
		size = 240
		refs = "001f __security_cookie 0053 ?ExceptionTemplate@?1??_UnwindNestedFrames@@9@4U_EXCEPTION_RECORD@@B 0061 memcpy 0081 __CxxCallCatchBlock 00c9 RtlUnwindEx 00d8 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 48 FB FF FF 48 81 EC B8 05 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 A0 04 00 00 48 8B 9D 20 05 00 00 48 8B BD 30 05 00 00 4C 8B B5 38 05 00 00 4C 8B EA 4C 8B F9 4D 8B E0 48 8D 4C 24 30 48 8D 15 ?? ?? ?? ?? 41 B8 98 00 00 00 49 8B F1 E8 ?? ?? ?? ?? 48 63 85 28 05 00 00 49 8B 16 49 8B 0F 48 89 44 24 68 0F B6 85 40 05 00 00 4C 8D 1D ?? ?? ?? ?? 4C 8D 44 24 30 48 89 45 88 49 8B 46 40 45 33 C9 48 89 44 24 28 48 8D 45 D0 4C 89 5C 24 50 48 89 74 24 58 48 89 5C 24 60 4C 89 64 24 70 48 89 44 24 20 48 89 7C 24 78 4C 89 6D 80 48 C7 45 90 20 05 93 19 E8 ?? ?? ?? ?? 48 8B 8D A0 04 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B8 05 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_869_1_0 {
	meta:
		name = "__dtold"
		size = 198
	strings:
		$1 = { 48 89 5C 24 08 44 0F B7 5A 06 4C 8B C9 8B 4A 04 45 0F B7 C3 B8 00 80 00 00 41 BA FF 07 00 00 66 41 C1 E8 04 66 44 23 D8 8B 02 66 45 23 C2 81 E1 FF FF 0F 00 BB 00 00 00 80 41 0F B7 D0 85 D2 74 18 41 3B D2 74 0B BA 00 3C 00 00 66 44 03 C2 EB 24 41 B8 FF 7F 00 00 EB 1C 85 C9 75 0D 85 C0 75 09 41 21 41 04 41 21 01 EB 51 BA 01 3C 00 00 66 44 03 C2 33 DB 44 8B D0 C1 E1 0B 41 C1 EA 15 44 0B D1 44 0B D3 C1 E0 0B 41 89 01 EB 21 41 8B 11 43 8D 04 12 8B CA C1 E9 1F 44 8B D1 44 0B D0 8D 04 12 41 89 01 B8 FF FF 00 00 66 44 03 C0 45 89 51 04 45 85 D2 79 D6 66 45 0B D8 48 8B 5C 24 08 66 45 89 59 08 C3 }
	condition:
		$1
}

rule file_869_2_0 {
	meta:
		name = "_fltout2"
		size = 181
		refs = "0014 __security_cookie 0035 __dtold 0059 $I10_OUTPUT 0078 strcpy_s 008f __security_check_cookie 00b0 _invoke_watson"
	strings:
		$1 = { 40 55 53 56 57 48 8D 6C 24 C1 48 81 EC 88 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 27 48 8B FA 48 89 4D E7 48 8D 55 E7 48 8D 4D F7 49 8B D9 49 8B F0 E8 ?? ?? ?? ?? 48 8B 45 F7 45 33 C0 48 89 45 E7 0F B7 45 FF 4C 8D 4D 07 41 8D 50 11 48 8D 4D E7 66 89 45 EF E8 ?? ?? ?? ?? 0F BE 4D 09 4C 8D 45 0B 89 0F 0F BF 4D 07 48 8B D3 89 4F 04 48 8B CE 89 47 08 E8 ?? ?? ?? ?? 85 C0 75 1F 48 89 77 10 48 8B C7 48 8B 4D 27 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 5F 5E 5B 5D C3 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_872_0_0 {
	meta:
		name = "_wdospawn"
		size = 677
		refs = "0051 __doserrno 0058 _errno 0063 _invalid_parameter_noinfo 009f memset 00a8 _nhandle 00af __pioinfo 0108 _calloc_crt 0200 __imp_CreateProcessW 0208 __imp_GetLastError 0214 free 0220 _dosmaperr 022f _exit 0242 __imp_WaitForSingleObject 0250 __imp_GetExitCodeProcess 026a __imp_CloseHandle"
	strings:
		$1 = { 4C 89 4C 24 20 48 89 54 24 10 55 53 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D9 48 81 EC E0 00 00 00 33 FF 44 8B E1 8D 47 04 44 8D 6F 03 44 8B FF 44 8A F7 85 C9 74 13 83 F9 01 74 0E 7E 12 41 3B CD 7E 07 3B C8 75 09 41 B6 01 4C 89 45 AF EB 3A E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 22 02 00 00 49 83 C0 02 66 41 39 38 75 F6 66 41 39 78 02 74 0D B9 20 00 00 00 66 41 89 08 49 83 C0 02 66 41 39 38 75 DC BB 68 00 00 00 48 8D 4D B7 33 D2 44 8B C3 E8 ?? ?? ?? ?? 89 5D B7 8B 1D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 85 DB 74 27 8D 53 FF 48 63 CA 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 49 8B 04 C0 40 38 7C 08 08 75 06 FF CA FF CB 75 DE 85 DB 0F 88 9F 01 00 00 81 FB 71 1C 00 00 0F 83 93 01 00 00 0F B7 C3 BA 01 00 00 00 66 C1 E0 03 8D 4C 18 04 66 89 4D F9 0F B7 C9 E8 ?? ?? ?? ?? 48 89 45 FF 48 85 C0 0F 84 6A 01 00 00 89 18 48 8B 45 FF 4C 63 DB 48 8D 48 04 49 8D 54 03 04 85 DB 7E 52 4C 8B C7 44 8B CB 4C 8D 1D ?? ?? ?? ?? 4D 8B D0 49 8B C0 41 83 E2 1F 48 C1 F8 05 4D 6B D2 58 4D 03 14 C3 41 8A 42 08 A8 10 75 0A 88 01 49 8B 02 48 89 02 EB 07 40 88 39 48 83 0A FF 49 FF C0 48 FF C1 48 83 C2 08 49 FF C9 75 C2 48 8B 45 FF 4C 63 DB 45 84 F6 74 31 41 3B DD 48 8D 48 04 49 8D 54 03 04 44 0F 4C EB 45 85 ED 7E 16 41 8B C5 40 88 39 48 83 0A FF 48 83 C2 08 48 FF C1 48 FF C8 75 ED 41 BF 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 55 AF 48 8B 4D 6F 89 38 48 8D 45 97 41 0F BA EF 0A 48 89 44 24 48 48 8D 45 B7 45 33 C9 48 89 44 24 40 48 8B 45 7F 48 89 7C 24 38 48 89 44 24 30 45 33 C0 44 89 7C 24 28 C7 44 24 20 01 00 00 00 FF 15 ?? ?? ?? ?? 8B D8 FF 15 ?? ?? ?? ?? 48 8B 4D FF 44 8B E8 E8 ?? ?? ?? ?? 85 DB 75 0A 41 8B CD E8 ?? ?? ?? ?? EB 68 41 83 FC 02 75 08 33 C9 E8 ?? ?? ?? ?? CC 45 85 E4 75 21 48 8B 4D 97 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4D 97 48 8D 55 67 FF 15 ?? ?? ?? ?? 48 63 7D 67 EB 0A B8 04 00 00 00 44 3B E0 75 0C 48 8B 4D 97 FF 15 ?? ?? ?? ?? EB 04 48 8B 7D 97 48 8B 4D 9F FF 15 ?? ?? ?? ?? 48 8B C7 EB 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 48 83 C8 FF 48 81 C4 E0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5B 5D C3 }
	condition:
		$1
}

rule file_873_0_0 {
	meta:
		name = "_isatty"
		size = 95
		refs = "000a _errno 001c _nhandle 0028 __pioinfo 0054 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 83 EC 28 83 F9 FE 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 42 85 C9 78 2E 3B 0D ?? ?? ?? ?? 73 26 48 63 C9 48 8D 15 ?? ?? ?? ?? 48 8B C1 83 E1 1F 48 C1 F8 05 48 6B C9 58 48 8B 04 C2 0F BE 44 08 08 83 E0 40 EB 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_878_0_0 {
	meta:
		name = "_endthread"
		size = 52
		refs = "0007 _getptd_noexit 001f __imp_CloseHandle 0027 _freeptd 002f __imp_ExitThread"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 18 48 8B 48 08 48 83 F9 FF 74 06 FF 15 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_878_1_0 {
	meta:
		name = "_callthreadstart"
		size = 42
		refs = "0005 _getptd 0018 _endthread 0020 _exit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 90 48 8B 88 98 00 00 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 90 8B C8 E8 ?? ?? ?? ?? 90 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_878_3_0 {
	meta:
		name = "_threadstart"
		size = 118
		refs = "000a __set_flsgetvalue 000f __get_flsindex 0016 __fls_getvalue 002d __fls_setvalue 0037 __imp_GetLastError 003f __imp_ExitThread 006c _freefls 0071 _callthreadstart"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 22 E8 ?? ?? ?? ?? 48 8B D3 8B C8 E8 ?? ?? ?? ?? 85 C0 75 3B FF 15 ?? ?? ?? ?? 8B C8 FF 15 ?? ?? ?? ?? CC 48 8B 83 90 00 00 00 48 8B CB 49 89 83 90 00 00 00 48 8B 83 98 00 00 00 49 89 83 98 00 00 00 48 8B 43 08 49 89 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_878_4_0 {
	meta:
		name = "_beginthread"
		size = 247
		refs = "002a _errno 0035 _invalid_parameter_noinfo 003f __set_flsgetvalue 004e _calloc_crt 005b _getptd 006a _initptd 0071 _threadstart 009a __imp_CreateThread 00ac __imp_GetLastError 00b6 free 00c1 _dosmaperr 00e9 __imp_ResumeThread"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 33 DB 49 8B E8 44 8B E2 48 8B F1 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 E8 ?? ?? ?? ?? BA C8 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 58 E8 ?? ?? ?? ?? 48 8B CF 48 8B 90 C0 00 00 00 E8 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 49 8B D4 4C 8B CF 33 C9 48 89 7C 24 28 48 89 B7 90 00 00 00 48 89 AF 98 00 00 00 C7 44 24 20 04 00 00 00 FF 15 ?? ?? ?? ?? 48 8B D8 48 89 47 08 48 85 C0 75 3A FF 15 ?? ?? ?? ?? 8B D8 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 07 8B CB E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 48 8B C8 FF 15 ?? ?? ?? ?? 83 F8 FF 74 B8 48 8B C3 EB D2 }
	condition:
		$1
}

rule file_879_3_0 {
	meta:
		name = "_mbsnbicmp_l"
		size = 486
		refs = "002c ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0064 _strnicmp 0073 _errno 007e _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 40 48 8B F9 48 8B F2 48 8D 4D E0 49 8B D1 49 8B D8 E8 ?? ?? ?? ?? 45 33 E4 48 85 DB 75 18 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 7C 01 00 00 48 8B 4D E8 44 39 61 08 75 13 4C 8B C3 48 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 4E 01 00 00 48 85 FF 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 2F 01 00 00 48 85 F6 74 D0 41 B1 04 0F B6 17 48 FF CB 48 FF C7 44 84 4C 0A 1D 74 57 48 85 DB 75 17 0F B6 06 41 0F B7 D4 44 84 4C 08 1D 0F 85 6C FF FF FF E9 C7 00 00 00 44 38 27 75 05 41 8B D4 EB 43 0F B6 07 66 C1 E2 08 48 FF C7 66 0B D0 66 3B 51 10 72 0C 66 3B 51 12 77 06 66 03 51 14 EB 24 66 3B 51 16 72 1E 66 3B 51 18 77 18 66 03 51 1A EB 12 0F B7 C2 F6 44 08 1D 10 74 08 0F B6 94 08 1D 01 00 00 44 0F B6 06 48 FF C6 41 8B C0 45 84 4C 08 1D 74 50 48 85 DB 75 05 41 8B C4 EB 5F 48 FF CB 44 38 26 75 06 41 0F B7 C4 EB 51 0F B6 06 66 41 C1 E0 08 48 FF C6 66 44 0B C0 41 0F B7 C0 66 44 3B 41 10 72 0C 66 3B 41 12 77 06 66 03 41 14 EB 2B 66 3B 41 16 72 25 66 3B 41 18 77 1F 66 03 41 1A EB 19 41 0F B7 C0 F6 44 08 1D 10 74 0A 0F B6 84 08 1D 01 00 00 EB 04 41 0F B7 C0 66 3B C2 75 17 66 85 D2 0F 84 92 FE FF FF 48 85 DB 0F 85 F6 FE FF FF E9 84 FE FF FF 1B C0 83 E0 02 FF C8 44 38 65 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_880_1_0 {
	meta:
		name = "__loctotime32_t"
		size = 691
		refs = "0017 __security_cookie 0090 _days 0164 __tzset 016d _get_daylight 017e _get_dstbias 018f _get_timezone 023a _isindst 0259 _invoke_watson 0289 _errno 029e __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 33 FF 8D 99 94 F8 FF FF 45 8B F9 48 63 F2 89 7D B8 89 7D BC 89 7D C0 83 FB 46 0F 8C 46 02 00 00 81 FB 4C 04 00 00 0F 8F 3A 02 00 00 8D 46 FF 83 F8 0B 0F 87 2E 02 00 00 41 83 F9 17 0F 87 24 02 00 00 44 8B 6D 68 41 83 FD 3B 0F 87 16 02 00 00 44 8B 75 70 41 83 FE 3B 0F 87 08 02 00 00 44 8D 57 01 45 3B C2 0F 8C FB 01 00 00 48 8D 0D ?? ?? ?? ?? 41 BB 1F 85 EB 51 44 8B 4C B1 FC 8B 0C B1 41 2B C9 41 3B C8 7D 62 8B C3 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B DA 75 23 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 0F 85 8F 01 00 00 83 FE 02 0F 85 86 01 00 00 41 83 F8 1D 0F 8F 7C 01 00 00 8B C3 47 8D 24 01 25 03 00 00 80 7D 09 41 2B C2 83 C8 FC 41 03 C2 85 C0 75 16 41 8B C3 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B DA 75 1F 8D 8B 6C 07 00 00 41 8B C3 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 75 08 83 FE 02 7E 03 45 03 E2 E8 ?? ?? ?? ?? 48 8D 4D B8 E8 ?? ?? ?? ?? 85 C0 0F 85 FA 00 00 00 48 8D 4D BC E8 ?? ?? ?? ?? 85 C0 0F 85 D4 00 00 00 48 8D 4D C0 E8 ?? ?? ?? ?? 85 C0 0F 85 AE 00 00 00 41 BA 1F 85 EB 51 8D 8B 2B 01 00 00 44 8D 43 FF 41 8B C2 44 89 65 E4 89 5D DC 44 89 7D D0 44 89 6D CC 44 89 75 C8 F7 E9 44 8B CA 41 8B C2 41 C1 F9 07 41 8B C9 C1 E9 1F 44 03 C9 41 F7 E8 C1 FA 05 41 8B C0 8B CA C1 E9 1F 03 D1 8B CB 44 2B CA 99 83 E2 03 03 C2 69 C9 6D 01 00 00 C1 F8 02 41 03 C4 41 03 C1 03 C8 8D 04 49 41 8D 0C C7 8D 46 FF 89 45 D8 6B C9 3C 41 03 CD 6B C9 3C 03 4D C0 83 7D 78 01 42 8D BC 31 80 81 55 7C 74 19 83 7D 78 FF 75 16 83 7D B8 00 74 10 48 8D 4D C8 E8 ?? ?? ?? ?? 85 C0 74 03 03 7D BC 8B C7 EB 4D 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 48 89 7C 24 20 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_881_0_0 {
	meta:
		name = "_close_nolock"
		size = 188
		refs = "0010 _get_osfhandle 001d __pioinfo 0061 __imp_CloseHandle 006b __imp_GetLastError 0078 _free_osfhnd 00a6 _dosmaperr"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 63 F9 8B CF E8 ?? ?? ?? ?? 48 83 F8 FF 74 59 48 8B 05 ?? ?? ?? ?? B9 02 00 00 00 83 FF 01 75 09 40 84 B8 B8 00 00 00 75 0A 3B F9 75 1D F6 40 60 01 74 17 E8 ?? ?? ?? ?? B9 01 00 00 00 48 8B D8 E8 ?? ?? ?? ?? 48 3B C3 74 1E 8B CF E8 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 75 0A FF 15 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8B CF E8 ?? ?? ?? ?? 4C 8B DF 48 8B CF 48 C1 F9 05 41 83 E3 1F 48 8D 15 ?? ?? ?? ?? 48 8B 0C CA 4D 6B DB 58 42 C6 44 19 08 00 85 DB 74 0C 8B CB E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_881_1_0 {
	meta:
		name = "_close"
		size = 195
		refs = "001a __doserrno 0022 _errno 0037 _nhandle 004a __pioinfo 0066 __lock_fhandle 0079 _close_nolock 0092 _unlock_fhandle 00ae _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 18 89 4C 24 08 56 57 41 54 48 83 EC 20 48 63 D9 83 FB FE 75 18 E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E9 81 00 00 00 85 C9 78 65 3B 1D ?? ?? ?? ?? 73 5D 48 8B FB 48 8B F3 48 C1 FE 05 4C 8D 25 ?? ?? ?? ?? 83 E7 1F 48 6B FF 58 49 8B 04 F4 0F BE 4C 38 08 83 E1 01 74 37 8B CB E8 ?? ?? ?? ?? 90 49 8B 04 F4 F6 44 38 08 01 74 0B 8B CB E8 ?? ?? ?? ?? 8B F8 EB 0E E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 CF FF 8B CB E8 ?? ?? ?? ?? 8B C7 EB 1B E8 ?? ?? ?? ?? 83 20 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 5C 24 50 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_882_0_0 {
	meta:
		name = "_cgetws_s"
		size = 479
		refs = "0029 __doserrno 0031 _errno 003d _invalid_parameter_noinfo 006c _lock 007f __console_wchar_buffer_used 0091 __console_wchar_buffer 00d8 _coninpfh 00e3 __initconin 00ff __imp_GetConsoleMode 0111 __imp_SetConsoleMode 0131 __imp_ReadConsoleW 01a6 __imp_GetLastError 01ad _dosmaperr 01bf _unlock"
	strings:
		$1 = { 40 53 56 57 41 54 41 55 48 83 EC 40 49 8B D8 48 8B FA 48 8B F1 45 33 ED 45 8B E5 41 8B C5 48 85 C9 0F 95 C0 85 C0 75 20 E8 ?? ?? ?? ?? 44 89 28 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 8B 01 00 00 41 8B C5 48 85 D2 0F 95 C0 85 C0 74 D3 66 44 89 29 41 8B C5 48 85 DB 0F 95 C0 85 C0 74 C2 B9 03 00 00 00 E8 ?? ?? ?? ?? 90 48 FF CF 48 89 7C 24 78 4C 89 2B 44 39 2D ?? ?? ?? ?? 74 47 48 85 FF 0F 84 2B 01 00 00 0F B7 05 ?? ?? ?? ?? 66 89 06 48 83 C6 02 48 89 74 24 70 66 44 89 2D ?? ?? ?? ?? 48 FF CF 48 89 7C 24 78 48 FF 03 0F B7 05 ?? ?? ?? ?? 66 F7 D8 48 1B C9 48 23 CF 48 8B F9 48 89 4C 24 78 48 85 FF 0F 84 E4 00 00 00 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 0F 84 AC 00 00 00 48 8D 54 24 30 FF 15 ?? ?? ?? ?? BA 07 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 89 6C 24 20 4C 8D 8C 24 88 00 00 00 44 8B C7 48 8B D6 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 58 8B 8C 24 88 00 00 00 83 F9 02 72 11 8D 41 FE 8B D0 66 83 3C 46 0D 75 05 48 01 13 EB 15 48 3B CF 75 17 8D 41 FF 44 8B C0 66 83 3C 46 0D 75 0A 4C 01 03 66 44 89 2C 46 EB 1F 83 F9 01 75 12 66 83 3E 0A 75 0C 66 44 89 2E 48 8B 03 48 89 03 EB 08 48 01 0B 66 44 89 2C 4E 8B 54 24 30 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? EB 15 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 20 B9 03 00 00 00 E8 ?? ?? ?? ?? 45 85 E4 74 08 E8 ?? ?? ?? ?? 44 89 20 41 8B C4 48 83 C4 40 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_882_2_0 {
	meta:
		name = "_cgetws"
		size = 90
		refs = "0013 __doserrno 001a _errno 0025 _invalid_parameter_noinfo 003a _cgetws_s"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 85 C9 75 1B E8 ?? ?? ?? ?? 21 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 EB 22 0F B7 11 4C 8D 44 24 30 48 83 C1 04 E8 ?? ?? ?? ?? 85 C0 75 E7 0F B7 4C 24 30 48 8D 43 04 66 89 4B 02 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_883_11_0 {
	meta:
		name = "??0_Ref_count_base@tr1@std@@IEAA@XZ"
		size = 25
		refs = "0003 ??_7_Ref_count_base@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 01 00 00 00 89 41 08 89 41 0C 48 8B C1 C3 }
	condition:
		$1
}

rule file_883_13_0 {
	meta:
		name = "?_Incref_nz@_Ref_count_base@tr1@std@@QEAA_NXZ"
		size = 24
	strings:
		$1 = { EB 0A 8D 50 01 F0 0F B1 51 08 74 09 8B 41 08 85 C0 75 EF F3 C3 B0 01 C3 }
	condition:
		$1
}

rule file_883_14_0 {
	meta:
		name = "?_Decwref@_Ref_count_base@tr1@std@@QEAAXXZ"
		size = 21
	strings:
		$1 = { 48 83 EC 28 F0 FF 49 0C 75 06 48 8B 01 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_883_23_0 {
	meta:
		name = "?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z"
		size = 169
		refs = "005a __AdjustPointer 009a memcpy"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 4D 8B D8 48 8B FA 4C 8B D1 48 8B 54 24 60 F6 02 01 75 69 48 63 42 18 33 DB 85 C0 74 09 48 8B C8 49 03 4A 38 EB 03 48 8B CB 48 85 C9 74 4E F6 02 04 74 27 85 C0 74 07 48 8B D8 49 03 5A 38 48 83 C2 08 49 8B C8 E8 ?? ?? ?? ?? 48 8B D0 41 B8 01 00 00 00 48 8B CF FF D3 EB 20 85 C0 74 07 48 8B D8 49 03 5A 38 48 83 C2 08 49 8B C8 E8 ?? ?? ?? ?? 48 8B D0 48 8B CF FF D3 90 EB 0E 4D 8B C1 49 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_883_26_0 {
	meta:
		name = "??0__ExceptionPtr@@AEAA@PEBUEHExceptionRecord@@_N@Z"
		size = 427
		refs = "0084 memset 00ff __imp_EncodePointer 0121 malloc 0128 _malloc_crt 0137 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 014f ??0exception@std@@QEAA@AEBQEBDH@Z 0156 ??_7bad_alloc@std@@6B@ 015d _TI2?AVbad_alloc@std@@ 016c _CxxThrowException 0185 ?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z 01a6 ?terminate@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 50 44 88 81 98 00 00 00 8B 02 48 8B FA 89 01 8B 42 04 48 83 61 08 00 48 83 61 10 00 89 41 04 8B 42 18 33 D2 45 8A E0 48 8B D9 89 41 18 44 8D 4A 0F 85 C0 74 21 4C 8B C7 48 83 C1 20 4C 2B C3 41 3B D1 73 12 49 8B 04 08 FF C2 48 89 01 48 83 C1 08 3B 53 18 72 E9 48 63 43 18 44 39 4B 18 73 17 44 2B 4B 18 48 8D 4C C3 20 33 D2 45 8B C1 49 C1 E0 03 E8 ?? ?? ?? ?? 81 3F 63 73 6D E0 0F 85 F9 00 00 00 83 7F 18 04 0F 85 EF 00 00 00 8B 47 20 3D 20 05 93 19 74 19 3D 21 05 93 19 74 12 3D 22 05 93 19 74 0B 3D 00 40 99 01 0F 85 CC 00 00 00 48 83 63 28 00 48 83 7F 28 00 48 8B 77 30 0F 84 D0 00 00 00 48 85 F6 0F 84 C7 00 00 00 83 7E 0C 00 0F 84 BD 00 00 00 48 63 4E 0C 48 8B 43 38 83 3C 01 00 0F 8E AB 00 00 00 48 8B CE FF 15 ?? ?? ?? ?? 48 8B 4B 38 48 89 43 30 48 63 46 0C 48 63 6C 08 04 48 03 E9 48 63 4D 14 45 84 E4 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 3D 48 8D 05 ?? ?? ?? ?? 44 8D 46 01 48 8D 54 24 70 48 8D 4C 24 30 48 89 44 24 70 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 4C 89 5C 24 30 E8 ?? ?? ?? ?? CC 4C 63 4D 14 4C 8B 47 28 48 8B D6 48 8B CB 48 89 6C 24 20 E8 ?? ?? ?? ?? 48 89 73 28 4C 8D 5C 24 50 48 8B C3 49 8B 5B 28 49 8B 6B 30 49 8B E3 41 5C 5F 5E C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_883_28_0 {
	meta:
		name = "??1__ExceptionPtr@@QEAA@XZ"
		size = 118
		refs = "003c __imp_DecodePointer 0046 ?terminate@@YAXXZ 006c free"
	strings:
		$1 = { 40 53 48 83 EC 20 81 39 63 73 6D E0 48 8B D9 75 5F 83 79 18 04 75 59 8B 41 20 3D 20 05 93 19 74 15 3D 21 05 93 19 74 0E 3D 22 05 93 19 74 07 3D 00 40 99 01 75 3A 48 8B 49 30 FF 15 ?? ?? ?? ?? 48 85 C0 75 06 E8 ?? ?? ?? ?? CC 83 78 04 00 74 16 48 8B 4B 28 48 85 C9 74 0D 48 63 40 04 48 8B 53 38 48 03 D0 FF D2 48 8B 4B 28 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_29_0 {
	meta:
		name = "?_RethrowException@__ExceptionPtr@@QEBAXXZ"
		size = 423
		refs = "0026 __security_cookie 003f ??_C@_0O@DPKOEFFH@bad?5exception?$AA@ 0050 ??0exception@std@@QEAA@AEBQEBD@Z 0057 ??_7bad_exception@std@@6B@ 005e _TI2?AVbad_exception@std@@ 006b _CxxThrowException 007e memcpy 00cd __imp_DecodePointer 0135 __chkstk 014d ?_CallCopyCtor@__ExceptionPtr@@AEBAXPEAX0_KQEBU_s_CatchableType@@@Z 0170 __imp_RaiseException 017f __security_check_cookie 01a2 ?terminate@@YAXXZ"
	strings:
		$1 = { 40 55 48 81 EC 00 01 00 00 48 8D 6C 24 30 48 89 9D E8 00 00 00 48 89 B5 F0 00 00 00 48 89 BD F8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C5 48 89 85 C0 00 00 00 48 8B F9 48 85 C9 75 34 48 8D 05 ?? ?? ?? ?? 48 8D 55 00 48 8D 4D 08 48 89 45 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D 08 4C 89 5D 08 E8 ?? ?? ?? ?? CC 48 8D 4D 20 48 8B D7 41 B8 98 00 00 00 E8 ?? ?? ?? ?? 8B 4D 20 44 8B 45 38 BE 0F 00 00 00 81 F9 63 73 6D E0 0F 85 C2 00 00 00 41 83 F8 04 0F 85 B8 00 00 00 8B 45 40 3D 20 05 93 19 74 19 3D 21 05 93 19 74 12 3D 22 05 93 19 74 0B 3D 00 40 99 01 0F 85 A0 00 00 00 48 8B 4D 50 FF 15 ?? ?? ?? ?? 4C 8B 45 48 4C 8B D8 4D 85 C0 0F 84 C0 00 00 00 48 85 C0 0F 84 B7 00 00 00 83 78 0C 00 0F 84 AD 00 00 00 48 63 48 0C 48 8B 47 38 83 3C 01 00 0F 8E 9B 00 00 00 48 8B C8 4C 89 5D 50 49 63 43 0C 48 63 54 08 04 48 03 D1 4C 63 4A 14 4A 8D 04 0E 49 3B C1 77 0A 48 B8 F0 FF FF FF FF FF FF 0F 48 83 E0 F0 E8 ?? ?? ?? ?? 48 2B E0 48 8B CF 48 89 54 24 20 48 8D 5C 24 30 48 8B D3 E8 ?? ?? ?? ?? 44 8B 45 38 8B 4D 20 48 89 5D 48 44 3B C6 44 0F 47 C6 44 89 45 38 8B 55 24 4C 8D 4D 40 FF 15 ?? ?? ?? ?? 48 8B 8D C0 00 00 00 48 33 CD E8 ?? ?? ?? ?? 48 8B 9D E8 00 00 00 48 8B B5 F0 00 00 00 48 8B BD F8 00 00 00 48 8D A5 D0 00 00 00 5D C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_883_47_0 {
	meta:
		name = "??0?$_Ref_count@V__ExceptionPtr@@@tr1@std@@QEAA@PEAV__ExceptionPtr@@@Z"
		size = 29
		refs = "0012 ??_7?$_Ref_count@V__ExceptionPtr@@@tr1@std@@6B@"
	strings:
		$1 = { B8 01 00 00 00 48 89 51 10 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_883_48_0 {
	meta:
		name = "?_Destroy@?$_Ref_count@V__ExceptionPtr@@@tr1@std@@EEAAXXZ"
		size = 37
		refs = "0013 ??1__ExceptionPtr@@QEAA@XZ 001b ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 10 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_49_0 {
	meta:
		name = "?_Delete_this@?$_Ref_count@V__ExceptionPtr@@@tr1@std@@EEAAXXZ"
		size = 25
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_883_53_0 {
	meta:
		name = "??0?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@QEAA@PEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@V?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@@@@Z"
		size = 33
		refs = "0016 ??_7?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@6B@"
	strings:
		$1 = { B8 01 00 00 00 48 89 51 10 4C 89 41 18 89 41 08 89 41 0C 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_883_54_0 {
	meta:
		name = "?_Get_deleter@?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@UEBAPEAXAEBVtype_info@@@Z"
		size = 45
		refs = "000f ??_R0P6AXPEAV__ExceptionPtr@@@Z@8 0017 ??8type_info@@QEBA_NAEBV0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B D9 48 8D 15 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 4B 18 F6 D8 48 1B C0 48 23 C1 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_62_0 {
	meta:
		name = "?_Decref@_Ref_count_base@tr1@std@@QEAAXXZ"
		size = 41
	strings:
		$1 = { 40 53 48 83 EC 20 F0 FF 49 08 48 8B D9 75 14 48 8B 01 FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_67_0 {
	meta:
		name = "?allocate@?$_DebugMallocator@V__ExceptionPtr@@@@QEBAPEAV__ExceptionPtr@@_K@Z"
		size = 169
		refs = "0022 ??_C@_0DE@EODPDEIB@_DebugMallocator?$DMT?$DO?3?3allocate?$CI?$CJ?5@ 0036 ??0exception@std@@QEAA@AEBQEBD@Z 003d ??_7length_error@std@@6B@ 0044 _TI3?AVlength_error@std@@ 0053 _CxxThrowException 0061 _malloc_crt 006d ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0087 ??0exception@std@@QEAA@AEBQEBDH@Z 008e ??_7bad_alloc@std@@6B@ 0095 _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 07 33 C0 48 83 C4 48 C3 48 B8 99 99 99 99 99 99 99 01 48 3B D0 76 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 0C 92 48 C1 E1 05 E8 ?? ?? ?? ?? 48 85 C0 75 A1 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_883_70_0 {
	meta:
		name = "?_Decref@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXXZ"
		size = 50
		altNames = "??1?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@XZ ?__ExceptionPtrDestroy@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 59 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_75_0 {
	meta:
		name = "?_Reset0@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@23@@Z"
		size = 95
		altNames = "??$_Resetp0@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 59 08 49 8B F0 48 8B EA 48 8B F9 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 8B 5C 24 30 48 89 77 08 48 8B 74 24 40 48 89 2F 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_883_78_0 {
	meta:
		name = "?allocate@?$_DebugMallocator@V?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@@@QEBAPEAV?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@_K@Z"
		size = 169
		refs = "0022 ??_C@_0DE@EODPDEIB@_DebugMallocator?$DMT?$DO?3?3allocate?$CI?$CJ?5@ 0036 ??0exception@std@@QEAA@AEBQEBD@Z 003d ??_7length_error@std@@6B@ 0044 _TI3?AVlength_error@std@@ 0053 _CxxThrowException 0061 _malloc_crt 006d ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0087 ??0exception@std@@QEAA@AEBQEBDH@Z 008e ??_7bad_alloc@std@@6B@ 0095 _TI2?AVbad_alloc@std@@"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 07 33 C0 48 83 C4 48 C3 48 B8 66 66 66 66 66 66 66 06 48 3B D0 76 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 0C 92 48 C1 E1 03 E8 ?? ?? ?? ?? 48 85 C0 75 A1 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_883_81_0 {
	meta:
		name = "?_DeleteExceptionPtr@@YAXQEAV__ExceptionPtr@@@Z"
		size = 27
		refs = "000a ??1__ExceptionPtr@@QEAA@XZ 0017 free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_883_86_0 {
	meta:
		name = "?_Swap@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXAEAV123@@Z"
		size = 29
		altNames = "?swap@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAXAEAV123@@Z"
	strings:
		$1 = { 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 02 4C 8B 01 48 89 01 4C 89 02 C3 }
	condition:
		$1
}

rule file_883_87_0 {
	meta:
		name = "?_Reset@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@23@_N@Z"
		size = 170
		refs = "0046 ??0exception@std@@QEAA@XZ 004d ??_7bad_weak_ptr@tr1@std@@6B@ 0054 _TI2?AVbad_weak_ptr@tr1@std@@ 0063 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 40 49 8B F8 48 8B EA 48 8B F1 4D 85 C0 74 19 41 8B 40 08 EB 0F 44 8D 40 01 F0 44 0F B1 47 08 74 34 8B 47 08 85 C0 75 ED 45 84 C9 74 55 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 59 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 89 7E 08 48 89 2E 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_883_89_0 {
	meta:
		name = "??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@@Z"
		size = 154
		refs = "002e ??2@YAPEAX_K@Z 0048 ??_7?$_Ref_count@V__ExceptionPtr@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8B C4 48 89 50 10 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 4C 8B E2 48 8B F1 B9 18 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 1B B8 01 00 00 00 89 43 08 89 43 0C 48 8D 05 ?? ?? ?? ?? 48 89 03 4C 89 63 10 EB 02 33 DB 48 8B 7E 08 48 85 FF 74 1D F0 FF 4F 08 75 17 48 8B 07 48 8B CF FF 10 F0 FF 4F 0C 75 09 48 8B 07 48 8B CF FF 50 08 48 89 5E 08 4C 89 26 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_883_91_0 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@@Z$0"
		size = 35
		refs = "000d ??1__ExceptionPtr@@QEAA@XZ 0015 ??3@YAXPEAX@Z 001e _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 48 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_883_92_0 {
	meta:
		name = "??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
		size = 210
		refs = "002f _malloc_crt 003e ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0056 ??0exception@std@@QEAA@AEBQEBDH@Z 005d ??_7bad_alloc@std@@6B@ 0069 _TI2?AVbad_alloc@std@@ 0073 _CxxThrowException 0088 ??_7?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@6B@"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 56 57 41 54 48 83 EC 50 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 70 49 8B D8 4C 8B E2 48 8B F1 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 3C 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 44 8D 47 01 48 8D 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 07 4C 89 67 10 48 89 5F 18 48 8B 5E 08 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 89 7E 08 4C 89 26 48 8B 5C 24 70 48 83 C4 50 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_883_94_0 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z$0"
		size = 20
		refs = "000f _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 78 FF 95 80 00 00 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_883_95_0 {
	meta:
		name = "?_Delete_this@?$_Ref_count_del_alloc@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@tr1@std@@EEAAXXZ"
		size = 30
		refs = "001a free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 33 D2 48 8B D9 FF 50 10 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_883_96_0 {
	meta:
		name = "??_G?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAPEAXI@Z"
		size = 91
		refs = "0044 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 08 8B F2 48 8B F9 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 40 F6 C6 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_883_98_0 {
	meta:
		name = "?_Assign_rv@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAX$$QEAV123@@Z"
		size = 34
	strings:
		$1 = { 48 3B CA 74 1C 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 48 8B 02 4C 8B 01 48 89 01 4C 89 02 C3 }
	condition:
		$1
}

rule file_883_99_0 {
	meta:
		name = "??$?0V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@PEAV__ExceptionPtr@@@Z"
		size = 32
		refs = "0013 ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_100_0 {
	meta:
		name = "??$reset@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@@Z"
		size = 104
		refs = "001b ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 48 83 64 24 20 00 48 83 64 24 28 00 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 44 24 28 48 89 43 08 48 8B 44 24 20 48 89 4C 24 28 48 89 03 48 85 C9 74 24 F0 FF 49 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_883_102_0 {
	meta:
		name = "??$?0V__ExceptionPtr@@P6AXPEAV0@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@PEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
		size = 37
		refs = "0018 ??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8D 4C 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_104_0 {
	meta:
		name = "??0?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@AEBV012@@Z"
		size = 42
		refs = "001d ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 83 61 08 00 4C 8B 42 08 48 8B 12 45 33 C9 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_105_0 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAAEAV012@AEBV012@@Z"
		size = 125
		refs = "0028 ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@23@_N@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 57 48 83 EC 30 4C 8B 42 08 48 8B 12 48 83 60 E8 00 48 83 60 F0 00 48 8B F9 48 8D 48 E8 45 33 C9 E8 ?? ?? ?? ?? 48 8B 57 08 48 8B 44 24 28 48 89 47 08 48 8B 44 24 20 48 89 54 24 28 48 89 07 48 85 D2 74 24 F0 FF 4A 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_883_106_0 {
	meta:
		name = "??0?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAA@$$QEAV012@@Z"
		size = 49
		altNames = "??0?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@$$QEAV012@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 4C 8B CA 48 3B CA 74 1C 48 8B 42 08 4C 8B 41 08 48 89 41 08 4C 89 42 08 49 8B 01 48 8B 11 48 89 01 49 89 11 48 8B C1 C3 }
	condition:
		$1
}

rule file_883_107_0 {
	meta:
		name = "??$reset@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
		size = 107
		refs = "001e ??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 30 48 83 60 E8 00 48 83 60 F0 00 48 8B D9 48 8D 48 E8 4C 8D 48 08 E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 44 24 28 48 89 43 08 48 8B 44 24 20 48 89 4C 24 28 48 89 03 48 85 C9 74 24 F0 FF 49 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_883_108_0 {
	meta:
		name = "?_BadAllocException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ"
		size = 53
		refs = "0018 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@tr1@std@@A 0028 ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@23@_N@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 45 33 C9 48 8B D9 48 89 01 48 89 41 08 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 89 44 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_883_109_0 {
	meta:
		name = "?__ExceptionPtrCopy@@YAXPEAXPEBX@Z"
		size = 58
		refs = "0030 ?_Reset@?$_Ptr_base@V__ExceptionPtr@@@tr1@std@@QEAAXPEAV__ExceptionPtr@@PEAV_Ref_count_base@23@_N@Z"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 89 4C 24 40 48 89 4C 24 48 48 85 C9 74 19 48 83 21 00 48 83 61 08 00 45 33 C9 4C 8B 42 08 48 8B 12 E8 ?? ?? ?? ?? 90 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_883_113_0 {
	meta:
		name = "??4?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAAEAV012@$$QEAV012@@Z"
		size = 123
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 30 33 C0 48 8B F9 49 8D 4B E8 45 33 C0 49 89 43 E8 48 3B CA 74 13 4C 8B 42 08 48 21 42 08 48 8B 02 48 83 22 00 49 89 43 E8 48 8B 4F 08 4C 89 47 08 48 89 07 48 89 4C 24 28 48 85 C9 74 24 F0 FF 49 08 75 1E 48 8B 5C 24 28 48 8B CB 48 8B 03 FF 10 F0 FF 4B 0C 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_883_114_0 {
	meta:
		name = "?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ"
		size = 340
		refs = "001f _getptd 0077 ??2@YAPEAX_K@Z 009e ??0__ExceptionPtr@@AEAA@PEBUEHExceptionRecord@@_N@Z 00ba ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 56 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 8B D9 33 F6 89 74 24 78 E8 ?? ?? ?? ?? 48 39 B0 F0 00 00 00 0F 84 02 01 00 00 E8 ?? ?? ?? ?? 39 B0 00 01 00 00 0F 85 F1 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 4D 4F 43 E0 0F 84 D9 00 00 00 E8 ?? ?? ?? ?? 48 8B 88 F0 00 00 00 81 39 52 43 43 E0 0F 84 C1 00 00 00 B9 A0 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 80 00 00 00 48 85 C0 74 19 E8 ?? ?? ?? ?? 41 B0 01 48 8B 90 F0 00 00 00 48 8B CF E8 ?? ?? ?? ?? EB 03 48 8B C6 48 89 74 24 28 48 89 74 24 30 48 8B D0 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 89 33 48 89 73 08 48 8D 44 24 28 48 3B D8 74 1B 48 8B CE 48 8B 44 24 30 48 89 43 08 48 89 4C 24 30 48 8B 44 24 28 48 89 03 EB 05 48 8B 4C 24 30 C7 44 24 78 01 00 00 00 48 85 C9 74 31 83 CE FF 8B C6 F0 0F C1 41 08 03 C6 75 23 48 8B 7C 24 30 48 8B 07 48 8B CF FF 10 8B C6 F0 0F C1 47 0C 03 C6 75 0B 48 8B 4C 24 30 48 8B 01 FF 50 08 48 8B C3 EB 19 48 89 33 48 89 73 08 C7 44 24 78 01 00 00 00 48 8B C3 EB 05 48 8B 44 24 70 48 83 C4 50 5F 5E 5B C3 CC }
	condition:
		$1
}

rule file_883_115_0 {
	meta:
		name = "?dtor$0@?0??_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ@4HA"
		size = 48
		refs = "001c ??1?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 78 83 E0 01 85 C0 74 0D 83 65 78 FE 48 8B 4D 70 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_883_116_0 {
	meta:
		name = "?dtor$1@?0??_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
		altNames = "?dtor$3@?0??_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
	strings:
		$1 = { 48 8B 8A 80 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_883_118_0 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ$0"
		size = 51
		refs = "0005 ?_BadAllocException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ 0010 ??_7bad_alloc@std@@6B@ 001d ??1exception@std@@UEAA@XZ 0025 $LN18"
	strings:
		$1 = { 48 8B 4D 70 E8 ?? ?? ?? ?? 83 4D 78 01 48 8D 05 ?? ?? ?? ?? 48 89 45 38 48 8D 4D 38 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC }
	condition:
		$1
}

rule file_883_122_0 {
	meta:
		name = "?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z"
		size = 559
		refs = "006b RtlPcToFileHeader 00be ??2@YAPEAX_K@Z 00d8 ??0__ExceptionPtr@@AEAA@PEBUEHExceptionRecord@@_N@Z 00f2 ??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@@Z 0106 _malloc_crt 0112 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 012f ??0exception@std@@QEAA@AEBQEBDH@Z 0136 ??_7bad_alloc@std@@6B@ 0145 _TI2?AVbad_alloc@std@@ 0152 _CxxThrowException 0188 ?_DeleteExceptionPtr@@YAXQEAV__ExceptionPtr@@@Z 0195 ??$_Resetp@V__ExceptionPtr@@P6AXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@AEAAXPEAV__ExceptionPtr@@P6AX0@ZV?$_DebugMallocator@H@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 53 56 57 41 54 48 81 EC E8 00 00 00 48 C7 84 24 B8 00 00 00 FE FF FF FF 45 8A E1 49 8B D8 48 8B F9 83 60 10 00 C7 44 24 60 63 73 6D E0 C7 44 24 64 01 00 00 00 48 83 64 24 68 00 48 83 64 24 70 00 C7 44 24 78 04 00 00 00 BE 20 05 93 19 89 B0 78 FF FF FF 48 89 50 80 48 89 58 88 48 8D 50 18 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 48 89 84 24 20 01 00 00 48 89 84 24 98 00 00 00 48 85 DB 74 20 B8 00 40 99 01 F6 03 08 74 09 89 84 24 80 00 00 00 EB 0D 4D 85 DB 0F 44 F0 89 B4 24 80 00 00 00 48 83 64 24 20 00 48 83 64 24 28 00 B9 A0 00 00 00 45 84 E4 74 48 E8 ?? ?? ?? ?? 48 89 44 24 30 48 85 C0 74 11 41 B0 01 48 8D 54 24 60 48 8B C8 E8 ?? ?? ?? ?? 90 48 83 64 24 38 00 48 83 64 24 40 00 48 8B D0 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 8B 54 24 38 E9 9E 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 75 47 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 84 24 A0 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 30 48 89 44 24 38 45 33 C0 48 8D 54 24 60 48 8B C8 E8 ?? ?? ?? ?? 90 48 83 64 24 48 00 48 83 64 24 50 00 4C 8D 8C 24 28 01 00 00 4C 8D 05 ?? ?? ?? ?? 48 8B D0 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 4C 24 50 48 8B 54 24 48 48 89 54 24 20 48 89 4C 24 28 48 83 27 00 48 83 67 08 00 48 8D 44 24 20 48 3B F8 74 13 48 8B 47 08 48 89 4F 08 48 8B C8 48 89 44 24 28 48 89 17 C7 84 24 18 01 00 00 01 00 00 00 48 85 C9 74 31 83 CE FF 8B C6 F0 0F C1 41 08 03 C6 75 23 48 8B 5C 24 28 48 8B 03 48 8B CB FF 10 8B C6 F0 0F C1 43 0C 03 C6 75 0B 48 8B 4C 24 28 48 8B 01 FF 50 08 48 8B C7 EB 08 48 8B 84 24 10 01 00 00 48 81 C4 E8 00 00 00 41 5C 5F 5E 5B C3 CC }
	condition:
		$1
}

rule file_883_123_0 {
	meta:
		name = "?dtor$0@?0??_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_883_124_0 {
	meta:
		name = "?dtor$1@?0??_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_883_125_0 {
	meta:
		name = "?dtor$2@?0??_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z@4HA"
		size = 32
		refs = "0012 ??3@YAXPEAX0@Z"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B 55 30 48 8B 4D 38 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC }
	condition:
		$1
}

rule file_883_126_0 {
	meta:
		name = "?dtor$4@?0??_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z@4HA"
		size = 48
		refs = "0025 ??1?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 18 01 00 00 83 E0 01 85 C0 74 13 83 A5 18 01 00 00 FE 48 8B 8D 10 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_883_128_0 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$0"
		size = 67
		refs = "0008 ?_BadAllocException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ 0016 ??_7bad_alloc@std@@6B@ 0029 ??1exception@std@@UEAA@XZ 0031 $LN25"
	strings:
		$1 = { 48 8B 8D 10 01 00 00 E8 ?? ?? ?? ?? 83 8D 18 01 00 00 01 48 8D 05 ?? ?? ?? ?? 48 89 85 C0 00 00 00 48 8D 8D C0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_883_129_0 {
	meta:
		name = "?dtor$5@?0??_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z@4HA"
		size = 16
		refs = "0008 ??1bad_alloc@std@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_962_2 {
	meta:
		name = "?dtor$14@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_880_2 {
	meta:
		name = "?dtor$14@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_52_244_1 {
	meta:
		name = "?dtor$1@?0??overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_4_254_1 {
	meta:
		name = "?dtor$1@?0??overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_10_255_1 {
	meta:
		name = "?dtor$1@?0??overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_954_2 {
	meta:
		name = "?dtor$4@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_872_2 {
	meta:
		name = "?dtor$4@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A C0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_883_132_0 {
	meta:
		name = "?__ExceptionPtrCurrentException@@YAXPEAX@Z"
		size = 88
		refs = "0018 ?_CurrentException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ 0026 ?__ExceptionPtrCopy@@YAXPEAXPEBX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 5C 24 30 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_883_134_0 {
	meta:
		name = "?__ExceptionPtrCopyException@@YAXPEAXPEBX1@Z"
		size = 89
		refs = "001b ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z 0027 ??4?$shared_ptr@V__ExceptionPtr@@@tr1@std@@QEAAAEAV012@$$QEAV012@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 41 B1 01 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8B 5C 24 30 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_883_136_0 {
	meta:
		name = "?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ"
		size = 124
		refs = "0020 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0037 ??0exception@std@@QEAA@AEBQEBDH@Z 003e ??_7bad_alloc@std@@6B@ 004d _TI2?AVbad_alloc@std@@ 005a ?_CopyException@__ExceptionPtr@@SA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z 006a ??1exception@std@@UEAA@XZ"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 49 89 5B 10 48 8B D9 83 64 24 50 00 48 8D 05 ?? ?? ?? ?? 49 89 43 08 41 B8 01 00 00 00 49 8D 53 08 49 8D 4B E0 E8 ?? ?? ?? ?? 48 8D 3D ?? ?? ?? ?? 48 89 7C 24 28 45 33 C9 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 28 48 8B CB E8 ?? ?? ?? ?? 90 48 89 7C 24 28 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_883_138_0 {
	meta:
		name = "??__E?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@tr1@std@@A@@YAXXZ"
		size = 32
		refs = "0007 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@tr1@std@@A 000c ?_InitBadAllocException@__ExceptionPtr@@CA?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ 0013 ??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@tr1@std@@A@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_262_1 {
	meta:
		name = "??__Einitlocks@@YAXXZ"
		size = 32
		refs = "0007 initlocks 000c ??0_Init_locks@std@@QEAA@XZ 0013 ??__Finitlocks@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_2_2 {
	meta:
		name = "??__Einitlocks@std@@YAXXZ"
		size = 32
		refs = "0007 initlocks 000c ??0_Init_locks@std@@QEAA@XZ 0013 ??__Finitlocks@std@@YAXXZ 001c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_883_139_0 {
	meta:
		name = "??__F?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@tr1@std@@A@@YAXXZ"
		size = 53
		refs = "0009 ?m_badAllocExceptionPtr@__ExceptionPtr@@0V?$shared_ptr@V__ExceptionPtr@@@tr1@std@@A"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 85 DB 74 1D F0 FF 4B 08 75 17 48 8B 03 48 8B CB FF 10 F0 FF 4B 0C 75 09 48 8B 03 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_884_3_0 {
	meta:
		name = "_mbsnicoll_l"
		size = 312
		refs = "002f ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0056 _errno 0061 _invalid_parameter_noinfo 00a5 _strnicoll_l 00b3 _mbsnbcnt_l 00f2 __crtCompareStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 60 4C 8B E1 48 8B F2 48 8D 4D E0 49 8B D1 49 8B D9 49 8B F8 E8 ?? ?? ?? ?? 48 85 FF 75 18 40 38 7D F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD 33 C0 E9 CE 00 00 00 4D 85 E4 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 80 7D F8 00 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 9E 00 00 00 48 85 F6 74 D0 48 81 FF FF FF FF 7F 77 C7 48 8B 45 E8 49 8B CC 83 78 08 00 75 10 4C 8B CB 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? EB 62 4C 8D 45 E0 48 8B D7 E8 ?? ?? ?? ?? 4C 8D 45 E0 48 8B D7 48 8B CE 48 8B D8 E8 ?? ?? ?? ?? 48 8B 55 E8 4D 8B CC 8B 4A 04 8B 52 0C 41 B8 01 10 00 00 89 4C 24 38 89 44 24 30 48 8D 4D E0 48 89 74 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 5B FF FF FF 83 C0 FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 4D 8B 63 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_886_3_0 {
	meta:
		name = "_wcsnicmp_l"
		size = 278
		refs = "0037 _errno 0042 _invalid_parameter_noinfo 005e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 00b5 _towlower_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 40 45 33 E4 49 8B E8 48 8B FA 48 8B F1 41 8B C4 4D 85 C0 0F 84 CA 00 00 00 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F E9 AB 00 00 00 48 85 D2 74 E1 48 8D 4C 24 20 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5C 24 20 45 39 63 14 75 3F 48 2B F7 0F B7 1C 3E 66 83 FB 41 72 0A 66 83 FB 5A 77 04 66 83 C3 20 0F B7 07 66 83 F8 41 72 0A 66 83 F8 5A 77 04 66 83 C0 20 48 83 C7 02 48 FF CD 74 40 66 85 DB 74 3B 66 3B D8 74 C6 EB 34 0F B7 0E 48 8D 54 24 20 E8 ?? ?? ?? ?? 0F B7 0F 48 8D 54 24 20 0F B7 D8 E8 ?? ?? ?? ?? 48 83 C6 02 48 83 C7 02 48 FF CD 74 0A 66 85 DB 74 05 66 3B D8 74 CC 0F B7 C8 0F B7 C3 2B C1 44 38 64 24 38 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5C C3 }
	condition:
		$1
}

rule file_886_4_0 {
	meta:
		name = "_wcsnicmp"
		size = 152
		refs = "000e __locale_changed 001f _errno 002a _invalid_parameter_noinfo 008f _wcsnicmp_l"
	strings:
		$1 = { 48 83 EC 28 33 C0 4C 8B D2 4C 8B D9 39 05 ?? ?? ?? ?? 75 77 4D 85 C0 74 7A 48 85 C9 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 74 E1 4C 2B DA 43 0F B7 0C 13 66 83 F9 41 72 0A 66 83 F9 5A 77 04 66 83 C1 20 41 0F B7 12 66 83 FA 41 72 0A 66 83 FA 5A 77 04 66 83 C2 20 49 83 C2 02 49 FF C8 74 0A 66 85 C9 74 05 66 3B CA 74 C4 0F B7 C2 0F B7 C9 2B C8 8B C1 48 83 C4 28 C3 45 33 C9 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_887_0_0 {
	meta:
		name = "_flswbuf"
		size = 399
		refs = "001c _fileno 002c _errno 008d __iob_func 00ab _isatty 00b7 _getbuf 00eb _write 0111 __pioinfo 0129 __badioinfo 013c _lseeki64"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 56 57 41 54 48 83 EC 20 44 8B E1 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 8B 53 18 48 63 F0 F6 C2 82 75 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 4B 18 20 B8 FF FF 00 00 E9 38 01 00 00 F6 C2 40 74 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB E0 33 FF F6 C2 01 74 19 89 7B 08 F6 C2 10 0F 84 8A 00 00 00 48 8B 43 10 83 E2 FE 48 89 03 89 53 18 8B 43 18 89 7B 08 83 E0 EF 83 C8 02 89 43 18 A9 0C 01 00 00 75 2F E8 ?? ?? ?? ?? 48 83 C0 30 48 3B D8 74 0E E8 ?? ?? ?? ?? 48 83 C0 60 48 3B D8 75 0B 8B CE E8 ?? ?? ?? ?? 85 C0 75 08 48 8B CB E8 ?? ?? ?? ?? F7 43 18 08 01 00 00 0F 84 8C 00 00 00 8B 2B 48 8B 53 10 2B 6B 10 48 8D 42 02 48 89 03 8B 43 24 83 E8 02 89 43 08 85 ED 7E 19 44 8B C5 8B CE E8 ?? ?? ?? ?? 8B F8 EB 57 83 CA 20 89 53 18 E9 3C FF FF FF 83 FE FF 74 23 83 FE FE 74 1E 48 8B CE 48 8B C6 48 8D 15 ?? ?? ?? ?? 83 E1 1F 48 C1 F8 05 48 6B C9 58 48 03 0C C2 EB 07 48 8D 0D ?? ?? ?? ?? F6 41 08 20 74 17 33 D2 8B CE 44 8D 42 02 E8 ?? ?? ?? ?? 48 83 F8 FF 0F 84 EC FE FF FF 48 8B 43 10 66 44 89 20 EB 1C BD 02 00 00 00 48 8D 54 24 48 8B CE 44 8B C5 66 44 89 64 24 48 E8 ?? ?? ?? ?? 8B F8 3B FD 0F 85 BE FE FF FF 41 0F B7 C4 48 8B 5C 24 40 48 8B 6C 24 50 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_891_0_0 {
	meta:
		name = "strcat_s"
		size = 124
		refs = "001f _errno 002b _invalid_parameter_noinfo"
	strings:
		$1 = { 40 53 48 83 EC 20 45 33 D2 4C 8B C9 48 85 C9 74 0D 48 85 D2 74 08 4D 85 C0 75 1C 44 88 11 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 44 38 11 74 08 48 FF C1 48 FF CA 75 F3 48 85 D2 75 05 45 88 11 EB D0 49 2B C8 41 8A 00 42 88 04 01 49 FF C0 84 C0 74 05 48 FF CA 75 ED 48 85 D2 75 0F 45 88 11 E8 ?? ?? ?? ?? BB 22 00 00 00 EB B0 33 C0 EB B5 }
	condition:
		$1
}

rule file_893_1_0 {
	meta:
		name = "wmemmove_s"
		size = 82
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0046 memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4D 85 C9 74 3C 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 24 48 85 C0 74 E6 49 3B D1 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB DF 4F 8D 04 09 48 8B D0 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_894_0_0 {
	meta:
		name = "floorf"
		size = 203
		refs = "0050 ??_C@_06OJDGOBKJ@floorf?$AA@ 006b _handle_errorf 0087 __real@bf800000 00c2 __real@3f800000"
	strings:
		$1 = { 48 83 EC 58 45 33 C0 0F 28 C8 F3 0F 11 4C 24 60 8B 54 24 60 8B C2 0F BA F0 1F 3B D0 41 0F 95 C0 3D 00 00 80 4B 72 4C 3D 00 00 80 7F 76 43 0F 57 C0 C7 44 24 40 01 00 00 00 44 8B C2 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 BA 0B 00 00 00 48 8D 0D ?? ?? ?? ?? 49 0F BA E8 16 C7 44 24 28 21 00 00 00 83 64 24 20 00 44 8D 4A F6 E8 ?? ?? ?? ?? EB 55 EB 53 3D 00 00 80 3F 73 18 85 C0 74 F3 45 85 C0 74 0A F3 0F 10 05 ?? ?? ?? ?? EB 39 0F 57 C0 EB 34 8B C2 B9 96 00 00 00 C1 E8 17 2B C8 B8 01 00 00 00 D3 E0 FF C8 F7 D0 23 C2 89 44 24 60 F3 0F 10 44 24 60 45 85 C0 74 0C 3B D0 74 08 F3 0F 5C 05 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_895_0_0 {
	meta:
		name = "wcsncpy"
		size = 70
	strings:
		$1 = { 48 89 7C 24 08 33 FF 4C 8B C9 4D 85 C0 74 2E 48 2B D1 0F B7 04 0A 66 89 01 48 83 C1 02 66 85 C0 74 05 49 FF C8 75 EB 4D 85 C0 74 11 49 FF C8 74 0C 0F B7 C7 48 8B F9 49 8B C8 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_896_0_0 {
	meta:
		name = "_time64"
		size = 93
		refs = "0010 __imp_GetSystemTimeAsFileTime"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 48 8B 54 24 30 48 83 C9 FF 49 BB 00 80 C1 2A 21 4E 62 FE 48 B8 BD 42 7A E5 D5 94 BF D6 49 03 D3 48 F7 E2 48 B8 FF 6F 40 93 07 00 00 00 48 C1 EA 17 48 3B D0 48 0F 4F D1 48 85 DB 74 03 48 89 13 48 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_897_3_0 {
	meta:
		name = "__ascii_memicmp"
		size = 89
	strings:
		$1 = { 33 C0 45 33 C9 4C 8B D1 4D 85 C0 74 48 4C 2B D2 41 8A 0C 12 49 FF C8 3A 0A 74 32 80 F9 41 72 0D 80 F9 5A 77 08 0F B6 C1 83 C0 20 EB 03 0F B6 C1 80 3A 41 72 0F 80 3A 5A 77 0A 44 0F B6 0A 41 83 C1 20 EB 04 44 0F B6 0A 41 3B C1 75 08 48 FF C2 4D 85 C0 75 BB 41 2B C1 C3 }
	condition:
		$1
}

rule file_897_4_0 {
	meta:
		name = "_memicmp_l"
		size = 250
		refs = "0030 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003f _errno 004a _invalid_parameter_noinfo 0083 __ascii_memicmp 00ab _tolower_l"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 48 8B EC 48 83 EC 40 4C 8B E9 4C 8B E2 48 8D 4D E0 49 8B D1 49 8B D8 33 FF 33 F6 E8 ?? ?? ?? ?? 4D 85 ED 75 2D 48 85 DB 74 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 75 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F EB 7B 4D 85 E4 75 05 48 85 DB 75 CE 48 8B 45 E0 39 70 14 75 4E 4C 8B C3 49 8B D4 49 8B CD E8 ?? ?? ?? ?? 40 38 75 F8 74 54 48 8B 4D F0 83 A1 C8 00 00 00 FD EB 47 48 FF CB 3B FE 75 2B 41 0F B6 4D 00 48 8D 55 E0 E8 ?? ?? ?? ?? 41 0F B6 0C 24 48 8D 55 E0 8B F8 49 FF C5 E8 ?? ?? ?? ?? 8B F0 49 FF C4 48 85 DB 75 CE 2B FE 80 7D F8 00 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 8B C7 48 8B 5C 24 60 48 8B 74 24 68 48 8B 7C 24 70 48 83 C4 40 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_897_5_0 {
	meta:
		name = "_memicmp"
		size = 80
		refs = "0006 __locale_changed 0018 _errno 0023 _invalid_parameter_noinfo 0040 __ascii_memicmp 004c _memicmp_l"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 37 48 85 C9 75 1F 4D 85 C0 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 FF FF FF 7F 48 83 C4 28 C3 48 85 D2 75 05 4D 85 C0 75 DC 48 83 C4 28 E9 ?? ?? ?? ?? 45 33 C9 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_900_3_0 {
	meta:
		name = "_wtof_l"
		size = 161
		refs = "0009 __security_cookie 001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 005c iswctype 0072 _wfltin2 0097 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 38 5C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 66 0F 57 C0 EB 3F 48 83 C3 02 0F B7 0B BA 08 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 EB 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 80 7C 24 38 00 F2 0F 10 40 10 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_900_5_0 {
	meta:
		name = "__wstrgtold12"
		size = 144
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 __wstrgtold12_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 60 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 8B 84 24 A0 00 00 00 4C 8D 5C 24 40 4C 89 5C 24 38 89 44 24 30 8B 84 24 98 00 00 00 89 44 24 28 8B 84 24 90 00 00 00 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_901_5_0 {
	meta:
		name = "__strgtold12"
		size = 144
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0063 __strgtold12_l"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 60 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 8B 84 24 A0 00 00 00 4C 8D 5C 24 40 4C 89 5C 24 38 89 44 24 30 8B 84 24 98 00 00 00 89 44 24 28 8B 84 24 90 00 00 00 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 89 44 24 20 E8 ?? ?? ?? ?? 80 7C 24 58 00 74 0C 48 8B 4C 24 50 83 A1 C8 00 00 00 FD 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_900_6_0 {
	meta:
		name = "__WSTRINGTOLD"
		size = 110
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0042 __WSTRINGTOLD_L"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 4C 8D 5C 24 30 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 4C 89 5C 24 20 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_901_6_0 {
	meta:
		name = "__STRINGTOLD"
		size = 110
		refs = "0027 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0042 __STRINGTOLD_L"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 8B E9 48 8B F2 48 8D 48 D8 33 D2 41 8B D9 49 8B F8 E8 ?? ?? ?? ?? 4C 8D 5C 24 30 44 8B CB 4C 8B C7 48 8B D6 48 8B CD 4C 89 5C 24 20 E8 ?? ?? ?? ?? 80 7C 24 48 00 74 0C 48 8B 4C 24 40 83 A1 C8 00 00 00 FD 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_901_3_0 {
	meta:
		name = "_atof_l"
		size = 205
		refs = "0009 __security_cookie 001e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0028 _errno 0033 _invalid_parameter_noinfo 006b _isctype_l 009e _fltin2 00c3 __security_check_cookie"
	strings:
		$1 = { 40 53 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 58 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 85 DB 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 38 5C 24 38 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 66 0F 57 C0 EB 6B 48 8B 54 24 20 83 BA 0C 01 00 00 01 7E 19 0F B6 0B 4C 8D 44 24 20 BA 08 00 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 20 EB 11 0F B6 0B 48 8B 82 40 01 00 00 0F B7 04 48 83 E0 08 85 C0 74 05 48 FF C3 EB C4 4C 8D 44 24 20 48 8D 4C 24 40 48 8B D3 E8 ?? ?? ?? ?? 80 7C 24 38 00 F2 0F 10 40 10 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 48 8B 4C 24 58 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_902_3_0 {
	meta:
		name = "_mbsnbcmp_l"
		size = 352
		refs = "003b ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0053 strncmp 0062 _errno 006d _invalid_parameter_noinfo"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 60 20 55 48 8B EC 48 83 EC 40 45 33 E4 49 8B D8 48 8B F2 48 8B F9 4D 85 C0 75 07 33 C0 E9 13 01 00 00 48 8D 4D E0 49 8B D1 E8 ?? ?? ?? ?? 4C 8B 5D E8 45 39 63 08 75 13 4C 8B C3 48 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 D9 00 00 00 48 85 FF 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 44 38 65 F8 74 0B 48 8B 45 F0 83 A0 C8 00 00 00 FD B8 FF FF FF 7F E9 BA 00 00 00 48 85 F6 74 D0 41 B0 04 0F B6 0F 48 FF CB 48 FF C7 46 84 44 19 1D 74 2F 48 85 DB 75 12 0F B6 06 41 8B CC 46 84 44 18 1D 75 5E 0F B7 D0 EB 4A 44 38 27 75 06 41 0F B7 CC EB 0D 0F B6 07 66 C1 E1 08 66 0B C8 48 FF C7 0F B6 16 48 FF C6 46 84 44 1A 1D 74 25 48 85 DB 75 05 41 8B D4 EB 1B 48 FF CB 44 38 26 75 06 41 0F B7 D4 EB 0D 0F B6 06 66 C1 E2 08 66 0B D0 48 FF C6 66 3B D1 75 24 66 85 C9 74 05 48 85 DB 75 80 44 38 65 F8 0F 84 0E FF FF FF 48 8B 45 F0 83 A0 C8 00 00 00 FD E9 FE FE FF FF 1B C0 83 E0 02 FF C8 44 38 65 F8 74 0B 48 8B 4D F0 83 A1 C8 00 00 00 FD 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 4C 8B 64 24 68 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_903_3_0 {
	meta:
		name = "_ismbcl0_l"
		size = 99
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 81 79 04 A4 03 00 00 75 28 8B C3 C1 E8 08 0F B6 C0 F6 44 08 1D 04 74 19 0F B6 C3 F6 44 08 1D 08 74 0F 81 FB 9F 88 00 00 73 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_903_5_0 {
	meta:
		name = "_ismbcl1_l"
		size = 104
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 81 79 04 A4 03 00 00 75 2D 8B C3 C1 E8 08 0F B6 C0 F6 44 08 1D 04 74 1E 0F B6 C3 F6 44 08 1D 08 74 14 8D 83 61 77 FF FF 3D D3 0F 00 00 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_903_7_0 {
	meta:
		name = "_ismbcl2_l"
		size = 104
		refs = "000e ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 4C 24 28 81 79 04 A4 03 00 00 75 2D 8B C3 C1 E8 08 0F B6 C0 F6 44 08 1D 04 74 1E 0F B6 C3 F6 44 08 1D 08 74 14 8D 83 61 67 FF FF 3D 05 52 00 00 77 07 B8 01 00 00 00 EB 02 33 C0 80 7C 24 38 00 74 0C 48 8B 4C 24 30 83 A1 C8 00 00 00 FD 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_904_0_0 {
	meta:
		name = "vfwscanf"
		size = 142
		refs = "0032 _errno 003d _invalid_parameter_noinfo 0056 _lock_file 0072 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 41 54 48 83 EC 20 49 8B F1 49 8B F8 48 8B DA 4C 8B E1 33 C0 48 85 D2 0F 95 C0 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 32 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DF 48 8B CA E8 ?? ?? ?? ?? 90 4C 8B 4C 24 50 4C 8B C6 48 8B D7 48 8B CB 41 FF D4 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 30 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_905_0_0 {
	meta:
		name = "?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z"
		size = 138
		refs = "0023 ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B E8 48 8B F2 48 8B D9 48 85 C9 75 05 E8 ?? ?? ?? ?? 48 63 43 18 8B 7B 14 48 03 46 08 75 05 E8 ?? ?? ?? ?? 33 C9 85 FF 74 33 4C 8B 4E 08 4C 63 43 18 4B 8D 14 01 48 63 02 49 03 C1 48 3B E8 7C 0A FF C1 48 83 C2 08 3B CF 72 EB 85 C9 74 0E 8D 41 FF 49 8D 14 C0 42 8B 44 0A 04 EB 03 83 C8 FF 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_905_2_0 {
	meta:
		name = "?__GetCurrentState@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 39
		refs = "001e ?__StateFromIp@@YAHPEBU_s_FuncInfo@@PEAU_xDISPATCHER_CONTEXT@@_J@Z"
	strings:
		$1 = { 48 83 EC 28 4D 63 48 1C 48 8B 01 4D 8B D0 41 8B 04 01 83 F8 FE 75 0B 4C 8B 02 49 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_905_4_0 {
	meta:
		name = "?__SetUnwindTryBlock@@YAXPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@H@Z"
		size = 59
		refs = "0016 ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 41 8B F9 4C 8D 4C 24 40 49 8B D8 E8 ?? ?? ?? ?? 48 8B 08 48 63 43 1C 48 89 4C 24 40 3B 7C 08 04 7E 04 89 7C 08 04 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_905_5_0 {
	meta:
		name = "?__GetUnwindTryBlock@@YAHPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@@Z"
		size = 41
		refs = "000f ?_GetEstablisherFrame@@YAPEA_KPEA_KPEAU_xDISPATCHER_CONTEXT@@PEBU_s_FuncInfo@@0@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8D 4C 24 40 49 8B D8 E8 ?? ?? ?? ?? 48 8B 08 48 63 43 1C 48 89 4C 24 40 8B 44 08 04 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_907_0_0 {
	meta:
		name = "_wopenfile"
		size = 733
		refs = "001e _commode 0067 _errno 0072 _invalid_parameter_noinfo 01bb ?ccsField@?P@??_wopenfile@@9@9 01c9 wcsncmp 01fc ?utf8encoding@?P@??_wopenfile@@9@9 020a _wcsnicmp 021f ?utf16encoding@?P@??_wopenfile@@9@9 0242 ?unicodeencoding@?P@??_wopenfile@@9@9 0291 _wsopen_s 029f _cflush"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 8B 35 ?? ?? ?? ?? 45 33 F6 49 8B E9 45 8D 7E 20 45 8B E0 48 8B DA 4C 8B E9 45 8B CE 45 8B D6 45 8B DE 66 44 39 3A 75 0A 48 83 C3 02 66 44 39 3B 74 F6 0F B7 03 41 B8 01 00 00 00 83 F8 61 74 30 83 F8 72 74 23 83 F8 77 74 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 E9 43 02 00 00 BF 01 03 00 00 EB 0D 41 8B FE 41 0B F0 EB 08 BF 09 01 00 00 83 CE 02 48 83 C3 02 41 8B D0 0F B7 03 66 85 C0 0F 84 C3 01 00 00 85 D2 0F 84 F4 00 00 00 0F B7 C8 83 F9 53 7F 79 74 6A 41 2B CF 0F 84 D1 00 00 00 83 E9 0B 74 47 FF C9 74 3E 83 E9 18 74 27 83 E9 0A 74 19 83 F9 04 75 8C 45 85 D2 0F 85 A7 00 00 00 45 8B D0 83 CF 10 E9 A5 00 00 00 0F BA EF 07 E9 9C 00 00 00 40 F6 C7 40 0F 85 89 00 00 00 83 CF 40 E9 8A 00 00 00 45 8B D8 EB 7C 40 F6 C7 02 75 76 83 E7 FE 83 E6 FC 83 CF 02 0F BA EE 07 EB 70 45 85 D2 75 62 45 8B D0 41 0B FF EB 63 83 E9 54 74 4F 83 E9 0E 74 3C FF C9 74 2A 83 E9 0B 74 17 83 F9 06 0F 85 1A FF FF FF F7 C7 00 C0 00 00 75 36 0F BA EF 0E EB 39 45 85 C9 75 2B 45 8B C8 0F BA F6 0E EB 2B 45 85 C9 75 1D 45 8B C8 0F BA EE 0E EB 1D F7 C7 00 C0 00 00 75 0C 0F BA EF 0F EB 0F 0F BA E7 0C 73 05 41 8B D6 EB 04 0F BA EF 0C 48 83 C3 02 0F B7 03 66 85 C0 0F 85 04 FF FF FF 45 85 DB 0F 84 BE 00 00 00 EB 04 48 83 C3 02 66 44 39 3B 74 F6 48 8D 0D ?? ?? ?? ?? 41 B8 03 00 00 00 48 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 85 91 FE FF FF 48 83 C3 06 EB 04 48 83 C3 02 66 44 39 3B 74 F6 66 83 3B 3D 0F 85 77 FE FF FF 48 83 C3 02 66 44 39 3B 74 F6 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 0A 0F BA EF 12 EB 4E 48 8D 15 ?? ?? ?? ?? 41 B8 08 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 75 0A 48 83 C3 10 0F BA EF 11 EB 2B 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 48 8B CB E8 ?? ?? ?? ?? 85 C0 0F 85 0A FE FF FF 48 83 C3 0E 0F BA EF 10 EB 04 48 83 C3 02 66 44 39 3B 74 F6 66 44 39 33 0F 85 EC FD FF FF 48 8D 4C 24 68 45 8B CC 44 8B C7 49 8B D5 C7 44 24 20 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 D9 FD FF FF FF 05 ?? ?? ?? ?? 8B 44 24 68 89 75 18 89 45 1C 44 89 75 08 4C 89 75 00 48 8B C5 4C 89 75 10 4C 89 75 28 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_911_0_0 {
	meta:
		name = "__read_mxcsr"
		size = 16
	strings:
		$1 = { 48 83 EC 10 0F AE 1C 24 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_1_0 {
	meta:
		name = "__write_mxcsr"
		size = 16
	strings:
		$1 = { 48 83 EC 10 89 0C 24 0F AE 14 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_2_0 {
	meta:
		name = "__int_addss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 58 C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_911_3_0 {
	meta:
		name = "__int_subss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5C C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_911_4_0 {
	meta:
		name = "__int_mulss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 59 C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_911_5_0 {
	meta:
		name = "__int_divss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5E C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_911_12_0 {
	meta:
		name = "__int_cmpss"
		size = 137
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA 49 83 F8 00 74 2B 49 83 F8 01 74 2F 49 83 F8 02 74 33 49 83 F8 03 74 37 49 83 F8 04 74 3B 49 83 F8 05 74 3F 49 83 F8 06 74 43 49 83 F8 07 74 47 C3 F3 0F C2 C1 00 66 0F 7E C0 C3 F3 0F C2 C1 01 66 0F 7E C0 C3 F3 0F C2 C1 02 66 0F 7E C0 C3 F3 0F C2 C1 03 66 0F 7E C0 C3 F3 0F C2 C1 04 66 0F 7E C0 C3 F3 0F C2 C1 05 66 0F 7E C0 C3 F3 0F C2 C1 06 66 0F 7E C0 C3 F3 0F C2 C1 07 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_911_15_0 {
	meta:
		name = "__int_maxss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5F C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_911_16_0 {
	meta:
		name = "__int_minss"
		size = 17
	strings:
		$1 = { 66 0F 6E C1 66 0F 6E CA F3 0F 5D C1 66 0F 7E C0 C3 }
	condition:
		$1
}

rule file_911_18_0 {
	meta:
		name = "__int_addsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 58 C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_19_0 {
	meta:
		name = "__int_subsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5C C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_20_0 {
	meta:
		name = "__int_mulsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 59 C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_21_0 {
	meta:
		name = "__int_divsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5E C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_22_0 {
	meta:
		name = "__int_cmpsd"
		size = 227
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 49 83 F8 00 74 2F 49 83 F8 01 74 3C 49 83 F8 02 74 49 49 83 F8 03 74 56 49 83 F8 04 74 63 49 83 F8 05 74 70 49 83 F8 06 74 7D 49 83 F8 07 0F 84 86 00 00 00 C3 F2 0F C2 C1 00 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 01 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 02 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 03 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 04 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 05 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 06 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 F2 0F C2 C1 07 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_23_0 {
	meta:
		name = "__int_comisd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 66 0F 2F C1 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_24_0 {
	meta:
		name = "__int_ucomisd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 66 0F 2E C1 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_25_0 {
	meta:
		name = "__int_cvtsd2si"
		size = 22
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 2D C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_26_0 {
	meta:
		name = "__int64_cvtsd2si"
		size = 23
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 48 0F 2D C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_27_0 {
	meta:
		name = "__int_cvttsd2si"
		size = 22
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 2C C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_28_0 {
	meta:
		name = "__int64_cvttsd2si"
		size = 23
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 48 0F 2C C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_29_0 {
	meta:
		name = "__int_cvtss2sd"
		size = 26
	strings:
		$1 = { 48 83 EC 10 66 0F 6E C1 F3 0F 5A C0 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_30_0 {
	meta:
		name = "__int_cvtsd2ss"
		size = 26
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 5A C0 66 0F 7E C0 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_31_0 {
	meta:
		name = "__int_maxsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5F C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_32_0 {
	meta:
		name = "__int_minsd"
		size = 40
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 48 89 14 24 F2 0F 10 0C 24 F2 0F 5D C1 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_911_33_0 {
	meta:
		name = "__int_sqrtsd"
		size = 31
	strings:
		$1 = { 48 83 EC 10 48 89 0C 24 F2 0F 10 04 24 F2 0F 51 C0 F2 0F 11 04 24 48 8B 04 24 48 83 C4 10 C3 }
	condition:
		$1
}

rule file_914_0_0 {
	meta:
		name = "_logbf"
		size = 226
		refs = "005a ??_C@_06NFPIKLH@_logbf?$AA@ 0064 _handle_errorf"
	strings:
		$1 = { 48 83 EC 58 0F 28 C8 F3 0F 11 4C 24 60 8B 4C 24 60 8B C1 C1 E8 17 0F B6 D0 83 EA 7F F7 C1 FF FF FF 7F 75 46 0F 57 C0 C7 44 24 40 01 00 00 00 41 B9 02 00 00 00 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 22 00 00 00 C7 44 24 20 04 00 00 00 41 B8 00 00 80 FF 48 8D 0D ?? ?? ?? ?? BA 25 00 00 00 E8 ?? ?? ?? ?? EB 73 B8 82 FF FF FF 3B D0 7C 0B 83 FA 7F 7F 0B 66 0F 6E C2 EB 5C 83 FA 7F 7E 3E F7 C1 FF FF 7F 00 75 02 EB 50 0F 57 C0 C7 44 24 40 01 00 00 00 4C 8B C1 F3 0F 11 44 24 38 F3 0F 11 4C 24 30 C7 44 24 28 21 00 00 00 49 0F BA E8 16 83 64 24 20 00 41 B9 01 00 00 00 EB 96 81 E1 FF FF 7F 00 BA 00 00 80 00 EB 04 03 C9 FF C8 3B CA 72 F8 66 0F 6E C0 0F 5B C0 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_915_0_0 {
	meta:
		name = "vfprintf_helper"
		size = 324
		refs = "0038 _errno 0043 _invalid_parameter_noinfo 005f _lock_file 0072 _fileno 008d __pioinfo 009f __badioinfo 00fc _stbuf 011b _ftbuf 0124 _unlock_file"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 41 54 41 55 41 56 48 83 EC 20 4D 8B E9 4D 8B E0 48 8B FA 4C 8B F1 33 F6 33 C0 48 85 D2 0F 95 C0 85 C0 75 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF E9 DB 00 00 00 33 C0 4D 85 C0 0F 95 C0 85 C0 74 DC 48 8B CA E8 ?? ?? ?? ?? 90 F6 47 18 40 0F 85 86 00 00 00 48 8B CF E8 ?? ?? ?? ?? 83 F8 FF 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 25 83 F8 FF 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 CE FF 85 F6 75 28 48 8B CF E8 ?? ?? ?? ?? 8B D8 4C 8B 4C 24 60 4D 8B C5 49 8B D4 48 8B CF 41 FF D6 8B F0 48 8B D7 8B CB E8 ?? ?? ?? ?? 90 48 8B CF E8 ?? ?? ?? ?? 8B C6 48 8B 5C 24 40 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_917_0_0 {
	meta:
		name = "_set_daylight"
		size = 21
		refs = "0009 __daylight"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_917_1_0 {
	meta:
		name = "_set_dstbias"
		size = 21
		refs = "0009 __dstbias"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_917_2_0 {
	meta:
		name = "_set_timezone"
		size = 21
		refs = "0009 __timezone"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_917_4_0 {
	meta:
		name = "_tzset_nolock"
		size = 1150
		refs = "002c _lock 0032 __tzname 0042 _get_timezone 0057 _get_daylight 006c _get_dstbias 0079 ___lc_codepage_func 0082 tzapiused 008d dstend 0094 dststart 009b ??_C@_02CLFPBFFP@TZ?$AA@ 00a0 _getenv_helper_nolock 00c1 lastTZ 00d1 strcmp 00ea free 00f2 strlen 00fb _malloc_crt 0126 strcpy_s 0142 _invoke_watson 0161 tzinfo 0167 __imp_GetTimeZoneInformation 021d __imp_WideCharToMultiByte 02a2 __timezone 02b0 __daylight 02be __dstbias 02ca _unlock 02e8 strncpy_s 0307 atol"
	strings:
		$1 = { 48 8B C4 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 50 45 33 F6 45 8B EE 41 8B F6 44 89 70 08 44 89 70 10 44 89 70 18 41 8D 4E 07 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 4C 8B E0 48 8D 8C 24 90 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 0B 04 00 00 48 8D 8C 24 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 E2 03 00 00 48 8D 8C 24 A0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 B9 03 00 00 E8 ?? ?? ?? ?? 8B D8 44 89 35 ?? ?? ?? ?? 41 83 CF FF 44 89 3D ?? ?? ?? ?? 44 89 3D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 40 48 85 C0 0F 84 91 00 00 00 44 38 30 0F 84 88 00 00 00 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 24 48 8B D1 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 84 B8 01 00 00 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 48 01 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 0F 84 86 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B C7 48 8D 50 01 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 68 01 00 00 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 0C E8 ?? ?? ?? ?? 4C 89 35 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 FF 0F 84 21 01 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 0D ?? ?? ?? ?? 6B C9 3C 89 8C 24 90 00 00 00 8B 15 ?? ?? ?? ?? 66 44 39 35 ?? ?? ?? ?? 74 0E 8B C2 6B C0 3C 03 C8 89 8C 24 90 00 00 00 66 44 39 35 ?? ?? ?? ?? 74 23 8B 05 ?? ?? ?? ?? 85 C0 74 19 C7 84 24 98 00 00 00 01 00 00 00 2B C2 6B C0 3C 89 84 24 A0 00 00 00 EB 10 44 89 B4 24 98 00 00 00 44 89 B4 24 A0 00 00 00 48 8D 84 24 A8 00 00 00 48 89 44 24 38 4C 89 74 24 30 BE 3F 00 00 00 89 74 24 28 49 8B 04 24 48 89 44 24 20 45 8B CF 4C 8D 05 ?? ?? ?? ?? 33 D2 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 14 44 39 B4 24 A8 00 00 00 75 0A 49 8B 04 24 44 88 70 3F EB 07 49 8B 04 24 44 88 30 48 8D 84 24 A8 00 00 00 48 89 44 24 38 4C 89 74 24 30 89 74 24 28 49 8B 44 24 08 48 89 44 24 20 45 8B CF 4C 8D 05 ?? ?? ?? ?? 33 D2 8B CB FF 15 ?? ?? ?? ?? 85 C0 74 15 44 39 B4 24 A8 00 00 00 75 0B 49 8B 44 24 08 44 88 70 3F EB 08 49 8B 44 24 08 44 88 30 BE 01 00 00 00 8B 9C 24 90 00 00 00 E8 ?? ?? ?? ?? 89 18 8B 9C 24 98 00 00 00 E8 ?? ?? ?? ?? 89 18 8B 9C 24 A0 00 00 00 E8 ?? ?? ?? ?? 89 18 B9 07 00 00 00 E8 ?? ?? ?? ?? 85 F6 0F 85 98 01 00 00 44 8D 7E 03 45 8B CF 4C 8B C7 8D 56 40 49 8B 0C 24 E8 ?? ?? ?? ?? 85 C0 0F 85 28 01 00 00 49 03 FF 80 3F 2D 75 07 44 8D 6E 01 48 FF C7 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 45 69 DB 10 0E 00 00 44 89 9C 24 90 00 00 00 B3 30 40 B6 39 8A 07 3C 2B 0F 84 E8 00 00 00 3A C3 7C 09 40 3A C6 0F 8E DB 00 00 00 80 3F 3A 75 64 48 FF C7 48 8B CF E8 ?? ?? ?? ?? 6B C0 3C 44 8B 9C 24 90 00 00 00 44 03 D8 44 89 9C 24 90 00 00 00 EB 08 40 3A C6 7F 09 48 FF C7 8A 07 3A C3 7D F2 80 3F 3A 75 2E 48 FF C7 48 8B CF E8 ?? ?? ?? ?? 44 8B 9C 24 90 00 00 00 44 03 D8 44 89 9C 24 90 00 00 00 EB 08 40 3A C6 7F 09 48 FF C7 8A 07 3A C3 7D F2 45 85 ED 74 0B 41 F7 DB 44 89 9C 24 90 00 00 00 0F BE 07 89 84 24 98 00 00 00 85 C0 74 2E 4D 8B CF 4C 8B C7 BA 40 00 00 00 49 8B 4C 24 08 E8 ?? ?? ?? ?? 85 C0 74 1D 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 49 8B 44 24 08 44 88 30 8B 9C 24 90 00 00 00 E8 ?? ?? ?? ?? 89 18 8B 9C 24 98 00 00 00 E8 ?? ?? ?? ?? 89 18 EB 5A 48 FF C7 E9 06 FF FF FF 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 4C 89 74 24 20 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? 90 48 83 C4 50 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_917_5_0 {
	meta:
		name = "_tzset_nolock$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 40 48 8B EA B9 07 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 40 5D C3 CC }
	condition:
		$1
}

rule file_917_6_0 {
	meta:
		name = "cvtdate"
		size = 724
		refs = "007d __ImageBase 0088 _days 009c _lpdays 023d dststart 0268 dstend 0273 _get_dstbias 02cf _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 30 83 64 24 50 00 41 8B D8 44 8B E1 83 FA 01 0F 85 6B 01 00 00 44 8B DB 41 81 E3 03 00 00 80 7D 0A 41 FF CB 41 83 CB FC 41 FF C3 BE 1F 85 EB 51 45 85 DB 75 15 8B C6 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B DA 75 33 41 8D 88 6C 07 00 00 8B C6 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 74 14 48 8D 3D ?? ?? ?? ?? 49 63 E9 44 8B 94 AF ?? ?? ?? ?? EB 12 48 8D 3D ?? ?? ?? ?? 49 63 E9 44 8B 94 AF ?? ?? ?? ?? 41 FF C8 8D 8B 2B 01 00 00 8B C6 41 FF C2 F7 E9 44 8B CA 41 C1 F9 07 41 8B C1 C1 E8 1F 44 03 C8 8B C6 41 F7 E8 C1 FA 05 8B C2 C1 E8 1F 03 D0 41 8B C0 44 2B CA 99 83 E2 03 03 C2 C1 F8 02 41 8D 0C 02 8B C3 41 03 C9 69 C0 6D 01 00 00 44 8D 84 08 25 9C FF FF 8B 4C 24 70 B8 93 24 49 92 41 F7 E8 41 03 D0 C1 FA 02 8B C2 C1 E8 1F 03 D0 8B C1 6B D2 07 6B C0 07 44 2B C2 8B 54 24 78 41 2B C0 03 C2 44 3B C2 7F 07 45 8D 54 02 F9 EB 03 44 03 D0 83 F9 05 0F 85 D2 00 00 00 45 85 DB 75 15 8B C6 F7 EB C1 FA 05 8B CA C1 E9 1F 03 D1 6B D2 64 3B DA 75 27 8D 8B 6C 07 00 00 8B C6 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 74 09 8B 84 AF ?? ?? ?? ?? EB 07 8B 84 AF ?? ?? ?? ?? 44 3B D0 0F 8E 81 00 00 00 41 83 EA 07 EB 7B 8B C3 25 03 00 00 80 7D 07 FF C8 83 C8 FC FF C0 BE 1F 85 EB 51 85 C0 75 15 8B C6 F7 EB C1 FA 05 8B C2 C1 E8 1F 03 D0 6B D2 64 3B DA 75 33 41 8D 88 6C 07 00 00 8B C6 F7 E9 C1 FA 07 8B C2 C1 E8 1F 03 D0 69 D2 90 01 00 00 3B CA 74 14 48 8D 3D ?? ?? ?? ?? 49 63 C1 44 8B 94 87 ?? ?? ?? ?? EB 12 48 8D 3D ?? ?? ?? ?? 49 63 C1 44 8B 94 87 ?? ?? ?? ?? 44 03 94 24 80 00 00 00 8B 84 24 88 00 00 00 6B C0 3C 03 84 24 90 00 00 00 6B C0 3C 03 84 24 98 00 00 00 69 C0 E8 03 00 00 03 84 24 A0 00 00 00 41 83 FC 01 75 26 44 89 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 6C 24 60 48 83 C4 30 41 5C 5F 5E C3 48 8D 4C 24 50 44 89 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 43 8B 0D ?? ?? ?? ?? 8B 44 24 50 69 C0 E8 03 00 00 03 C8 B8 00 5C 26 05 89 0D ?? ?? ?? ?? 79 0A 03 C8 FF 0D ?? ?? ?? ?? EB 0C 3B C8 7C 0E 2B C8 FF 05 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? EB 8F 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_917_7_0 {
	meta:
		name = "_isindst_nolock"
		size = 681
		refs = "0025 _get_daylight 0061 dststart 0069 dstend 0075 tzapiused 0082 tzinfo 010c cvtdate 02a4 _invoke_watson"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 18 48 89 70 20 57 41 54 41 55 48 83 EC 60 48 8B F9 48 8D 48 10 33 DB 89 58 10 E8 ?? ?? ?? ?? 85 C0 0F 85 63 02 00 00 39 9C 24 88 00 00 00 75 1C 33 C0 4C 8D 5C 24 60 49 8B 5B 20 49 8B 6B 30 49 8B 73 38 49 8B E3 41 5D 41 5C 5F C3 8B 77 14 41 BD 01 00 00 00 3B 35 ?? ?? ?? ?? 75 0C 3B 35 ?? ?? ?? ?? 0F 84 A1 01 00 00 39 1D ?? ?? ?? ?? 0F 84 12 01 00 00 66 39 1D ?? ?? ?? ?? 0F B7 0D ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 44 0F B7 0D ?? ?? ?? ?? 89 44 24 50 89 4C 24 48 89 54 24 40 41 8B CD 75 30 44 0F B7 15 ?? ?? ?? ?? 44 0F B7 1D ?? ?? ?? ?? 44 0F B7 05 ?? ?? ?? ?? 44 89 54 24 38 89 5C 24 30 44 89 5C 24 28 44 89 44 24 20 41 8B D5 EB 24 44 0F B7 05 ?? ?? ?? ?? 44 0F B7 15 ?? ?? ?? ?? 33 D2 44 89 44 24 38 44 89 54 24 30 89 5C 24 28 89 5C 24 20 44 8B C6 E8 ?? ?? ?? ?? 0F B7 0D ?? ?? ?? ?? 44 0F B7 05 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 44 0F B7 0D ?? ?? ?? ?? 89 44 24 50 89 4C 24 48 89 54 24 40 33 C9 66 39 1D ?? ?? ?? ?? 44 89 44 24 38 44 8B 47 14 75 23 44 0F B7 15 ?? ?? ?? ?? 44 0F B7 1D ?? ?? ?? ?? 89 5C 24 30 44 89 54 24 28 44 89 5C 24 20 E9 94 00 00 00 44 0F B7 15 ?? ?? ?? ?? 33 D2 44 89 54 24 30 89 5C 24 28 89 5C 24 20 EB 7E B8 02 00 00 00 45 8B E5 8D 68 09 44 8D 48 01 83 FE 6B 7D 0F 44 8D 48 02 41 8B C5 41 8D 69 06 45 8D 61 01 89 5C 24 50 89 5C 24 48 89 5C 24 40 C7 44 24 38 02 00 00 00 89 5C 24 30 44 8B C6 41 8B D5 41 8B CD 89 5C 24 28 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 47 14 89 5C 24 50 89 5C 24 48 89 5C 24 40 C7 44 24 38 02 00 00 00 89 5C 24 30 89 5C 24 28 44 89 64 24 20 44 8B CD 33 C9 41 8B D5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 44 8B 05 ?? ?? ?? ?? 8B 4F 1C 41 3B D0 7D 22 3B CA 0F 8C 09 FE FF FF 41 3B C8 0F 8F 00 FE FF FF 3B CA 7E 23 41 3B C8 7D 1E 41 8B C5 E9 F1 FD FF FF 41 3B C8 7C F3 3B CA 7F EF 41 3B C8 7E 08 3B CA 0F 8C D9 FD FF FF 8B 47 08 6B C0 3C 03 47 04 6B C0 3C 03 07 69 C0 E8 03 00 00 3B CA 75 10 3B 05 ?? ?? ?? ?? 0F 9D C3 8B C3 E9 B3 FD FF FF 3B 05 ?? ?? ?? ?? 0F 9C C3 EB EE 45 33 C9 45 33 C0 33 D2 33 C9 48 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_917_8_0 {
	meta:
		name = "__tzset"
		size = 59
		refs = "0006 ?first_time@?1??__tzset@@9@9 0013 _lock 0022 _tzset_nolock 0032 _unlock"
	strings:
		$1 = { 48 83 EC 28 83 3D ?? ?? ?? ?? 00 75 29 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 83 3D ?? ?? ?? ?? 00 75 0B E8 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_917_9_0 {
	meta:
		name = "__tzset$fin$0"
		size = 27
		refs = "000f _unlock"
		altNames = "_isindst$fin$0 _tzset$fin$0"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 06 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_917_10_0 {
	meta:
		name = "_tzset"
		size = 36
		refs = "000a _lock 0010 _tzset_nolock 001b _unlock"
	strings:
		$1 = { 48 83 EC 28 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 90 B9 06 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_917_12_0 {
	meta:
		name = "_isindst"
		size = 48
		refs = "000f _lock 0018 _isindst_nolock 0024 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 06 00 00 00 E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B D8 B9 06 00 00 00 E8 ?? ?? ?? ?? 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_919_0_0 {
	meta:
		name = "_snprintf_c"
		size = 191
		refs = "002e memset 0038 _errno 0043 _invalid_parameter_noinfo 007f _output_l 00a3 _flsbuf"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 55 53 56 57 48 8B EC 48 83 EC 58 48 83 65 C8 00 48 8B DA 33 D2 49 8B F0 48 8B F9 44 8D 42 28 48 8D 4D D0 E8 ?? ?? ?? ?? 48 85 F6 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 6A 48 85 DB 74 05 48 85 FF 74 E4 B8 FF FF FF 7F 4C 8D 4D 40 48 8D 4D C8 48 3B D8 48 8B D6 C7 45 E0 42 00 00 00 0F 47 D8 45 33 C0 48 89 7D D8 89 5D D0 48 89 7D C8 E8 ?? ?? ?? ?? 8B D8 48 85 FF 74 2C 85 C0 78 22 FF 4D D0 78 09 48 8B 45 C8 C6 00 00 EB 10 48 8D 55 C8 33 C9 E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C3 EB 06 C6 07 00 83 C8 FF 48 83 C4 58 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_920_0_0 {
	meta:
		name = "_flush"
		size = 121
		refs = "0030 _fileno 003e _write"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B 41 18 33 F6 48 8B D9 24 03 3C 02 75 3F F7 41 18 08 01 00 00 74 36 8B 39 2B 79 10 85 FF 7E 2D E8 ?? ?? ?? ?? 48 8B 53 10 44 8B C7 8B C8 E8 ?? ?? ?? ?? 3B C7 75 0F 8B 43 18 84 C0 79 0F 83 E0 FD 89 43 18 EB 07 83 4B 18 20 83 CE FF 48 8B 4B 10 83 63 08 00 8B C6 48 8B 74 24 38 48 89 0B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_920_1_0 {
	meta:
		name = "_fflush_nolock"
		size = 76
		refs = "0014 flsall 0019 _flush 0033 _fileno 003a _commit"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 85 C9 75 0A 48 83 C4 20 5B E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 83 C8 FF EB 20 F7 43 18 00 40 00 00 74 15 48 8B CB E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? F7 D8 1B C0 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_920_2_0 {
	meta:
		name = "flsall"
		size = 236
		refs = "0024 _lock 0035 _nstream 0045 __piob 005d _lock_file2 007a _fflush_nolock 00b4 _unlock_file2 00c5 _unlock"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 41 55 41 57 48 83 EC 30 44 8B E9 33 F6 33 FF 8D 4E 01 E8 ?? ?? ?? ?? 90 33 DB 41 83 CF FF 89 5C 24 20 3B 1D ?? ?? ?? ?? 0F 8D 80 00 00 00 4C 63 E3 48 8B 05 ?? ?? ?? ?? 4A 83 3C E0 00 74 68 4A 8B 14 E0 F6 42 18 83 74 5E 8B CB E8 ?? ?? ?? ?? 90 48 8B 05 ?? ?? ?? ?? 4A 8B 0C E0 F6 41 18 83 74 33 41 83 FD 01 75 12 E8 ?? ?? ?? ?? 41 3B C7 74 23 FF C6 89 74 24 24 EB 1B 45 85 ED 75 16 F6 41 18 02 74 10 E8 ?? ?? ?? ?? 41 3B C7 41 0F 44 FF 89 7C 24 28 48 8B 15 ?? ?? ?? ?? 4A 8B 14 E2 8B CB E8 ?? ?? ?? ?? FF C3 E9 70 FF FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? 41 83 FD 01 0F 44 FE 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 8B 7C 24 60 48 83 C4 30 41 5F 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_920_5_0 {
	meta:
		name = "fflush"
		size = 67
		refs = "0018 flsall 001f _lock_file 0028 _fflush_nolock 0032 _unlock_file"
	strings:
		$1 = { 48 89 5C 24 10 48 89 4C 24 08 57 48 83 EC 20 48 8B D9 48 85 C9 75 07 E8 ?? ?? ?? ?? EB 1A E8 ?? ?? ?? ?? 90 48 8B CB E8 ?? ?? ?? ?? 8B F8 48 8B CB E8 ?? ?? ?? ?? 8B C7 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_921_0_0 {
	meta:
		name = "_ioinit"
		size = 722
		refs = "0023 __imp_GetStartupInfoW 0032 _calloc_crt 004c __pioinfo 005a _nhandle 018e __imp_GetFileType 01cc __imp_InitializeCriticalSectionAndSpinCount 022b __imp_GetStdHandle 02ae __imp_SetHandleCount"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 7C 24 18 41 54 41 55 41 56 48 81 EC 90 00 00 00 48 8D 4C 24 20 FF 15 ?? ?? ?? ?? BA 58 00 00 00 8D 6A C8 8B CD E8 ?? ?? ?? ?? 45 33 F6 48 8B D0 48 85 C0 75 08 83 C8 FF E9 6B 02 00 00 48 89 05 ?? ?? ?? ?? 48 05 00 0B 00 00 8B CD 89 0D ?? ?? ?? ?? 48 3B D0 73 45 48 83 C2 09 48 83 4A F7 FF 66 C7 42 FF 00 0A 44 89 72 03 66 C7 42 2F 00 0A C6 42 31 0A 44 89 72 47 44 88 72 43 48 8B 05 ?? ?? ?? ?? 48 83 C2 58 48 8D 4A F7 48 05 00 0B 00 00 48 3B C8 72 C5 8B 0D ?? ?? ?? ?? 66 44 39 74 24 62 0F 84 34 01 00 00 48 8B 44 24 68 48 85 C0 0F 84 26 01 00 00 4C 63 20 BB 00 08 00 00 4C 8D 68 04 4D 03 E5 39 18 0F 4C 18 3B CB 0F 8D 87 00 00 00 48 8D 3D ?? ?? ?? ?? BA 58 00 00 00 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 68 8B 15 ?? ?? ?? ?? 48 8D 88 00 0B 00 00 48 89 07 03 D5 89 15 ?? ?? ?? ?? 48 3B C1 73 41 48 8D 50 09 48 83 4A F7 FF 80 62 2F 80 66 C7 42 FF 00 0A 44 89 72 03 66 C7 42 30 0A 0A 44 89 72 47 44 88 72 43 48 8B 07 48 83 C2 58 48 8D 4A F7 48 05 00 0B 00 00 48 3B C8 72 C9 8B 15 ?? ?? ?? ?? 48 83 C7 08 3B D3 7C 88 EB 06 8B 1D ?? ?? ?? ?? 41 8B FE 85 DB 7E 7C 49 83 3C 24 FF 74 68 49 83 3C 24 FE 74 61 41 F6 45 00 01 74 5A 41 F6 45 00 08 75 0E 49 8B 0C 24 FF 15 ?? ?? ?? ?? 85 C0 74 45 48 63 EF 48 8D 0D ?? ?? ?? ?? BA A0 0F 00 00 48 8B C5 83 E5 1F 48 C1 F8 05 48 6B ED 58 48 03 2C C1 49 8B 04 24 48 89 45 00 41 8A 45 00 48 8D 4D 10 88 45 08 FF 15 ?? ?? ?? ?? 85 C0 0F 84 69 FE FF FF FF 45 0C FF C7 49 FF C5 49 83 C4 08 3B FB 7C 84 45 8B E6 49 8B DE 48 8B 3D ?? ?? ?? ?? 48 83 3C 3B FF 74 11 48 83 3C 3B FE 74 0A 80 4C 3B 08 80 E9 85 00 00 00 41 8D 44 24 FF C6 44 3B 08 81 F7 D8 B8 F6 FF FF FF 1B C9 83 C1 F5 45 85 E4 0F 44 C8 FF 15 ?? ?? ?? ?? 48 8B E8 48 83 F8 FF 74 4D 48 85 C0 74 48 48 8B C8 FF 15 ?? ?? ?? ?? 85 C0 74 3B 0F B6 C0 48 89 2C 3B 83 F8 02 75 07 80 4C 3B 08 40 EB 0A 83 F8 03 75 05 80 4C 3B 08 08 48 8D 4C 3B 10 BA A0 0F 00 00 FF 15 ?? ?? ?? ?? 85 C0 0F 84 C2 FD FF FF FF 44 3B 0C EB 0D 80 4C 3B 08 40 48 C7 04 3B FE FF FF FF 48 83 C3 58 41 FF C4 48 81 FB 08 01 00 00 0F 8C 48 FF FF FF 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 C0 4C 8D 9C 24 90 00 00 00 49 8B 5B 20 49 8B 6B 28 49 8B 7B 30 49 8B E3 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_921_1_0 {
	meta:
		name = "_ioterm"
		size = 115
		refs = "0012 __pioinfo 0038 __imp_DeleteCriticalSection 0052 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 1D ?? ?? ?? ?? BE 40 00 00 00 48 8B 3B 48 85 FF 74 37 48 8D 87 00 0B 00 00 EB 1D 83 7F 0C 00 74 0A 48 8D 4F 10 FF 15 ?? ?? ?? ?? 48 8B 03 48 83 C7 58 48 05 00 0B 00 00 48 3B F8 72 DE 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 83 C3 08 48 FF CE 75 B8 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_923_0_0 {
	meta:
		name = "_spawnlp"
		size = 170
		refs = "0022 _errno 002d _invalid_parameter_noinfo 0068 _capture_argv 007e _spawnvp 0098 free"
	strings:
		$1 = { 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 49 8B C0 48 8B DA 8B F1 48 85 D2 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 68 80 3A 00 74 E5 48 85 C0 74 E0 41 80 38 00 74 DA 48 8D 8C 24 68 02 00 00 4C 8D 44 24 30 41 B9 40 00 00 00 48 89 4C 24 20 48 8D 4C 24 20 48 8B D0 E8 ?? ?? ?? ?? 48 83 64 24 20 00 48 8B D3 4C 8B C0 8B CE 48 8B F8 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_924_0_0 {
	meta:
		name = "srand"
		size = 22
		refs = "0009 _getptd"
	strings:
		$1 = { 40 53 48 83 EC 20 8B D9 E8 ?? ?? ?? ?? 89 58 1C 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_924_1_0 {
	meta:
		name = "rand"
		size = 43
		refs = "0005 _getptd"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B 48 1C 69 C9 FD 43 03 00 81 C1 C3 9E 26 00 89 48 1C C1 E9 10 81 E1 FF 7F 00 00 8B C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_925_0_0 {
	meta:
		name = "_wexecl"
		size = 168
		refs = "0024 _errno 002f _invalid_parameter_noinfo 0066 _wcapture_argv 007c _wexecve 0096 free"
	strings:
		$1 = { 48 89 54 24 10 4C 89 44 24 18 4C 89 4C 24 20 53 56 57 48 81 EC 30 02 00 00 33 F6 48 8B D9 48 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF EB 64 66 39 31 74 E5 48 85 D2 74 E0 66 39 32 74 DB 48 8D 84 24 60 02 00 00 4C 8D 44 24 30 48 8D 4C 24 20 41 B9 40 00 00 00 48 89 44 24 20 E8 ?? ?? ?? ?? 45 33 C0 48 8B CB 48 8B D0 48 8B F8 48 89 74 24 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 FF 74 12 48 8D 44 24 30 48 3B F8 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C3 48 81 C4 30 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_926_1_0 {
	meta:
		name = "wparse_cmdline"
		size = 408
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 4C 89 68 20 41 56 4C 8B 5C 24 30 33 F6 49 8B D9 41 89 33 4C 8B D2 41 C7 01 01 00 00 00 48 85 D2 74 07 4C 89 02 49 83 C2 08 8B D6 41 BE 22 00 00 00 66 44 39 31 75 13 85 D2 8B C6 0F 94 C0 48 83 C1 02 8B D0 41 0F B7 C6 EB 1F 41 FF 03 4D 85 C0 74 0B 0F B7 01 66 41 89 00 49 83 C0 02 0F B7 01 48 83 C1 02 66 85 C0 74 1C 85 D2 75 C4 66 83 F8 20 74 06 66 83 F8 09 75 B8 4D 85 C0 74 0B 66 41 89 70 FE EB 04 48 83 E9 02 8B FE 41 BD 5C 00 00 00 66 39 31 0F 84 CE 00 00 00 66 83 39 20 74 06 66 83 39 09 75 06 48 83 C1 02 EB EE 66 39 31 0F 84 B3 00 00 00 4D 85 D2 74 07 4D 89 02 49 83 C2 08 FF 03 41 B9 01 00 00 00 8B D6 EB 06 48 83 C1 02 FF C2 66 44 39 29 74 F4 66 44 39 31 75 3A 41 84 D1 75 1F 85 FF 74 0F 48 8D 41 02 66 44 39 30 75 05 48 8B C8 EB 0C 85 FF 8B C6 44 8B CE 0F 94 C0 8B F8 D1 EA EB 12 FF CA 4D 85 C0 74 08 66 45 89 28 49 83 C0 02 41 FF 03 85 D2 75 EA 0F B7 01 66 85 C0 74 2E 85 FF 75 0C 66 83 F8 20 74 24 66 83 F8 09 74 1E 45 85 C9 74 10 4D 85 C0 74 08 66 41 89 00 49 83 C0 02 41 FF 03 48 83 C1 02 E9 70 FF FF FF 4D 85 C0 74 08 66 41 89 30 49 83 C0 02 41 FF 03 E9 29 FF FF FF 4D 85 D2 74 03 49 89 32 FF 03 48 8B 74 24 18 48 8B 7C 24 20 48 8B 5C 24 10 4C 8B 6C 24 28 41 5E C3 }
	condition:
		$1
}

rule file_926_2_0 {
	meta:
		name = "_wsetargv"
		size = 240
		refs = "000f ?_pgmname@?1??_wsetargv@@9@9 0029 __imp_GetModuleFileNameW 0030 _wcmdln 0037 _wpgmptr 0060 wparse_cmdline 009c _malloc_crt 00ce __wargv 00da __argc"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 48 83 EC 30 48 8D 3D ?? ?? ?? ?? 33 ED 41 B8 04 01 00 00 48 8B D7 33 C9 66 89 2D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 3D ?? ?? ?? ?? 48 85 DB 74 05 66 39 2B 75 03 48 8B DF 48 8D 44 24 58 4C 8D 4C 24 50 45 33 C0 33 D2 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 74 24 50 48 B8 FF FF FF FF FF FF FF 1F 48 3B F0 73 68 48 63 44 24 58 48 B9 FF FF FF FF FF FF FF 7F 48 3B C1 73 54 48 8D 0C B0 48 03 C0 48 03 C9 48 3B C8 72 45 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 38 4C 8D 04 F0 48 8D 44 24 58 4C 8D 4C 24 50 48 8B D7 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 44 8B 5C 24 50 48 89 3D ?? ?? ?? ?? 41 FF CB 33 C0 44 89 1D ?? ?? ?? ?? EB 03 83 C8 FF 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_927_1_0 {
	meta:
		name = "wfindenv"
		size = 144
		refs = "0017 _wenviron 0038 _wcsnicoll"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 05 ?? ?? ?? ?? 4C 63 C2 33 ED 48 8B 10 48 8B F1 48 8B D8 48 85 D2 74 35 49 8B F8 4C 8B C7 48 8B CE E8 ?? ?? ?? ?? 85 C0 75 10 48 8B 03 66 83 3C 78 3D 74 39 66 39 2C 78 74 33 48 83 C3 08 48 8B 13 48 85 D2 75 D5 48 8B 05 ?? ?? ?? ?? 48 2B D8 48 C1 FB 03 F7 DB 48 8B 6C 24 38 48 8B 74 24 40 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 48 2B 1D ?? ?? ?? ?? 48 C1 FB 03 EB DC }
	condition:
		$1
}

rule file_927_3_0 {
	meta:
		name = "__crtwsetenv"
		size = 955
		refs = "0027 _errno 0032 _invalid_parameter_noinfo 0050 wcschr 0070 _wenviron 007e __winitenv 00a8 _calloc_crt 00bb _amsg_exit 00cf _wcsdup 00ff _environ 010d __crtGetEnvironmentStringsW 0114 _wenvptr 0119 _wsetenvp 0122 __mbtow_environ 0162 _malloc_crt 01d1 _wcsnicoll 022e free 027f _recalloc_crt 030e wcslen 033d wcscpy_s 0361 __imp_SetEnvironmentVariableW 03a6 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 ED 8B FA 4C 8B F1 8B DD 48 85 C9 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? E9 FA 00 00 00 4C 8B 21 4D 85 E4 0F 84 E3 00 00 00 BA 3D 00 00 00 49 8B CC E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 CA 00 00 00 4C 3B E0 0F 84 C1 00 00 00 66 39 68 02 48 8B 35 ?? ?? ?? ?? 44 8B FD 41 0F 94 C7 48 3B 35 ?? ?? ?? ?? 75 6F 33 C9 48 8B EE 8B C1 48 85 F6 75 08 EB 5A 48 83 C6 08 FF C0 48 39 0E 75 F5 FF C0 BA 08 00 00 00 48 63 C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B F0 48 85 C0 75 08 8D 48 09 E8 ?? ?? ?? ?? 48 8B 45 00 48 85 C0 74 1B 48 2B EF 48 8B C8 E8 ?? ?? ?? ?? 48 89 07 48 83 C7 08 48 8B 04 2F 48 85 C0 75 E8 33 ED 48 89 2F 8B 7C 24 78 48 89 35 ?? ?? ?? ?? 48 85 F6 0F 85 A5 00 00 00 48 8B 05 ?? ?? ?? ?? 85 FF 74 49 48 85 C0 74 44 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 79 E8 ?? ?? ?? ?? 85 C0 74 70 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 48 8B 9C 24 80 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 45 85 FF 74 04 33 C0 EB DF 48 85 C0 75 23 8D 48 08 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 C3 48 89 28 48 8B 35 ?? ?? ?? ?? 48 85 F6 75 20 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 74 9E 48 89 28 48 8B 35 ?? ?? ?? ?? 48 8B EE 48 85 F6 74 8C 48 8B 06 4D 2B EC 48 8B FE 49 D1 FD 4C 89 6C 24 70 4D 63 ED 48 85 C0 74 45 BE 3D 00 00 00 4D 8B C5 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 33 C9 85 C0 75 19 48 8B 07 66 42 39 34 68 0F 84 A1 00 00 00 66 42 39 0C 68 0F 84 96 00 00 00 48 83 C7 08 48 8B 07 48 85 C0 75 C7 48 8B 35 ?? ?? ?? ?? 48 2B FE 48 C1 FF 03 F7 DF 45 33 ED 85 FF 0F 88 8C 00 00 00 4C 39 6D 00 0F 84 82 00 00 00 48 63 F7 48 8B 4C F5 00 E8 ?? ?? ?? ?? 45 85 FF 74 66 4C 39 6C F5 00 74 1D 48 8D 4C F5 08 48 8B 01 FF C7 48 83 C1 08 48 89 44 F5 00 48 FF C6 4C 39 6C F5 00 75 E8 48 63 D7 48 B8 FF FF FF FF FF FF FF 1F 48 3B D0 0F 83 92 00 00 00 48 8B 0D ?? ?? ?? ?? 41 B8 08 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 7B EB 72 48 8B 35 ?? ?? ?? ?? 48 2B FE 48 C1 FF 03 E9 73 FF FF FF 4C 89 64 F5 00 4D 89 2E EB 5C 45 85 FF 0F 85 FB 00 00 00 85 FF 79 02 F7 DF 8D 47 02 3B C7 0F 8C 74 FE FF FF 4C 63 C0 48 B8 FF FF FF FF FF FF FF 1F 4C 3B C0 0F 83 5E FE FF FF BA 08 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 85 C0 0F 84 48 FE FF FF 48 63 CF 4C 89 24 C8 4C 89 6C C8 08 4D 89 2E 48 89 05 ?? ?? ?? ?? 44 39 6C 24 78 74 75 49 8B CC E8 ?? ?? ?? ?? BE 02 00 00 00 48 8D 0C 06 8B D6 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 55 49 8B CC E8 ?? ?? ?? ?? 4D 8B C4 48 8B CF 48 8D 14 06 E8 ?? ?? ?? ?? 85 C0 75 51 48 8B 44 24 70 48 8B CF 48 8D 14 47 66 44 89 2A 48 03 D6 45 85 FF 49 0F 45 D5 FF 15 ?? ?? ?? ?? 85 C0 75 0E 83 CB FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 48 8B CF E8 ?? ?? ?? ?? 45 85 FF 74 0B 49 8B CC E8 ?? ?? ?? ?? 4D 89 2E 8B C3 E9 A2 FD FF FF 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 6C 24 20 E8 ?? ?? ?? ?? CC 49 8B CC E8 ?? ?? ?? ?? 4D 89 2E E9 9A FD FF FF }
	condition:
		$1
}

rule file_929_3_0 {
	meta:
		name = "_ismbslead_l"
		size = 167
		refs = "0016 _errno 0021 _invalid_parameter_noinfo 0035 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B FA 48 8B D9 48 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? EB 73 48 85 D2 74 E9 48 8D 4C 24 20 49 8B D0 E8 ?? ?? ?? ?? 4C 8B 5C 24 28 41 83 7B 08 00 74 42 48 3B DF 77 3D 80 3B 00 74 38 0F B6 03 42 F6 44 18 1D 04 74 10 48 8B C3 48 FF C3 48 3B C7 74 0A 80 3B 00 74 1D 48 FF C3 EB D6 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 83 C8 FF EB 15 80 7C 24 38 00 74 0C 48 8B 44 24 30 83 A0 C8 00 00 00 FD 33 C0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_931_0_0 {
	meta:
		name = "xtow"
		size = 110
	strings:
		$1 = { 48 89 5C 24 08 33 DB 45 8B D8 4C 8B D2 8B C1 45 85 C9 74 0C 8D 4B 2D 49 83 C2 02 F7 D8 66 89 0A 4D 8B C2 33 D2 41 F7 F3 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 12 49 83 C2 02 85 C0 75 E0 66 41 89 1A 49 83 EA 02 41 0F B7 00 41 0F B7 0A 66 41 89 02 66 41 89 08 49 83 C0 02 49 83 EA 02 4D 3B C2 72 E3 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_931_4_0 {
	meta:
		name = "x64tow"
		size = 116
	strings:
		$1 = { 48 89 5C 24 08 33 DB 45 8B D8 4C 8B D2 48 8B C1 45 85 C9 74 0D 8D 4B 2D 49 83 C2 02 48 F7 D8 66 89 0A 4D 8B C2 49 8B CB 33 D2 48 F7 F1 83 FA 09 76 06 66 83 C2 57 EB 04 66 83 C2 30 66 41 89 12 49 83 C2 02 48 85 C0 75 DF 66 41 89 1A 49 83 EA 02 41 0F B7 00 41 0F B7 0A 66 41 89 02 66 41 89 08 49 83 C0 02 49 83 EA 02 4D 3B C2 72 E3 48 8B 5C 24 08 C3 }
	condition:
		$1
}

rule file_932_0_0 {
	meta:
		name = "__crtCompareStringW"
		size = 166
		refs = "0030 wcsnlen 006e __imp_CompareStringW"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 49 63 D9 49 8B F0 8B EA 44 8B E1 45 85 C9 7E 0E 48 8B D3 49 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 63 44 24 68 48 8B 7C 24 60 85 C0 7E 0B 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 85 DB 74 20 85 C0 74 1C 89 44 24 28 44 8B CB 4C 8B C6 8B D5 41 8B CC 48 89 7C 24 20 FF 15 ?? ?? ?? ?? EB 17 2B D8 B8 03 00 00 00 8D 48 FE 0F 48 C1 B9 02 00 00 00 85 DB 0F 44 C1 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_933_1_0 {
	meta:
		name = "_findfirst32i64"
		size = 337
		refs = "0015 __security_cookie 002f _errno 003a _invalid_parameter_noinfo 004e __security_check_cookie 0081 __imp_FindFirstFileExA 0090 __imp_GetLastError 00e9 __timet_from_ft 012c strcpy_s 014c _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 48 89 74 24 20 57 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 33 F6 48 8B FA 48 85 D2 75 39 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 01 00 00 49 8B 5B 20 49 8B 73 28 49 8B E3 5F C3 48 85 C9 74 C2 4C 8D 44 24 30 45 33 C9 33 D2 89 74 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 48 8B D8 48 83 F8 FF 75 47 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 27 83 F8 08 74 12 83 F8 12 74 1D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 89 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 79 FF FF FF E8 ?? ?? ?? ?? C7 00 02 00 00 00 E9 69 FF FF FF 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 07 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 47 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 47 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 89 47 0C 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4F 10 48 8D 4F 18 E8 ?? ?? ?? ?? 85 C0 75 08 48 8B C3 E9 06 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_933_2_0 {
	meta:
		name = "_findnext32i64"
		size = 299
		refs = "0010 __security_cookie 0029 _errno 0034 _invalid_parameter_noinfo 0047 __security_check_cookie 006a __imp_FindNextFileA 0074 __imp_GetLastError 00c7 __timet_from_ft 010a strcpy_s 0126 _invoke_watson"
	strings:
		$1 = { 48 89 5C 24 18 56 48 81 EC 80 01 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 70 01 00 00 48 8B DA 48 83 F9 FF 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF 48 8B 8C 24 70 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 01 00 00 48 81 C4 80 01 00 00 5E C3 33 F6 48 85 D2 74 C5 48 8D 54 24 30 FF 15 ?? ?? ?? ?? 85 C0 75 41 FF 15 ?? ?? ?? ?? 83 F8 02 72 0F 83 F8 03 76 24 83 F8 08 74 12 83 F8 12 74 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 9F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 92 E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 85 8B 44 24 30 48 8D 4C 24 34 3D 80 00 00 00 0F 44 C6 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 3C 89 43 04 E8 ?? ?? ?? ?? 48 8D 4C 24 44 89 43 08 E8 ?? ?? ?? ?? 8B 4C 24 4C 48 C1 E1 20 89 43 0C 8B 44 24 50 48 03 C8 4C 8D 44 24 5C BA 04 01 00 00 48 89 4B 10 48 8D 4B 18 E8 ?? ?? ?? ?? 85 C0 0F 84 25 FF FF FF 45 33 C9 45 33 C0 33 D2 33 C9 48 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_935_3_0 {
	meta:
		name = "_gcvt_s"
		size = 421
		refs = "0014 __security_cookie 0034 ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 003e _errno 0049 _invalid_parameter_noinfo 00d3 _fltout2 00f9 _cftof 0113 _cftoe 0195 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 48 8D 6C 24 C1 48 81 EC 98 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 48 8B D9 48 8B F2 48 8D 4D DF 33 D2 F2 0F 11 55 D7 49 63 F9 E8 ?? ?? ?? ?? 48 85 DB 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 38 5D F7 74 0B 48 8B 4D EF 83 A1 C8 00 00 00 FD B8 16 00 00 00 E9 26 01 00 00 48 85 F6 75 23 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 40 38 75 F7 74 DB 48 8B 45 EF 83 A0 C8 00 00 00 FD EB CE C6 03 00 48 3B FE 72 29 E8 ?? ?? ?? ?? BB 22 00 00 00 89 18 E8 ?? ?? ?? ?? 80 7D F7 00 74 0B 48 8B 4D EF 83 A1 C8 00 00 00 FD 8B C3 E9 CD 00 00 00 48 8B 4D D7 4C 8D 45 17 48 8D 55 FF 41 B9 16 00 00 00 E8 ?? ?? ?? ?? 8B 50 04 8D 4A FF 83 F9 FF 7C 1D 8D 47 FF 3B C8 7F 16 2B FA 48 8D 4D D7 4C 8B C6 44 8B CF 48 8B D3 E8 ?? ?? ?? ?? EB 18 83 64 24 20 00 44 8D 4F FF 48 8D 4D D7 4C 8B C6 48 8B D3 E8 ?? ?? ?? ?? 8B F8 85 C0 75 56 8A 13 84 D2 74 1D 48 8B 45 DF 48 8B 88 28 01 00 00 48 8B 01 8A 08 3A D1 74 09 48 FF C3 8A 13 84 D2 75 F3 8A 03 48 FF C3 84 C0 74 31 EB 07 3C 65 74 09 48 FF C3 8A 03 84 C0 75 F3 48 8B CB 48 FF CB 80 3B 30 74 F8 8A 01 48 FF C3 48 FF C1 88 03 84 C0 75 F2 EB 07 E8 ?? ?? ?? ?? 89 38 80 7D F7 00 74 0B 48 8B 45 EF 83 A0 C8 00 00 00 FD 8B C7 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 98 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_935_4_0 {
	meta:
		name = "_gcvt"
		size = 45
		refs = "0018 _gcvt_s"
	strings:
		$1 = { 40 53 48 83 EC 20 44 8B CA 66 0F 28 D0 49 8B C8 48 83 CA FF 49 8B D8 E8 ?? ?? ?? ?? 33 C9 85 C0 48 0F 45 D9 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_936_1_0 {
	meta:
		name = "add"
		size = 85
		refs = "000f _malloc_crt 0028 arghead 0035 argend"
		altNames = "wadd"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 05 83 C8 FF EB 2F 48 83 60 08 00 48 83 3D ?? ?? ?? ?? 00 48 89 18 74 0D 48 8B 05 ?? ?? ?? ?? 4C 89 58 08 EB 07 48 89 05 ?? ?? ?? ?? 4C 89 1D ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_936_2_0 {
	meta:
		name = "sort"
		size = 96
		refs = "0024 _mbsicmp"
	strings:
		$1 = { 48 85 C9 74 5A 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8D 71 08 EB 2B 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_948_2_0 {
	meta:
		name = "wsort"
		size = 96
		refs = "0024 _wcsicmp"
	strings:
		$1 = { 48 85 C9 74 5A 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F9 48 8D 71 08 EB 2B 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_936_3_0 {
	meta:
		name = "find"
		size = 197
		refs = "0015 ?findbuf@?1??find@@9@9 0024 _malloc_crt 003b ?_WildFindHandle@?1??find@@9@9 0046 __imp_FindClose 0071 __imp_FindFirstFileExA 00a3 __imp_FindNextFileA"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 85 C9 0F 84 81 00 00 00 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 1A B9 44 02 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 04 33 C0 EB 55 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 15 FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8B 05 ?? ?? ?? ?? 83 64 24 28 00 48 83 64 24 20 00 45 33 C9 4C 8B C0 33 D2 48 8B CB FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 F8 FF 74 B2 48 8B 05 ?? ?? ?? ?? 48 83 C0 2C 48 83 C4 30 5B C3 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 D7 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E9 6F FF FF FF }
	condition:
		$1
}

rule file_936_4_0 {
	meta:
		name = "match"
		size = 639
		refs = "005b _mbsdec 0094 find 00a7 argend 00ae ??_C@_01LFCBOECM@?4?$AA@ 00b6 _mbscmp 00c5 ??_C@_02DJGKEECL@?4?4?$AA@ 00eb _strdup 00ff add 0117 strlen 0145 _calloc_crt 0162 _mbsnbcpy_s 0179 strcpy_s 019e ?findbuf@?1??find@@9@9 01a5 ?_WildFindHandle@?1??find@@9@9 01ab __imp_FindNextFileA 01d6 _invoke_watson 01fa __imp_FindClose 0218 arghead 022a _mbsicmp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 ED 45 33 E4 48 8B DA 48 8B F9 89 6C 24 68 48 85 D2 75 08 83 C8 FF E9 2A 02 00 00 48 3B D1 74 2A 8A 03 3C 5C 74 24 3C 2F 74 20 3C 3A 74 21 48 FF CB 48 3B DF 76 12 48 8D 53 01 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 3B C7 75 D6 80 3B 3A 75 0D 48 8D 47 01 48 3B D8 0F 85 E1 01 00 00 8A 03 3C 5C 74 08 3C 2F 74 04 3C 3A 75 09 44 8B E3 44 2B E7 41 FF C4 48 8B CF E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 B6 01 00 00 4C 8B 3D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 D9 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 C2 00 00 00 8A 03 3C 5C 74 31 3C 3A 74 2D 3C 2F 74 29 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 35 FF FF FF 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 25 FF FF FF E9 85 00 00 00 48 8B CE 4D 63 EC E8 ?? ?? ?? ?? 4A 8D 6C 28 01 45 85 E4 0F 88 07 FF FF FF 48 83 FD FF 0F 83 FD FE FF FF 49 3B ED 0F 82 F4 FE FF FF BA 01 00 00 00 48 8B CD E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 DB FE FF FF 4D 8B CD 4C 8B C7 48 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 71 49 2B ED 4B 8D 4C 35 00 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 85 C0 75 44 49 8B CE E8 ?? ?? ?? ?? 85 C0 0F 85 9F FE FF FF 8B 6C 24 68 FF C5 89 6C 24 68 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 3E 48 8B 35 ?? ?? ?? ?? 48 83 C6 2C 74 46 E9 E6 FE FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 85 ED 74 50 4D 85 FF 74 06 49 8B 7F 08 EB 07 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 35 EB 27 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 33 C0 EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_936_5_0 {
	meta:
		name = "_cwild"
		size = 232
		refs = "0009 __argv 0010 argend 001a arghead 002c ??_C@_02GNLKMPOH@?$CK?$DP?$AA@ 0031 _mbspbrk 0041 match 0048 add 0081 _calloc_crt 008f __argc 00cd free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 33 C0 48 89 05 ?? ?? ?? ?? 48 39 03 74 3E 48 FF 03 48 8B 0B 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0B 48 85 C0 74 0A 48 8B D0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 85 C0 75 15 48 83 C3 08 48 83 3B 00 75 C9 48 8B 05 ?? ?? ?? ?? 33 DB EB 0B 83 C8 FF EB 78 48 8B 40 08 FF C3 48 85 C0 75 F5 8D 43 01 B9 08 00 00 00 48 63 D0 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 D8 89 1D ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B CB 48 85 DB 74 13 48 8B 01 49 89 03 48 8B 49 08 49 83 C3 08 48 85 C9 75 ED 49 83 23 00 48 8B CB 48 85 DB 74 18 48 8B 5B 08 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EF 48 89 1D ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_938_0_0 {
	meta:
		name = "_putwch_nolock"
		size = 89
		refs = "000c _confh 0017 __initconout 0047 __imp_WriteConsoleW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B 0D ?? ?? ?? ?? 48 83 F9 FE 75 0C E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 83 F9 FF 75 07 B8 FF FF 00 00 EB 25 48 83 64 24 20 00 4C 8D 4C 24 48 48 8D 54 24 40 41 B8 01 00 00 00 FF 15 ?? ?? ?? ?? 85 C0 74 D9 0F B7 44 24 40 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_939_1_0 {
	meta:
		name = "rand_s"
		size = 260
		refs = "001a g_pfnRtlGenRandom 0020 __imp_DecodePointer 002d _errno 0039 _invalid_parameter_noinfo 0050 ??_C@_1BK@GAEMIDIL@?$AAA?$AAD?$AAV?$AAA?$AAP?$AAI?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 0056 __imp_LoadLibraryW 0065 ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 006e __imp_GetProcAddress 0084 __imp_GetLastError 008b _get_errno_from_oserr 00aa __imp_EncodePointer 00b2 _encoded_null 00c7 __imp_FreeLibrary"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B E9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F8 48 85 ED 75 18 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 E9 AB 00 00 00 83 65 00 00 48 85 C0 75 7E 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 CA 48 8D 15 ?? ?? ?? ?? 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 2B E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB 4A 48 8B C8 FF 15 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 48 87 1D ?? ?? ?? ?? 48 3B D8 74 09 48 8B CE FF 15 ?? ?? ?? ?? BA 04 00 00 00 48 8B CD FF D7 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_941_3_0 {
	meta:
		name = "_mbsnbset_s_l"
		size = 693
		refs = "006a ??0_LocaleUpdate@@QEAA@PEAUlocaleinfo_struct@@@Z 0085 _strnset_s 00ca _ismbblead_l 017c _errno 0229 _invalid_parameter_noinfo"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 45 33 F6 49 8B F1 45 8B F8 48 8B FA 4C 8B E9 44 89 75 48 45 8B E6 4D 85 C9 75 15 48 85 C9 75 19 48 85 D2 0F 85 3C 02 00 00 33 C0 E9 48 02 00 00 48 85 C9 0F 84 2C 02 00 00 48 85 D2 0F 84 23 02 00 00 48 8B 55 50 48 8D 4D D8 E8 ?? ?? ?? ?? 4C 8B 5D E0 45 39 73 08 75 2D 4C 8B CE 45 8B C7 48 8B D7 49 8B CD E8 ?? ?? ?? ?? 44 8B D8 44 38 75 F0 74 0B 48 8B 45 E8 83 A0 C8 00 00 00 FD 41 8B C3 E9 F2 01 00 00 41 8B C7 49 8B DD C1 E8 08 89 45 D0 84 C0 0F 84 AD 00 00 00 45 84 FF 0F 84 B5 00 00 00 48 8D 55 D8 0F B6 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 A1 00 00 00 40 F6 C6 01 74 0A 48 FF CE C7 45 48 01 00 00 00 48 D1 EE 45 38 75 00 74 60 48 85 F6 74 5B 48 FF CF 74 56 80 7B 01 00 74 58 45 85 E4 74 05 45 33 E4 EB 0F 0F B6 0B 48 8D 55 D8 E8 ?? ?? ?? ?? 44 8B E0 8B 45 D0 45 33 F6 88 03 48 FF C3 48 FF CF 74 27 45 85 E4 74 05 45 8B E6 EB 0F 0F B6 0B 48 8D 55 D8 E8 ?? ?? ?? ?? 44 8B E0 44 88 3B 48 FF C3 48 FF CE 44 38 33 75 A0 8B 4D 48 E9 87 00 00 00 45 33 F6 48 FF C7 41 8D 4E 01 44 88 33 EB 78 48 8D 55 D8 41 0F B6 CF E8 ?? ?? ?? ?? 85 C0 74 28 45 88 75 00 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 44 38 75 F0 74 0B 48 8B 4D E8 83 A1 C8 00 00 00 FD 8B C2 E9 F8 00 00 00 45 38 75 00 74 36 48 85 F6 74 2C 48 FF CF 74 27 45 85 E4 74 05 45 8B E6 EB 0F 0F B6 0B 48 8D 55 D8 E8 ?? ?? ?? ?? 44 8B E0 44 88 3B 48 FF C3 48 FF CE 44 38 33 75 CF 41 8B CE EB 03 41 8B CC 48 85 F6 75 32 45 85 E4 74 28 44 38 33 74 28 48 FF CF 74 1E 8D 4E 01 44 38 73 01 75 08 44 88 33 48 FF C7 EB 0D C6 03 20 EB 05 48 FF CF 74 08 48 FF C3 44 38 33 75 F3 48 85 FF 75 26 45 88 75 00 E8 ?? ?? ?? ?? 8D 5F 16 89 18 E8 ?? ?? ?? ?? 44 38 75 F0 74 62 48 8B 4D E8 83 A1 C8 00 00 00 FD EB 55 85 C9 74 26 E8 ?? ?? ?? ?? BA 2A 00 00 00 89 10 44 38 75 F0 0F 84 3E FF FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 2E FF FF FF 44 38 75 F0 0F 84 D4 FD FF FF 48 8B 45 E8 83 A0 C8 00 00 00 FD E9 C4 FD FF FF E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 38 49 8B 7B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_943_11_0 {
	meta:
		name = "??1TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ"
		size = 73
		refs = "0009 ??_7TransmogrifiedPrimary@details@Concurrency@@6B@ 0019 __imp_CloseHandle 0045 ?DeleteUmsCompletionList@UMS@details@Concurrency@@SAHPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 FF 15 ?? ?? ?? ?? 48 8B 4B 20 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 18 48 85 C9 74 06 FF 15 ?? ?? ?? ?? 48 8B 4B 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_943_14_0 {
	meta:
		name = "?Execute@TransmogrifiedPrimary@details@Concurrency@@AEAAXPEAVUMSThreadProxy@23@@Z"
		size = 32
		refs = "0012 ?ExecuteUmsThread@UMS@details@Concurrency@@SAHPEAX@Z 001a __imp_Sleep"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 89 51 08 48 8B 4B 20 E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? EB ED }
	condition:
		$1
}

rule file_943_22_0 {
	meta:
		name = "?Enqueue@?$SQueue@VUMSThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 23
	strings:
		$1 = { 4C 8D 82 80 00 00 00 49 83 20 00 48 8B 41 08 48 89 10 4C 89 41 08 C3 }
	condition:
		$1
}

rule file_943_23_0 {
	meta:
		name = "?Dequeue@?$SQueue@VUMSThreadProxy@details@Concurrency@@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
		size = 37
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 8A 80 00 00 00 48 89 08 48 85 C9 75 04 48 89 40 08 48 8B C2 C3 }
	condition:
		$1
}

rule file_943_30_0 {
	meta:
		name = "?Enqueue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 110
		refs = "0024 ?_Sleep0@details@Concurrency@@YAXXZ 0033 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 B8 01 00 00 00 48 8B FA 48 8B D9 87 41 10 85 C0 74 2A 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 5B 10 45 85 DB 75 E7 48 8D 8F 80 00 00 00 48 83 21 00 48 8B 43 08 48 89 38 48 89 4B 08 C7 43 10 00 00 00 00 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_943_31_0 {
	meta:
		name = "?Dequeue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
		size = 103
		refs = "001d ?_Sleep0@details@Concurrency@@YAXXZ 002c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 B8 01 00 00 00 48 8B D9 87 41 10 85 C0 74 2A 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 BB 01 00 00 00 44 87 5B 10 45 85 DB 75 E7 48 8B 03 48 85 C0 74 13 48 8B 88 80 00 00 00 48 89 0B 48 85 C9 75 04 48 89 5B 08 C7 43 10 00 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_943_32_0 {
	meta:
		name = "?QueueToCompletion@TransmogrifiedPrimary@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z"
		size = 136
		refs = "0016 ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 001e ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 003d ?Enqueue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAXPEAVUMSThreadProxy@23@@Z 006a __imp_WaitForSingleObject 0074 __imp_SetEvent"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 0B 48 8D 48 08 4C 8B 01 41 FF 50 30 48 8D 4B 38 48 8B D6 E8 ?? ?? ?? ?? 48 85 FF 74 0A 48 8D 4F 08 48 8B 01 FF 50 38 B8 01 00 00 00 F0 0F C1 43 50 FF C0 83 F8 01 75 17 48 8B 4B 20 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 4B 18 FF 15 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_943_33_0 {
	meta:
		name = "?BindNewProxy@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 28
		refs = "000e ?Dequeue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 83 C1 38 E8 ?? ?? ?? ?? 48 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_943_34_0 {
	meta:
		name = "?SearchForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 83
		refs = "001b __imp_SetEvent 0032 __imp_WaitForSingleObject 0045 ?Dequeue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 83 C8 FF F0 0F C1 41 50 FF C8 75 2B 48 8B 49 20 FF 15 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 41 FF 53 08 48 8B 4B 18 83 CA FF FF 15 ?? ?? ?? ?? 80 7B 54 00 74 04 33 C0 EB 0D 48 8D 4B 38 E8 ?? ?? ?? ?? 48 89 43 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_943_35_0 {
	meta:
		name = "?HandleBlocking@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 157
		refs = "0024 ?DequeueUmsCompletionListItems@UMS@details@Concurrency@@SAHPEAXKPEAPEAX@Z 002e __imp_GetLastError 0046 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 004d _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0057 _CxxThrowException 0062 ?FromUMSContext@UMSThreadProxy@details@Concurrency@@SAPEAV123@PEAX@Z 006a ?IsTerminated@UMSThreadProxy@details@Concurrency@@QEAA_NXZ 0089 ?SearchForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 40 48 8B 59 08 48 83 64 24 50 00 48 8B F9 48 8B 49 30 4C 8D 44 24 50 83 CA FF E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 4C 24 50 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 1D 48 8B 03 BA 01 00 00 00 48 8B CB FF 50 08 48 83 67 08 00 48 8B CF E8 ?? ?? ?? ?? EB 03 48 8B C3 48 8B 5C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_943_39_0 {
	meta:
		name = "?HandleYielding@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
		size = 66
		refs = "002c __imp_SetEvent 003e ?SearchForWork@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 83 79 5C 07 74 0F 33 C0 C7 41 38 01 00 00 00 48 87 41 40 EB 0E 83 61 5C 00 48 8B 49 30 FF 15 ?? ?? ?? ?? 48 83 63 08 00 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_943_40_0 {
	meta:
		name = "?PrimaryInvocation@TransmogrifiedPrimary@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z"
		size = 352
		refs = "001d ?GetCurrentUmsThread@UMS@details@Concurrency@@SAPEAXXZ 003d ?QueryUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0KPEAK@Z 0047 __imp_GetLastError 005e ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0065 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 006e _CxxThrowException 0078 ?SetUmsThreadInformation@UMS@details@Concurrency@@SAHPEAXW4_RTL_UMS_THREAD_INFO_CLASS@@0K@Z 00bb ?HandleYielding@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ 00d8 ?ExecuteUmsThread@UMS@details@Concurrency@@SAHPEAX@Z 00e0 __imp_Sleep 00e7 ?HandleBlocking@TransmogrifiedPrimary@details@Concurrency@@AEAAPEAVUMSThreadProxy@23@XZ 0117 __imp_WaitForSingleObject 012a ?Dequeue@?$SafeSQueue@VUMSThreadProxy@details@Concurrency@@V_NonReentrantLock@23@@details@Concurrency@@QEAAPEAVUMSThreadProxy@23@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 50 48 83 65 28 00 49 8B F8 8B D9 E8 ?? ?? ?? ?? 41 B9 08 00 00 00 4C 8D 45 28 41 8D 51 F9 48 8B C8 85 DB 74 3D 48 83 64 24 20 00 E8 ?? ?? ?? ?? 85 C0 75 69 FF 15 ?? ?? ?? ?? 48 8D 4D E0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC 48 89 7D 28 E8 ?? ?? ?? ?? 85 C0 75 2E FF 15 ?? ?? ?? ?? 48 8D 4D E0 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 E8 ?? ?? ?? ?? CC 48 8B 4D 28 85 DB 74 58 FF CB 74 2C E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 0F 84 85 00 00 00 48 8B 4D 28 48 89 41 08 48 8B 4B 20 E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? EB ED E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 5D 48 8B 4D 28 48 89 41 08 48 8B 4B 20 E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? EB ED 48 8B 49 18 83 CA FF FF 15 ?? ?? ?? ?? 48 8B 5D 28 80 7B 54 00 75 2B 48 8D 4B 38 E8 ?? ?? ?? ?? 48 89 43 08 48 8B 4D 28 48 8B F8 48 89 41 08 48 8B 4F 20 E8 ?? ?? ?? ?? 33 C9 FF 15 ?? ?? ?? ?? EB ED 48 8B 5C 24 60 48 8B 7C 24 68 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_943_41_0 {
	meta:
		name = "?PrimaryMain@TransmogrifiedPrimary@details@Concurrency@@CAKPEAX@Z"
		size = 161
		refs = "0022 ?PrimaryInvocation@TransmogrifiedPrimary@details@Concurrency@@CAXW4_RTL_UMS_SCHEDULER_REASON@@_KPEAX@Z 002f ?EnterUmsSchedulingMode@UMS@details@Concurrency@@SAHPEAU_UMS_SCHEDULER_STARTUP_INFO@@@Z 003b ??2@YAPEAX_K@Z 0049 __imp_GetLastError 005f ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0073 _TI3PEAVscheduler_resource_allocation_error@Concurrency@@ 007d _CxxThrowException 0086 ??1TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ 008e ??3@YAXPEAX@Z 0095 ?FreeLibraryAndDestroyThread@details@Concurrency@@YAXK@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 40 48 8B 41 30 C7 44 24 20 00 01 00 00 48 8B D9 49 89 43 E0 49 89 4B F0 48 8D 05 ?? ?? ?? ?? 49 8D 4B D8 49 89 43 E8 E8 ?? ?? ?? ?? 85 C0 75 4B 8D 48 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 23 FF 15 ?? ?? ?? ?? 48 8B CB 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 89 44 24 50 EB 06 48 83 64 24 50 00 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_943_42_0 {
	meta:
		name = "?Initialize@TransmogrifiedPrimary@details@Concurrency@@AEAAXXZ"
		size = 186
		refs = "000e ?CreateUmsCompletionList@UMS@details@Concurrency@@SAHPEAPEAX@Z 0018 __imp_GetLastError 0030 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0037 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 0041 _CxxThrowException 0052 __imp_CreateEventW 0096 ?PrimaryMain@TransmogrifiedPrimary@details@Concurrency@@CAKPEAX@Z 00ac ?LoadLibraryAndCreateThread@details@Concurrency@@YAPEAXPEAU_SECURITY_ATTRIBUTES@@_KP6AKPEAX@Z2KPEAK@Z"
	strings:
		$1 = { 40 53 48 83 EC 50 48 8B D9 48 83 C1 30 E8 ?? ?? ?? ?? 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 FF 15 ?? ?? ?? ?? 48 89 43 18 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 30 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8D 43 28 4C 8D 05 ?? ?? ?? ?? 4C 8B CB 48 89 44 24 28 83 64 24 20 00 33 D2 33 C9 E8 ?? ?? ?? ?? 48 89 43 10 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_943_43_0 {
	meta:
		name = "??0TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ"
		size = 152
		refs = "0018 ??_7TransmogrifiedPrimary@details@Concurrency@@6B@ 0041 ?Initialize@TransmogrifiedPrimary@details@Concurrency@@AEAAXXZ 0052 __imp_CreateEventW 0061 __imp_GetLastError 0079 ??0scheduler_resource_allocation_error@Concurrency@@QEAA@J@Z 0080 _TI2?AVscheduler_resource_allocation_error@Concurrency@@ 008a _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 61 08 00 48 83 61 18 00 48 83 61 20 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8D 41 38 48 83 20 00 48 89 40 08 C7 40 10 00 00 00 00 C7 41 50 00 00 00 00 C6 41 54 00 E8 ?? ?? ?? ?? 45 33 C9 33 D2 33 C9 45 8D 41 01 FF 15 ?? ?? ?? ?? 48 89 43 20 48 85 C0 75 30 FF 15 ?? ?? ?? ?? 48 8D 4C 24 20 0F B7 D0 81 CA 00 00 07 80 85 C0 0F 4E D0 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_943_44_0 {
	meta:
		name = "??0CachedTransmogrifiedPrimary@details@Concurrency@@QEAA@PEAVTransmogrificator@12@@Z"
		size = 49
		refs = "0011 ??0TransmogrifiedPrimary@details@Concurrency@@QEAA@XZ 0018 ??_7CachedTransmogrifiedPrimary@details@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 89 5F 70 48 8B 5C 24 30 4C 89 1F 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_944_0_0 {
	meta:
		name = "memmove_s"
		size = 81
		refs = "0014 _errno 0020 _invalid_parameter_noinfo 0045 memmove"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B C0 4D 85 C9 74 3B 48 85 C9 75 15 E8 ?? ?? ?? ?? BB 16 00 00 00 89 18 E8 ?? ?? ?? ?? 8B C3 EB 23 48 85 C0 74 E6 49 3B D1 73 0C E8 ?? ?? ?? ?? BB 22 00 00 00 EB DF 4D 8B C1 48 8B D0 E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_946_0_0 {
	meta:
		name = "puts"
		size = 382
		refs = "0028 _errno 0033 _invalid_parameter_noinfo 003f __iob_func 004e _fileno 0068 __pioinfo 007a __badioinfo 00ce _lock_file2 00dd _stbuf 00e8 strlen 0104 _fwrite_nolock 0138 _flsbuf 014b _ftbuf 015f _unlock_file2"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 83 EC 20 48 8B F1 83 CF FF 33 C0 48 85 C9 0F 95 C0 85 C0 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B C7 E9 2A 01 00 00 E8 ?? ?? ?? ?? F6 40 48 40 75 76 48 8D 48 30 E8 ?? ?? ?? ?? 3B C7 74 2A 83 F8 FE 74 25 48 63 D0 48 8B CA 48 C1 F9 05 4C 8D 05 ?? ?? ?? ?? 83 E2 1F 48 6B D2 58 49 03 14 C8 48 8D 0D ?? ?? ?? ?? EB 11 48 8D 0D ?? ?? ?? ?? 48 8B D1 4C 8D 05 ?? ?? ?? ?? F6 42 38 7F 75 90 3B C7 74 1A 83 F8 FE 74 15 48 63 C8 48 8B C1 48 C1 F8 05 83 E1 1F 48 6B C9 58 49 03 0C C0 F6 41 38 80 0F 85 68 FF FF FF E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 48 30 E8 ?? ?? ?? ?? 44 8B E0 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8D 48 30 4C 8B C3 BA 01 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 3B C3 75 31 E8 ?? ?? ?? ?? 01 78 38 78 12 E8 ?? ?? ?? ?? 48 8B 48 30 C6 01 0A 48 FF 40 30 EB 13 E8 ?? ?? ?? ?? 48 8D 50 30 B9 0A 00 00 00 E8 ?? ?? ?? ?? 33 FF E8 ?? ?? ?? ?? 48 8D 50 30 41 8B CC E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8D 50 30 B9 01 00 00 00 E8 ?? ?? ?? ?? E9 CF FE FF FF 48 8B 5C 24 30 48 8B 74 24 38 48 8B 7C 24 40 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_947_0_0 {
	meta:
		name = "_locking_nolock"
		size = 228
		refs = "0026 _lseek_nolock 0052 _get_osfhandle 006c __imp_UnlockFile 0074 __imp_LockFile 007e __imp_GetLastError 0093 __imp_Sleep 00ac _dosmaperr 00b3 _errno 00be __doserrno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 30 8B FA 33 D2 45 8B E8 44 8D 42 01 8B E9 E8 ?? ?? ?? ?? 44 8B E0 83 F8 FF 75 08 83 C8 FF E9 91 00 00 00 83 FF 01 74 09 83 FF 03 74 04 33 F6 EB 05 BE 09 00 00 00 8B CD 33 DB E8 ?? ?? ?? ?? 21 5C 24 20 45 33 C0 45 8B CD 41 8B D4 48 8B C8 85 FF 75 08 FF 15 ?? ?? ?? ?? EB 06 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? 8B D8 85 F6 7E 13 85 DB 74 3D B9 E8 03 00 00 FF 15 ?? ?? ?? ?? FF CE EB B2 85 DB 74 2A 83 FF 01 74 0E 83 FF 03 74 09 8B CB E8 ?? ?? ?? ?? EB 80 E8 ?? ?? ?? ?? C7 00 24 00 00 00 E8 ?? ?? ?? ?? 89 18 E9 69 FF FF FF 33 C0 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_948_3_0 {
	meta:
		name = "wfind"
		size = 197
		refs = "0015 ?findbuf@?1??wfind@@9@9 0024 _malloc_crt 003b ?_WildFindHandle@?1??wfind@@9@9 0046 __imp_FindClose 0071 __imp_FindFirstFileExW 00a3 __imp_FindNextFileW"
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B D9 48 85 C9 0F 84 81 00 00 00 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 1A B9 54 03 00 00 E8 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 C0 75 04 33 C0 EB 55 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 15 FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8B 05 ?? ?? ?? ?? 83 64 24 28 00 48 83 64 24 20 00 45 33 C9 4C 8B C0 33 D2 48 8B CB FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 83 F8 FF 74 B2 48 8B 05 ?? ?? ?? ?? 48 83 C0 2C 48 83 C4 30 5B C3 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 D7 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 E9 6F FF FF FF }
	condition:
		$1
}

rule file_948_4_0 {
	meta:
		name = "wmatch"
		size = 645
		refs = "008a wfind 009d argend 00a4 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 00ac wcscmp 00bb ??_C@_15DDHGOCBH@?$AA?4?$AA?4?$AA?$AA@ 00e5 _wcsdup 00f9 wadd 0111 wcslen 0147 _calloc_crt 0164 wcsncpy_s 017b wcscpy_s 01a3 ?findbuf@?1??wfind@@9@9 01aa ?_WildFindHandle@?1??wfind@@9@9 01b0 __imp_FindNextFileW 01db _invoke_watson 01ff __imp_FindClose 021e arghead 0230 _wcsicmp"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 E4 33 ED 48 8B DA 48 8B F9 44 89 64 24 68 48 85 D2 75 08 83 C8 FF E9 2F 02 00 00 48 3B D1 74 1B 66 83 3B 5C 74 15 66 83 3B 2F 74 0F 66 83 3B 3A 74 0F 48 83 EB 02 48 3B D9 75 E5 66 83 3B 3A 75 0D 48 8D 41 02 48 3B D8 0F 85 F7 01 00 00 66 83 3B 5C 74 0C 66 83 3B 2F 74 06 66 83 3B 3A 75 0B 48 8B EB 48 2B E9 48 D1 FD FF C5 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 84 C6 01 00 00 4C 8B 3D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 E8 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 85 C0 0F 84 D1 00 00 00 66 83 3B 5C 74 35 66 83 3B 3A 74 2F 66 83 3B 2F 74 29 48 8B CE E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 3C FF FF FF 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 2C FF FF FF E9 8E 00 00 00 48 8B CE 4C 63 F5 E8 ?? ?? ?? ?? 4E 8D 64 30 01 85 ED 0F 88 0F FF FF FF 48 B8 FF FF FF FF FF FF FF 7F 4C 3B E0 0F 83 FC FE FF FF 4D 3B E6 0F 82 F3 FE FF FF BA 02 00 00 00 49 8B CC E8 ?? ?? ?? ?? 4C 8B E8 48 85 C0 0F 84 DA FE FF FF 4D 8B CE 4C 8B C7 49 8B D4 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 74 4D 2B E6 4B 8D 4C 75 00 4C 8B C6 49 8B D4 E8 ?? ?? ?? ?? 85 C0 75 47 49 8B CD E8 ?? ?? ?? ?? 85 C0 0F 85 9E FE FF FF 44 8B 64 24 68 41 FF C4 44 89 64 24 68 48 8B 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 3E 48 8B 35 ?? ?? ?? ?? 48 83 C6 2C 74 46 E9 D7 FE FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 45 85 E4 74 50 4D 85 FF 74 06 49 8B 7F 08 EB 07 48 8B 3D ?? ?? ?? ?? 48 85 FF 74 35 EB 27 48 8B 17 48 8B 0B E8 ?? ?? ?? ?? 85 C0 79 0C 48 8B 03 48 8B 0F 48 89 07 48 89 0B 48 8B 5B 08 48 85 DB 75 DC 48 8B 3E 48 8D 77 08 48 8B 1E 48 85 DB 75 CD 33 C0 EB 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 70 48 8B 74 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_948_5_0 {
	meta:
		name = "_wcwild"
		size = 233
		refs = "0009 __wargv 0010 argend 001a arghead 002d ??_C@_15EAECJAPL@?$AA?$CK?$AA?$DP?$AA?$AA@ 0032 wcspbrk 0042 wmatch 0049 wadd 0082 _calloc_crt 0090 __argc 00ce free"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 1D ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 33 C0 48 89 05 ?? ?? ?? ?? 48 39 03 74 3F 48 83 03 02 48 8B 0B 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B 0B 48 85 C0 74 0A 48 8B D0 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 85 C0 75 15 48 83 C3 08 48 83 3B 00 75 C8 48 8B 05 ?? ?? ?? ?? 33 DB EB 0B 83 C8 FF EB 78 48 8B 40 08 FF C3 48 85 C0 75 F5 8D 43 01 B9 08 00 00 00 48 63 D0 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 D8 89 1D ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B CB 48 85 DB 74 13 48 8B 01 49 89 03 48 8B 49 08 49 83 C3 08 48 85 C9 75 ED 49 83 23 00 48 8B CB 48 85 DB 74 18 48 8B 5B 08 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 EF 48 89 1D ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_951_2_0 {
	meta:
		name = "_execve"
		size = 635
		refs = "002e _errno 0039 _invalid_parameter_noinfo 0073 _mbsrchr 00a6 _mbschr 00ba strlen 00c9 _calloc_crt 00dc ??_C@_02CEGDFPFP@?4?2?$AA@ 00e7 strcpy_s 00f9 strcat_s 0117 _invoke_watson 0158 _access_s 016e comexecmd 01d3 ext_strings 0236 free"
	strings:
		$1 = { 48 89 5C 24 10 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 F6 4D 8B E8 4C 8B E2 48 8B E9 48 8B F9 48 85 C9 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 48 83 C8 FF 48 8B 5C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 44 38 31 74 D2 48 85 D2 74 CD 48 8B 02 48 85 C0 74 C5 44 38 30 74 C0 BA 5C 00 00 00 E8 ?? ?? ?? ?? BA 2F 00 00 00 48 8B CD 48 8B F0 E8 ?? ?? ?? ?? 41 BF 01 00 00 00 48 85 C0 0F 85 9B 00 00 00 48 85 F6 0F 85 9F 00 00 00 8D 50 3A 48 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 0F 85 88 00 00 00 48 8B CD E8 ?? ?? ?? ?? 41 8B D7 48 8D 58 03 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 0F 84 64 FF FF FF 4C 8D 05 ?? ?? ?? ?? 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 85 C0 75 2D 4C 8B C5 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 85 C0 75 06 48 8D 77 02 EB 37 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC 48 85 F6 74 05 48 3B C6 76 03 48 8B F0 48 83 CB FF 48 8B CE 8D 53 2F E8 ?? ?? ?? ?? 48 8B CF 48 85 C0 74 25 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 85 D6 00 00 00 4D 8B C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 E9 C0 00 00 00 E8 ?? ?? ?? ?? 49 8B D7 4C 8D 68 05 49 8B CD E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 08 48 8B C3 E9 A3 FE FF FF 4C 8B C7 49 8B D5 48 8B C8 E8 ?? ?? ?? ?? 85 C0 0F 85 B2 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8D 34 06 E8 ?? ?? ?? ?? 4D 2B EE 44 8B 38 49 8D 44 35 00 4C 8D 2D ?? ?? ?? ?? 48 89 44 24 70 4D 8B 45 00 48 8B D0 49 8B CE E8 ?? ?? ?? ?? 85 C0 75 61 33 D2 48 8B CE E8 ?? ?? ?? ?? 85 C0 74 17 48 8D 05 ?? ?? ?? ?? 49 83 ED 08 4C 3B E8 48 8B 44 24 70 7D CA EB 1E E8 ?? ?? ?? ?? 4C 8B 84 24 80 00 00 00 49 8B D4 48 8B CE 44 89 38 E8 ?? ?? ?? ?? 48 8B D8 48 8B CE E8 ?? ?? ?? ?? 48 3B FD 0F 84 53 FF FF FF 48 8B CF E8 ?? ?? ?? ?? E9 46 FF FF FF 48 83 64 24 20 00 45 33 C9 45 33 C0 33 D2 33 C9 E8 ?? ?? ?? ?? CC 45 33 C9 45 33 C0 33 D2 33 C9 4C 89 74 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_953_0_0 {
	meta:
		name = "_vsprintf_l"
		size = 181
		refs = "0030 memset 003a _errno 0045 _invalid_parameter_noinfo 007c _output_l 009a _flsbuf"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 57 48 83 EC 50 48 83 60 C8 00 48 8B FA 33 D2 49 8B E8 48 8B D9 44 8D 42 28 48 8D 48 D0 49 8B F1 E8 ?? ?? ?? ?? 48 85 FF 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 52 48 85 DB 74 E6 48 8D 4C 24 20 4C 8B CE 4C 8B C5 48 8B D7 C7 44 24 28 FF FF FF 7F C7 44 24 38 42 00 00 00 48 89 5C 24 30 48 89 5C 24 20 E8 ?? ?? ?? ?? FF 4C 24 28 8B D8 78 0A 48 8B 4C 24 20 C6 01 00 EB 0C 48 8D 54 24 20 33 C9 E8 ?? ?? ?? ?? 8B C3 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_954_0_0 {
	meta:
		name = "realloc"
		size = 211
		refs = "001e malloc 002a free 0039 _crtheap 0053 __imp_HeapReAlloc 0061 _newmode 006b _callnewh 0082 _errno 00a8 __imp_GetLastError 00af _get_errno_from_oserr"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B DA 48 8B F9 48 85 C9 75 0A 48 8B CA E8 ?? ?? ?? ?? EB 6A 48 85 D2 75 07 E8 ?? ?? ?? ?? EB 5C 48 83 FA E0 77 43 48 8B 0D ?? ?? ?? ?? B8 01 00 00 00 48 85 DB 48 0F 44 D8 4C 8B C7 33 D2 4C 8B CB FF 15 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 6F 39 05 ?? ?? ?? ?? 74 50 48 8B CB E8 ?? ?? ?? ?? 85 C0 74 2B 48 83 FB E0 76 BD 48 8B CB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 EB D5 E8 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 03 48 8B C6 EB BB }
	condition:
		$1
}

rule file_956_0_0 {
	meta:
		name = "_raise_exc_ex"
		size = 780
		refs = "0111 _statfp 0250 _clrfp 0262 __imp_RaiseException"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 70 18 48 89 78 20 48 89 48 08 55 48 8B EC 48 83 EC 20 48 8B DA 33 D2 41 8B F1 89 51 04 48 8B 45 10 89 50 08 48 8B 45 10 89 50 0C 41 F6 C0 10 74 0F 48 8B 45 10 BF 8F 00 00 C0 83 48 04 01 EB 03 8B 7D 40 41 F6 C0 02 74 0D 48 8B 45 10 BF 93 00 00 C0 83 48 04 02 41 F6 C0 01 74 0D 48 8B 45 10 BF 91 00 00 C0 83 48 04 04 41 F6 C0 04 74 0D 48 8B 45 10 BF 8E 00 00 C0 83 48 04 08 41 F6 C0 08 74 0D 48 8B 45 10 BF 90 00 00 C0 83 48 04 10 48 8B 4D 10 48 8B 03 48 C1 E8 07 C1 E0 04 F7 D0 33 41 08 83 E0 10 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 09 C1 E0 03 F7 D0 33 41 08 83 E0 08 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 0A C1 E0 02 F7 D0 33 41 08 83 E0 04 31 41 08 48 8B 4D 10 48 8B 03 48 C1 E8 0B 03 C0 F7 D0 33 41 08 83 E0 02 31 41 08 8B 03 48 8B 4D 10 48 C1 E8 0C F7 D0 33 41 08 83 E0 01 31 41 08 E8 ?? ?? ?? ?? 4C 8B D8 A8 01 74 08 48 8B 4D 10 83 49 0C 10 A8 04 74 08 48 8B 4D 10 83 49 0C 08 A8 08 74 08 48 8B 45 10 83 48 0C 04 41 F6 C3 10 74 08 48 8B 45 10 83 48 0C 02 41 F6 C3 20 74 08 48 8B 45 10 83 48 0C 01 8B 03 B9 00 60 00 00 48 23 C1 74 3E 48 3D 00 20 00 00 74 26 48 3D 00 40 00 00 74 0E 48 3B C1 75 30 48 8B 45 10 83 08 03 EB 27 48 8B 45 10 83 20 FE 48 8B 45 10 83 08 02 EB 17 48 8B 45 10 83 20 FD 48 8B 45 10 83 08 01 EB 07 48 8B 45 10 83 20 FC 48 8B 45 10 81 E6 FF 0F 00 00 81 20 1F 00 FE FF 48 8B 45 10 C1 E6 05 09 30 48 8B 45 10 48 8B 75 38 83 48 20 01 83 7D 40 00 74 33 48 8B 45 10 BA E1 FF FF FF 21 50 20 48 8B 45 30 8B 08 48 8B 45 10 89 48 10 48 8B 45 10 83 48 60 01 48 8B 45 10 21 50 60 48 8B 45 10 8B 0E 89 48 50 EB 48 48 8B 4D 10 41 B8 E3 FF FF FF 8B 41 20 41 23 C0 83 C8 02 89 41 20 48 8B 45 30 48 8B 08 48 8B 45 10 48 89 48 10 48 8B 45 10 83 48 60 01 48 8B 55 10 8B 42 60 41 23 C0 83 C8 02 89 42 60 48 8B 45 10 48 8B 16 48 89 50 50 E8 ?? ?? ?? ?? 33 D2 4C 8D 4D 10 44 8D 42 01 8B CF FF 15 ?? ?? ?? ?? 4C 8B 5D 10 41 F6 43 08 10 74 05 48 0F BA 33 07 41 F6 43 08 08 74 05 48 0F BA 33 09 41 F6 43 08 04 74 05 48 0F BA 33 0A 41 F6 43 08 02 74 05 48 0F BA 33 0B 41 F6 43 08 01 74 05 48 0F BA 33 0C 41 8B 03 83 E0 03 74 2D FF C8 74 1D FF C8 74 0D FF C8 75 28 48 81 0B 00 60 00 00 EB 1F 48 0F BA 33 0D 48 0F BA 2B 0E EB 13 48 0F BA 33 0E 48 0F BA 2B 0D EB 07 48 81 23 FF 9F FF FF 83 7D 40 00 74 08 41 8B 43 50 89 06 EB 07 49 8B 43 50 48 89 06 48 8B 5C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_956_1_0 {
	meta:
		name = "_raise_exc"
		size = 39
		refs = "001e _raise_exc_ex"
	strings:
		$1 = { 48 83 EC 48 83 64 24 30 00 48 8B 44 24 78 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_956_2_0 {
	meta:
		name = "_raise_excf"
		size = 42
		refs = "0021 _raise_exc_ex"
	strings:
		$1 = { 48 83 EC 48 48 8B 44 24 78 C7 44 24 30 01 00 00 00 48 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_956_3_0 {
	meta:
		name = "_handle_exc"
		size = 618
		refs = "003b _set_statfp 00b2 __real@0000000000000000 00ba _d_max 0104 _d_inf 0116 __mask@@NegDouble@ 0163 _decomp"
	strings:
		$1 = { 48 89 5C 24 10 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 33 ED 8B D9 0F 29 74 24 20 83 E3 1F 4D 8B E8 48 8B F2 44 8B F1 44 8D 7D 10 F6 C1 08 74 15 45 84 C0 79 10 8D 4D 01 E8 ?? ?? ?? ?? 83 E3 F7 E9 E8 01 00 00 B9 04 00 00 00 44 84 F1 74 14 49 0F BA E0 09 73 0D E8 ?? ?? ?? ?? 83 E3 FB E9 CA 01 00 00 BF 01 00 00 00 44 84 F7 0F 84 B3 00 00 00 49 0F BA E0 0A 0F 83 A8 00 00 00 8D 4F 07 E8 ?? ?? ?? ?? 4D 8B DD B8 00 60 00 00 4C 23 D8 74 5F 49 81 FB 00 20 00 00 74 3E 49 81 FB 00 40 00 00 74 1D 4C 3B D8 75 74 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 77 5A EB 50 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 77 30 F2 0F 10 05 ?? ?? ?? ?? EB 38 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 76 22 F2 0F 10 05 ?? ?? ?? ?? EB 28 F2 0F 10 06 66 0F 2F 05 ?? ?? ?? ?? 76 0A F2 0F 10 05 ?? ?? ?? ?? EB 10 F2 0F 10 05 ?? ?? ?? ?? 66 0F 57 05 ?? ?? ?? ?? F2 0F 11 06 83 E3 FE E9 09 01 00 00 41 F6 C6 02 0F 84 FF 00 00 00 49 0F BA E0 0B 0F 83 F4 00 00 00 F2 0F 10 02 66 0F 57 F6 45 84 F7 44 8B E5 44 0F 45 E7 66 0F 2E C6 7A 0A 75 08 44 8B E7 E9 C2 00 00 00 48 8D 54 24 70 E8 ?? ?? ?? ?? 8B 4C 24 70 81 C1 00 FA FF FF F2 0F 11 84 24 88 00 00 00 81 F9 CE FB FF FF 7D 0C F2 0F 59 C6 44 8B E7 E9 8D 00 00 00 66 0F 2F F0 8B D7 77 02 8B D5 48 8B 84 24 88 00 00 00 48 C1 E8 30 66 83 E0 0F 66 41 0B C7 66 89 84 24 8E 00 00 00 81 F9 03 FC FF FF 7D 4A 8B 84 24 88 00 00 00 41 B8 03 FC FF FF 44 2B C1 8B 8C 24 8C 00 00 00 40 84 C7 74 07 45 85 E4 44 0F 44 E7 D1 E8 89 84 24 88 00 00 00 40 84 CF 74 0B 0F BA E8 1F 89 84 24 88 00 00 00 D1 E9 4C 2B C7 75 D4 89 8C 24 8C 00 00 00 F2 0F 10 84 24 88 00 00 00 85 D2 74 08 66 0F 57 05 ?? ?? ?? ?? F2 0F 11 06 45 85 E4 74 08 49 8B CF E8 ?? ?? ?? ?? 83 E3 FD 45 84 F7 74 14 49 0F BA E5 0C 73 0D B9 20 00 00 00 E8 ?? ?? ?? ?? 83 E3 EF 0F 28 74 24 20 85 DB 48 8B 5C 24 78 40 0F 94 C5 8B C5 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_956_4_0 {
	meta:
		name = "_set_errno_from_matherr"
		size = 45
		refs = "0011 _errno"
	strings:
		$1 = { 48 83 EC 28 83 F9 01 74 14 7E 1D 83 F9 03 7F 18 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_956_5_0 {
	meta:
		name = "_get_fname"
		size = 49
		refs = "0003 ?_names@?1??_get_fname@@9@9"
	strings:
		$1 = { 4C 8D 0D ?? ?? ?? ?? 33 D2 49 8B C1 39 08 74 15 4C 8D 05 ?? ?? ?? ?? 48 83 C0 10 FF C2 49 3B C0 7C EA 33 C0 C3 48 63 C2 48 03 C0 49 8B 44 C1 08 C3 }
	condition:
		$1
}

rule file_956_6_0 {
	meta:
		name = "_errcode"
		size = 67
	strings:
		$1 = { 8B C1 F6 C1 20 74 07 B9 05 00 00 00 EB 32 A8 08 74 07 B9 01 00 00 00 EB 27 A8 04 74 07 B9 02 00 00 00 EB 1C B9 01 00 00 00 84 C1 74 07 B9 03 00 00 00 EB 0C 0F B6 C0 B9 02 00 00 00 23 C8 03 C9 8B C1 C3 }
	condition:
		$1
}

rule file_956_7_0 {
	meta:
		name = "_umatherr"
		size = 212
		refs = "0014 ?_names@?1??_get_fname@@9@9 0098 _ctrlfp 00a2 _matherr 00ad _set_errno_from_matherr"
	strings:
		$1 = { F2 0F 11 5C 24 20 F2 0F 11 54 24 18 53 48 83 EC 50 4C 8D 0D ?? ?? ?? ?? 8B D9 45 33 C0 49 8B C1 39 10 74 17 48 8D 0D ?? ?? ?? ?? 48 83 C0 10 41 FF C0 48 3B C1 7C E9 33 C0 EB 0B 49 63 C0 48 03 C0 49 8B 44 C1 08 48 8B 8C 24 88 00 00 00 48 89 44 24 28 BA C0 FF 00 00 48 85 C0 74 5C 8B 44 24 70 89 5C 24 20 89 44 24 30 8B 44 24 74 89 44 24 34 8B 44 24 78 89 44 24 38 8B 44 24 7C 89 44 24 3C 8B 84 24 80 00 00 00 89 44 24 40 8B 84 24 84 00 00 00 89 44 24 44 E8 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 85 C0 75 07 8B CB E8 ?? ?? ?? ?? F2 0F 10 44 24 40 EB 15 E8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? F2 0F 10 84 24 80 00 00 00 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_956_8_0 {
	meta:
		name = "_handle_qnan1"
		size = 99
		refs = "0008 _matherr_flag 0036 _umatherr 003d _errno 0050 _ctrlfp"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 0F 29 74 24 30 49 8B D8 66 0F 28 F1 75 21 66 0F 57 DB 8B D1 66 0F 28 D1 B9 01 00 00 00 48 89 5C 24 28 F2 0F 11 4C 24 20 E8 ?? ?? ?? ?? EB 1C E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB C7 00 21 00 00 00 E8 ?? ?? ?? ?? 66 0F 28 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_956_9_0 {
	meta:
		name = "_handle_qnan2"
		size = 103
		refs = "0008 _matherr_flag 003a _umatherr 0041 _errno 0054 _ctrlfp"
	strings:
		$1 = { 40 53 48 83 EC 40 83 3D ?? ?? ?? ?? 00 0F 29 74 24 30 66 0F 28 F1 F2 0F 58 F2 49 8B D9 75 21 66 0F 28 DA 8B D1 66 0F 28 D1 B9 01 00 00 00 48 89 5C 24 28 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? EB 1C E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB C7 00 21 00 00 00 E8 ?? ?? ?? ?? 66 0F 28 C6 0F 28 74 24 30 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_956_10_0 {
	meta:
		name = "_except1"
		size = 242
		refs = "001c __security_cookie 0045 _handle_exc 0076 _raise_exc_ex 0081 _errcode 0087 _matherr_flag 00af _umatherr 00b8 _set_errno_from_matherr 00c5 _ctrlfp 00d6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 8D 68 A9 48 81 EC E0 00 00 00 0F 29 70 D8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 1F 48 8B 5D 7F 8B F2 48 8D 55 9F F2 0F 11 55 A7 F2 0F 11 5D 9F 66 0F 28 F2 4C 8B C3 8B F9 E8 ?? ?? ?? ?? 85 C0 75 31 21 44 24 30 83 65 EF FE 48 8D 45 9F 48 89 44 24 28 48 8D 45 A7 48 8D 55 7F 48 8D 4D AF 44 8B CE 44 8B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5D 7F 8B CF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 27 85 C0 74 23 F2 0F 10 45 9F 66 0F 57 DB 66 0F 28 D6 8B D6 8B C8 48 89 5C 24 28 F2 0F 11 44 24 20 E8 ?? ?? ?? ?? EB 19 8B C8 E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 9F 48 8B 4D 1F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_956_11_0 {
	meta:
		name = "_except2"
		size = 264
		refs = "0020 __security_cookie 0048 _handle_exc 0087 _raise_exc_ex 0092 _errcode 0098 _matherr_flag 00c0 _umatherr 00c9 _set_errno_from_matherr 00d6 _ctrlfp 00e7 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 48 89 58 10 55 56 57 48 8D 68 B1 48 81 EC F0 00 00 00 0F 29 70 D8 0F 29 78 C8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 48 8B 5D 7F 8B F2 48 8D 55 77 F2 0F 11 55 87 66 0F 28 F3 66 0F 28 FA 4C 8B C3 8B F9 E8 ?? ?? ?? ?? 85 C0 75 3F 8B 45 D7 83 64 24 30 00 48 8D 55 7F F2 0F 11 75 C7 83 E0 E3 48 8D 4D 97 44 8B CE 83 C8 03 44 8B C7 89 45 D7 48 8D 45 77 48 89 44 24 28 48 8D 45 87 48 89 44 24 20 E8 ?? ?? ?? ?? 48 8B 5D 7F 8B CF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 27 85 C0 74 23 F2 0F 10 45 77 66 0F 28 DE 66 0F 28 D7 8B D6 8B C8 48 89 5C 24 28 F2 0F 11 44 24 20 E8 ?? ?? ?? ?? EB 19 8B C8 E8 ?? ?? ?? ?? BA C0 FF 00 00 48 8B CB E8 ?? ?? ?? ?? F2 0F 10 45 77 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 F0 00 00 00 49 8B 5B 28 41 0F 28 73 F0 41 0F 28 7B E0 49 8B E3 5F 5E 5D C3 }
	condition:
		$1
}

rule file_0_0_1 {
	meta:
		name = "_LExp"
		size = 330
		refs = "0008 __real@c0dccc8000000000 002e hugexp 0038 _LInf 0052 invln2 0060 __real@bfe0000000000000 006a __real@3fe0000000000000 0072 _LEps 0091 c2 0099 c1 00a9 __mask@@NegDouble@ 00da q 00e2 p 012a __real@4000000000000000 0140 _LDscale"
	strings:
		$1 = { F2 0F 10 19 F2 0F 10 05 ?? ?? ?? ?? 66 0F 28 E1 66 0F 2F C3 0F 87 2A 01 00 00 66 0F 57 D2 66 0F 2E CA 7A 06 0F 84 1A 01 00 00 66 0F 2F 1D ?? ?? ?? ?? 76 16 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 11 01 E9 FF 00 00 00 66 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F D0 76 0A F2 0F 10 0D ?? ?? ?? ?? EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C8 F2 0F 2C D1 0F BF C2 66 0F 6E C8 F3 0F E6 C9 66 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 66 0F 28 C2 66 0F 57 05 ?? ?? ?? ?? F2 0F 5C D9 66 0F 2F D8 76 0C 66 0F 2F D3 76 06 F2 0F 11 21 EB 73 66 0F 28 CB 66 FF CA F2 0F 59 CB 66 0F 28 D1 66 0F 28 C1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 66 0F 28 CA F2 0F 5C D3 F2 0F 58 CB F2 0F 5E CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 48 89 01 C3 }
	condition:
		$1
}

rule file_2_0_1 {
	meta:
		name = "_Dtest"
		size = 94
	strings:
		$1 = { 0F B7 51 06 B8 F0 7F 00 00 66 23 D0 66 3B D0 75 24 F6 41 06 0F 75 18 33 C0 66 39 41 04 75 10 66 39 41 02 75 0A 66 39 01 B8 01 00 00 00 74 2E B8 02 00 00 00 C3 0F B7 41 06 A9 FF 7F FF FF 75 13 33 C0 66 39 41 04 75 0B 66 39 41 02 75 05 66 39 01 74 0A 66 F7 DA 1B C0 F7 D8 83 C0 FE C3 }
	condition:
		$1
}

rule file_3_0_1 {
	meta:
		name = "??0_Init_locks@std@@QEAA@XZ"
		size = 75
		refs = "0015 init 001e mtx 002b _Mtxinit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 F0 FF 05 ?? ?? ?? ?? 75 1D 48 8D 3D ?? ?? ?? ?? BE 04 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 83 C7 28 48 FF CE 75 EF 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_1_1 {
	meta:
		name = "??1_Init_locks@std@@QEAA@XZ"
		size = 60
		refs = "000d init 0017 mtx 0024 _Mtxdst"
		altNames = "?_Init_locks_dtor@_Init_locks@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F0 83 05 ?? ?? ?? ?? FF 79 1D 48 8D 1D ?? ?? ?? ?? BF 04 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 FF CF 75 EF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_2_1 {
	meta:
		name = "?_Init_locks_ctor@_Init_locks@std@@CAXPEAV12@@Z"
		size = 59
		refs = "000d init 0016 mtx 0023 _Mtxinit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 F0 FF 05 ?? ?? ?? ?? 75 1D 48 8D 1D ?? ?? ?? ?? BF 04 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 FF CF 75 EF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_3_4_1 {
	meta:
		name = "??0_Lockit@std@@QEAA@XZ"
		size = 33
		refs = "000f mtx 0014 _Mtxlock"
	strings:
		$1 = { 40 53 48 83 EC 20 83 21 00 48 8B D9 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_3_5_1 {
	meta:
		name = "??0_Lockit@std@@QEAA@H@Z"
		size = 48
		refs = "001a mtx 0023 _Mtxlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 89 11 83 FA 04 7D 17 48 63 C2 48 8D 14 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C D0 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_3_6_1 {
	meta:
		name = "??1_Lockit@std@@QEAA@XZ"
		size = 37
		refs = "0013 mtx 001c _Mtxunlock"
	strings:
		$1 = { 48 83 EC 28 83 39 04 7D 17 48 63 01 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_3_8_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPEAV12@H@Z"
		size = 28
		refs = "000f mtx 0018 _Mtxlock"
	strings:
		$1 = { 83 E2 03 48 63 C2 89 11 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_9_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@CAXPEAV12@@Z"
		size = 23
		refs = "000a mtx 0013 _Mtxunlock"
	strings:
		$1 = { 48 63 01 48 8D 0C 80 48 8D 05 ?? ?? ?? ?? 48 8D 0C C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_10_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@SAXH@Z"
		size = 25
		refs = "0005 mtx 0015 _Mtxlock"
	strings:
		$1 = { 8B C1 48 8D 0D ?? ?? ?? ?? 83 E0 03 48 8D 04 80 48 8D 0C C1 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_11_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@SAXH@Z"
		size = 25
		refs = "0005 mtx 0015 _Mtxunlock"
	strings:
		$1 = { 8B C1 48 8D 0D ?? ?? ?? ?? 83 E0 03 48 8D 04 80 48 8D 0C C1 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_19_1 {
	meta:
		name = "?_Getctype@_Locinfo@std@@QEBA?AU_Ctypevec@@XZ"
		size = 50
		refs = "000f _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 4C 24 20 48 8B DA E8 ?? ?? ?? ?? 48 8B 08 48 89 0B 48 8B 48 08 48 8B 40 10 48 89 4B 08 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_4_20_1 {
	meta:
		name = "?_Getcvt@_Locinfo@std@@QEBA?AU_Cvtvec@@XZ"
		size = 26
		refs = "000a _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_17_1 {
	meta:
		name = "?_Getcoll@_Locinfo@std@@QEBA?AU_Collvec@@XZ"
		size = 26
		refs = "000a _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_21_1 {
	meta:
		name = "??Bid@locale@std@@QEAA_KXZ"
		size = 71
		refs = "0017 ??0_Lockit@std@@QEAA@H@Z 0023 ?_Id_cnt@id@locale@std@@0HA 003a ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 39 00 48 8B D9 75 2F 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 83 3B 00 75 13 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 03 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_22_1 {
	meta:
		name = "?_Incref@facet@locale@std@@QEAAXXZ"
		size = 54
		refs = "0011 ??0_Lockit@std@@QEAA@H@Z 002c ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8B 43 08 48 83 F8 FF 73 07 48 FF C0 48 89 43 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_23_1 {
	meta:
		name = "?_Decref@facet@locale@std@@QEAAPEAV123@XZ"
		size = 81
		refs = "0015 ??0_Lockit@std@@QEAA@H@Z 003f ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8B 53 08 33 FF 48 85 D2 74 0D 48 83 FA FF 73 07 48 FF CA 48 89 53 08 48 39 7B 08 48 8D 4C 24 30 48 0F 44 FB E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_27_1 {
	meta:
		name = "??0locale@std@@QEAA@AEBV01@@Z"
		size = 72
		refs = "001b ??0_Lockit@std@@QEAA@H@Z 0036 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 3A 48 8B D9 33 D2 48 89 39 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 47 08 48 83 F8 FF 73 07 48 FF C0 48 89 47 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_28_1 {
	meta:
		name = "??0locale@std@@QEAA@XZ"
		size = 82
		refs = "000e ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 0016 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 0025 ??0_Lockit@std@@QEAA@H@Z 0040 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 30 33 D2 48 8B F8 E8 ?? ?? ?? ?? 48 8B 4F 08 48 83 F9 FF 73 07 48 FF C1 48 89 4F 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_29_1 {
	meta:
		name = "??1locale@std@@QEAA@XZ"
		size = 101
		refs = "001a ??0_Lockit@std@@QEAA@H@Z 0044 ??1_Lockit@std@@QEAA@XZ"
		altNames = "_Deletegloballocale"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 19 48 85 DB 74 48 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8B 43 08 48 85 C0 74 0D 48 83 F8 FF 73 07 48 FF C8 48 89 43 08 33 FF 48 8D 4C 24 30 48 39 7B 08 48 0F 44 FB E8 ?? ?? ?? ?? 48 85 FF 74 0D 48 8B 07 BA 01 00 00 00 48 8B CF FF 10 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_30_1 {
	meta:
		name = "?_Getfacet@locale@std@@QEBAPEBVfacet@12@_K@Z"
		size = 80
		refs = "0030 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 11 33 DB 48 3B 7A 18 73 0A 48 8B 42 10 48 8B 04 F8 EB 03 48 8B C3 48 85 C0 75 1B 38 5A 24 74 16 E8 ?? ?? ?? ?? 48 3B 78 18 73 08 48 8B 40 10 48 8B 1C F8 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_32_1 {
	meta:
		name = "?unshift@?$codecvt@GDH@std@@QEBAHAEAHPEAD1AEAPEAD@Z"
		size = 26
		altNames = "?unshift@?$codecvt@DDH@std@@QEBAHAEAHPEAD1AEAPEAD@Z ?unshift@?$codecvt@_WDH@std@@QEBAHAEAHPEAD1AEAPEAD@Z"
	strings:
		$1 = { 48 83 EC 38 48 8B 44 24 60 4C 8B 11 48 89 44 24 20 41 FF 52 30 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_4_37_1 {
	meta:
		name = "?_Init@?$ctype@G@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 57
		refs = "000f _Getctype 002b _Getcvt"
		altNames = "?_Init@?$ctype@_W@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 8B 50 08 48 89 53 18 48 8B 40 10 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 28 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_4_39_1 {
	meta:
		name = "?make_error_code@std@@YA?AVerror_code@1@W4io_errc@31@@Z"
		size = 40
		refs = "0010 ?iostream_category@std@@YAAEBVerror_category@1@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 8B DA 48 8B F9 E8 ?? ?? ?? ?? 89 1F 48 8B 5C 24 30 48 89 47 08 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_43_1 {
	meta:
		name = "?getloc@ios_base@std@@QEBA?AVlocale@2@XZ"
		size = 81
		refs = "0024 ??0_Lockit@std@@QEAA@H@Z 003f ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 83 64 24 30 00 48 8B 41 40 48 8B DA 48 8B 38 48 8D 4C 24 30 48 89 3A 33 D2 E8 ?? ?? ?? ?? 48 8B 47 08 48 83 F8 FF 73 07 48 FF C0 48 89 47 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_49_1 {
	meta:
		name = "??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 21
		refs = "000b ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F8 C3 }
	condition:
		$1
}

rule file_52_48_1 {
	meta:
		name = "??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 21
		refs = "000b ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F8 C3 }
	condition:
		$1
}

rule file_10_50_1 {
	meta:
		name = "??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 21
		refs = "000b ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F8 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F8 C3 }
	condition:
		$1
}

rule file_4_56_1 {
	meta:
		name = "?_Tidy@?$_Yarn@D@std@@AEAAXXZ"
		size = 32
		refs = "0012 free"
		altNames = "??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_60_1 {
	meta:
		name = "?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAPEADXZ"
		size = 17
		altNames = "?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAPEBDXZ ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAPEBDXZ"
	strings:
		$1 = { 48 83 79 20 10 72 05 48 8B 41 08 C3 48 8D 41 08 C3 }
	condition:
		$1
}

rule file_4_61_1 {
	meta:
		name = "?_Xlen@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 000c ?_Xlength_error@std@@YAXPEBD@Z"
		altNames = "?_Xlen@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ ?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_191_2 {
	meta:
		name = "?_Xran@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_17_284_2 {
	meta:
		name = "?_Xran@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_65_210_1 {
	meta:
		name = "?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
		size = 17
		refs = "0007 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 000c ?_Xout_of_range@std@@YAXPEBD@Z"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_4_64_1 {
	meta:
		name = "?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAG00@Z"
		size = 28
		altNames = "?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEA_W00@Z"
	strings:
		$1 = { 48 8B 41 20 4D 2B C8 48 89 10 48 8B 41 40 49 D1 F9 4C 89 00 48 8B 41 58 44 89 08 C3 }
	condition:
		$1
}

rule file_4_65_1 {
	meta:
		name = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAPEAG0PEAH001@Z"
		size = 40
		altNames = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAPEAD0PEAH001@Z ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAPEA_W0PEAH001@Z"
	strings:
		$1 = { 48 8B 44 24 28 48 89 51 20 4C 89 41 40 48 89 41 28 48 8B 44 24 30 4C 89 49 58 48 89 41 48 48 8B 44 24 38 48 89 41 60 C3 }
	condition:
		$1
}

rule file_4_66_1 {
	meta:
		name = "??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ"
		size = 100
		refs = "0054 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 48 8B C1 48 8B 09 48 85 C9 74 4A 48 8B 09 48 85 C9 74 42 48 8B 40 10 48 85 C0 74 39 48 83 79 20 10 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 3B D0 77 1D 48 83 79 20 10 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 8B 49 18 48 03 D1 48 3B C2 72 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_68_1 {
	meta:
		name = "?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXPEAG0@Z"
		size = 28
		altNames = "?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEA_W0@Z"
	strings:
		$1 = { 48 8B 41 28 4C 2B C2 48 89 10 48 8B 41 48 49 D1 F8 48 89 10 48 8B 41 60 44 89 00 C3 }
	condition:
		$1
}

rule file_4_72_1 {
	meta:
		name = "??$_Allocate@U_Container_proxy@std@@@std@@YAPEAU_Container_proxy@0@_KPEAU10@@Z"
		size = 96
		refs = "001f ??2@YAPEAX_K@Z 0039 ??0exception@std@@QEAA@AEBQEBD@Z 0040 ??_7bad_alloc@std@@6B@ 0047 _TI2?AVbad_alloc@std@@ 0056 _CxxThrowException"
		altNames = "??$_Allocate@V?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@@std@@YAPEAV?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@0@_KPEAV120@@Z ??$_Allocate@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@std@@YAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@0@_KPEAV120@@Z ??$_Allocate@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@@std@@YAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@0@_KPEAV120@@Z ??$_Allocate@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@std@@YAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@0@_KPEAV120@@Z ??$_Allocate@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@std@@YAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@0@_KPEAV120@@Z"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 C9 74 50 48 B8 FF FF FF FF FF FF FF 0F 48 3B C8 77 0E 48 C1 E1 04 E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 50 00 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_73_1 {
	meta:
		name = "??$_Allocate@D@std@@YAPEAD_KPEAD@Z"
		size = 83
		refs = "0012 ??2@YAPEAX_K@Z 002c ??0exception@std@@QEAA@AEBQEBD@Z 0033 ??_7bad_alloc@std@@6B@ 003a _TI2?AVbad_alloc@std@@ 0049 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 C9 74 43 48 83 F9 FF 77 0A E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 50 00 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_79_1 {
	meta:
		name = "?c_str@locale@std@@QEBAPEBDXZ"
		size = 17
	strings:
		$1 = { 48 8B 11 48 8B 42 28 48 85 C0 75 04 48 8D 42 30 C3 }
	condition:
		$1
}

rule file_4_80_1 {
	meta:
		name = "??0?$ctype@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 74
		refs = "0009 ??_7?$ctype@G@std@@6B@ 001d _Getctype 0039 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 8B 50 08 48 89 53 18 48 8B 40 10 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 28 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_10_81_1 {
	meta:
		name = "??0?$ctype@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 74
		refs = "0009 ??_7?$ctype@_W@std@@6B@ 001d _Getctype 0039 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 8B 50 08 48 89 53 18 48 8B 40 10 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 28 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_4_82_1 {
	meta:
		name = "??1?$ctype@G@std@@MEAA@XZ"
		size = 50
		refs = "000d ??_7?$ctype@G@std@@6B@ 001e free 0025 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_10_83_1 {
	meta:
		name = "??1?$ctype@_W@std@@MEAA@XZ"
		size = 50
		refs = "000d ??_7?$ctype@_W@std@@6B@ 001e free 0025 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_83_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MEBA_NFG@Z"
		size = 34
		refs = "0012 _Getwctype"
		altNames = "?do_is@?$ctype@_W@std@@MEBA_NF_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 0F B7 DA 48 8D 51 10 41 0F B7 C8 E8 ?? ?? ?? ?? 66 85 C3 0F 95 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_84_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MEBAPEBGPEBG0PEAF@Z"
		size = 27
		refs = "0017 _Getwctypes"
		altNames = "?do_is@?$ctype@_W@std@@MEBAPEB_WPEB_W0PEAF@Z"
	strings:
		$1 = { 49 8B C1 4D 8B D0 4C 8B DA 4C 8D 49 10 4C 8B C0 49 8B D2 49 8B CB E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_85_1 {
	meta:
		name = "?do_scan_is@?$ctype@G@std@@MEBAPEBGFPEBG0@Z"
		size = 90
		altNames = "?do_scan_is@?$ctype@_W@std@@MEBAPEB_WFPEB_W0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 0F B7 EA 48 8B F1 4D 3B C1 74 1D 48 8B 06 44 0F B7 03 0F B7 D5 48 8B CE FF 50 10 84 C0 75 09 48 83 C3 02 48 3B DF 75 E3 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_86_1 {
	meta:
		name = "?do_scan_not@?$ctype@G@std@@MEBAPEBGFPEBG0@Z"
		size = 90
		altNames = "?do_scan_not@?$ctype@_W@std@@MEBAPEB_WFPEB_W0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F9 49 8B D8 0F B7 EA 48 8B F1 4D 3B C1 74 1D 48 8B 06 44 0F B7 03 0F B7 D5 48 8B CE FF 50 10 84 C0 74 09 48 83 C3 02 48 3B DF 75 E3 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_88_1 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MEBAPEBGPEAGPEBG@Z"
		size = 72
		refs = "0025 _Towlower"
		altNames = "?do_tolower@?$ctype@_W@std@@MEBAPEB_WPEA_WPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 48 8B DA 49 3B D0 74 1B 48 8D 79 10 0F B7 0B 48 8B D7 E8 ?? ?? ?? ?? 66 89 03 48 83 C3 02 48 3B DE 75 E9 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_87_77_2 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MEBAPEBGPEAGPEBG@Z"
		size = 72
		refs = "0025 _Towupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 48 8B DA 49 3B D0 74 1B 48 8D 79 10 0F B7 0B 48 8B D7 E8 ?? ?? ?? ?? 66 89 03 48 83 C3 02 48 3B DE 75 E9 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_7_76_2 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MEBAPEB_WPEA_WPEB_W@Z"
		size = 72
		refs = "0025 _Towupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 48 8B DA 49 3B D0 74 1B 48 8D 79 10 0F B7 0B 48 8B D7 E8 ?? ?? ?? ?? 66 89 03 48 83 C3 02 48 3B DE 75 E9 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_91_1 {
	meta:
		name = "?_Dowiden@?$ctype@G@std@@IEBAGD@Z"
		size = 71
		refs = "002b _Mbrtowc"
		altNames = "?_Dowiden@?$ctype@_W@std@@IEBA_WD@Z"
	strings:
		$1 = { 88 54 24 10 4C 8B DC 48 83 EC 38 83 64 24 50 00 48 8D 41 28 4D 8D 4B 18 49 8D 4B 08 49 8D 53 10 41 B8 01 00 00 00 49 89 43 E8 E8 ?? ?? ?? ?? 0F B7 4C 24 40 85 C0 BA FF FF 00 00 66 0F 48 CA 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_4_92_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MEBAGD@Z"
		size = 71
		refs = "002b _Mbrtowc"
		altNames = "?do_widen@?$ctype@_W@std@@MEBA_WD@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 38 83 64 24 50 00 48 8D 41 28 88 54 24 48 49 8D 53 10 49 8D 4B 08 4D 8D 4B 18 41 B8 01 00 00 00 49 89 43 E8 E8 ?? ?? ?? ?? 0F B7 4C 24 40 BA FF FF 00 00 85 C0 66 0F 48 CA 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_4_93_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MEBAPEBDPEBD0PEAG@Z"
		size = 119
		refs = "0044 _Mbrtowc"
		altNames = "?do_widen@?$ctype@_W@std@@MEBAPEBDPEBD0PEA_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 83 EC 40 49 8B F1 49 8B F8 48 8B DA 49 3B D0 74 4D 48 8D 69 28 8A 03 83 64 24 30 00 4C 8D 4C 24 30 48 8D 54 24 68 48 8D 4C 24 70 41 B8 01 00 00 00 88 44 24 68 48 89 6C 24 20 E8 ?? ?? ?? ?? 0F B7 4C 24 70 85 C0 BA FF FF 00 00 66 0F 48 CA 48 FF C3 66 89 0E 48 83 C6 02 48 3B DF 75 B7 48 8B C3 48 8B 5C 24 60 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_4_94_1 {
	meta:
		name = "?_Donarrow@?$ctype@G@std@@IEBADGD@Z"
		size = 81
		refs = "0009 __security_cookie 002d _Wcrtomb 0047 __security_check_cookie"
		altNames = "?_Donarrow@?$ctype@_W@std@@IEBAD_WD@Z ?do_narrow@?$ctype@G@std@@MEBADGD@Z ?do_narrow@?$ctype@_W@std@@MEBAD_WD@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 83 64 24 20 00 41 0F B6 D8 4C 8D 49 28 4C 8D 44 24 20 48 8D 4C 24 24 E8 ?? ?? ?? ?? 0F B6 54 24 24 83 F8 01 0F 45 D3 8A C2 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_4_96_1 {
	meta:
		name = "?do_narrow@?$ctype@G@std@@MEBAPEBGPEBG0DPEAD@Z"
		size = 150
		refs = "0015 __security_cookie 0051 _Wcrtomb 007f __security_check_cookie"
		altNames = "?do_narrow@?$ctype@_W@std@@MEBAPEB_WPEB_W0DPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 48 89 6C 24 20 56 57 41 54 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B AC 24 80 00 00 00 45 8A E1 49 8B F8 48 8B DA 49 3B D0 74 3C 48 8D 71 28 0F B7 13 83 64 24 20 00 4C 8D 44 24 20 48 8D 4C 24 24 4C 8B CE E8 ?? ?? ?? ?? 0F B6 54 24 24 41 0F B6 CC 83 F8 01 0F 45 D1 48 83 C3 02 88 55 00 48 FF C5 48 3B DF 75 C8 48 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 6C 24 78 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_4_97_1 {
	meta:
		name = "??_G?$ctype@G@std@@MEAAPEAXI@Z"
		size = 78
		refs = "0011 ??_7?$ctype@G@std@@6B@ 0024 free 002b ??_7facet@locale@std@@6B@ 003c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 8B FA 48 89 01 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_98_1 {
	meta:
		name = "??_G?$ctype@_W@std@@MEAAPEAXI@Z"
		size = 78
		refs = "0011 ??_7?$ctype@_W@std@@6B@ 0024 free 002b ??_7facet@locale@std@@6B@ 003c ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 79 20 00 48 8D 05 ?? ?? ?? ?? 8B FA 48 89 01 48 8B D9 74 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_98_1 {
	meta:
		name = "??0system_error@std@@QEAA@Verror_code@1@PEBD@Z"
		size = 63
		refs = "001b ??0exception@std@@QEAA@AEBQEBD@Z 0022 ??_7system_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B DA 48 8D 54 24 30 48 8B F9 4C 89 44 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 48 8B C7 0F 10 03 48 8B 5C 24 38 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_100_1 {
	meta:
		name = "??0failure@ios_base@std@@QEAA@PEBDAEBVerror_code@2@@Z"
		size = 62
		refs = "001d ??0exception@std@@QEAA@AEBQEBD@Z 0024 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 30 48 89 54 24 40 48 8D 54 24 40 0F 29 74 24 20 41 0F 10 30 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? F3 0F 7F 73 18 0F 28 74 24 20 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_4_102_1 {
	meta:
		name = "?clear@ios_base@std@@QEAAXH_N@Z"
		size = 272
		refs = "0024 _CxxThrowException 0035 ?iostream_category@std@@YAAEBVerror_category@1@XZ 0048 ??_C@_0BF@PHHKMMFD@ios_base?3?3badbit?5set?$AA@ 0051 ??0exception@std@@QEAA@AEBQEBD@Z 0058 ??_7failure@ios_base@std@@6B@ 0063 _TI4?AVfailure@ios_base@std@@ 0092 ??_C@_0BG@FMKFHCIL@ios_base?3?3failbit?5set?$AA@ 00d8 ??_C@_0BF@OOHOMBOF@ios_base?3?3eofbit?5set?$AA@"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 8B 41 14 83 E2 17 23 C2 89 51 10 0F 84 F0 00 00 00 45 84 C0 74 0A 33 D2 33 C9 E8 ?? ?? ?? ?? CC C7 45 C0 01 00 00 00 A8 04 74 46 E8 ?? ?? ?? ?? 48 8D 55 10 48 8D 4D D0 48 89 45 C8 48 8D 05 ?? ?? ?? ?? 48 89 45 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 0F 10 6D C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 48 89 45 D0 F3 0F 7F 6D E8 E8 ?? ?? ?? ?? CC A8 02 74 46 E8 ?? ?? ?? ?? 48 8D 55 10 48 8D 4D D0 48 89 45 C8 48 8D 05 ?? ?? ?? ?? 48 89 45 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 0F 10 6D C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 48 89 45 D0 F3 0F 7F 6D E8 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 48 8D 55 10 48 8D 4D D0 48 89 45 C8 48 8D 05 ?? ?? ?? ?? 48 89 45 10 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 0F 10 6D C0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 48 89 45 D0 F3 0F 7F 6D E8 E8 ?? ?? ?? ?? CC 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_4_104_1 {
	meta:
		name = "??0system_error@std@@QEAA@AEBV01@@Z"
		size = 54
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7system_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8B C7 4C 89 1F 0F 10 43 18 48 8B 5C 24 30 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_106_1 {
	meta:
		name = "?_Init@ios_base@std@@IEAAXXZ"
		size = 164
		refs = "0040 ?clear@ios_base@std@@QEAAXH_N@Z 0048 ??2@YAPEAX_K@Z 0055 ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 005d ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 006c ??0_Lockit@std@@QEAA@H@Z 0087 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 33 F6 45 33 C0 33 D2 48 8B F9 C7 41 18 01 02 00 00 48 C7 41 20 06 00 00 00 48 89 71 40 48 89 71 08 89 71 14 48 89 71 28 48 89 71 30 48 89 71 38 E8 ?? ?? ?? ?? 8D 4E 08 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 39 E8 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 8D 4C 24 30 33 D2 48 8B F0 E8 ?? ?? ?? ?? 48 8B 4E 08 48 83 F9 FF 73 07 48 FF C1 48 89 4E 08 48 8D 4C 24 30 E8 ?? ?? ?? ?? EB 03 48 8B DE 48 8B 74 24 40 48 89 5F 40 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_108_1 {
	meta:
		name = "??0failure@ios_base@std@@QEAA@AEBV012@@Z"
		size = 64
		refs = "0011 ??0exception@std@@QEAA@AEBV01@@Z 0018 ??_7failure@ios_base@std@@6B@ 001f ??_7system_error@std@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F 0F 10 43 18 48 8B 5C 24 30 48 89 07 48 8B C7 F3 0F 7F 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_109_1 {
	meta:
		name = "??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
		size = 38
		refs = "000e ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 001a ??_7ios_base@std@@6B@ 0022 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 08 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F8 48 8D 05 ?? ?? ?? ?? 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_103_1 {
	meta:
		name = "??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
		size = 38
		refs = "000e ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 001a ??_7ios_base@std@@6B@ 0022 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 08 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F8 48 8D 05 ?? ?? ?? ?? 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_110_1 {
	meta:
		name = "??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
		size = 38
		refs = "000e ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 001a ??_7ios_base@std@@6B@ 0022 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 08 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F8 48 8D 05 ?? ?? ?? ?? 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_110_1 {
	meta:
		name = "??0_Init_ushcout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 000a ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0014 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0033 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0052 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8B D1 4C 89 05 ?? ?? ?? ?? 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_59_104_1 {
	meta:
		name = "??0_Init_cout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 000a ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0014 ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0033 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0052 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8B D1 4C 89 05 ?? ?? ?? ?? 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_35_110_1 {
	meta:
		name = "??0_Init_wcout@std@@QEAA@XZ"
		size = 107
		refs = "0003 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 000a ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0014 ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0033 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0052 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 4C 8B 0D ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 8B D1 4C 89 05 ?? ?? ?? ?? 4D 85 C9 74 13 49 8B 01 48 63 50 04 4E 89 44 0A 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 13 48 8B 02 48 63 48 04 4C 89 44 11 50 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 48 85 D2 74 0C 48 8B 02 48 63 48 04 4C 89 44 11 50 49 8B C2 C3 }
	condition:
		$1
}

rule file_4_112_1 {
	meta:
		name = "??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 67
		refs = "0011 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 0024 ??1locale@std@@QEAA@XZ 002c ??3@YAXPEAX@Z 003f ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 68 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_106_1 {
	meta:
		name = "??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 67
		refs = "0011 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 0024 ??1locale@std@@QEAA@XZ 002c ??3@YAXPEAX@Z 003f ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 68 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_113_1 {
	meta:
		name = "??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 67
		refs = "0011 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 0024 ??1locale@std@@QEAA@XZ 002c ??3@YAXPEAX@Z 003f ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 68 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_128_1 {
	meta:
		name = "?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXH@Z"
		size = 20
		altNames = "?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXH@Z"
	strings:
		$1 = { 48 8B 41 58 29 10 48 8B 49 40 48 63 C2 48 03 C0 48 01 01 C3 }
	condition:
		$1
}

rule file_4_129_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
		size = 21
		altNames = "?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 58 FF 08 48 8B 51 40 48 8B 02 48 8D 48 02 48 89 0A C3 }
	condition:
		$1
}

rule file_4_130_1 {
	meta:
		name = "?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBA_JXZ"
		size = 21
		altNames = "?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEBA_JXZ ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBA_JXZ"
	strings:
		$1 = { 48 8B 41 40 33 D2 48 39 10 74 06 48 8B 41 58 8B 10 48 63 C2 C3 }
	condition:
		$1
}

rule file_4_131_1 {
	meta:
		name = "?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXH@Z"
		size = 20
		altNames = "?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXH@Z"
	strings:
		$1 = { 48 8B 41 60 29 10 48 8B 49 48 48 63 C2 48 03 C0 48 01 01 C3 }
	condition:
		$1
}

rule file_4_132_1 {
	meta:
		name = "?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBA_JXZ"
		size = 21
		altNames = "?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEBA_JXZ ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBA_JXZ"
	strings:
		$1 = { 48 8B 41 48 33 D2 48 39 10 74 06 48 8B 41 60 8B 10 48 63 C2 C3 }
	condition:
		$1
}

rule file_4_133_1 {
	meta:
		name = "??0?$fpos@H@std@@QEAA@_J@Z"
		size = 16
	strings:
		$1 = { 48 83 61 08 00 83 61 10 00 48 89 11 48 8B C1 C3 }
	condition:
		$1
}

rule file_4_134_1 {
	meta:
		name = "?uflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
		size = 57
		altNames = "?uflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B D9 FF 50 30 BA FF FF 00 00 66 3B D0 74 17 48 8B 43 58 FF 08 48 8B 4B 40 48 8B 11 48 8D 42 02 48 89 01 0F B7 12 0F B7 C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_135_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA_JPEAG_J@Z"
		size = 192
		refs = "0059 memcpy"
		altNames = "?xsgetn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA_JPEA_W_J@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 33 F6 49 8B F8 4C 8B E2 48 8B E9 4D 85 C0 7E 7C 48 8B 55 40 48 83 3A 00 74 08 48 8B 45 58 8B 08 EB 02 33 C9 4C 63 E9 85 C9 7E 39 48 8B 12 49 3B FD 49 8B CC 4C 0F 4C EF 4B 8D 5C 2D 00 4C 8B C3 E8 ?? ?? ?? ?? 48 8B 45 58 4C 03 E3 44 29 28 48 8B 4D 40 49 63 C5 48 03 C0 49 03 F5 49 2B FD 48 01 01 EB 23 48 8B 45 00 48 8B CD FF 50 38 B9 FF FF 00 00 66 3B C8 74 14 66 41 89 04 24 48 FF C6 49 83 C4 02 48 FF CF 48 85 FF 7F 84 48 8B 5C 24 40 48 8B 6C 24 48 48 8B C6 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_4_136_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA_JPEBG_J@Z"
		size = 192
		refs = "0059 memcpy"
		altNames = "?xsputn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA_JPEB_W_J@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 33 F6 49 8B F8 4C 8B E2 48 8B E9 4D 85 C0 7E 7C 4C 8B 4D 48 49 83 39 00 74 08 48 8B 45 60 8B 08 EB 02 33 C9 4C 63 E9 85 C9 7E 39 49 8B 09 49 3B FD 49 8B D4 4C 0F 4C EF 4B 8D 5C 2D 00 4C 8B C3 E8 ?? ?? ?? ?? 48 8B 45 60 4C 03 E3 44 29 28 48 8B 4D 48 49 63 C5 48 03 C0 49 03 F5 49 2B FD 48 01 01 EB 23 48 8B 45 00 41 0F B7 14 24 48 8B CD FF 50 18 B9 FF FF 00 00 66 3B C8 74 0F 49 83 C4 02 48 FF C6 48 FF CF 48 85 FF 7F 84 48 8B 5C 24 40 48 8B 6C 24 48 48 8B C6 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_4_137_1 {
	meta:
		name = "?seekoff@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 23
		refs = "0003 ?_BADOFF@std@@3_JB"
		altNames = "?seekoff@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z ?seekoff@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z ?seekpos@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z ?seekpos@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z ?seekpos@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 83 62 08 00 83 62 10 00 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_4_139_1 {
	meta:
		name = "??_G?$basic_ostream@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 82
		refs = "001f ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0040 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F8 8B DA 48 8D 4F 08 48 8B 41 F8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F8 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_131_1 {
	meta:
		name = "??_G?$basic_ostream@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 82
		refs = "001f ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0040 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F8 8B DA 48 8D 4F 08 48 8B 41 F8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F8 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_140_1 {
	meta:
		name = "??_G?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 82
		refs = "001f ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0040 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F8 8B DA 48 8D 4F 08 48 8B 41 F8 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F8 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_140_1 {
	meta:
		name = "??_G?$basic_streambuf@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 97
		refs = "0016 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 002b ??1locale@std@@QEAA@XZ 0033 ??3@YAXPEAX@Z 003c ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 68 48 8D 05 ?? ?? ?? ?? 8B F2 48 8B D9 48 89 01 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_132_1 {
	meta:
		name = "??_G?$basic_streambuf@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 97
		refs = "0016 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 002b ??1locale@std@@QEAA@XZ 0033 ??3@YAXPEAX@Z 003c ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 68 48 8D 05 ?? ?? ?? ?? 8B F2 48 8B D9 48 89 01 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_141_1 {
	meta:
		name = "??_G?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 97
		refs = "0016 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??1locale@std@@QEAA@XZ 0033 ??3@YAXPEAX@Z 003c ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 79 68 48 8D 05 ?? ?? ?? ?? 8B F2 48 8B D9 48 89 01 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_142_1 {
	meta:
		name = "?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QEAAXH_N@Z"
		size = 18
		refs = "000e ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QEAAXH_N@Z ?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEAAXH_N@Z"
	strings:
		$1 = { 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_143_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AEAAXXZ"
		size = 47
		altNames = "?_Reset_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B 41 20 48 8D 81 88 00 00 00 49 39 00 75 1E 48 8B 41 70 48 8B 51 78 49 89 00 48 8B 41 40 48 89 10 48 8B 41 58 48 2B D2 48 D1 FA 89 10 C3 }
	condition:
		$1
}

rule file_4_145_1 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0D@Z"
		size = 60
		refs = "0038 memset"
	strings:
		$1 = { 48 8B C2 49 83 F8 01 75 16 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 44 88 0C 11 C3 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 41 0F BE D1 48 03 C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_146_1 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 26
	strings:
		$1 = { 48 83 79 20 10 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 C6 04 11 00 C3 }
	condition:
		$1
}

rule file_4_147_1 {
	meta:
		name = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAXXZ"
		size = 90
		altNames = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXXZ ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAXXZ"
	strings:
		$1 = { 45 33 C0 48 8D 41 10 48 8D 51 18 48 89 41 20 48 89 51 28 48 8D 41 30 48 89 41 40 48 8D 41 38 48 89 41 48 48 8D 41 50 48 89 41 58 48 8D 41 54 48 89 41 60 4C 89 02 48 8B 41 48 4C 89 00 48 8B 41 60 44 89 00 48 8B 41 20 4C 89 00 48 8B 41 40 4C 89 00 48 8B 41 58 44 89 00 C3 }
	condition:
		$1
}

rule file_4_148_1 {
	meta:
		name = "?allocate@?$allocator@U_Container_proxy@std@@@std@@QEAAPEAU_Container_proxy@2@_K@Z"
		size = 99
		refs = "0022 ??2@YAPEAX_K@Z 003c ??0exception@std@@QEAA@AEBQEBD@Z 0043 ??_7bad_alloc@std@@6B@ 004a _TI2?AVbad_alloc@std@@ 0059 _CxxThrowException"
		altNames = "?allocate@?$allocator@V?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@@std@@QEAAPEAV?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@2@_K@Z ?allocate@?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@std@@QEAAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@2@_K@Z ?allocate@?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@@std@@QEAAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@2@_K@Z ?allocate@?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@std@@QEAAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@2@_K@Z ?allocate@?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@std@@QEAAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@2@_K@Z"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 D2 74 53 48 B8 FF FF FF FF FF FF FF 0F 48 3B D0 77 11 48 C1 E2 04 48 8B CA E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 58 00 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_150_1 {
	meta:
		name = "??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBDPEBU_Container_base12@1@@Z"
		size = 28
		altNames = "??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBGPEBU_Container_base12@1@@Z ??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_WPEBU_Container_base12@1@@Z ??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEADPEBU_Container_base12@1@@Z ??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEAGPEBU_Container_base12@1@@Z ??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEA_WPEBU_Container_base12@1@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 4D 85 C0 74 06 49 8B 00 48 89 01 48 89 51 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_4_151_1 {
	meta:
		name = "?allocate@?$allocator@D@std@@QEAAPEAD_K@Z"
		size = 86
		refs = "0015 ??2@YAPEAX_K@Z 002f ??0exception@std@@QEAA@AEBQEBD@Z 0036 ??_7bad_alloc@std@@6B@ 003d _TI2?AVbad_alloc@std@@ 004c _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 D2 74 46 48 83 FA FF 77 0D 48 8B CA E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 58 00 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_154_1 {
	meta:
		name = "??0_Locinfo@std@@QEAA@PEBD@Z"
		size = 156
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 004c ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 0060 ??0exception@std@@QEAA@AEBQEBD@Z 0067 ??_7runtime_error@std@@6B@ 0073 _TI2?AVruntime_error@std@@ 007d _CxxThrowException 0089 ?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@PEBD@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B D9 33 D2 E8 ?? ?? ?? ?? 90 33 C0 48 89 43 08 88 43 10 48 89 43 18 88 43 20 48 89 43 28 88 43 30 48 89 43 38 88 43 40 48 85 FF 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 48 8D 54 24 58 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_4_156_1 {
	meta:
		name = "?dtor$1@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_157_1 {
	meta:
		name = "?dtor$2@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_509_1 {
	meta:
		name = "?dtor$0@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Async_send_queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_532_1 {
	meta:
		name = "?dtor$0@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Async_send_queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_566_1 {
	meta:
		name = "?dtor$1@?0???1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_159_1 {
	meta:
		name = "?dtor$4@?0???0_Locinfo@std@@QEAA@PEBD@Z@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_160_1 {
	meta:
		name = "??1_Locinfo@std@@QEAA@XZ"
		size = 117
		refs = "0017 ?_Locinfo_dtor@_Locinfo@std@@SAXPEAV12@@Z 0026 free 0071 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 E8 ?? ?? ?? ?? 90 48 8B 4B 38 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 38 00 48 8B 4B 28 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 28 00 48 8B 4B 18 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 18 00 48 8B 4B 08 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 08 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_165_1 {
	meta:
		name = "?dtor$4@?0???1_Locinfo@std@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Yarn@D@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_560_1 {
	meta:
		name = "?dtor$1@?0???1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_563_1 {
	meta:
		name = "?dtor$1@?0???1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_166_1 {
	meta:
		name = "?_Getcat@?$ctype@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 231
		refs = "0045 ??2@YAPEAX_K@Z 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0081 ??_7?$ctype@G@std@@6B@ 008e _Getctype 00aa _Getcvt 00c5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 91 00 00 00 48 39 31 0F 85 88 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 5B 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 8B 48 08 48 89 4B 18 48 8B 40 10 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 28 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 40 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_10_167_1 {
	meta:
		name = "?_Getcat@?$ctype@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 231
		refs = "0045 ??2@YAPEAX_K@Z 0070 ??0_Locinfo@std@@QEAA@PEBD@Z 0081 ??_7?$ctype@_W@std@@6B@ 008e _Getctype 00aa _Getcvt 00c5 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 91 00 00 00 48 39 31 0F 85 88 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 5B 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 8B 48 08 48 89 4B 18 48 8B 40 10 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 28 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 40 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_4_168_1 {
	meta:
		name = "?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QEAAXH_N@Z"
		size = 38
		refs = "001d ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QEAAXH_N@Z ?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEAAXH_N@Z"
	strings:
		$1 = { 48 83 EC 28 8B C2 85 D2 74 17 8B 51 10 0B D0 8B C2 83 C8 04 48 83 79 48 00 0F 44 D0 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_170_1 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z"
		size = 93
		refs = "0030 memcpy 0038 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B D9 84 D2 74 23 48 83 79 20 10 72 1C 48 83 C1 08 48 8B 31 4D 85 C0 74 08 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 38 48 C7 43 20 0F 00 00 00 48 89 7B 18 C6 44 3B 08 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_171_1 {
	meta:
		name = "??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAA@XZ"
		size = 242
		refs = "0023 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 002f ??0_Mutex@std@@QEAA@XZ 003a ??2@YAPEAX_K@Z 0047 ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 004f ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 005e ??0_Lockit@std@@QEAA@H@Z 0079 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 39 E8 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 8B F0 33 D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 4E 08 48 83 F9 FF 73 07 48 FF C1 48 89 4E 08 48 8D 4C 24 48 E8 ?? ?? ?? ?? EB 02 33 FF 48 89 7B 68 48 8D 43 10 48 89 43 20 48 8D 4B 18 48 89 4B 28 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 83 21 00 48 8B 43 48 48 83 20 00 48 8B 43 60 83 20 00 48 8B 43 20 48 83 20 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_52_163_1 {
	meta:
		name = "??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ"
		size = 242
		refs = "0023 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 002f ??0_Mutex@std@@QEAA@XZ 003a ??2@YAPEAX_K@Z 0047 ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 004f ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 005e ??0_Lockit@std@@QEAA@H@Z 0079 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 39 E8 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 8B F0 33 D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 4E 08 48 83 F9 FF 73 07 48 FF C1 48 89 4E 08 48 8D 4C 24 48 E8 ?? ?? ?? ?? EB 02 33 FF 48 89 7B 68 48 8D 43 10 48 89 43 20 48 8D 4B 18 48 89 4B 28 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 83 21 00 48 8B 43 48 48 83 20 00 48 8B 43 60 83 20 00 48 8B 43 20 48 83 20 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_10_172_1 {
	meta:
		name = "??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAA@XZ"
		size = 242
		refs = "0023 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 002f ??0_Mutex@std@@QEAA@XZ 003a ??2@YAPEAX_K@Z 0047 ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 004f ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 005e ??0_Lockit@std@@QEAA@H@Z 0079 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 90 B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 39 E8 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 8B F0 33 D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 4E 08 48 83 F9 FF 73 07 48 FF C1 48 89 4E 08 48 8D 4C 24 48 E8 ?? ?? ?? ?? EB 02 33 FF 48 89 7B 68 48 8D 43 10 48 89 43 20 48 8D 4B 18 48 89 4B 28 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 83 21 00 48 8B 43 48 48 83 20 00 48 8B 43 60 83 20 00 48 8B 43 20 48 83 20 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 8B C3 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_4_173_1 {
	meta:
		name = "?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 136
		refs = "0076 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 18 4C 89 41 28 0F 94 C0 45 33 C9 88 81 90 00 00 00 44 88 89 8A 00 00 00 48 8D 41 10 48 89 41 20 48 8D 41 30 48 89 41 40 48 8D 41 38 48 89 41 48 48 8D 41 50 48 89 41 58 48 8D 41 54 48 89 41 60 4D 89 08 48 8B 41 48 4C 89 08 48 8B 41 60 44 89 08 48 8B 41 20 4C 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 89 91 98 00 00 00 8B 05 ?? ?? ?? ?? 89 81 8C 00 00 00 4C 89 89 80 00 00 00 C3 }
	condition:
		$1
}

rule file_10_174_1 {
	meta:
		name = "?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 136
		refs = "0076 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 18 4C 89 41 28 0F 94 C0 45 33 C9 88 81 90 00 00 00 44 88 89 8A 00 00 00 48 8D 41 10 48 89 41 20 48 8D 41 30 48 89 41 40 48 8D 41 38 48 89 41 48 48 8D 41 50 48 89 41 58 48 8D 41 54 48 89 41 60 4D 89 08 48 8B 41 48 4C 89 08 48 8B 41 60 44 89 08 48 8B 41 20 4C 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 89 91 98 00 00 00 8B 05 ?? ?? ?? ?? 89 81 8C 00 00 00 4C 89 89 80 00 00 00 C3 }
	condition:
		$1
}

rule file_4_175_1 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z"
		size = 323
		refs = "0082 ??2@YAPEAX_K@Z 00a5 ??0exception@std@@QEAA@AEBQEBD@Z 00ac ??_7bad_alloc@std@@6B@ 00b8 _TI2?AVbad_alloc@std@@ 00c2 _CxxThrowException 0106 memcpy 0116 ??3@YAXPEAX@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 48 89 4C 24 08 53 56 57 41 54 48 83 EC 68 48 C7 44 24 20 FE FF FF FF 4D 8B E0 48 8B F9 48 8B DA 48 83 CB 0F 49 C7 C1 FE FF FF FF 49 3B D9 76 05 48 8B DA EB 31 4C 8B 41 20 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E3 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 1C 01 76 03 49 8B D9 48 8D 4B 01 33 F6 48 85 C9 74 4C 48 83 F9 FF 77 0D E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 39 48 83 A4 24 A8 00 00 00 00 48 8D 94 24 A8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 EB 20 48 8B BC 24 90 00 00 00 4C 8B A4 24 A0 00 00 00 48 8B 9C 24 98 00 00 00 48 8B B4 24 A8 00 00 00 4D 85 E4 74 1C 48 83 7F 20 10 72 06 48 8B 57 08 EB 04 48 8D 57 08 4D 8B C4 48 8B CE E8 ?? ?? ?? ?? 48 83 7F 20 10 72 09 48 8B 4F 08 E8 ?? ?? ?? ?? 48 8D 47 08 C6 00 00 48 89 30 48 89 5F 20 4C 89 67 18 48 83 FB 10 48 0F 43 C6 42 C6 04 20 00 48 83 C4 68 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_4_177_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$0"
		size = 115
		refs = "001c ??2@YAPEAX_K@Z 0039 ??0exception@std@@QEAA@AEBQEBD@Z 0040 ??_7bad_alloc@std@@6B@ 004b _TI2?AVbad_alloc@std@@ 0054 _CxxThrowException 0062 $LN19"
	strings:
		$1 = { 48 8B 8D 98 00 00 00 48 89 8D 98 00 00 00 33 C0 48 FF C1 74 43 48 83 F9 FF 77 0A E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 A5 98 00 00 00 00 48 8D 95 98 00 00 00 48 8D 4D 40 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 40 48 8D 15 ?? ?? ?? ?? 48 8D 4D 40 E8 ?? ?? ?? ?? 48 89 85 A8 00 00 00 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_4_179_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$1"
		size = 50
		refs = "0013 ??3@YAXPEAX@Z 002d _CxxThrowException"
	strings:
		$1 = { 48 8B 9D 90 00 00 00 48 83 7B 20 10 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 C7 43 20 0F 00 00 00 48 83 63 18 00 C6 43 08 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_4_180_1 {
	meta:
		name = "??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$ctype@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$ctype@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$ctype@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_70_225_1 {
	meta:
		name = "??$use_facet@V?$codecvt@DDH@std@@@std@@YAAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$codecvt@DDH@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$codecvt@DDH@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$codecvt@DDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_87_210_2 {
	meta:
		name = "??$use_facet@V?$codecvt@GDH@std@@@std@@YAAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$codecvt@GDH@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$codecvt@GDH@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$codecvt@GDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_71_228_1 {
	meta:
		name = "??$use_facet@V?$codecvt@_WDH@std@@@std@@YAAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$codecvt@_WDH@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$codecvt@_WDH@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$codecvt@_WDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_354_1 {
	meta:
		name = "??$use_facet@V?$collate@D@std@@@std@@YAAEBV?$collate@D@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$collate@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$collate@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_896_2 {
	meta:
		name = "??$use_facet@V?$collate@G@std@@@std@@YAAEBV?$collate@G@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$collate@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$collate@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_894_2 {
	meta:
		name = "??$use_facet@V?$collate@_W@std@@@std@@YAAEBV?$collate@_W@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$collate@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$collate@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_32_154_2 {
	meta:
		name = "??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$ctype@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$ctype@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$ctype@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_80_163_2 {
	meta:
		name = "??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$ctype@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$ctype@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$ctype@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_243_1 {
	meta:
		name = "??$use_facet@V?$messages@D@std@@@std@@YAAEBV?$messages@D@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$messages@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$messages@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$messages@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_583_1 {
	meta:
		name = "??$use_facet@V?$messages@G@std@@@std@@YAAEBV?$messages@G@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$messages@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$messages@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$messages@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_567_1 {
	meta:
		name = "??$use_facet@V?$messages@_W@std@@@std@@YAAEBV?$messages@_W@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$messages@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$messages@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$messages@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_245_1 {
	meta:
		name = "??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_562_2 {
	meta:
		name = "??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_569_1 {
	meta:
		name = "??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_225_2 {
	meta:
		name = "??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_587_1 {
	meta:
		name = "??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_571_1 {
	meta:
		name = "??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_273_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@D$00@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_271_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@D$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_692_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@G$00@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_667_2 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@G$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_686_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@_W$00@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_684_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$moneypunct@_W$0A@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_188_2 {
	meta:
		name = "??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_577_1 {
	meta:
		name = "??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_561_1 {
	meta:
		name = "??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_190_2 {
	meta:
		name = "??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_579_1 {
	meta:
		name = "??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_563_1 {
	meta:
		name = "??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_204_1 {
	meta:
		name = "??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$numpunct@D@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$numpunct@D@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_558_2 {
	meta:
		name = "??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$numpunct@G@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$numpunct@G@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_542_2 {
	meta:
		name = "??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$numpunct@_W@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$numpunct@_W@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_275_2 {
	meta:
		name = "??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_694_1 {
	meta:
		name = "??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_665_2 {
	meta:
		name = "??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_249_1 {
	meta:
		name = "??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_566_2 {
	meta:
		name = "??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_573_1 {
	meta:
		name = "??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z"
		size = 337
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0029 ?_Psave@?$_Facetptr@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PEBVfacet@locale@2@EB 0035 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0055 ?_Id_cnt@id@locale@std@@0HA 0070 ??1_Lockit@std@@QEAA@XZ 00a0 ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 00ce ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 00db ??_C@_08EPJLHIJG@bad?5cast?$AA@ 00e5 ??0bad_cast@std@@QEAA@PEBD@Z 00ec _TI2?AVbad_cast@std@@ 00f6 _CxxThrowException 0132 ?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
	strings:
		$1 = { 40 55 56 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B E9 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 90 48 8B 35 ?? ?? ?? ?? 48 89 74 24 70 48 8B 3D ?? ?? ?? ?? 48 85 FF 75 3D 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 8B 4D 00 48 3B 79 18 73 0A 48 8B 41 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 0F 85 9D 00 00 00 38 59 24 74 17 E8 ?? ?? ?? ?? 48 3B 78 18 73 0A 48 8B 40 10 48 8B 1C F8 EB 02 33 DB 48 85 DB 75 7C 48 85 F6 74 05 48 8B DE EB 72 48 8B D5 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 83 F8 FF 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 5C 24 70 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 78 48 83 C4 40 5F 5E 5D C3 }
	condition:
		$1
}

rule file_4_184_1 {
	meta:
		name = "??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 169
		refs = "0011 ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAA@XZ 003a ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 008a ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 33 C9 48 8D 47 10 4C 8D 47 18 48 89 47 20 88 8F 90 00 00 00 88 8F 8A 00 00 00 4C 89 47 28 48 8D 47 30 4C 8D 1D ?? ?? ?? ?? 48 89 47 40 4C 89 1F 48 8D 47 38 48 89 47 48 48 8D 47 50 48 89 47 58 48 8D 47 54 48 89 47 60 49 89 08 48 8B 47 48 48 89 08 48 8B 47 60 89 08 48 8B 47 20 48 89 08 48 8B 47 40 48 89 08 48 8B 47 58 89 08 48 89 9F 98 00 00 00 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 89 87 8C 00 00 00 48 89 8F 80 00 00 00 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_185_1 {
	meta:
		name = "??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 169
		refs = "0011 ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAA@XZ 003a ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 008a ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 33 C9 48 8D 47 10 4C 8D 47 18 48 89 47 20 88 8F 90 00 00 00 88 8F 8A 00 00 00 4C 89 47 28 48 8D 47 30 4C 8D 1D ?? ?? ?? ?? 48 89 47 40 4C 89 1F 48 8D 47 38 48 89 47 48 48 8D 47 50 48 89 47 58 48 8D 47 54 48 89 47 60 49 89 08 48 8B 47 48 48 89 08 48 8B 47 60 89 08 48 8B 47 20 48 89 08 48 8B 47 40 48 89 08 48 8B 47 58 89 08 48 89 9F 98 00 00 00 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 89 87 8C 00 00 00 48 89 8F 80 00 00 00 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_193_1 {
	meta:
		name = "?in@?$codecvt@GDH@std@@QEBAHAEAHPEBD1AEAPEBDPEAG3AEAPEAG@Z"
		size = 61
		altNames = "?in@?$codecvt@DDH@std@@QEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z ?in@?$codecvt@_WDH@std@@QEBAHAEAHPEBD1AEAPEBDPEA_W3AEAPEA_W@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 48 48 8B 84 24 88 00 00 00 4C 8B 11 49 89 43 F0 48 8B 84 24 80 00 00 00 49 89 43 E8 48 8B 44 24 78 49 89 43 E0 48 8B 44 24 70 49 89 43 D8 41 FF 52 20 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_194_1 {
	meta:
		name = "?out@?$codecvt@GDH@std@@QEBAHAEAHPEBG1AEAPEBGPEAD3AEAPEAD@Z"
		size = 61
		altNames = "?out@?$codecvt@DDH@std@@QEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z ?out@?$codecvt@_WDH@std@@QEBAHAEAHPEB_W1AEAPEB_WPEAD3AEAPEAD@Z"
	strings:
		$1 = { 4C 8B DC 48 83 EC 48 48 8B 84 24 88 00 00 00 4C 8B 11 49 89 43 F0 48 8B 84 24 80 00 00 00 49 89 43 E8 48 8B 44 24 78 49 89 43 E0 48 8B 44 24 70 49 89 43 D8 41 FF 52 28 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_4_195_1 {
	meta:
		name = "?_Init@?$codecvt@GDH@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 24
		refs = "000a _Getcvt"
		altNames = "?_Init@?$codecvt@_WDH@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_47_1 {
	meta:
		name = "?_Init@?$collate@D@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 24
		refs = "000a _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_80_1 {
	meta:
		name = "?_Init@?$collate@G@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 24
		refs = "000a _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_71_1 {
	meta:
		name = "?_Init@?$collate@_W@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 24
		refs = "000a _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 10 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_196_1 {
	meta:
		name = "??$_Fgetc@G@std@@YA_NAEAGPEAU_iobuf@@@Z"
		size = 42
		refs = "000d fgetwc"
		altNames = "??$_Fgetc@_W@std@@YA_NAEA_WPEAU_iobuf@@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? B9 FF FF 00 00 66 3B C1 75 04 32 C0 EB 05 66 89 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_197_1 {
	meta:
		name = "??$_Fputc@G@std@@YA_NGPEAU_iobuf@@@Z"
		size = 25
		refs = "0005 fputwc"
		altNames = "??$_Fputc@_W@std@@YA_N_WPEAU_iobuf@@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? BA FF FF 00 00 66 3B C2 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_198_1 {
	meta:
		name = "??$_Ungetc@G@std@@YA_NAEBGPEAU_iobuf@@@Z"
		size = 28
		refs = "0008 ungetwc"
		altNames = "??$_Ungetc@_W@std@@YA_NAEB_WPEAU_iobuf@@@Z"
	strings:
		$1 = { 48 83 EC 28 0F B7 09 E8 ?? ?? ?? ?? BA FF FF 00 00 66 3B C2 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_199_1 {
	meta:
		name = "?_Lock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _lock_file"
		altNames = "?_Lock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAXXZ ?_Lock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 98 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_64_170_2 {
	meta:
		name = "?_Unlock@?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 98 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_62_181_2 {
	meta:
		name = "?_Unlock@?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 98 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_80_182_2 {
	meta:
		name = "?_Unlock@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAAXXZ"
		size = 26
		refs = "0011 _unlock_file"
	strings:
		$1 = { 48 83 EC 28 48 8B 89 98 00 00 00 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_4_201_1 {
	meta:
		name = "?sync@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAHXZ"
		size = 84
		refs = "0037 fflush"
		altNames = "?sync@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAHXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 DB 48 8B F9 48 39 99 98 00 00 00 74 25 48 8B 01 BE FF FF 00 00 8B D6 FF 50 18 66 3B F0 74 13 48 8B 8F 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 79 03 83 CB FF 48 8B 74 24 38 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_202_1 {
	meta:
		name = "?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBAPEAGXZ"
		size = 19
		altNames = "?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 58 48 63 10 48 8B 41 40 48 8B 08 48 8D 04 51 C3 }
	condition:
		$1
}

rule file_4_203_1 {
	meta:
		name = "?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEBAPEAGXZ"
		size = 19
		altNames = "?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEBAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 60 48 63 10 48 8B 41 48 48 8B 08 48 8D 04 51 C3 }
	condition:
		$1
}

rule file_4_204_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
		size = 21
		altNames = "?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 58 FF 00 48 8B 51 40 48 8B 02 48 83 C0 FE 48 89 02 C3 }
	condition:
		$1
}

rule file_4_205_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IEAAPEAGXZ"
		size = 21
		altNames = "?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IEAAPEA_WXZ"
	strings:
		$1 = { 48 8B 41 60 FF 08 48 8B 51 48 48 8B 02 48 8D 48 02 48 89 0A C3 }
	condition:
		$1
}

rule file_4_211_1 {
	meta:
		name = "?not_eof@?$char_traits@G@std@@SAGAEBG@Z"
		size = 17
		altNames = "?not_eof@?$char_traits@_W@std@@SAGAEBG@Z"
	strings:
		$1 = { B8 FF FF 00 00 66 39 01 74 04 0F B7 01 C3 33 C0 C3 }
	condition:
		$1
}

rule file_4_212_1 {
	meta:
		name = "??0?$codecvt@GDH@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$codecvt@GDH@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_35_212_1 {
	meta:
		name = "??0?$codecvt@_WDH@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$codecvt@_WDH@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_68_2 {
	meta:
		name = "??0?$collate@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$collate@D@std@@6B@ 0018 _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_300_2 {
	meta:
		name = "??0?$collate@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$collate@G@std@@6B@ 0018 _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_233_1 {
	meta:
		name = "??0?$collate@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$collate@_W@std@@6B@ 0018 _Getcoll"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_102_1 {
	meta:
		name = "??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_316_2 {
	meta:
		name = "??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_251_1 {
	meta:
		name = "??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_142_1 {
	meta:
		name = "??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_340_1 {
	meta:
		name = "??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_260_1 {
	meta:
		name = "??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_5_65_2 {
	meta:
		name = "??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_273_1 {
	meta:
		name = "??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_172_2 {
	meta:
		name = "??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_5_100_2 {
	meta:
		name = "??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_289_2 {
	meta:
		name = "??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_208_2 {
	meta:
		name = "??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 41
		refs = "0009 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 _Getcvt"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 E8 ?? ?? ?? ?? 48 89 43 10 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_214_1 {
	meta:
		name = "?do_in@?$codecvt@GDH@std@@MEBAHAEAHPEBD1AEAPEBDPEAG3AEAPEAG@Z"
		size = 234
		refs = "007b _Mbrtowc 009d strlen"
		altNames = "?do_in@?$codecvt@_WDH@std@@MEBAHAEAHPEBD1AEAPEBDPEA_W3AEAPEA_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B 9C 24 80 00 00 00 48 8B B4 24 98 00 00 00 48 8B 84 24 88 00 00 00 4C 89 03 45 33 FF 48 89 06 4C 39 0B 41 8B FF 49 8B E9 40 0F 95 C7 4C 8B EA 4C 8B F1 4C 39 0B 74 76 4C 8B A4 24 90 00 00 00 4C 39 26 74 69 48 8B 13 48 8B 0E 49 8D 46 10 4C 8B C5 4D 8B CD 48 89 44 24 20 4C 2B 03 E8 ?? ?? ?? ?? 44 8B D8 83 F8 FE 74 41 83 F8 FF 74 35 85 C0 75 15 48 8B 06 66 44 39 38 75 14 48 8B 0B E8 ?? ?? ?? ?? 44 8D 58 01 41 83 FB FD 45 0F 44 DF 49 63 C3 41 8B FF 48 01 03 48 83 06 02 48 39 2B 75 9E EB 0A B8 02 00 00 00 EB 05 48 89 2B 8B C7 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_4_215_1 {
	meta:
		name = "?do_out@?$codecvt@GDH@std@@MEBAHAEAHPEBG1AEAPEBGPEAD3AEAPEAD@Z"
		size = 300
		refs = "0017 __security_cookie 0075 ___mb_cur_max_func 0098 _Wcrtomb 00df memcpy 0110 __security_check_cookie"
		altNames = "?do_out@?$codecvt@_WDH@std@@MEBAHAEAHPEB_W1AEAPEB_WPEAD3AEAPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 30 48 8B B4 24 A0 00 00 00 48 8B BC 24 B8 00 00 00 48 8B 84 24 A8 00 00 00 4C 89 06 33 DB 48 89 07 4C 39 0E 4D 8B F9 4C 8B F2 0F 95 C3 4C 8B E9 48 89 4C 24 20 4C 39 0E 0F 84 A5 00 00 00 4C 8B A4 24 B0 00 00 00 4C 39 27 0F 84 94 00 00 00 48 8B 2F E8 ?? ?? ?? ?? 4D 8B C6 48 63 D0 49 8B C4 48 2B C5 48 3B D0 48 8B 06 0F B7 10 7F 1B 4D 8D 4D 10 48 8B CD E8 ?? ?? ?? ?? 85 C0 78 5B 48 83 06 02 48 98 48 01 07 EB 44 4C 8B 4C 24 20 45 8B 2E 48 8D 4C 24 28 49 83 C1 10 E8 ?? ?? ?? ?? 85 C0 78 36 48 63 E8 49 8B C4 48 2B 07 48 3B C5 7C 2F 48 8B 0F 48 8D 54 24 28 4C 8B C5 E8 ?? ?? ?? ?? 48 83 06 02 48 01 2F 4C 8B 6C 24 20 33 DB 4C 39 3E 74 0F E9 6D FF FF FF B8 02 00 00 00 EB 05 45 89 2E 8B C3 48 8B 4C 24 30 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_4_216_1 {
	meta:
		name = "?do_unshift@?$codecvt@GDH@std@@MEBAHAEAHPEAD1AEAPEAD@Z"
		size = 162
		refs = "0013 __security_cookie 0044 _Wcrtomb 007b memcpy 008d __security_check_cookie"
		altNames = "?do_unshift@?$codecvt@_WDH@std@@MEBAHAEAHPEAD1AEAPEAD@Z"
	strings:
		$1 = { 48 89 5C 24 18 55 56 57 41 54 41 55 48 83 EC 30 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 28 48 8B B4 24 80 00 00 00 4C 8B E2 49 8B E9 4C 89 06 44 8B 2A 4C 8D 49 10 48 8D 4C 24 20 33 D2 4D 8B C4 33 DB E8 ?? ?? ?? ?? 85 C0 7F 07 BB 02 00 00 00 EB 2F 48 2B 2E FF C8 48 63 F8 48 3B EF 7D 0B 45 89 2C 24 BB 01 00 00 00 EB 17 85 C0 7E 13 48 8B 0E 48 8D 54 24 20 4C 8B C7 E8 ?? ?? ?? ?? 48 01 3E 8B C3 48 8B 4C 24 28 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 30 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_4_217_1 {
	meta:
		name = "?do_length@?$codecvt@GDH@std@@MEBAHAEBHPEBD1_K@Z"
		size = 164
		refs = "0052 _Mbrtowc 0070 strlen"
		altNames = "?do_length@?$codecvt@_WDH@std@@MEBAHAEBHPEBD1_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 20 57 41 54 41 55 48 83 EC 30 8B 02 45 33 ED 49 8B F1 49 8B F8 4C 8B E1 89 44 24 60 41 8B DD 4C 39 6C 24 70 76 5F 48 3B FE 74 5A 49 8D 44 24 10 4C 8B C6 4C 8D 4C 24 60 48 8D 4C 24 58 48 8B D7 4C 2B C7 48 89 44 24 20 E8 ?? ?? ?? ?? 83 F8 FE 74 33 83 F8 FF 74 2E 85 C0 75 12 66 44 39 6C 24 58 75 11 48 8B CF E8 ?? ?? ?? ?? FF C0 83 F8 FD 41 0F 44 C5 48 98 FF C3 48 03 F8 48 63 C3 48 3B 44 24 70 72 A1 48 8B 74 24 68 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_4_221_1 {
	meta:
		name = "?underflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
		size = 94
		altNames = "?underflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 40 48 8B D9 48 8B 08 48 85 C9 74 15 48 8B 53 58 4C 63 02 4A 8D 14 41 48 3B CA 73 05 0F B7 01 EB 25 48 8B 03 48 8B CB FF 50 38 0F B7 F8 B8 FF FF 00 00 66 3B C7 74 0F 48 8B 03 0F B7 D7 48 8B CB FF 50 20 0F B7 C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_222_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@GU?$char_traits@G@std@@@std@@AEAAXXZ"
		size = 81
		altNames = "?_Set_back@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B C9 48 8B 49 20 48 8B 01 4D 8D 91 88 00 00 00 49 3B C2 74 1A 49 89 41 70 49 8B 41 58 4C 63 00 49 8B 41 40 48 8B 10 4A 8D 04 42 49 89 41 78 4C 89 11 49 8B 41 40 49 8B C9 49 2B CA 4C 89 10 49 8B 41 58 48 81 C1 8A 00 00 00 48 D1 F9 89 08 C3 }
	condition:
		$1
}

rule file_4_223_1 {
	meta:
		name = "?_Getcat@?$codecvt@GDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$codecvt@GDH@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_10_224_1 {
	meta:
		name = "?_Getcat@?$codecvt@_WDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$codecvt@_WDH@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_4_225_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
		size = 240
		refs = "0078 ungetwc"
		altNames = "?pbackfail@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 41 40 0F B7 FA 48 8B D9 48 8B 10 33 C9 BE FF FF 00 00 48 85 D2 74 32 48 8B 43 20 48 39 10 73 29 66 3B F7 74 06 66 39 7A FE 75 1E 48 8B 43 58 FF 00 48 8B 43 40 48 83 00 FE 66 3B FE 74 03 0F B7 CF 0F B7 C1 E9 86 00 00 00 48 8B 93 98 00 00 00 48 85 D2 74 77 66 3B F7 74 72 48 39 8B 80 00 00 00 75 12 0F B7 CF E8 ?? ?? ?? ?? 66 3B C6 74 05 0F B7 C7 EB 5A 4C 8B 43 40 48 8D 93 88 00 00 00 49 39 10 74 47 4C 8B 4B 20 66 89 3A 49 8B 01 48 3B C2 74 16 48 89 43 70 48 8B 43 58 48 63 08 49 8B 00 48 8D 0C 48 48 89 4B 78 49 89 11 48 8B 43 40 48 8B CB 48 2B CA 48 89 10 48 8B 43 58 48 81 C1 8A 00 00 00 48 D1 F9 89 08 EB A4 0F B7 C6 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_226_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z"
		size = 157
		refs = "0024 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0029 ?_Xout_of_range@std@@YAXPEBD@Z 006c memmove"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 4C 8B 41 18 48 8B C2 48 8B F9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 2B C0 4C 3B C6 49 0F 42 F0 48 85 F6 74 4D 48 83 79 20 10 48 8D 59 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 79 20 10 72 05 48 8B 0B EB 03 48 8B CB 48 03 D0 4C 2B C6 48 03 C8 48 03 D6 E8 ?? ?? ?? ?? 4C 8B 5F 18 4C 2B DE 48 83 7F 20 10 4C 89 5F 18 72 03 48 8B 1B 42 C6 04 1B 00 48 8B 5C 24 30 48 8B 74 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_227_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEBV?$codecvt@GDH@2@@Z"
		size = 142
		altNames = "?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEBV?$codecvt@DDH@2@@Z ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEBV?$codecvt@_WDH@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 02 48 8B D9 48 8B CA 48 8B FA FF 50 08 33 D2 84 C0 74 09 48 89 93 80 00 00 00 EB 5B 48 89 BB 80 00 00 00 48 8D 43 10 48 8D 4B 18 48 89 43 20 48 89 4B 28 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 89 11 48 8B 43 48 48 89 10 48 8B 43 60 89 10 48 8B 43 20 48 89 10 48 8B 43 40 48 89 10 48 8B 43 58 89 10 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_230_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@PEAG_J@Z"
		size = 213
		refs = "0033 setvbuf 00b6 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 98 00 00 00 4D 8B C8 48 85 C9 0F 84 B1 00 00 00 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 4D 03 C9 E8 ?? ?? ?? ?? 85 C0 0F 85 8E 00 00 00 48 8B 93 98 00 00 00 88 83 8A 00 00 00 C6 83 90 00 00 00 01 48 8D 43 10 48 8D 4B 18 48 89 43 20 48 89 4B 28 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 83 21 00 48 8B 43 48 48 83 20 00 48 8B 43 60 83 20 00 48 8B 43 20 48 83 20 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 89 93 98 00 00 00 8B 05 ?? ?? ?? ?? 48 83 A3 80 00 00 00 00 89 83 8C 00 00 00 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_10_231_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@PEA_W_J@Z"
		size = 213
		refs = "0033 setvbuf 00b6 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 98 00 00 00 4D 8B C8 48 85 C9 0F 84 B1 00 00 00 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 4D 03 C9 E8 ?? ?? ?? ?? 85 C0 0F 85 8E 00 00 00 48 8B 93 98 00 00 00 88 83 8A 00 00 00 C6 83 90 00 00 00 01 48 8D 43 10 48 8D 4B 18 48 89 43 20 48 89 4B 28 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 83 21 00 48 8B 43 48 48 83 20 00 48 8B 43 60 83 20 00 48 8B 43 20 48 83 20 00 48 8B 43 40 48 83 20 00 48 8B 43 58 83 20 00 48 89 93 98 00 00 00 8B 05 ?? ?? ?? ?? 48 83 A3 80 00 00 00 00 89 83 8C 00 00 00 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_231_1 {
	meta:
		name = "?imbue@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@GDH@std@@@std@@YAAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEBV?$codecvt@GDH@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_228_1 {
	meta:
		name = "?imbue@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@DDH@std@@@std@@YAAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEBV?$codecvt@DDH@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_232_1 {
	meta:
		name = "?imbue@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAXAEBVlocale@2@@Z"
		size = 33
		refs = "000d ??$use_facet@V?$codecvt@_WDH@std@@@std@@YAAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z 001d ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEBV?$codecvt@_WDH@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 48 8B CB 48 8B D0 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_232_1 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 36
	strings:
		$1 = { 48 83 79 20 10 72 06 4C 8B 41 08 EB 04 4C 8D 41 08 48 8B 01 48 83 62 08 00 4C 89 42 10 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_4_233_1 {
	meta:
		name = "??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z"
		size = 118
		refs = "0013 ??2@YAPEAX_K@Z 0054 ??0exception@std@@QEAA@AEBQEBD@Z 005b ??_7bad_alloc@std@@6B@ 0062 _TI2?AVbad_alloc@std@@ 0071 _CxxThrowException"
		altNames = "??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 21 00 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 27 48 83 64 24 20 00 48 83 64 24 28 00 0F 10 44 24 20 48 89 03 F3 0F 7F 00 48 8B 03 48 89 18 48 8B C3 48 83 C4 40 5B C3 48 83 64 24 50 00 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_4_234_1 {
	meta:
		name = "??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
		size = 27
		refs = "000d ??3@YAXPEAX@Z"
		altNames = "??1?$_String_val@GV?$allocator@G@std@@@std@@QEAA@XZ ??1?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_49_32_1 {
	meta:
		name = "??1_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAA@XZ"
		size = 27
		refs = "000d ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_235_1 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
		size = 208
		refs = "0028 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 002d ?_Xlength_error@std@@YAXPEBD@Z 003f ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0075 memcpy 007d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B F2 48 8B F9 48 83 FA FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 33 DB 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 6A 45 84 C0 74 49 48 83 FA 10 73 43 48 8B 69 18 48 3B D5 48 0F 42 EA 48 83 79 20 10 72 1F 48 83 C1 08 4C 8B 21 48 85 ED 74 0B 4C 8B C5 49 8B D4 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 C7 47 20 0F 00 00 00 48 89 6F 18 88 5C 2F 08 EB 1C 48 85 D2 75 17 48 83 79 20 10 48 89 59 18 72 06 48 8B 79 08 EB 04 48 83 C7 08 88 1F 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_4_236_1 {
	meta:
		name = "?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QEBAGD@Z"
		size = 79
		refs = "001d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0033 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 40 8A FA 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 50 E8 ?? ?? ?? ?? 4C 8B 1B 40 8A D7 48 8B CB 41 FF 53 50 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_10_237_1 {
	meta:
		name = "?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QEBA_WD@Z"
		size = 79
		refs = "001d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0033 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 40 8A FA 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 50 E8 ?? ?? ?? ?? 4C 8B 1B 40 8A D7 48 8B CB 41 FF 53 50 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_4_238_1 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 60
		refs = "0015 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 20 10 48 8B D9 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 63 18 00 48 C7 43 20 0F 00 00 00 C6 43 08 00 48 8B 0B E8 ?? ?? ?? ?? 48 83 23 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_239_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 45
		refs = "000f ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 48 83 63 18 00 48 C7 43 20 0F 00 00 00 C6 43 08 00 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_4_240_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 258
		refs = "0035 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 003a ?_Xlength_error@std@@YAXPEBD@Z 0069 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00ce memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 83 C8 FF 45 8A E0 4C 8B 41 18 49 2B C0 48 8B EA 48 8B D9 48 3B C2 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 85 D2 0F 84 9C 00 00 00 49 8D 34 10 48 83 FE FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1D 48 85 F6 75 1D 48 21 71 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 F6 74 53 48 8B 4B 18 48 8D 7B 08 48 83 FD 01 75 15 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 44 88 24 08 EB 1E 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 41 0F BE D4 48 03 C8 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_4_241_1 {
	meta:
		name = "?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
		size = 152
		refs = "0023 ?_Init@ios_base@std@@IEAAXXZ 0039 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0042 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 004f ??1locale@std@@QEAA@XZ 0077 ?clear@ios_base@std@@QEAAXH_N@Z 0084 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 5F 48 48 83 67 50 00 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 1B B2 20 48 8B CB 41 FF 53 50 66 89 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_10_242_1 {
	meta:
		name = "?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
		size = 152
		refs = "0023 ?_Init@ios_base@std@@IEAAXXZ 0039 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0042 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 004f ??1locale@std@@QEAA@XZ 0077 ?clear@ios_base@std@@QEAAXH_N@Z 0084 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 5F 48 48 83 67 50 00 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 1B B2 20 48 8B CB 41 FF 53 50 66 89 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_4_243_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 217
		refs = "0026 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 002b ?_Xlength_error@std@@YAXPEBD@Z 004e ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00ab memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 41 8A E8 48 8B F2 48 8B D9 48 83 FA FF 75 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 FA FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 1D 48 85 D2 75 18 48 21 51 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 F6 74 4B 48 8D 7B 08 48 83 FE 01 75 14 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 40 88 28 EB 1B 48 83 7B 20 10 72 05 48 8B 0F EB 03 48 8B CF 40 0F BE D5 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_244_1 {
	meta:
		name = "??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 104
		refs = "0023 ??_8?$basic_ostream@GU?$char_traits@G@std@@@std@@7B@ 002d ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 0047 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 005a ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 48 03 CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_52_234_1 {
	meta:
		name = "??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 104
		refs = "0023 ??_8?$basic_ostream@DU?$char_traits@D@std@@@std@@7B@ 002d ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 0047 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 005a ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 48 03 CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_10_245_1 {
	meta:
		name = "??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 104
		refs = "0023 ??_8?$basic_ostream@_WU?$char_traits@_W@std@@@std@@7B@ 002d ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 0047 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 005a ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 8B 03 48 63 48 04 48 03 CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_4_245_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_52_235_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_10_246_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_4_246_1 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
		size = 755
		refs = "002b __security_cookie 00c0 fgetwc 00ea ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0109 fgetc 0123 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0131 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0139 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 01ef ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 021f memcpy_s 025d ungetc 027e ??3@YAXPEAX@Z 02d2 __security_check_cookie"
		altNames = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 8B C4 55 41 54 41 56 48 8D 68 D8 48 81 EC 10 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 08 48 8B F1 48 8B 41 40 48 83 38 00 74 2F 48 8B 10 48 8B 41 58 48 63 08 48 8D 04 4A 48 3B D0 73 1C 48 8B 46 58 FF 08 48 8B 56 40 48 8B 02 48 8D 48 02 48 89 0A 0F B7 00 E9 58 02 00 00 48 83 BE 98 00 00 00 00 0F 84 45 02 00 00 48 8B 56 20 48 8D 86 88 00 00 00 48 39 02 75 1E 48 8B 4E 78 48 8B 46 70 48 89 02 48 8B 46 40 48 89 08 48 2B C9 48 D1 F9 48 8B 46 58 89 08 48 83 BE 80 00 00 00 00 75 28 48 8B 8E 98 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 D8 B8 FF FF 00 00 66 44 3B D8 0F 84 F3 01 00 00 41 0F B7 C3 E9 EA 01 00 00 48 8D 54 24 40 48 8D 4D D8 E8 ?? ?? ?? ?? 41 BE 0F 00 00 00 4C 89 75 F8 48 83 65 F0 00 C6 45 E0 00 48 8B 8E 98 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 89 01 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D F0 48 8D 55 90 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 8E 80 00 00 00 4C 8B 11 4C 8D 0C 3B 48 8D 54 24 50 48 89 54 24 38 48 8D 54 24 42 48 89 54 24 30 48 8D 54 24 40 48 89 54 24 28 48 8D 54 24 48 48 89 54 24 20 4C 8B C0 48 8D 96 8C 00 00 00 41 FF 52 20 85 C0 0F 88 F8 00 00 00 83 F8 01 7E 15 83 F8 03 0F 85 EA 00 00 00 48 83 7D F0 02 73 3E E9 42 FF FF FF 48 8D 44 24 40 48 8D 4D D8 48 39 44 24 50 75 5B 48 8D 55 C0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B 44 24 48 4C 2B C0 33 D2 48 8D 4D D8 E8 ?? ?? ?? ?? E9 09 FF FF FF 48 8D 54 24 78 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 BA 02 00 00 00 44 8B CA 48 8D 4C 24 40 E8 ?? ?? ?? ?? 0F B7 5C 24 40 EB 48 48 8D 55 A8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B 4D F0 48 8B 54 24 48 2B CA 03 C8 48 63 D9 85 C9 7E 1F 48 FF CB 0F BE 0C 13 48 8B 96 98 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E 07 48 8B 54 24 48 EB E1 0F B7 5C 24 40 48 83 7D F8 10 72 09 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 89 75 F8 48 83 65 F0 00 C6 45 E0 00 48 8B 4D D8 E8 ?? ?? ?? ?? 0F B7 C3 EB 2D EB 00 48 83 7D F8 10 72 09 48 8B 4D E0 E8 ?? ?? ?? ?? 4C 89 75 F8 48 83 65 F0 00 C6 45 E0 00 48 8B 4D D8 E8 ?? ?? ?? ?? B8 FF FF 00 00 48 8B 4D 08 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 01 00 00 49 8B 5B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5C 5D C3 }
	condition:
		$1
}

rule file_4_248_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z"
		size = 99
		refs = "002b ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 004b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 41 8A D8 48 8B FA 48 8B F1 48 8D 50 20 E8 ?? ?? ?? ?? 90 48 C7 46 20 0F 00 00 00 48 83 66 18 00 C6 46 08 00 44 8A C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_4_250_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ"
		size = 578
		refs = "0029 __security_cookie 007a ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 009d ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00a2 ?_Xlength_error@std@@YAXPEBD@Z 00b1 memset 00d9 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e1 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 0187 fwrite 01c2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01e0 ??3@YAXPEAX@Z 0222 __security_check_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 55 41 56 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 97 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 4C 8B E1 45 33 ED 44 89 6D 8F 4C 39 A9 80 00 00 00 0F 84 CD 01 00 00 44 38 A9 8A 00 00 00 0F 84 C0 01 00 00 48 8B 01 BB FF FF 00 00 8B D3 FF 50 18 66 3B D8 75 07 32 C0 E9 A9 01 00 00 48 8D 55 87 48 8D 4D FF E8 ?? ?? ?? ?? 90 48 C7 45 1F 0F 00 00 00 48 83 65 17 00 C6 45 07 00 BB 08 00 00 00 80 FB FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 8B C3 33 D2 48 8D 4D 07 E8 ?? ?? ?? ?? 48 89 5D 17 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 C6 40 08 00 BE 01 00 00 00 48 8D 55 9F 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 17 48 8D 55 E7 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 49 8B 8C 24 80 00 00 00 4C 8B 11 4C 8D 0C 1F 48 8D 55 8F 48 89 54 24 20 4C 8B C0 49 8D 94 24 8C 00 00 00 41 FF 52 30 85 C0 74 0A FF C8 0F 85 97 00 00 00 EB 09 41 C6 84 24 8A 00 00 00 00 48 8D 55 B7 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5D 8F 48 2B D8 74 38 44 0B EE 48 8D 55 CF 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8B 8C 24 98 00 00 00 4C 8B C3 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 05 40 8A C6 EB 02 32 C0 44 84 EE 74 04 41 83 E5 FE 84 C0 75 42 41 38 84 24 8A 00 00 00 74 26 48 85 DB 0F 85 19 FF FF FF 45 33 C0 8D 53 08 48 8D 4D FF E8 ?? ?? ?? ?? E9 05 FF FF FF 83 E8 02 74 02 EB 14 EB 00 48 83 7D 1F 10 72 1E 48 8B 4D 07 E8 ?? ?? ?? ?? EB 13 48 83 7D 1F 10 72 09 48 8B 4D 07 E8 ?? ?? ?? ?? 40 32 F6 48 C7 45 1F 0F 00 00 00 48 83 65 17 00 C6 45 07 00 48 8B 4D FF E8 ?? ?? ?? ?? 40 8A C6 EB 02 B0 01 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_4_251_1 {
	meta:
		name = "?dtor$1@?0??_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ@4HA ?dtor$1@?0??_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ@4HA ?dtor$3@?0??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA ?dtor$3@?0??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
	strings:
		$1 = { 48 8D 8A A8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1047_1 {
	meta:
		name = "?dtor$1@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A A8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_957_1 {
	meta:
		name = "?dtor$1@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A A8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_4_253_1 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
		size = 800
		refs = "0029 __security_cookie 00e2 fputwc 0109 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 012b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0130 ?_Xlength_error@std@@YAXPEBD@Z 013f memset 0161 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0169 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 0226 fwrite 0270 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0287 ??3@YAXPEAX@Z 0301 __security_check_cookie"
		altNames = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 00 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 44 0F B7 EA 48 8B F1 33 DB 44 8B F3 89 5C 24 40 41 BC FF FF 00 00 66 44 3B E2 75 08 0F B7 C3 E9 A1 02 00 00 48 8B 51 48 48 39 1A 74 31 48 8B 12 4C 8B 41 60 49 63 00 48 8D 0C 42 48 3B D1 73 1E 41 FF 08 48 8B 4E 48 48 8B 11 48 8D 42 02 48 89 01 66 44 89 2A 41 0F B7 C5 E9 67 02 00 00 48 39 9E 98 00 00 00 0F 84 56 02 00 00 48 8B 56 20 48 8D 86 88 00 00 00 48 39 02 75 1E 48 8B 4E 78 48 8B 46 70 48 89 02 48 8B 46 40 48 89 08 48 2B C9 48 D1 F9 48 8B 46 58 89 08 48 39 9E 80 00 00 00 75 23 48 8B 96 98 00 00 00 41 0F B7 CD E8 ?? ?? ?? ?? 66 41 3B C4 0F 84 05 02 00 00 45 0F B7 E5 E9 FC 01 00 00 66 44 89 6C 24 40 48 8D 54 24 44 48 8D 4D E7 E8 ?? ?? ?? ?? 90 48 C7 45 07 0F 00 00 00 48 89 5D FF 88 5D EF BF 08 00 00 00 40 80 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 8B C7 33 D2 48 8D 4D EF E8 ?? ?? ?? ?? 48 89 7D FF 48 8D 45 EF 48 83 7D 07 10 48 0F 43 45 EF 88 58 08 48 8D 55 87 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5D FF 48 8B F8 48 8D 55 9F 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 44 24 48 4C 89 44 24 38 48 8D 14 1F 48 89 54 24 30 48 89 44 24 28 48 8D 44 24 50 48 8B 8E 80 00 00 00 48 89 44 24 20 4C 8B 11 4C 8D 4C 24 42 4C 8D 44 24 40 48 8D 96 8C 00 00 00 41 FF 52 28 33 FF 85 C0 0F 88 F8 00 00 00 83 F8 01 0F 8F CE 00 00 00 48 8D 55 B7 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 2B D8 74 35 41 83 CE 01 48 8D 55 CF 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B 8E 98 00 00 00 4C 8B C3 8D 57 01 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 B0 01 75 03 40 8A C7 41 F6 C6 01 74 04 41 83 E6 FE 84 C0 75 67 C6 86 8A 00 00 00 01 48 8D 44 24 40 48 39 44 24 50 75 26 48 85 DB 0F 85 FA FE FF FF 48 83 7D FF 20 73 14 45 33 C0 8D 53 08 48 8D 4D E7 E8 ?? ?? ?? ?? E9 DF FE FF FF EB 51 48 83 7D 07 10 72 09 48 8B 4D EF E8 ?? ?? ?? ?? 48 C7 45 07 0F 00 00 00 48 89 7D FF 40 88 7D EF 48 8B 4D E7 E8 ?? ?? ?? ?? E9 E0 FD FF FF EB 21 83 F8 03 75 1C 48 8B 96 98 00 00 00 0F B7 4C 24 40 E8 ?? ?? ?? ?? 66 41 3B C4 75 03 45 8B EC EB AF 48 83 7D 07 10 72 09 48 8B 4D EF E8 ?? ?? ?? ?? 48 C7 45 07 0F 00 00 00 48 89 7D FF 40 88 7D EF 48 8B 4D E7 E8 ?? ?? ?? ?? 41 0F B7 C4 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_4_256_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 242
		refs = "004d ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 006d _fseeki64 0082 fgetpos 00cc ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 20 48 8B 41 40 4C 8D A1 88 00 00 00 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 20 75 14 41 83 F9 01 75 0E 48 83 B9 80 00 00 00 00 75 04 48 83 EE 02 48 83 B9 98 00 00 00 00 74 7D E8 ?? ?? ?? ?? 84 C0 74 74 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 98 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 54 48 8B 8F 98 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 3F 48 8B 57 20 4C 39 22 75 1E 48 8B 47 70 48 8B 4F 78 48 89 02 48 8B 47 40 48 89 08 48 8B 47 58 48 2B C9 48 D1 F9 89 08 48 8B 44 24 40 48 83 23 00 48 89 43 08 8B 87 8C 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 50 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_10_257_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 242
		refs = "004d ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 006d _fseeki64 0082 fgetpos 00cc ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 20 48 8B 41 40 4C 8D A1 88 00 00 00 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 20 75 14 41 83 F9 01 75 0E 48 83 B9 80 00 00 00 00 75 04 48 83 EE 02 48 83 B9 98 00 00 00 00 74 7D E8 ?? ?? ?? ?? 84 C0 74 74 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 98 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 54 48 8B 8F 98 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 3F 48 8B 57 20 4C 39 22 75 1E 48 8B 47 70 48 8B 4F 78 48 89 02 48 8B 47 40 48 89 08 48 8B 47 58 48 2B C9 48 D1 F9 89 08 48 8B 44 24 40 48 83 23 00 48 89 43 08 8B 87 8C 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 50 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_4_257_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
		size = 272
		refs = "0040 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 0059 fsetpos 0079 _fseeki64 008e fgetpos 00e8 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 48 83 EC 20 49 8B 40 08 49 8B E8 48 8B DA 4C 63 C8 48 63 F0 48 8B F9 49 2B F1 49 89 43 08 49 03 30 48 83 B9 98 00 00 00 00 0F 84 A6 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 48 8B 8F 98 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 80 00 00 00 48 85 F6 74 17 48 8B 8F 98 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 64 48 8B 8F 98 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 4F 8B 45 10 48 8B 57 20 89 87 8C 00 00 00 48 8D 87 88 00 00 00 48 39 02 75 1E 48 8B 47 70 48 8B 4F 78 48 89 02 48 8B 47 40 48 89 08 48 8B 47 58 48 2B C9 48 D1 F9 89 08 48 8B 44 24 30 48 83 23 00 48 89 43 08 8B 87 8C 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 40 48 8B 74 24 48 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_258_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
		size = 272
		refs = "0040 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 0059 fsetpos 0079 _fseeki64 008e fgetpos 00e8 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 48 83 EC 20 49 8B 40 08 49 8B E8 48 8B DA 4C 63 C8 48 63 F0 48 8B F9 49 2B F1 49 89 43 08 49 03 30 48 83 B9 98 00 00 00 00 0F 84 A6 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 48 8B 8F 98 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 0F 85 80 00 00 00 48 85 F6 74 17 48 8B 8F 98 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 64 48 8B 8F 98 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 4F 8B 45 10 48 8B 57 20 89 87 8C 00 00 00 48 8D 87 88 00 00 00 48 39 02 75 1E 48 8B 47 70 48 8B 4F 78 48 89 02 48 8B 47 40 48 89 08 48 8B 47 58 48 2B C9 48 D1 F9 89 08 48 8B 44 24 30 48 83 23 00 48 89 43 08 8B 87 8C 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 40 48 8B 74 24 48 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_258_1 {
	meta:
		name = "?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAAPEAV12@XZ"
		size = 207
		refs = "0022 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ 0036 fclose 00ae ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 98 00 00 00 75 04 8B FE EB 1F E8 ?? ?? ?? ?? 48 8B 8B 98 00 00 00 F6 D8 48 1B FF 48 23 FB E8 ?? ?? ?? ?? 85 C0 48 0F 45 FE 40 88 B3 90 00 00 00 40 88 B3 8A 00 00 00 48 8D 4B 18 48 89 4B 28 48 8D 43 10 48 89 43 20 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 89 31 48 8B 4B 48 48 89 31 48 8B 4B 60 48 8B C7 89 31 48 8B 4B 20 48 89 31 48 8B 4B 40 48 89 31 48 8B 4B 58 89 31 48 89 B3 98 00 00 00 8B 0D ?? ?? ?? ?? 48 89 B3 80 00 00 00 48 8B 74 24 38 89 8B 8C 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_10_259_1 {
	meta:
		name = "?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAAPEAV12@XZ"
		size = 207
		refs = "0022 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ 0036 fclose 00ae ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B D9 48 39 B1 98 00 00 00 75 04 8B FE EB 1F E8 ?? ?? ?? ?? 48 8B 8B 98 00 00 00 F6 D8 48 1B FF 48 23 FB E8 ?? ?? ?? ?? 85 C0 48 0F 45 FE 40 88 B3 90 00 00 00 40 88 B3 8A 00 00 00 48 8D 4B 18 48 89 4B 28 48 8D 43 10 48 89 43 20 48 8D 43 30 48 89 43 40 48 8D 43 38 48 89 43 48 48 8D 43 50 48 89 43 58 48 8D 43 54 48 89 43 60 48 89 31 48 8B 4B 48 48 89 31 48 8B 4B 60 48 8B C7 89 31 48 8B 4B 20 48 89 31 48 8B 4B 40 48 89 31 48 8B 4B 58 89 31 48 89 B3 98 00 00 00 8B 0D ?? ?? ?? ?? 48 89 B3 80 00 00 00 48 8B 74 24 38 89 8B 8C 00 00 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_4_259_1 {
	meta:
		name = "??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 165
		refs = "001e ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 006a ?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAAPEAV12@XZ 0072 ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 0086 ??1locale@std@@QEAA@XZ 008e ??3@YAXPEAX@Z 00a1 ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 B9 98 00 00 00 00 74 2E 48 8B 51 20 48 8D 81 88 00 00 00 48 39 02 75 1E 48 8B 49 78 48 8B 43 70 48 89 02 48 8B 43 40 48 89 08 48 2B C9 48 D1 F9 48 8B 43 58 89 08 80 BB 90 00 00 00 00 74 09 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 7B 68 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_260_1 {
	meta:
		name = "??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 165
		refs = "001e ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 006a ?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAAPEAV12@XZ 0072 ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 0086 ??1locale@std@@QEAA@XZ 008e ??3@YAXPEAX@Z 00a1 ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 B9 98 00 00 00 00 74 2E 48 8B 51 20 48 8D 81 88 00 00 00 48 39 02 75 1E 48 8B 49 78 48 8B 43 70 48 89 02 48 8B 43 40 48 89 08 48 2B C9 48 D1 F9 48 8B 43 58 89 08 80 BB 90 00 00 00 00 74 09 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 7B 68 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_263_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wfout 0015 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwfout@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 30 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_263_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wfout 0015 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwfout@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 30 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_264_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 65
		refs = "0020 wfout 0027 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 002c ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 0034 ??__Fwcout@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_78_229_2 {
	meta:
		name = "??__Ecerr@std@@YAXXZ"
		size = 65
		refs = "0020 ferr 0027 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 002c ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z 0034 ??__Fcerr@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_254_1 {
	meta:
		name = "??__Ecin@std@@YAXXZ"
		size = 65
		refs = "0020 fin 0027 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 002c ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z 0034 ??__Fcin@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_254_1 {
	meta:
		name = "??__Eclog@std@@YAXXZ"
		size = 65
		refs = "0020 flog 0027 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 002c ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z 0034 ??__Fclog@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_59_254_1 {
	meta:
		name = "??__Ecout@std@@YAXXZ"
		size = 65
		refs = "0020 fout 0027 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 002c ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z 0034 ??__Fcout@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_265_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 65
		refs = "0020 wferr 0027 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 002c ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z 0034 ??__Fwcerr@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_239_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 65
		refs = "0020 wferr 0027 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 002c ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 0034 ??__Fwcerr@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_239_2 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 65
		refs = "0020 wferr 0027 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 002c ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z 0034 ??__Fwcerr@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_265_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 65
		refs = "0020 wferr 0027 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 002c ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 0034 ??__Fwcerr@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_264_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 65
		refs = "0020 wfin 0027 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 002c ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 0034 ??__Fwcin@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_58_238_2 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 65
		refs = "0020 wfin 0027 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 002c ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z 0034 ??__Fwcin@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_238_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 65
		refs = "0020 wflog 0027 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 002c ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 0034 ??__Fwclog@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_238_2 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 65
		refs = "0020 wflog 0027 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 002c ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z 0034 ??__Fwclog@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_264_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 65
		refs = "0020 wflog 0027 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 002c ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z 0034 ??__Fwclog@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_238_2 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 65
		refs = "0020 wfout 0027 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 002c ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z 0034 ??__Fwcout@std@@YAXXZ 003d atexit"
	strings:
		$1 = { 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 83 64 24 40 00 C7 44 24 40 01 00 00 00 45 33 C0 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 48 8D 0D ?? ?? ?? ?? 48 83 C4 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_265_1 {
	meta:
		name = "?dtor$0@?0???__Ewcout@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0023 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_77_256_1 {
	meta:
		name = "?dtor$0@?0???__Ecerr@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0023 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_52_255_1 {
	meta:
		name = "?dtor$0@?0???__Eclog@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0023 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_59_255_1 {
	meta:
		name = "?dtor$0@?0???__Ecout@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0023 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_10_266_1 {
	meta:
		name = "?dtor$0@?0???__Ewcerr@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0023 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_51_266_1 {
	meta:
		name = "?dtor$0@?0???__Ewcerr@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0023 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_80_240_2 {
	meta:
		name = "?dtor$0@?0???__Ewcerr@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0023 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_87_240_2 {
	meta:
		name = "?dtor$0@?0???__Ewcerr@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0023 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_27_265_1 {
	meta:
		name = "?dtor$0@?0???__Ewclog@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0023 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_50_265_1 {
	meta:
		name = "?dtor$0@?0???__Ewclog@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0023 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_62_239_2 {
	meta:
		name = "?dtor$0@?0???__Ewclog@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0023 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_35_265_1 {
	meta:
		name = "?dtor$0@?0???__Ewcout@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0023 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 08 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_4_268_1 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_78_233_2 {
	meta:
		name = "??__Fcerr@std@@YAXXZ"
		size = 55
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_258_1 {
	meta:
		name = "??__Fcin@std@@YAXXZ"
		size = 55
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_258_1 {
	meta:
		name = "??__Fclog@std@@YAXXZ"
		size = 55
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_59_258_1 {
	meta:
		name = "??__Fcout@std@@YAXXZ"
		size = 55
		refs = "0003 ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0015 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_269_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_243_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_243_2 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_269_1 {
	meta:
		name = "??__Fwcerr@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_268_1 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_58_242_2 {
	meta:
		name = "??__Fwcin@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_242_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 55
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_242_2 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 55
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_268_1 {
	meta:
		name = "??__Fwclog@std@@YAXXZ"
		size = 55
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0015 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_56_242_2 {
	meta:
		name = "??__Fwcout@std@@YAXXZ"
		size = 55
		refs = "0003 ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0015 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 0020 ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 11 48 8D 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_0_1 {
	meta:
		name = "_Poly"
		size = 29
		altNames = "_LPoly"
	strings:
		$1 = { 66 0F 28 C8 F2 0F 10 02 EB 0C F2 0F 59 C1 48 83 C2 08 F2 0F 58 02 41 FF C8 79 EF F3 C3 }
	condition:
		$1
}

rule file_6_0_1 {
	meta:
		name = "_Stollx"
		size = 241
		refs = "003b isspace 0063 _Stoullx 00a5 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 48 83 EC 20 48 8D 70 08 48 85 D2 4C 8B E1 48 8B F9 0F B6 09 49 8B E9 48 0F 45 F2 45 8B E8 EB 06 48 FF C7 0F B6 0F E8 ?? ?? ?? ?? 85 C0 75 F1 8A 1F 80 FB 2D 74 09 80 FB 2B 74 04 B3 2B EB 03 48 FF C7 4C 8B CD 45 8B C5 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 4C 8B D8 48 3B 3E 75 03 4C 89 26 48 BF 00 00 00 00 00 00 00 80 4C 3B 26 75 05 48 85 C0 75 1E 80 FB 2B 75 0F 48 B8 FF FF FF FF FF FF FF 7F 4C 3B D8 77 0A 80 FB 2D 75 29 4C 3B DF 76 24 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 85 ED 74 07 C7 45 00 01 00 00 00 80 EB 2D F6 DB 48 1B C0 48 03 C7 EB 10 49 8B C3 48 F7 D8 80 FB 2D 4C 0F 44 D8 49 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_7_0_1 {
	meta:
		name = "?_Mtx_new@threads@stdext@@YAXAEAPEAX@Z"
		size = 37
		refs = "000f ??2@YAPEAX_K@Z 0021 __imp_InitializeCriticalSection"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 03 48 83 C4 20 5B 48 FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_7_1_1 {
	meta:
		name = "?_Mtx_delete@threads@stdext@@YAXPEAX@Z"
		size = 28
		refs = "000b __imp_DeleteCriticalSection 0018 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 FF 15 ?? ?? ?? ?? 48 8B CB 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_8_0_1 {
	meta:
		name = "?_Rng_abort@tr1@std@@YAXPEBD@Z"
		size = 55
		refs = "000a __iob_func 0016 fputs 0029 fputc 0033 abort"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8B CB 48 8D 50 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 0A 00 00 00 48 8D 50 60 E8 ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_0_1 {
	meta:
		name = "?setf@ios_base@std@@QEAAHHH@Z"
		size = 26
	strings:
		$1 = { 8B 41 18 45 8B C8 41 23 D0 41 F7 D1 0F B7 D2 44 23 C8 44 0B CA 44 89 49 18 C3 }
	condition:
		$1
}

rule file_9_4_1 {
	meta:
		name = "?sifun@std@@YAXAEAVios_base@1@H@Z"
		size = 21
	strings:
		$1 = { 44 8B C2 0F B7 C2 41 F7 D0 44 23 41 18 44 0B C0 44 89 41 18 C3 }
	condition:
		$1
}

rule file_9_5_1 {
	meta:
		name = "?sbfun@std@@YAXAEAVios_base@1@H@Z"
		size = 57
	strings:
		$1 = { 81 61 18 FF F1 FF FF 33 C0 83 FA 10 41 B8 00 08 00 00 41 0F 44 C0 41 B8 00 02 00 00 83 FA 0A 41 0F 44 C0 41 B8 00 04 00 00 83 FA 08 41 0F 44 C0 25 00 0E 00 00 09 41 18 C3 }
	condition:
		$1
}

rule file_9_10_1 {
	meta:
		name = "?resetiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?rsfun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_19_1 {
	meta:
		name = "??0_Runtime_object@details@Concurrency@@QEAA@H@Z"
		size = 17
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_12_1 {
	meta:
		name = "?setbase@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?sbfun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_9_11_1 {
	meta:
		name = "?setiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 17
		refs = "0003 ?sifun@std@@YAXAEAVios_base@1@H@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 89 51 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_10_111_1 {
	meta:
		name = "??0_Init_wcerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_77_105_1 {
	meta:
		name = "??0_Init_cerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_51_111_1 {
	meta:
		name = "??0_Init_ushcerr@std@@QEAA@XZ"
		size = 58
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B 05 ?? ?? ?? ?? 48 63 50 04 48 8B C1 42 83 4C 02 18 02 C3 }
	condition:
		$1
}

rule file_10_264_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wferr 0015 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwferr@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_264_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wferr 0015 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwferr@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_263_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wflog 0015 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwflog@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_263_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wflog 0015 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwflog@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_237_2 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 41
		refs = "0005 __iob_func 000c wflog 0015 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001c ??__Fwflog@std@@YAXXZ 0025 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8D 50 60 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_267_1 {
	meta:
		name = "??__Einit_wcerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_77_257_1 {
	meta:
		name = "??__Einit_cerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_51_267_1 {
	meta:
		name = "??__Einit_ushcerr@std@@YAXXZ"
		size = 54
		refs = "0003 ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 48 8B 05 ?? ?? ?? ?? 48 63 48 04 83 4C 11 18 02 C3 }
	condition:
		$1
}

rule file_11_0_1 {
	meta:
		name = "_Stoullx"
		size = 492
		refs = "003e isspace 00e3 tolower 00ea digits 00f4 memchr 015d ndigs 019c _errno"
	strings:
		$1 = { 4C 89 4C 24 20 48 89 54 24 10 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 4D 8B F1 41 8B F0 48 8B EA 4C 8B E9 4D 85 C9 74 04 41 83 21 00 48 8B D9 0F B6 09 EB 06 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 44 8A 23 41 80 FC 2D 74 0B 41 80 FC 2B 74 05 41 B4 2B EB 03 48 FF C3 85 F6 0F 88 6B 01 00 00 83 FE 01 0F 84 62 01 00 00 83 FE 24 0F 8F 59 01 00 00 B1 30 85 F6 7E 16 83 FE 10 75 37 38 0B 75 33 8A 43 01 3C 78 74 28 3C 58 75 28 EB 22 38 0B 74 07 BE 0A 00 00 00 EB 1B 8A 43 01 3C 78 74 0B 3C 58 74 07 BE 08 00 00 00 EB 09 BE 10 00 00 00 48 83 C3 02 4C 8B FB EB 03 48 FF C3 38 0B 74 F9 0F BE 0B 33 FF 48 89 5C 24 20 48 21 BC 24 80 00 00 00 40 88 BC 24 90 00 00 00 48 63 F6 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4C 8B C6 8B D0 E8 ?? ?? ?? ?? 48 85 C0 74 58 4C 8D 35 ?? ?? ?? ?? 40 8A E8 48 89 BC 24 80 00 00 00 48 8B CE 41 2A EE 48 FF C3 48 0F AF CF 48 0F BE FD 40 88 AC 24 90 00 00 00 48 03 F9 0F BE 0B E8 ?? ?? ?? ?? 4C 8B C6 49 8B CE 8B D0 E8 ?? ?? ?? ?? 48 85 C0 75 BF 48 8B AC 24 88 00 00 00 4C 8B B4 24 98 00 00 00 4C 3B FB 74 76 48 8D 05 ?? ?? ?? ?? 48 8B CB 48 0F BE 04 06 48 2B C8 48 2B 4C 24 20 78 46 48 85 C9 7F 23 48 0F BE 8C 24 90 00 00 00 48 8B C7 48 2B C1 48 3B F8 72 0F 33 D2 48 F7 F6 48 3B 84 24 80 00 00 00 74 1E E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 07 41 C7 06 01 00 00 00 48 83 CF FF 41 B4 2B 41 80 FC 2D 75 03 48 F7 DF 48 85 ED 74 04 48 89 5D 00 48 8B C7 EB 0B 48 85 ED 74 04 4C 89 6D 00 33 C0 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_12_2_1 {
	meta:
		name = "?_GetCombinableSize@details@Concurrency@@YA_KXZ"
		size = 89
		refs = "0005 ?GetNumberOfVirtualProcessors@CurrentScheduler@Concurrency@@SAIXZ 0015 ?candidatePrimes@?1??_GetCombinableSize@details@Concurrency@@YA_KXZ@4QBKB"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 44 8B D8 49 83 FB FF 74 3D 4C 8D 05 ?? ?? ?? ?? 4D 03 DB 33 C9 49 8B D0 8B 02 4C 3B D8 72 12 48 8D 05 ?? ?? ?? ?? 48 83 C2 04 FF C1 48 3B D0 7C E7 83 F9 07 7D 09 48 63 C1 41 8B 04 80 EB 0C B8 19 01 00 00 EB 05 B8 0B 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_13_0_1 {
	meta:
		name = "_Feraise"
		size = 43
		refs = "000a _errno"
	strings:
		$1 = { 48 83 EC 28 F6 C1 05 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 10 F6 C1 18 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_14_0_1 {
	meta:
		name = "_FDnorm"
		size = 218
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 0F B7 41 02 48 8B D1 BF 01 00 00 00 44 0F B7 D0 B9 00 80 00 00 8D 5F 7E 23 C3 66 44 23 D1 33 C9 44 0F B7 CF 66 89 42 02 66 85 C0 75 1C 66 39 0A 0F 84 86 00 00 00 66 85 C0 75 0E 0F B7 02 44 8D 4F F0 66 89 0A 66 89 42 02 44 0F B7 42 02 41 BB 80 00 00 00 66 45 3B C3 73 2A 0F B7 0A 66 45 03 C0 66 41 FF C9 0F B7 C1 66 03 C9 66 C1 E8 0F 66 89 0A 66 41 0B C0 44 0F B7 C0 66 89 42 02 66 41 3B C3 72 D6 44 0F B7 42 02 41 BB 00 01 00 00 EB 21 0F B7 02 41 0F B7 C8 66 41 D1 E8 66 D1 E8 66 C1 E1 0F 66 44 89 42 02 66 0B C8 66 44 03 CF 66 89 0A 66 45 3B D8 76 D9 66 21 5A 02 66 44 09 52 02 48 8B 5C 24 08 48 8B 7C 24 10 41 0F B7 C1 C3 }
	condition:
		$1
}

rule file_15_4_1 {
	meta:
		name = "?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z"
		size = 129
		refs = "0015 NFS_LineSize 0023 malloc 0045 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 005f ??0exception@std@@QEAA@AEBQEBDH@Z 0066 ??_7bad_alloc@std@@6B@ 006d _TI2?AVbad_alloc@std@@ 007c _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B C1 48 0F AF C2 48 3B C1 72 30 48 8B 1D ?? ?? ?? ?? 48 8D 0C 03 48 3B C8 72 20 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 13 48 03 C3 48 F7 DB 48 23 C3 4C 89 58 F8 48 83 C4 40 5B C3 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_15_6_1 {
	meta:
		name = "?NFS_Free@details@Concurrency@@YAXPEAX@Z"
		size = 23
		refs = "000e free"
	strings:
		$1 = { 48 83 EC 28 48 85 C9 74 09 48 8B 49 F8 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_16_0_1 {
	meta:
		name = "_Dscale"
		size = 648
		refs = "006b _Dnorm 008c _Inf 009f __mask@@NegDouble@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B D9 0F B7 49 06 BD FF 07 00 00 66 C1 E9 04 8B F2 66 23 CD 66 3B CD 75 2E F6 43 06 0F 75 19 33 FF 66 39 7B 04 75 11 66 39 7B 02 75 0B 66 39 3B 75 06 44 8D 57 01 EB 06 41 BA 02 00 00 00 41 0F B7 C2 E9 0F 02 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C F1 01 00 00 85 F6 7E 32 0F BF C1 2B E8 3B EE 7F 29 F2 0F 10 05 ?? ?? ?? ?? BD 00 80 00 00 66 85 6B 06 74 08 66 0F 57 05 ?? ?? ?? ?? F2 0F 11 03 B8 01 00 00 00 E9 BE 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 1C 66 03 F1 B8 0F 80 00 00 66 21 43 06 66 C1 E6 04 66 09 73 06 83 C8 FF E9 97 01 00 00 0F B7 4B 06 44 8D 5C 16 FF 41 BD 10 00 00 00 44 0F B7 E1 66 83 E1 0F 41 8D 43 35 66 41 0B CD BD 00 80 00 00 66 44 23 E5 66 89 4B 06 83 F8 34 0F 87 54 01 00 00 0F B7 F7 45 8D 55 F1 66 41 83 FB F0 7F 59 0F B7 53 02 B8 F0 FF 00 00 44 0F B7 C9 0F B7 4B 04 66 41 2B C3 66 C1 E8 04 66 41 03 C2 44 0F B7 C0 41 0F B7 C0 66 C1 E0 04 66 44 03 D8 66 85 F6 8B C7 0F 95 C0 0F B7 F0 66 0B 33 4D 2B C2 66 89 13 0F B7 D1 41 0F B7 C9 44 8B CF 75 E0 66 89 7B 06 66 89 4B 04 66 89 53 02 66 41 F7 DB 0F 84 85 00 00 00 44 0F B7 03 8B C7 45 0F BF CB 45 2B E9 41 0F B7 D0 41 8B CD 66 D3 E2 66 85 F6 41 0F B7 CB 0F 95 C0 66 41 D3 E8 0F B7 F2 0F B7 53 02 66 0B F0 41 8B CD 0F B7 C2 66 D3 E0 41 0F B7 CB 66 44 0B C0 66 D3 EA 41 8B CD 66 44 89 03 44 0F B7 43 04 41 0F B7 C0 66 D3 E0 41 0F B7 CB 66 0B D0 66 41 D3 E8 41 8B CD 66 89 53 02 0F B7 53 06 0F B7 C2 66 D3 E0 41 8B C9 66 44 0B C0 66 D3 EA 66 89 53 06 66 44 89 43 04 66 44 09 63 06 0F B7 43 06 66 3B EE 72 07 75 26 44 84 13 74 21 66 44 01 13 75 1B 66 44 01 53 02 75 14 66 44 01 53 04 75 0D 66 41 03 C2 66 89 43 06 E9 97 FE FF FF 66 41 3B C4 0F 85 8D FE FF FF 66 39 7B 04 0F 85 83 FE FF FF 66 39 7B 02 0F 85 79 FE FF FF 66 39 3B 74 10 E9 6F FE FF FF 66 44 89 63 06 89 7B 02 66 89 3B 0F B7 C7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_3_1 {
	meta:
		name = "?_Xfunc@tr1@std@@YAXXZ"
		size = 44
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_function_call@tr1@std@@6B@ 0018 _TI2?AVbad_function_call@tr1@std@@ 0027 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_78_3_1 {
	meta:
		name = "?_Xweak@tr1@std@@YAXXZ"
		size = 44
		refs = "000a ??0exception@std@@QEAA@XZ 0011 ??_7bad_weak_ptr@tr1@std@@6B@ 0018 _TI2?AVbad_weak_ptr@tr1@std@@ 0027 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_18_0_1 {
	meta:
		name = "_FExp"
		size = 273
		refs = "0008 __real@c3650000 0029 hugexp 0033 _FInf 004c invln2 0059 __real@bf000000 0063 __real@3f000000 006b _FEps 0088 c2 0090 c1 00a2 __mask@@NegFloat@ 00c7 p 00cf q 00f2 __real@40000000 0108 _FDscale"
	strings:
		$1 = { F3 0F 10 19 F3 0F 10 05 ?? ?? ?? ?? 0F 28 E1 0F 2F C3 0F 87 F4 00 00 00 0F 57 D2 0F 2E E2 7A 06 0F 84 E6 00 00 00 0F 2F 1D ?? ?? ?? ?? 76 16 F3 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F3 0F 11 01 E9 CB 00 00 00 0F 28 C3 F3 0F 59 05 ?? ?? ?? ?? 0F 2F D0 76 0A F3 0F 10 0D ?? ?? ?? ?? EB 08 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? F3 0F 58 C8 F3 0F 2C D1 0F BF C2 66 0F 6E C8 0F 5B C9 0F 28 C1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 05 ?? ?? ?? ?? F3 0F 5C D8 0F 28 C2 F3 0F 5C D9 0F 57 05 ?? ?? ?? ?? 0F 2F D8 76 0B 0F 2F D3 76 06 F3 0F 11 21 EB 48 0F 28 C3 66 FF CA F3 0F 59 C3 0F 28 D0 F3 0F 58 05 ?? ?? ?? ?? F3 0F 59 15 ?? ?? ?? ?? F3 0F 59 D8 F3 0F 58 15 ?? ?? ?? ?? 0F 28 CA F3 0F 5C D3 F3 0F 58 CB F3 0F 5E CA F3 0F 59 0D ?? ?? ?? ?? F3 0F 59 CC F3 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 89 01 C3 }
	condition:
		$1
}

rule file_19_0_1 {
	meta:
		name = "_Stolx"
		size = 224
		refs = "003b isspace 0063 _Stoulx 0096 _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 48 89 70 20 57 41 54 41 55 48 83 EC 20 48 8D 70 08 48 85 D2 4C 8B E1 48 8B F9 0F B6 09 49 8B E9 48 0F 45 F2 45 8B E8 EB 06 48 FF C7 0F B6 0F E8 ?? ?? ?? ?? 85 C0 75 F1 8A 1F 80 FB 2D 74 09 80 FB 2B 74 04 B3 2B EB 03 48 FF C7 4C 8B CD 45 8B C5 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 48 3B 3E 75 03 4C 89 26 BF FF FF FF 7F 4C 3B 26 75 04 85 C0 75 15 80 FB 2B 75 04 3B C7 77 0C 80 FB 2D 75 2D 3D 00 00 00 80 76 26 E8 ?? ?? ?? ?? C7 00 22 00 00 00 48 85 ED 74 07 C7 45 00 01 00 00 00 B8 00 00 00 80 80 FB 2D 0F 44 F8 8B C7 EB 0C F7 D8 80 FB 2D 44 0F 44 D8 41 8B C3 48 8B 5C 24 48 48 8B 6C 24 50 48 8B 74 24 58 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_20_0_1 {
	meta:
		name = "_Stodx"
		size = 163
		refs = "002a _errno 003f strtod 005a __real@4024000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 30 0F 29 70 E8 49 8B E9 45 8B E0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 8B 30 E8 ?? ?? ?? ?? 48 8B D3 83 20 00 48 8B CF E8 ?? ?? ?? ?? 66 0F 28 F0 E8 ?? ?? ?? ?? 8B 08 89 4D 00 E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? 89 30 EB 07 F2 0F 59 F0 41 FF CC 45 85 E4 7F F4 79 0F 41 F7 DC 41 8B C4 48 FF C8 F2 0F 5E F0 75 F7 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 66 0F 28 C6 0F 28 74 24 20 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_20_1_1 {
	meta:
		name = "_Stod"
		size = 19
		refs = "000a _Stodx"
	strings:
		$1 = { 48 83 EC 28 4C 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_21_0_1 {
	meta:
		name = "?_New_handler_interface@std@@YAH_K@Z"
		size = 20
		refs = "0006 _New_handler"
	strings:
		$1 = { 48 83 EC 28 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_21_1_1 {
	meta:
		name = "?set_new_handler@std@@YAP6AXXZP6AXXZ@Z"
		size = 87
		refs = "0018 ??0_Lockit@std@@QEAA@H@Z 001f _New_handler 002d ?_New_handler_interface@std@@YAH_K@Z 003b ?_set_new_handler@@YAP6AH_K@ZP6AH0@Z@Z 0045 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B D9 48 8D 4C 24 30 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 8B 3D ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 F7 DB 48 1B C9 48 23 C8 E8 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_23_0_1 {
	meta:
		name = "wctype"
		size = 133
		refs = "0021 tab 003c strcmp"
		altNames = "wctrans"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 ED 48 8B F1 48 39 2D ?? ?? ?? ?? 8B DD 8B FD 74 2D 4C 8D 25 ?? ?? ?? ?? 49 8B C4 48 8B 08 48 8B D6 E8 ?? ?? ?? ?? 85 C0 74 32 48 FF C7 FF C3 48 8B C7 48 C1 E0 04 49 03 C4 48 39 28 75 DD 0F B7 C5 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 48 63 C3 48 C1 E0 04 42 0F B7 44 20 08 EB D6 }
	condition:
		$1
}

rule file_25_51_1 {
	meta:
		name = "??1?$basic_istream@GU?$char_traits@G@std@@@std@@UEAA@XZ"
		size = 21
		refs = "000b ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 C3 }
	condition:
		$1
}

rule file_70_50_1 {
	meta:
		name = "??1?$basic_istream@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 21
		refs = "000b ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 C3 }
	condition:
		$1
}

rule file_71_51_1 {
	meta:
		name = "??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
		size = 21
		refs = "000b ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 48 8B 41 F0 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 C3 }
	condition:
		$1
}

rule file_25_109_1 {
	meta:
		name = "??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QEAAXXZ"
		size = 38
		refs = "000e ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 001a ??_7ios_base@std@@6B@ 0022 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 10 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8D 05 ?? ?? ?? ?? 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_103_1 {
	meta:
		name = "??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QEAAXXZ"
		size = 38
		refs = "000e ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 001a ??_7ios_base@std@@6B@ 0022 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 10 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8D 05 ?? ?? ?? ?? 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_109_1 {
	meta:
		name = "??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAAXXZ"
		size = 38
		refs = "000e ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 001a ??_7ios_base@std@@6B@ 0022 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 48 8B 01 48 83 C1 10 48 63 50 04 48 8D 05 ?? ?? ?? ?? 48 89 44 0A F0 48 8D 05 ?? ?? ?? ?? 48 89 01 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_110_1 {
	meta:
		name = "??0_Init_ushcin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_70_104_1 {
	meta:
		name = "??0_Init_cin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_52_104_1 {
	meta:
		name = "??0_Init_clog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_27_110_1 {
	meta:
		name = "??0_Init_ushclog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_71_110_1 {
	meta:
		name = "??0_Init_wcin@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_50_110_1 {
	meta:
		name = "??0_Init_wclog@std@@QEAA@XZ"
		size = 41
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 4C 89 05 ?? ?? ?? ?? 48 63 50 04 48 8B 05 ?? ?? ?? ?? 4A 89 44 02 50 48 8B C1 C3 }
	condition:
		$1
}

rule file_25_139_1 {
	meta:
		name = "??_G?$basic_istream@GU?$char_traits@G@std@@@std@@UEAAPEAXI@Z"
		size = 82
		refs = "001f ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0040 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F0 8B DA 48 8D 4F 10 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_70_131_1 {
	meta:
		name = "??_G?$basic_istream@DU?$char_traits@D@std@@@std@@UEAAPEAXI@Z"
		size = 82
		refs = "001f ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0040 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F0 8B DA 48 8D 4F 10 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_71_139_1 {
	meta:
		name = "??_G?$basic_istream@_WU?$char_traits@_W@std@@@std@@UEAAPEAXI@Z"
		size = 82
		refs = "001f ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 002b ??_7ios_base@std@@6B@ 0033 ?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z 0040 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 79 F0 8B DA 48 8D 4F 10 48 8B 41 F0 4C 63 40 04 48 8D 05 ?? ?? ?? ?? 49 89 44 08 F0 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_25_244_1 {
	meta:
		name = "??0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 109
		refs = "0023 ??_8?$basic_istream@GU?$char_traits@G@std@@@std@@7B@ 002d ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 0047 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 005f ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IEAAXPEAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_70_234_1 {
	meta:
		name = "??0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 109
		refs = "0023 ??_8?$basic_istream@DU?$char_traits@D@std@@@std@@7B@ 002d ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 0047 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 005f ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_71_244_1 {
	meta:
		name = "??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 109
		refs = "0023 ??_8?$basic_istream@_WU?$char_traits@_W@std@@@std@@7B@ 002d ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 0047 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 005f ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IEAAXPEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 83 64 24 58 00 45 85 C9 74 1D 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 C7 44 24 58 01 00 00 00 48 8B 01 48 63 48 04 48 8D 05 ?? ?? ?? ?? 48 89 04 19 48 83 63 08 00 48 8B 03 48 63 48 04 48 03 CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_25_245_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@GU?$char_traits@G@std@@@std@@QEAA@PEAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_70_235_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@DU?$char_traits@D@std@@@std@@QEAA@PEAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_71_245_1 {
	meta:
		name = "?dtor$0@?0???0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QEAA@PEAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z@4HA"
		size = 42
		refs = "0020 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 58 83 E0 01 85 C0 74 11 83 65 58 FE 48 8B 4D 40 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_25_263_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 40
		refs = "0005 __iob_func 000c wfin 0014 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QEAA@PEAU_iobuf@@@Z 001b ??__Fwfin@std@@YAXXZ 0024 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_263_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 40
		refs = "0005 __iob_func 000c wfin 0014 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QEAA@PEAU_iobuf@@@Z 001b ??__Fwfin@std@@YAXXZ 0024 atexit"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D0 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_265_1 {
	meta:
		name = "?dtor$0@?0???__Ewcin@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0023 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_70_255_1 {
	meta:
		name = "?dtor$0@?0???__Ecin@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0023 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_71_265_1 {
	meta:
		name = "?dtor$0@?0???__Ewcin@std@@YAXXZ@4HA"
		size = 45
		refs = "001a ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0023 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 40 83 E0 01 85 C0 74 14 83 65 40 FE 48 8D 0D ?? ?? ?? ?? 48 83 C1 10 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_25_266_1 {
	meta:
		name = "??__Einit_ushcin@std@@YAXXZ"
		size = 38
		refs = "0003 ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_70_256_1 {
	meta:
		name = "??__Einit_cin@std@@YAXXZ"
		size = 38
		refs = "0003 ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_cin@std@@3PEAV?$basic_istream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_52_256_1 {
	meta:
		name = "??__Einit_clog@std@@YAXXZ"
		size = 38
		refs = "0003 ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0011 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 001c ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_27_266_1 {
	meta:
		name = "??__Einit_ushclog@std@@YAXXZ"
		size = 38
		refs = "0003 ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_71_266_1 {
	meta:
		name = "??__Einit_wcin@std@@YAXXZ"
		size = 38
		refs = "0003 ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wcin@std@@3PEAV?$basic_istream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_50_266_1 {
	meta:
		name = "??__Einit_wclog@std@@YAXXZ"
		size = 38
		refs = "0003 ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0011 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 001c ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 8B 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 15 ?? ?? ?? ?? 48 63 48 04 48 8B 05 ?? ?? ?? ?? 48 89 44 11 50 C3 }
	condition:
		$1
}

rule file_26_0_1 {
	meta:
		name = "_LSinh"
		size = 433
		refs = "002e _LDtest 0075 __mask@@NegDouble@ 0097 _LRteps 00a5 __real@3ff0000000000000 00b6 p 00c9 _LPoly 00e5 _LXbig 00fc _LExp 0109 __real@3fd0000000000000 013c _Feraise 0160 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F2 0F 11 40 08 55 48 8B EC 48 83 EC 50 0F 29 70 E8 0F 29 78 D8 48 8D 4D 10 66 0F 28 F9 44 0F 29 40 C8 E8 ?? ?? ?? ?? 33 FF 0F BF C8 85 C9 0F 84 49 01 00 00 FF C9 0F 84 15 01 00 00 FF C9 0F 84 06 01 00 00 66 0F 57 C0 66 0F 2E F8 7A 12 75 10 66 0F 2F 45 10 0F 86 1C 01 00 00 E9 08 01 00 00 F2 0F 10 4D 10 F2 44 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 11 66 41 0F 57 C8 BB 01 00 00 00 F2 0F 11 4D 10 EB 03 0F B7 DF F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 77 74 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D1 76 32 F2 0F 59 C9 48 8D 15 ?? ?? ?? ?? 41 B8 07 00 00 00 66 0F 28 C1 66 0F 28 F1 E8 ?? ?? ?? ?? F2 0F 59 75 10 66 0F 28 C8 F2 0F 59 CE F2 0F 58 4D 10 EB 34 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 66 0F 2F C1 76 24 66 0F 28 CA E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 10 2D ?? ?? ?? ?? F2 0F 5E E9 F2 0F 5C CD F2 0F 59 CF EB 2A 66 0F 28 CF E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4D 10 66 85 DB 74 05 66 41 0F 57 C8 66 0F 28 C1 EB 3C F2 0F 10 45 10 EB 35 66 0F 2E 3D ?? ?? ?? ?? 7A 17 75 15 B8 00 80 00 00 66 85 45 16 74 0F 66 0F 57 3D ?? ?? ?? ?? EB 05 F2 0F 10 7D 10 66 0F 28 C7 EB 09 F2 0F 10 45 10 F2 0F 59 C7 48 8B 5C 24 68 48 8B 7C 24 70 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_28_0_1 {
	meta:
		name = "_Wcsxfrm"
		size = 268
		refs = "0048 ___lc_handle_func 006a memcpy 0077 _malloc_crt 00a0 __crtLCMapStringW 00e8 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 48 8B 84 24 80 00 00 00 49 8B F1 4C 8B EA 4C 2B E9 49 2B F0 48 83 CF FF 33 DB 49 D1 FD 48 D1 FE 4D 8B F8 4C 8B F1 48 85 C0 75 0B E8 ?? ?? ?? ?? 44 8B 60 04 EB 03 44 8B 20 45 85 E4 75 19 49 3B F5 77 0F 4C 8D 04 36 49 8B D7 49 8B CE E8 ?? ?? ?? ?? 48 8B FE EB 79 49 8B CD E8 ?? ?? ?? ?? 48 8B E8 48 85 C0 74 69 44 89 6C 24 28 41 BD 00 04 00 00 44 8B CE 4D 8B C7 41 8B CC 41 8B D5 48 89 44 24 20 E8 ?? ?? ?? ?? 48 63 F8 85 C0 75 28 44 8B CE 4D 8B C7 41 8B D5 41 8B CC 89 5C 24 28 48 89 5C 24 20 E8 ?? ?? ?? ?? 48 63 F8 85 C0 75 18 BF FF FF FF 7F EB 11 0F B6 0C 2B 66 41 89 0C 5E 48 FF C3 48 3B DF 72 EF 48 8B CD E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B C7 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_30_0_1 {
	meta:
		name = "_Sinh"
		size = 433
		refs = "002e _Dtest 0075 __mask@@NegDouble@ 0097 _Rteps 00a5 __real@3ff0000000000000 00b6 p 00c9 _Poly 00e5 _Xbig 00fc _Exp 0109 __real@3fd0000000000000 013c _Feraise 0160 __real@0000000000000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F2 0F 11 40 08 55 48 8B EC 48 83 EC 50 0F 29 70 E8 0F 29 78 D8 48 8D 4D 10 66 0F 28 F9 44 0F 29 40 C8 E8 ?? ?? ?? ?? 33 FF 0F BF C8 85 C9 0F 84 49 01 00 00 FF C9 0F 84 15 01 00 00 FF C9 0F 84 06 01 00 00 66 0F 57 C0 66 0F 2E F8 7A 12 75 10 66 0F 2F 45 10 0F 86 1C 01 00 00 E9 08 01 00 00 F2 0F 10 4D 10 F2 44 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 76 11 66 41 0F 57 C8 BB 01 00 00 00 F2 0F 11 4D 10 EB 03 0F B7 DF F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 77 74 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F D1 76 32 F2 0F 59 C9 48 8D 15 ?? ?? ?? ?? 41 B8 05 00 00 00 66 0F 28 C1 66 0F 28 F1 E8 ?? ?? ?? ?? F2 0F 59 75 10 66 0F 28 C8 F2 0F 59 CE F2 0F 58 4D 10 EB 34 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 66 0F 2F C1 76 24 66 0F 28 CA E8 ?? ?? ?? ?? F2 0F 10 4D 10 F2 0F 10 2D ?? ?? ?? ?? F2 0F 5E E9 F2 0F 5C CD F2 0F 59 CF EB 2A 66 0F 28 CF E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F2 0F 10 4D 10 66 85 DB 74 05 66 41 0F 57 C8 66 0F 28 C1 EB 3C F2 0F 10 45 10 EB 35 66 0F 2E 3D ?? ?? ?? ?? 7A 17 75 15 B8 00 80 00 00 66 85 45 16 74 0F 66 0F 57 3D ?? ?? ?? ?? EB 05 F2 0F 10 7D 10 66 0F 28 C7 EB 09 F2 0F 10 45 10 F2 0F 59 C7 48 8B 5C 24 68 48 8B 7C 24 70 0F 28 74 24 40 0F 28 7C 24 30 44 0F 28 44 24 20 48 83 C4 50 5D C3 }
	condition:
		$1
}

rule file_31_0_1 {
	meta:
		name = "_CreateLocForCP"
		size = 76
		refs = "0007 __security_cookie 002a _ui64toa_s 0036 _create_locale 0043 __security_check_cookie"
	strings:
		$1 = { 48 83 EC 58 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 40 41 B9 0A 00 00 00 48 8D 54 24 21 8B C9 45 8D 41 15 C6 44 24 20 2E E8 ?? ?? ?? ?? 48 8D 54 24 20 33 C9 E8 ?? ?? ?? ?? 48 8B 4C 24 40 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_31_1_1 {
	meta:
		name = "_GetLocaleForCP"
		size = 218
		refs = "0028 _CPLocHash 0067 _malloc_crt 0076 _CreateLocForCP 00bc _free_locale 00c4 free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 B8 85 10 42 08 44 8B C1 44 8B E1 8B E9 4C 8D 2D ?? ?? ?? ?? F7 E1 44 2B C2 41 D1 E8 44 03 C2 41 C1 E8 05 45 6B C0 3E 45 2B E0 33 DB 4B 8B 74 E5 00 48 8B FE 48 85 F6 74 0D 39 6F 08 74 5C 48 8B 3F 48 85 FF 75 F3 48 85 DB 75 23 8D 4B 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 63 8B CD E8 ?? ?? ?? ?? 48 89 43 10 48 85 C0 74 4B 89 6B 08 48 89 33 48 8B C6 F0 4B 0F B1 5C E5 00 75 AF 48 8B 43 10 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 48 85 DB 74 11 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 47 10 EB CB 48 8B CB E8 ?? ?? ?? ?? 33 C0 EB BF }
	condition:
		$1
}

rule file_31_2_1 {
	meta:
		name = "_ReleaseCPLocHash"
		size = 101
		refs = "0017 _CPLocHash 0033 _free_locale 003b free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 3D ?? ?? ?? ?? BE 3E 00 00 00 33 ED 48 87 2F 48 85 ED 74 1D 48 8B 4D 10 48 8B 5D 00 E8 ?? ?? ?? ?? 48 8B CD E8 ?? ?? ?? ?? 48 8B EB 48 85 DB 75 E3 48 83 C7 08 48 FF CE 75 D0 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_31_3_1 {
	meta:
		name = "_InitCPLocHash"
		size = 28
		refs = "0007 _ReleaseCPLocHash 000c atexit"
	strings:
		$1 = { 48 83 EC 28 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 1B C0 83 E0 18 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_31_4_1 {
	meta:
		name = "_Mbrtowc"
		size = 489
		refs = "0070 ___lc_handle_func 0078 ___lc_codepage_func 00a1 _GetLocaleForCP 00b9 ___mb_cur_max_l_func 00e6 __imp_MultiByteToWideChar 0104 _errno 011c __pctype_func"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 FF 4D 8B E1 4D 8B F0 48 8B FA 48 8B F1 48 85 D2 74 13 4D 85 C0 74 0E 44 38 3A 75 28 48 85 C9 74 04 66 44 89 39 33 C0 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F C3 48 8B 84 24 80 00 00 00 48 85 C0 75 12 E8 ?? ?? ?? ?? 8B 58 08 E8 ?? ?? ?? ?? 44 8B E8 EB 06 8B 18 44 8B 68 04 85 DB 75 12 48 85 F6 74 06 0F B6 07 66 89 06 B8 01 00 00 00 EB A8 41 8B CD E8 ?? ?? ?? ?? 48 8B E8 45 39 3C 24 74 68 8A 0F 41 88 4C 24 01 48 8B C8 E8 ?? ?? ?? ?? 83 F8 01 7E 3D 41 8B CF 41 B9 02 00 00 00 48 85 F6 0F 95 C1 41 8D 51 07 4D 8B C4 89 4C 24 28 41 8B CD 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 11 45 89 3C 24 48 8B CD E8 ?? ?? ?? ?? E9 46 FF FF FF 45 89 3C 24 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 2F FF FF FF 48 85 C0 75 14 E8 ?? ?? ?? ?? 0F B6 0F 0F B7 14 48 81 E2 00 80 00 00 EB 0F 0F B6 0F 48 8B 40 08 0F B6 54 08 1D 83 E2 04 85 D2 74 72 48 8B CD E8 ?? ?? ?? ?? 48 63 C8 4C 3B F1 73 10 8A 07 41 88 04 24 B8 FE FF FF FF E9 E3 FE FF FF 48 8B CD E8 ?? ?? ?? ?? 83 F8 01 7E 36 48 85 F6 48 8B CD 41 8B DF 0F 95 C3 E8 ?? ?? ?? ?? 4C 8B C7 BA 09 00 00 00 41 8B CD 44 8B C8 89 5C 24 28 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 85 4D FF FF FF 44 38 7F 01 0F 85 43 FF FF FF E9 4B FF FF FF 41 8B C7 41 B9 01 00 00 00 48 85 F6 0F 95 C0 41 8D 51 08 4C 8B C7 89 44 24 28 41 8B CD 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 0F 85 B2 FE FF FF E9 1A FF FF FF }
	condition:
		$1
}

rule file_32_0_1 {
	meta:
		name = "?_Atexit@@YAXP6AXXZ@Z"
		size = 64
		refs = "0007 atcount_cdecl 0015 abort 0025 __imp_EncodePointer 0033 atfuns_cdecl"
	strings:
		$1 = { 48 83 EC 28 48 8B 05 ?? ?? ?? ?? 48 85 C0 75 09 48 83 C4 28 E9 ?? ?? ?? ?? 48 FF C8 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 04 CA 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_32_1_1 {
	meta:
		name = "??1_Init_atexit@@QEAA@XZ"
		size = 58
		refs = "0009 atfuns_cdecl 0017 atcount_cdecl 001d __imp_DecodePointer"
		altNames = "??__Finit_atexit@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 EB 22 48 8D 0D ?? ?? ?? ?? 48 8B 0C C1 48 FF C0 48 89 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 85 C0 74 02 FF D0 48 8B 05 ?? ?? ?? ?? 48 83 F8 0A 72 D1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_33_0_1 {
	meta:
		name = "_FDtest"
		size = 70
	strings:
		$1 = { 0F B7 51 02 B8 80 7F 00 00 66 23 D0 66 3B D0 75 18 F6 41 02 7F 75 0C 33 C0 66 39 01 B8 01 00 00 00 74 22 B8 02 00 00 00 C3 0F B7 41 02 A9 FF 7F FF FF 75 07 33 C0 66 39 01 74 0A 66 F7 DA 1B C0 F7 D8 83 C0 FE C3 }
	condition:
		$1
}

rule file_36_9_1 {
	meta:
		name = "??8error_condition@std@@QEBA_NAEBV01@@Z"
		size = 25
	strings:
		$1 = { 48 8B 42 08 48 39 41 08 75 0C 8B 02 39 01 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_36_11_1 {
	meta:
		name = "?equivalent@error_category@std@@UEBA_NHAEBVerror_condition@2@@Z"
		size = 54
	strings:
		$1 = { 40 53 48 83 EC 30 48 8B 01 49 8B D8 44 8B C2 48 8D 54 24 20 FF 50 18 48 8B 4B 08 48 39 48 08 75 0D 8B 0B 39 08 75 07 B8 01 00 00 00 EB 02 33 C0 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_36_12_1 {
	meta:
		name = "?equivalent@error_category@std@@UEBA_NAEBVerror_code@2@H@Z"
		size = 20
	strings:
		$1 = { 48 3B 4A 08 75 0B 44 39 02 75 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule file_36_13_1 {
	meta:
		name = "??0_Generic_error_category@std@@QEAA@XZ"
		size = 25
		refs = "0003 ??_7_Generic_error_category@std@@6B@ 000d ??_C@_07DCLBNMLN@generic?$AA@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_36_28_1 {
	meta:
		name = "??0_Iostream_error_category@std@@QEAA@XZ"
		size = 25
		refs = "0003 ??_7_Iostream_error_category@std@@6B@ 000d ??_C@_08LLGCOLLL@iostream?$AA@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_36_31_1 {
	meta:
		name = "??0_System_error_category@std@@QEAA@XZ"
		size = 36
		refs = "0003 ??_C@_07DCLBNMLN@generic?$AA@ 000e ??_7_System_error_category@std@@6B@ 0018 ??_C@_06FHFOAHML@system?$AA@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_36_60_1 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_NPEBD@Z"
		size = 58
	strings:
		$1 = { 48 85 D2 74 32 48 83 79 20 10 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B D0 72 1A 48 83 79 20 10 72 03 4D 8B 00 48 8B 41 18 49 8D 0C 00 48 3B CA 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_36_78_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 260
		refs = "0029 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 002e ?_Xout_of_range@std@@YAXPEBD@Z 004b ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 006a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 006f ?_Xlength_error@std@@YAXPEBD@Z 0082 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00d6 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7A 18 49 8B E8 48 8B F2 48 8B D9 49 3B F8 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 1F 4A 8D 14 07 49 83 C8 FF E8 ?? ?? ?? ?? 4C 8B C5 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 8B 00 00 00 48 83 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 79 20 73 0E 4C 8B 41 18 48 8B D7 E8 ?? ?? ?? ?? EB 1D 48 85 FF 75 1D 48 21 79 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 FF 74 42 48 83 7E 20 10 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 10 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 48 8D 14 28 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 7B 18 72 03 48 8B 36 C6 04 3E 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_79_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 262
		refs = "006c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 007b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0080 ?_Xlength_error@std@@YAXPEBD@Z 0096 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00d8 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F0 48 8B EA 48 8B D9 48 85 D2 74 50 48 83 79 20 10 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 38 48 83 79 20 10 72 05 49 8B 09 EB 03 49 8B C9 48 03 4B 18 48 3B CA 76 20 48 83 7B 20 10 72 03 4D 8B 09 49 2B E9 4D 8B C8 48 8B D3 4C 8B C5 48 8B CB E8 ?? ?? ?? ?? EB 7F 49 83 F8 FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 39 43 20 73 11 4C 8B 43 18 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 1D 4D 85 C0 75 18 4C 21 43 18 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 85 F6 74 30 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4C 8B C6 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_36_80_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD@Z"
		size = 48
		refs = "0014 strlen 002c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_736_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG@Z"
		size = 48
		refs = "0014 wcslen 002c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_783_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W@Z"
		size = 48
		refs = "0014 wcslen 002c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_81_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 95
		refs = "0024 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 003e strlen 004c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_36_83_1 {
	meta:
		name = "?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 111
		refs = "0024 strerror 0034 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 004e strlen 005c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 83 64 24 58 00 41 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 54 24 58 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_36_85_1 {
	meta:
		name = "?message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 181
		refs = "002f ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0048 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@ 004d strlen 005f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 006a strerror"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 8B FA 83 64 24 50 00 41 83 F8 01 75 40 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4C 8B C0 48 8D 15 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 90 EB 41 41 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_37_0_1 {
	meta:
		name = "_Dnorm"
		size = 397
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 0F B7 41 06 BD 01 00 00 00 4C 8B C1 44 0F B7 D8 8D 75 0E B9 00 80 00 00 23 C6 33 D2 66 44 23 D9 44 0F B7 CD 66 41 89 40 06 66 85 C0 75 4D 66 41 39 50 04 75 11 66 41 39 50 02 75 0A 66 41 39 10 0F 84 16 01 00 00 66 85 C0 75 30 41 0F B7 48 04 41 0F B7 40 02 66 41 89 48 06 66 41 89 40 04 0F B7 C8 41 0F B7 00 66 41 83 C1 F0 66 41 89 10 66 41 89 40 02 66 41 39 50 06 74 DA 45 0F B7 50 06 66 41 83 FA 10 73 64 41 0F B7 58 04 41 0F B7 78 02 41 0F B7 10 0F B7 C3 0F B7 CF 66 C1 E8 0F 66 C1 E9 0F 66 45 03 D2 66 44 0B D0 0F B7 C3 0F B7 D9 66 03 C0 0F B7 CA 66 03 D2 66 0B D8 0F B7 C7 66 C1 E9 0F 66 03 C0 0F B7 F9 66 41 FF C9 66 0B F8 66 45 89 50 06 66 41 89 58 04 66 41 89 10 66 41 89 78 02 66 41 83 FA 10 72 A6 41 0F B7 50 06 BF 20 00 00 00 66 3B FA 77 5D 45 0F B7 50 04 41 0F B7 58 02 41 0F B7 00 0F B7 CB 66 44 03 CD 66 D1 E8 66 C1 E1 0F 66 0B C8 0F B7 C3 66 D1 E8 66 41 89 08 41 0F B7 CA 66 C1 E1 0F 66 41 D1 EA 0F B7 D9 66 0B D8 0F B7 C2 66 D1 EA 66 C1 E0 0F 66 41 89 58 02 66 41 89 50 06 66 44 0B D0 66 45 89 50 04 66 3B FA 76 AD 66 41 21 70 06 66 45 09 58 06 48 8B 5C 24 08 48 8B 6C 24 10 48 8B 74 24 18 48 8B 7C 24 20 41 0F B7 C1 C3 }
	condition:
		$1
}

rule file_38_0_1 {
	meta:
		name = "_Strxfrm"
		size = 253
		refs = "0041 ___lc_handle_func 0049 ___lc_collate_cp_func 006d memcpy 009f __crtLCMapStringA"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 50 48 8B 84 24 90 00 00 00 49 8B D9 4C 8B E2 48 83 CF FF 4C 2B E1 49 2B D8 4D 8B E8 4C 8B F1 48 85 C0 75 11 E8 ?? ?? ?? ?? 8B 70 04 E8 ?? ?? ?? ?? 8B E8 EB 05 8B 30 8B 68 04 85 F6 75 1C 85 ED 75 18 49 3B DC 77 0E 4C 8B C3 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 48 8B FB EB 65 C7 44 24 40 01 00 00 00 89 6C 24 38 83 64 24 30 00 48 83 64 24 28 00 4D 8B CD 41 B8 00 04 00 00 8B D6 33 C9 89 5C 24 20 E8 ?? ?? ?? ?? 85 C0 74 34 48 63 F8 41 3B C4 7F 2C C7 44 24 40 01 00 00 00 89 6C 24 38 44 89 64 24 30 4D 8B CD 41 B8 00 04 00 00 8B D6 33 C9 4C 89 74 24 28 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 5C 24 50 48 8B C7 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B 7B 38 49 8B E3 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_39_0_1 {
	meta:
		name = "_Stofx"
		size = 18
		refs = "0005 _Stodx"
		altNames = "_Stof"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? F2 0F 5A C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_40_4_1 {
	meta:
		name = "?_Random_device@tr1@std@@YAIXZ"
		size = 84
		refs = "000a rand_s 0015 ??_C@_0BM@EEBBMCOD@invalid?5random_device?5value?$AA@ 0029 ??0exception@std@@QEAA@AEBQEBD@Z 0030 ??_7out_of_range@std@@6B@ 0037 _TI3?AVout_of_range@std@@ 0046 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 4C 24 50 E8 ?? ?? ?? ?? 85 C0 74 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 8B 44 24 50 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_41_0_1 {
	meta:
		name = "_LCosh"
		size = 220
		refs = "0019 _LDtest 0058 __mask@@NegDouble@ 0066 _LXbig 007d __real@3ff0000000000000 0082 _LExp 008a __real@3fd0000000000000 00c5 _Feraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 66 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 A8 00 00 00 FF C8 83 F8 01 77 0B F2 0F 10 44 24 40 E9 9A 00 00 00 66 0F 57 C0 66 0F 2E F0 7A 06 0F 84 86 00 00 00 F2 0F 10 4C 24 40 66 0F 2F C1 76 0E 66 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 40 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4C 24 40 66 0F 2F C1 76 27 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 44 24 40 F2 0F 58 44 24 40 F2 0F 59 C6 EB 32 66 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0F FF C9 0F 85 75 FF FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 5F FF FF FF 66 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_82_0_1 {
	meta:
		name = "_Cosh"
		size = 220
		refs = "0019 _Dtest 0058 __mask@@NegDouble@ 0066 _Xbig 007d __real@3ff0000000000000 0082 _Exp 008a __real@3fd0000000000000 00c5 _Feraise"
	strings:
		$1 = { F2 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 66 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 A8 00 00 00 FF C8 83 F8 01 77 0B F2 0F 10 44 24 40 E9 9A 00 00 00 66 0F 57 C0 66 0F 2E F0 7A 06 0F 84 86 00 00 00 F2 0F 10 4C 24 40 66 0F 2F C1 76 0E 66 0F 57 0D ?? ?? ?? ?? F2 0F 11 4C 24 40 F2 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4C 24 40 66 0F 2F C1 76 27 F2 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? F2 0F 5E 44 24 40 F2 0F 58 44 24 40 F2 0F 59 C6 EB 32 66 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0F FF C9 0F 85 75 FF FF FF B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 5F FF FF FF 66 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_42_31_1 {
	meta:
		name = "?_Init@?$ctype@D@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 48
		refs = "000f _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 8B 50 08 48 89 53 18 48 8B 40 10 48 89 43 20 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_42_39_1 {
	meta:
		name = "?_Tidy@?$numpunct@D@std@@AEAAXXZ"
		size = 41
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "?_Tidy@?$numpunct@G@std@@AEAAXXZ ?_Tidy@?$numpunct@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_42_1 {
	meta:
		name = "??$_Maklocstr@D@std@@YAPEADPEBDPEADAEBU_Cvtvec@@@Z"
		size = 65
		refs = "000e strlen 001a ??_U@YAPEAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 85 FF 74 13 48 8B D0 48 2B D3 8A 0B 88 0C 1A 48 FF C3 48 FF CF 75 F3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_46_1 {
	meta:
		name = "??0?$ctype@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 65
		refs = "0009 ??_7?$ctype@D@std@@6B@ 001d _Getctype"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8D 05 ?? ?? ?? ?? 48 8B D9 4C 89 41 08 48 89 01 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 10 48 89 53 10 48 8B 50 08 48 89 53 18 48 8B 40 10 48 89 43 20 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_42_47_1 {
	meta:
		name = "?_Tidy@?$ctype@D@std@@IEAAXXZ"
		size = 40
		refs = "0014 free 001f ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 8B 41 20 85 C0 7E 0D 48 8B 49 18 48 83 C4 28 E9 ?? ?? ?? ?? 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_42_49_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MEBAPEBDPEADPEBD@Z"
		size = 70
		refs = "0025 _Tolower"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 48 8B DA 49 3B D0 74 19 48 8D 79 10 0F B6 0B 48 8B D7 E8 ?? ?? ?? ?? 88 03 48 FF C3 48 3B DE 75 EB 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_51_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MEBAPEBDPEADPEBD@Z"
		size = 70
		refs = "0025 _Toupper"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F0 48 8B DA 49 3B D0 74 19 48 8D 79 10 0F B6 0B 48 8B D7 E8 ?? ?? ?? ?? 88 03 48 FF C3 48 3B DE 75 EB 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_53_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MEBAPEBDPEBD0PEAD@Z"
		size = 29
		refs = "0010 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 49 8B D8 49 8B C9 4C 2B C2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_55_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MEBAPEBDPEBD0DPEAD@Z"
		size = 31
		refs = "0012 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 4C 24 50 49 8B D8 4C 2B C2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_56_1 {
	meta:
		name = "??1?$ctype@D@std@@MEAA@XZ"
		size = 64
		refs = "0009 ??_7?$ctype@D@std@@6B@ 001f free 002c ??_V@YAXPEAX@Z 0033 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 8B 41 20 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_57_1 {
	meta:
		name = "??_G?$ctype@D@std@@MEAAPEAXI@Z"
		size = 92
		refs = "000d ??_7?$ctype@D@std@@6B@ 0025 free 0032 ??_V@YAXPEAX@Z 0039 ??_7facet@locale@std@@6B@ 004a ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 8B FA 48 8B D9 48 89 01 8B 41 20 85 C0 7E 0B 48 8B 49 18 E8 ?? ?? ?? ?? EB 0B 79 09 48 8B 49 18 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_58_1 {
	meta:
		name = "?global@locale@std@@SA?AV12@AEBV12@@Z"
		size = 347
		refs = "0022 ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 002b ?_Getgloballocale@locale@std@@CAPEAV_Locimp@12@XZ 003a ??0_Lockit@std@@QEAA@H@Z 0055 ??1_Lockit@std@@QEAA@XZ 00ce ?_Setgloballocale@locale@std@@CAXPEAX@Z 0114 setlocale"
	strings:
		$1 = { 48 89 4C 24 08 53 55 56 57 48 83 EC 38 48 C7 44 24 20 FE FF FF FF 48 8B F2 48 8B E9 83 64 24 70 00 E8 ?? ?? ?? ?? 48 89 45 00 E8 ?? ?? ?? ?? 48 8B D8 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 68 E8 ?? ?? ?? ?? C7 44 24 70 01 00 00 00 33 D2 48 8D 4C 24 78 E8 ?? ?? ?? ?? 90 E8 ?? ?? ?? ?? 48 8B D8 48 3B 06 0F 84 C5 00 00 00 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B 43 08 48 85 C0 74 0D 48 83 F8 FF 73 07 48 FF C8 48 89 43 08 33 FF 48 39 7B 08 48 0F 44 FB 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 85 FF 74 0D 48 8B 07 BA 01 00 00 00 48 8B CF FF 10 48 8B 1E 48 8B CB E8 ?? ?? ?? ?? 33 D2 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8B 43 08 48 83 F8 FF 73 07 48 FF C0 48 89 43 08 48 8D 4C 24 68 E8 ?? ?? ?? ?? 8B 73 20 83 E6 3F 83 FE 3F 75 16 48 8B 53 28 48 85 D2 75 04 48 8D 53 30 33 C9 E8 ?? ?? ?? ?? EB 2A 33 FF 8B CF B8 01 00 00 00 D3 E0 D1 F8 85 C6 74 12 48 8B 53 28 48 85 D2 75 04 48 8D 53 30 E8 ?? ?? ?? ?? FF C7 83 FF 05 7E D8 48 8D 4C 24 78 E8 ?? ?? ?? ?? 48 8B C5 48 83 C4 38 5F 5E 5D 5B C3 CC }
	condition:
		$1
}

rule file_42_59_1 {
	meta:
		name = "?dtor$0@?0??global@locale@std@@SA?AV12@AEBV12@@Z@4HA"
		size = 48
		refs = "001c ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 70 83 E0 01 85 C0 74 0D 83 65 70 FE 48 8B 4D 60 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_42_61_1 {
	meta:
		name = "?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z"
		size = 411
		refs = "002d ??0_Lockit@std@@QEAA@H@Z 0058 _realloc_crt 0063 ?$S2@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV234@PEAVfacet@34@_K@Z@4IA 006a ??_7bad_alloc@std@@6B@ 007e ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0095 ?nomem@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV234@PEAVfacet@34@_K@Z@4Vbad_alloc@4@B 009a ??0exception@std@@QEAA@AEBQEBDH@Z 00a8 ??__Fnomem@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z@YAXXZ 00ad atexit 00be ??0exception@std@@QEAA@AEBV01@@Z 00ca _TI2?AVbad_alloc@std@@ 00d4 _CxxThrowException 011b ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 56 57 41 54 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 68 48 89 6C 24 78 49 8B E8 4C 8B E2 48 8B D9 33 D2 48 8D 4C 24 70 E8 ?? ?? ?? ?? 90 48 39 6B 18 0F 87 BA 00 00 00 48 8D 7D 01 B8 28 00 00 00 48 3B F8 48 0F 42 F8 48 8B D7 48 C1 E2 03 48 8B 4B 10 E8 ?? ?? ?? ?? 48 85 C0 75 78 8B 05 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? A8 01 75 3F 83 C8 01 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 60 41 B8 01 00 00 00 48 8D 54 24 60 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 89 43 10 EB 11 48 8B 4B 18 48 8B 43 10 48 83 24 C8 00 48 FF 43 18 48 39 7B 18 72 E9 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 8B 44 24 08 48 83 F8 FF 73 08 48 FF C0 49 89 44 24 08 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 73 10 48 83 3C EE 00 74 4C 48 8B 34 EE 33 D2 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 8B 46 08 48 85 C0 74 0D 48 83 F8 FF 73 07 48 FF C8 48 89 46 08 33 FF 48 39 7E 08 48 0F 44 FE 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 85 FF 74 0D 48 8B 07 BA 01 00 00 00 48 8B CF FF 10 48 8B 43 10 4C 89 24 E8 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8B 5C 24 68 48 8B 6C 24 78 48 83 C4 40 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_42_63_1 {
	meta:
		name = "??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
		size = 118
		refs = "0023 free 0048 malloc 005f memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B F1 48 8B 09 48 8B DA 48 3B CA 74 46 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 26 00 48 85 DB 74 33 80 3B 00 48 8B FB 74 08 48 FF C7 80 3F 00 75 F8 48 2B FB 48 8D 4F 01 E8 ?? ?? ?? ?? 48 89 06 48 85 C0 74 0F 4C 8D 47 01 48 8B D3 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_67_1 {
	meta:
		name = "ldexpf"
		size = 24
		refs = "000b ldexp"
	strings:
		$1 = { 48 83 EC 28 0F 14 C0 0F 5A C0 E8 ?? ?? ?? ?? F2 0F 5A C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_42_89_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 21
	strings:
		$1 = { 48 8B 41 58 FF 08 48 8B 51 40 48 8B 02 48 8D 48 01 48 89 0A C3 }
	condition:
		$1
}

rule file_42_99_1 {
	meta:
		name = "?_Hexdig@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHDDDD@Z"
		size = 78
	strings:
		$1 = { 44 3A C2 7F 13 45 0F BE C0 0F BE C2 41 8D 48 09 3B C1 7F 04 41 2B C0 C3 44 3A CA 7F 16 45 0F BE C1 0F BE C2 41 8D 48 05 3B C1 7F 07 41 2B C0 83 C0 0A C3 38 54 24 28 7F 11 44 0F BE 44 24 28 0F BE C2 41 8D 48 05 3B C1 7E E2 83 C8 FF C3 }
	condition:
		$1
}

rule file_42_109_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHXZ"
		size = 41
	strings:
		$1 = { 48 8B 51 40 48 83 3A 00 74 09 48 8B 41 58 44 8B 00 EB 03 45 33 C0 45 85 C0 7E 07 48 8B 02 0F B6 00 C3 48 8B 01 48 FF 60 30 }
	condition:
		$1
}

rule file_42_118_1 {
	meta:
		name = "?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z"
		size = 125
		altNames = "?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z"
	strings:
		$1 = { C6 02 25 4C 8D 52 01 41 F6 C1 20 74 07 41 C6 02 2B 49 FF C2 41 F6 C1 10 74 07 41 C6 02 23 49 FF C2 66 41 C7 02 2E 2A 49 83 C2 02 45 84 C0 74 06 45 88 02 49 FF C2 B8 67 00 00 00 41 B8 00 30 00 00 8D 48 FE 45 23 C8 41 81 F9 00 10 00 00 0F 44 C1 45 3B C8 0F B6 C8 B8 61 00 00 00 0F 44 C8 41 81 F9 00 20 00 00 0F B6 C1 B9 66 00 00 00 0F 44 C1 41 88 02 41 C6 42 01 00 48 8B C2 C3 }
	condition:
		$1
}

rule file_42_119_1 {
	meta:
		name = "?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z"
		size = 121
		altNames = "?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z"
	strings:
		$1 = { C6 02 25 48 8D 42 01 41 F6 C1 20 74 06 C6 00 2B 48 FF C0 41 F6 C1 08 74 06 C6 00 23 48 FF C0 41 8A 08 80 F9 4C 74 07 88 08 48 FF C0 EB 0D 66 C7 00 49 36 C6 40 02 34 48 83 C0 03 41 8B C9 81 E1 00 0E 00 00 81 F9 00 04 00 00 75 05 41 B1 6F EB 1D 81 F9 00 08 00 00 74 06 45 8A 48 01 EB 0F 41 C0 E1 03 41 F6 D1 41 80 E1 20 41 80 C9 58 44 88 08 C6 40 01 00 48 8B C2 C3 }
	condition:
		$1
}

rule file_42_120_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 21
	strings:
		$1 = { 48 8B 41 60 FF 08 48 8B 51 48 48 8B 02 48 8D 48 01 48 89 0A C3 }
	condition:
		$1
}

rule file_42_124_1 {
	meta:
		name = "??0?$codecvt@DDH@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$codecvt@DDH@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 4C 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_46_97_1 {
	meta:
		name = "??0?$messages@D@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@D@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 4C 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_65_326_1 {
	meta:
		name = "??0?$messages@G@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@G@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 4C 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_65_246_1 {
	meta:
		name = "??0?$messages@_W@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 18
		refs = "0003 ??_7?$messages@_W@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 4C 89 41 08 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_42_126_1 {
	meta:
		name = "?do_in@?$codecvt@DDH@std@@MEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z"
		size = 27
		altNames = "?do_out@?$codecvt@DDH@std@@MEBAHAEAHPEBD1AEAPEBDPEAD3AEAPEAD@Z"
	strings:
		$1 = { 48 8B 44 24 28 48 8B 4C 24 40 4C 89 00 48 8B 44 24 30 48 89 01 B8 03 00 00 00 C3 }
	condition:
		$1
}

rule file_42_129_1 {
	meta:
		name = "?do_length@?$codecvt@DDH@std@@MEBAHAEBHPEBD1_K@Z"
		size = 18
	strings:
		$1 = { 4D 2B C8 4C 39 4C 24 28 4C 0F 42 4C 24 28 41 8B C1 C3 }
	condition:
		$1
}

rule file_42_131_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHXZ"
		size = 55
	strings:
		$1 = { 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 18 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 C3 48 8B 01 48 FF 60 38 }
	condition:
		$1
}

rule file_42_132_1 {
	meta:
		name = "?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QEAAHD@Z"
		size = 69
	strings:
		$1 = { 48 8B 41 48 44 8A CA 48 83 38 00 74 09 48 8B 41 60 44 8B 00 EB 03 45 33 C0 45 85 C0 7E 1C 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 0A 41 0F B6 C1 C3 48 8B 01 41 0F B6 D1 48 FF 60 18 }
	condition:
		$1
}

rule file_42_133_1 {
	meta:
		name = "?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 320
		refs = "0028 localeconv 0044 ??_C@_00CNPNBAHC@?$AA@ 004f _Getcvt 0057 strlen 0063 ??_U@YAPEAX_K@Z 008a ??_C@_05LAPONLG@false?$AA@ 00c5 ??_C@_04LOAJBDKD@true?$AA@"
	strings:
		$1 = { 48 89 4C 24 08 57 41 54 41 55 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 74 24 60 45 8A E8 48 8B D9 E8 ?? ?? ?? ?? 4C 8B E0 48 83 63 10 00 48 83 63 20 00 48 83 63 28 00 45 84 ED 48 8D 3D ?? ?? ?? ?? 75 04 48 8B 78 10 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 85 F6 74 0F 8A 0F 88 0A 48 FF CE 48 FF C2 48 FF C7 EB EC 48 89 43 10 E8 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 FF 74 0F 8A 0E 88 0A 48 FF CF 48 FF C2 48 FF C6 EB EC 48 89 43 20 E8 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 FF 74 0F 8A 0E 88 0A 48 FF CF 48 FF C2 48 FF C6 EB EC 48 89 43 28 E8 ?? ?? ?? ?? 49 8B 04 24 8A 08 88 4B 18 E8 ?? ?? ?? ?? 49 8B 44 24 08 8A 08 88 4B 19 45 84 ED 74 12 E8 ?? ?? ?? ?? C6 43 18 2E E8 ?? ?? ?? ?? C6 43 19 2C 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_42_135_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 41
		refs = "0009 ??_V@YAXPEAX@Z 0024 _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 50 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_42_136_1 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAD_K@Z"
		size = 42
		refs = "000b _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 48 3B 51 18 72 06 E8 ?? ?? ?? ?? CC 48 83 79 20 10 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 04 11 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_42_139_1 {
	meta:
		name = "??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QEAAAEAV01@D@Z"
		size = 101
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 44 8A C2 48 85 C9 74 44 48 8B 41 48 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 48 8B 01 41 0F B6 D0 FF 50 18 83 F8 FF 75 03 C6 03 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_143_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 97
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 42 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 19 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 EB 06 48 8B 01 FF 50 38 83 F8 FF 74 06 C6 43 08 00 EB 08 48 83 23 00 C6 43 08 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_144_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEBADXZ"
		size = 82
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_149_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
		size = 207
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 80 79 08 00 48 8B DA 48 8B F9 BE 01 00 00 00 75 40 48 8B 09 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 40 88 73 08 48 83 3F 00 75 08 48 83 3B 00 74 0A EB 06 48 83 3B 00 75 02 33 F6 48 8B 5C 24 30 40 8A C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_166_1 {
	meta:
		name = "?_Getcat@?$ctype@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 218
		refs = "0041 ??2@YAPEAX_K@Z 006c ??0_Locinfo@std@@QEAA@PEBD@Z 007d ??_7?$ctype@D@std@@6B@ 008a _Getctype 00b8 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 81 EC 90 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 A0 00 00 00 48 85 C9 0F 84 84 00 00 00 48 39 31 75 7F 8D 4E 28 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 52 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 8B 48 08 48 89 4B 18 48 8B 40 10 48 89 43 20 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 40 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_42_168_1 {
	meta:
		name = "?_Locinfo_Addcats@_Locinfo@std@@SAAEAV12@PEAV12@HPEBD@Z"
		size = 237
		refs = "0024 ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 0035 ??0exception@std@@QEAA@AEBQEBD@Z 003c ??_7runtime_error@std@@6B@ 0043 _TI2?AVruntime_error@std@@ 0052 _CxxThrowException 0086 setlocale 00a6 ??_C@_01NBENCBCI@?$CK?$AA@ 00c1 strcmp 00d1 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 20 57 48 83 EC 40 49 8B D8 8B F2 48 8B E9 4D 85 C0 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 18 49 8D 4B D8 49 89 43 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 41 80 38 2A 75 07 41 80 78 01 00 74 3F 85 D2 75 04 33 D2 EB 28 83 FA 3F 74 20 33 FF 8B CF B8 01 00 00 00 D3 E0 D1 F8 85 C6 74 08 48 8B D3 E8 ?? ?? ?? ?? FF C7 83 FF 05 7E E2 48 8B D3 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 75 09 48 8D 15 ?? ?? ?? ?? EB 20 48 8B 4D 38 48 85 C9 75 04 48 8D 4D 40 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0C 48 8B D3 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B 74 24 68 48 8B C5 48 8B 6C 24 58 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_42_169_1 {
	meta:
		name = "?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_480_1 {
	meta:
		name = "?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_460_1 {
	meta:
		name = "?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_42_171_1 {
	meta:
		name = "?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_482_1 {
	meta:
		name = "?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_462_1 {
	meta:
		name = "?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_42_173_1 {
	meta:
		name = "??0?$numpunct@D@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@D@std@@6B@ 0028 ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_484_1 {
	meta:
		name = "??0?$numpunct@G@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@G@std@@6B@ 0028 ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_464_1 {
	meta:
		name = "??0?$numpunct@_W@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 54
		refs = "001d ??_7?$numpunct@_W@std@@6B@ 0028 ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_42_178_1 {
	meta:
		name = "??1?$numpunct@D@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@D@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_488_1 {
	meta:
		name = "??1?$numpunct@G@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_468_1 {
	meta:
		name = "??1?$numpunct@_W@std@@MEAA@XZ"
		size = 62
		refs = "0009 ??_7?$numpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 0031 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_179_1 {
	meta:
		name = "??_G?$numpunct@D@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$numpunct@D@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7facet@locale@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_489_1 {
	meta:
		name = "??_G?$numpunct@G@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$numpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7facet@locale@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_469_1 {
	meta:
		name = "??_G?$numpunct@_W@std@@MEAAPEAXI@Z"
		size = 89
		refs = "000d ??_7?$numpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0037 ??_7facet@locale@std@@6B@ 0047 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_180_1 {
	meta:
		name = "?_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 182
		refs = "0030 ??2@YAPEAX_K@Z 005b ??0_Locinfo@std@@QEAA@PEBD@Z 0074 ??_7?$numpunct@D@std@@6B@ 0085 ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 009d ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 74 7A 48 39 31 75 75 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 48 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_490_1 {
	meta:
		name = "?_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 182
		refs = "0030 ??2@YAPEAX_K@Z 005b ??0_Locinfo@std@@QEAA@PEBD@Z 0074 ??_7?$numpunct@G@std@@6B@ 0085 ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 009d ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 74 7A 48 39 31 75 75 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 48 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_470_1 {
	meta:
		name = "?_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 182
		refs = "0030 ??2@YAPEAX_K@Z 005b ??0_Locinfo@std@@QEAA@PEBD@Z 0074 ??_7?$numpunct@_W@std@@6B@ 0085 ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 009d ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 74 7A 48 39 31 75 75 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 48 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 04 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_181_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
		altNames = "?dtor$0@?0??_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 48 8B 8A A0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_182_1 {
	meta:
		name = "?dtor$1@?0??_Getcat@?$numpunct@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 48
		refs = "0022 ??1_Locinfo@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$numpunct@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$numpunct@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 90 00 00 00 83 E0 01 85 C0 74 10 83 A5 90 00 00 00 FE 48 8D 4D 28 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC }
	condition:
		$1
}

rule file_42_184_1 {
	meta:
		name = "?_Getcat@?$codecvt@DDH@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 175
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$codecvt@DDH@std@@6B@ 0090 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 63 48 39 31 75 5E 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 31 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 02 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_42_187_1 {
	meta:
		name = "?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z"
		size = 162
		altNames = "?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 5C 24 50 49 8B E9 49 8B F8 48 8B F2 48 85 DB 74 5C 48 8B 4F 08 48 85 C9 74 48 48 8B 41 48 44 8A 45 00 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 48 8B 01 41 0F B6 D0 FF 50 18 83 F8 FF 75 03 C6 07 01 48 FF C5 48 FF CB 75 A4 0F 10 07 48 8B 5C 24 30 48 8B 6C 24 38 48 8B C6 F3 0F 7F 06 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_188_1 {
	meta:
		name = "?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z"
		size = 155
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 74 24 50 41 8A E9 49 8B D8 48 8B FA 48 85 F6 74 55 48 8B 4B 08 48 85 C9 74 44 48 8B 41 48 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 40 88 2A 40 0F B6 C5 EB 0A 48 8B 01 40 0F B6 D5 FF 50 18 83 F8 FF 75 03 C6 03 01 48 FF CE 75 AB 0F 10 03 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 F3 0F 7F 07 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_190_1 {
	meta:
		name = "?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_KD@Z"
		size = 261
		refs = "0036 memchr 007e ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 00cb ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 7C 24 18 41 54 41 55 41 56 48 83 EC 70 4C 8B AC 24 B0 00 00 00 49 8B F8 48 8B EA 4C 8B F1 33 D2 4D 8B C5 49 8B C9 4D 8B E1 E8 ?? ?? ?? ?? 49 8B DD 4C 8B D0 4D 2B D4 48 85 C0 49 0F 45 DA EB 60 80 BC 24 B8 00 00 00 00 74 33 0F 10 07 44 8A 8C 24 B8 00 00 00 4C 8D 44 24 40 48 8D 54 24 60 49 8B CE 48 C7 44 24 20 01 00 00 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 49 FF C4 49 FF CD 33 D2 4D 8B C5 49 8B CC E8 ?? ?? ?? ?? 49 8B DD 48 8B C8 49 2B CC 48 85 C0 48 0F 45 D9 0F 10 07 4C 8D 44 24 30 48 8D 54 24 50 4D 8B CC 49 8B CE 48 89 5C 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 4C 03 E3 4C 2B EB 0F 10 00 F3 0F 7F 07 0F 85 6A FF FF FF 4C 8D 5C 24 70 F3 0F 7F 45 00 48 8B C5 49 8B 5B 20 49 8B 6B 28 49 8B 7B 30 49 8B E3 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_42_191_1 {
	meta:
		name = "??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBADXZ"
		size = 88
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 75 40 48 8B 09 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 43 09 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_211_1 {
	meta:
		name = "??$?9DU?$char_traits@D@std@@@std@@YA_NAEBV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 19
		refs = "0005 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_596_1 {
	meta:
		name = "??$?9GU?$char_traits@G@std@@@std@@YA_NAEBV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 19
		refs = "0005 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_594_1 {
	meta:
		name = "??$?9_WU?$char_traits@_W@std@@@std@@YA_NAEBV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 19
		refs = "0005 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_42_212_1 {
	meta:
		name = "?_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 1340
		refs = "004f ??2@YAPEAX_K@Z 0062 ??_7?$ctype@D@std@@6B@ 006e _Getctype 0091 ?id@?$ctype@D@std@@2V0locale@2@A 00a1 ??0_Lockit@std@@QEAA@H@Z 00b0 ?_Id_cnt@id@locale@std@@0HA 00ca ??1_Lockit@std@@QEAA@XZ 0125 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0133 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 0160 ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0168 _Getcvt 0177 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 020c ??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0243 ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 025a ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 02ef ??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0331 ??_7?$numpunct@D@std@@6B@ 0342 ?_Init@?$numpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 034f ?id@?$numpunct@D@std@@2V0locale@2@A 03eb ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 041f ??_7?$codecvt@DDH@std@@6B@ 042e ?id@?$codecvt@DDH@std@@2V0locale@2@A 04c2 ??$use_facet@V?$codecvt@DDH@std@@@std@@YAAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z 04e1 ?_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 04f2 ?_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 0503 ?_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z 051d ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 40 48 C7 45 E0 FE FF FF FF 48 89 58 18 49 8B F1 49 8B F8 44 8B FA 4C 8B F1 45 33 E4 44 89 65 48 44 8B EA 41 83 E5 02 0F 84 F6 00 00 00 4D 85 C9 0F 85 90 00 00 00 41 8D 49 28 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 30 4C 89 60 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D E8 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 8B 48 08 48 89 4B 18 48 8B 40 10 48 89 43 20 EB 03 49 8B DC 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 25 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 25 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 8B E7 41 83 E4 08 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 0F 84 D0 01 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 45 85 E4 0F 84 ED 00 00 00 45 33 E4 48 85 F6 0F 85 8A 00 00 00 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 40 48 85 C0 74 1F 4C 89 60 08 48 8D 05 ?? ?? ?? ?? 48 89 03 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 49 8B DC 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 25 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? EB 5A 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 25 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 EB 9F 45 33 E4 45 85 ED 0F 84 D1 00 00 00 48 85 F6 75 6F 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 4C 89 60 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DC 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 25 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 48 E8 ?? ?? ?? ?? 4C 39 25 ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 48 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D7 49 8B CE E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D7 49 8B CE E8 ?? ?? ?? ?? 4C 8B CE 4C 8B C7 41 8B D7 49 8B CE E8 ?? ?? ?? ?? 44 09 7F 20 49 8B 56 38 48 85 D2 75 04 49 8D 56 40 48 8D 4F 28 E8 ?? ?? ?? ?? 48 8B C7 48 8B 9C 24 90 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_215_1 {
	meta:
		name = "?_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z"
		size = 364
		refs = "002b ?_Clocptr@_Locimp@locale@std@@0PEAV123@EA 0034 ??_C@_01GFHCPBMG@C?$AA@ 003d ??0_Locinfo@std@@QEAA@PEBD@Z 0051 ?_Makeloc@_Locimp@locale@std@@CAPEAV123@AEBV_Locinfo@3@HPEAV123@PEBV23@@Z 005b ??1_Locinfo@std@@QEAA@XZ 006b ??0_Lockit@std@@QEAA@H@Z 0082 _malloc_crt 0091 ?$S1@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPEAV234@AEBV234@@Z@4IA 0098 ??_7bad_alloc@std@@6B@ 00ac ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00c1 ?nomem@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPEAV234@AEBV234@@Z@4Vbad_alloc@4@B 00c6 ??0exception@std@@QEAA@AEBQEBDH@Z 00d4 ??__Fnomem@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPEAV123@AEBV123@@Z@YAXXZ 00d9 atexit 00e9 ??0exception@std@@QEAA@AEBV01@@Z 00f4 _TI2?AVbad_alloc@std@@ 00fd _CxxThrowException 0142 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 57 41 54 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 08 48 89 70 20 4C 8B E2 48 8B F9 48 3B 15 ?? ?? ?? ?? 75 33 48 8D 15 ?? ?? ?? ?? 48 8D 4D F7 E8 ?? ?? ?? ?? 90 45 33 C9 4C 8B C7 41 8D 51 3F 48 8D 4D F7 E8 ?? ?? ?? ?? 90 48 8D 4D F7 E8 ?? ?? ?? ?? E9 F0 00 00 00 33 D2 48 8D 4D 77 E8 ?? ?? ?? ?? 90 48 8B 4F 18 48 85 C9 0F 84 CE 00 00 00 48 C1 E1 03 E8 ?? ?? ?? ?? 48 89 47 10 48 85 C0 75 73 8B 05 ?? ?? ?? ?? 48 8D 1D ?? ?? ?? ?? A8 01 75 3D 83 C8 01 89 05 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 6F 41 B8 01 00 00 00 48 8D 55 6F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D DF E8 ?? ?? ?? ?? 48 89 5D DF 48 8D 15 ?? ?? ?? ?? 48 8D 4D DF E8 ?? ?? ?? ?? CC 48 8B 5F 18 EB 3E 48 FF CB 49 8B 44 24 10 48 8B 34 D8 48 8B 47 10 48 89 34 D8 48 85 F6 74 25 33 D2 48 8D 4D 6F E8 ?? ?? ?? ?? 48 8B 46 08 48 83 F8 FF 73 07 48 FF C0 48 89 46 08 48 8D 4D 6F E8 ?? ?? ?? ?? 48 85 DB 75 BD 48 8D 4D 77 E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 20 49 8B 73 38 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_42_218_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@HPEBD@Z"
		size = 86
		refs = "001c setlocale 0023 ??_C@_00CNPNBAHC@?$AA@ 0036 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0052 ?_Locinfo_Addcats@_Locinfo@std@@SAAEAV12@PEAV12@HPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B FA 48 8B F1 33 D2 33 C9 49 8B D8 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 85 C0 48 0F 44 C1 48 8D 4E 28 48 8B D0 E8 ?? ?? ?? ?? 4C 8B C3 8B D7 48 8B CE 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_224_1 {
	meta:
		name = "?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 83 64 24 30 00 48 8B DA FF 50 20 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_225_1 {
	meta:
		name = "?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 83 64 24 30 00 48 8B DA FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_228_1 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z"
		size = 330
		refs = "0030 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0035 ?_Xout_of_range@std@@YAXPEBD@Z 0049 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 004e ?_Xlength_error@std@@YAXPEBD@Z 007d ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00de memmove 0118 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 49 8B E8 4C 8B 41 18 45 8A E9 4C 8B E2 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 C8 FF 49 2B C0 48 3B C5 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 85 ED 0F 84 D2 00 00 00 49 8D 34 28 48 83 FE FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1D 48 85 F6 75 21 48 21 71 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 F6 0F 84 85 00 00 00 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 4C 8B 43 18 4A 8D 14 21 4A 8D 0C 20 4D 2B C4 48 03 CD E8 ?? ?? ?? ?? 48 83 FD 01 75 15 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 46 88 2C 20 EB 1F 48 83 7B 20 10 72 05 48 8B 07 EB 03 48 8B C7 4A 8D 0C 20 41 0F BE D5 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_42_229_1 {
	meta:
		name = "?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 83 64 24 30 00 48 8B DA FF 50 18 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_42_230_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 280
		refs = "0031 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0036 ?_Xout_of_range@std@@YAXPEBD@Z 0058 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 005d ?_Xlength_error@std@@YAXPEBD@Z 008c ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00e4 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B 42 18 49 8B E9 4D 8B E0 48 8B FA 48 8B D9 49 3B C0 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B C0 4C 8B 41 18 49 3B C1 48 0F 42 E8 48 83 C8 FF 49 2B C0 48 3B C5 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 85 ED 0F 84 8F 00 00 00 49 8D 34 28 48 83 FE FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1D 48 85 F6 75 1D 48 21 71 18 48 83 79 20 10 72 06 48 8B 41 08 EB 04 48 8D 41 08 C6 00 00 48 85 F6 74 46 48 83 7F 20 10 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 03 4B 18 4A 8D 14 20 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_42_235_1 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z"
		size = 1606
		refs = "0028 __security_cookie 0046 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0055 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0083 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 014c ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 0307 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0328 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 032d ?_Xlength_error@std@@YAXPEBD@Z 03b1 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 03b6 memchr 04c4 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 04e9 _invalid_parameter_noinfo_noreturn 05d4 ??3@YAXPEAX@Z 0627 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC B0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 89 4D 8F 49 8B D8 4C 8B E2 48 89 55 97 48 8B 4D 7F E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 D7 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 FF 4C 39 7D EF 75 06 44 88 7D 88 EB 0C 48 8B 07 48 8B CF FF 50 10 88 45 88 4D 8B EC 48 8B 7D 8F 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 41 B9 01 00 00 00 84 C0 0F 85 BB 00 00 00 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 4B 08 80 7B 09 2B 75 07 41 C6 04 24 2B EB 56 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 4B 08 80 7B 09 2D 75 12 41 C6 04 24 2D 4D 8D 6C 24 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B F6 BE 0A 00 00 00 44 23 F6 8D 46 06 81 F9 00 08 00 00 44 0F 44 F0 8D 46 FE 81 F9 00 04 00 00 44 0F 44 F0 44 88 7D 87 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 4B 01 00 00 44 38 7B 08 75 44 48 8B 0B 48 85 C9 74 2F 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 21 3B B8 01 00 00 00 88 43 08 EB 05 B8 01 00 00 00 80 7B 09 30 0F 85 F2 00 00 00 44 8A F8 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 C5 00 00 00 38 43 08 75 47 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 BF 01 00 00 00 40 88 7B 08 EB 05 BF 01 00 00 00 80 7B 09 78 74 4C 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 40 88 7B 08 80 7B 09 58 75 22 45 85 F6 74 06 41 83 FE 10 75 17 41 BE 10 00 00 00 45 32 FF 48 8B CB E8 ?? ?? ?? ?? 41 8D 46 F8 EB 1E B8 08 00 00 00 45 85 F6 75 0F 44 8B F0 EB 05 B8 08 00 00 00 45 85 F6 74 10 44 3B F6 74 0B BE 16 00 00 00 44 3B F0 0F 44 F0 48 8D 55 89 48 8D 4D A7 E8 ?? ?? ?? ?? 90 48 C7 45 C7 0F 00 00 00 33 C0 48 89 45 BF 88 45 AF 8D 48 01 80 F9 FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 44 88 7D AF 48 89 4D BF 88 45 B0 48 8B F8 49 83 C4 1F 48 8B 55 8F 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 DC 01 00 00 48 63 F6 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 0F BE 43 09 41 88 45 00 8B D0 4C 8B C6 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 5F 80 7D 87 00 75 07 41 80 7D 00 30 74 12 B9 01 00 00 00 4D 3B EC 73 0D 4C 03 E9 88 4D 87 EB 05 B9 01 00 00 00 44 8A F9 48 3B 7D BF 0F 83 F8 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 80 3C 38 7F 0F 84 C3 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 00 0C 38 E9 AD 00 00 00 4C 8B 55 BF 49 3B FA 0F 83 03 01 00 00 48 8D 45 AF 4C 8B 45 AF 4C 8B 4D C7 49 83 F9 10 49 0F 43 C0 80 3C 38 00 0F 84 B1 00 00 00 8A 45 88 84 C0 0F 84 A6 00 00 00 80 7B 08 00 75 55 48 8B 0B 48 85 C9 74 3C 4C 8B 59 40 49 83 3B 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 03 0F B6 00 EB 12 48 8B 01 FF 50 30 4C 8B 4D C7 4C 8B 55 BF 4C 8B 45 AF 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 B9 01 00 00 00 88 4B 08 8A 45 88 EB 05 B9 01 00 00 00 38 43 09 75 41 45 33 C0 48 8B D1 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 55 8F 48 8B CB E8 ?? ?? ?? ?? 84 C0 75 0B E9 73 FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D C7 4C 8B 55 BF 4C 8B 45 AF 48 85 FF 74 41 49 3B FA 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 AF BE 10 00 00 00 4C 3B CE 49 0F 43 C0 44 8D 5E F1 80 3C 38 00 7E 05 49 03 FB EB 21 45 32 FF EB 1C E8 ?? ?? ?? ?? CC 4C 8B 4D C7 4C 8B 55 BF 4C 8B 45 AF 41 BB 01 00 00 00 41 8D 73 0F 48 8D 4D DF 48 39 75 F7 48 0F 43 4D DF 45 84 FF 74 66 48 85 FF 74 51 8A 11 80 FA 7F 74 4A 49 2B FB 74 15 49 3B FA 73 34 48 8D 45 AF 4C 3B CE 49 0F 43 C0 3A 14 38 75 40 48 85 FF 75 14 4D 85 D2 74 20 48 8D 45 AF 4C 3B CE 49 0F 43 C0 3A 10 7C 27 80 79 01 00 7E BB 48 FF C1 EB B6 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 80 7D 87 00 75 0E 41 C6 45 00 30 4D 03 EB EB 04 4C 8B 6D 97 41 C6 45 00 00 4C 3B CE 72 08 49 8B C8 E8 ?? ?? ?? ?? BF 0F 00 00 00 48 89 7D C7 48 83 65 BF 00 C6 45 AF 00 48 8B 4D A7 E8 ?? ?? ?? ?? 33 DB 48 89 5D A7 48 39 75 F7 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 89 7D F7 48 89 5D EF 88 5D DF 48 8B 4D D7 E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_239_1 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z"
		size = 658
		refs = "0028 __security_cookie 0060 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0069 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0079 ??1locale@std@@QEAA@XZ 0085 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0129 memmove_s 0197 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 01af ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 020d ?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_KD@Z 024b ??3@YAXPEAX@Z 0273 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F9 49 8B F8 4C 89 45 97 48 8B F2 48 89 54 24 40 48 89 4D 8F 8A 45 6F 88 44 24 30 4C 8B 75 77 4C 8B 65 7F 48 8D 55 BF 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 AF 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 55 CF 48 8B CB E8 ?? ?? ?? ?? 90 41 80 3E 2B 74 23 41 80 3E 2D 74 1D 41 80 3E 30 75 13 41 8A 46 01 3C 78 74 04 3C 58 75 07 B8 02 00 00 00 EB 09 33 C0 EB 05 B8 01 00 00 00 4C 63 E8 48 8D 45 D7 48 8B 4D D7 48 8B 55 EF 48 83 FA 10 48 0F 43 C1 80 38 7F 74 75 48 8D 45 D7 48 83 FA 10 48 0F 43 C1 80 38 00 7E 64 48 8D 7D D7 48 83 FA 10 48 0F 43 F9 49 8B F4 8A 07 3C 7F 74 46 84 C0 7E 42 48 0F BE C8 48 8B C6 49 2B C5 48 3B C8 73 33 48 2B F1 49 8B D4 48 2B D6 48 FF C2 49 8D 1C 36 49 8D 4C 36 01 4C 8B CA 4C 8B C3 E8 ?? ?? ?? ?? C6 03 00 49 FF C4 48 8D 47 01 80 38 00 48 0F 4F F8 EB B4 48 8B 74 24 40 48 8B 7D 97 49 8B 5F 28 48 85 DB 7E 0A 49 3B DC 76 05 49 2B DC EB 02 33 DB 41 8B 47 18 25 C0 01 00 00 83 F8 40 74 6C 0F 10 07 4C 8D 44 24 40 48 8D 55 97 48 8B 4D 8F F3 0F 7F 44 24 40 3D 00 01 00 00 74 1D 44 8A 6C 24 30 45 8A CD 48 89 5C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 33 DB EB 37 4C 89 6C 24 20 4D 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 4D 03 F5 4D 2B E5 0F 10 00 F3 0F 7F 44 24 40 4C 8D 44 24 40 48 8D 55 97 48 8B 4D 8F EB B1 44 8A 6C 24 30 0F 10 07 F3 0F 7F 44 24 40 48 8B 4D AF 48 8B 01 FF 50 10 88 44 24 28 4C 89 64 24 20 4D 8B CE 4C 8D 44 24 40 48 8D 55 AF 4C 8B 65 8F 49 8B CC E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 45 33 F6 4D 89 77 28 0F 10 0F F3 0F 7F 4D AF 48 89 5C 24 20 45 8A CD 4C 8D 45 AF 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 C7 45 EF 0F 00 00 00 4C 89 75 E7 44 88 75 D7 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_240_1 {
	meta:
		name = "?dtor$0@?0??_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 80 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_283_2 {
	meta:
		name = "?dtor$2@?0??do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 80 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_243_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 318
		refs = "0071 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 008d ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0092 ?_Xlength_error@std@@YAXPEBD@Z 00c4 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 010a memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4D 8B E0 48 8B EA 48 8B D9 48 85 D2 74 53 48 83 79 20 10 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 3B 48 83 79 20 10 72 05 49 8B 09 EB 03 49 8B C9 48 03 4B 18 48 3B CA 76 23 48 83 7B 20 10 72 03 4D 8B 09 49 2B E9 4D 8B C8 48 8B D3 4C 8B C5 48 8B CB E8 ?? ?? ?? ?? E9 A9 00 00 00 4C 8B 43 18 48 83 C8 FF 49 2B C0 49 3B C4 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4D 85 E4 0F 84 80 00 00 00 4B 8D 34 20 48 83 FE FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 73 20 73 0D 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 1D 48 85 F6 75 1D 48 21 73 18 48 83 7B 20 10 72 06 48 8B 43 08 EB 04 48 8D 43 08 C6 00 00 48 85 F6 74 34 48 83 7B 20 10 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 03 4B 18 4D 8B C4 48 8B D5 E8 ?? ?? ?? ?? 48 83 7B 20 10 48 89 73 18 72 03 48 8B 3F C6 04 37 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_42_245_1 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3431
		refs = "0028 __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0060 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0071 ??1locale@std@@QEAA@XZ 007d ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0093 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0147 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 02d6 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 02f6 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 02fb ?_Xlength_error@std@@YAXPEBD@Z 041a ??_C@_0BB@JCEFLFJE@0123456789abcdef?$AA@ 04fe ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0528 _invalid_parameter_noinfo_noreturn 0600 ??3@YAXPEAX@Z 07e7 localeconv 0d48 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 45 9F FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E1 4C 89 4C 24 30 49 8B F8 48 8B DA 48 89 55 8F 48 8B 4D 77 48 8B 45 7F 48 89 45 87 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 45 97 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 55 D7 49 8B CF E8 ?? ?? ?? ?? 90 4C 8B EB 33 F6 40 88 74 24 20 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 44 8D 76 01 84 C0 0F 85 A8 00 00 00 40 38 77 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 44 88 77 08 80 7F 09 2B 75 05 C6 03 2B EB 4D 40 38 77 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 44 88 77 08 80 7F 09 2D 75 0F C6 03 2D 4C 8D 6B 01 48 8B CF E8 ?? ?? ?? ?? 41 C6 45 00 30 4D 03 EE 41 C6 45 00 78 4D 03 EE 33 DB 88 5C 24 21 44 8B F3 89 5C 24 2C 89 5C 24 24 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 09 01 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 30 0F 85 BC 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9C 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 78 74 49 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 58 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 05 C6 44 24 21 01 48 8D 45 DF 48 83 7D F7 10 48 0F 43 45 DF 80 38 7F 0F 84 87 03 00 00 48 8D 45 DF 48 83 7D F7 10 48 0F 43 45 DF 38 18 0F 8E 71 03 00 00 48 39 5D EF 75 05 44 8A E3 EB 0C 49 8B 07 49 8B CF FF 50 10 44 8A E0 48 8D 54 24 28 48 8D 4D A7 E8 ?? ?? ?? ?? 90 48 C7 45 C7 0F 00 00 00 48 89 5D BF 88 5D AF B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 BF 66 89 5D AF 48 8B F3 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 52 02 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F BA 01 00 00 00 88 57 08 EB 05 BA 01 00 00 00 8A 47 09 3C 30 7C 0D 0F BE C8 83 F9 39 7F 05 8D 59 D0 EB 25 3C 61 7C 0D 0F BE C8 83 F9 66 7F 05 8D 59 A9 EB 14 3C 41 7C 0D 0F BE C8 83 F9 46 7F 05 8D 59 C9 EB 03 83 CB FF 85 DB 0F 88 B9 00 00 00 88 54 24 21 41 83 FE 24 7C 06 01 54 24 24 EB 71 80 7F 08 00 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 BA 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 88 57 08 80 7F 09 30 75 05 45 85 F6 74 1C 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 45 00 4C 03 EA 44 03 F2 44 89 74 24 2C 48 3B 75 BF 0F 83 ED 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 80 3C 30 7F 0F 84 B5 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 00 14 30 E9 9F 00 00 00 4C 8B 4D BF 49 3B F1 0F 83 F7 00 00 00 48 8D 45 AF 4C 8B 5D AF 4C 8B 55 C7 49 83 FA 10 49 0F 43 C3 33 DB 38 1C 30 0F 84 A5 00 00 00 45 84 E4 0F 84 9C 00 00 00 38 5F 08 75 4E 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 12 48 8B 01 FF 50 30 4C 8B 55 C7 4C 8B 4D BF 4C 8B 5D AF 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F BA 01 00 00 00 88 57 08 44 38 67 09 75 43 45 33 C0 48 8D 4D A7 E8 ?? ?? ?? ?? 48 FF C6 EB 02 33 DB 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 30 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 0B E9 F9 FD FF FF E8 ?? ?? ?? ?? CC 4C 8B 55 C7 4C 8B 4D BF 4C 8B 5D AF 48 85 F6 74 40 49 3B F1 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 AF 49 83 FA 10 49 0F 43 C3 41 B8 01 00 00 00 38 1C 30 7E 05 49 03 F0 EB 1F 44 88 44 24 20 EB 18 E8 ?? ?? ?? ?? CC 4C 8B 55 C7 4C 8B 4D BF 4C 8B 5D AF 41 B8 01 00 00 00 48 8D 4D DF 48 83 7D F7 10 48 0F 43 4D DF 38 5C 24 20 75 5E 48 85 F6 74 59 8A 11 80 FA 7F 74 52 49 2B F0 74 16 49 3B F1 73 35 48 8D 45 AF 49 83 FA 10 49 0F 43 C3 3A 14 30 75 2A 48 85 F6 75 15 4D 85 C9 74 27 48 8D 45 AF 49 83 FA 10 49 0F 43 C3 3A 10 7C 10 38 59 01 7E BA 48 FF C1 EB B5 E8 ?? ?? ?? ?? CC 44 88 44 24 20 EB 06 E8 ?? ?? ?? ?? 90 49 83 FA 10 72 08 49 8B CB E8 ?? ?? ?? ?? 48 C7 45 C7 0F 00 00 00 48 89 5D BF 88 5D AF 48 8B 4D A7 E8 ?? ?? ?? ?? 4C 8B 64 24 30 E9 43 01 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 30 01 00 00 41 BF 01 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 7F 08 8A 47 09 3C 30 7C 0D 0F BE C8 83 F9 39 7F 05 8D 59 D0 EB 25 3C 61 7C 0D 0F BE C8 83 F9 66 7F 05 8D 59 A9 EB 14 3C 41 7C 0D 0F BE C8 83 F9 46 7F 05 8D 59 C9 EB 03 83 CB FF 85 DB 0F 88 97 00 00 00 41 83 FE 24 7C 05 41 03 F7 EB 68 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 7F 08 80 7F 09 30 75 05 45 85 F6 74 17 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 45 00 4D 03 EF 45 03 F7 44 88 7C 24 21 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 E7 FE FF FF EB 02 33 DB 89 74 24 24 44 89 74 24 2C 4C 8B 7D 97 40 8A 74 24 21 40 84 F6 74 0D 45 85 F6 75 08 41 C6 45 00 30 49 FF C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 42 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F B8 01 00 00 00 88 47 08 8A 5F 09 49 8B 07 49 8B CF FF 50 08 3A D8 75 23 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 45 00 41 BF 01 00 00 00 4D 03 EF 48 8B CF E8 ?? ?? ?? ?? 33 DB EB 08 33 DB 41 BF 01 00 00 00 45 85 F6 0F 85 A5 00 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 75 44 8B 74 24 24 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 7F 08 80 7F 09 30 75 1D 45 2B F7 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9A 44 89 74 24 24 44 8B 74 24 2C 44 8B 7C 24 24 45 85 FF 79 1C 41 C6 45 00 30 B8 01 00 00 00 4C 03 E8 44 03 F8 44 89 7C 24 24 EB 05 44 8B 7C 24 24 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C5 00 00 00 41 BF 01 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 7F 08 8A 47 09 3C 30 7C 0D 0F BE C8 83 F9 39 7F 05 8D 41 D0 EB 25 3C 61 7C 0D 0F BE C8 83 F9 66 7F 05 8D 41 A9 EB 14 3C 41 7C 0D 0F BE C0 83 F8 46 7F 05 83 C0 C9 EB 03 83 C8 FF 85 C0 78 3A 41 83 FE 24 7D 16 48 98 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 45 00 4D 03 EF 45 03 F7 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 44 8B 7C 24 24 40 84 F6 0F 84 57 03 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 44 03 00 00 38 5F 08 75 46 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 41 BE 01 00 00 00 44 88 77 08 EB 06 41 BE 01 00 00 00 80 7F 09 70 74 4D 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 50 0F 85 A0 02 00 00 41 C6 45 00 70 4D 03 EE 48 8B CF E8 ?? ?? ?? ?? 40 8A F3 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 F6 84 C0 0F 85 BC 00 00 00 44 38 77 08 75 45 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 80 7F 09 2B 75 07 41 C6 45 00 2B EB 54 44 38 77 08 75 43 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 B8 01 00 00 00 88 47 08 80 7F 09 2D 75 10 41 C6 45 00 2D 4C 03 E8 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7D 41 BF 01 00 00 00 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 80 7F 09 30 75 1A 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 40 84 F6 44 8B 7C 24 24 74 08 41 C6 45 00 30 49 FF C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1A 01 00 00 41 BF 01 00 00 00 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 80 7F 09 30 0F 8C C0 00 00 00 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 80 7F 09 39 7F 75 83 FB 08 7D 52 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 8A 47 09 41 88 45 00 4D 03 EF 41 03 DF 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F1 FE FF FF 44 8B 7C 24 24 33 DB 38 5C 24 20 75 05 40 84 F6 75 04 4C 8B 6D 8F 41 88 5D 00 48 8B 45 87 44 89 38 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 48 89 5D EF 88 5D DF 48 8B 4D D7 E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_247_1 {
	meta:
		name = "?dtor$1@?0??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$0@?0??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z@4HA ?dtor$0@?0??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z@4HA ?dtor$14@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA ?dtor$1@?0??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA ?dtor$4@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 90 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_260_2 {
	meta:
		name = "?dtor$0@?0??_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 90 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_950_2 {
	meta:
		name = "?dtor$0@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 90 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_868_2 {
	meta:
		name = "?dtor$0@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 90 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_248_1 {
	meta:
		name = "?dtor$3@?0??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_769_2 {
	meta:
		name = "?dtor$0@?0??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_758_2 {
	meta:
		name = "?dtor$0@?0??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_987_1 {
	meta:
		name = "?dtor$0@?0??_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_369_1 {
	meta:
		name = "?dtor$1@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_267_2 {
	meta:
		name = "?dtor$1@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_820_2 {
	meta:
		name = "?dtor$1@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_788_2 {
	meta:
		name = "?dtor$1@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 60 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_251_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
		size = 549
		refs = "0024 __security_cookie 0062 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0083 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0109 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 01bb ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01c9 _invalid_parameter_noinfo_noreturn 01e0 ??3@YAXPEAX@Z 0209 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F1 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C5 48 FF C1 8A 01 84 C0 75 EF 48 8D 55 B0 48 8D 4D C8 E8 ?? ?? ?? ?? 90 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 32 C9 88 4D B0 33 FF 33 DB 4D 85 ED 0F 84 30 01 00 00 EB 09 41 3A 04 24 74 0B 48 FF C7 42 8A 04 27 84 C0 75 EF 48 3B 5D E0 0F 83 0D 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 80 3C 18 00 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 A1 00 00 00 49 03 FE 42 8A 04 27 41 3A 04 24 74 71 84 C0 74 6D 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 55 38 46 08 75 40 48 8B 0E 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 46 09 EB 04 48 83 26 00 C6 46 08 01 8A 46 09 42 38 04 27 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 73 5C EB 03 44 8B FB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DD 0F 82 0F FF FF FF 84 C9 74 30 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 20 49 FF C6 48 8B CE E8 ?? ?? ?? ?? 41 83 CF FF E9 CA FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_254_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 278
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 007f ??1locale@std@@QEAA@XZ 00a2 _Stoulx 00af ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00fe __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B F1 4D 8B F0 4C 8B EA 48 8B F9 48 8B 5D 6F 4C 8B 65 77 4C 8B 7D 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C6 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 41 83 0C 24 01 48 39 7D B7 74 22 83 7D AF 00 75 1C 81 FB FF FF 00 00 77 14 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 66 41 89 1F EB 05 41 83 0C 24 02 41 0F 10 06 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_884_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 278
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 007f ??1locale@std@@QEAA@XZ 00a2 _Stoulx 00af ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00fe __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B F1 4D 8B F0 4C 8B EA 48 8B F9 48 8B 5D 6F 4C 8B 65 77 4C 8B 7D 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C6 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 41 83 0C 24 01 48 39 7D B7 74 22 83 7D AF 00 75 1C 81 FB FF FF 00 00 77 14 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 66 41 89 1F EB 05 41 83 0C 24 02 41 0F 10 06 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_842_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAG@Z"
		size = 278
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 007f ??1locale@std@@QEAA@XZ 00a2 _Stoulx 00af ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00fe __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B F1 4D 8B F0 4C 8B EA 48 8B F9 48 8B 5D 6F 4C 8B 65 77 4C 8B 7D 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C6 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 41 83 0C 24 01 48 39 7D B7 74 22 83 7D AF 00 75 1C 81 FB FF FF 00 00 77 14 0F B7 C3 66 F7 D8 80 7D CF 2D 66 0F 44 D8 66 41 89 1F EB 05 41 83 0C 24 02 41 0F 10 06 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_42_256_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 271
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 007f ??1locale@std@@QEAA@XZ 00a2 _Stoulx 00af ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00f7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B F1 4D 8B F0 4C 8B EA 48 8B F9 48 8B 5D 6F 4C 8B 65 77 4C 8B 7D 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C6 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 41 83 0C 24 01 48 39 7D B7 74 1B 83 7D AF 00 75 15 83 FB FF 77 10 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 41 89 1F EB 05 41 83 0C 24 02 41 0F 10 06 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_886_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 271
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 007f ??1locale@std@@QEAA@XZ 00a2 _Stoulx 00af ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00f7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B F1 4D 8B F0 4C 8B EA 48 8B F9 48 8B 5D 6F 4C 8B 65 77 4C 8B 7D 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C6 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 41 83 0C 24 01 48 39 7D B7 74 1B 83 7D AF 00 75 15 83 FB FF 77 10 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 41 89 1F EB 05 41 83 0C 24 02 41 0F 10 06 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_844_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAI@Z"
		size = 271
		refs = "0024 __security_cookie 0053 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0074 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 007f ??1locale@std@@QEAA@XZ 00a2 _Stoulx 00af ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00f7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC 88 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B F1 4D 8B F0 4C 8B EA 48 8B F9 48 8B 5D 6F 4C 8B 65 77 4C 8B 7D 7F 83 65 AF 00 48 8D 55 BF 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C6 48 8D 55 CF 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8D 4D BF E8 ?? ?? ?? ?? 48 8D 7D D0 48 8D 45 CF 80 7D CF 2D 48 0F 45 F8 4C 8D 4D AF 44 8B C3 48 8D 55 B7 48 8B CF E8 ?? ?? ?? ?? 8B D8 48 8B D6 49 8B CE E8 ?? ?? ?? ?? 84 C0 74 05 41 83 0C 24 01 48 39 7D B7 74 1B 83 7D AF 00 75 15 83 FB FF 77 10 8B C3 F7 D8 80 7D CF 2D 0F 44 D8 41 89 1F EB 05 41 83 0C 24 02 41 0F 10 06 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_42_258_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 257
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stolx 00a1 ??1locale@std@@QEAA@XZ 00ac ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00eb __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 41 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_42_260_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 257
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoulx 00a1 ??1locale@std@@QEAA@XZ 00ac ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00eb __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 41 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_888_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 257
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stolx 00a1 ??1locale@std@@QEAA@XZ 00ac ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00eb __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 41 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_890_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 257
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoulx 00a1 ??1locale@std@@QEAA@XZ 00ac ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00eb __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 41 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_846_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAJ@Z"
		size = 257
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stolx 00a1 ??1locale@std@@QEAA@XZ 00ac ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00eb __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 41 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_848_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAK@Z"
		size = 257
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoulx 00a1 ??1locale@std@@QEAA@XZ 00ac ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00eb __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 41 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_42_262_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 258
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stollx 00a2 ??1locale@std@@QEAA@XZ 00ad ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00ec __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_42_264_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 258
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoullx 00a2 ??1locale@std@@QEAA@XZ 00ad ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00ec __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_892_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 258
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stollx 00a2 ??1locale@std@@QEAA@XZ 00ad ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00ec __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_894_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 258
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoullx 00a2 ??1locale@std@@QEAA@XZ 00ad ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00ec __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_850_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_J@Z"
		size = 258
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stollx 00a2 ??1locale@std@@QEAA@XZ 00ad ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00ec __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_852_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_K@Z"
		size = 258
		refs = "001e __security_cookie 005c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0095 _Stoullx 00a2 ??1locale@std@@QEAA@XZ 00ad ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00ec __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 41 56 48 81 EC 80 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F1 4D 8B E8 4C 8B E2 48 8B F9 48 8B 9C 24 E0 00 00 00 48 8B AC 24 E8 00 00 00 4C 8B B4 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 8B 43 18 4C 89 5C 24 28 89 44 24 20 4C 8B CE 4D 8B C5 48 8D 54 24 50 48 8B CF E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B D6 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 04 83 4D 00 01 48 8D 44 24 50 48 39 44 24 38 74 0C 83 7C 24 30 00 75 05 49 89 1E EB 04 83 4D 00 02 41 0F 10 45 00 F3 41 0F 7F 04 24 49 8B C4 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 80 00 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_42_266_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 250
		refs = "001c __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0084 ??1locale@std@@QEAA@XZ 009b _Stoullx 00a9 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00e6 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 48 81 EC 88 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F9 4D 8B E0 48 8B EA 48 8B D9 48 8B 8C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B AC 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4C 8B CF 4D 8B C4 48 8D 54 24 50 48 8B CB E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 44 8B C3 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 5D 00 EB 03 83 0E 02 41 0F 10 04 24 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_896_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 250
		refs = "001c __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 0084 ??1locale@std@@QEAA@XZ 009b _Stoullx 00a9 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00e6 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 48 81 EC 88 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F9 4D 8B E0 48 8B EA 48 8B D9 48 8B 8C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B AC 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4C 8B CF 4D 8B C4 48 8D 54 24 50 48 8B CB E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 44 8B C3 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 5D 00 EB 03 83 0E 02 41 0F 10 04 24 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_854_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAPEAX@Z"
		size = 250
		refs = "001c __security_cookie 0057 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0078 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 0084 ??1locale@std@@QEAA@XZ 009b _Stoullx 00a9 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00e6 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 48 81 EC 88 00 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 70 49 8B F9 4D 8B E0 48 8B EA 48 8B D9 48 8B 8C 24 E0 00 00 00 48 8B B4 24 E8 00 00 00 4C 8B AC 24 F0 00 00 00 83 64 24 30 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 90 48 89 44 24 28 C7 44 24 20 00 08 00 00 4C 8B CF 4D 8B C4 48 8D 54 24 50 48 8B CB E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 4C 24 30 44 8B C3 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B D8 48 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 48 8D 44 24 50 48 39 44 24 38 74 0D 83 7C 24 30 00 75 06 49 89 5D 00 EB 03 83 0E 02 41 0F 10 04 24 F3 0F 7F 45 00 48 8B C5 48 8B 4C 24 70 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 88 00 00 00 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_42_268_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DJ@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_42_269_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DK@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_42_270_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_J@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_42_271_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_K@Z"
		size = 173
		refs = "000e __security_cookie 002e ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 009e __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 8A 94 24 F0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_42_272_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBX@Z"
		size = 156
		refs = "000e __security_cookie 0035 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007a ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z 008d __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8B 8C 24 E8 00 00 00 48 8B D9 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 50 BA 40 00 00 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 50 48 8B CB 48 89 54 24 30 8A 94 24 E0 00 00 00 48 89 44 24 28 88 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_42_275_1 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3450
		refs = "0028 __security_cookie 0071 ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 007f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0088 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0098 ??1locale@std@@QEAA@XZ 00a4 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00bb ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 017d ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01dc ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 01fc ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0201 ?_Xlength_error@std@@YAXPEBD@Z 0479 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 049e _invalid_parameter_noinfo_noreturn 0579 ??3@YAXPEAX@Z 07ad localeconv 0d5b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC D0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F1 4C 89 4D 87 49 8B F8 48 8B DA 48 89 55 9F 4C 8B D1 48 8B 4D 77 4C 8B 45 7F 8B 41 18 BA 00 30 00 00 23 C2 3B C2 75 1D 4C 89 44 24 28 48 89 4C 24 20 4C 8B C7 48 8B D3 49 8B CA E8 ?? ?? ?? ?? E9 D9 0C 00 00 48 8D 55 8F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 45 97 48 8D 4D 8F E8 ?? ?? ?? ?? 48 8D 55 DF 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B E3 45 33 ED 44 88 6C 24 30 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 8D 4D 01 84 C0 0F 85 B6 00 00 00 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 4F 08 80 7F 09 2B 75 05 C6 03 2B EB 54 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 4F 08 80 7F 09 2D 75 0F C6 03 2D 4C 8D 63 01 48 8B CF E8 ?? ?? ?? ?? 45 8A FD 44 89 6C 24 38 33 DB 89 5C 24 34 48 8D 45 E7 48 83 7D FF 10 48 0F 43 45 E7 80 38 7F 0F 84 FA 03 00 00 48 8D 45 E7 48 83 7D FF 10 48 0F 43 45 E7 38 18 0F 8E E4 03 00 00 48 39 5D F7 75 05 40 8A F3 EB 0C 49 8B 06 49 8B CE FF 50 10 40 8A F0 48 8D 55 83 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 C7 45 CF 0F 00 00 00 48 89 5D C7 88 5D B7 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 C7 66 89 5D B7 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C7 02 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 80 7F 09 30 0F 8C 57 01 00 00 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 80 7F 09 39 0F 8F 01 01 00 00 45 8A F9 41 83 FD 24 7C 0A 44 01 4C 24 34 E9 B5 00 00 00 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 4F 08 80 7F 09 30 75 05 45 85 ED 74 5E 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 4F 08 8A 47 09 41 88 04 24 4D 03 E1 45 03 E9 44 89 6C 24 38 48 3B 5D C7 0F 83 F5 00 00 00 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 80 3C 18 7F 0F 84 C0 00 00 00 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 44 00 0C 18 E9 A9 00 00 00 4C 8B 4D C7 49 3B D9 0F 83 FF 00 00 00 48 8D 45 B7 4C 8B 5D B7 4C 8B 55 CF 49 83 FA 10 49 0F 43 C3 80 3C 18 00 0F 84 AD 00 00 00 40 84 F6 0F 84 A4 00 00 00 80 7F 08 00 75 52 48 8B 0F 48 85 C9 74 3C 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 12 48 8B 01 FF 50 30 4C 8B 55 CF 4C 8B 4D C7 4C 8B 5D B7 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 40 38 77 09 75 41 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 0B E9 85 FD FF FF E8 ?? ?? ?? ?? CC 4C 8B 55 CF 4C 8B 4D C7 4C 8B 5D B7 48 85 DB 74 41 49 3B D9 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 B7 49 83 FA 10 49 0F 43 C3 41 B8 01 00 00 00 80 3C 18 00 7E 05 49 03 D8 EB 1F 44 88 44 24 30 EB 18 E8 ?? ?? ?? ?? CC 4C 8B 55 CF 4C 8B 4D C7 4C 8B 5D B7 41 B8 01 00 00 00 48 8D 4D E7 48 83 7D FF 10 48 0F 43 4D E7 80 7C 24 30 00 75 5F 48 85 DB 74 5A 8A 11 80 FA 7F 74 53 49 2B D8 74 16 49 3B D9 73 36 48 8D 45 B7 49 83 FA 10 49 0F 43 C3 3A 14 18 75 2B 48 85 DB 75 15 4D 85 C9 74 28 48 8D 45 B7 49 83 FA 10 49 0F 43 C3 3A 10 7C 11 80 79 01 00 7E B9 48 FF C1 EB B4 E8 ?? ?? ?? ?? CC 44 88 44 24 30 EB 06 E8 ?? ?? ?? ?? 90 49 83 FA 10 72 08 49 8B CB E8 ?? ?? ?? ?? 48 C7 45 CF 0F 00 00 00 33 DB 48 89 5D C7 88 5D B7 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B 75 87 E9 98 01 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 97 01 00 00 41 BE 01 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 77 08 80 7F 09 30 0F 8C 20 01 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 77 08 80 7F 09 39 0F 8F D0 00 00 00 41 83 FD 24 7C 08 41 03 DE E9 A4 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 77 08 80 7F 09 30 75 05 45 85 ED 74 53 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 77 08 8A 47 09 41 88 04 24 4D 03 E6 45 03 EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 90 FE FF FF 89 5C 24 34 44 89 6C 24 38 4C 8B 75 97 33 DB 45 84 FF 74 0D 45 85 ED 75 08 41 C6 04 24 30 49 FF C4 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 78 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 8A 5F 09 49 8B 06 49 8B CE FF 50 08 3A D8 75 23 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 04 24 41 BE 01 00 00 00 4D 03 E6 48 8B CF E8 ?? ?? ?? ?? 33 DB EB 08 33 DB 41 BE 01 00 00 00 45 85 ED 0F 85 A5 00 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 75 44 8B 6C 24 34 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 30 75 1D 45 2B EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9A 44 89 6C 24 34 44 8B 6C 24 38 44 8B 74 24 34 45 85 F6 79 1C 41 C6 04 24 30 B8 01 00 00 00 4C 03 E0 44 03 F0 44 89 74 24 34 EB 05 44 8B 74 24 34 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 15 01 00 00 41 BE 01 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 30 0F 8C BD 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 39 7F 74 41 83 FD 24 7D 50 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 8A 47 09 41 88 04 24 4D 03 E6 45 03 EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F6 FE FF FF 44 8B 74 24 34 45 33 ED 45 84 FF 0F 84 55 03 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 42 03 00 00 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F BB 01 00 00 00 88 5F 08 EB 05 BB 01 00 00 00 80 7F 09 65 74 4E 44 38 6F 08 75 3E 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 88 5F 08 80 7F 09 45 0F 85 9E 02 00 00 41 C6 04 24 65 4C 03 E3 48 8B CF E8 ?? ?? ?? ?? 45 8A FD 41 8B DD 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 BC 00 00 00 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 80 7F 09 2B 75 07 41 C6 04 24 2B EB 54 44 38 6F 08 75 43 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F B8 01 00 00 00 88 47 08 80 7F 09 2D 75 10 41 C6 04 24 2D 4C 03 E0 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7D 41 BE 01 00 00 00 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 80 7F 09 30 75 1A 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 45 84 FF 44 8B 74 24 34 74 08 41 C6 04 24 30 49 FF C4 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1A 01 00 00 41 BE 01 00 00 00 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 80 7F 09 30 0F 8C C0 00 00 00 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 80 7F 09 39 7F 75 83 FB 08 7D 52 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 8A 47 09 41 88 04 24 4D 03 E6 41 03 DE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F1 FE FF FF 44 8B 74 24 34 44 38 6C 24 30 75 05 45 84 FF 75 04 4C 8B 65 9F 45 88 2C 24 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 4C 89 6D F7 44 88 6D E7 48 8B 4D DF E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 10 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_277_1 {
	meta:
		name = "?dtor$1@?0??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$0@?0??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z@4HA ?dtor$0@?0??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z@4HA ?dtor$0@?0??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA ?dtor$0@?0??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DO@Z@4HA ?dtor$2@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA ?dtor$2@?0??do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z@4HA ?dtor$3@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_826_1 {
	meta:
		name = "?dtor$0@?0??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_821_1 {
	meta:
		name = "?dtor$0@?0??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1046_1 {
	meta:
		name = "?dtor$0@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_956_1 {
	meta:
		name = "?dtor$0@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_934_2 {
	meta:
		name = "?dtor$1@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_884_2 {
	meta:
		name = "?dtor$1@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_881_1 {
	meta:
		name = "?dtor$2@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_839_1 {
	meta:
		name = "?dtor$2@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_402_1 {
	meta:
		name = "?dtor$2@?0??do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_882_1 {
	meta:
		name = "?dtor$3@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_840_1 {
	meta:
		name = "?dtor$3@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_278_1 {
	meta:
		name = "?dtor$3@?0??_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
		altNames = "?dtor$2@?0??_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z@4HA ?dtor$2@?0??_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z@4HA ?dtor$5@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_928_1 {
	meta:
		name = "?dtor$0@?0??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_923_1 {
	meta:
		name = "?dtor$0@?0??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_227_2 {
	meta:
		name = "?dtor$0@?0??_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_290_1 {
	meta:
		name = "?dtor$1@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_880_1 {
	meta:
		name = "?dtor$1@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_838_1 {
	meta:
		name = "?dtor$1@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_308_1 {
	meta:
		name = "?dtor$1@?0??do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_879_1 {
	meta:
		name = "?dtor$5@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@GV?$allocator@G@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_837_1 {
	meta:
		name = "?dtor$5@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_280_1 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z"
		size = 1576
		refs = "0028 __security_cookie 007f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0088 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0099 ??1locale@std@@QEAA@XZ 00a5 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c1 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00ef localeconv 010f memchr 016f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0188 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01b6 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0214 _invalid_parameter_noinfo_noreturn 022d strcspn 02fb ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 0331 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 038f ?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_KD@Z 04dc ??_C@_01DDCIFGEA@E?$AA@ 04e3 ??_C@_01KGKMHCOC@e?$AA@ 05b7 ??3@YAXPEAX@Z 0609 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A8 48 81 EC 20 01 00 00 48 C7 45 B0 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 18 4C 89 4D 88 4D 8B E0 48 89 55 A8 4C 8B F9 8A 8D 80 00 00 00 88 4C 24 31 48 8B 9D 88 00 00 00 4C 8B B5 90 00 00 00 48 8B 8D 98 00 00 00 48 89 4D 80 48 8B 8D A0 00 00 00 48 89 4C 24 70 48 8B BD A8 00 00 00 48 8D 55 A0 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 40 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8D 55 E8 48 8B CE E8 ?? ?? ?? ?? 90 48 8B 06 48 8B CE FF 50 10 88 44 24 30 48 8D 54 24 50 48 8D 4D B8 E8 ?? ?? ?? ?? 48 C7 45 D8 0F 00 00 00 33 F6 48 89 75 D0 40 88 75 C0 80 3B 2B 74 07 80 3B 2D 8B C6 75 05 B8 01 00 00 00 48 98 48 89 45 90 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 34 66 C7 44 24 35 65 00 4C 8B C7 BA 65 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 89 44 24 60 0F BE 54 24 34 4C 8B C7 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 F7 D8 4D 1B ED 4C 23 6C 24 70 48 8D 4D F0 48 83 7D 08 10 48 0F 43 4D F0 80 39 7F 0F 84 4A 01 00 00 48 8D 45 F0 48 83 7D 08 10 48 0F 43 45 F0 80 38 00 0F 8E 33 01 00 00 4C 8B C7 48 8B D3 48 8D 4D B8 E8 ?? ?? ?? ?? 48 8B 7C 24 60 48 85 FF 75 11 41 B0 30 49 8B D5 48 8D 4D B8 E8 ?? ?? ?? ?? EB 2C 48 85 F6 75 12 41 B0 30 49 8B D6 48 8D 4D B8 E8 ?? ?? ?? ?? 45 33 F6 48 2B FB 41 B1 30 4D 8B C5 48 8B D7 48 8D 4D B8 E8 ?? ?? ?? ?? 45 33 ED 48 8D 4D B8 48 85 F6 75 0D 41 B0 30 49 8B D6 E8 ?? ?? ?? ?? EB 29 48 2B F3 48 8D 56 01 41 B1 30 4C 8B 45 80 E8 ?? ?? ?? ?? 41 B1 30 4D 8B C6 48 8B D6 48 8D 4D B8 E8 ?? ?? ?? ?? 4C 89 6D 80 4D 8B F5 48 8D 5D F0 48 83 7D 08 10 48 0F 43 5D F0 4C 39 6D D0 77 06 E8 ?? ?? ?? ?? CC 48 8D 4D C0 48 83 7D D8 10 48 0F 43 4D C0 48 8D 54 24 34 E8 ?? ?? ?? ?? 48 8B F8 8A 0B 80 F9 7F 74 3F 48 8B 75 90 84 C9 7E 37 48 0F BE D1 48 8B C7 48 2B C6 48 3B D0 73 28 48 2B FA 45 33 C9 45 8D 41 01 48 8B D7 48 8D 4D B8 E8 ?? ?? ?? ?? 4C 8D 5B 01 45 38 2B 49 0F 4F DB 8A 0B 80 F9 7F 75 C5 48 8B 7D D0 48 85 FF 75 06 E8 ?? ?? ?? ?? CC 48 8D 5D C0 48 83 7D D8 10 48 0F 43 5D C0 4A 8D 04 2F 48 03 45 80 49 03 C6 48 8B 4D 88 48 8B 71 28 48 85 F6 7E 0A 48 3B F0 76 05 48 2B F0 EB 02 33 F6 8B 41 18 25 C0 01 00 00 83 F8 40 74 78 3D 00 01 00 00 75 3F 48 83 7D 90 00 76 38 41 0F 10 04 24 F3 0F 7F 44 24 60 48 C7 44 24 20 01 00 00 00 4C 8B CB 4C 8D 44 24 60 48 8D 54 24 70 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 FF C3 48 FF CF 41 0F 10 04 24 48 89 74 24 20 F3 0F 7F 44 24 60 44 8A 4C 24 31 4C 8D 44 24 60 48 8D 54 24 70 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 33 F6 F3 41 0F 7F 04 24 0F BE 54 24 34 4C 8B C7 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 0F 84 E4 00 00 00 48 2B C3 48 FF C0 48 89 44 24 60 41 0F 10 04 24 F3 0F 7F 44 24 70 48 FF C8 8A 4C 24 30 88 4C 24 28 48 89 44 24 20 4C 8B CB 4C 8D 44 24 70 48 8D 55 90 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 70 4C 89 74 24 20 41 B1 30 4C 8D 44 24 70 48 8D 55 90 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 70 48 8B 4C 24 40 48 8B 01 FF 50 08 48 C7 44 24 20 01 00 00 00 44 8A C8 4C 8D 44 24 70 48 8D 54 24 40 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 40 48 8B 45 80 48 89 44 24 20 41 B1 30 4C 8D 44 24 40 48 8D 54 24 70 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 8B 44 24 60 48 03 D8 48 2B F8 4C 8B C7 BA 65 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 BC 00 00 00 4C 2B F3 49 FF C6 41 0F 10 04 24 F3 0F 7F 44 24 40 49 8D 46 FF 8A 4C 24 30 88 4C 24 28 48 89 44 24 20 4C 8B CB 4C 8D 44 24 40 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 40 4C 89 6C 24 20 41 B1 30 4C 8D 44 24 40 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 45 33 ED 0F 10 08 F3 0F 7F 4C 24 40 48 8B 45 88 F6 40 18 04 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 0F 45 C8 48 C7 44 24 20 01 00 00 00 4C 8D 44 24 40 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 49 03 DE 49 2B FE 41 0F 10 04 24 F3 0F 7F 44 24 40 8A 44 24 30 88 44 24 28 48 89 7C 24 20 4C 8B CB 4C 8D 44 24 40 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 40 4C 89 6C 24 20 41 B1 30 4C 8D 44 24 40 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 8B 45 88 33 FF 48 89 78 28 41 0F 10 0C 24 F3 0F 7F 4C 24 40 48 89 74 24 20 44 8A 4C 24 31 4C 8D 44 24 40 48 8B 5D A8 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D D8 10 72 09 48 8B 4D C0 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 75 D8 48 89 7D D0 40 88 7D C0 48 8B 4D B8 E8 ?? ?? ?? ?? 48 89 7D B8 48 83 7D 08 10 72 09 48 8B 4D F0 E8 ?? ?? ?? ?? 48 89 75 08 48 89 7D 00 40 88 7D F0 48 8B 4D E8 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 18 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 20 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_281_1 {
	meta:
		name = "?dtor$0@?0??_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
		altNames = "?dtor$0@?0??_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z@4HA ?dtor$0@?0??_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z@4HA ?dtor$1@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA ?dtor$1@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA ?dtor$2@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA ?dtor$2@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A A0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_791_1 {
	meta:
		name = "?dtor$0@?0???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@4HA"
		size = 16
		refs = "0008 ??1_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A A0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_896_1 {
	meta:
		name = "?dtor$0@?0???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@4HA"
		size = 16
		refs = "0008 ??1_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A A0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_282_1 {
	meta:
		name = "?dtor$1@?0??_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z@4HA ?dtor$1@?0??_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z@4HA"
	strings:
		$1 = { 48 8D 8A E8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_952_2 {
	meta:
		name = "?dtor$2@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A E8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_870_2 {
	meta:
		name = "?dtor$2@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A E8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_42_287_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 617
		refs = "0023 __security_cookie 0066 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006f ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 007c ??1locale@std@@QEAA@XZ 008a ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00aa ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00af ?_Xlength_error@std@@YAXPEBD@Z 00c6 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00ea ??3@YAXPEAX@Z 0114 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0120 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 017d ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 01d8 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 01ee _Stoulx 021f ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0252 __security_check_cookie"
	strings:
		$1 = { 40 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC D0 00 00 00 48 C7 45 9F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F9 4D 8B E0 4C 8B EA 48 89 4D 8F 4C 8B 75 6F 48 8B 75 77 48 8B 45 7F 48 89 45 87 48 83 CF FF 49 8B CE 41 F7 46 18 00 40 00 00 0F 84 4B 01 00 00 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D A7 E8 ?? ?? ?? ?? 90 48 C7 45 C7 0F 00 00 00 48 83 65 BF 00 C6 45 AF 00 8D 47 02 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 BF 66 C7 45 AF 00 00 48 8D 55 D7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D A7 E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 C7 45 F7 0F 00 00 00 48 83 65 EF 00 C6 45 DF 00 48 8B 4D D7 E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 01 48 8D 4D A7 E8 ?? ?? ?? ?? 48 8D 55 D7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D A7 E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 41 BE 0F 00 00 00 4C 89 75 F7 48 83 65 EF 00 C6 45 DF 00 48 8B 4D D7 E8 ?? ?? ?? ?? 4C 8D 4D AF 48 83 7D C7 10 4C 0F 43 4D AF 45 8D 46 F3 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B F8 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 4C 89 75 C7 48 83 65 BF 00 C6 45 AF 00 48 8B 4D A7 E8 ?? ?? ?? ?? EB 6D 83 64 24 38 00 48 8D 55 97 E8 ?? ?? ?? ?? 4C 8B D8 41 8B 46 18 4C 89 5C 24 28 89 44 24 20 4D 8B CF 4D 8B C4 48 8D 55 A7 48 8B 4D 8F E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D A7 E8 ?? ?? ?? ?? 44 8B F0 48 8D 4D 97 E8 ?? ?? ?? ?? 4C 8D 5D A7 4C 39 5C 24 40 74 0F 83 7C 24 38 00 75 08 41 83 FE 01 41 0F 46 FE 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 85 FF 79 05 83 0E 02 EB 09 0F 95 C1 48 8B 45 87 88 08 41 0F 10 04 24 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_42_294_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 231
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stofx 0084 ldexp 0093 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 12 0F 14 F6 C1 E2 02 0F 5A C6 E8 ?? ?? ?? ?? F2 0F 5A F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F3 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_947_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 231
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stofx 0084 ldexp 0093 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 12 0F 14 F6 C1 E2 02 0F 5A C6 E8 ?? ?? ?? ?? F2 0F 5A F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F3 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_936_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAM@Z"
		size = 231
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stofx 0084 ldexp 0093 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00cb __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 0F 28 F0 85 D2 74 12 0F 14 F6 C1 E2 02 0F 5A C6 E8 ?? ?? ?? ?? F2 0F 5A F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F3 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_42_295_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 226
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stodx 007f ldexp 008e ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 66 0F 28 F0 85 D2 74 0C C1 E2 02 E8 ?? ?? ?? ?? 66 0F 28 F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F2 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_42_296_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 226
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stoldx 007f ldexp 008e ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 66 0F 28 F0 85 D2 74 0C C1 E2 02 E8 ?? ?? ?? ?? 66 0F 28 F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F2 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_948_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 226
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stodx 007f ldexp 008e ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 66 0F 28 F0 85 D2 74 0C C1 E2 02 E8 ?? ?? ?? ?? 66 0F 28 F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F2 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_949_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 226
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stoldx 007f ldexp 008e ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 66 0F 28 F0 85 D2 74 0C C1 E2 02 E8 ?? ?? ?? ?? 66 0F 28 F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F2 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_937_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAN@Z"
		size = 226
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stodx 007f ldexp 008e ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 66 0F 28 F0 85 D2 74 0C C1 E2 02 E8 ?? ?? ?? ?? 66 0F 28 F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F2 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_938_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEAO@Z"
		size = 226
		refs = "001d __security_cookie 0058 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 006c _Stoldx 007f ldexp 008e ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00c6 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 53 56 57 41 54 41 55 48 8D 68 B9 48 81 EC A8 00 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 48 8B 45 6F 48 8B 5D 77 4C 8B 65 7F 83 65 9F 00 83 65 A3 00 48 8B FA 48 8D 55 A3 4D 8B E9 49 8B F0 48 89 54 24 28 48 8D 55 AF 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 8D 55 A7 48 8D 4D AF 44 8B C0 E8 ?? ?? ?? ?? 8B 55 A3 66 0F 28 F0 85 D2 74 0C C1 E2 02 E8 ?? ?? ?? ?? 66 0F 28 F0 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 48 8D 45 AF 48 39 45 A7 74 0E 83 7D 9F 00 75 08 F2 41 0F 11 34 24 EB 03 83 0B 02 0F 10 06 48 8B C7 F3 0F 7F 07 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 90 00 00 00 48 81 C4 A8 00 00 00 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_42_297_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DN@Z"
		size = 513
		refs = "0013 __security_cookie 0087 __real@3fe0000000000000 009b __mask@@NegDouble@ 00b3 __real@4202a05f20000000 00bb __real@4733426172c74d82 00e9 __real@38aa95a5b7f87a0f 019b sprintf_s 01da ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z 01ed __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 48 81 EC F8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 49 8B F9 4D 8B D0 4C 8B E2 4C 8B E9 41 BB 00 20 00 00 48 85 DB 7F 0B 45 85 59 18 75 05 BB 06 00 00 00 44 8B 47 18 F2 0F 10 8C 24 58 01 00 00 B8 24 00 00 00 48 3B D8 44 8B CB 44 0F 4F C8 33 ED 33 F6 49 63 C1 48 2B D8 41 8B C0 25 00 30 00 00 41 3B C3 0F 85 93 00 00 00 66 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2E C1 7A 02 74 7F 66 0F 57 D2 F2 0F 10 25 ?? ?? ?? ?? 66 0F 2F D1 76 08 B0 01 66 0F 57 CC EB 02 32 C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 48 3B E9 73 0E F2 0F 5E CB 48 83 C5 0A 66 0F 2F C8 73 ED 66 0F 2F CA 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 CB 48 83 FB 0A 7D E3 84 C0 74 04 66 0F 57 CC 41 0F 10 02 C6 44 24 60 25 48 8D 54 24 61 F3 0F 7F 44 24 50 41 F6 C0 20 74 0A C6 44 24 61 2B 48 8D 54 24 62 41 F6 C0 10 74 06 C6 02 23 48 FF C2 41 81 E0 00 30 00 00 66 C7 02 2E 2A B8 67 00 00 00 8D 48 FE 41 81 F8 00 10 00 00 F2 0F 11 4C 24 20 0F 44 C1 41 81 F8 00 30 00 00 0F B6 C8 B8 61 00 00 00 0F 44 C8 45 3B C3 4C 8D 44 24 60 0F B6 C1 B9 66 00 00 00 0F 44 C1 88 42 02 C6 42 03 00 8D 51 06 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CD 48 89 54 24 48 8A 94 24 50 01 00 00 48 89 5C 24 40 48 89 74 24 38 48 89 6C 24 30 48 89 44 24 28 88 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_42_298_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DO@Z"
		size = 413
		refs = "001b __security_cookie 0085 __mask@@NegDouble@ 009d __real@4202a05f20000000 00a5 __real@4733426172c74d82 00d3 __real@38aa95a5b7f87a0f 0112 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAPEADPEADDH@Z 012d sprintf_s 016c ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z 017f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 55 41 56 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B E9 49 8B F9 4C 8B F2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 E4 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 75 7F 66 0F 57 C0 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F C6 76 08 B0 01 66 0F 57 F2 EB 02 32 C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B E1 73 0E F2 0F 5E F3 49 83 C4 0A 66 0F 2F F1 73 ED 66 0F 2F F0 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 04 66 0F 57 F2 41 0F 10 00 48 8D 54 24 60 41 B0 4C 49 8B CD F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CD 48 89 54 24 48 8A 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 64 24 30 48 89 44 24 28 88 54 24 20 49 8B D6 E8 ?? ?? ?? ?? 49 8B C6 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_42_299_1 {
	meta:
		name = "?do_grouping@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 104
		refs = "002d ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0047 strlen 0055 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_grouping@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B FA 83 64 24 40 00 48 8B 59 10 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_42_301_1 {
	meta:
		name = "?do_falsename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 104
		refs = "002d ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0047 strlen 0055 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_curr_symbol@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B FA 83 64 24 40 00 48 8B 59 20 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_42_303_1 {
	meta:
		name = "?do_truename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 104
		refs = "002d ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0047 strlen 0055 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_positive_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B FA 83 64 24 40 00 48 8B 59 28 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_42_305_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 134
		refs = "0021 ??3@YAXPEAX@Z 004c memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 63 48 83 79 20 10 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 48 83 63 18 00 48 C7 43 20 0F 00 00 00 48 8D 4B 08 C6 01 00 48 83 7F 20 10 73 12 4C 8B 47 18 48 8D 57 08 49 FF C0 E8 ?? ?? ?? ?? EB 0C 48 8B 47 08 48 89 01 48 83 67 08 00 48 8B 47 18 48 89 43 18 48 8B 47 20 48 89 43 20 48 83 67 18 00 48 83 67 20 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_42_306_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z"
		size = 526
		refs = "0022 __security_cookie 0078 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0081 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 008d ??1locale@std@@QEAA@XZ 009b ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00be ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00cb ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 00d3 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00f1 ??3@YAXPEAX@Z 0153 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 018f ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 01f8 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 48 8D 6C 24 E9 48 81 EC D0 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F9 4D 8B E8 48 8B F2 4C 8B E1 44 8A 75 77 41 F7 41 18 00 40 00 00 75 29 41 0F 10 00 F3 0F 7F 45 87 4C 8B 11 0F B6 55 7F 89 54 24 28 44 88 74 24 20 4C 8D 45 87 48 8B D6 41 FF 52 38 E9 7D 01 00 00 48 8D 55 87 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D AF E8 ?? ?? ?? ?? 48 C7 45 CF 0F 00 00 00 48 83 65 C7 00 C6 45 B7 00 48 8D 55 DF 48 8B CB 80 7D 7F 00 74 15 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 EB 13 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 C7 45 FF 0F 00 00 00 48 83 65 F7 00 C6 45 E7 00 48 8B 4D DF E8 ?? ?? ?? ?? 48 8B 5F 28 48 8B 4D C7 48 85 DB 7E 0A 48 3B D9 76 05 48 2B D9 EB 02 33 DB 8B 47 18 25 C0 01 00 00 83 F8 40 74 31 41 0F 10 45 00 F3 0F 7F 45 87 48 89 5C 24 20 45 8A CE 4C 8D 45 87 48 8D 55 9F 49 8B CC E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 33 DB 48 8B 4D C7 41 0F 10 45 00 F3 0F 7F 45 87 4C 8D 4D B7 48 83 7D CF 10 4C 0F 43 4D B7 48 89 4C 24 20 4C 8D 45 87 48 8D 55 9F 49 8B CC E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 48 83 67 28 00 41 0F 10 4D 00 F3 0F 7F 4D 87 48 89 5C 24 20 45 8A CE 4C 8D 45 87 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D CF 10 72 09 48 8B 4D B7 E8 ?? ?? ?? ?? 48 C7 45 CF 0F 00 00 00 48 83 65 C7 00 C6 45 B7 00 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D0 00 00 00 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_43_0_1 {
	meta:
		name = "_Once"
		size = 71
		refs = "0038 __imp_Sleep"
	strings:
		$1 = { 40 53 48 83 EC 20 83 39 02 48 8B D9 74 33 B8 01 00 00 00 87 01 85 C0 75 0A FF D2 C7 03 02 00 00 00 EB 1E 83 F8 02 75 04 89 01 EB 15 83 39 02 74 10 B9 01 00 00 00 FF 15 ?? ?? ?? ?? 83 3B 02 75 F0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_20_1 {
	meta:
		name = "?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ"
		size = 31
		refs = "000f _Gettnames"
	strings:
		$1 = { 40 53 48 83 EC 20 83 64 24 38 00 48 8B DA E8 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_51_1 {
	meta:
		name = "?_Tidy@?$_Mpunct@D@std@@AEAAXXZ"
		size = 50
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "?_Tidy@?$_Mpunct@G@std@@AEAAXXZ ?_Tidy@?$_Mpunct@_W@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_52_1 {
	meta:
		name = "?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEAAXXZ"
		size = 32
		refs = "000e ??_V@YAXPEAX@Z"
		altNames = "?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEAAXXZ ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_53_1 {
	meta:
		name = "?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 70
		refs = "0011 _Getcvt 0022 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0037 free"
		altNames = "?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z ?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB 48 89 47 18 E8 ?? ?? ?? ?? 48 8B 10 48 89 57 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_60_1 {
	meta:
		name = "?_Makpat@?$_Mpunct@D@std@@AEAAXAEAUpattern@money_base@2@III@Z"
		size = 79
		refs = "002d ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0040 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 004b memcpy_s"
		altNames = "?_Makpat@?$_Mpunct@G@std@@AEAAXAEAUpattern@money_base@2@III@Z ?_Makpat@?$_Mpunct@_W@std@@AEAAXAEAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 80 79 44 00 4C 8B D2 BA 04 00 00 00 75 2F 41 83 F8 02 77 29 41 83 F9 01 77 23 8B 44 24 28 3B C2 77 1B 43 8D 0C 41 44 8D 04 88 48 8D 05 ?? ?? ?? ?? 44 03 C1 41 C1 E0 02 4C 03 C0 EB 07 4C 8D 05 ?? ?? ?? ?? 4C 8B CA 49 8B CA E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_87_1 {
	meta:
		name = "?do_compare@?$collate@D@std@@MEBAHPEBD000@Z"
		size = 49
		refs = "0027 _Strcoll"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D1 4C 8B 4C 24 60 4D 8B D8 48 8B DA 48 8D 41 10 4D 8B C2 49 8B D3 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_237_1 {
	meta:
		name = "?do_compare@?$collate@_W@std@@MEBAHPEB_W000@Z"
		size = 49
		refs = "0027 _Wcscoll"
	strings:
		$1 = { 40 53 48 83 EC 30 4D 8B D1 4C 8B 4C 24 60 4D 8B D8 48 8B DA 48 8D 41 10 4D 8B C2 49 8B D3 48 8B CB 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_46_88_1 {
	meta:
		name = "?do_hash@?$collate@D@std@@MEBAJPEBD0@Z"
		size = 22
	strings:
		$1 = { 33 C0 EB 0B 0F BE 0A C1 C0 08 03 C1 48 FF C2 49 3B D0 75 F0 F3 C3 }
	condition:
		$1
}

rule file_46_114_1 {
	meta:
		name = "?is@?$ctype@D@std@@QEBA_NFD@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 18 45 0F B6 C0 66 42 85 14 40 0F 95 C0 C3 }
	condition:
		$1
}

rule file_46_126_1 {
	meta:
		name = "?neg_format@?$_Mpunct@D@std@@QEBA?AUpattern@money_base@2@XZ"
		size = 24
		altNames = "?neg_format@?$_Mpunct@G@std@@QEBA?AUpattern@money_base@2@XZ ?neg_format@?$_Mpunct@_W@std@@QEBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B DA FF 50 48 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_127_1 {
	meta:
		name = "?_Compat@?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAXAEBV12@@Z"
		size = 52
		refs = "0024 _invalid_parameter_noinfo_noreturn"
		altNames = "?_Compat@?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAXAEBV12@@Z ?_Compat@?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXAEBV12@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4D 85 C0 74 1B 49 39 00 74 16 48 8B 0A 48 85 C9 74 03 48 8B 01 49 39 00 74 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_46_128_1 {
	meta:
		name = "??4_Iterator_base12@std@@QEAAAEAU01@AEBU01@@Z"
		size = 26
		altNames = "??4?$_Iterator012@Urandom_access_iterator_tag@std@@D_JPEBDAEBDU_Iterator_base12@2@@std@@QEAAAEAU01@AEBU01@@Z ??4?$_Iterator012@Urandom_access_iterator_tag@std@@G_JPEBGAEBGU_Iterator_base12@2@@std@@QEAAAEAU01@AEBU01@@Z ??4?$_Iterator012@Urandom_access_iterator_tag@std@@_W_JPEB_WAEB_WU_Iterator_base12@2@@std@@QEAAAEAU01@AEBU01@@Z"
	strings:
		$1 = { 48 8B 02 48 39 01 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_46_151_1 {
	meta:
		name = "?pos_format@?$_Mpunct@D@std@@QEBA?AUpattern@money_base@2@XZ"
		size = 24
		altNames = "?pos_format@?$_Mpunct@G@std@@QEBA?AUpattern@money_base@2@XZ ?pos_format@?$_Mpunct@_W@std@@QEBA?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B DA FF 50 40 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_153_1 {
	meta:
		name = "??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z"
		size = 110
		refs = "0063 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 4C 8B C1 48 85 C0 74 59 48 8B 00 48 85 C0 74 51 48 8B 49 10 48 85 C9 74 48 48 83 78 20 10 72 06 4C 8B 48 08 EB 04 4C 8D 48 08 48 03 D1 4C 3B CA 77 29 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B D1 77 0C 49 89 50 10 49 8B C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_46_154_1 {
	meta:
		name = "??1?$_Mpunct@D@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@D@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7facet@locale@std@@6B@"
		altNames = "??1?$moneypunct@D$00@std@@MEAA@XZ ??1?$moneypunct@D$0A@@std@@MEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_347_1 {
	meta:
		name = "??1?$_Mpunct@G@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_266_1 {
	meta:
		name = "??1?$_Mpunct@_W@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_638_1 {
	meta:
		name = "??1?$moneypunct@G$00@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_630_1 {
	meta:
		name = "??1?$moneypunct@G$0A@@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@G@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_609_1 {
	meta:
		name = "??1?$moneypunct@_W$00@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_601_1 {
	meta:
		name = "??1?$moneypunct@_W$0A@@std@@MEAA@XZ"
		size = 71
		refs = "0009 ??_7?$_Mpunct@_W@std@@6B@ 0018 ??_V@YAXPEAX@Z 003a ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_160_1 {
	meta:
		name = "??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 92
		refs = "000d ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0024 _Getcvt 0035 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 004a free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 4C 89 41 08 48 8B DA 48 89 01 48 83 61 10 00 48 8B F9 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB 48 89 47 18 E8 ?? ?? ?? ?? 48 8B 08 48 89 4F 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_354_1 {
	meta:
		name = "??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 92
		refs = "000d ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0024 _Getcvt 0035 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 004a free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 4C 89 41 08 48 8B DA 48 89 01 48 83 61 10 00 48 8B F9 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB 48 89 47 18 E8 ?? ?? ?? ?? 48 8B 08 48 89 4F 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_165_1 {
	meta:
		name = "??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 92
		refs = "000d ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0024 _Getcvt 0035 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 004a free"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 4C 89 41 08 48 8B DA 48 89 01 48 83 61 10 00 48 8B F9 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8B CB 48 89 47 18 E8 ?? ?? ?? ?? 48 8B 08 48 89 4F 10 48 83 20 00 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_162_1 {
	meta:
		name = "??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 free 001f ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_355_1 {
	meta:
		name = "??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 free 001f ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_175_1 {
	meta:
		name = "??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAA@XZ"
		size = 44
		refs = "0009 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 free 001f ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_163_1 {
	meta:
		name = "??_G?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 001e free 0025 ??_7facet@locale@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_356_1 {
	meta:
		name = "??_G?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 001e free 0025 ??_7facet@locale@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_176_1 {
	meta:
		name = "??_G?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 71
		refs = "000d ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 001e free 0025 ??_7facet@locale@std@@6B@ 0035 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_165_1 {
	meta:
		name = "??_G?$_Mpunct@D@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@D@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7facet@locale@std@@6B@ 0050 ??3@YAXPEAX@Z"
		altNames = "??_G?$moneypunct@D$00@std@@MEAAPEAXI@Z ??_G?$moneypunct@D$0A@@std@@MEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_359_1 {
	meta:
		name = "??_G?$_Mpunct@G@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7facet@locale@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_358_1 {
	meta:
		name = "??_G?$_Mpunct@_W@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7facet@locale@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_639_1 {
	meta:
		name = "??_G?$moneypunct@G$00@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7facet@locale@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_631_1 {
	meta:
		name = "??_G?$moneypunct@G$0A@@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@G@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7facet@locale@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_610_1 {
	meta:
		name = "??_G?$moneypunct@_W$00@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7facet@locale@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_602_1 {
	meta:
		name = "??_G?$moneypunct@_W$0A@@std@@MEAAPEAXI@Z"
		size = 98
		refs = "000d ??_7?$_Mpunct@_W@std@@6B@ 001e ??_V@YAXPEAX@Z 0040 ??_7facet@locale@std@@6B@ 0050 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 20 E8 ?? ?? ?? ?? 48 8B 4F 28 E8 ?? ?? ?? ?? 48 8B 4F 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_170_1 {
	meta:
		name = "??E?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@XZ"
		size = 89
		refs = "003e _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 8B D1 48 85 C0 74 44 48 8B 00 48 85 C0 74 3C 4C 8B 41 10 4D 85 C0 74 33 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 4C 3B C1 72 06 E8 ?? ?? ?? ?? CC 49 8D 40 01 48 89 42 10 48 8B C2 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_46_175_1 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@_K@Z"
		size = 249
		refs = "002d ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 00ce _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B D9 49 8B F8 48 8B F2 48 8B E9 4D 85 C9 0F 84 B0 00 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 4E 08 44 8A 00 48 85 C9 74 44 48 8B 41 48 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 48 8B 01 41 0F B6 D0 FF 50 18 83 F8 FF 75 03 C6 06 01 48 8B 07 48 FF CB 48 85 C0 74 44 48 8B 00 48 85 C0 74 3C 48 8B 57 10 48 85 D2 74 33 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B D1 73 10 48 8D 42 01 48 85 DB 48 89 47 10 E9 56 FF FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 0F 10 06 48 8B 5C 24 30 48 8B 74 24 40 48 8B C5 F3 0F 7F 45 00 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_176_1 {
	meta:
		name = "?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z"
		size = 153
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 41 8A E8 48 8B DA 48 8B F9 4D 85 C9 74 55 48 8B 4B 08 48 85 C9 74 44 48 8B 41 48 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 40 88 2A 40 0F B6 C5 EB 0A 48 8B 01 40 0F B6 D5 FF 50 18 83 F8 FF 75 03 C6 03 01 48 FF CE 75 AB 0F 10 03 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 F3 0F 7F 07 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_177_1 {
	meta:
		name = "?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 610
		refs = "0028 _Getcvt 0031 localeconv 0054 strlen 0060 ??_U@YAPEAX_K@Z 00c7 ??_C@_00CNPNBAHC@?$AA@ 0107 ??_C@_01JOAMLHOP@?9?$AA@ 01a7 ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 01b3 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 01cb memcpy_s 0234 memcpy"
	strings:
		$1 = { 48 89 4C 24 08 57 41 54 41 55 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 89 74 24 60 45 8A E8 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 48 E8 ?? ?? ?? ?? 48 8B F8 48 83 63 10 00 48 83 63 20 00 48 83 63 28 00 48 83 63 30 00 4C 8B 60 38 49 8B CC E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 85 F6 74 11 41 8A 0C 24 88 0A 48 FF CE 48 FF C2 49 FF C4 EB EA 48 89 43 10 80 7B 44 00 74 06 48 8B 77 18 EB 04 48 8B 77 20 48 8B CE E8 ?? ?? ?? ?? 4C 8D 60 01 49 8B CC E8 ?? ?? ?? ?? 48 8B D0 4D 85 E4 74 0F 8A 0E 88 0A 49 FF CC 48 FF C2 48 FF C6 EB EC 48 89 43 20 80 7F 56 04 48 8D 35 ?? ?? ?? ?? 77 04 48 8B 77 40 48 8B CE E8 ?? ?? ?? ?? 4C 8D 60 01 49 8B CC E8 ?? ?? ?? ?? 48 8B D0 4D 85 E4 74 0F 8A 0E 88 0A 49 FF CC 48 FF C2 48 FF C6 EB EC 48 89 43 28 80 7F 57 04 48 8D 35 ?? ?? ?? ?? 77 04 48 8B 77 48 48 8B CE E8 ?? ?? ?? ?? 4C 8D 60 01 49 8B CC E8 ?? ?? ?? ?? 48 8B D0 4D 85 E4 74 0F 8A 0E 88 0A 49 FF CC 48 FF C2 48 FF C6 EB EC 48 89 43 30 48 8B 47 28 8A 08 88 4B 18 48 8B 47 30 8A 08 88 4B 19 8A 4B 44 84 C9 74 05 8A 47 50 EB 03 8A 47 51 0F BE C0 89 43 38 85 C0 78 05 83 F8 7F 7C 04 83 63 38 00 0F BE 47 56 0F BE 57 52 44 0F BE 47 53 84 C9 75 2B 41 83 F8 02 77 25 83 FA 01 77 20 83 F8 04 77 1B 42 8D 0C 42 44 8D 04 88 44 03 C1 41 C1 E0 02 48 8D 35 ?? ?? ?? ?? 4C 03 C6 EB 0E 4C 8D 05 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? BA 04 00 00 00 44 8B CA 48 8D 4B 3C E8 ?? ?? ?? ?? 44 0F BE 5F 57 0F BE 47 54 0F BE 4F 55 80 7B 44 00 75 23 83 F9 02 77 1E 83 F8 01 77 19 41 83 FB 04 77 13 8D 0C 48 45 8D 04 8B 44 03 C1 41 C1 E0 02 4C 03 C6 EB 07 4C 8D 05 ?? ?? ?? ?? BA 04 00 00 00 44 8B CA 48 8D 4B 40 E8 ?? ?? ?? ?? 45 84 ED 74 2C 41 B8 04 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4B 3C E8 ?? ?? ?? ?? 41 B8 04 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 4B 40 E8 ?? ?? ?? ?? 48 8B 5C 24 58 48 8B 74 24 60 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_46_179_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 50
		refs = "0009 ??_V@YAXPEAX@Z 002d _CxxThrowException"
	strings:
		$1 = { 48 8B 5D 50 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_46_181_1 {
	meta:
		name = "??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 17
		altNames = "??0?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ ??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 89 01 48 89 41 08 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_46_187_1 {
	meta:
		name = "??Z?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_423_1 {
	meta:
		name = "??Z?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_420_1 {
	meta:
		name = "??Z?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@_J@Z"
		size = 26
		refs = "000d ??Y?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 F7 DA 48 8B D9 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_188_1 {
	meta:
		name = "??8?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA_NAEBV01@@Z"
		size = 70
		refs = "002b _invalid_parameter_noinfo_noreturn"
		altNames = "??8?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBA_NAEBV01@@Z ??8?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA_NAEBV01@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 74 2F 49 39 00 74 2A 48 8B 0A 48 85 C9 75 04 8B C8 EB 03 48 8B 09 49 39 08 74 06 E8 ?? ?? ?? ?? CC 48 8B 4A 10 49 39 49 10 0F 94 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_46_194_1 {
	meta:
		name = "??0_Iterator_base12@std@@QEAA@AEBU01@@Z"
		size = 35
		altNames = "??0?$_Iterator012@Urandom_access_iterator_tag@std@@D_JPEBDAEBDU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@G_JPEBGAEBGU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z ??0?$_Iterator012@Urandom_access_iterator_tag@std@@_W_JPEB_WAEB_WU_Iterator_base12@2@@std@@QEAA@AEBU01@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 8B 02 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_46_208_1 {
	meta:
		name = "?_Getdays@_Locinfo@std@@QEBAPEBDXZ"
		size = 74
		refs = "000e _Getdays 0022 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 002a free 003b ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4F 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7F 08 00 48 8B 5C 24 30 48 8D 05 ?? ?? ?? ?? 48 0F 45 47 08 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_209_1 {
	meta:
		name = "?_Getmonths@_Locinfo@std@@QEBAPEBDXZ"
		size = 74
		refs = "000e _Getmonths 0022 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 002a free 003b ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 14 48 8D 4F 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 7F 18 00 48 8B 5C 24 30 48 8D 05 ?? ?? ?? ?? 48 0F 45 47 18 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_212_1 {
	meta:
		name = "?_Getcat@?$messages@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 175
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$messages@D@std@@6B@ 0090 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 63 48 39 31 75 5E 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 31 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_494_1 {
	meta:
		name = "?_Getcat@?$messages@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 175
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$messages@G@std@@6B@ 0090 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 63 48 39 31 75 5E 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 31 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_474_1 {
	meta:
		name = "?_Getcat@?$messages@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 175
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$messages@_W@std@@6B@ 0090 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 63 48 39 31 75 5E 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 31 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 06 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_46_214_1 {
	meta:
		name = "?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_496_1 {
	meta:
		name = "?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_476_1 {
	meta:
		name = "?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_46_216_1 {
	meta:
		name = "?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_498_1 {
	meta:
		name = "?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_478_1 {
	meta:
		name = "?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 184
		refs = "003a ??2@YAPEAX_K@Z 0065 ??0_Locinfo@std@@QEAA@PEBD@Z 0076 ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 007e _Getcvt 0099 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B EA 48 8B F9 33 F6 89 B4 24 80 00 00 00 48 85 C9 74 6C 48 39 31 75 67 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 80 00 00 00 48 85 C0 74 3A 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? BE 01 00 00 00 48 83 63 08 00 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_46_218_1 {
	meta:
		name = "?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 239
		refs = "0042 ??2@YAPEAX_K@Z 006c ??0_Locinfo@std@@QEAA@PEBD@Z 0080 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 008d _Getcvt 00a1 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00b9 free 00d0 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B DA 48 8B F1 33 ED 89 AC 24 80 00 00 00 48 85 C9 0F 84 9F 00 00 00 48 39 29 0F 85 96 00 00 00 8D 4D 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 80 00 00 00 48 85 C0 74 69 48 8B 03 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B D8 BD 01 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 83 67 10 00 E8 ?? ?? ?? ?? 48 89 47 18 48 8D 94 24 80 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 08 48 89 4F 10 48 83 20 00 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? EB 02 33 FF 48 89 3E 40 F6 C5 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_500_1 {
	meta:
		name = "?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 239
		refs = "0042 ??2@YAPEAX_K@Z 006c ??0_Locinfo@std@@QEAA@PEBD@Z 0080 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 008d _Getcvt 00a1 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00b9 free 00d0 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B DA 48 8B F1 33 ED 89 AC 24 80 00 00 00 48 85 C9 0F 84 9F 00 00 00 48 39 29 0F 85 96 00 00 00 8D 4D 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 80 00 00 00 48 85 C0 74 69 48 8B 03 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B D8 BD 01 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 83 67 10 00 E8 ?? ?? ?? ?? 48 89 47 18 48 8D 94 24 80 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 08 48 89 4F 10 48 83 20 00 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? EB 02 33 FF 48 89 3E 40 F6 C5 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_65_458_1 {
	meta:
		name = "?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 239
		refs = "0042 ??2@YAPEAX_K@Z 006c ??0_Locinfo@std@@QEAA@PEBD@Z 0080 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 008d _Getcvt 00a1 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 00b9 free 00d0 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B DA 48 8B F1 33 ED 89 AC 24 80 00 00 00 48 85 C9 0F 84 9F 00 00 00 48 39 29 0F 85 96 00 00 00 8D 4D 20 E8 ?? ?? ?? ?? 48 8B F8 48 89 84 24 80 00 00 00 48 85 C0 74 69 48 8B 03 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B D8 BD 01 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 83 67 10 00 E8 ?? ?? ?? ?? 48 89 47 18 48 8D 94 24 80 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B 08 48 89 4F 10 48 83 20 00 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? EB 02 33 FF 48 89 3E 40 F6 C5 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 4C 8D 5C 24 70 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_46_223_1 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 43
	strings:
		$1 = { 48 83 79 20 10 4C 8B C1 72 06 48 8B 49 08 EB 04 48 83 C1 08 49 8B 00 49 03 48 18 48 83 62 08 00 48 89 02 48 89 4A 10 48 8B C2 C3 }
	condition:
		$1
}

rule file_46_225_1 {
	meta:
		name = "??0?$_Mpunct@D@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002e ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_519_1 {
	meta:
		name = "??0?$_Mpunct@G@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002e ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_511_1 {
	meta:
		name = "??0?$_Mpunct@_W@std@@QEAA@AEBV_Locinfo@1@_K_N2@Z"
		size = 60
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002e ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 44 88 49 44 44 8A 44 24 60 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_46_227_1 {
	meta:
		name = "?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 289
		refs = "0029 _Getcvt 003c _Getdays 0051 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0059 free 0060 ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@ 0074 strlen 0080 ??_U@YAPEAX_K@Z 00a0 _Getmonths 00c4 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@ 0104 _Getdateorder"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 4C 8B E2 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 24 48 83 63 10 00 48 83 63 18 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 15 49 8D 4C 24 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 49 83 7C 24 08 00 49 0F 45 74 24 08 48 8B CE E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 FF 74 0F 8A 0E 88 0A 48 FF CF 48 FF C2 48 FF C6 EB EC 48 89 43 10 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 15 49 8D 4C 24 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 49 83 7C 24 18 00 49 0F 45 74 24 18 48 8B CE E8 ?? ?? ?? ?? 48 8D 78 01 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 FF 74 0F 8A 0E 88 0A 48 FF CF 48 FF C2 48 FF C6 EB EC 48 89 43 18 E8 ?? ?? ?? ?? 89 43 20 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_46_229_1 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0"
		size = 32
		refs = "0009 ??_V@YAXPEAX@Z 001b _CxxThrowException"
		altNames = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0 __catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z$0"
	strings:
		$1 = { 48 8B 5D 40 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_46_233_1 {
	meta:
		name = "??4?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@AEBV01@@Z"
		size = 34
		altNames = "??4?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@AEBV01@@Z ??4?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@AEBV01@@Z"
	strings:
		$1 = { 48 8B 02 48 39 01 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_46_235_1 {
	meta:
		name = "??9?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA_NAEBV01@@Z"
		size = 70
		refs = "002b _invalid_parameter_noinfo_noreturn"
		altNames = "??9?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBA_NAEBV01@@Z ??9?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA_NAEBV01@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B 01 33 C0 4C 8B C9 4D 85 C0 74 2F 49 39 00 74 2A 48 8B 0A 48 85 C9 75 04 8B C8 EB 03 48 8B 09 49 39 08 74 06 E8 ?? ?? ?? ?? CC 48 8B 4A 10 49 39 49 10 0F 95 C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_46_255_1 {
	meta:
		name = "??0?$moneypunct@D$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002c ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@D$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_628_1 {
	meta:
		name = "??0?$moneypunct@G$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002c ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@G$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_599_1 {
	meta:
		name = "??0?$moneypunct@_W$0A@@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002c ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@_W$0A@@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 00 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_46_259_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 204
		refs = "0038 ??2@YAPEAX_K@Z 0063 ??0_Locinfo@std@@QEAA@PEBD@Z 007c ??_7?$_Mpunct@D@std@@6B@ 0091 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0099 ??_7?$moneypunct@D$0A@@std@@6B@ 00b3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8C 00 00 00 48 39 31 0F 85 83 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 56 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_632_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 204
		refs = "0038 ??2@YAPEAX_K@Z 0063 ??0_Locinfo@std@@QEAA@PEBD@Z 007c ??_7?$_Mpunct@G@std@@6B@ 0091 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0099 ??_7?$moneypunct@G$0A@@std@@6B@ 00b3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8C 00 00 00 48 39 31 0F 85 83 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 56 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_603_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$0A@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 204
		refs = "0038 ??2@YAPEAX_K@Z 0063 ??0_Locinfo@std@@QEAA@PEBD@Z 007c ??_7?$_Mpunct@_W@std@@6B@ 0091 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0099 ??_7?$moneypunct@_W$0A@@std@@6B@ 00b3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8C 00 00 00 48 39 31 0F 85 83 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 56 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B C6 43 44 00 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_263_1 {
	meta:
		name = "??0?$moneypunct@D$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@D@std@@6B@ 002c ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@D$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_636_1 {
	meta:
		name = "??0?$moneypunct@G$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@G@std@@6B@ 002c ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@G$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_607_1 {
	meta:
		name = "??0?$moneypunct@_W$00@std@@QEAA@AEBV_Locinfo@1@_K_N@Z"
		size = 68
		refs = "001d ??_7?$_Mpunct@_W@std@@6B@ 002c ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0034 ??_7?$moneypunct@_W$00@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 41 44 01 45 8A C1 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_46_267_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 204
		refs = "0038 ??2@YAPEAX_K@Z 0063 ??0_Locinfo@std@@QEAA@PEBD@Z 007c ??_7?$_Mpunct@D@std@@6B@ 0091 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0099 ??_7?$moneypunct@D$00@std@@6B@ 00b3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8C 00 00 00 48 39 31 0F 85 83 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 56 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_640_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 204
		refs = "0038 ??2@YAPEAX_K@Z 0063 ??0_Locinfo@std@@QEAA@PEBD@Z 007c ??_7?$_Mpunct@G@std@@6B@ 0091 ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0099 ??_7?$moneypunct@G$00@std@@6B@ 00b3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8C 00 00 00 48 39 31 0F 85 83 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 56 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_611_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$00@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 204
		refs = "0038 ??2@YAPEAX_K@Z 0063 ??0_Locinfo@std@@QEAA@PEBD@Z 007c ??_7?$_Mpunct@_W@std@@6B@ 0091 ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0099 ??_7?$moneypunct@_W$00@std@@6B@ 00b3 ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 0F 84 8C 00 00 00 48 39 31 0F 85 83 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 56 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 40 88 73 44 44 8A C6 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 03 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_271_1 {
	meta:
		name = "??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_644_1 {
	meta:
		name = "??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_65_615_1 {
	meta:
		name = "??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEAA@AEBV_Locinfo@1@_K@Z"
		size = 51
		refs = "001d ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0025 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 4C 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_46_275_1 {
	meta:
		name = "?get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 91
		altNames = "?get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 60 41 0F 10 01 41 0F 10 08 48 8B 84 24 A0 00 00 00 4C 8B 11 49 89 43 C8 48 8B 84 24 98 00 00 00 F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 49 89 43 C0 48 8B 84 24 90 00 00 00 4D 8D 4B D8 4D 8D 43 E8 48 8B DA 49 89 43 B8 41 FF 52 20 48 8B C3 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_46_276_1 {
	meta:
		name = "?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 91
		altNames = "?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 60 41 0F 10 01 41 0F 10 08 48 8B 84 24 A0 00 00 00 4C 8B 11 49 89 43 C8 48 8B 84 24 98 00 00 00 F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 49 89 43 C0 48 8B 84 24 90 00 00 00 4D 8D 4B D8 4D 8D 43 E8 48 8B DA 49 89 43 B8 41 FF 52 28 48 8B C3 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_46_277_1 {
	meta:
		name = "?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 91
		altNames = "?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 60 41 0F 10 01 41 0F 10 08 48 8B 84 24 A0 00 00 00 4C 8B 11 49 89 43 C8 48 8B 84 24 98 00 00 00 F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 49 89 43 C0 48 8B 84 24 90 00 00 00 4D 8D 4B D8 4D 8D 43 E8 48 8B DA 49 89 43 B8 41 FF 52 30 48 8B C3 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_46_278_1 {
	meta:
		name = "??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAA@XZ"
		size = 53
		refs = "0009 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0018 ??_V@YAXPEAX@Z 0028 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_651_1 {
	meta:
		name = "??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAA@XZ"
		size = 53
		refs = "0009 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0018 ??_V@YAXPEAX@Z 0028 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_622_1 {
	meta:
		name = "??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAA@XZ"
		size = 53
		refs = "0009 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0018 ??_V@YAXPEAX@Z 0028 ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4B 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_279_1 {
	meta:
		name = "??_G?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 80
		refs = "000d ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 001e ??_V@YAXPEAX@Z 002e ??_7facet@locale@std@@6B@ 003e ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_652_1 {
	meta:
		name = "??_G?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 80
		refs = "000d ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 001e ??_V@YAXPEAX@Z 002e ??_7facet@locale@std@@6B@ 003e ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_623_1 {
	meta:
		name = "??_G?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEAAPEAXI@Z"
		size = 80
		refs = "000d ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 001e ??_V@YAXPEAX@Z 002e ??_7facet@locale@std@@6B@ 003e ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 10 E8 ?? ?? ?? ?? 48 8B 4F 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 1F F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_280_1 {
	meta:
		name = "?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 179
		refs = "0030 ??2@YAPEAX_K@Z 005b ??0_Locinfo@std@@QEAA@PEBD@Z 0074 ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0082 ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 009a ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 74 77 48 39 31 75 72 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 45 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_653_1 {
	meta:
		name = "?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 179
		refs = "0030 ??2@YAPEAX_K@Z 005b ??0_Locinfo@std@@QEAA@PEBD@Z 0074 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0082 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 009a ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 74 77 48 39 31 75 72 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 45 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_624_1 {
	meta:
		name = "?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 179
		refs = "0030 ??2@YAPEAX_K@Z 005b ??0_Locinfo@std@@QEAA@PEBD@Z 0074 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0082 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 009a ??1_Locinfo@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 56 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 8B EA 48 8B F9 33 F6 89 70 08 48 85 C9 74 77 48 39 31 75 72 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 84 24 A0 00 00 00 48 85 C0 74 45 48 8B 45 00 48 8B 50 28 48 85 D2 75 04 48 8D 50 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 BE 01 00 00 00 89 B4 24 90 00 00 00 48 83 63 08 00 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 90 EB 02 33 DB 48 89 1F 40 F6 C6 01 74 0A 48 8D 4C 24 28 E8 ?? ?? ?? ?? B8 05 00 00 00 48 8B 9C 24 98 00 00 00 48 83 C4 70 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_284_1 {
	meta:
		name = "??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
		size = 43
		altNames = "??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z ??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z ??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 83 21 00 48 83 61 08 00 48 8B 02 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 01 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_46_287_1 {
	meta:
		name = "?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 500
		refs = "003f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0048 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0058 ??1locale@std@@QEAA@XZ 0140 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 014b ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 81 EC 90 00 00 00 48 C7 44 24 50 FE FF FF FF 48 89 58 18 4D 8B E1 49 8B D8 48 8B EA 48 8D 50 10 4C 8B BC 24 F0 00 00 00 49 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 8C 24 D8 00 00 00 E8 ?? ?? ?? ?? 48 8B B4 24 08 01 00 00 8A 0E 48 8B BC 24 F8 00 00 00 84 C9 0F 84 46 01 00 00 4C 8B AC 24 00 01 00 00 80 F9 25 75 5E 48 FF C6 41 0F 10 04 24 F3 0F 7F 44 24 60 0F 10 0B F3 0F 7F 4C 24 70 48 8B 8C 24 D0 00 00 00 4C 8B 11 C6 44 24 40 00 8A 06 88 44 24 38 4C 89 6C 24 30 48 89 7C 24 28 4C 89 7C 24 20 4C 8D 4C 24 60 4C 8D 44 24 70 48 8D 94 24 80 00 00 00 41 FF 52 38 0F 10 00 F3 0F 7F 03 E9 C9 00 00 00 80 F9 20 75 6F EB 5C 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 0F B6 4B 09 49 8B 46 18 F6 04 48 48 74 6E 48 8B CB E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 95 EB 55 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 8A 06 38 43 09 75 17 48 8B CB E8 ?? ?? ?? ?? 48 FF C6 8A 0E 84 C9 0F 85 C7 FE FF FF EB 03 83 0F 02 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 0F 10 03 F3 0F 7F 45 00 48 8B C5 48 8B 9C 24 E0 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_289_1 {
	meta:
		name = "?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAH@Z"
		size = 849
		refs = "001a __security_cookie 0041 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 010a ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 02ea _Stolx 0335 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 60 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4C 8B 6D 68 48 8B DA 49 8B D0 48 8B CB 45 8B F1 44 89 4D C4 4D 8B E0 48 8D 7D D0 E8 ?? ?? ?? ?? 45 33 FF 41 B9 01 00 00 00 84 C0 0F 85 B8 00 00 00 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 4B 08 80 7B 09 2B 75 06 C6 45 D0 2B EB 55 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 4B 08 80 7B 09 2D 75 10 C6 45 D0 2D 48 8B CB 48 8D 7D D1 E8 ?? ?? ?? ?? 49 8B D4 48 8B CB 41 8A F7 E8 ?? ?? ?? ?? 84 C0 75 7A 41 BE 01 00 00 00 44 38 7B 08 75 3F 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 73 08 80 7B 09 30 75 1A 48 8B CB 41 8A F6 E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 74 9B 44 8B 75 C4 40 84 F6 74 06 C6 07 30 48 FF C7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 18 01 00 00 41 BE 01 00 00 00 44 38 7B 08 75 3F 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 73 08 80 7B 09 30 0F 8C BF 00 00 00 44 38 7B 08 75 3F 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 73 08 80 7B 09 39 7F 74 44 38 7B 08 75 3F 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 73 08 8A 43 09 88 07 48 8D 45 EF 48 3B F8 73 03 49 03 FE 48 8B CB 41 8A F6 E8 ?? ?? ?? ?? 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 F2 FE FF FF 44 8B 75 C4 48 8D 45 D0 40 84 F6 4C 8D 4D C0 48 0F 45 C7 48 8D 55 C8 48 8D 4D D0 41 B8 0A 00 00 00 44 89 7D C0 44 88 38 E8 ?? ?? ?? ?? 49 8B D4 48 8B CB 8B F8 E8 ?? ?? ?? ?? 41 8B CF 84 C0 B8 01 00 00 00 0F 45 C8 48 8D 45 D0 48 39 45 C8 74 16 44 39 7D C0 75 10 41 3B FE 7C 0B 39 7D 60 7C 06 41 89 7D 00 EB 03 83 C9 02 8B C1 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 A0 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_301_1 {
	meta:
		name = "?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 369
		refs = "0046 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAH@Z 00a3 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 18 57 41 54 41 55 48 83 EC 30 4C 8B AC 24 80 00 00 00 49 8B E9 49 8B D8 49 8D 45 08 48 8B F2 45 33 C9 49 89 43 E0 4C 8B C5 48 8B D3 C7 44 24 20 17 00 00 00 4C 8B E1 E8 ?? ?? ?? ?? 48 8B 7C 24 78 09 07 75 7A 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 80 7B 09 3A 75 2E 48 8B CB E8 ?? ?? ?? ?? 4D 8D 5D 04 45 33 C9 4C 89 5C 24 28 4C 8B C5 48 8B D3 49 8B CC C7 44 24 20 3B 00 00 00 E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 83 3F 00 75 76 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 80 7B 09 3A 75 2A 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 4C 8B C5 48 8B D3 49 8B CC 4C 89 6C 24 28 C7 44 24 20 3B 00 00 00 E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 0F 10 03 48 8B 5C 24 50 48 8B 6C 24 58 48 8B C6 F3 0F 7F 06 48 8B 74 24 60 48 83 C4 30 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_46_302_1 {
	meta:
		name = "?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 2245
		refs = "004a ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 011d ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAH@Z 0237 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 18 48 89 78 20 48 89 50 10 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 8B 01 4D 8B E1 49 8B F8 4C 8B E9 FF 50 08 33 DB 44 8B F0 B8 02 00 00 00 49 8B D4 45 85 F6 48 8B CF 44 0F 44 F0 E8 ?? ?? ?? ?? 4C 8B 7D 60 48 8B 75 58 84 C0 0F 85 C7 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 30 0F 8C F1 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 39 0F 8F A4 00 00 00 49 8B CD 41 83 FE 02 75 2D 49 8D 5F 10 45 8D 4E FF 4D 8B C4 48 8B D7 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B 48 8B 5D 50 E9 0D 01 00 00 41 83 FE 01 75 23 49 8D 47 0C 45 8B CE 4D 8B C4 48 89 44 24 28 48 8B D7 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 EB CE 41 0F 10 04 24 0F 10 0F 49 8B 45 00 48 8B 5D 50 4C 89 7C 24 30 4C 8D 4D D0 F3 0F 7F 45 D0 F3 0F 7F 4D E0 4C 8D 45 E0 48 8D 55 F0 48 89 74 24 28 48 89 5C 24 20 FF 50 30 0F 10 6D F0 F3 0F 7F 2F E9 9F 00 00 00 41 0F 10 04 24 0F 10 0F 49 8B 45 00 48 8B 5D 50 4C 89 7C 24 30 4C 8D 4D F0 F3 0F 7F 45 F0 F3 0F 7F 4D E0 4C 8D 45 E0 48 8D 55 D0 49 8B CD 48 89 74 24 28 48 89 5C 24 20 FF 50 28 0F 10 6D D0 41 BE 02 00 00 00 F3 0F 7F 2F EB 54 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 80 7F 09 20 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9D 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 48 01 00 00 44 38 4F 08 75 42 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 C9 83 F8 FF 74 05 88 47 09 EB 03 4C 89 0F C6 47 08 01 80 7F 09 3A 0F 84 EE 00 00 00 44 38 4F 08 75 42 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 C9 83 F8 FF 74 05 88 47 09 EB 03 4C 89 0F C6 47 08 01 80 7F 09 2C 0F 84 9C 00 00 00 44 38 4F 08 75 42 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 C9 83 F8 FF 74 05 88 47 09 EB 03 4C 89 0F C6 47 08 01 80 7F 09 2F 75 56 EB 4C 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 80 7F 09 20 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9D 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 59 01 00 00 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 80 7F 09 30 0F 8C B3 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 80 7F 09 39 7F 67 41 83 FE 01 74 36 B8 03 00 00 00 44 3B F0 74 2C 49 8D 47 0C 41 B9 01 00 00 00 4D 8B C4 48 89 44 24 28 48 8B D7 49 8B CD C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 E9 82 00 00 00 49 8D 5F 10 41 B9 01 00 00 00 4D 8B C4 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B EB 57 41 83 FE 02 75 05 44 09 36 EB 4C 41 0F 10 04 24 0F 10 0F 49 8B 45 00 4C 89 7C 24 30 4C 8D 4D F0 4C 8D 45 E0 48 8D 55 D0 49 8B CD 48 89 74 24 28 F3 0F 7F 45 F0 F3 0F 7F 4D E0 48 89 5C 24 20 FF 50 28 41 83 FE 04 0F 10 6D D0 B8 03 00 00 00 44 0F 44 F0 F3 0F 7F 2F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 33 DB EB 5C 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 20 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 A0 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 36 01 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 3A 0F 84 E1 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 2C 0F 84 94 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 2F 75 53 EB 49 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 20 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 A0 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 45 01 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 30 0F 8C F2 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 39 0F 8F A5 00 00 00 41 83 FE 04 75 2C 49 8D 5F 10 45 8D 4E FD 4D 8B C4 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B E9 C1 00 00 00 B8 03 00 00 00 44 3B F0 75 2C 49 8D 47 0C 41 B9 01 00 00 00 4D 8B C4 48 89 44 24 28 48 8B D7 49 8B CD C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 E9 8B 00 00 00 41 0F 10 04 24 0F 10 0F 48 8B 4D 50 49 8B 45 00 4C 89 7C 24 30 4C 8D 4D F0 F3 0F 7F 45 F0 F3 0F 7F 4D E0 48 89 74 24 28 48 89 4C 24 20 4C 8D 45 E0 48 8D 55 D0 49 8B CD FF 50 30 EB 46 41 83 FE 04 74 05 83 0E 02 EB 43 41 0F 10 04 24 0F 10 0F 48 8B 4D 50 49 8B 45 00 4C 89 7C 24 30 4C 8D 4D F0 F3 0F 7F 45 F0 F3 0F 7F 4D E0 48 89 74 24 28 48 89 4C 24 20 4C 8D 45 E0 48 8D 55 D0 49 8B CD FF 50 28 0F 10 6D D0 F3 0F 7F 2F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 48 8B 45 38 4C 8D 5C 24 70 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 F3 0F 7F 00 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_46_303_1 {
	meta:
		name = "?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 131
		refs = "0034 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 83 64 24 48 00 48 8B DA 49 8B C1 49 8B F8 48 8D 54 24 48 45 33 C9 48 89 54 24 28 48 8B D7 4C 8B C0 C7 44 24 20 F3 07 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 68 09 02 8B 02 A8 02 75 29 8B 4C 24 48 41 B8 6C 07 00 00 41 3B C8 7C 05 41 2B C8 EB 0D 81 F9 87 00 00 00 7E 05 83 C8 02 89 02 48 8B 44 24 70 89 48 14 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_704_1 {
	meta:
		name = "?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 131
		refs = "0034 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 83 64 24 48 00 48 8B DA 49 8B C1 49 8B F8 48 8D 54 24 48 45 33 C9 48 89 54 24 28 48 8B D7 4C 8B C0 C7 44 24 20 F3 07 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 68 09 02 8B 02 A8 02 75 29 8B 4C 24 48 41 B8 6C 07 00 00 41 3B C8 7C 05 41 2B C8 EB 0D 81 F9 87 00 00 00 7E 05 83 C8 02 89 02 48 8B 44 24 70 89 48 14 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_701_1 {
	meta:
		name = "?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 131
		refs = "0034 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAH@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 30 83 64 24 48 00 48 8B DA 49 8B C1 49 8B F8 48 8D 54 24 48 45 33 C9 48 89 54 24 28 48 8B D7 4C 8B C0 C7 44 24 20 F3 07 00 00 E8 ?? ?? ?? ?? 48 8B 54 24 68 09 02 8B 02 A8 02 75 29 8B 4C 24 48 41 B8 6C 07 00 00 41 3B C8 7C 05 41 2B C8 EB 0D 81 F9 87 00 00 00 7E 05 83 C8 02 89 02 48 8B 44 24 70 89 48 14 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_46_305_1 {
	meta:
		name = "?reserve@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 76
		refs = "0020 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 18 48 8B D9 48 3B FA 77 2B 48 39 51 20 74 25 41 B0 01 E8 ?? ?? ?? ?? 84 C0 74 19 48 83 7B 20 10 48 89 7B 18 72 06 48 8B 5B 08 EB 04 48 83 C3 08 C6 04 3B 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_311_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_KD@Z"
		size = 24
		refs = "000b ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0014 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 18 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_739_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_KG@Z"
		size = 24
		refs = "000b ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0014 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 18 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_726_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K_W@Z"
		size = 24
		refs = "000b ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0014 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 18 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 18 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_315_1 {
	meta:
		name = "?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 29
		altNames = "?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 83 64 24 30 00 48 8B DA FF 50 30 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_46_316_1 {
	meta:
		name = "??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 48 83 64 24 20 00 48 83 64 24 28 00 48 8B DA 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_65_746_1 {
	meta:
		name = "??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 48 83 64 24 20 00 48 83 64 24 28 00 48 8B DA 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_65_744_1 {
	meta:
		name = "??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA?AV01@_J@Z"
		size = 118
		refs = "003f ??Y?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 48 83 64 24 20 00 48 83 64 24 28 00 48 8B DA 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_46_317_1 {
	meta:
		name = "??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA?AV01@_J@Z"
		size = 121
		refs = "0042 ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 48 83 64 24 20 00 48 83 64 24 28 00 48 8B DA 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_65_747_1 {
	meta:
		name = "??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBA?AV01@_J@Z"
		size = 121
		refs = "0042 ??Y?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 48 83 64 24 20 00 48 83 64 24 28 00 48 8B DA 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_65_745_1 {
	meta:
		name = "??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA?AV01@_J@Z"
		size = 121
		refs = "0042 ??Y?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B 01 48 83 64 24 20 00 48 83 64 24 28 00 48 8B DA 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 20 48 8B 41 10 49 F7 D8 48 8D 4C 24 20 49 8B D0 48 89 44 24 30 E8 ?? ?? ?? ?? 48 8B 44 24 20 48 83 23 00 48 83 63 08 00 48 85 C0 74 0E 48 8B 00 48 85 C0 74 06 48 8B 00 48 89 03 48 8B 44 24 30 48 89 43 10 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_46_321_1 {
	meta:
		name = "?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 87
		refs = "0021 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 10 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0C 48 8B 44 24 60 41 D1 FB 44 89 58 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_769_1 {
	meta:
		name = "?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 87
		refs = "0021 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 10 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0C 48 8B 44 24 60 41 D1 FB 44 89 58 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_766_1 {
	meta:
		name = "?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 87
		refs = "0021 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 10 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0C 48 8B 44 24 60 41 D1 FB 44 89 58 18 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_322_1 {
	meta:
		name = "?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 87
		refs = "0021 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 18 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0C 48 8B 44 24 60 41 D1 FB 44 89 58 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_770_1 {
	meta:
		name = "?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 87
		refs = "0021 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 18 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0C 48 8B 44 24 60 41 D1 FB 44 89 58 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_767_1 {
	meta:
		name = "?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 87
		refs = "0021 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B C1 4C 8B 49 18 49 8B F8 48 8B DA 45 33 C0 48 8B D0 48 8B CF E8 ?? ?? ?? ?? 44 8B D8 85 C0 79 0A 48 8B 44 24 58 83 08 02 EB 0C 48 8B 44 24 60 41 D1 FB 44 89 58 10 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_46_323_1 {
	meta:
		name = "?do_get@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1211
		refs = "00dc ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 011a ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAEAH@Z 0141 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 01db ??_C@_0M@LMMIDGCH@?$CFH?5?3?5?$CFM?5?3?5S?$AA@ 030b ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 034e ?_Getfmt@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 0413 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 043d ??_C@_01CLKCMJKC@?5?$AA@ 044d ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 045d ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 046b ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 048c ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 54 48 8D 6C 24 E1 48 81 EC 00 01 00 00 44 0F BE 55 77 83 65 47 00 48 8B 5D 67 49 8B F1 49 8B F8 4C 8B E2 41 83 FA 61 0F 8F 04 02 00 00 0F 84 B1 01 00 00 41 83 FA 52 0F 8F 04 01 00 00 0F 84 EE 00 00 00 41 83 EA 41 0F 84 97 01 00 00 41 FF CA 0F 84 FB 02 00 00 41 FF CA 0F 84 93 00 00 00 41 FF CA 74 60 41 83 EA 04 74 3D 41 FF CA 74 21 41 83 FA 04 0F 85 ED 03 00 00 48 8B 45 6F 48 83 C0 04 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 2C 48 8B 45 6F 48 83 C0 08 48 89 44 24 28 C7 44 24 20 0B 00 00 00 EB 15 48 8B 45 6F 48 83 C0 08 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 25 02 00 00 41 0F 10 01 41 0F 10 08 48 8D 05 ?? ?? ?? ?? 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 55 AF F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 E9 32 02 00 00 48 8D 45 47 45 33 C9 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 63 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 5C 03 00 00 8B 4D 47 83 C1 ED 6B C9 64 48 8B 45 6F 89 48 14 E9 47 03 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 FF E9 C5 01 00 00 41 83 EA 53 0F 84 90 00 00 00 41 FF CA 74 7B 41 FF CA 74 5C 41 83 EA 02 74 56 41 FF CA 74 6B 41 FF CA 0F 85 FD 02 00 00 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 54 24 60 48 89 5C 24 28 48 89 44 24 20 41 FF 52 30 0F 10 6C 24 60 EB 77 48 8B 45 6F 48 83 C0 1C 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 F1 FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 DF E9 2B 01 00 00 48 8B 45 6F E9 9D FE FF FF 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 8F 48 89 5C 24 28 48 89 44 24 20 41 FF 52 20 0F 10 6D 8F F3 0F 7F 2F E9 47 02 00 00 41 83 FA 6E 0F 8F 5F 01 00 00 0F 84 EC 01 00 00 41 83 FA 62 0F 84 06 01 00 00 41 83 FA 63 0F 84 A6 00 00 00 0F 8E 0B 02 00 00 41 83 FA 65 7E 6D 41 83 FA 68 0F 84 E6 00 00 00 41 83 FA 6A 74 46 41 83 FA 6D 0F 85 EB 01 00 00 48 8D 45 47 45 8D 4A 94 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 D2 01 00 00 8B 4D 47 48 8B 45 6F FF C9 89 48 10 E9 C1 01 00 00 48 8B 45 6F 48 83 C0 1C 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 15 48 8B 45 6F 48 83 C0 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 09 03 E9 7D 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 BF 41 0F 10 08 41 0F 10 01 4C 8D 44 24 40 4C 8D 4C 24 50 F3 0F 7F 4C 24 40 F3 0F 7F 44 24 50 48 89 44 24 38 48 8B 45 6F 48 89 44 24 30 48 8B 45 5F 48 89 5C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 E9 27 01 00 00 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 9F 48 89 5C 24 28 48 89 44 24 20 41 FF 52 28 0F 10 6D 9F E9 8E FE FF FF 41 83 EA 70 0F 84 A9 00 00 00 41 83 EA 02 0F 84 8F 00 00 00 41 83 EA 02 74 79 41 83 EA 03 74 59 41 FF CA 74 44 41 FF CA 0F 85 9E 00 00 00 48 8D 45 47 45 33 C9 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 63 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 86 00 00 00 8B 4D 47 83 F9 45 8D 41 64 0F 4C C8 E9 22 FD FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 CF E9 F3 FE FF FF 48 8B 45 6F 48 83 C0 18 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 8F FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 EF E9 C9 FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 0F E9 B9 FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 0D 48 8B 4D 6F 8D 04 40 C1 E0 02 01 41 08 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 0F 10 07 4C 8D 9C 24 00 01 00 00 49 8B C4 49 8B 5B 20 49 8B 73 30 F3 41 0F 7F 04 24 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_65_771_1 {
	meta:
		name = "?do_get@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1211
		refs = "00dc ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 011a ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAH@Z 0141 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 01db ??_C@_0M@LMMIDGCH@?$CFH?5?3?5?$CFM?5?3?5S?$AA@ 030b ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 034e ?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 0413 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 043d ??_C@_01CLKCMJKC@?5?$AA@ 044d ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 045d ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 046b ??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z 048c ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 54 48 8D 6C 24 E1 48 81 EC 00 01 00 00 44 0F BE 55 77 83 65 47 00 48 8B 5D 67 49 8B F1 49 8B F8 4C 8B E2 41 83 FA 61 0F 8F 04 02 00 00 0F 84 B1 01 00 00 41 83 FA 52 0F 8F 04 01 00 00 0F 84 EE 00 00 00 41 83 EA 41 0F 84 97 01 00 00 41 FF CA 0F 84 FB 02 00 00 41 FF CA 0F 84 93 00 00 00 41 FF CA 74 60 41 83 EA 04 74 3D 41 FF CA 74 21 41 83 FA 04 0F 85 ED 03 00 00 48 8B 45 6F 48 83 C0 04 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 2C 48 8B 45 6F 48 83 C0 08 48 89 44 24 28 C7 44 24 20 0B 00 00 00 EB 15 48 8B 45 6F 48 83 C0 08 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 25 02 00 00 41 0F 10 01 41 0F 10 08 48 8D 05 ?? ?? ?? ?? 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 55 AF F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 E9 32 02 00 00 48 8D 45 47 45 33 C9 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 63 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 5C 03 00 00 8B 4D 47 83 C1 ED 6B C9 64 48 8B 45 6F 89 48 14 E9 47 03 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 FF E9 C5 01 00 00 41 83 EA 53 0F 84 90 00 00 00 41 FF CA 74 7B 41 FF CA 74 5C 41 83 EA 02 74 56 41 FF CA 74 6B 41 FF CA 0F 85 FD 02 00 00 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 54 24 60 48 89 5C 24 28 48 89 44 24 20 41 FF 52 30 0F 10 6C 24 60 EB 77 48 8B 45 6F 48 83 C0 1C 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 F1 FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 DF E9 2B 01 00 00 48 8B 45 6F E9 9D FE FF FF 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 8F 48 89 5C 24 28 48 89 44 24 20 41 FF 52 20 0F 10 6D 8F F3 0F 7F 2F E9 47 02 00 00 41 83 FA 6E 0F 8F 5F 01 00 00 0F 84 EC 01 00 00 41 83 FA 62 0F 84 06 01 00 00 41 83 FA 63 0F 84 A6 00 00 00 0F 8E 0B 02 00 00 41 83 FA 65 7E 6D 41 83 FA 68 0F 84 E6 00 00 00 41 83 FA 6A 74 46 41 83 FA 6D 0F 85 EB 01 00 00 48 8D 45 47 45 8D 4A 94 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 D2 01 00 00 8B 4D 47 48 8B 45 6F FF C9 89 48 10 E9 C1 01 00 00 48 8B 45 6F 48 83 C0 1C 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 15 48 8B 45 6F 48 83 C0 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 09 03 E9 7D 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 BF 41 0F 10 08 41 0F 10 01 4C 8D 44 24 40 4C 8D 4C 24 50 F3 0F 7F 4C 24 40 F3 0F 7F 44 24 50 48 89 44 24 38 48 8B 45 6F 48 89 44 24 30 48 8B 45 5F 48 89 5C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 E9 27 01 00 00 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 9F 48 89 5C 24 28 48 89 44 24 20 41 FF 52 28 0F 10 6D 9F E9 8E FE FF FF 41 83 EA 70 0F 84 A9 00 00 00 41 83 EA 02 0F 84 8F 00 00 00 41 83 EA 02 74 79 41 83 EA 03 74 59 41 FF CA 74 44 41 FF CA 0F 85 9E 00 00 00 48 8D 45 47 45 33 C9 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 63 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 86 00 00 00 8B 4D 47 83 F9 45 8D 41 64 0F 4C C8 E9 22 FD FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 CF E9 F3 FE FF FF 48 8B 45 6F 48 83 C0 18 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 8F FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 EF E9 C9 FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 0F E9 B9 FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 0D 48 8B 4D 6F 8D 04 40 C1 E0 02 01 41 08 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 0F 10 07 4C 8D 9C 24 00 01 00 00 49 8B C4 49 8B 5B 20 49 8B 73 30 F3 41 0F 7F 04 24 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_65_768_1 {
	meta:
		name = "?do_get@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@DD@Z"
		size = 1211
		refs = "00dc ??_C@_0N@LIAHCJPJ@?$CFm?5?1?5?$CFd?5?1?5?$CFy?$AA@ 011a ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAH@Z 0141 ??_C@_07GLPBMING@?$CFH?5?3?5?$CFM?$AA@ 01db ??_C@_0M@LMMIDGCH@?$CFH?5?3?5?$CFM?5?3?5S?$AA@ 030b ??_C@_0BG@ELKJEKEA@?$CFb?5?$CFd?5?$CFH?5?3?5?$CFM?5?3?5?$CFS?5?$CFY?$AA@ 034e ?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z 0413 ??_C@_0N@LADGFGLL@?$CFd?5?1?5?$CFm?5?1?5?$CFy?$AA@ 043d ??_C@_01CLKCMJKC@?5?$AA@ 044d ??_C@_0BA@HGEPHOKI@?$CFI?5?3?5?$CFM?5?3?5?$CFS?5?$CFp?$AA@ 045d ??_C@_0N@LPFKKEBD@?3AM?3am?3PM?3pm?$AA@ 046b ??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z 048c ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 55 57 41 54 48 8D 6C 24 E1 48 81 EC 00 01 00 00 44 0F BE 55 77 83 65 47 00 48 8B 5D 67 49 8B F1 49 8B F8 4C 8B E2 41 83 FA 61 0F 8F 04 02 00 00 0F 84 B1 01 00 00 41 83 FA 52 0F 8F 04 01 00 00 0F 84 EE 00 00 00 41 83 EA 41 0F 84 97 01 00 00 41 FF CA 0F 84 FB 02 00 00 41 FF CA 0F 84 93 00 00 00 41 FF CA 74 60 41 83 EA 04 74 3D 41 FF CA 74 21 41 83 FA 04 0F 85 ED 03 00 00 48 8B 45 6F 48 83 C0 04 48 89 44 24 28 C7 44 24 20 3B 00 00 00 EB 2C 48 8B 45 6F 48 83 C0 08 48 89 44 24 28 C7 44 24 20 0B 00 00 00 EB 15 48 8B 45 6F 48 83 C0 08 48 89 44 24 28 C7 44 24 20 17 00 00 00 45 33 C9 E9 25 02 00 00 41 0F 10 01 41 0F 10 08 48 8D 05 ?? ?? ?? ?? 4C 8D 4C 24 40 4C 8D 44 24 50 48 8D 55 AF F3 0F 7F 44 24 40 F3 0F 7F 4C 24 50 E9 32 02 00 00 48 8D 45 47 45 33 C9 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 63 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 5C 03 00 00 8B 4D 47 83 C1 ED 6B C9 64 48 8B 45 6F 89 48 14 E9 47 03 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 FF E9 C5 01 00 00 41 83 EA 53 0F 84 90 00 00 00 41 FF CA 74 7B 41 FF CA 74 5C 41 83 EA 02 74 56 41 FF CA 74 6B 41 FF CA 0F 85 FD 02 00 00 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 54 24 60 48 89 5C 24 28 48 89 44 24 20 41 FF 52 30 0F 10 6C 24 60 EB 77 48 8B 45 6F 48 83 C0 1C 48 89 44 24 28 C7 44 24 20 35 00 00 00 E9 F1 FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 DF E9 2B 01 00 00 48 8B 45 6F E9 9D FE FF FF 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 8F 48 89 5C 24 28 48 89 44 24 20 41 FF 52 20 0F 10 6D 8F F3 0F 7F 2F E9 47 02 00 00 41 83 FA 6E 0F 8F 5F 01 00 00 0F 84 EC 01 00 00 41 83 FA 62 0F 84 06 01 00 00 41 83 FA 63 0F 84 A6 00 00 00 0F 8E 0B 02 00 00 41 83 FA 65 7E 6D 41 83 FA 68 0F 84 E6 00 00 00 41 83 FA 6A 74 46 41 83 FA 6D 0F 85 EB 01 00 00 48 8D 45 47 45 8D 4A 94 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 D2 01 00 00 8B 4D 47 48 8B 45 6F FF C9 89 48 10 E9 C1 01 00 00 48 8B 45 6F 48 83 C0 1C 48 89 44 24 28 C7 44 24 20 6E 01 00 00 EB 15 48 8B 45 6F 48 83 C0 0C 48 89 44 24 28 C7 44 24 20 1F 00 00 00 41 B9 01 00 00 00 4C 8B C6 48 8B D7 E8 ?? ?? ?? ?? 09 03 E9 7D 01 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 BF 41 0F 10 08 41 0F 10 01 4C 8D 44 24 40 4C 8D 4C 24 50 F3 0F 7F 4C 24 40 F3 0F 7F 44 24 50 48 89 44 24 38 48 8B 45 6F 48 89 44 24 30 48 8B 45 5F 48 89 5C 24 28 48 89 44 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 E9 27 01 00 00 41 0F 10 01 41 0F 10 08 48 8B 45 6F 4C 8B 11 48 89 44 24 30 48 8B 45 5F F3 0F 7F 44 24 50 F3 0F 7F 4C 24 40 4C 8D 4C 24 50 4C 8D 44 24 40 48 8D 55 9F 48 89 5C 24 28 48 89 44 24 20 41 FF 52 28 0F 10 6D 9F E9 8E FE FF FF 41 83 EA 70 0F 84 A9 00 00 00 41 83 EA 02 0F 84 8F 00 00 00 41 83 EA 02 74 79 41 83 EA 03 74 59 41 FF CA 74 44 41 FF CA 0F 85 9E 00 00 00 48 8D 45 47 45 33 C9 4C 8B C6 48 89 44 24 28 48 8B D7 C7 44 24 20 63 00 00 00 E8 ?? ?? ?? ?? 09 03 F6 03 02 0F 85 86 00 00 00 8B 4D 47 83 F9 45 8D 41 64 0F 4C C8 E9 22 FD FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 CF E9 F3 FE FF FF 48 8B 45 6F 48 83 C0 18 48 89 44 24 28 C7 44 24 20 06 00 00 00 E9 8F FC FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 EF E9 C9 FE FF FF 48 8D 05 ?? ?? ?? ?? 48 8D 55 0F E9 B9 FE FF FF 4C 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 85 C0 79 05 83 0B 02 EB 0D 48 8B 4D 6F 8D 04 40 C1 E0 02 01 41 08 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0B 01 0F 10 07 4C 8D 9C 24 00 01 00 00 49 8B C4 49 8B 5B 20 49 8B 73 30 F3 41 0F 7F 04 24 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_46_324_1 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBUtm@@DD@Z"
		size = 654
		refs = "0028 __security_cookie 0046 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0060 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00a0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00b6 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00be ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 00d5 _Strftime 0225 _invalid_parameter_noinfo_noreturn 0247 ??3@YAXPEAX@Z 026f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC C0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E0 4C 8B EA 48 89 55 97 4C 8B F1 4C 8B 7D 6F 8B 05 ?? ?? ?? ?? 89 45 F7 8A 05 ?? ?? ?? ?? 88 45 FB 48 8D 54 24 30 48 8D 4D C7 E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 48 83 65 DF 00 C6 45 CF 00 8A 45 7F 84 C0 75 08 8A 45 77 88 45 F9 EB 09 88 45 F9 8A 45 77 88 45 FA B8 10 00 00 00 48 89 45 9F 45 33 C0 8B D0 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5E 10 48 8B 7D DF 48 8D 54 24 38 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CF 4C 8D 45 F7 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 57 4C 8B 6D 9F 4D 03 ED 45 33 C0 49 8B D5 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5E 10 48 8B 7D DF 48 8D 54 24 38 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CF 4C 8D 45 F7 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 74 B1 4C 8B 6D 97 48 8D 55 AF 48 8D 4D C7 E8 ?? ?? ?? ?? 45 33 F6 41 8B DE 48 89 5C 24 38 4C 89 75 87 48 8B 08 48 85 C9 74 10 48 8B 09 48 85 C9 74 08 48 8B 19 48 89 5C 24 38 48 8B 78 10 48 FF CE 0F 84 B7 00 00 00 48 85 DB 0F 84 A8 00 00 00 48 8B 03 48 85 C0 0F 84 9C 00 00 00 48 85 FF 0F 84 93 00 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B F9 73 70 48 FF C7 48 89 7D 8F 48 8D 4C 24 38 E8 ?? ?? ?? ?? 44 8A 00 49 8B 4C 24 08 48 85 C9 74 48 48 8B 41 48 4C 39 30 74 08 48 8B 41 60 8B 10 EB 03 41 8B D6 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 41 0F B6 D0 48 8B 01 FF 50 18 83 F8 FF 0F 85 56 FF FF FF 41 C6 04 24 01 E9 4C FF FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 41 0F 10 04 24 F3 41 0F 7F 45 00 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 75 DF 44 88 75 CF 48 8B 4D C7 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 18 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_326_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
		size = 91
		refs = "0024 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0048 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 49 83 C9 FF 45 33 C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_46_328_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z"
		size = 99
		refs = "002b ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 004b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B D8 48 8B FA 48 8B F1 48 8D 50 20 E8 ?? ?? ?? ?? 90 48 C7 46 20 0F 00 00 00 48 83 66 18 00 C6 46 08 00 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_46_332_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 27
		refs = "000b ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0017 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 18 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_819_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 27
		refs = "000b ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0017 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 18 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_784_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 27
		refs = "000b ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0017 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 18 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 18 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_336_1 {
	meta:
		name = "?do_get@?$messages@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHAEBV32@@Z"
		size = 88
		refs = "0024 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 004a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 8B DA 83 64 24 24 00 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 90 48 C7 43 20 0F 00 00 00 48 83 63 18 00 C6 43 08 00 49 83 C9 FF 45 33 C0 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_46_344_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 104
		refs = "002d ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0047 strlen 0055 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B FA 83 64 24 40 00 48 8B 59 30 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_46_347_1 {
	meta:
		name = "?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 116
		refs = "0039 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0053 strlen 0061 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B FA 83 64 24 40 00 48 8B 01 48 8B 58 28 48 85 DB 75 04 48 8D 58 30 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_46_349_1 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 288
		refs = "0025 __security_cookie 0051 ??2@YAPEAX_K@Z 0069 ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009c ??_7?$collate@D@std@@6B@ 00a4 _Getcoll 00c3 ??1_Locinfo@std@@QEAA@XZ 00d9 ??3@YAXPEAX@Z 0104 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 48 8D 68 A1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 4C 8B E2 48 8B F1 33 DB 89 5D A7 48 85 C9 0F 84 B3 00 00 00 48 39 19 0F 85 AA 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 AF 48 85 C0 74 4D 48 8D 55 07 49 8B CC E8 ?? ?? ?? ?? 90 C7 45 A7 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4D BF E8 ?? ?? ?? ?? BB 03 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 89 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 10 83 E3 FD 89 5D A7 48 8D 4D BF E8 ?? ?? ?? ?? 90 F6 C3 01 74 2A 48 83 7D 27 10 72 09 48 8B 4D 0F E8 ?? ?? ?? ?? 48 C7 45 27 0F 00 00 00 48 83 65 1F 00 C6 45 0F 00 48 8B 4D 07 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_65_950_1 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 288
		refs = "0025 __security_cookie 0051 ??2@YAPEAX_K@Z 0069 ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009c ??_7?$collate@G@std@@6B@ 00a4 _Getcoll 00c3 ??1_Locinfo@std@@QEAA@XZ 00d9 ??3@YAXPEAX@Z 0104 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 48 8D 68 A1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 4C 8B E2 48 8B F1 33 DB 89 5D A7 48 85 C9 0F 84 B3 00 00 00 48 39 19 0F 85 AA 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 AF 48 85 C0 74 4D 48 8D 55 07 49 8B CC E8 ?? ?? ?? ?? 90 C7 45 A7 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4D BF E8 ?? ?? ?? ?? BB 03 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 89 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 10 83 E3 FD 89 5D A7 48 8D 4D BF E8 ?? ?? ?? ?? 90 F6 C3 01 74 2A 48 83 7D 27 10 72 09 48 8B 4D 0F E8 ?? ?? ?? ?? 48 C7 45 27 0F 00 00 00 48 83 65 1F 00 C6 45 0F 00 48 8B 4D 07 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_65_944_1 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 288
		refs = "0025 __security_cookie 0051 ??2@YAPEAX_K@Z 0069 ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009c ??_7?$collate@_W@std@@6B@ 00a4 _Getcoll 00c3 ??1_Locinfo@std@@QEAA@XZ 00d9 ??3@YAXPEAX@Z 0104 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 48 8D 68 A1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 37 4C 8B E2 48 8B F1 33 DB 89 5D A7 48 85 C9 0F 84 B3 00 00 00 48 39 19 0F 85 AA 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F8 48 89 45 AF 48 85 C0 74 4D 48 8D 55 07 49 8B CC E8 ?? ?? ?? ?? 90 C7 45 A7 01 00 00 00 48 83 78 20 10 72 06 48 8B 50 08 EB 04 48 8D 50 08 48 8D 4D BF E8 ?? ?? ?? ?? BB 03 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 89 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 10 83 E3 FD 89 5D A7 48 8D 4D BF E8 ?? ?? ?? ?? 90 F6 C3 01 74 2A 48 83 7D 27 10 72 09 48 8B 4D 0F E8 ?? ?? ?? ?? 48 C7 45 27 0F 00 00 00 48 83 65 1F 00 C6 45 0F 00 48 8B 4D 07 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 4D 37 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 C0 00 00 00 49 8B 5B 30 49 8B 73 38 49 8B E3 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_46_350_1 {
	meta:
		name = "?dtor$0@?0??_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
		altNames = "?dtor$0@?0??_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$0@?0??_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 48 8B 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_351_1 {
	meta:
		name = "?dtor$1@?0??_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
		size = 41
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA ?dtor$1@?0??_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z@4HA"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 20 83 E0 01 85 C0 74 10 83 65 20 FE 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_46_356_1 {
	meta:
		name = "?_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 2021
		refs = "0040 ?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 0063 ??2@YAPEAX_K@Z 0076 ??_7?$collate@D@std@@6B@ 007e _Getcoll 008e ?id@?$collate@D@std@@2V0locale@2@A 009e ??0_Lockit@std@@QEAA@H@Z 00ad ?_Id_cnt@id@locale@std@@0HA 00c7 ??1_Lockit@std@@QEAA@XZ 0122 ??$use_facet@V?$collate@D@std@@@std@@YAAEBV?$collate@D@0@AEBVlocale@0@@Z 0130 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 015a ??_7?$messages@D@std@@6B@ 0169 ?id@?$messages@D@std@@2V0locale@2@A 01fd ??$use_facet@V?$messages@D@std@@@std@@YAAEBV?$messages@D@0@AEBVlocale@0@@Z 0237 ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 023f _Getcvt 024f ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 02e3 ??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0319 ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0331 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 03c5 ??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 0403 ??_7?$_Mpunct@D@std@@6B@ 0418 ?_Init@?$_Mpunct@D@std@@IEAAXAEBV_Locinfo@2@_N@Z 0420 ??_7?$moneypunct@D$0A@@std@@6B@ 042f ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 04c3 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 051e ??_7?$moneypunct@D$00@std@@6B@ 052d ?id@?$moneypunct@D$00@std@@2V0locale@2@A 05c1 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 05fd ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 060b ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 0618 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 06ac ??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z 06e7 ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0703 ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0716 free 0722 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 07b6 ??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 40 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 30 48 C7 45 F8 FE FF FF FF 48 89 5C 24 60 48 89 74 24 70 48 89 7C 24 78 49 8B F9 4D 8B E0 44 8B EA 4C 8B F1 45 33 FF 44 89 7D 38 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 41 8D 77 01 8B C6 D3 E0 D1 F8 41 85 C5 0F 84 DA 00 00 00 48 85 FF 75 78 8D 4E 17 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 F6 C5 20 0F 84 D1 00 00 00 48 85 FF 75 6F 8D 4F 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? 03 C6 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 8B F5 83 E6 04 0F 84 DA 00 00 00 48 85 FF 75 78 8D 4F 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 F6 0F 84 D6 02 00 00 48 85 FF 75 78 8D 4F 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 F6 0F 84 F4 01 00 00 48 85 FF 0F 85 90 00 00 00 8D 4F 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 F0 48 85 C0 74 2D 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 44 88 7B 44 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 F6 0F 84 F6 00 00 00 48 85 FF 0F 85 90 00 00 00 8D 4F 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 F0 48 85 C0 74 2D 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 C6 43 44 01 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 83 E5 10 0F 84 E1 00 00 00 48 85 FF 75 7F 8D 4F 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 F0 48 85 C0 74 1C 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 45 85 ED 0F 84 01 01 00 00 48 85 FF 0F 85 9B 00 00 00 8D 4F 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3C 4C 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 4C 89 7B 10 E8 ?? ?? ?? ?? 48 89 43 18 48 8D 55 F0 49 8B CE E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 4C 89 38 48 8B 4D F0 E8 ?? ?? ?? ?? EB 03 49 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_46_357_1 {
	meta:
		name = "?dtor$4@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??3@YAXPEAX@Z"
		altNames = "?dtor$10@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$10@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$3@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$3@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$5@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$6@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$8@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$8@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$9@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA ?dtor$9@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_358_1 {
	meta:
		name = "?dtor$27@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1money_base@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_998_1 {
	meta:
		name = "?dtor$28@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1facet@locale@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_989_1 {
	meta:
		name = "?dtor$28@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1facet@locale@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_360_1 {
	meta:
		name = "?dtor$35@?0??_Makexloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1money_base@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1000_1 {
	meta:
		name = "?dtor$50@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1money_base@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_991_1 {
	meta:
		name = "?dtor$50@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1money_base@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1002_1 {
	meta:
		name = "?dtor$58@?0??_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1money_base@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_993_1 {
	meta:
		name = "?dtor$58@?0??_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z@4HA"
		size = 16
		refs = "0008 ??1money_base@std@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 20 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_363_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z"
		size = 84
		refs = "0024 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0041 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 0F 00 00 00 48 83 67 18 00 C6 47 08 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_46_365_1 {
	meta:
		name = "?do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z"
		size = 278
		refs = "0037 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0071 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 007f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 008c ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0094 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 00c7 _Strxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 48 89 58 08 49 8B E9 4D 8B E0 48 8B F2 48 8B D9 83 60 20 00 48 8D 50 18 48 8B CE E8 ?? ?? ?? ?? 48 C7 46 20 0F 00 00 00 48 83 66 18 00 C6 46 08 00 C7 84 24 B8 00 00 00 01 00 00 00 48 8B D5 49 2B D4 74 7F 4C 8D 6B 10 48 8B CE 48 3B 56 18 77 0B 49 83 C8 FF E8 ?? ?? ?? ?? EB 0C 48 2B 56 18 45 33 C0 E8 ?? ?? ?? ?? 48 8D 54 24 38 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5E 18 48 8D 54 24 50 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 14 3B 4C 89 6C 24 20 4C 8B CD 4D 8B C4 48 8B C8 E8 ?? ?? ?? ?? 48 8B D0 48 3B 46 18 0F 96 C0 84 C0 75 05 48 85 D2 75 85 48 8B CE 48 3B 56 18 77 0B 49 83 C8 FF E8 ?? ?? ?? ?? EB 0C 48 2B 56 18 45 33 C0 E8 ?? ?? ?? ?? 48 8B C6 48 8B 9C 24 A0 00 00 00 48 83 C4 70 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_46_366_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z@4HA"
		size = 47
		refs = "0025 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 B8 00 00 00 83 E0 01 85 C0 74 13 83 A5 B8 00 00 00 FE 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_46_367_1 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z"
		size = 5085
		refs = "002b __security_cookie 0076 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007f ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00a1 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 00b3 ??1locale@std@@QEAA@XZ 00cd ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0169 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01e2 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 02fb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03e0 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 04cd ??3@YAXPEAX@Z 0906 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0a6a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0abb ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0d51 ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0e6e ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0e7b ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0ec5 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0f54 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 1081 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 1138 _invalid_parameter_noinfo_noreturn 1158 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 115d ?_Xlength_error@std@@YAXPEBD@Z 1381 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 13bd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 D8 FD FF FF 48 81 EC F0 02 00 00 48 C7 45 98 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 E0 01 00 00 4D 8B E1 4C 89 4C 24 38 49 8B F8 48 8B DA 48 89 54 24 30 48 89 55 90 48 8B 85 58 02 00 00 48 89 44 24 58 45 33 ED 44 89 6C 24 28 48 8B C8 44 38 AD 50 02 00 00 74 22 48 8D 54 24 70 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 40 48 8D 4C 24 70 EB 20 48 8D 54 24 60 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 40 48 8D 4C 24 60 E8 ?? ?? ?? ?? 41 8A F5 89 74 24 24 44 88 6C 24 20 48 8D 54 24 2C 48 8D 4D 30 E8 ?? ?? ?? ?? 41 BE 0F 00 00 00 4C 89 75 50 4C 89 6D 48 44 88 6D 38 48 8D 54 24 2C 48 8B CB E8 ?? ?? ?? ?? 4C 89 73 20 4C 89 6B 18 44 88 6B 08 41 8D 46 F2 44 8B F0 89 44 24 28 49 8B 07 48 8D 54 24 48 49 8B CF FF 50 48 4C 89 6C 24 50 49 83 FD 04 0F 83 6E 10 00 00 42 8A 44 2C 48 3C 20 0F 84 32 0F 00 00 3C 24 0F 84 10 0C 00 00 3C 2B 0F 84 A7 07 00 00 3C 76 74 0D 3C 78 0F 84 16 0F 00 00 E9 CA 0F 00 00 45 33 ED 49 8B 07 49 8B CF FF 50 38 44 8B E0 48 8D 55 00 49 8B CF E8 ?? ?? ?? ?? 90 4C 39 6D 18 0F 84 DD 03 00 00 49 8B 07 49 8B CF FF 50 10 40 8A F0 84 C0 0F 84 C5 03 00 00 48 8D 4D 08 48 83 7D 20 10 48 0F 43 4D 08 80 39 7F 0F 83 AE 03 00 00 48 8D 54 24 2C 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 C7 45 F0 0F 00 00 00 33 C0 48 89 45 E8 88 45 D8 8D 48 01 80 F9 FE 0F 87 86 0F 00 00 48 89 4D E8 66 89 45 D8 8B D8 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 4B 02 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 80 7F 09 30 0F 8C F0 00 00 00 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 80 7F 09 39 0F 8F 9A 00 00 00 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 4F 08 44 8A 47 09 49 8B D1 48 8B 4C 24 30 E8 ?? ?? ?? ?? 48 3B 5D E8 0F 83 2E 0E 00 00 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 80 3C 18 7F 0F 84 BB 00 00 00 48 8D 45 D8 48 83 7D F0 10 48 0F 43 45 D8 B9 01 00 00 00 00 0C 18 E9 A0 00 00 00 4C 8B 55 E8 49 3B DA 0F 83 FA 0D 00 00 48 8D 45 D8 4C 8B 5D D8 4C 8B 4D F0 49 83 F9 10 49 0F 43 C3 80 3C 18 00 0F 84 9E 00 00 00 80 7F 08 00 75 52 48 8B 0F 48 85 C9 74 3C 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 12 48 8B 01 FF 50 30 4C 8B 4D F0 4C 8B 55 E8 4C 8B 5D D8 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 40 38 77 09 75 3B 45 33 C0 48 8B D0 48 8D 4D D0 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F5 FD FF FF 4C 8B 4D F0 4C 8B 55 E8 4C 8B 5D D8 48 85 DB 74 3B 49 3B DA 0F 83 2A 0D 00 00 48 8D 45 D8 49 83 F9 10 49 0F 43 C3 41 B8 01 00 00 00 80 3C 03 00 7E 05 49 03 D8 EB 1B 41 8A F0 89 74 24 24 EB 16 4C 8B 4D F0 4C 8B 55 E8 4C 8B 5D D8 41 B8 01 00 00 00 8B 74 24 24 48 8D 4D 08 48 83 7D 20 10 48 0F 43 4D 08 40 84 F6 0F 85 8A 00 00 00 48 85 DB 74 58 8A 11 80 FA 7F 74 51 49 2B D8 74 1A 49 3B DA 0F 83 C9 0C 00 00 48 8D 45 D8 49 83 F9 10 49 0F 43 C3 3A 14 03 75 29 48 85 DB 75 19 4D 85 D2 0F 84 B0 0C 00 00 48 8D 45 D8 49 83 F9 10 49 0F 43 C3 3A 10 7C 0B 80 79 01 00 7E B1 48 FF C1 EB AC 41 8A F0 89 74 24 24 EB 2D 49 83 F9 10 72 08 49 8B CB E8 ?? ?? ?? ?? 48 C7 45 F0 0F 00 00 00 48 83 65 E8 00 C6 45 D8 00 48 8B 4D D0 E8 ?? ?? ?? ?? E9 99 01 00 00 49 83 F9 10 72 08 49 8B CB E8 ?? ?? ?? ?? 41 BC 0F 00 00 00 4C 89 65 F0 33 DB 48 89 5D E8 88 5D D8 48 8B 4D D0 E8 ?? ?? ?? ?? 48 89 5D D0 48 83 7D 20 10 72 09 48 8B 4D 08 E8 ?? ?? ?? ?? 4C 89 65 20 48 89 5D 18 88 5D 08 48 8B 4D 00 E8 ?? ?? ?? ?? 4C 8B 6C 24 50 4C 8B 64 24 38 E9 C6 0B 00 00 8B 74 24 24 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1F 01 00 00 4C 8B 7C 24 38 BE 01 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 80 7F 09 30 0F 8C BC 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 80 7F 09 39 7F 70 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 44 8A 47 09 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F4 FE FF FF 4C 8B 7C 24 40 8B 74 24 24 49 8B 07 49 8B CF FF 50 08 8A D8 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B5 01 00 00 84 DB 0F 84 AD 01 00 00 38 47 08 75 44 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B8 01 00 00 00 88 47 08 38 5F 09 0F 85 5B 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 38 E9 21 01 00 00 45 3B EC 0F 8D 40 01 00 00 80 7F 08 00 75 48 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 80 7F 09 30 0F 8C CD 00 00 00 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 41 B9 01 00 00 00 44 88 4F 08 80 7F 09 39 7F 7B 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 4F 08 44 8A 47 09 49 8B D1 48 8B 4C 24 30 E8 ?? ?? ?? ?? 41 FF C5 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 CC FE FF FF 40 0F B6 F6 45 3B EC B8 01 00 00 00 0F 4C F0 89 74 24 24 EB 05 B8 01 00 00 00 48 8B 5C 24 30 48 83 7B 18 00 75 09 40 8A F0 89 74 24 24 EB 37 45 3B EC 7D 32 45 2B E5 41 8B DC 48 8B 74 24 30 41 BF 01 00 00 00 41 B0 30 49 8B D7 48 8B CE E8 ?? ?? ?? ?? 49 2B DF 75 ED 4C 8B 7C 24 40 8B 74 24 24 48 8B 5C 24 30 48 83 7D 20 10 72 09 48 8B 4D 08 E8 ?? ?? ?? ?? 48 C7 45 20 0F 00 00 00 48 83 65 18 00 C6 45 08 00 48 8B 4D 00 E8 ?? ?? ?? ?? 4C 8B 6C 24 50 4C 8B 64 24 38 E9 34 08 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 21 08 00 00 48 8D 95 C0 00 00 00 49 8B CF E8 ?? ?? ?? ?? 90 41 83 CE 04 44 89 74 24 28 48 83 78 18 00 0F 86 8E 00 00 00 48 8D 55 60 49 8B CF E8 ?? ?? ?? ?? 90 41 83 CE 08 44 89 74 24 28 48 83 78 18 00 0F 86 22 08 00 00 48 83 78 20 10 72 06 48 8B 58 08 EB 04 48 8D 58 08 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C6 08 74 3E 41 83 E6 F7 44 89 74 24 28 48 83 BD 80 00 00 00 10 72 09 48 8B 4D 68 E8 ?? ?? ?? ?? 48 C7 85 80 00 00 00 0F 00 00 00 48 83 65 78 00 C6 45 68 00 48 8B 4D 60 E8 ?? ?? ?? ?? 48 83 65 60 00 41 F6 C6 04 74 4D 41 83 E6 FB 44 89 74 24 28 48 83 BD E0 00 00 00 10 72 0C 48 8B 8D C8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 E0 00 00 00 0F 00 00 00 48 83 A5 D8 00 00 00 00 C6 85 C8 00 00 00 00 48 8B 8D C0 00 00 00 E8 ?? ?? ?? ?? 48 83 A5 C0 00 00 00 00 84 DB 74 66 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 50 01 00 00 49 8B CF E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 30 E8 ?? ?? ?? ?? 90 48 83 BD 70 01 00 00 10 72 0C 48 8B 8D 58 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 70 01 00 00 0F 00 00 00 48 83 A5 68 01 00 00 00 C6 85 58 01 00 00 00 48 8B 8D 50 01 00 00 E8 ?? ?? ?? ?? E9 67 06 00 00 48 8D 95 F0 00 00 00 49 8B CF E8 ?? ?? ?? ?? 90 41 83 CE 10 44 89 74 24 28 48 83 78 18 00 0F 86 91 00 00 00 48 8D 95 20 01 00 00 49 8B CF E8 ?? ?? ?? ?? 90 41 83 CE 20 44 89 74 24 28 48 83 78 18 00 0F 86 70 06 00 00 48 83 78 20 10 72 06 48 8B 58 08 EB 04 48 8D 58 08 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C6 20 74 4D 41 83 E6 DF 44 89 74 24 28 48 83 BD 40 01 00 00 10 72 0C 48 8B 8D 28 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 40 01 00 00 0F 00 00 00 48 83 A5 38 01 00 00 00 C6 85 28 01 00 00 00 48 8B 8D 20 01 00 00 E8 ?? ?? ?? ?? 48 83 A5 20 01 00 00 00 41 F6 C6 10 74 4D 41 83 E6 EF 44 89 74 24 28 48 83 BD 10 01 00 00 10 72 0C 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 10 01 00 00 0F 00 00 00 48 83 A5 08 01 00 00 00 C6 85 F8 00 00 00 00 48 8B 8D F0 00 00 00 E8 ?? ?? ?? ?? 48 83 A5 F0 00 00 00 00 84 DB 74 6B 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 80 01 00 00 49 8B CF E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 30 E8 ?? ?? ?? ?? 90 48 83 BD A0 01 00 00 10 72 0C 48 8B 8D 88 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 A0 01 00 00 0F 00 00 00 48 83 A5 98 01 00 00 00 C6 85 88 01 00 00 00 48 8B 8D 80 01 00 00 E8 ?? ?? ?? ?? C6 44 24 20 01 E9 9B 04 00 00 48 8D 95 90 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 83 78 18 00 0F 94 C3 48 83 BD B0 00 00 00 10 72 0C 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 B0 00 00 00 0F 00 00 00 48 83 A5 A8 00 00 00 00 C6 85 98 00 00 00 00 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 48 83 A5 90 00 00 00 00 84 DB 0F 85 38 04 00 00 48 8D 95 B0 01 00 00 49 8B CF E8 ?? ?? ?? ?? 48 83 78 18 00 0F 94 C3 48 83 BD D0 01 00 00 10 72 0C 48 8B 8D B8 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 D0 01 00 00 0F 00 00 00 48 83 A5 C8 01 00 00 00 C6 85 B8 01 00 00 00 48 8B 8D B0 01 00 00 E8 ?? ?? ?? ?? 84 DB 48 8B 5C 24 30 0F 84 DD 03 00 00 C6 44 24 20 01 E9 D3 03 00 00 48 8D 55 00 49 8B CF E8 ?? ?? ?? ?? 90 33 F6 44 8B E6 48 89 75 D0 48 89 75 D8 48 8B 44 24 58 48 8B 5C 24 38 F6 40 18 08 75 70 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 61 40 38 77 08 75 42 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 B8 01 00 00 00 88 47 08 8A 4F 09 48 8D 45 08 48 83 7D 20 10 48 0F 43 45 08 3A 08 0F 85 80 00 00 00 49 83 FD 03 0F 85 85 00 00 00 41 8D 45 FE 48 39 45 48 77 7B 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 5D 40 38 77 08 75 42 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 B8 01 00 00 00 88 47 08 8A 4F 09 48 8D 45 08 48 83 7D 20 10 48 0F 43 45 08 3A 08 74 0F 49 83 C8 FF 33 D2 48 8D 4D 00 E8 ?? ?? ?? ?? 48 8D 55 B8 48 8D 4D 00 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 4C 8B 21 4C 89 65 D0 48 8B 70 10 48 89 75 E0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 0F 85 B6 00 00 00 41 83 CE 02 44 89 74 24 28 48 8D 55 A0 48 8D 4D 00 E8 ?? ?? ?? ?? 4D 85 E4 0F 84 A2 02 00 00 49 39 1C 24 0F 84 98 02 00 00 48 8B 08 48 85 C9 75 04 8B CB EB 03 48 8B 09 49 39 0C 24 0F 85 79 02 00 00 48 3B 70 10 0F 94 C0 84 C0 0F 94 C0 84 C0 74 64 38 5F 08 75 42 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F B8 01 00 00 00 88 47 08 8A 5F 09 48 8D 4D D0 E8 ?? ?? ?? ?? 3A 18 75 0B BA 01 00 00 00 8A C2 33 DB EB 09 33 DB 8A C3 BA 01 00 00 00 41 F6 C6 02 74 09 41 83 E6 FD 44 89 74 24 28 84 C0 74 59 4D 85 E4 0F 84 F4 01 00 00 49 8B 04 24 48 85 C0 0F 84 E7 01 00 00 48 85 F6 0F 84 DE 01 00 00 48 83 78 20 10 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 03 C8 48 3B F1 0F 83 B7 01 00 00 48 03 F2 48 89 75 E0 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 38 E9 C2 FE FF FF 48 8D 54 24 78 48 8D 4D 00 E8 ?? ?? ?? ?? 4D 85 E4 0F 84 99 01 00 00 49 39 1C 24 0F 84 8F 01 00 00 48 8B 08 }
	condition:
		$1
}

rule file_46_370_1 {
	meta:
		name = "?dtor$2@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_937_2 {
	meta:
		name = "?dtor$4@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_887_2 {
	meta:
		name = "?dtor$4@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_371_1 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 10 83 65 28 FE 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_46_372_1 {
	meta:
		name = "?dtor$4@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$13@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 00 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_373_1 {
	meta:
		name = "?dtor$5@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D C0 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_46_374_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D 60 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_46_375_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 50 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_376_1 {
	meta:
		name = "?dtor$8@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D F0 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_46_377_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 20 85 C0 74 10 83 65 28 DF 48 8D 8D 20 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_46_378_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 80 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_380_1 {
	meta:
		name = "?dtor$18@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_381_1 {
	meta:
		name = "?dtor$14@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_261_2 {
	meta:
		name = "?dtor$1@?0??_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_706_2 {
	meta:
		name = "?dtor$1@?0??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_702_2 {
	meta:
		name = "?dtor$1@?0??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_1003_1 {
	meta:
		name = "?dtor$2@?0??wait_for_all@agent@Concurrency@@SAX_KPEAPEAV12@PEAW4agent_status@2@I@Z@4HA"
		size = 16
		refs = "0008 ??1?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A D0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_383_1 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 2673
		refs = "002b __security_cookie 0073 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007c ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 0098 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 00a5 ??1locale@std@@QEAA@XZ 00b4 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00f3 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 01c3 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 020c ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 021c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 023b ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0262 ??3@YAXPEAX@Z 02ca ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 03e6 ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 0444 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0492 ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@_K@Z 06cc ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 06de ??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA?AV01@_J@Z 08c5 ??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA?AV01@_J@Z 0a52 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 38 FD FF FF 48 81 EC 90 03 00 00 48 C7 45 40 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 88 02 00 00 4D 8B E0 48 89 55 88 48 8B 9D F0 02 00 00 48 89 5C 24 30 44 8A AD F8 02 00 00 44 88 6C 24 20 48 8B BD 08 03 00 00 48 89 BD C0 01 00 00 48 8B CB 45 84 C9 74 1B 48 8D 55 80 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4D 80 EB 1B 48 8D 54 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 78 E8 ?? ?? ?? ?? 48 8D 95 28 02 00 00 49 8B CE E8 ?? ?? ?? ?? 90 49 8B 06 49 8B CE FF 50 38 99 8B F0 33 F2 2B F2 89 74 24 28 44 8B FE 4C 89 7C 24 40 B8 01 00 00 00 4C 39 7F 18 77 1C 45 8B C7 4C 2B 47 18 4C 03 C0 41 B1 30 33 D2 48 8B CF E8 ?? ?? ?? ?? E9 BA 00 00 00 48 8D 85 30 02 00 00 48 83 BD 48 02 00 00 10 48 0F 43 85 30 02 00 00 80 38 7F 0F 84 9A 00 00 00 48 8D 85 30 02 00 00 48 83 BD 48 02 00 00 10 48 0F 43 85 30 02 00 00 80 38 00 7E 7E 49 8B 06 49 8B CE FF 50 10 44 8A E8 48 8D 9D 30 02 00 00 48 83 BD 48 02 00 00 10 48 0F 43 9D 30 02 00 00 48 8B 77 18 49 2B F7 8A 0B 80 F9 7F 74 3F 41 BF 01 00 00 00 84 C9 7E 30 48 0F BE C1 48 3B C6 73 27 48 2B F0 45 8A CD 4D 8B C7 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 4C 8D 5B 01 41 80 3B 00 49 0F 4F DB 8A 0B 80 F9 7F 75 CC 4C 8B 7C 24 40 44 8A 6C 24 20 8B 74 24 28 48 8B 5C 24 30 48 8D 54 24 21 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 18 02 00 00 0F 00 00 00 33 C0 48 89 85 10 02 00 00 88 85 00 02 00 00 48 8D 54 24 24 49 8B CE 38 85 00 03 00 00 49 8B 06 74 2F FF 50 48 44 8B 5C 24 24 44 89 5C 24 24 48 8D 95 C8 01 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 90 EB 2D FF 50 40 44 8B 5C 24 24 44 89 5C 24 24 48 8D 95 C8 01 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 90 48 83 BD E8 01 00 00 10 72 0C 48 8B 8D D0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 E8 01 00 00 0F 00 00 00 48 83 A5 E0 01 00 00 00 C6 85 D0 01 00 00 00 48 8B 8D C8 01 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 21 48 8D 8D 58 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 78 02 00 00 0F 00 00 00 45 33 D2 4C 89 95 70 02 00 00 44 88 95 60 02 00 00 F6 43 18 08 74 5F 48 8D 95 C8 01 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D 58 02 00 00 E8 ?? ?? ?? ?? 90 48 83 BD E8 01 00 00 10 72 0C 48 8B 8D D0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 E8 01 00 00 0F 00 00 00 48 83 A5 E0 01 00 00 00 C6 85 D0 01 00 00 00 48 8B 8D C8 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 24 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 57 18 49 3B D7 77 0B 49 8B CF 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D6 48 13 D1 48 03 C2 EB 21 48 03 85 10 02 00 00 EB 18 48 03 85 70 02 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 48 8B 73 28 48 85 F6 7E 0A 48 3B F0 76 05 48 2B F0 EB 03 49 8B F2 8B 5B 18 81 E3 C0 01 00 00 83 FB 40 74 3C 81 FB 00 01 00 00 75 05 45 84 C9 75 2F 41 0F 10 04 24 F3 0F 7F 44 24 40 4C 8B CE 45 8A C5 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 45 33 D2 41 8B F2 4D 8B EA 48 63 DB 48 89 5C 24 40 42 8A 44 2C 24 3C 20 0F 84 07 04 00 00 3C 24 0F 84 90 03 00 00 3C 2B 0F 84 12 03 00 00 3C 76 74 0D 3C 78 0F 84 1C 04 00 00 E9 50 04 00 00 44 39 54 24 28 75 65 48 8D 95 60 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D D8 48 89 4D E0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 D8 49 8B 43 10 48 89 45 E8 41 0F 10 04 24 F3 0F 7F 45 50 4C 8B 4F 18 4C 8D 45 D8 48 8D 55 50 48 8D 8D 38 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 E9 DB 03 00 00 48 8B 5F 18 49 3B DF 0F 87 4A 01 00 00 49 8B 4C 24 08 48 85 C9 74 41 48 8B 41 48 4C 39 10 74 08 48 8B 41 60 8B 10 EB 03 41 8B D2 85 D2 7E 19 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 C6 02 30 EB 19 48 8B 01 BA 30 00 00 00 FF 50 18 83 F8 FF 75 09 B8 01 00 00 00 41 88 04 24 49 8B 06 49 8B CE FF 50 08 44 8A D8 49 8B 4C 24 08 33 DB 48 85 C9 74 43 48 8B 41 48 48 39 18 74 08 48 8B 41 60 8B 10 EB 02 8B D3 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 1A 41 0F B6 C3 EB 0A 41 0F B6 D3 48 8B 01 FF 50 18 83 F8 FF 75 09 B8 01 00 00 00 41 88 04 24 41 0F 10 04 24 F3 0F 7F 45 20 4D 8B CF 4C 2B 4F 18 41 B0 30 48 8D 55 20 48 8D 8D 28 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 8D 95 48 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B D8 48 89 5D 90 48 89 5D 98 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 90 49 8B 43 10 48 89 45 A0 41 0F 10 04 24 F3 0F 7F 45 30 4C 8B 4F 18 4C 8D 45 90 48 8D 55 30 48 8D 8D C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 40 E9 A1 FE FF FF 48 8D 95 90 01 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D A8 48 89 4D B0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 A8 49 8B 43 10 48 89 45 B8 41 0F 10 04 24 F3 0F 7F 45 10 49 2B DF 4C 8B CB 4C 8D 45 A8 48 8D 55 10 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 49 8B 06 49 8B CE FF 50 08 44 8A D8 49 8B 4C 24 08 33 DB 48 85 C9 74 43 48 8B 41 48 48 39 18 74 08 48 8B 41 60 8B 10 EB 02 8B D3 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 1A 41 0F B6 C3 EB 0A 41 0F B6 D3 48 8B 01 FF 50 18 83 F8 FF 75 09 B8 01 00 00 00 41 88 04 24 48 8D 95 78 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B C8 4D 8B C7 48 8D 95 A8 01 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 89 5D C0 48 89 5D C8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 C0 49 8B 43 10 48 89 45 D0 41 0F 10 04 24 F3 0F 7F 85 80 00 00 00 4D 8B CF 4C 8D 45 C0 48 8D 95 80 00 00 00 48 8D 8D D8 00 00 00 E9 B3 FE FF FF 4C 39 95 10 02 00 00 0F 86 42 01 00 00 48 8D 95 B0 00 00 00 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D F0 48 89 4D F8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 F0 49 8B 43 10 48 89 45 00 41 0F 10 04 24 F3 0F 7F 85 A0 00 00 00 41 B9 01 00 00 00 4C 8D 45 F0 48 8D 95 A0 00 00 00 48 8D 8D F8 00 00 00 E9 E8 FC FF FF 48 8D 95 C8 01 00 00 48 8D 8D 58 02 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4C 24 60 48 89 4C 24 68 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 60 49 8B 43 10 48 89 44 24 70 41 0F 10 04 24 F3 0F 7F 85 90 00 00 00 4C 8B 8D 70 02 00 00 4C 8D 44 24 60 48 8D 95 90 00 00 00 48 8D 8D 18 01 00 00 E9 79 FC FF FF 41 0F 10 04 24 F3 0F 7F 45 70 41 B9 01 00 00 00 44 8A 44 24 20 48 8D 55 70 48 8D 8D E8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 45 33 D2 48 81 FB 00 01 00 00 75 30 41 0F 10 04 24 F3 0F 7F 44 24 50 4C 8B CE 44 8A 44 24 20 48 8D 54 24 50 48 8D 4D 60 E8 ?? ?? ?? ?? 45 33 D2 41 8B F2 0F 10 00 F3 41 0F 7F 04 24 B8 01 00 00 00 4C 03 E8 49 83 FD 04 0F 82 70 FB FF FF 48 39 85 10 02 00 00 0F 86 8C 00 00 00 48 8D 95 C8 01 00 00 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 41 B8 01 00 00 00 48 8D 95 B0 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 45 33 ED 4C 89 6C 24 60 4C 89 6C 24 68 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 60 49 8B 43 10 48 89 44 24 70 41 0F 10 04 24 F3 0F 7F 44 24 50 4C 8B 8D 10 02 00 00 49 FF C9 4C 8D 44 24 60 48 8D 54 24 50 48 8D 4D 60 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 EB 03 45 33 ED 48 8B 44 24 30 4C 89 68 28 41 0F 10 04 24 F3 0F 7F 44 24 50 4C 8B CE 44 8A 44 24 20 48 8D 54 24 50 48 8B 5D 88 48 8B CB E8 ?? ?? ?? ?? 90 48 83 BD 78 02 00 00 10 72 0C 48 8B 8D 60 02 00 00 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 B5 78 02 00 00 4C 89 AD 70 02 00 00 44 88 AD 60 02 00 00 48 8B 8D 58 02 00 00 E8 ?? ?? ?? ?? 4C 89 AD 58 02 00 00 48 83 BD 18 02 00 00 10 72 0C 48 8B 8D 00 02 00 00 E8 ?? ?? ?? ?? 48 89 B5 18 02 00 00 4C 89 AD 10 02 00 00 44 88 AD 00 02 00 00 48 8B 8D F8 01 00 00 E8 ?? ?? ?? ?? 4C 89 AD F8 01 00 00 48 83 BD 48 02 00 00 10 72 0C 48 8B 8D 30 02 00 00 E8 ?? ?? ?? ?? 48 89 B5 48 02 00 00 4C 89 AD 40 02 00 00 44 88 AD 30 02 00 00 48 8B 8D 28 02 00 00 E8 ?? ?? ?? ?? 4C 89 AD 28 02 00 00 48 83 7F 20 10 72 09 48 8B 4F 08 E8 ?? ?? ?? ?? 48 89 77 20 4C 89 6F 18 44 88 6F 08 48 8B 0F E8 ?? ?? ?? ?? 4C 89 2F 48 8B C3 48 8B 8D 88 02 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 03 00 00 48 81 C4 90 03 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_384_1 {
	meta:
		name = "?dtor$0@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A C0 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_387_1 {
	meta:
		name = "?dtor$3@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 03 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_388_1 {
	meta:
		name = "?dtor$4@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A F8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_389_1 {
	meta:
		name = "?dtor$5@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$6@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A C8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_391_1 {
	meta:
		name = "?dtor$7@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 58 03 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_46_393_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 542
		refs = "0022 __security_cookie 0053 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z 005f ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0088 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00ad ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00d7 _invalid_parameter_noinfo_noreturn 0113 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 018d _Stoldx 01b4 ??3@YAXPEAX@Z 0208 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 57 48 8D 6C 24 F9 48 81 EC B0 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 4D 8B E8 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 65 7F 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 9F E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 41 BF 0F 00 00 00 48 83 7D B7 00 75 08 83 0F 02 E9 4F 01 00 00 48 8D 55 87 48 8D 4D CF E8 ?? ?? ?? ?? 4C 89 7D EF 48 83 65 E7 00 C6 45 D7 00 48 8B 4D B7 49 3B CF 74 2D 41 B0 01 48 8B D1 48 8D 4D CF E8 ?? ?? ?? ?? 84 C0 74 16 48 83 65 E7 00 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 C6 00 00 48 8B 4D B7 33 DB 48 85 C9 75 06 E8 ?? ?? ?? ?? CC 48 8D 45 A7 48 8B 55 A7 4C 8B 45 BF 49 83 F8 10 48 0F 43 C2 80 38 30 7C 11 48 8D 45 A7 49 83 F8 10 48 0F 43 C2 80 38 39 7E 22 41 B0 2D BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? BB 01 00 00 00 4C 8B 45 BF 48 8B 4D B7 48 8B 55 A7 48 3B D9 73 3F 48 3B D9 73 34 48 8D 45 A7 49 83 F8 10 48 0F 43 C2 44 8A 04 18 BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? 48 FF C3 48 8B 4D B7 48 3B D9 73 10 4C 8B 45 BF 48 8B 55 A7 EB C7 E8 ?? ?? ?? ?? CC 48 8D 5D D7 48 83 7D EF 10 48 0F 43 5D D7 83 65 8B 00 4C 8D 4D 8B 45 33 C0 48 8D 55 8F 48 8B CB E8 ?? ?? ?? ?? 48 39 5D 8F 74 0E 83 7D 8B 00 75 08 F2 41 0F 11 04 24 EB 03 83 0F 02 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 4C 89 7D EF 48 83 65 E7 00 C6 45 D7 00 48 8B 4D CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 0F 7F 06 48 83 7D BF 10 72 09 48 8B 4D A7 E8 ?? ?? ?? ?? 4C 89 7D BF 48 83 65 B7 00 C6 45 A7 00 48 8B 4D 9F E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 41 5F 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_46_396_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 228
		refs = "0017 __security_cookie 005a ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z 0066 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 008f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a9 ??3@YAXPEAX@Z 00d5 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 49 8B D9 49 8B E8 48 8B F2 48 8B 84 24 C8 00 00 00 48 8B BC 24 D0 00 00 00 4C 8B A4 24 D8 00 00 00 48 89 44 24 28 8A 84 24 C0 00 00 00 88 44 24 20 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 33 DB 84 C0 74 03 83 0F 01 48 39 5C 24 50 75 05 83 0F 02 EB 14 49 83 C9 FF 45 33 C0 48 8D 54 24 38 49 8B CC E8 ?? ?? ?? ?? 0F 10 45 00 F3 0F 7F 06 48 83 7C 24 58 10 72 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 C7 44 24 58 0F 00 00 00 48 89 5C 24 50 88 5C 24 40 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_46_398_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DO@Z"
		size = 476
		refs = "002c __security_cookie 006a __mask@@NegDouble@ 0074 __real@4733426172c74d82 0087 __real@4202a05f20000000 009f ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00c0 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00ce sprintf_s 00ea ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0144 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0184 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0195 ??3@YAXPEAX@Z 01b8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 90 FE FF FF FF 48 89 58 18 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 44 88 4C 24 40 4D 8B F0 4C 8B E2 4C 8B F9 48 8B 45 70 48 89 44 24 48 45 32 ED 66 0F 57 C0 F2 0F 10 B5 80 00 00 00 66 0F 2F C6 76 0B 41 B5 01 66 0F 57 35 ?? ?? ?? ?? 33 FF F2 0F 10 05 ?? ?? ?? ?? EB 15 48 81 FF 88 13 00 00 73 12 F2 0F 5E 35 ?? ?? ?? ?? 48 83 C7 0A 66 0F 2F F0 73 E5 48 8D 54 24 41 48 8D 4D 98 E8 ?? ?? ?? ?? 48 C7 45 B8 0F 00 00 00 48 83 65 B0 00 C6 45 A0 00 66 0F 28 DE 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D C8 E8 ?? ?? ?? ?? 33 DB 48 63 F0 85 C0 7E 1B 44 8A 44 1D C8 BA 01 00 00 00 48 8D 4D 98 E8 ?? ?? ?? ?? 48 FF C3 48 3B DE 7C E5 41 B0 30 48 8B D7 48 8D 4D 98 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 4C 89 5C 24 50 48 8D 54 24 41 48 8D 4C 24 60 E8 ?? ?? ?? ?? 90 BF 0F 00 00 00 48 89 7D 80 33 DB 48 89 5C 24 78 88 5C 24 68 49 83 C9 FF 45 33 C0 48 8D 55 98 48 8D 4C 24 60 E8 ?? ?? ?? ?? 90 41 0F 10 06 F3 0F 7F 44 24 50 48 8D 44 24 60 48 89 44 24 38 44 88 6C 24 30 8A 45 78 88 44 24 28 48 8B 44 24 48 48 89 44 24 20 44 8A 4C 24 40 4C 8D 44 24 50 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D B8 10 72 09 48 8B 4D A0 E8 ?? ?? ?? ?? 48 89 7D B8 48 89 5D B0 88 5D A0 48 8B 4D 98 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 01 00 00 49 8B 5B 50 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_46_401_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 393
		refs = "0028 __security_cookie 0088 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00a9 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 00c0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00fb ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0136 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0147 ??3@YAXPEAX@Z 016a __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 CF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 45 8A F9 4D 8B E8 4C 8B E2 4C 8B F1 48 8B 45 6F 48 89 45 87 48 8B 5D 7F 48 83 7B 20 10 72 06 48 8B 5B 08 EB 04 48 83 C3 08 40 32 F6 80 3B 2D 75 06 40 B6 01 48 FF C3 33 FF 8A 03 EB 0A 3C 39 7F 0A 48 FF C7 8A 04 1F 3C 30 7D F2 48 8D 54 24 40 48 8D 4D D7 E8 ?? ?? ?? ?? 90 48 C7 45 F7 0F 00 00 00 48 83 65 EF 00 C6 45 DF 00 4C 8B C7 48 8B D3 48 8D 4D D7 E8 ?? ?? ?? ?? 90 33 DB 48 85 FF 75 0F 41 B0 30 8D 53 01 48 8D 4D D7 E8 ?? ?? ?? ?? 48 8D 45 9F 48 89 45 8F 48 8D 54 24 40 48 8D 4D 9F E8 ?? ?? ?? ?? 90 BF 0F 00 00 00 48 89 7D BF 48 89 5D B7 88 5D A7 49 83 C9 FF 45 33 C0 48 8D 55 D7 48 8D 4D 9F E8 ?? ?? ?? ?? 90 41 0F 10 45 00 F3 0F 7F 45 8F 48 8D 45 9F 48 89 44 24 38 40 88 74 24 30 8A 45 77 88 44 24 28 48 8B 45 87 48 89 44 24 20 45 8A CF 4C 8D 45 8F 49 8B D4 49 8B CE E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 89 7D F7 48 89 5D EF 88 5D DF 48 8B 4D D7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_49_7_1 {
	meta:
		name = "?_Choose@_Concurrent_queue_rep@details@Concurrency@@QEAAAEAU_Micro_queue@23@_K@Z"
		size = 20
	strings:
		$1 = { 48 8D 04 52 83 E0 07 48 8D 04 80 48 8D 84 C1 80 00 00 00 C3 }
	condition:
		$1
}

rule file_49_9_1 {
	meta:
		name = "??0_Pop_finalizer@_Micro_queue@details@Concurrency@@QEAA@AEAU123@AEAV_Concurrent_queue_base_v4@23@_KPEAU_Page@423@@Z"
		size = 24
	strings:
		$1 = { 48 8B 44 24 28 4C 89 09 48 89 51 08 48 89 41 10 48 8B C1 4C 89 41 18 C3 }
	condition:
		$1
}

rule file_49_10_1 {
	meta:
		name = "?_Internal_throw_exception@_Concurrent_queue_base_v4@details@Concurrency@@IEBAXXZ"
		size = 67
		refs = "0007 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBDH@Z 0028 ??_7bad_alloc@std@@6B@ 002f _TI2?AVbad_alloc@std@@ 003e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_49_29_1 {
	meta:
		name = "??0_Concurrent_queue_base_v4@details@Concurrency@@IEAA@_K@Z"
		size = 144
		refs = "0013 ??_7_Concurrent_queue_base_v4@details@Concurrency@@6B@ 0066 ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z 007a memset"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 81 FA 80 00 00 00 0F 96 C0 B9 04 00 00 00 FF C0 48 83 FA 40 44 8D 41 1C 0F 46 C1 49 3B D0 8D 51 0C 44 8D 49 04 41 0F 46 C1 48 3B DA 0F 46 C2 49 3B D9 41 8D 49 F9 41 0F 46 C0 45 33 C0 BA C0 01 00 00 48 98 48 89 47 10 E8 ?? ?? ?? ?? 33 D2 48 8B C8 41 B8 C0 01 00 00 48 89 47 08 E8 ?? ?? ?? ?? 48 89 5F 18 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_49_30_1 {
	meta:
		name = "??1_Concurrent_queue_base_v4@details@Concurrency@@MEAA@XZ"
		size = 19
		refs = "0003 ??_7_Concurrent_queue_base_v4@details@Concurrency@@6B@ 000f ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_49_31_1 {
	meta:
		name = "?_Assign@_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAAXAEBV123@@Z"
		size = 103
		refs = "001e ?NFS_Free@details@Concurrency@@YAXPEAX@Z 0037 ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z 0050 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 48 8B 09 48 8B DA 48 3B 0A 74 3C 48 85 C9 74 09 E8 ?? ?? ?? ?? 48 83 27 00 48 83 3B 00 74 28 45 33 C0 41 8D 50 50 8D 4A B1 E8 ?? ?? ?? ?? 48 89 07 48 85 C0 74 11 48 8B 13 48 8B C8 41 B8 50 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 08 48 8B 5C 24 30 48 89 47 08 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_49_41_1 {
	meta:
		name = "??1_Pop_finalizer@_Micro_queue@details@Concurrency@@QEAA@XZ"
		size = 113
		refs = "0024 ??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z 0045 ??1_SpinLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 79 10 48 8B D9 48 85 FF 74 33 48 8B 51 08 48 8D 4C 24 30 48 83 C2 20 E8 ?? ?? ?? ?? 4C 8B 1F 48 8B 43 08 4C 89 18 4D 85 DB 75 08 48 8B 43 08 4C 89 58 10 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 0B 48 8B 43 08 48 89 48 08 48 85 FF 74 0D 48 8B 4B 18 48 8B D7 48 8B 01 FF 50 20 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_49_42_1 {
	meta:
		name = "??_G_Concurrent_queue_base_v4@details@Concurrency@@MEAAPEAXI@Z"
		size = 61
		refs = "000d ??_7_Concurrent_queue_base_v4@details@Concurrency@@6B@ 001e ?NFS_Free@details@Concurrency@@YAXPEAX@Z 002b ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 8B 49 08 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_49_43_1 {
	meta:
		name = "?_Internal_size@_Concurrent_queue_base_v4@details@Concurrency@@IEBA_KXZ"
		size = 19
	strings:
		$1 = { 48 8B 41 08 48 8B 40 40 48 8B 49 08 48 8B 11 48 2B C2 C3 }
	condition:
		$1
}

rule file_49_44_1 {
	meta:
		name = "?_Internal_empty@_Concurrent_queue_base_v4@details@Concurrency@@IEBA_NXZ"
		size = 40
	strings:
		$1 = { 48 8B 41 08 48 8B 50 40 48 8B 41 08 4C 8B 00 48 8B 41 08 48 8B 40 40 48 3B D0 75 09 33 C0 49 3B D0 0F 94 C0 C3 32 C0 C3 }
	condition:
		$1
}

rule file_49_45_1 {
	meta:
		name = "?_Internal_finish_clear@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXXZ"
		size = 90
		refs = "0023 invalid_page"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B F9 33 DB 48 8B 47 08 48 8B 94 18 90 00 00 00 48 85 D2 74 22 48 3B 15 ?? ?? ?? ?? 74 09 48 8B 07 48 8B CF FF 50 20 48 8B 47 08 48 C7 84 18 90 00 00 00 00 00 00 00 48 83 C3 28 48 81 FB 40 01 00 00 72 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_49_46_1 {
	meta:
		name = "??0_Concurrent_queue_iterator_rep@details@Concurrency@@QEAA@AEBV_Concurrent_queue_base_v4@12@@Z"
		size = 55
	strings:
		$1 = { 48 8B 42 08 48 8B 00 48 89 51 08 41 B9 08 00 00 00 48 89 01 4C 8B 42 08 48 8D 51 10 49 83 E8 80 49 8B 00 49 83 C0 28 48 89 02 48 83 C2 08 49 FF C9 75 ED 48 8B C1 C3 }
	condition:
		$1
}

rule file_49_47_1 {
	meta:
		name = "?choose@_Concurrent_queue_iterator_rep@details@Concurrency@@QEAAPEAX_K@Z"
		size = 70
	strings:
		$1 = { 48 8B 41 08 4C 8B C2 4C 8B C9 48 8B 40 08 48 8B 40 40 48 3B D0 75 03 33 C0 C3 48 8B 49 08 49 8B C0 48 8B 51 10 48 C1 E8 03 48 FF CA 48 23 D0 4B 8D 04 40 83 E0 07 48 0F AF 51 18 49 8B 44 C1 10 48 8D 44 02 10 C3 }
	condition:
		$1
}

rule file_49_48_1 {
	meta:
		name = "??0_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAA@AEBV_Concurrent_queue_base_v4@12@@Z"
		size = 175
		refs = "001b ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 45 33 C0 48 8B FA 48 8B D9 41 8D 50 50 8D 4A B1 E8 ?? ?? ?? ?? 45 33 C9 48 89 03 48 85 C0 74 31 48 8B 4F 08 48 8B 09 48 89 78 08 48 8D 50 10 48 89 08 48 8B 4F 08 45 8D 41 08 48 83 E9 80 48 8B 01 48 83 C1 28 48 89 02 48 83 C2 08 49 FF C8 75 ED 4C 8B 03 49 8B 40 08 4D 8B 10 48 8B 40 08 48 8B 40 40 4C 3B D0 74 2B 49 8B 48 08 49 8B C2 48 8B 51 10 48 C1 E8 03 48 FF CA 48 23 D0 4B 8D 04 52 48 0F AF 51 18 83 E0 07 49 8B 44 C0 10 4C 8D 4C 02 10 4C 89 4B 08 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_49_49_1 {
	meta:
		name = "?_Advance@_Concurrent_queue_iterator_base_v4@details@Concurrency@@IEAAXXZ"
		size = 136
	strings:
		$1 = { 4C 8B 09 4C 8B C1 49 8B 41 08 4D 8B 11 48 8B 50 10 49 8B C2 48 FF CA 48 C1 E8 03 48 23 C2 48 3B C2 75 14 4B 8D 14 52 83 E2 07 49 8B 44 D1 10 48 8B 08 49 89 4C D1 10 49 8B 00 49 FF C2 4C 89 10 4D 8B 08 49 8B 41 08 48 8B 40 08 48 8B 40 40 4C 3B D0 75 04 33 C0 EB 2B 49 8B 49 08 49 8B C2 48 8B 51 10 48 C1 E8 03 48 FF CA 48 23 D0 4B 8D 04 52 48 0F AF 51 18 83 E0 07 49 8B 44 C1 10 48 8D 44 02 10 49 89 40 08 C3 }
	condition:
		$1
}

rule file_49_51_1 {
	meta:
		name = "??$SpinwaitUntilEq@V?$_Subatomic@_K@details@Concurrency@@_K@details@Concurrency@@YAXAECV?$_Subatomic@_K@01@_K@Z"
		size = 70
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 002f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B DA 48 89 44 24 30 48 8B F9 48 8B 01 48 3B C2 74 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 07 48 3B C3 75 EE 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_49_52_1 {
	meta:
		name = "??$SpinwaitWhileEq@V?$_Subatomic@_K@details@Concurrency@@_K@details@Concurrency@@YAXAECV?$_Subatomic@_K@01@_K@Z"
		size = 70
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 002f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "??$SpinwaitWhileEq@V?$_Subatomic@PEAU_Segment_t@_Concurrent_vector_base_v4@details@Concurrency@@@details@Concurrency@@PEAU_Segment_t@_Concurrent_vector_base_v4@23@@details@Concurrency@@YAXAECV?$_Subatomic@PEAU_Segment_t@_Concurrent_vector_base_v4@details@Concurrency@@@01@PEAU_Segment_t@_Concurrent_vector_base_v4@01@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B DA 48 89 44 24 30 48 8B F9 48 8B 01 48 3B C2 75 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 07 48 3B C3 74 EE 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_49_53_1 {
	meta:
		name = "?_Push@_Micro_queue@details@Concurrency@@QEAAXPEBX_KAEAV_Concurrent_queue_base_v4@23@@Z"
		size = 350
		refs = "0082 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0091 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00ac ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00c9 ??0exception@std@@QEAA@AEBQEBDH@Z 00d0 ??_7bad_alloc@std@@6B@ 00dc _TI2?AVbad_alloc@std@@ 00e6 _CxxThrowException 00fd ??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z 011f ??1_SpinLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 4D 8B E9 49 8B F0 4C 8B FA 48 8B F9 48 83 E6 F8 48 89 B4 24 C0 00 00 00 33 DB 4D 8B 71 10 44 8D 63 01 4D 2B F4 48 8B C6 48 C1 E8 03 4C 23 F0 75 15 49 8B 01 49 8B C9 FF 50 18 48 8B D8 48 83 60 08 00 48 83 20 00 48 8D 46 08 48 89 44 24 30 48 89 7C 24 38 48 8B 47 18 48 3B C6 74 71 83 64 24 48 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 50 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 47 18 41 84 C4 75 0B 48 8B 47 18 48 3B C6 74 44 EB E2 48 8D 05 ?? ?? ?? ?? 48 89 84 24 C0 00 00 00 45 8B C4 48 8D 94 24 C0 00 00 00 48 8D 4C 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 58 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 E8 ?? ?? ?? ?? CC 48 85 DB 74 35 48 8D 57 20 48 8D 8C 24 C8 00 00 00 E8 ?? ?? ?? ?? 48 8B 47 10 48 85 C0 74 05 48 89 18 EB 03 48 89 1F 48 89 5F 10 48 8D 8C 24 C8 00 00 00 E8 ?? ?? ?? ?? EB 04 48 8B 5F 10 49 8B 45 00 4D 8B CF 4D 8B C6 48 8B D3 49 8B CD FF 10 49 8B CE 49 D3 E4 4C 09 63 08 48 8B 44 24 30 48 89 47 18 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_49_55_1 {
	meta:
		name = "__catch$?_Push@_Micro_queue@details@Concurrency@@QEAAXPEBX_KAEAV_Concurrent_queue_base_v4@23@@Z$0"
		size = 98
		refs = "0003 ?dummy@?1??_Push@_Micro_queue@details@Concurrency@@QEAAXPEBX_KAEAV_Concurrent_queue_base_v4@34@@Z@4U_Page@534@A 000a invalid_page 001e ??0_SpinLock@details@Concurrency@@QEAA@AECJ@Z 005a _CxxThrowException"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 9D B0 00 00 00 48 8D 53 20 48 8D 4D 28 E8 ?? ?? ?? ?? 90 48 8B 85 C0 00 00 00 48 83 C0 09 48 89 43 18 48 8B 4B 10 48 8B 05 ?? ?? ?? ?? 48 85 C9 74 05 48 89 01 EB 0A 48 89 03 48 8B 05 ?? ?? ?? ?? 48 89 43 10 33 D2 33 C9 E8 ?? ?? ?? ?? 90 CC CC CC }
	condition:
		$1
}

rule file_49_56_1 {
	meta:
		name = "?dtor$0@?0??_Push@_Micro_queue@details@Concurrency@@QEAAXPEBX_KAEAV_Concurrent_queue_base_v4@23@@Z@4HA"
		size = 16
		refs = "0008 ??1_SpinLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_827_1 {
	meta:
		name = "?dtor$0@?0??unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_846_1 {
	meta:
		name = "?dtor$0@?0??unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_783_1 {
	meta:
		name = "?dtor$0@?0??unlink_sources@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_858_1 {
	meta:
		name = "?dtor$0@?0??unlink_sources@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_988_1 {
	meta:
		name = "?dtor$1@?0??_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_989_1 {
	meta:
		name = "?dtor$2@?0??_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ@4HA"
		size = 16
		refs = "0008 ??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_49_58_1 {
	meta:
		name = "?_Pop@_Micro_queue@details@Concurrency@@QEAA_NPEAX_KAEAV_Concurrent_queue_base_v4@23@@Z"
		size = 247
		refs = "003c ?_UnderlyingYield@details@Concurrency@@YAXXZ 0050 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00d3 ??1_Pop_finalizer@_Micro_queue@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 41 54 41 55 48 81 EC 80 00 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 49 8B E9 49 8B D8 4C 8B E2 48 8B F1 48 83 E3 F8 33 FF 89 78 98 4C 8D 2D ?? ?? ?? ?? 4C 89 68 A0 48 8B 41 08 EB 0E 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 46 08 48 3B C3 75 ED 89 7C 24 48 4C 89 6C 24 50 EB 0A 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 46 18 48 3B C3 74 ED 4C 8B 06 48 8B 45 10 48 FF C8 4C 8B CB 49 C1 E9 03 4C 23 C8 48 8B CF 4C 3B C8 49 0F 44 C8 48 8D 43 08 48 89 44 24 58 48 89 74 24 60 48 89 4C 24 68 48 89 6C 24 70 49 8B 40 08 4C 0F A3 C8 73 12 40 B7 01 4C 8B 55 00 49 8B D4 48 8B CD 41 FF 52 08 90 48 8D 4C 24 58 E8 ?? ?? ?? ?? 40 8A C7 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_49_60_1 {
	meta:
		name = "?_Internal_push@_Concurrent_queue_base_v4@details@Concurrency@@IEAAXPEBX@Z"
		size = 46
		refs = "002a ?_Push@_Micro_queue@details@Concurrency@@QEAAXPEBX_KAEAV_Concurrent_queue_base_v4@23@@Z"
	strings:
		$1 = { 4C 8B 49 08 4C 8B D1 41 B8 01 00 00 00 F0 4D 0F C1 41 40 4B 8D 04 40 83 E0 07 48 8D 04 80 49 8D 8C C1 80 00 00 00 4D 8B CA E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_49_61_1 {
	meta:
		name = "?_Internal_pop_if_present@_Concurrent_queue_base_v4@details@Concurrency@@IEAA_NPEAX@Z"
		size = 119
		refs = "0059 ?_Pop@_Micro_queue@details@Concurrency@@QEAA_NPEAX_KAEAV_Concurrent_queue_base_v4@23@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 08 48 8B F2 48 8B F9 4C 8B 13 4C 8B 43 40 4D 3B D0 74 40 49 8B D2 49 8D 4A 01 49 8B C2 F0 48 0F B1 0B 4C 8B D0 48 3B C2 75 E0 48 8D 04 40 4C 8B CF 4D 8B C2 83 E0 07 48 8B D6 48 8D 04 80 48 8D 8C C3 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 B8 B0 01 EB 02 32 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_63_1 {
	meta:
		name = "?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAD00@Z"
		size = 25
	strings:
		$1 = { 48 8B 41 20 45 2B C8 48 89 10 48 8B 41 40 4C 89 00 48 8B 41 58 44 89 08 C3 }
	condition:
		$1
}

rule file_52_68_1 {
	meta:
		name = "?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXPEAD0@Z"
		size = 25
	strings:
		$1 = { 48 8B 41 28 44 2B C2 48 89 10 48 8B 41 48 48 89 10 48 8B 41 60 44 89 00 C3 }
	condition:
		$1
}

rule file_52_120_1 {
	meta:
		name = "?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXH@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 58 29 10 48 8B 49 40 48 63 C2 48 01 01 C3 }
	condition:
		$1
}

rule file_52_123_1 {
	meta:
		name = "?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAXH@Z"
		size = 17
	strings:
		$1 = { 48 8B 41 60 29 10 48 8B 49 48 48 63 C2 48 01 01 C3 }
	condition:
		$1
}

rule file_52_126_1 {
	meta:
		name = "?uflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 53
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 01 48 8B D9 FF 50 30 83 CA FF 3B C2 74 17 48 8B 43 58 01 10 48 8B 4B 40 48 8B 11 48 8D 42 01 48 89 01 0F B6 12 8B C2 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_52_127_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA_JPEAD_J@Z"
		size = 178
		refs = "0055 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 FF 49 8B D8 48 8B EA 48 8B F1 4D 85 C0 7E 6B 48 8B 56 40 48 83 3A 00 74 08 48 8B 46 58 8B 08 EB 02 33 C9 4C 63 E1 85 C9 7E 31 48 8B 12 49 3B DC 48 8B CD 4C 0F 4C E3 4D 8B C4 E8 ?? ?? ?? ?? 48 8B 46 58 49 03 EC 44 29 20 48 8B 4E 40 49 63 C4 49 03 FC 49 2B DC 48 01 01 EB 1A 48 8B 06 48 8B CE FF 50 38 83 F8 FF 74 11 88 45 00 48 FF C7 48 FF C5 48 FF CB 48 85 DB 7F 95 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_52_128_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MEAA_JPEBD_J@Z"
		size = 179
		refs = "0055 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 33 FF 49 8B D8 48 8B EA 48 8B F1 4D 85 C0 7E 6C 4C 8B 4E 48 49 83 39 00 74 08 48 8B 46 60 8B 08 EB 02 33 C9 4C 63 E1 85 C9 7E 31 49 8B 09 49 3B DC 48 8B D5 4C 0F 4C E3 4D 8B C4 E8 ?? ?? ?? ?? 48 8B 46 60 49 03 EC 44 29 20 48 8B 4E 48 49 63 C4 49 03 FC 49 2B DC 48 01 01 EB 1B 48 8B 06 0F B6 55 00 48 8B CE FF 50 18 83 F8 FF 74 0E 48 FF C5 48 FF C7 48 FF CB 48 85 DB 7F 94 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_52_135_1 {
	meta:
		name = "?_Reset_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 43
	strings:
		$1 = { 4C 8B 41 20 48 8D 81 88 00 00 00 49 39 00 75 1A 48 8B 41 70 48 8B 51 78 49 89 00 48 8B 41 40 48 89 10 48 8B 41 58 2B D2 89 10 C3 }
	condition:
		$1
}

rule file_52_165_1 {
	meta:
		name = "?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
		size = 173
		refs = "009b ?_Stinit@?1??_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 41 83 F8 01 4C 8D 41 18 4C 89 41 28 0F 94 C0 45 33 C9 88 81 90 00 00 00 44 88 89 89 00 00 00 48 8D 41 10 48 89 41 20 48 8D 41 30 48 89 41 40 48 8D 41 38 48 89 41 48 48 8D 41 50 48 89 41 58 48 8D 41 54 48 89 41 60 4D 89 08 48 8B 41 48 4C 89 08 48 8B 41 60 44 89 08 48 8B 41 20 4C 89 08 48 8B 41 40 4C 89 08 48 8B 41 58 44 89 08 48 85 D2 74 20 48 8D 42 10 48 89 51 40 48 89 51 48 48 89 41 20 48 89 41 28 48 8D 42 08 48 89 41 58 48 89 41 60 48 89 91 98 00 00 00 8B 05 ?? ?? ?? ?? 4C 89 89 80 00 00 00 89 81 8C 00 00 00 C3 }
	condition:
		$1
}

rule file_52_176_1 {
	meta:
		name = "??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QEAA@PEAU_iobuf@@@Z"
		size = 59
		refs = "0011 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 0018 ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0029 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 45 33 C0 48 8B D3 48 8B CF 4C 89 1F E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_185_1 {
	meta:
		name = "??$_Fgetc@D@std@@YA_NAEADPEAU_iobuf@@@Z"
		size = 36
		refs = "000d fgetc"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B CA E8 ?? ?? ?? ?? 83 F8 FF 75 04 32 C0 EB 04 88 03 B0 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_52_186_1 {
	meta:
		name = "??$_Fputc@D@std@@YA_NDPEAU_iobuf@@@Z"
		size = 23
		refs = "0008 fputc"
	strings:
		$1 = { 48 83 EC 28 0F BE C9 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_187_1 {
	meta:
		name = "??$_Ungetc@D@std@@YA_NAEBDPEAU_iobuf@@@Z"
		size = 23
		refs = "0008 ungetc"
	strings:
		$1 = { 48 83 EC 28 0F B6 09 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_52_190_1 {
	meta:
		name = "?sync@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 69
		refs = "002e fflush"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 B9 98 00 00 00 00 48 8B F9 74 1F 48 8B 01 83 CB FF 8B D3 FF 50 18 3B C3 74 10 48 8B 8F 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 78 02 33 DB 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_193_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAAPEADXZ"
		size = 20
	strings:
		$1 = { 48 8B 41 58 FF 00 48 8B 51 40 48 8B 02 48 FF C8 48 89 02 C3 }
	condition:
		$1
}

rule file_52_204_1 {
	meta:
		name = "?underflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 87
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 40 48 8B D9 48 8B 08 48 85 C9 74 14 48 8B 43 58 48 63 10 48 03 D1 48 3B CA 73 05 0F B6 01 EB 1F 48 8B 03 48 8B CB FF 50 38 8B F8 83 C8 FF 3B F8 74 0D 48 8B 03 8B D7 48 8B CB FF 50 20 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_205_1 {
	meta:
		name = "?_Set_back@?$basic_filebuf@DU?$char_traits@D@std@@@std@@AEAAXXZ"
		size = 73
	strings:
		$1 = { 4C 8B C1 48 8B 49 20 48 8B 01 4D 8D 88 88 00 00 00 49 3B C1 74 16 49 89 40 70 49 8B 40 58 48 63 10 49 8B 40 40 48 03 10 49 89 50 78 4C 89 09 49 8B 40 40 41 8B C8 4C 89 08 49 8B 40 58 41 2B C9 81 C1 89 00 00 00 89 08 C3 }
	condition:
		$1
}

rule file_52_213_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 209
		refs = "0069 ungetc"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 41 40 8B FA 48 8B D9 48 8B 10 33 C9 48 85 D2 74 2D 48 8B 43 20 48 39 10 73 24 83 FF FF 74 08 0F B6 42 FF 3B C7 75 17 48 8B 43 58 FF 00 48 8B 43 40 48 FF 08 83 FF FF 0F 45 CF 8B C1 EB 7C 48 8B 93 98 00 00 00 48 85 D2 74 6D 83 FF FF 74 68 48 39 8B 80 00 00 00 75 12 40 0F B6 CF E8 ?? ?? ?? ?? 83 F8 FF 74 04 8B C7 EB 50 4C 8B 43 40 48 8D 93 88 00 00 00 49 39 10 74 3D 4C 8B 4B 20 40 88 3A 49 8B 01 48 3B C2 74 12 48 89 43 70 48 8B 43 58 48 63 08 49 03 08 48 89 4B 78 49 89 11 48 8B 43 40 8B CB 48 89 10 48 8B 43 58 2B CA 81 C1 89 00 00 00 89 08 EB AF 83 C8 FF 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_218_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@PEAD_J@Z"
		size = 84
		refs = "002c setvbuf 0043 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 89 98 00 00 00 4D 8B C8 48 85 C9 74 34 48 85 D2 75 0B 4D 85 C0 75 06 45 8D 41 04 EB 03 45 33 C0 E8 ?? ?? ?? ?? 85 C0 75 18 48 8B 93 98 00 00 00 44 8D 40 01 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_52_223_1 {
	meta:
		name = "?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QEBADD@Z"
		size = 79
		refs = "001d ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0026 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0033 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 40 8A FA 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 50 E8 ?? ?? ?? ?? 4C 8B 1B 40 8A D7 48 8B CB 41 FF 53 30 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_52_231_1 {
	meta:
		name = "?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IEAAXPEAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
		size = 151
		refs = "0023 ?_Init@ios_base@std@@IEAAXXZ 0039 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0042 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 004f ??1locale@std@@QEAA@XZ 0076 ?clear@ios_base@std@@QEAAXH_N@Z 0083 ?_Addstd@ios_base@std@@SAXPEAV12@@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 41 8A F0 48 8B DA 48 8B F9 E8 ?? ?? ?? ?? 48 89 5F 48 48 83 67 50 00 48 8D 54 24 40 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 1B B2 20 48 8B CB 41 FF 53 30 88 47 58 48 83 7F 48 00 75 11 8B 57 10 83 CA 04 45 33 C0 48 8B CF E8 ?? ?? ?? ?? 40 84 F6 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_52_236_1 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 730
		refs = "002a __security_cookie 00bf fgetc 00e3 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0121 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 012f ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0137 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 01e9 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 022c memcpy_s 026b ungetc 0291 ??3@YAXPEAX@Z 02ba __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 55 41 57 48 8D 68 C8 48 81 EC 10 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 08 48 8B F1 48 8B 41 40 48 83 38 00 74 2F 48 8B 10 48 8B 41 58 48 63 08 48 03 CA 48 3B D1 73 1D 41 83 CC FF 44 01 20 48 8B 4E 40 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 E9 41 02 00 00 48 83 BE 98 00 00 00 00 75 08 83 C8 FF E9 2F 02 00 00 48 8B 56 20 48 8D 86 88 00 00 00 48 39 02 75 1A 48 8B 4E 78 48 8B 46 70 48 89 02 48 8B 46 40 48 89 08 2B C9 48 8B 46 58 89 08 48 83 BE 80 00 00 00 00 75 22 48 8B 8E 98 00 00 00 E8 ?? ?? ?? ?? 41 83 CC FF 41 3B C4 0F 84 DF 01 00 00 44 0F B6 E0 E9 D6 01 00 00 48 8D 54 24 40 48 8D 4D D8 E8 ?? ?? ?? ?? 48 C7 45 F8 0F 00 00 00 48 83 65 F0 00 C6 45 E0 00 48 8B 8E 98 00 00 00 E8 ?? ?? ?? ?? 41 83 CC FF 41 3B C4 0F 84 74 01 00 00 45 8D 7C 24 02 44 8A C0 49 8B D7 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D F0 48 8D 55 90 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 8E 80 00 00 00 4C 8B 11 4C 8D 0C 3B 48 8D 54 24 50 48 89 54 24 38 48 8D 54 24 41 48 89 54 24 30 48 8D 54 24 40 48 89 54 24 28 48 8D 54 24 48 48 89 54 24 20 4C 8B C0 48 8D 96 8C 00 00 00 41 FF 52 20 85 C0 0F 88 E0 00 00 00 41 3B C7 7E 11 83 F8 03 0F 85 D2 00 00 00 4C 39 7D F0 73 50 EB 34 48 8D 44 24 40 48 8D 4D D8 48 39 44 24 50 75 6F 48 8D 55 C0 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B 44 24 48 4C 2B C0 33 D2 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B 8E 98 00 00 00 E8 ?? ?? ?? ?? 41 3B C4 0F 84 83 00 00 00 E9 0F FF FF FF 48 8D 54 24 78 48 8D 4D D8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8B C0 4D 8B CF 49 8B D7 48 8D 4C 24 40 E8 ?? ?? ?? ?? 44 0F B6 64 24 40 EB 4D 48 8D 55 A8 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 8B 4D F0 48 8B 54 24 48 2B CA 03 C8 48 63 D9 85 C9 7E 1F 49 2B DF 0F BE 0C 13 48 8B 96 98 00 00 00 E8 ?? ?? ?? ?? 48 85 DB 7E 07 48 8B 54 24 48 EB E1 44 0F B6 64 24 40 EB 02 EB 00 48 83 7D F8 10 72 09 48 8B 4D E0 E8 ?? ?? ?? ?? 48 C7 45 F8 0F 00 00 00 48 83 65 F0 00 C6 45 E0 00 48 8B 4D D8 E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D 08 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 10 01 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_52_240_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ"
		size = 574
		refs = "0029 __security_cookie 0076 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0099 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 009e ?_Xlength_error@std@@YAXPEBD@Z 00ad memset 00d5 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00dd ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 0183 fwrite 01be ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01dc ??3@YAXPEAX@Z 021e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 55 41 56 48 8D 68 A1 48 81 EC E0 00 00 00 48 C7 45 97 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 4C 8B E1 45 33 ED 44 89 6D 8F 4C 39 A9 80 00 00 00 0F 84 C9 01 00 00 44 38 A9 89 00 00 00 0F 84 BC 01 00 00 48 8B 01 83 CA FF FF 50 18 83 F8 FF 75 07 32 C0 E9 A9 01 00 00 48 8D 55 87 48 8D 4D FF E8 ?? ?? ?? ?? 90 48 C7 45 1F 0F 00 00 00 48 83 65 17 00 C6 45 07 00 BB 08 00 00 00 80 FB FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 8B C3 33 D2 48 8D 4D 07 E8 ?? ?? ?? ?? 48 89 5D 17 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 C6 40 08 00 BE 01 00 00 00 48 8D 55 9F 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5D 17 48 8D 55 E7 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 49 8B 8C 24 80 00 00 00 4C 8B 11 4C 8D 0C 1F 48 8D 55 8F 48 89 54 24 20 4C 8B C0 49 8D 94 24 8C 00 00 00 41 FF 52 30 85 C0 74 0A FF C8 0F 85 97 00 00 00 EB 09 41 C6 84 24 89 00 00 00 00 48 8D 55 B7 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5D 8F 48 2B D8 74 38 44 0B EE 48 8D 55 CF 48 8D 4D FF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8B 8C 24 98 00 00 00 4C 8B C3 48 8B D6 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 05 40 8A C6 EB 02 32 C0 44 84 EE 74 04 41 83 E5 FE 84 C0 75 42 41 38 84 24 89 00 00 00 74 26 48 85 DB 0F 85 19 FF FF FF 45 33 C0 8D 53 08 48 8D 4D FF E8 ?? ?? ?? ?? E9 05 FF FF FF 83 E8 02 74 02 EB 14 EB 00 48 83 7D 1F 10 72 1E 48 8B 4D 07 E8 ?? ?? ?? ?? EB 13 48 83 7D 1F 10 72 09 48 8B 4D 07 E8 ?? ?? ?? ?? 40 32 F6 48 C7 45 1F 0F 00 00 00 48 83 65 17 00 C6 45 07 00 48 8B 4D FF E8 ?? ?? ?? ?? 40 8A C6 EB 02 B0 01 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 E0 00 00 00 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_52_243_1 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 761
		refs = "0029 __security_cookie 00da fputc 00f8 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 011a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 011f ?_Xlength_error@std@@YAXPEBD@Z 012e memset 0150 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0158 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 0218 fwrite 0265 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 027c ??3@YAXPEAX@Z 02da __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A1 48 81 EC 00 01 00 00 48 C7 44 24 58 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 17 44 8B EA 4C 8B E1 33 DB 44 8B F3 89 5C 24 48 83 CE FF 3B D6 75 07 33 C0 E9 81 02 00 00 48 8B 51 48 48 39 1A 74 2B 48 8B 41 60 48 63 08 48 03 0A 48 39 0A 73 1C 01 30 49 8B 54 24 48 4C 8B 02 49 8D 48 01 48 89 0A 45 88 28 41 8B C5 E9 4D 02 00 00 49 39 9C 24 98 00 00 00 0F 84 3D 02 00 00 49 8B 54 24 20 49 8D 84 24 88 00 00 00 48 39 02 75 1E 49 8B 4C 24 78 49 8B 44 24 70 48 89 02 49 8B 44 24 40 48 89 08 2B C9 49 8B 44 24 58 89 08 49 39 9C 24 80 00 00 00 75 1C 41 0F BE CD 49 8B 94 24 98 00 00 00 E8 ?? ?? ?? ?? 3B C6 41 0F 45 F5 E9 E7 01 00 00 44 88 6C 24 40 48 8D 54 24 41 48 8D 4D E7 E8 ?? ?? ?? ?? 90 48 C7 45 07 0F 00 00 00 48 89 5D FF 88 5D EF BF 08 00 00 00 40 80 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 8B C7 33 D2 48 8D 4D EF E8 ?? ?? ?? ?? 48 89 7D FF 48 8D 45 EF 48 83 7D 07 10 48 0F 43 45 EF 88 58 08 48 8D 55 87 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5D FF 48 8B F8 48 8D 55 9F 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4C 8D 44 24 48 4C 89 44 24 38 48 8D 14 1F 48 89 54 24 30 48 89 44 24 28 48 8D 44 24 50 49 8B 8C 24 80 00 00 00 48 89 44 24 20 4C 8B 11 4C 8D 4C 24 41 4C 8D 44 24 40 49 8D 94 24 8C 00 00 00 41 FF 52 28 85 C0 0F 88 E3 00 00 00 83 F8 01 0F 8F BB 00 00 00 48 8D 55 B7 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B 5C 24 48 48 2B D8 74 3A 41 83 CE 01 48 8D 55 CF 48 8D 4D E7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 4D 8B 8C 24 98 00 00 00 4C 8B C3 BA 01 00 00 00 48 8B C8 E8 ?? ?? ?? ?? 48 3B D8 74 04 B0 01 EB 02 32 C0 41 F6 C6 01 74 04 41 83 E6 FE 84 C0 75 50 41 C6 84 24 89 00 00 00 01 48 8D 44 24 40 48 39 44 24 50 75 26 48 85 DB 0F 85 F4 FE FF FF 48 83 7D FF 20 73 14 45 33 C0 8D 53 08 48 8D 4D E7 E8 ?? ?? ?? ?? E9 D9 FE FF FF EB 36 48 83 7D 07 10 72 09 48 8B 4D EF E8 ?? ?? ?? ?? 41 8B F5 EB 31 EB 1F 83 F8 03 75 1A 0F BE 4C 24 40 49 8B 94 24 98 00 00 00 E8 ?? ?? ?? ?? 3B C6 41 0F 45 F5 EB 00 48 83 7D 07 10 72 09 48 8B 4D EF E8 ?? ?? ?? ?? 48 C7 45 07 0F 00 00 00 48 83 65 FF 00 C6 45 EF 00 48 8B 4D E7 E8 ?? ?? ?? ?? 8B C6 48 8B 4D 17 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 50 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_52_246_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@_JHH@Z"
		size = 237
		refs = "004c ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 006c _fseeki64 0081 fgetpos 00c7 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 48 83 EC 20 48 8B 41 40 4C 8D A1 88 00 00 00 41 8B E9 49 8B F0 48 8B DA 48 8B F9 4C 39 20 75 13 41 83 F9 01 75 0D 48 83 B9 80 00 00 00 00 75 03 48 FF CE 48 83 B9 98 00 00 00 00 74 79 E8 ?? ?? ?? ?? 84 C0 74 70 48 85 F6 75 05 83 FD 01 74 16 48 8B 8F 98 00 00 00 44 8B C5 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 50 48 8B 8F 98 00 00 00 48 8D 54 24 40 E8 ?? ?? ?? ?? 85 C0 75 3B 48 8B 57 20 4C 39 22 75 1A 48 8B 47 70 48 8B 4F 78 48 89 02 48 8B 47 40 48 89 08 48 8B 47 58 2B C9 89 08 48 8B 44 24 40 48 83 23 00 48 89 43 08 8B 87 8C 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 50 48 8B C3 48 8B 5C 24 48 48 83 C4 20 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_52_247_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAA?AV?$fpos@H@2@V32@H@Z"
		size = 264
		refs = "0040 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0059 fsetpos 0075 _fseeki64 008a fgetpos 00e0 ?_BADOFF@std@@3_JB"
	strings:
		$1 = { 4C 8B DC 49 89 5B 10 49 89 6B 18 49 89 73 20 57 48 83 EC 20 49 8B 40 08 49 8B E8 48 8B DA 4C 63 C8 48 63 F0 48 8B F9 49 2B F1 49 89 43 08 49 03 30 48 83 B9 98 00 00 00 00 0F 84 9E 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 91 00 00 00 48 8B 8F 98 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 7C 48 85 F6 74 17 48 8B 8F 98 00 00 00 44 8D 40 01 48 8B D6 E8 ?? ?? ?? ?? 85 C0 75 60 48 8B 8F 98 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 85 C0 75 4B 8B 45 10 48 8B 57 20 89 87 8C 00 00 00 48 8D 87 88 00 00 00 48 39 02 75 1A 48 8B 47 70 48 8B 4F 78 48 89 02 48 8B 47 40 48 89 08 48 8B 47 58 2B C9 89 08 48 8B 44 24 30 48 83 23 00 48 89 43 08 8B 87 8C 00 00 00 89 43 10 EB 13 48 8B 05 ?? ?? ?? ?? 48 83 63 08 00 83 63 10 00 48 89 03 48 8B 6C 24 40 48 8B 74 24 48 48 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_248_1 {
	meta:
		name = "?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QEAAPEAV12@XZ"
		size = 96
		refs = "001e ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 0032 fclose 0049 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 33 F6 48 8B F9 48 39 B1 98 00 00 00 74 22 E8 ?? ?? ?? ?? 48 8B 8F 98 00 00 00 F6 D8 48 1B DB 48 23 DF E8 ?? ?? ?? ?? 85 C0 48 0F 45 DE 48 8B F3 33 D2 48 8B CF 44 8D 42 02 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C6 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_52_249_1 {
	meta:
		name = "??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UEAA@XZ"
		size = 197
		refs = "001e ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0070 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ 007c fclose 008a ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 0092 ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 00a6 ??1locale@std@@QEAA@XZ 00ae ??3@YAXPEAX@Z 00c1 ??1_Mutex@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 B9 98 00 00 00 00 74 2A 48 8B 51 20 48 8D 81 88 00 00 00 48 39 02 75 1A 48 8B 49 78 48 8B 43 70 48 89 02 48 8B 43 40 48 89 08 2B C9 48 8B 43 58 89 08 80 BB 90 00 00 00 00 74 2D 48 83 BB 98 00 00 00 00 74 14 48 8B CB E8 ?? ?? ?? ?? 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 33 D2 44 8D 42 02 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 7B 68 48 85 FF 74 10 48 8B CF E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 4B 08 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_253_1 {
	meta:
		name = "??__Eflog@std@@YAXXZ"
		size = 76
		refs = "0007 __iob_func 000e flog 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0037 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003e ??__Fflog@std@@YAXXZ 0048 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 53 60 48 8D 0D ?? ?? ?? ?? 45 33 C0 4C 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_254_1 {
	meta:
		name = "??__Eferr@std@@YAXXZ"
		size = 76
		refs = "0007 __iob_func 000e ferr 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0037 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003e ??__Fferr@std@@YAXXZ 0048 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 53 60 48 8D 0D ?? ?? ?? ?? 45 33 C0 4C 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_12_1 {
	meta:
		name = "?_Xinvalid_argument@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7invalid_argument@std@@6B@ 0022 _TI3?AVinvalid_argument@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_53_14_1 {
	meta:
		name = "?_Xlength_error@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7length_error@std@@6B@ 0022 _TI3?AVlength_error@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_53_16_1 {
	meta:
		name = "?_Xout_of_range@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7out_of_range@std@@6B@ 0022 _TI3?AVout_of_range@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_53_18_1 {
	meta:
		name = "?_Xoverflow_error@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7overflow_error@std@@6B@ 0022 _TI3?AVoverflow_error@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_53_20_1 {
	meta:
		name = "?_Xruntime_error@std@@YAXPEBD@Z"
		size = 54
		refs = "0014 ??0exception@std@@QEAA@AEBQEBD@Z 001b ??_7runtime_error@std@@6B@ 0022 _TI2?AVruntime_error@std@@ 0031 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 89 4C 24 50 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_54_0_1 {
	meta:
		name = "towctrans"
		size = 35
		refs = "000b towupper 0012 towlower"
	strings:
		$1 = { 48 83 EC 28 66 83 FA 01 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 44 0F B7 D8 41 0F B7 C3 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_56_2_1 {
	meta:
		name = "?_Callfns@ios_base@std@@AEAAXW4event@12@@Z"
		size = 62
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 59 38 8B F2 48 8B F9 EB 0F 44 8B 43 08 48 8B D7 8B CE FF 53 10 48 8B 1B 48 85 DB 75 EC 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_56_3_1 {
	meta:
		name = "?_Tidy@ios_base@std@@AEAAXXZ"
		size = 110
		refs = "0034 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 59 38 48 8B F9 EB 0F 44 8B 43 08 48 8B D7 33 C9 FF 53 10 48 8B 1B 48 85 DB 75 EC 48 8B 4F 30 48 85 C9 74 10 48 8B 19 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 F0 48 8B 4F 38 48 83 67 30 00 48 85 C9 74 10 48 8B 19 E8 ?? ?? ?? ?? 48 8B CB 48 85 DB 75 F0 48 83 67 38 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_56_5_1 {
	meta:
		name = "?_Addstd@ios_base@std@@SAXPEAV12@@Z"
		size = 113
		refs = "0014 ??0_Lockit@std@@QEAA@H@Z 0023 __ImageBase 002f stdstr 0062 stdopens 0067 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8D 4C 24 30 BA 02 00 00 00 E8 ?? ?? ?? ?? 48 C7 43 08 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8B 43 08 48 8B 8C C2 ?? ?? ?? ?? 48 85 C9 74 12 48 3B CB 74 0D 48 FF C0 48 89 43 08 48 83 F8 08 72 DD 48 8B 43 08 48 8D 4C 24 30 48 89 9C C2 ?? ?? ?? ?? 48 8B 43 08 FE 84 02 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_56_6_1 {
	meta:
		name = "?_Ios_base_dtor@ios_base@std@@CAXPEAV12@@Z"
		size = 75
		refs = "0017 stdopens 0028 ?_Tidy@ios_base@std@@AEAAXXZ 0039 ??1locale@std@@QEAA@XZ 0041 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 08 00 48 8B D9 76 14 48 8B 43 08 48 8D 0D ?? ?? ?? ?? FE 0C 01 80 3C 01 00 7F 21 48 8B CB E8 ?? ?? ?? ?? 48 8B 5B 40 48 85 DB 74 10 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_57_0_1 {
	meta:
		name = "_Strcoll"
		size = 205
		refs = "0035 ___lc_handle_func 003d ___lc_collate_cp_func 005d memcmp 0095 __crtCompareStringA 009e _errno"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 40 48 8B 44 24 70 49 8B D9 48 8B FA 2B F9 41 2B D8 49 8B E8 4C 8B E1 48 85 C0 75 0F E8 ?? ?? ?? ?? 8B 70 04 E8 ?? ?? ?? ?? EB 05 8B 30 8B 40 04 85 F6 75 2A 8B C3 3B FB 48 8B D5 0F 4C C7 49 8B CC 4C 63 C0 E8 ?? ?? ?? ?? 85 C0 75 4D 3B FB 74 49 83 C9 FF 8D 46 01 3B FB 0F 4C C1 EB 3C 89 44 24 38 89 5C 24 30 4D 8B CC 41 B8 00 10 00 00 8B D6 33 C9 48 89 6C 24 28 89 7C 24 20 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 E8 02 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 48 83 C4 40 41 5C C3 }
	condition:
		$1
}

rule file_57_1_1 {
	meta:
		name = "_Getcoll"
		size = 35
		refs = "0005 ___lc_handle_func 0011 ___lc_collate_cp_func"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B 48 04 89 4C 24 30 E8 ?? ?? ?? ?? 89 44 24 34 48 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_58_9_1 {
	meta:
		name = "?_Init_ctor@Init@ios_base@std@@CAXPEAV123@@Z"
		size = 30
		refs = "0002 ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 09 FF C0 89 05 ?? ?? ?? ?? C3 C7 05 ?? ?? ?? ?? 01 00 00 00 C3 }
	condition:
		$1
}

rule file_58_24_1 {
	meta:
		name = "?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ"
		size = 112
		refs = "0059 ?clear@ios_base@std@@QEAAXH_N@Z"
		altNames = "?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 01 48 8B D9 33 FF 48 63 48 04 8D 77 04 F6 44 19 10 06 75 11 48 8B 4C 19 48 48 8B 01 FF 50 68 83 F8 FF 0F 44 FE 48 8B 03 48 63 48 04 48 03 CB 85 FF 74 19 8B 51 10 0B D7 8B C2 0B C6 48 83 79 48 00 0F 44 D0 45 33 C0 E8 ?? ?? ?? ?? 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_58_25_1 {
	meta:
		name = "?_Init_dtor@Init@ios_base@std@@CAXPEAV123@@Z"
		size = 68
		refs = "0006 ?_Init_cnt@Init@ios_base@std@@0HA 000f ?_Ptr_cerr@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0019 ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QEAAAEAV12@XZ 0020 ?_Ptr_clog@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA 0031 ?_Ptr_cout@std@@3PEAV?$basic_ostream@DU?$char_traits@D@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 28 FF 0D ?? ?? ?? ?? 75 33 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_73_24_1 {
	meta:
		name = "??1_UShinit@std@@QEAA@XZ"
		size = 68
		refs = "0006 ?_Init_cnt@_UShinit@std@@0HA 000f ?_Ptr_wcout@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0019 ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QEAAAEAV12@XZ 0020 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA 0031 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@GU?$char_traits@G@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 28 FF 0D ?? ?? ?? ?? 75 33 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_66_24_1 {
	meta:
		name = "??1_Winit@std@@QEAA@XZ"
		size = 68
		refs = "0006 ?_Init_cnt@_Winit@std@@0HA 000f ?_Ptr_wcout@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0019 ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QEAAAEAV12@XZ 0020 ?_Ptr_wcerr@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA 0031 ?_Ptr_wclog@std@@3PEAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@EA"
	strings:
		$1 = { 48 83 EC 28 FF 0D ?? ?? ?? ?? 75 33 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_59_253_1 {
	meta:
		name = "??__Efout@std@@YAXXZ"
		size = 76
		refs = "0007 __iob_func 000e fout 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0037 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003e ??__Ffout@std@@YAXXZ 0048 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 53 30 48 8D 0D ?? ?? ?? ?? 45 33 C0 4C 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_0_1 {
	meta:
		name = "_FDscale"
		size = 466
		refs = "005c _FDnorm 007d _FInf 0091 __mask@@NegFloat@"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B D9 0F B7 49 02 BD FF 00 00 00 66 C1 E9 07 8B F2 66 23 CD 66 3B CD 75 1E F6 43 02 7F 75 0E 33 FF 8D 47 01 66 39 3B 0F 84 70 01 00 00 B8 02 00 00 00 E9 66 01 00 00 33 FF 66 85 C9 75 14 48 8B CB E8 ?? ?? ?? ?? 0F B7 C8 66 3B F8 0F 8C 48 01 00 00 85 F6 7E 33 0F BF C1 2B E8 3B EE 7F 2A F3 0F 10 05 ?? ?? ?? ?? 41 BB 00 80 00 00 66 44 85 5B 02 74 07 0F 57 05 ?? ?? ?? ?? F3 0F 11 03 B8 01 00 00 00 E9 14 01 00 00 0F BF D1 8B C2 F7 D8 3B C6 7D 21 B8 7F 80 00 00 66 03 F1 66 21 43 02 B8 80 00 00 00 66 0F AF F0 66 09 73 02 83 C8 FF E9 E8 00 00 00 0F B7 4B 02 B8 80 00 00 00 44 8D 54 16 FF 0F B7 E9 66 83 E1 7F 41 BB 00 80 00 00 66 0B C8 41 8D 42 18 66 41 23 EB 66 89 4B 02 83 F8 17 0F 87 AB 00 00 00 0F B7 F7 41 BC 10 00 00 00 66 41 83 FA F0 7F 0E 0F B7 33 66 89 7B 02 66 45 03 D4 66 89 0B 66 41 F7 DA 74 4A 44 0F B7 03 8B C7 45 0F BF CA 45 2B E1 41 0F B7 D0 41 8B CC 66 D3 E2 66 85 F6 41 0F B7 CA 0F 95 C0 66 41 D3 E8 0F B7 F2 0F B7 53 02 66 0B F0 41 8B CC 0F B7 C2 66 D3 E0 41 8B C9 66 44 0B C0 66 D3 EA 66 89 53 02 66 44 89 03 66 09 6B 02 0F B7 4B 02 B8 01 00 00 00 66 44 3B DE 72 06 75 15 84 03 74 11 66 01 03 75 0C 66 03 C8 66 89 4B 02 E9 2D FF FF FF 66 3B CD 0F 85 24 FF FF FF 66 39 3B 74 0C E9 1A FF FF FF 66 89 6B 02 66 89 3B 0F B7 C7 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_61_1_1 {
	meta:
		name = "?add@tr1@std@@YAXPEA_KH0H@Z"
		size = 145
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 45 33 D2 45 33 DB 8B F2 48 8B D1 45 85 C9 7E 37 48 8B F9 45 8B D9 48 8B D9 49 2B F8 4C 2B C1 45 8B C9 49 8D 0C 18 48 8B 01 48 03 03 49 03 C2 48 89 03 83 64 39 04 00 4C 8B D0 49 C1 EA 20 48 83 C3 08 49 FF C9 75 DB 49 63 C3 4D 85 D2 74 23 48 8D 0C C2 44 3B DE 7D 1A 4C 03 11 41 FF C3 4C 89 11 83 61 04 00 49 C1 EA 20 48 83 C1 08 4D 85 D2 75 E1 48 8B 5C 24 08 48 8B 74 24 10 48 8B 7C 24 18 C3 }
	condition:
		$1
}

rule file_61_2_1 {
	meta:
		name = "?_MP_Add@tr1@std@@YAXQEA_K_K@Z"
		size = 45
		refs = "0024 ?add@tr1@std@@YAXPEA_KH0H@Z"
	strings:
		$1 = { 48 83 EC 38 8B C2 48 C1 EA 20 41 B9 02 00 00 00 48 89 54 24 28 41 8D 51 03 4C 8D 44 24 20 48 89 44 24 20 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_61_3_1 {
	meta:
		name = "?mul@tr1@std@@YAXPEA_KH_K@Z"
		size = 45
	strings:
		$1 = { 45 33 D2 85 D2 7E 24 44 8B CA 48 8B 01 49 0F AF C0 49 03 C2 48 89 01 83 61 04 00 4C 8B D0 49 C1 EA 20 48 83 C1 08 49 FF C9 75 DF F3 C3 }
	condition:
		$1
}

rule file_61_4_1 {
	meta:
		name = "?_MP_Mul@tr1@std@@YAXQEA_K_K1@Z"
		size = 169
		refs = "0033 memset"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 40 8B C2 48 C1 EA 20 48 8B D9 49 89 43 D8 41 8B C0 49 C1 E8 20 49 89 53 E0 33 D2 4D 89 43 F0 44 8D 42 28 49 89 43 E8 E8 ?? ?? ?? ?? 4C 8D 4C 24 20 48 8D 7C 24 30 4C 2B CB 4C 8D 5B 10 48 2B FB BB 02 00 00 00 4E 8B 44 1F F0 4D 85 C0 75 05 4D 21 03 EB 32 33 C9 49 8D 53 F0 44 8D 51 02 49 8B 04 11 49 0F AF C0 48 03 02 48 03 C1 48 89 02 83 62 04 00 48 8B C8 48 C1 E9 20 48 83 C2 08 49 FF CA 75 DB 49 89 0B 49 83 E9 08 49 83 C3 08 48 FF CB 75 B2 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_61_5_1 {
	meta:
		name = "?div@tr1@std@@YAXQEA_K_K@Z"
		size = 40
	strings:
		$1 = { 45 33 C0 4C 8B D2 45 8D 48 04 49 C1 E0 20 33 D2 4E 03 04 C9 49 8B C0 49 F7 F2 4A 89 04 C9 49 FF C9 4C 8B C2 79 E4 F3 C3 }
	condition:
		$1
}

rule file_61_6_1 {
	meta:
		name = "?limit@tr1@std@@YAHPEA_KH@Z"
		size = 31
	strings:
		$1 = { 48 63 C2 48 83 7C C1 F8 00 75 11 48 8D 44 C1 F8 48 83 E8 08 FF CA 48 83 38 00 74 F4 8B C2 C3 }
	condition:
		$1
}

rule file_61_7_1 {
	meta:
		name = "?_MP_Rem@tr1@std@@YAXQEA_K_K@Z"
		size = 662
		refs = "0224 ?add@tr1@std@@YAXPEA_KH0H@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 8B C2 48 C1 EA 20 33 DB 4C 8B E1 BD 02 00 00 00 49 89 43 B8 49 89 53 C0 48 85 D2 75 0F 49 8D 43 C0 48 83 E8 08 FF CD 48 39 18 74 F5 41 B9 05 00 00 00 48 8D 41 20 41 8B F9 EB 06 FF CF 48 83 E8 08 48 39 18 74 F5 33 D2 48 63 F5 48 B8 00 00 00 00 01 00 00 00 48 8B 4C F4 18 2B FD 48 FF C1 48 F7 F1 4C 8B E8 48 89 84 24 80 00 00 00 48 83 F8 01 74 54 4C 8B C3 49 8B D4 48 8B C8 48 0F AF 0A 49 03 C8 48 89 0A 4C 8B C1 89 5A 04 49 C1 E8 20 48 83 C2 08 49 FF C9 75 E0 48 8B D3 48 8B CB 85 ED 7E 24 48 8B 44 CC 20 48 FF C1 49 0F AF C5 48 03 C2 48 89 44 CC 18 89 5C CC 1C 48 8B D0 48 C1 EA 20 48 3B CE 7C DC 48 63 C7 85 FF 0F 88 6F 01 00 00 48 8B C8 4C 8D 74 24 20 4C 8B C6 48 C1 E1 03 4C 8D 2C 06 48 03 C6 4C 2B F1 4E 8D 3C 21 4D 8D 0C C4 4D 2B F4 49 F7 D8 49 BB 00 00 00 00 01 00 00 00 4C 89 44 24 70 49 8B 09 49 8D 41 F8 33 D2 48 89 44 24 78 48 8B 00 48 C1 E1 20 48 03 C1 48 F7 74 F4 18 4C 8B D0 48 85 C0 0F 84 F0 00 00 00 4D 3B D3 73 1A 48 8B 44 F4 10 48 8B CA 48 C1 E1 20 4B 03 4C EC F0 49 0F AF C2 48 3B C1 76 0D 48 03 54 F4 18 49 FF CA 49 3B D3 72 D4 48 8B D3 48 85 F6 0F 8E B8 00 00 00 4C 8B DE 4F 8D 04 C1 48 BE 00 00 00 00 01 00 00 00 49 8B 08 4B 8B 04 06 49 0F AF C2 48 2B C8 48 2B CA 48 8B D1 49 89 08 48 C1 EA 20 48 85 D2 74 09 48 8B C6 48 2B C2 48 8B D0 41 89 58 04 49 83 C0 08 49 FF CB 75 CA 48 63 F5 48 85 D2 74 5A 8D 0C 3E 48 BE 00 00 00 00 01 00 00 00 83 F9 05 7D 2D 49 8B 01 48 2B C2 48 8B D0 49 89 01 48 C1 EA 20 48 85 D2 74 09 48 8B C6 48 2B C2 48 8B D0 41 89 59 04 49 83 C1 08 FF C1 48 85 D2 75 CE 48 63 F5 48 85 D2 74 13 8D 55 01 4C 8D 44 24 20 44 8B CD 49 8B CF E8 ?? ?? ?? ?? 4C 8B 44 24 70 49 BB 00 00 00 00 01 00 00 00 4C 8B 4C 24 78 49 83 EF 08 49 83 C6 08 49 FF CD FF CF 0F 89 CF FE FF FF 4C 8B AC 24 80 00 00 00 49 83 FD 01 74 21 B9 04 00 00 00 48 C1 E3 20 33 D2 49 03 1C CC 48 8B C3 49 F7 F5 49 89 04 CC 48 FF C9 48 8B DA 79 E4 48 8B 9C 24 88 00 00 00 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_62_7_1 {
	meta:
		name = "?_Xmem@tr1@std@@YAXXZ"
		size = 67
		refs = "0007 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0021 ??0exception@std@@QEAA@AEBQEBDH@Z 0028 ??_7bad_alloc@std@@6B@ 002f _TI2?AVbad_alloc@std@@ 003e _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_62_9_1 {
	meta:
		name = "?_Xbad@tr1@std@@YAXW4error_type@regex_constants@12@@Z"
		size = 69
		refs = "000b ??_C@_0BJ@JKOPOGND@regular?5expression?5error?$AA@ 001f ??0exception@std@@QEAA@AEBQEBD@Z 0026 ??_7regex_error@tr1@std@@6B@ 002d _TI3?AVregex_error@tr1@std@@ 0040 _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 8B D9 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 89 5C 24 38 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_63_0_1 {
	meta:
		name = "_Toupper"
		size = 320
		refs = "001e ___lc_handle_func 0026 ___lc_codepage_func 0060 islower 007a __pctype_func 0105 __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 20 56 57 41 54 48 83 EC 50 48 8B FA 48 63 D9 48 85 D2 75 12 E8 ?? ?? ?? ?? 8B 70 08 E8 ?? ?? ?? ?? 44 8B E0 EB 06 8B 32 44 8B 62 04 85 F6 75 12 8D 43 9F 83 F8 19 77 03 83 EB 20 8B C3 E9 E0 00 00 00 BD 02 00 00 00 81 FB 00 01 00 00 73 1C 48 85 FF 75 0D 8B CB E8 ?? ?? ?? ?? 85 C0 75 11 EB DA 48 8B 47 08 40 84 2C 58 74 D0 48 85 FF 75 19 E8 ?? ?? ?? ?? 8B CB C1 F9 08 0F B6 C9 0F B7 14 48 81 E2 00 80 00 00 EB 17 8B C3 48 C1 F8 08 0F B6 C8 48 8B 47 08 0F BF 14 48 C1 EA 0F 83 E2 01 85 D2 74 14 8B C3 88 5C 24 79 C6 44 24 7A 00 C1 F8 08 88 44 24 78 EB 0E 88 5C 24 78 C6 44 24 79 00 BD 01 00 00 00 C7 44 24 40 01 00 00 00 44 89 64 24 38 48 8D 84 24 80 00 00 00 C7 44 24 30 03 00 00 00 48 89 44 24 28 4C 8D 4C 24 78 41 B8 00 02 00 00 8B D6 33 C9 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 33 FF FF FF 83 F8 01 0F B6 84 24 80 00 00 00 74 0D 0F B6 8C 24 81 00 00 00 C1 E0 08 0B C1 4C 8D 5C 24 50 49 8B 5B 20 49 8B 6B 38 49 8B E3 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_64_0_1 {
	meta:
		name = "??0_Mutex@std@@QEAA@XZ"
		size = 39
		refs = "000f ??2@YAPEAX_K@Z 001a _Mtxinit"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 03 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_64_1_1 {
	meta:
		name = "??1_Mutex@std@@QEAA@XZ"
		size = 30
		refs = "000d _Mtxdst 001a ??3@YAXPEAX@Z"
		altNames = "?_Mutex_dtor@_Mutex@std@@CAXPEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 E8 ?? ?? ?? ?? 48 8B 0B 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_4_1 {
	meta:
		name = "?_Mutex_ctor@_Mutex@std@@CAXPEAV12@@Z"
		size = 35
		refs = "000f ??2@YAPEAX_K@Z 001f _Mtxinit"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B C8 48 89 03 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_34_1 {
	meta:
		name = "??$_Maklocchr@_W@std@@YA_WDPEA_WAEBU_Cvtvec@@@Z"
		size = 57
		refs = "002b _Mbrtowc"
		altNames = "??$_Maklocchr@G@std@@YAGDPEAGAEBU_Cvtvec@@@Z"
	strings:
		$1 = { 88 4C 24 08 4C 8B DC 48 83 EC 48 33 C0 4D 89 43 D8 4D 8D 4B E8 49 8D 53 08 49 8D 4B 20 44 8D 40 01 66 89 44 24 68 89 44 24 30 E8 ?? ?? ?? ?? 0F B7 44 24 68 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_65_36_1 {
	meta:
		name = "??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z"
		size = 224
		refs = "0025 strlen 0053 _Mbrtowc 0082 ??_U@YAPEAX_K@Z"
		altNames = "??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 68 18 56 57 41 54 41 55 41 56 48 83 EC 40 45 33 F6 4D 8B E8 48 8B E9 44 89 70 20 E8 ?? ?? ?? ?? 41 8B DE 4C 8B E0 48 8B F5 49 FF C4 49 8B FC 74 2E 4C 8D 8C 24 88 00 00 00 48 8D 4C 24 70 4C 8B C7 48 8B D6 4C 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 7E 0D 48 98 48 FF C3 48 03 F0 48 2B F8 75 D2 48 C7 C1 FF FF FF FF 48 FF C3 B8 02 00 00 00 48 F7 E3 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 44 89 74 24 30 48 8B F0 48 8B F8 48 85 DB 74 2A 4C 8D 4C 24 30 4D 8B C4 48 8B D5 48 8B CF 4C 89 6C 24 20 E8 ?? ?? ?? ?? 85 C0 7E 0E 48 98 48 83 C7 02 48 03 E8 48 FF CB 75 D6 4C 8D 5C 24 40 66 44 89 37 48 8B C6 49 8B 5B 38 49 8B 6B 40 49 8B E3 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_65_190_1 {
	meta:
		name = "?assign@?$char_traits@_W@std@@SAPEA_WPEA_W_K_W@Z"
		size = 35
		altNames = "?assign@?$char_traits@G@std@@SAPEAGPEAG_KG@Z"
	strings:
		$1 = { 48 89 7C 24 08 4C 8B C9 48 85 D2 74 0D 48 8B F9 41 0F B7 C0 48 8B CA 66 F3 AB 48 8B 7C 24 08 49 8B C1 C3 }
	condition:
		$1
}

rule file_65_196_1 {
	meta:
		name = "??$_Maklocbyte@_W@std@@YAD_WAEBU_Cvtvec@@@Z"
		size = 43
		refs = "001e _Wcrtomb"
		altNames = "??$_Maklocbyte@G@std@@YADGAEBU_Cvtvec@@@Z"
	strings:
		$1 = { 48 8B C4 48 83 EC 28 83 60 20 00 4C 8B CA 0F B7 D1 48 8D 48 18 4C 8D 40 20 C6 40 18 00 E8 ?? ?? ?? ?? 8A 44 24 40 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_205_1 {
	meta:
		name = "?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAPEB_WXZ"
		size = 17
		altNames = "?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAPEAGXZ ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAPEBGXZ ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAPEA_WXZ ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAPEBGXZ ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAPEB_WXZ"
	strings:
		$1 = { 48 83 79 20 08 72 05 48 8B 41 08 C3 48 8D 41 08 C3 }
	condition:
		$1
}

rule file_65_214_1 {
	meta:
		name = "?_Hexdig@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAH_W000@Z"
		size = 81
		altNames = "?_Hexdig@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHGGGG@Z"
	strings:
		$1 = { 66 44 3B C2 77 13 45 0F B7 C0 0F B7 C2 41 8D 48 09 3B C1 7F 04 41 2B C0 C3 66 44 3B CA 77 16 45 0F B7 C1 0F B7 C2 41 8D 48 05 3B C1 7F 07 41 2B C0 83 C0 0A C3 66 39 54 24 28 77 11 44 0F B7 44 24 28 0F B7 C2 41 8D 48 05 3B C1 7E E1 83 C8 FF C3 }
	condition:
		$1
}

rule file_65_217_1 {
	meta:
		name = "??$_Allocate@_W@std@@YAPEA_W_KPEA_W@Z"
		size = 95
		refs = "001e ??2@YAPEAX_K@Z 0038 ??0exception@std@@QEAA@AEBQEBD@Z 003f ??_7bad_alloc@std@@6B@ 0046 _TI2?AVbad_alloc@std@@ 0055 _CxxThrowException"
		altNames = "??$_Allocate@G@std@@YAPEAG_KPEAG@Z"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 C9 74 4F 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 0D 48 03 C9 E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 50 00 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_65_218_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAGXZ"
		size = 41
		altNames = "?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGXZ"
	strings:
		$1 = { 48 8B 51 40 48 83 3A 00 74 09 48 8B 41 58 44 8B 00 EB 03 45 33 C0 45 85 C0 7E 07 48 8B 02 0F B7 00 C3 48 8B 01 48 FF 60 30 }
	condition:
		$1
}

rule file_65_238_1 {
	meta:
		name = "?do_hash@?$collate@_W@std@@MEBAJPEB_W0@Z"
		size = 23
		altNames = "?do_hash@?$collate@G@std@@MEBAJPEBG0@Z"
	strings:
		$1 = { 33 C0 EB 0C 0F B7 0A C1 C0 08 03 C1 48 83 C2 02 49 3B D0 75 EF F3 C3 }
	condition:
		$1
}

rule file_65_241_1 {
	meta:
		name = "??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAAEB_WXZ"
		size = 101
		refs = "0055 _invalid_parameter_noinfo_noreturn"
		altNames = "??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAAEBGXZ"
	strings:
		$1 = { 48 83 EC 28 48 8B C1 48 8B 09 48 85 C9 74 4B 48 8B 09 48 85 C9 74 43 48 8B 40 10 48 85 C0 74 3A 48 83 79 20 08 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 3B D0 77 1E 48 83 79 20 08 72 06 48 8B 51 08 EB 04 48 8D 51 08 48 8B 49 18 48 8D 14 4A 48 3B C2 72 0C E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_258_1 {
	meta:
		name = "??E?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@XZ"
		size = 90
		refs = "003f _invalid_parameter_noinfo_noreturn"
		altNames = "??E?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 8B D1 48 85 C0 74 45 48 8B 00 48 85 C0 74 3D 4C 8B 41 10 4D 85 C0 74 34 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 4C 3B C1 72 06 E8 ?? ?? ?? ?? CC 49 8D 40 02 48 89 42 10 48 8B C2 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_65_264_1 {
	meta:
		name = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_NPEB_W@Z"
		size = 58
		altNames = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_NPEBG@Z"
	strings:
		$1 = { 48 85 D2 74 32 48 83 79 20 08 4C 8D 41 08 72 05 49 8B 00 EB 03 49 8B C0 48 3B D0 72 1A 48 83 79 20 08 72 03 4D 8B 00 48 8B 41 18 49 8D 0C 40 48 3B CA 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_65_265_1 {
	meta:
		name = "??Y?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV01@_J@Z"
		size = 112
		refs = "0065 _invalid_parameter_noinfo_noreturn"
		altNames = "??Y?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV01@_J@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 4C 8B C1 48 85 C0 74 5B 48 8B 00 48 85 C0 74 53 48 8B 49 10 48 85 C9 74 4A 48 83 78 20 08 72 06 4C 8B 48 08 EB 04 4C 8D 48 08 48 8D 14 51 4C 3B CA 77 2A 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 77 0C 49 89 50 10 49 8B C0 48 83 C4 28 C3 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_65_321_1 {
	meta:
		name = "??$_LStrcoll@G@std@@YAHPEBG000PEBU_Collvec@@@Z"
		size = 59
	strings:
		$1 = { EB 18 4D 3B C1 74 18 41 0F B7 00 66 3B 01 77 27 72 1F 48 83 C1 02 49 83 C0 02 48 3B CA 75 E3 33 C0 48 3B CA 0F 95 C0 83 C9 FF 4D 3B C1 0F 45 C1 C3 B8 01 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_65_322_1 {
	meta:
		name = "??$_LStrxfrm@G@std@@YA_KPEAG0PEBG1PEBU_Collvec@@@Z"
		size = 47
		refs = "0022 memcpy_s"
	strings:
		$1 = { 40 53 48 83 EC 20 48 2B D1 49 8B D9 49 2B D8 48 D1 FA 48 D1 FB 48 3B DA 77 0C 4C 8D 0C 1B 48 03 D2 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_325_1 {
	meta:
		name = "?do_compare@?$collate@G@std@@MEBAHPEBG000@Z"
		size = 65
	strings:
		$1 = { EB 1A 4C 3B 4C 24 28 74 18 41 0F B7 01 66 3B 02 77 2B 72 23 48 83 C2 02 49 83 C1 02 49 3B D0 75 E1 33 C9 49 3B D0 0F 95 C1 83 C8 FF 4C 3B 4C 24 28 0F 45 C8 8B C1 C3 B8 01 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule file_65_362_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAGXZ"
		size = 55
		altNames = "?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGXZ"
	strings:
		$1 = { 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 18 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 02 48 89 01 0F B7 02 C3 48 8B 01 48 FF 60 38 }
	condition:
		$1
}

rule file_65_363_1 {
	meta:
		name = "?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QEAAG_W@Z"
		size = 81
		altNames = "?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QEAAGG@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 48 44 0F B7 C2 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1A 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 02 48 89 01 66 44 89 02 EB 0E 48 8B 01 41 0F B7 D0 FF 50 18 44 0F B7 C0 41 0F B7 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_366_1 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEA_W_K@Z"
		size = 42
		refs = "000b _invalid_parameter_noinfo_noreturn"
		altNames = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAG_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 3B 51 18 72 06 E8 ?? ?? ?? ?? CC 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 04 51 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_65_367_1 {
	meta:
		name = "?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 606
		refs = "0024 localeconv 0040 ??_C@_00CNPNBAHC@?$AA@ 004b _Getcvt 0053 strlen 0065 ??_U@YAPEAX_K@Z 009e ??_C@_05LAPONLG@false?$AA@ 00a3 ??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z 00c5 ??_C@_04LOAJBDKD@true?$AA@ 0120 _Mbrtowc"
	strings:
		$1 = { 48 89 4C 24 08 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 C7 44 24 38 FE FF FF FF 45 8A E8 48 8B D9 E8 ?? ?? ?? ?? 4C 8B E0 45 33 F6 4C 89 73 10 4C 89 73 20 4C 89 73 28 45 84 ED 48 8D 35 ?? ?? ?? ?? 75 04 48 8B 70 10 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 41 BF 01 00 00 00 49 8D 3C 07 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 FF 74 0F 8A 0E 88 0A 49 2B FF 49 03 D7 49 03 F7 EB EC 48 89 43 10 E8 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 4C 8D 84 24 98 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 20 E8 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 4C 8D 84 24 98 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 28 E8 ?? ?? ?? ?? 48 89 44 24 30 49 8B 04 24 8A 08 88 8C 24 90 00 00 00 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 0F B7 84 24 80 00 00 00 66 89 43 18 E8 ?? ?? ?? ?? 48 89 44 24 30 49 8B 44 24 08 8A 08 88 8C 24 90 00 00 00 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 0F B7 84 24 80 00 00 00 66 89 43 1A 45 84 ED 0F 84 B6 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 30 C6 84 24 90 00 00 00 2E 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 80 00 00 00 66 44 89 5B 18 E8 ?? ?? ?? ?? 48 89 44 24 30 C6 84 24 90 00 00 00 2C 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 80 00 00 00 66 44 89 5B 1A 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_370_1 {
	meta:
		name = "?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 606
		refs = "0024 localeconv 0040 ??_C@_00CNPNBAHC@?$AA@ 004b _Getcvt 0053 strlen 0065 ??_U@YAPEAX_K@Z 009e ??_C@_05LAPONLG@false?$AA@ 00a3 ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 00c5 ??_C@_04LOAJBDKD@true?$AA@ 0120 _Mbrtowc"
	strings:
		$1 = { 48 89 4C 24 08 53 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 C7 44 24 38 FE FF FF FF 45 8A E8 48 8B D9 E8 ?? ?? ?? ?? 4C 8B E0 45 33 F6 4C 89 73 10 4C 89 73 20 4C 89 73 28 45 84 ED 48 8D 35 ?? ?? ?? ?? 75 04 48 8B 70 10 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 41 BF 01 00 00 00 49 8D 3C 07 48 8B CF E8 ?? ?? ?? ?? 48 8B D0 48 85 FF 74 0F 8A 0E 88 0A 49 2B FF 49 03 D7 49 03 F7 EB EC 48 89 43 10 E8 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 4C 8D 84 24 98 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 20 E8 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 4C 8D 84 24 98 00 00 00 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 43 28 E8 ?? ?? ?? ?? 48 89 44 24 30 49 8B 04 24 8A 08 88 8C 24 90 00 00 00 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 0F B7 84 24 80 00 00 00 66 89 43 18 E8 ?? ?? ?? ?? 48 89 44 24 30 49 8B 44 24 08 8A 08 88 8C 24 90 00 00 00 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 0F B7 84 24 80 00 00 00 66 89 43 1A 45 84 ED 0F 84 B6 00 00 00 E8 ?? ?? ?? ?? 48 89 44 24 30 C6 84 24 90 00 00 00 2E 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 80 00 00 00 66 44 89 5B 18 E8 ?? ?? ?? ?? 48 89 44 24 30 C6 84 24 90 00 00 00 2C 66 44 89 B4 24 80 00 00 00 44 89 B4 24 98 00 00 00 48 8D 44 24 30 48 89 44 24 20 4C 8D 8C 24 98 00 00 00 4D 8B C7 48 8D 94 24 90 00 00 00 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 80 00 00 00 66 44 89 5B 1A 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_369_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 44
		refs = "000c ??_V@YAXPEAX@Z 0027 _CxxThrowException"
		altNames = "__catch$?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
	strings:
		$1 = { 48 8B 9D 80 00 00 00 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_65_377_1 {
	meta:
		name = "??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
		size = 109
		altNames = "??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 08 44 0F B7 C2 48 85 C9 74 4B 48 8B 41 48 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1A 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 02 48 89 01 66 44 89 02 EB 0E 48 8B 01 41 0F B7 D0 FF 50 18 44 0F B7 C0 B8 FF FF 00 00 66 41 3B C0 75 03 C6 03 01 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_386_1 {
	meta:
		name = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0_W@Z"
		size = 77
		altNames = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0G@Z"
	strings:
		$1 = { 48 89 7C 24 08 49 83 F8 01 75 18 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 66 44 89 0C 51 EB 24 48 83 79 20 08 72 06 48 8B 49 08 EB 04 48 83 C1 08 48 8D 3C 51 4D 85 C0 74 0A 41 0F B7 C1 49 8B C8 66 F3 AB 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_65_387_1 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 28
		altNames = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
	strings:
		$1 = { 48 83 79 20 08 48 89 51 18 72 06 48 8B 49 08 EB 04 48 83 C1 08 33 C0 66 89 04 51 C3 }
	condition:
		$1
}

rule file_65_388_1 {
	meta:
		name = "?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K@Z"
		size = 149
		refs = "0061 _Mbrtowc 006e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 48 83 EC 30 48 8B B4 24 80 00 00 00 45 33 ED 4D 8B E1 49 8B F8 48 8B DA 48 85 F6 74 51 48 8D 69 10 41 8A 04 24 4C 8D 4C 24 70 48 8D 94 24 80 00 00 00 48 8D 4C 24 68 41 B8 01 00 00 00 66 44 89 6C 24 68 88 84 24 80 00 00 00 44 89 6C 24 70 48 89 6C 24 20 E8 ?? ?? ?? ?? 0F B7 54 24 68 48 8B CF E8 ?? ?? ?? ?? 49 FF C4 48 FF CE 75 B3 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 60 48 83 C4 30 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_394_1 {
	meta:
		name = "?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_K@Z"
		size = 149
		refs = "0061 _Mbrtowc 006e ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 41 54 41 55 48 83 EC 30 48 8B B4 24 80 00 00 00 45 33 ED 4D 8B E1 49 8B F8 48 8B DA 48 85 F6 74 51 48 8D 69 10 41 8A 04 24 4C 8D 4C 24 70 48 8D 94 24 80 00 00 00 48 8D 4C 24 68 41 B8 01 00 00 00 66 44 89 6C 24 68 88 84 24 80 00 00 00 44 89 6C 24 70 48 89 6C 24 20 E8 ?? ?? ?? ?? 0F B7 54 24 68 48 8B CF E8 ?? ?? ?? ?? 49 FF C4 48 FF CE 75 B3 0F 10 07 48 8B C3 F3 0F 7F 03 48 8B 5C 24 60 48 83 C4 30 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_389_1 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@_K@Z"
		size = 171
		refs = "0029 ??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAAEB_WXZ 0034 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 0080 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 49 8B F8 48 8B EA 48 8B D9 4D 85 C9 74 66 48 8B CF E8 ?? ?? ?? ?? 48 8B CD 0F B7 10 E8 ?? ?? ?? ?? 48 8B 07 48 FF CE 48 85 C0 74 42 48 8B 00 48 85 C0 74 3A 48 8B 57 10 48 85 D2 74 31 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 73 0D 48 8D 42 02 48 85 F6 48 89 47 10 EB A4 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 0F 10 45 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_395_1 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@_K@Z"
		size = 171
		refs = "0029 ??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAAEBGXZ 0034 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 0080 _invalid_parameter_noinfo_noreturn"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 49 8B F8 48 8B EA 48 8B D9 4D 85 C9 74 66 48 8B CF E8 ?? ?? ?? ?? 48 8B CD 0F B7 10 E8 ?? ?? ?? ?? 48 8B 07 48 FF CE 48 85 C0 74 42 48 8B 00 48 85 C0 74 3A 48 8B 57 10 48 85 D2 74 31 48 83 78 20 08 72 06 48 8B 48 08 EB 04 48 8D 48 08 48 8B 40 18 48 8D 0C 41 48 3B D1 73 0D 48 8D 42 02 48 85 F6 48 89 47 10 EB A4 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 0F 10 45 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_390_1 {
	meta:
		name = "?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_W_K@Z"
		size = 85
		refs = "002d ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 41 0F B7 E8 48 8B FA 48 8B D9 4D 85 C9 74 10 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 48 FF CE 75 F0 0F 10 07 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_396_1 {
	meta:
		name = "?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@G_K@Z"
		size = 85
		refs = "002d ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F1 41 0F B7 E8 48 8B FA 48 8B D9 4D 85 C9 74 10 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 48 FF CE 75 F0 0F 10 07 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_391_1 {
	meta:
		name = "?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 645
		refs = "002c _Getcvt 0035 localeconv 0057 strlen 0063 ??_U@YAPEAX_K@Z 009e ??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z 00b3 ??_C@_00CNPNBAHC@?$AA@ 00d2 ??_C@_01JOAMLHOP@?9?$AA@ 0123 _Mbrtowc 01cf ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 01db ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 01f1 memcpy_s 0254 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 C7 44 24 38 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E8 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 48 E8 ?? ?? ?? ?? 48 8B F8 45 33 F6 4C 89 73 10 4C 89 73 20 4C 89 73 28 4C 89 73 30 4C 8B 60 38 49 8B CC E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 85 F6 74 11 41 8A 0C 24 88 0A 48 FF CE 48 FF C2 49 FF C4 EB EA 48 89 43 10 44 38 73 44 74 06 48 8B 4F 18 EB 04 48 8B 4F 20 48 8D 73 48 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 43 20 41 BF 04 00 00 00 44 38 7F 56 48 8D 0D ?? ?? ?? ?? 77 04 48 8B 4F 40 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 43 28 44 38 7F 57 48 8D 0D ?? ?? ?? ?? 77 04 48 8B 4F 48 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 43 30 48 8B 47 28 8A 08 88 4C 24 70 66 44 89 B4 24 88 00 00 00 44 89 74 24 30 48 89 74 24 20 4C 8D 4C 24 30 41 BC 01 00 00 00 45 8B C4 48 8D 54 24 70 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 88 00 00 00 66 44 89 5B 18 48 8B 47 30 8A 08 88 4C 24 70 66 44 89 B4 24 88 00 00 00 44 89 74 24 30 48 89 74 24 20 4C 8D 4C 24 30 45 8B C4 48 8D 54 24 70 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 88 00 00 00 66 44 89 5B 1A 44 8A 43 44 45 84 C0 74 05 8A 47 50 EB 03 8A 47 51 0F BE C0 89 43 38 85 C0 78 05 83 F8 7F 7C 04 44 89 73 38 0F BE 47 56 0F BE 4F 52 0F BE 57 53 45 84 C0 75 29 83 FA 02 77 24 41 3B CC 77 1F 41 3B C7 77 1A 8D 0C 51 44 8D 04 88 44 03 C1 41 C1 E0 02 48 8D 35 ?? ?? ?? ?? 4C 03 C6 EB 0E 4C 8D 05 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 4D 8B CF 49 8B D7 48 8D 4B 3C E8 ?? ?? ?? ?? 44 0F BE 5F 57 0F BE 47 54 0F BE 4F 55 44 38 73 44 75 22 83 F9 02 77 1D 41 3B C4 77 18 45 3B DF 77 13 8D 0C 48 45 8D 04 8B 44 03 C1 41 C1 E0 02 4C 03 C6 EB 07 4C 8D 05 ?? ?? ?? ?? 4D 8B CF 49 8B D7 48 8D 4B 40 E8 ?? ?? ?? ?? 45 84 ED 74 26 4D 8B C7 48 8D 15 ?? ?? ?? ?? 48 8D 4B 3C E8 ?? ?? ?? ?? 4D 8B C7 48 8D 15 ?? ?? ?? ?? 48 8D 4B 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_401_1 {
	meta:
		name = "?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z"
		size = 645
		refs = "002c _Getcvt 0035 localeconv 0057 strlen 0063 ??_U@YAPEAX_K@Z 009e ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 00b3 ??_C@_00CNPNBAHC@?$AA@ 00d2 ??_C@_01JOAMLHOP@?9?$AA@ 0123 _Mbrtowc 01cf ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 01db ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 01f1 memcpy_s 0254 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 41 54 41 55 41 56 41 57 48 83 EC 40 48 C7 44 24 38 FE FF FF FF 48 89 58 10 48 89 70 18 45 8A E8 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 48 E8 ?? ?? ?? ?? 48 8B F8 45 33 F6 4C 89 73 10 4C 89 73 20 4C 89 73 28 4C 89 73 30 4C 8B 60 38 49 8B CC E8 ?? ?? ?? ?? 48 8D 70 01 48 8B CE E8 ?? ?? ?? ?? 48 8B D0 48 85 F6 74 11 41 8A 0C 24 88 0A 48 FF CE 48 FF C2 49 FF C4 EB EA 48 89 43 10 44 38 73 44 74 06 48 8B 4F 18 EB 04 48 8B 4F 20 48 8D 73 48 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 43 20 41 BF 04 00 00 00 44 38 7F 56 48 8D 0D ?? ?? ?? ?? 77 04 48 8B 4F 40 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 43 28 44 38 7F 57 48 8D 0D ?? ?? ?? ?? 77 04 48 8B 4F 48 4C 8B C6 33 D2 E8 ?? ?? ?? ?? 48 89 43 30 48 8B 47 28 8A 08 88 4C 24 70 66 44 89 B4 24 88 00 00 00 44 89 74 24 30 48 89 74 24 20 4C 8D 4C 24 30 41 BC 01 00 00 00 45 8B C4 48 8D 54 24 70 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 88 00 00 00 66 44 89 5B 18 48 8B 47 30 8A 08 88 4C 24 70 66 44 89 B4 24 88 00 00 00 44 89 74 24 30 48 89 74 24 20 4C 8D 4C 24 30 45 8B C4 48 8D 54 24 70 48 8D 8C 24 88 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 9C 24 88 00 00 00 66 44 89 5B 1A 44 8A 43 44 45 84 C0 74 05 8A 47 50 EB 03 8A 47 51 0F BE C0 89 43 38 85 C0 78 05 83 F8 7F 7C 04 44 89 73 38 0F BE 47 56 0F BE 4F 52 0F BE 57 53 45 84 C0 75 29 83 FA 02 77 24 41 3B CC 77 1F 41 3B C7 77 1A 8D 0C 51 44 8D 04 88 44 03 C1 41 C1 E0 02 48 8D 35 ?? ?? ?? ?? 4C 03 C6 EB 0E 4C 8D 05 ?? ?? ?? ?? 48 8D 35 ?? ?? ?? ?? 4D 8B CF 49 8B D7 48 8D 4B 3C E8 ?? ?? ?? ?? 44 0F BE 5F 57 0F BE 47 54 0F BE 4F 55 44 38 73 44 75 22 83 F9 02 77 1D 41 3B C4 77 18 45 3B DF 77 13 8D 0C 48 45 8D 04 8B 44 03 C1 41 C1 E0 02 4C 03 C6 EB 07 4C 8D 05 ?? ?? ?? ?? 4D 8B CF 49 8B D7 48 8D 4B 40 E8 ?? ?? ?? ?? 45 84 ED 74 26 4D 8B C7 48 8D 15 ?? ?? ?? ?? 48 8D 4B 3C E8 ?? ?? ?? ?? 4D 8B C7 48 8D 15 ?? ?? ?? ?? 48 8D 4B 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 40 49 8B 5B 38 49 8B 73 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_393_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
		size = 50
		refs = "0009 ??_V@YAXPEAX@Z 002d _CxxThrowException"
		altNames = "__catch$?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z$0"
	strings:
		$1 = { 48 8B 5D 70 48 8B 4B 10 E8 ?? ?? ?? ?? 48 8B 4B 20 E8 ?? ?? ?? ?? 48 8B 4B 28 E8 ?? ?? ?? ?? 48 8B 4B 30 E8 ?? ?? ?? ?? 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_65_400_1 {
	meta:
		name = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
		size = 108
		refs = "003a memcpy 0042 ??3@YAXPEAX@Z"
		altNames = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B D9 84 D2 74 26 48 83 79 20 08 72 1F 48 83 C1 08 48 8B 31 4D 85 C0 74 0B 4D 03 C0 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 40 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 6C 7B 08 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_405_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
		size = 102
		altNames = "?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 47 48 8B 41 40 48 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 19 48 8B 41 58 FF 08 48 8B 49 40 48 8B 11 48 8D 42 02 48 89 01 0F B7 02 EB 06 48 8B 01 FF 50 38 B9 FF FF 00 00 66 3B C8 74 06 C6 43 08 00 EB 08 48 83 23 00 C6 43 08 01 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_406_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEBA_WXZ"
		size = 89
		altNames = "?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEBAGXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 0F B7 43 0A 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_426_1 {
	meta:
		name = "?allocate@?$allocator@_W@std@@QEAAPEA_W_K@Z"
		size = 96
		refs = "001f ??2@YAPEAX_K@Z 0039 ??0exception@std@@QEAA@AEBQEBD@Z 0040 ??_7bad_alloc@std@@6B@ 0047 _TI2?AVbad_alloc@std@@ 0056 _CxxThrowException"
		altNames = "?allocate@?$allocator@G@std@@QEAAPEAG_K@Z"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 D2 74 50 48 B8 FF FF FF FF FF FF FF 7F 48 3B D0 77 0E 48 8D 0C 12 E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 58 00 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_65_430_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z"
		size = 229
		altNames = "?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 48 89 7C 24 18 41 54 48 83 EC 20 80 79 08 00 48 8B DA 48 8B F9 BE 01 00 00 00 41 BC FF FF 00 00 75 42 48 8B 09 48 85 C9 74 32 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 47 0A EB 04 48 83 27 00 40 88 77 08 80 7B 08 00 75 42 48 8B 0B 48 85 C9 74 32 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 43 0A EB 04 48 83 23 00 40 88 73 08 48 83 3F 00 75 08 48 83 3B 00 74 0A EB 06 48 83 3B 00 75 02 33 F6 48 8B 5C 24 30 48 8B 7C 24 40 40 8A C6 48 8B 74 24 38 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_65_507_1 {
	meta:
		name = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 36
		altNames = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 48 83 79 20 08 72 06 4C 8B 41 08 EB 04 4C 8D 41 08 48 8B 01 48 83 62 08 00 4C 89 42 10 48 89 02 48 8B C2 C3 }
	condition:
		$1
}

rule file_65_509_1 {
	meta:
		name = "?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEB_W_K@Z"
		size = 91
		refs = "002f ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 49 8B E9 49 8B F0 48 8B DA 48 85 FF 74 15 0F B7 55 00 48 8B CE E8 ?? ?? ?? ?? 48 83 C5 02 48 FF CF 75 EB 0F 10 06 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_516_1 {
	meta:
		name = "?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBG_K@Z"
		size = 91
		refs = "002f ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7C 24 50 49 8B E9 49 8B F0 48 8B DA 48 85 FF 74 15 0F B7 55 00 48 8B CE E8 ?? ?? ?? ?? 48 83 C5 02 48 FF CF 75 EB 0F 10 06 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_510_1 {
	meta:
		name = "?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_W_K@Z"
		size = 87
		refs = "002f ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 74 24 50 41 0F B7 E9 49 8B F8 48 8B DA 48 85 F6 74 10 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 48 FF CE 75 F0 0F 10 07 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_517_1 {
	meta:
		name = "?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@G_K@Z"
		size = 87
		refs = "002f ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 74 24 50 41 0F B7 E9 49 8B F8 48 8B DA 48 85 F6 74 10 0F B7 D5 48 8B CF E8 ?? ?? ?? ?? 48 FF CE 75 F0 0F 10 07 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_513_1 {
	meta:
		name = "?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 219
		refs = "0029 _Getcvt 003c _Getdays 0050 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0058 free 005f ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@ 0074 ??$_Maklocstr@_W@std@@YAPEA_WPEBDPEA_WAEBU_Cvtvec@@@Z 007d _Getmonths 00a0 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@ 00be _Getdateorder"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 24 48 83 63 10 00 48 83 63 18 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4E 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 7E 08 00 48 0F 45 4E 08 4C 8D 43 24 33 D2 E8 ?? ?? ?? ?? 48 89 43 10 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4E 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 7E 18 00 48 0F 45 4E 18 4C 8D 43 24 33 D2 E8 ?? ?? ?? ?? 48 89 43 18 E8 ?? ?? ?? ?? 89 43 20 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_65_521_1 {
	meta:
		name = "?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z"
		size = 219
		refs = "0029 _Getcvt 003c _Getdays 0050 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0058 free 005f ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@ 0074 ??$_Maklocstr@G@std@@YAPEAGPEBDPEAGAEBU_Cvtvec@@@Z 007d _Getmonths 00a0 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@ 00be _Getdateorder"
	strings:
		$1 = { 48 8B C4 48 89 48 08 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 48 89 43 24 48 83 63 10 00 48 83 63 18 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4E 08 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 7E 08 00 48 0F 45 4E 08 4C 8D 43 24 33 D2 E8 ?? ?? ?? ?? 48 89 43 10 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 14 48 8D 4E 18 48 8B D0 E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 7E 18 00 48 0F 45 4E 18 4C 8D 43 24 33 D2 E8 ?? ?? ?? ?? 48 89 43 18 E8 ?? ?? ?? ?? 89 43 20 48 8B 5C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_65_525_1 {
	meta:
		name = "??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_WXZ"
		size = 95
		altNames = "??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBAGXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 80 79 08 00 48 8B D9 75 46 48 8B 09 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 04 48 83 23 00 C6 43 08 01 0F B7 43 0A 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_533_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z"
		size = 175
		refs = "0029 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 002e ?_Xout_of_range@std@@YAXPEBD@Z 0079 memmove"
		altNames = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B F0 4C 8B 41 18 4C 8B CA 48 8B F9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 2B C2 4C 3B C6 49 0F 42 F0 33 ED 48 85 F6 74 53 48 83 79 20 08 48 8D 59 08 72 05 48 8B 13 EB 03 48 8B D3 48 83 79 20 08 72 05 48 8B 0B EB 03 48 8B CB 49 8D 04 31 4C 2B C6 4A 8D 0C 49 48 8D 14 42 4D 03 C0 E8 ?? ?? ?? ?? 4C 8B 5F 18 4C 2B DE 48 83 7F 20 08 4C 89 5F 18 72 03 48 8B 1B 66 42 89 2C 5B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_534_1 {
	meta:
		name = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 47
		altNames = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 48 83 79 20 08 4C 8B C1 72 06 48 8B 49 08 EB 04 48 83 C1 08 49 8B 40 18 48 83 62 08 00 48 8D 0C 41 49 8B 00 48 89 02 48 8B C2 48 89 4A 10 C3 }
	condition:
		$1
}

rule file_65_535_1 {
	meta:
		name = "?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K_W@Z"
		size = 258
		refs = "003a memchr 0075 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 00c4 ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 83 EC 60 4C 8B AC 24 A0 00 00 00 49 8B F8 48 8B EA 4C 8B F1 33 D2 4D 8B C5 49 8B C9 4D 8B E1 E8 ?? ?? ?? ?? 45 33 FF 49 8B DD 4C 8B D0 4D 2B D4 48 85 C0 49 0F 45 DA EB 52 66 44 39 BC 24 A8 00 00 00 74 24 0F 10 07 0F B7 94 24 A8 00 00 00 48 8D 4C 24 40 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 0F 28 6C 24 40 F3 0F 7F 2F 49 FF C4 49 FF CD 33 D2 4D 8B C5 49 8B CC E8 ?? ?? ?? ?? 49 8B DD 48 8B C8 49 2B CC 48 85 C0 48 0F 45 D9 0F 10 07 4C 8D 44 24 30 48 8D 54 24 50 4D 8B CC 49 8B CE 48 89 5C 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 4C 03 E3 4C 2B EB 0F 10 00 F3 0F 7F 07 0F 85 78 FF FF FF 4C 8D 5C 24 60 F3 0F 7F 45 00 48 8B C5 49 8B 5B 20 49 8B 6B 28 49 8B 7B 30 4D 8B 63 38 49 8B E3 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_65_536_1 {
	meta:
		name = "?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_KG@Z"
		size = 258
		refs = "003a memchr 0075 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 00c4 ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 83 EC 60 4C 8B AC 24 A0 00 00 00 49 8B F8 48 8B EA 4C 8B F1 33 D2 4D 8B C5 49 8B C9 4D 8B E1 E8 ?? ?? ?? ?? 45 33 FF 49 8B DD 4C 8B D0 4D 2B D4 48 85 C0 49 0F 45 DA EB 52 66 44 39 BC 24 A8 00 00 00 74 24 0F 10 07 0F B7 94 24 A8 00 00 00 48 8D 4C 24 40 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 0F 28 6C 24 40 F3 0F 7F 2F 49 FF C4 49 FF CD 33 D2 4D 8B C5 49 8B CC E8 ?? ?? ?? ?? 49 8B DD 48 8B C8 49 2B CC 48 85 C0 48 0F 45 D9 0F 10 07 4C 8D 44 24 30 48 8D 54 24 50 4D 8B CC 49 8B CE 48 89 5C 24 20 F3 0F 7F 44 24 30 E8 ?? ?? ?? ?? 4C 03 E3 4C 2B EB 0F 10 00 F3 0F 7F 07 0F 85 78 FF FF FF 4C 8D 5C 24 60 F3 0F 7F 45 00 48 8B C5 49 8B 5B 20 49 8B 6B 28 49 8B 7B 30 4D 8B 63 38 49 8B E3 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_65_547_1 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
		size = 345
		refs = "0096 ??2@YAPEAX_K@Z 00b8 ??0exception@std@@QEAA@AEBQEBD@Z 00bf ??_7bad_alloc@std@@6B@ 00cb _TI2?AVbad_alloc@std@@ 00d5 _CxxThrowException 011d memcpy 012d ??3@YAXPEAX@Z"
		altNames = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 48 89 4C 24 08 53 56 57 41 54 41 55 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 4D 8B E8 48 8B F1 48 8B DA 48 83 CB 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B D9 76 05 48 8B DA EB 31 4C 8B 41 20 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E3 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 1C 01 76 03 49 8B D9 48 8D 4B 01 33 FF 44 8B E7 48 85 C9 74 57 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 10 48 03 C9 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 75 38 48 89 BC 24 A8 00 00 00 48 8D 94 24 A8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 EB 22 33 FF 48 8B B4 24 90 00 00 00 4C 8B AC 24 A0 00 00 00 48 8B 9C 24 98 00 00 00 4C 8B A4 24 A8 00 00 00 4D 85 ED 74 1E 48 83 7E 20 08 72 06 48 8B 56 08 EB 04 48 8D 56 08 4F 8D 44 2D 00 49 8B CC E8 ?? ?? ?? ?? 48 83 7E 20 08 72 09 48 8B 4E 08 E8 ?? ?? ?? ?? 48 8D 46 08 4C 89 20 48 89 5E 20 4C 89 6E 18 48 83 FB 08 49 0F 43 C4 66 42 89 3C 68 48 83 C4 60 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_549_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$0"
		size = 131
		refs = "0028 ??2@YAPEAX_K@Z 0045 ??0exception@std@@QEAA@AEBQEBD@Z 004c ??_7bad_alloc@std@@6B@ 0057 _TI2?AVbad_alloc@std@@ 0060 _CxxThrowException 006e $LN19"
		altNames = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$0"
	strings:
		$1 = { 48 8B 8D 98 00 00 00 48 89 8D 98 00 00 00 33 C0 48 FF C1 74 4F 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 0D 48 03 C9 E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 A5 98 00 00 00 00 48 8D 95 98 00 00 00 48 8D 4D 40 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 45 40 48 8D 15 ?? ?? ?? ?? 48 8D 4D 40 E8 ?? ?? ?? ?? 48 89 85 A8 00 00 00 48 8D 05 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_551_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$1"
		size = 52
		refs = "0013 ??3@YAXPEAX@Z 002f _CxxThrowException"
		altNames = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$1"
	strings:
		$1 = { 48 8B 9D 90 00 00 00 48 83 7B 20 08 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 C7 43 20 07 00 00 00 48 83 63 18 00 33 C0 66 89 43 08 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_65_663_1 {
	meta:
		name = "?_Getfmt@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 593
		refs = "003e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0047 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0054 ??1locale@std@@QEAA@XZ 014a ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0155 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01eb _Mbrtowc"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 20 4D 8B F1 49 8B F8 4C 8B EA 48 8B D9 48 8D 55 B7 48 8B 4D 67 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 BF 48 8D 4D B7 E8 ?? ?? ?? ?? 4C 8B 65 7F 41 8A 0C 24 48 8B 75 6F 45 33 C9 84 C9 0F 84 A9 01 00 00 4C 8B 7D 77 80 F9 25 75 56 49 FF C4 41 0F 10 06 F3 0F 7F 45 D7 0F 10 0F F3 0F 7F 4D E7 4C 8B 13 44 88 4C 24 40 41 8A 04 24 88 44 24 38 4C 89 7C 24 30 48 89 74 24 28 48 8B 45 67 48 89 44 24 20 4C 8D 4D D7 4C 8D 45 E7 48 8D 55 F7 48 8B CB 41 FF 52 38 0F 10 00 F3 0F 7F 07 E9 33 01 00 00 80 F9 20 0F 85 92 00 00 00 EB 75 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 48 8B 4D BF 48 8B 01 BA 48 00 00 00 44 0F B7 47 0A FF 50 10 45 33 C9 84 C0 0F 84 BE 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 75 FF FF FF E9 9B 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A 41 8A 04 24 88 45 7F 66 44 89 4D 4F 44 89 4D 57 48 8B 45 47 48 83 C0 24 48 89 44 24 20 4C 8D 4D 57 41 B8 01 00 00 00 48 8D 55 7F 48 8D 4D 4F E8 ?? ?? ?? ?? 66 3B 5D 4F 75 20 48 8B CF E8 ?? ?? ?? ?? 48 8B 5D 47 45 33 C9 49 FF C4 41 8A 0C 24 84 C9 0F 85 60 FE FF FF EB 03 83 0E 02 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 9C 24 F8 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_666_1 {
	meta:
		name = "?_Getfmt@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@PEBD@Z"
		size = 593
		refs = "003e ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0047 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0054 ??1locale@std@@QEAA@XZ 014a ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0155 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01eb _Mbrtowc"
	strings:
		$1 = { 48 8B C4 48 89 48 08 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC A0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 20 4D 8B F1 49 8B F8 4C 8B EA 48 8B D9 48 8D 55 B7 48 8B 4D 67 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 89 45 BF 48 8D 4D B7 E8 ?? ?? ?? ?? 4C 8B 65 7F 41 8A 0C 24 48 8B 75 6F 45 33 C9 84 C9 0F 84 A9 01 00 00 4C 8B 7D 77 80 F9 25 75 56 49 FF C4 41 0F 10 06 F3 0F 7F 45 D7 0F 10 0F F3 0F 7F 4D E7 4C 8B 13 44 88 4C 24 40 41 8A 04 24 88 44 24 38 4C 89 7C 24 30 48 89 74 24 28 48 8B 45 67 48 89 44 24 20 4C 8D 4D D7 4C 8D 45 E7 48 8D 55 F7 48 8B CB 41 FF 52 38 0F 10 00 F3 0F 7F 07 E9 33 01 00 00 80 F9 20 0F 85 92 00 00 00 EB 75 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 48 8B 4D BF 48 8B 01 BA 48 00 00 00 44 0F B7 47 0A FF 50 10 45 33 C9 84 C0 0F 84 BE 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 75 FF FF FF E9 9B 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A 41 8A 04 24 88 45 7F 66 44 89 4D 4F 44 89 4D 57 48 8B 45 47 48 83 C0 24 48 89 44 24 20 4C 8D 4D 57 41 B8 01 00 00 00 48 8D 55 7F 48 8D 4D 4F E8 ?? ?? ?? ?? 66 3B 5D 4F 75 20 48 8B CF E8 ?? ?? ?? ?? 48 8B 5D 47 45 33 C9 49 FF C4 41 8A 0C 24 84 C9 0F 85 60 FE FF FF EB 03 83 0E 02 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 F3 41 0F 7F 45 00 49 8B C5 48 8B 9C 24 F8 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_665_1 {
	meta:
		name = "?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAH@Z"
		size = 1061
		refs = "001f __security_cookie 0066 _Mbrtowc 0075 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0194 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 03be _Stolx 0406 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E9 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 8B 75 7F 33 DB 4C 8D 61 24 45 8B F9 44 89 4D CF 4D 8B E8 48 8B FA 48 8D 4D C3 44 8D 43 01 4C 8D 4D BF 48 8D 55 B7 4C 89 75 D7 C6 45 B7 30 66 89 5D C3 89 5D BF 4C 89 64 24 20 E8 ?? ?? ?? ?? 49 8B D5 48 8B CF 48 8D 75 E7 E8 ?? ?? ?? ?? 84 C0 0F 85 19 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 33 D2 4C 8D 4D C7 66 89 55 BF 89 55 C7 44 8D 42 01 48 8D 55 B7 48 8D 4D BF C6 45 B7 2B 4C 89 64 24 20 E8 ?? ?? ?? ?? 66 3B 5D BF 75 09 C6 45 E7 2B E9 88 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A 66 44 89 4D BF 44 89 4D C7 4C 8D 4D C7 48 8D 55 B7 48 8D 4D BF 41 B8 01 00 00 00 C6 45 B7 2D 4C 89 64 24 20 E8 ?? ?? ?? ?? 66 3B 5D BF 75 10 C6 45 E7 2D 48 8B CF 48 8D 75 E8 E8 ?? ?? ?? ?? 33 DB 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 65 C3 45 33 C9 84 C0 0F 85 8A 00 00 00 45 8D 79 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 66 44 39 67 0A 75 1D 48 8B CF 41 8A DF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 74 92 4C 8B 75 D7 44 8B 7D CF 84 DB 74 06 C6 06 30 48 FF C6 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 45 01 00 00 45 8D 79 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 66 44 3B 67 0A 0F 87 DE 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 0F B7 47 0A 41 0F B7 CC 83 C1 09 3B C1 0F 8F 81 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 8A 47 0A 41 2A C4 04 30 88 06 48 8D 45 06 48 3B F0 73 03 49 03 F7 48 8B CF 41 8A DF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 CD FE FF FF 4C 8B 75 D7 44 8B 7D CF 44 89 4D CB 48 8D 45 E7 84 DB 48 0F 45 C6 48 8D 55 DF 48 8D 4D E7 44 88 08 4C 8D 4D CB 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 49 8B D5 48 8B CF 8B D8 E8 ?? ?? ?? ?? 33 D2 84 C0 8D 42 01 8B CA 0F 45 C8 48 8D 45 E7 48 39 45 DF 74 14 39 55 CB 75 0F 41 3B DF 7C 0A 39 5D 77 7C 05 41 89 1E EB 03 83 C9 02 8B C1 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E8 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_668_1 {
	meta:
		name = "?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAH@Z"
		size = 1061
		refs = "001f __security_cookie 0066 _Mbrtowc 0075 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0194 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 03be _Stolx 0406 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 20 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E9 48 81 EC 90 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 8B 75 7F 33 DB 4C 8D 61 24 45 8B F9 44 89 4D CF 4D 8B E8 48 8B FA 48 8D 4D C3 44 8D 43 01 4C 8D 4D BF 48 8D 55 B7 4C 89 75 D7 C6 45 B7 30 66 89 5D C3 89 5D BF 4C 89 64 24 20 E8 ?? ?? ?? ?? 49 8B D5 48 8B CF 48 8D 75 E7 E8 ?? ?? ?? ?? 84 C0 0F 85 19 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A 33 D2 4C 8D 4D C7 66 89 55 BF 89 55 C7 44 8D 42 01 48 8D 55 B7 48 8D 4D BF C6 45 B7 2B 4C 89 64 24 20 E8 ?? ?? ?? ?? 66 3B 5D BF 75 09 C6 45 E7 2B E9 88 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A 66 44 89 4D BF 44 89 4D C7 4C 8D 4D C7 48 8D 55 B7 48 8D 4D BF 41 B8 01 00 00 00 C6 45 B7 2D 4C 89 64 24 20 E8 ?? ?? ?? ?? 66 3B 5D BF 75 10 C6 45 E7 2D 48 8B CF 48 8D 75 E8 E8 ?? ?? ?? ?? 33 DB 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 65 C3 45 33 C9 84 C0 0F 85 8A 00 00 00 45 8D 79 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 66 44 39 67 0A 75 1D 48 8B CF 41 8A DF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 74 92 4C 8B 75 D7 44 8B 7D CF 84 DB 74 06 C6 06 30 48 FF C6 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 45 01 00 00 45 8D 79 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 66 44 3B 67 0A 0F 87 DE 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 0F B7 47 0A 41 0F B7 CC 83 C1 09 3B C1 0F 8F 81 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 7F 08 8A 47 0A 41 2A C4 04 30 88 06 48 8D 45 06 48 3B F0 73 03 49 03 F7 48 8B CF 41 8A DF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 CD FE FF FF 4C 8B 75 D7 44 8B 7D CF 44 89 4D CB 48 8D 45 E7 84 DB 48 0F 45 C6 48 8D 55 DF 48 8D 4D E7 44 88 08 4C 8D 4D CB 41 B8 0A 00 00 00 E8 ?? ?? ?? ?? 49 8B D5 48 8B CF 8B D8 E8 ?? ?? ?? ?? 33 D2 84 C0 8D 42 01 8B CA 0F 45 C8 48 8D 45 E7 48 39 45 DF 74 14 39 55 CB 75 0F 41 3B DF 7C 0A 39 5D 77 7C 05 41 89 1E EB 03 83 C9 02 8B C1 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E8 00 00 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_673_1 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z"
		size = 221
		refs = "0031 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0036 ?_Xlength_error@std@@YAXPEBD@Z 0048 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 0080 memcpy 0088 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B F9 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 33 DB 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 6E 45 84 C0 74 4C 48 83 FA 08 73 46 48 8B 69 18 48 3B D5 48 0F 42 EA 48 83 79 20 08 72 21 48 83 C1 08 4C 8B 21 48 85 ED 74 0D 4C 8D 44 2D 00 49 8B D4 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 C7 47 20 07 00 00 00 48 89 6F 18 66 89 5C 6F 08 EB 1D 48 85 D2 75 18 48 83 79 20 08 48 89 59 18 72 06 48 8B 79 08 EB 04 48 83 C7 08 66 89 1F 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_65_674_1 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z"
		size = 221
		refs = "0031 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0036 ?_Xlength_error@std@@YAXPEBD@Z 0048 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 0080 memcpy 0088 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B F9 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 33 DB 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 6E 45 84 C0 74 4C 48 83 FA 08 73 46 48 8B 69 18 48 3B D5 48 0F 42 EA 48 83 79 20 08 72 21 48 83 C1 08 4C 8B 21 48 85 ED 74 0D 4C 8D 44 2D 00 49 8B D4 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 C7 47 20 07 00 00 00 48 89 6F 18 66 89 5C 6F 08 EB 1D 48 85 D2 75 18 48 83 79 20 08 48 89 59 18 72 06 48 8B 79 08 EB 04 48 83 C7 08 66 89 1F 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_65_682_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 297
		refs = "0030 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0035 ?_Xout_of_range@std@@YAXPEBD@Z 0057 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 005c ?_Xlength_error@std@@YAXPEBD@Z 0097 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00f6 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 42 18 49 8B E9 4D 8B E0 48 8B FA 48 8B D9 49 3B C0 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B C0 4C 8B 41 18 49 3B C1 48 0F 42 E8 48 83 C8 FF 49 2B C0 48 3B C5 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 ED 0F 84 A0 00 00 00 49 8D 34 28 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 48 83 79 20 08 4C 89 69 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 28 48 85 F6 74 4D 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4A 8D 14 60 48 8B 43 18 4C 8D 44 2D 00 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 44 89 2C 77 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_683_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 297
		refs = "0030 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0035 ?_Xout_of_range@std@@YAXPEBD@Z 0057 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 005c ?_Xlength_error@std@@YAXPEBD@Z 0097 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00f6 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 42 18 49 8B E9 4D 8B E0 48 8B FA 48 8B D9 49 3B C0 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B C0 4C 8B 41 18 49 3B C1 48 0F 42 E8 48 83 C8 FF 49 2B C0 48 3B C5 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 ED 0F 84 A0 00 00 00 49 8D 34 28 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 48 83 79 20 08 4C 89 69 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 28 48 85 F6 74 4D 48 83 7F 20 08 72 06 48 8B 47 08 EB 04 48 8D 47 08 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 4A 8D 14 60 48 8B 43 18 4C 8D 44 2D 00 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 44 89 2C 77 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_698_1 {
	meta:
		name = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
		size = 69
		refs = "0019 ??3@YAXPEAX@Z"
		altNames = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 79 20 08 48 8B D9 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 33 FF 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 7B 08 48 8B 0B E8 ?? ?? ?? ?? 48 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_699_1 {
	meta:
		name = "?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 434
		refs = "004c _Mbrtowc 0076 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAH@Z 00e0 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 FF 48 8D 41 24 4D 8B E9 49 8B D8 48 8B F2 4C 8B E1 4D 8D 4B 18 45 8D 47 01 49 8D 53 08 49 8D 4B 10 C6 44 24 70 3A 66 45 89 7B 10 45 89 7B 18 49 89 43 B8 E8 ?? ?? ?? ?? 4C 8B B4 24 A0 00 00 00 45 33 C9 4D 8B C5 49 8D 46 08 48 8B D3 49 8B CC 48 89 44 24 28 C7 44 24 20 17 00 00 00 E8 ?? ?? ?? ?? 48 8B BC 24 98 00 00 00 0F B7 6C 24 78 09 07 75 7F 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 3B C6 43 08 01 66 39 6B 0A 75 2E 48 8B CB E8 ?? ?? ?? ?? 4D 8D 5E 04 45 33 C9 4C 89 5C 24 28 4D 8B C5 48 8B D3 49 8B CC C7 44 24 20 3B 00 00 00 E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 44 39 3F 75 7B 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 3B C6 43 08 01 66 39 6B 0A 75 2A 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 4D 8B C5 48 8B D3 49 8B CC 4C 89 74 24 28 C7 44 24 20 3B 00 00 00 E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 0F 10 03 48 8B 9C 24 88 00 00 00 48 8B C6 F3 0F 7F 06 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_702_1 {
	meta:
		name = "?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 434
		refs = "004c _Mbrtowc 0076 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAH@Z 00e0 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 20 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 30 45 33 FF 48 8D 41 24 4D 8B E9 49 8B D8 48 8B F2 4C 8B E1 4D 8D 4B 18 45 8D 47 01 49 8D 53 08 49 8D 4B 10 C6 44 24 70 3A 66 45 89 7B 10 45 89 7B 18 49 89 43 B8 E8 ?? ?? ?? ?? 4C 8B B4 24 A0 00 00 00 45 33 C9 4D 8B C5 49 8D 46 08 48 8B D3 49 8B CC 48 89 44 24 28 C7 44 24 20 17 00 00 00 E8 ?? ?? ?? ?? 48 8B BC 24 98 00 00 00 0F B7 6C 24 78 09 07 75 7F 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 3B C6 43 08 01 66 39 6B 0A 75 2E 48 8B CB E8 ?? ?? ?? ?? 4D 8D 5E 04 45 33 C9 4C 89 5C 24 28 4D 8B C5 48 8B D3 49 8B CC C7 44 24 20 3B 00 00 00 E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 44 39 3F 75 7B 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 43 0A EB 03 4C 89 3B C6 43 08 01 66 39 6B 0A 75 2A 48 8B CB E8 ?? ?? ?? ?? 45 33 C9 4D 8B C5 48 8B D3 49 8B CC 4C 89 74 24 28 C7 44 24 20 3B 00 00 00 E8 ?? ?? ?? ?? 09 07 EB 03 83 0F 02 0F 10 03 48 8B 9C 24 88 00 00 00 48 8B C6 F3 0F 7F 06 48 83 C4 30 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_700_1 {
	meta:
		name = "?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 2787
		refs = "0057 _Mbrtowc 0112 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0201 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAEAH@Z 0351 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 20 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC 90 00 00 00 45 33 FF 48 8D 59 24 4D 8B E1 4C 8B E9 49 8B F8 41 8D 77 01 4C 8D 4D BF 48 8D 55 4F 48 8D 4D 5F 44 8B C6 C6 45 4F 30 66 44 89 7D 5F 44 89 7D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D BF 48 8D 55 4F 48 8D 4D C3 44 8B C6 C6 45 4F 3A 66 44 89 7D C3 44 89 7D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D BF 48 8D 55 4F 48 8D 4D CB 44 8B C6 C6 45 4F 2C 66 44 89 7D CB 44 89 7D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D C7 48 8D 55 4F 48 8D 4D BF 44 8B C6 C6 45 4F 2F 66 44 89 7D BF 44 89 7D C7 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D FF 48 8D 55 4F 48 8D 4D C7 44 8B C6 C6 45 4F 20 66 44 89 7D C7 44 89 7D FF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4D 8B 5D 00 49 8B CD 41 FF 53 08 49 8B D4 48 8B CF 44 8B F0 8D 46 01 45 85 F6 44 0F 44 F0 E8 ?? ?? ?? ?? 48 8B 75 77 BB FF FF 00 00 84 C0 0F 85 E2 00 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 5D 5F 66 39 5F 0A 0F 82 52 01 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 47 0A 0F B7 CB 83 C1 09 3B C8 0F 8C F5 00 00 00 48 8B 5D 7F 41 83 FE 02 75 77 48 83 C3 10 45 8D 4E FF 4D 8B C4 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B 48 8B 5D 7F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 4C 01 00 00 44 0F B7 7D C7 BB FF FF 00 00 80 7F 08 00 0F 85 12 01 00 00 48 8B 0F 48 85 C9 0F 84 FE 00 00 00 4C 8B 41 40 49 83 38 00 0F 84 D1 00 00 00 48 8B 41 58 8B 10 E9 C8 00 00 00 41 83 FE 01 75 26 48 8D 43 0C 45 8B CE 4D 8B C4 48 89 44 24 28 48 8B D7 49 8B CD C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 EB 88 41 0F 10 04 24 0F 10 0F 48 8B 4D 6F 49 8B 45 00 48 89 5C 24 30 4C 8D 4D CF F3 0F 7F 45 CF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 45 EF 48 8D 55 DF 49 8B CD FF 50 30 0F 10 6D DF F3 0F 7F 2F E9 40 FF FF FF 41 0F 10 04 24 0F 10 0F 48 8B 4D 6F 48 8B 5D 7F 49 8B 45 00 4C 8D 4D DF F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 5C 24 30 4C 8D 45 EF 48 8D 55 CF 48 89 74 24 28 48 89 4C 24 20 49 8B CD FF 50 28 41 BE 02 00 00 00 0F 10 6D CF F3 0F 7F 2F E9 EE FE FF FF 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 66 44 39 7F 0A 75 1B 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 C2 FE FF FF 48 8B 5D 7F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 7D C3 45 33 C9 84 C0 0F 85 11 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 66 44 39 7F 0A 0F 84 B0 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 CB 66 39 47 0A 74 58 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 BF 66 39 47 0A 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 78 44 0F B7 7D C7 BE FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 66 44 39 7F 0A 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 48 8B 75 77 44 0F B7 7D C3 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 7D 01 00 00 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 44 0F B7 4D 5F 66 44 39 4F 0A 0F 82 C7 00 00 00 80 7F 08 00 75 4B 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 0B 48 8B 01 FF 50 30 44 0F B7 4D 5F B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 0F B7 47 0A 41 0F B7 C9 83 C1 09 3B C8 7C 67 41 83 FE 01 74 36 B8 03 00 00 00 44 3B F0 74 2C 48 8D 43 0C 41 B9 01 00 00 00 4D 8B C4 48 89 44 24 28 48 8B D7 49 8B CD C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 E9 86 00 00 00 48 83 C3 10 41 B9 01 00 00 00 4D 8B C4 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B EB 5B 41 83 FE 02 75 05 44 09 36 EB 50 41 0F 10 04 24 0F 10 0F 48 8B 4D 6F 49 8B 45 00 48 89 5C 24 30 4C 8D 4D DF F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 45 EF 48 8D 55 CF 49 8B CD FF 50 28 41 83 FE 04 B8 03 00 00 00 0F 10 6D CF 44 0F 44 F0 F3 0F 7F 2F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 0F B7 5D C7 84 C0 75 70 41 BF FF FF 00 00 80 7F 08 00 75 42 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 66 39 5F 0A 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 44 0F B7 7D C3 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 11 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 66 44 39 7F 0A 0F 84 B0 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 CB 66 39 47 0A 74 58 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 BF 66 39 47 0A 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 FF 84 C0 75 6C BE FF FF 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 66 39 5F 0A 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9D 48 8B 75 77 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 75 01 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 44 0F B7 4D 5F 66 44 39 4F 0A 0F 82 14 01 00 00 44 38 7F 08 75 4A 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 0B 48 8B 01 FF 50 30 44 0F B7 4D 5F B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 47 0A 41 0F B7 C9 83 C1 09 3B C8 0F 8C B1 00 00 00 41 83 FE 04 75 30 48 8B 5D 7F 45 8D 4E FD 4D 8B C4 48 83 C3 10 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B E9 CD 00 00 00 B8 03 00 00 00 44 3B F0 75 30 48 8B 45 7F 41 B9 01 00 00 00 4D 8B C4 48 83 C0 0C 48 8B D7 49 8B CD 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 E9 93 00 00 00 48 8B 4D 7F 41 0F 10 04 24 0F 10 0F 49 8B 45 00 48 89 4C 24 30 48 8B 4D 6F F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 4D DF 4C 8D 45 EF 48 8D 55 CF 49 8B CD FF 50 30 EB 4A 41 83 FE 04 74 05 83 0E 02 EB 47 48 8B 4D 7F 41 0F 10 04 24 0F 10 0F 49 8B 45 00 48 89 4C 24 30 48 8B 4D 6F F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 4D DF 4C 8D 45 EF 48 8D 55 CF 49 8B CD FF 50 28 0F 10 6D CF F3 0F 7F 2F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 48 8B 45 57 48 8B 9C 24 E8 00 00 00 F3 0F 7F 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_703_1 {
	meta:
		name = "?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHPEAUtm@@@Z"
		size = 2787
		refs = "0057 _Mbrtowc 0112 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0201 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAEAH@Z 0351 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 20 48 89 54 24 10 55 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC 90 00 00 00 45 33 FF 48 8D 59 24 4D 8B E1 4C 8B E9 49 8B F8 41 8D 77 01 4C 8D 4D BF 48 8D 55 4F 48 8D 4D 5F 44 8B C6 C6 45 4F 30 66 44 89 7D 5F 44 89 7D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D BF 48 8D 55 4F 48 8D 4D C3 44 8B C6 C6 45 4F 3A 66 44 89 7D C3 44 89 7D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D BF 48 8D 55 4F 48 8D 4D CB 44 8B C6 C6 45 4F 2C 66 44 89 7D CB 44 89 7D BF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D C7 48 8D 55 4F 48 8D 4D BF 44 8B C6 C6 45 4F 2F 66 44 89 7D BF 44 89 7D C7 48 89 5C 24 20 E8 ?? ?? ?? ?? 4C 8D 4D FF 48 8D 55 4F 48 8D 4D C7 44 8B C6 C6 45 4F 20 66 44 89 7D C7 44 89 7D FF 48 89 5C 24 20 E8 ?? ?? ?? ?? 4D 8B 5D 00 49 8B CD 41 FF 53 08 49 8B D4 48 8B CF 44 8B F0 8D 46 01 45 85 F6 44 0F 44 F0 E8 ?? ?? ?? ?? 48 8B 75 77 BB FF FF 00 00 84 C0 0F 85 E2 00 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 5D 5F 66 39 5F 0A 0F 82 52 01 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 47 0A 0F B7 CB 83 C1 09 3B C8 0F 8C F5 00 00 00 48 8B 5D 7F 41 83 FE 02 75 77 48 83 C3 10 45 8D 4E FF 4D 8B C4 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B 48 8B 5D 7F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 4C 01 00 00 44 0F B7 7D C7 BB FF FF 00 00 80 7F 08 00 0F 85 12 01 00 00 48 8B 0F 48 85 C9 0F 84 FE 00 00 00 4C 8B 41 40 49 83 38 00 0F 84 D1 00 00 00 48 8B 41 58 8B 10 E9 C8 00 00 00 41 83 FE 01 75 26 48 8D 43 0C 45 8B CE 4D 8B C4 48 89 44 24 28 48 8B D7 49 8B CD C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 EB 88 41 0F 10 04 24 0F 10 0F 48 8B 4D 6F 49 8B 45 00 48 89 5C 24 30 4C 8D 4D CF F3 0F 7F 45 CF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 45 EF 48 8D 55 DF 49 8B CD FF 50 30 0F 10 6D DF F3 0F 7F 2F E9 40 FF FF FF 41 0F 10 04 24 0F 10 0F 48 8B 4D 6F 48 8B 5D 7F 49 8B 45 00 4C 8D 4D DF F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 5C 24 30 4C 8D 45 EF 48 8D 55 CF 48 89 74 24 28 48 89 4C 24 20 49 8B CD FF 50 28 41 BE 02 00 00 00 0F 10 6D CF F3 0F 7F 2F E9 EE FE FF FF 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B D8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 66 44 39 7F 0A 75 1B 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 C2 FE FF FF 48 8B 5D 7F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 7D C3 45 33 C9 84 C0 0F 85 11 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 66 44 39 7F 0A 0F 84 B0 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 CB 66 39 47 0A 74 58 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 BF 66 39 47 0A 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 78 44 0F B7 7D C7 BE FF FF 00 00 80 7F 08 00 75 41 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 66 44 39 7F 0A 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 48 8B 75 77 44 0F B7 7D C3 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 7D 01 00 00 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 44 0F B7 4D 5F 66 44 39 4F 0A 0F 82 C7 00 00 00 80 7F 08 00 75 4B 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 0B 48 8B 01 FF 50 30 44 0F B7 4D 5F B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 0F B7 47 0A 41 0F B7 C9 83 C1 09 3B C8 7C 67 41 83 FE 01 74 36 B8 03 00 00 00 44 3B F0 74 2C 48 8D 43 0C 41 B9 01 00 00 00 4D 8B C4 48 89 44 24 28 48 8B D7 49 8B CD C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 E9 86 00 00 00 48 83 C3 10 41 B9 01 00 00 00 4D 8B C4 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B EB 5B 41 83 FE 02 75 05 44 09 36 EB 50 41 0F 10 04 24 0F 10 0F 48 8B 4D 6F 49 8B 45 00 48 89 5C 24 30 4C 8D 4D DF F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 45 EF 48 8D 55 CF 49 8B CD FF 50 28 41 83 FE 04 B8 03 00 00 00 0F 10 6D CF 44 0F 44 F0 F3 0F 7F 2F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 0F B7 5D C7 84 C0 75 70 41 BF FF FF 00 00 80 7F 08 00 75 42 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 66 39 5F 0A 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 44 0F B7 7D C3 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 11 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 66 44 39 7F 0A 0F 84 B0 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 CB 66 39 47 0A 74 58 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 45 BF 66 39 47 0A 75 08 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 FF 84 C0 75 6C BE FF FF 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 66 39 5F 0A 75 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9D 48 8B 75 77 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 75 01 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 44 0F B7 4D 5F 66 44 39 4F 0A 0F 82 14 01 00 00 44 38 7F 08 75 4A 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 0B 48 8B 01 FF 50 30 44 0F B7 4D 5F B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 47 0A 41 0F B7 C9 83 C1 09 3B C8 0F 8C B1 00 00 00 41 83 FE 04 75 30 48 8B 5D 7F 45 8D 4E FD 4D 8B C4 48 83 C3 10 48 8B D7 49 8B CD 48 89 5C 24 28 C7 44 24 20 0C 00 00 00 E8 ?? ?? ?? ?? 09 06 FF 0B E9 CD 00 00 00 B8 03 00 00 00 44 3B F0 75 30 48 8B 45 7F 41 B9 01 00 00 00 4D 8B C4 48 83 C0 0C 48 8B D7 49 8B CD 48 89 44 24 28 C7 44 24 20 1F 00 00 00 E8 ?? ?? ?? ?? 09 06 E9 93 00 00 00 48 8B 4D 7F 41 0F 10 04 24 0F 10 0F 49 8B 45 00 48 89 4C 24 30 48 8B 4D 6F F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 4D DF 4C 8D 45 EF 48 8D 55 CF 49 8B CD FF 50 30 EB 4A 41 83 FE 04 74 05 83 0E 02 EB 47 48 8B 4D 7F 41 0F 10 04 24 0F 10 0F 49 8B 45 00 48 89 4C 24 30 48 8B 4D 6F F3 0F 7F 45 DF F3 0F 7F 4D EF 48 89 74 24 28 48 89 4C 24 20 4C 8D 4D DF 4C 8D 45 EF 48 8D 55 CF 49 8B CD FF 50 28 0F 10 6D CF F3 0F 7F 2F 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 0F 10 07 48 8B 45 57 48 8B 9C 24 E8 00 00 00 F3 0F 7F 00 48 81 C4 90 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_707_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
		size = 46
		refs = "000f ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 33 C0 48 C7 43 20 07 00 00 00 48 89 43 18 66 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_712_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 46
		refs = "000f ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 54 24 30 48 8B D9 E8 ?? ?? ?? ?? 33 C0 48 C7 43 20 07 00 00 00 48 89 43 18 66 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_65_708_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 270
		refs = "0035 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 003a ?_Xlength_error@std@@YAXPEBD@Z 0075 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 83 C8 FF 45 0F B7 E0 4C 8B 41 18 49 2B C0 48 8B EA 48 8B D9 48 3B C2 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 D2 0F 84 A7 00 00 00 49 8D 34 10 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 48 83 79 20 08 4C 89 69 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 28 48 85 F6 74 54 48 8B 4B 18 48 8D 53 08 48 83 FD 01 75 16 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 44 89 24 48 EB 1D 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 48 8D 3C 48 41 0F B7 C4 48 8B CD 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 2C 72 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_714_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 270
		refs = "0035 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 003a ?_Xlength_error@std@@YAXPEBD@Z 0075 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 83 C8 FF 45 0F B7 E0 4C 8B 41 18 49 2B C0 48 8B EA 48 8B D9 48 3B C2 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 D2 0F 84 A7 00 00 00 49 8D 34 10 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 20 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1E 48 85 F6 75 1E 48 83 79 20 08 4C 89 69 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 28 48 85 F6 74 54 48 8B 4B 18 48 8D 53 08 48 83 FD 01 75 16 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 44 89 24 48 EB 1D 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 48 8D 3C 48 41 0F B7 C4 48 8B CD 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 2C 72 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_709_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 286
		refs = "002d ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0032 ?_Xout_of_range@std@@YAXPEBD@Z 004f ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0077 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 007c ?_Xlength_error@std@@YAXPEBD@Z 0092 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00eb memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 7A 18 49 8B E8 48 8B F2 48 8B D9 49 3B F8 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 1F 4A 8D 14 07 49 83 C8 FF E8 ?? ?? ?? ?? 4C 8B C5 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 9D 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 39 79 20 73 0E 4C 8B 41 18 48 8B D7 E8 ?? ?? ?? ?? EB 1E 48 85 FF 75 1E 48 83 79 20 08 4C 89 69 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 28 48 85 FF 74 47 48 83 7E 20 08 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 4C 8D 24 3F 48 8D 14 68 4D 8B C4 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 45 89 2C 34 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_734_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 286
		refs = "002d ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0032 ?_Xout_of_range@std@@YAXPEBD@Z 004f ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0077 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 007c ?_Xlength_error@std@@YAXPEBD@Z 0092 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00eb memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 7A 18 49 8B E8 48 8B F2 48 8B D9 49 3B F8 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 1F 4A 8D 14 07 49 83 C8 FF E8 ?? ?? ?? ?? 4C 8B C5 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 9D 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 39 79 20 73 0E 4C 8B 41 18 48 8B D7 E8 ?? ?? ?? ?? EB 1E 48 85 FF 75 1E 48 83 79 20 08 4C 89 69 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 28 48 85 FF 74 47 48 83 7E 20 08 72 06 48 8B 46 08 EB 04 48 8D 46 08 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 0E EB 03 48 8B CE 4C 8D 24 3F 48 8D 14 68 4D 8B C4 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 7B 18 72 03 48 8B 36 66 45 89 2C 34 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_723_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 298
		refs = "007a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0095 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 009a ?_Xlength_error@std@@YAXPEBD@Z 00b0 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00f7 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 45 33 ED 49 8B F0 4C 8B E2 48 8B D9 48 85 D2 74 5A 48 83 79 20 08 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 42 48 83 79 20 08 72 05 49 8B 09 EB 03 49 8B C9 48 8B 43 18 48 8D 0C 41 48 3B CA 76 26 48 83 7B 20 08 72 03 4D 8B 09 4D 2B E1 4D 8B C8 48 8B D3 49 D1 FC 48 8B CB 4D 8B C4 E8 ?? ?? ?? ?? E9 8E 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 4C 3B C0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 39 43 20 73 11 4C 8B 43 18 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 1E 4D 85 C0 75 19 48 83 7B 20 08 4C 89 6B 18 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 28 48 85 F6 74 35 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 8D 2C 36 49 8B D4 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 44 89 2C 2F 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_735_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		size = 298
		refs = "007a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0095 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 009a ?_Xlength_error@std@@YAXPEBD@Z 00b0 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00f7 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 45 33 ED 49 8B F0 4C 8B E2 48 8B D9 48 85 D2 74 5A 48 83 79 20 08 4C 8D 49 08 72 05 49 8B 01 EB 03 49 8B C1 48 3B D0 72 42 48 83 79 20 08 72 05 49 8B 09 EB 03 49 8B C9 48 8B 43 18 48 8D 0C 41 48 3B CA 76 26 48 83 7B 20 08 72 03 4D 8B 09 4D 2B E1 4D 8B C8 48 8B D3 49 D1 FC 48 8B CB 4D 8B C4 E8 ?? ?? ?? ?? E9 8E 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 4C 3B C0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 39 43 20 73 11 4C 8B 43 18 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 1E 4D 85 C0 75 19 48 83 7B 20 08 4C 89 6B 18 72 06 48 8B 43 08 EB 04 48 8D 43 08 66 44 89 28 48 85 F6 74 35 48 83 7B 20 08 48 8D 7B 08 72 05 48 8B 0F EB 03 48 8B CF 48 8D 2C 36 49 8B D4 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 20 08 48 89 73 18 72 03 48 8B 3F 66 44 89 2C 2F 48 8B C3 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_65_724_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 240
		refs = "002c ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0031 ?_Xlength_error@std@@YAXPEBD@Z 0060 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 75 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 E4 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 1E 48 85 D2 75 19 48 83 79 20 08 4C 89 61 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 20 48 85 F6 74 49 48 8D 53 08 48 83 FE 01 75 14 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 89 28 EB 18 48 83 7B 20 08 72 05 48 8B 3A EB 03 48 8B FA 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 24 72 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_65_737_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 240
		refs = "002c ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0031 ?_Xlength_error@std@@YAXPEBD@Z 0060 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 75 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 E4 48 39 51 20 73 0B 4C 8B 41 18 E8 ?? ?? ?? ?? EB 1E 48 85 D2 75 19 48 83 79 20 08 4C 89 61 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 20 48 85 F6 74 49 48 8D 53 08 48 83 FE 01 75 14 48 83 7B 20 08 72 05 48 8B 02 EB 03 48 8B C2 66 89 28 EB 18 48 83 7B 20 08 72 05 48 8B 3A EB 03 48 8B FA 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 20 08 48 89 73 18 72 03 48 8B 12 66 44 89 24 72 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_65_725_1 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z"
		size = 359
		refs = "0036 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 003b ?_Xout_of_range@std@@YAXPEBD@Z 004f ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0054 ?_Xlength_error@std@@YAXPEBD@Z 008f ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00f5 memmove"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 4D 8B E0 4C 8B 41 18 45 0F B7 E9 48 8B FA 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 C8 FF 49 2B C0 49 3B C4 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 F6 4D 85 E4 0F 84 E0 00 00 00 4B 8D 2C 20 48 B8 FE FF FF FF FF FF FF 7F 48 3B E8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 69 20 73 0A 48 8B D5 E8 ?? ?? ?? ?? EB 1E 48 85 ED 75 22 48 83 79 20 08 4C 89 71 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 30 48 85 ED 0F 84 89 00 00 00 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 06 EB 03 48 8B C6 48 83 7B 20 08 72 05 48 8B 0E EB 03 48 8B CE 4C 8B 43 18 48 8D 14 78 4A 8D 04 27 4C 2B C7 48 8D 0C 41 4D 03 C0 E8 ?? ?? ?? ?? 49 83 FC 01 75 16 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 66 44 89 2C 78 EB 1D 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 48 8D 3C 78 49 8B CC 41 0F B7 C5 66 F3 AB 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 36 66 44 89 34 6E 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_65_738_1 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z"
		size = 359
		refs = "0036 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 003b ?_Xout_of_range@std@@YAXPEBD@Z 004f ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0054 ?_Xlength_error@std@@YAXPEBD@Z 008f ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00f5 memmove"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 41 55 41 56 48 83 EC 20 4D 8B E0 4C 8B 41 18 45 0F B7 E9 48 8B FA 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 C8 FF 49 2B C0 49 3B C4 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 F6 4D 85 E4 0F 84 E0 00 00 00 4B 8D 2C 20 48 B8 FE FF FF FF FF FF FF 7F 48 3B E8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 69 20 73 0A 48 8B D5 E8 ?? ?? ?? ?? EB 1E 48 85 ED 75 22 48 83 79 20 08 4C 89 71 18 72 06 48 8B 41 08 EB 04 48 8D 41 08 66 44 89 30 48 85 ED 0F 84 89 00 00 00 48 83 7B 20 08 48 8D 73 08 72 05 48 8B 06 EB 03 48 8B C6 48 83 7B 20 08 72 05 48 8B 0E EB 03 48 8B CE 4C 8B 43 18 48 8D 14 78 4A 8D 04 27 4C 2B C7 48 8D 0C 41 4D 03 C0 E8 ?? ?? ?? ?? 49 83 FC 01 75 16 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 66 44 89 2C 78 EB 1D 48 83 7B 20 08 72 05 48 8B 06 EB 03 48 8B C6 48 8D 3C 78 49 8B CC 41 0F B7 C5 66 F3 AB 48 83 7B 20 08 48 89 6B 18 72 03 48 8B 36 66 44 89 34 6E 48 8B 6C 24 48 48 8B 74 24 50 48 8B 7C 24 58 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5E 41 5D 41 5C C3 }
	condition:
		$1
}

rule file_65_748_1 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
		size = 587
		refs = "0024 __security_cookie 006a ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0089 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011f ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01e1 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01ef _invalid_parameter_noinfo_noreturn 0208 ??3@YAXPEAX@Z 022f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F1 33 DB 44 8B D3 66 41 39 19 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C5 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 48 8D 55 B0 48 8D 4D C8 E8 ?? ?? ?? ?? 90 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 45 33 C9 41 8A C9 88 4D B0 41 8B F9 41 8B D9 4D 85 ED 0F 84 4C 01 00 00 EB 0A 66 41 3B 04 24 74 0D 48 FF C7 41 0F B7 04 7C 66 85 C0 75 EC 48 3B 5D E0 0F 83 24 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 44 38 0C 18 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 B6 00 00 00 49 03 FE 41 0F B7 04 7C 66 41 3B 04 24 0F 84 80 00 00 00 66 85 C0 74 7B 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 60 44 38 4E 08 75 48 48 8B 0E 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 03 4C 89 0E C6 46 08 01 0F B7 46 0A 66 41 39 04 7C 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 73 5E EB 03 44 8B FB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DD 0F 82 F8 FE FF FF 84 C9 74 32 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 33 DB 84 C0 75 22 49 FF C6 48 8B CE E8 ?? ?? ?? ?? 41 83 CF FF E9 AA FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 33 DB 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_754_1 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
		size = 587
		refs = "0024 __security_cookie 006a ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0089 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 011f ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01e1 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01ef _invalid_parameter_noinfo_noreturn 0208 ??3@YAXPEAX@Z 022f __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F1 33 DB 44 8B D3 66 41 39 19 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C5 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 48 8D 55 B0 48 8D 4D C8 E8 ?? ?? ?? ?? 90 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 45 33 C9 41 8A C9 88 4D B0 41 8B F9 41 8B D9 4D 85 ED 0F 84 4C 01 00 00 EB 0A 66 41 3B 04 24 74 0D 48 FF C7 41 0F B7 04 7C 66 85 C0 75 EC 48 3B 5D E0 0F 83 24 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 44 38 0C 18 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 B6 00 00 00 49 03 FE 41 0F B7 04 7C 66 41 3B 04 24 0F 84 80 00 00 00 66 85 C0 74 7B 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 60 44 38 4E 08 75 48 48 8B 0E 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 03 4C 89 0E C6 46 08 01 0F B7 46 0A 66 41 39 04 7C 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 73 5E EB 03 44 8B FB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DD 0F 82 F8 FE FF FF 84 C9 74 32 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 33 DB 84 C0 75 22 49 FF C6 48 8B CE E8 ?? ?? ?? ?? 41 83 CF FF E9 AA FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 33 DB 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 89 5D E0 88 5D D0 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_751_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z"
		size = 559
		refs = "0024 __security_cookie 0062 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0083 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0109 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01c5 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01d3 _invalid_parameter_noinfo_noreturn 01ea ??3@YAXPEAX@Z 0213 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F1 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C5 48 FF C1 8A 01 84 C0 75 EF 48 8D 55 B0 48 8D 4D C8 E8 ?? ?? ?? ?? 90 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 32 C9 88 4D B0 33 FF 33 DB 4D 85 ED 0F 84 3A 01 00 00 EB 09 41 3A 04 24 74 0B 48 FF C7 42 8A 04 27 84 C0 75 EF 48 3B 5D E0 0F 83 17 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 80 3C 18 00 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 AB 00 00 00 49 03 FE 42 8A 04 27 41 3A 04 24 74 7B 84 C0 74 77 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 5F 38 46 08 75 46 48 8B 0E 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 04 48 83 26 00 C6 46 08 01 42 0F BE 0C 27 0F B7 46 0A 3B C8 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 73 5C EB 03 44 8B FB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DD 0F 82 05 FF FF FF 84 C9 74 30 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 20 49 FF C6 48 8B CE E8 ?? ?? ?? ?? 41 83 CF FF E9 C0 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_757_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z"
		size = 559
		refs = "0024 __security_cookie 0062 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0083 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0109 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01c5 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01d3 _invalid_parameter_noinfo_noreturn 01ea ??3@YAXPEAX@Z 0213 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F1 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C5 48 FF C1 8A 01 84 C0 75 EF 48 8D 55 B0 48 8D 4D C8 E8 ?? ?? ?? ?? 90 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 32 C9 88 4D B0 33 FF 33 DB 4D 85 ED 0F 84 3A 01 00 00 EB 09 41 3A 04 24 74 0B 48 FF C7 42 8A 04 27 84 C0 75 EF 48 3B 5D E0 0F 83 17 01 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 80 3C 18 00 74 1B 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 48 0F BE 04 18 48 03 F8 E9 AB 00 00 00 49 03 FE 42 8A 04 27 41 3A 04 24 74 7B 84 C0 74 77 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 5F 38 46 08 75 46 48 8B 0E 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 46 0A EB 04 48 83 26 00 C6 46 08 01 42 0F BE 0C 27 0F B7 46 0A 3B C8 75 07 B1 01 88 4D B0 EB 2E 48 3B 5D E0 73 5C EB 03 44 8B FB 48 8D 55 D0 48 83 7D E8 10 48 0F 43 55 D0 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 1A 8A 4D B0 48 FF C3 49 3B DD 0F 82 05 FF FF FF 84 C9 74 30 48 8B 55 B8 48 8B CE E8 ?? ?? ?? ?? 84 C0 75 20 49 FF C6 48 8B CE E8 ?? ?? ?? ?? 41 83 CF FF E9 C0 FE FF FF E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? 90 48 83 7D E8 10 72 09 48 8B 4D D0 E8 ?? ?? ?? ?? 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_760_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
		size = 92
		refs = "0024 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 0049 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 33 C0 48 89 47 18 66 89 47 08 49 83 C9 FF 45 33 C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_809_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
		size = 92
		refs = "0024 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 0049 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 33 C0 48 89 47 18 66 89 47 08 49 83 C9 FF 45 33 C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_762_1 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBUtm@@DD@Z"
		size = 624
		refs = "0028 __security_cookie 0046 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0060 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 009f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00b5 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00bd ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 00d4 _Strftime 0159 ??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA?AV01@_J@Z 01b5 _Mbrtowc 01db strlen 01f1 ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z 01fe ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 0229 ??3@YAXPEAX@Z 0251 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC D0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E0 48 8B F2 48 89 55 87 4C 8B E9 4C 8B 75 6F 8B 05 ?? ?? ?? ?? 89 45 F7 8A 05 ?? ?? ?? ?? 88 45 FB 48 8D 54 24 30 48 8D 4D C7 E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 48 83 65 DF 00 C6 45 CF 00 8A 45 7F 84 C0 75 08 8A 45 77 88 45 F9 EB 09 88 45 F9 8A 45 77 88 45 FA B8 10 00 00 00 44 8B F8 45 33 C0 8B D0 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 54 24 38 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CE 4C 8D 45 F7 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 33 FF 48 85 C0 75 55 4D 03 FF 45 33 C0 49 8B D7 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 54 24 38 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CE 4C 8D 45 F7 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B1 48 8B 75 87 33 FF 89 7C 24 34 48 FF CB 48 8D 55 97 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 41 B8 01 00 00 00 48 8D 55 AF E8 ?? ?? ?? ?? 48 89 7C 24 38 48 89 7C 24 40 48 8B 08 48 85 C9 74 10 48 8B 09 48 85 C9 74 08 48 8B 09 48 89 4C 24 38 48 8B 40 10 48 89 44 24 48 48 85 DB 0F 84 83 00 00 00 49 83 C5 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B D0 4C 89 6C 24 20 4C 8D 4C 24 34 4C 8B C3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 83 F8 FD 74 25 7E 25 85 C0 78 45 75 1F 66 39 7C 24 30 75 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? FF C0 EB 02 8B C7 48 63 D0 48 2B DA 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 54 24 30 49 8B CC E8 ?? ?? ?? ?? 48 85 DB 74 0D EB 8C 41 0F 10 04 24 F3 0F 7F 06 EB 09 41 0F 10 04 24 F3 0F 7F 06 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 48 89 7D DF 40 88 7D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 28 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_772_1 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBUtm@@DD@Z"
		size = 624
		refs = "0028 __security_cookie 0046 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0060 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 009f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00b5 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00bd ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBAAEBDXZ 00d4 _Strftime 0159 ??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEBA?AV01@_J@Z 01b5 _Mbrtowc 01db strlen 01f1 ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV01@_J@Z 01fe ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 0229 ??3@YAXPEAX@Z 0251 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC D0 00 00 00 48 C7 45 8F FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E0 48 8B F2 48 89 55 87 4C 8B E9 4C 8B 75 6F 8B 05 ?? ?? ?? ?? 89 45 F7 8A 05 ?? ?? ?? ?? 88 45 FB 48 8D 54 24 30 48 8D 4D C7 E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 48 83 65 DF 00 C6 45 CF 00 8A 45 7F 84 C0 75 08 8A 45 77 88 45 F9 EB 09 88 45 F9 8A 45 77 88 45 FA B8 10 00 00 00 44 8B F8 45 33 C0 8B D0 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 54 24 38 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CE 4C 8D 45 F7 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 33 FF 48 85 C0 75 55 4D 03 FF 45 33 C0 49 8B D7 48 8D 4D C7 E8 ?? ?? ?? ?? 49 8B 5D 10 48 8B 7D DF 48 8D 54 24 38 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 89 5C 24 20 4D 8B CE 4C 8D 45 F7 48 8B D7 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B1 48 8B 75 87 33 FF 89 7C 24 34 48 FF CB 48 8D 55 97 48 8D 4D C7 E8 ?? ?? ?? ?? 48 8B C8 41 B8 01 00 00 00 48 8D 55 AF E8 ?? ?? ?? ?? 48 89 7C 24 38 48 89 7C 24 40 48 8B 08 48 85 C9 74 10 48 8B 09 48 85 C9 74 08 48 8B 09 48 89 4C 24 38 48 8B 40 10 48 89 44 24 48 48 85 DB 0F 84 83 00 00 00 49 83 C5 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B D0 4C 89 6C 24 20 4C 8D 4C 24 34 4C 8B C3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 83 F8 FD 74 25 7E 25 85 C0 78 45 75 1F 66 39 7C 24 30 75 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? FF C0 EB 02 8B C7 48 63 D0 48 2B DA 48 8D 4C 24 38 E8 ?? ?? ?? ?? 0F B7 54 24 30 49 8B CC E8 ?? ?? ?? ?? 48 85 DB 74 0D EB 8C 41 0F 10 04 24 F3 0F 7F 06 EB 09 41 0F 10 04 24 F3 0F 7F 06 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 48 89 7D DF 40 88 7D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 28 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_764_1 {
	meta:
		name = "?do_get@?$messages@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHAEBV32@@Z"
		size = 98
		refs = "002a ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 004f ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 40 48 8B DA 33 FF 89 7C 24 24 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 90 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 7B 08 49 83 C9 FF 45 33 C0 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_911_1 {
	meta:
		name = "?do_get@?$messages@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHAEBV32@@Z"
		size = 98
		refs = "002a ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004f ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 48 89 54 24 10 57 48 83 EC 30 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 40 48 8B DA 33 FF 89 7C 24 24 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? 90 48 C7 43 20 07 00 00 00 48 89 7B 18 66 89 7B 08 49 83 C9 FF 45 33 C0 48 8B 54 24 68 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 40 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_776_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z"
		size = 100
		refs = "002b ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 004c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B D8 48 8B FA 48 8B F1 48 8D 50 20 E8 ?? ?? ?? ?? 90 48 C7 46 20 07 00 00 00 33 C0 48 89 46 18 66 89 46 08 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_811_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z"
		size = 100
		refs = "002b ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B D8 48 8B FA 48 8B F1 48 8D 50 20 E8 ?? ?? ?? ?? 90 48 C7 46 20 07 00 00 00 33 C0 48 89 46 18 66 89 46 08 4C 8B C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_778_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z"
		size = 102
		refs = "002c ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 004e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 41 0F B7 D8 48 8B FA 48 8B F1 48 8D 50 20 E8 ?? ?? ?? ?? 90 48 C7 46 20 07 00 00 00 33 C0 48 89 46 18 66 89 46 08 44 0F B7 C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_815_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z"
		size = 102
		refs = "002c ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 41 0F B7 D8 48 8B FA 48 8B F1 48 8D 50 20 E8 ?? ?? ?? ?? 90 48 C7 46 20 07 00 00 00 33 C0 48 89 46 18 66 89 46 08 44 0F B7 C3 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_785_1 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z"
		size = 1989
		refs = "0024 __security_cookie 0048 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0057 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b1 _Mbrtowc 00bf ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01eb ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0443 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0464 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0469 ?_Xlength_error@std@@YAXPEBD@Z 050a _Wcrtomb 0521 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 0526 memchr 0648 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0670 _invalid_parameter_noinfo_noreturn 0758 ??3@YAXPEAX@Z 07ad __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC D8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4C 89 4D 87 49 8B F8 4C 8B F2 48 89 55 8F 48 8B F1 48 8B 4D 7F E8 ?? ?? ?? ?? 48 8B D8 48 8D 55 CF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 FF 4C 39 7D E7 75 08 66 44 89 7C 24 44 EB 0E 48 8B 03 48 8B CB FF 50 10 66 89 44 24 44 C6 44 24 30 30 66 44 89 7C 24 38 44 89 7C 24 3C 48 83 C6 10 48 89 74 24 48 48 89 74 24 20 4C 8D 4C 24 3C BB 01 00 00 00 44 8B C3 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 4D 8B EE 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 41 BC FF FF 00 00 84 C0 0F 85 1E 01 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 3F 88 5F 08 0F B7 5F 0A C6 44 24 30 2B 66 44 89 7C 24 3C 44 89 7C 24 40 48 89 74 24 20 4C 8D 4C 24 40 41 BC 01 00 00 00 45 8B C4 48 8D 54 24 30 48 8D 4C 24 3C E8 ?? ?? ?? ?? 66 3B 5C 24 3C 75 09 41 C6 06 2B E9 86 00 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 44 88 67 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 7C 24 3C 44 89 7C 24 40 48 89 74 24 20 4C 8D 4C 24 40 4D 8B C4 48 8D 54 24 30 48 8D 4C 24 3C E8 ?? ?? ?? ?? 66 3B 5C 24 3C 75 10 41 C6 06 2D 4D 8D 6E 01 48 8B CF E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B E4 BE 0A 00 00 00 44 23 E6 8D 46 06 81 F9 00 08 00 00 44 0F 44 E0 8D 46 FE 81 F9 00 04 00 00 44 0F 44 E0 44 88 7C 24 3C 48 8B 5D 87 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 DF 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 3B 44 24 38 0F 85 77 01 00 00 44 8A F9 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 47 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 78 66 44 89 4C 24 38 44 89 4C 24 40 48 8B 44 24 48 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 0F 84 90 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 58 66 44 89 4C 24 38 44 89 4C 24 40 48 8B 44 24 48 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 75 26 45 33 C9 45 85 E4 74 06 41 83 FC 10 75 18 41 BC 10 00 00 00 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 41 8D 44 24 F8 EB 1E B8 08 00 00 00 45 85 E4 75 0F 44 8B E0 EB 05 B8 08 00 00 00 45 85 E4 74 10 44 3B E6 74 0B BE 16 00 00 00 44 3B E0 0F 44 F0 48 8D 54 24 30 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 C7 45 BF 0F 00 00 00 33 C0 48 89 45 B7 88 45 A7 8D 48 01 80 F9 FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 44 88 7D A7 48 89 4D B7 88 45 A8 48 8B D8 49 83 C6 1F 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 23 02 00 00 48 63 F6 44 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 44 88 5C 24 30 44 89 5C 24 40 4C 8B 4C 24 48 4C 8D 44 24 40 0F B7 57 0A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 44 0F BE 5C 24 30 45 88 5D 00 41 8B D3 4C 8B C6 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 DB 48 85 C0 74 61 44 38 5C 24 3C 75 07 41 80 7D 00 30 74 13 B9 01 00 00 00 4D 3B EE 73 0E 4C 03 E9 88 4C 24 3C EB 05 B9 01 00 00 00 44 8A F9 48 3B 5D B7 0F 83 0A 01 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 D2 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 00 0C 18 E9 BC 00 00 00 4C 8B 55 B7 49 3B DA 0F 83 14 01 00 00 48 8D 45 A7 4C 8B 45 A7 4C 8B 4D BF 49 83 F9 10 49 0F 43 C0 44 38 1C 18 0F 84 C3 00 00 00 0F B7 44 24 44 66 85 C0 0F 84 B5 00 00 00 44 38 5F 08 75 60 48 8B 0F 48 85 C9 74 46 4C 8B 59 40 33 C0 49 39 03 74 08 48 8B 41 58 8B 10 EB 02 8B D0 85 D2 7E 08 49 8B 03 0F B7 00 EB 12 48 8B 01 FF 50 30 4C 8B 4D BF 4C 8B 55 B7 4C 8B 45 A7 B9 FF FF 00 00 45 33 DB 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B9 01 00 00 00 88 4F 08 0F B7 44 24 44 EB 05 B9 01 00 00 00 66 39 47 0A 75 44 45 33 C0 48 8B D1 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 0B E9 2B FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 B7 4C 8B 45 A7 48 85 DB 74 40 49 3B DA 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 A7 BE 10 00 00 00 4C 3B CE 49 0F 43 C0 8D 7E F1 44 38 1C 18 7E 05 48 03 DF EB 1F 45 8A FB EB 1A E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 B7 4C 8B 45 A7 BE 10 00 00 00 8D 7E F1 48 8D 4D D7 48 39 75 EF 48 0F 43 4D D7 45 84 FF 74 67 48 85 DB 74 51 8A 11 80 FA 7F 74 4A 48 2B DF 74 15 49 3B DA 73 34 48 8D 45 A7 4C 3B CE 49 0F 43 C0 3A 14 18 75 41 48 85 DB 75 14 4D 85 D2 74 20 48 8D 45 A7 4C 3B CE 49 0F 43 C0 3A 10 7C 28 44 38 59 01 7E BB 48 FF C1 EB B6 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 44 38 5C 24 3C 75 0E 41 C6 45 00 30 4C 03 EF EB 04 4C 8B 6D 8F 45 88 5D 00 4C 3B CE 72 0B 49 8B C8 E8 ?? ?? ?? ?? 45 33 DB BF 0F 00 00 00 48 89 7D BF 4C 89 5D B7 44 88 5D A7 48 8B 4D 9F E8 ?? ?? ?? ?? 33 DB 48 89 5D 9F 48 39 75 EF 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 89 7D EF 48 89 5D E7 88 5D D7 48 8B 4D CF E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_796_1 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z"
		size = 1989
		refs = "0024 __security_cookie 0048 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0057 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b1 _Mbrtowc 00bf ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01eb ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0443 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0464 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0469 ?_Xlength_error@std@@YAXPEBD@Z 050a _Wcrtomb 0521 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 0526 memchr 0648 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0670 _invalid_parameter_noinfo_noreturn 0758 ??3@YAXPEAX@Z 07ad __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC D8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4C 89 4D 87 49 8B F8 4C 8B F2 48 89 55 8F 48 8B F1 48 8B 4D 7F E8 ?? ?? ?? ?? 48 8B D8 48 8D 55 CF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 FF 4C 39 7D E7 75 08 66 44 89 7C 24 44 EB 0E 48 8B 03 48 8B CB FF 50 10 66 89 44 24 44 C6 44 24 30 30 66 44 89 7C 24 38 44 89 7C 24 3C 48 83 C6 10 48 89 74 24 48 48 89 74 24 20 4C 8D 4C 24 3C BB 01 00 00 00 44 8B C3 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 4D 8B EE 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 41 BC FF FF 00 00 84 C0 0F 85 1E 01 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 3F 88 5F 08 0F B7 5F 0A C6 44 24 30 2B 66 44 89 7C 24 3C 44 89 7C 24 40 48 89 74 24 20 4C 8D 4C 24 40 41 BC 01 00 00 00 45 8B C4 48 8D 54 24 30 48 8D 4C 24 3C E8 ?? ?? ?? ?? 66 3B 5C 24 3C 75 09 41 C6 06 2B E9 86 00 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 44 88 67 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 7C 24 3C 44 89 7C 24 40 48 89 74 24 20 4C 8D 4C 24 40 4D 8B C4 48 8D 54 24 30 48 8D 4C 24 3C E8 ?? ?? ?? ?? 66 3B 5C 24 3C 75 10 41 C6 06 2D 4D 8D 6E 01 48 8B CF E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B E4 BE 0A 00 00 00 44 23 E6 8D 46 06 81 F9 00 08 00 00 44 0F 44 E0 8D 46 FE 81 F9 00 04 00 00 44 0F 44 E0 44 88 7C 24 3C 48 8B 5D 87 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 DF 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 3B 44 24 38 0F 85 77 01 00 00 44 8A F9 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 47 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 78 66 44 89 4C 24 38 44 89 4C 24 40 48 8B 44 24 48 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 0F 84 90 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 58 66 44 89 4C 24 38 44 89 4C 24 40 48 8B 44 24 48 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 75 26 45 33 C9 45 85 E4 74 06 41 83 FC 10 75 18 41 BC 10 00 00 00 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 41 8D 44 24 F8 EB 1E B8 08 00 00 00 45 85 E4 75 0F 44 8B E0 EB 05 B8 08 00 00 00 45 85 E4 74 10 44 3B E6 74 0B BE 16 00 00 00 44 3B E0 0F 44 F0 48 8D 54 24 30 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 C7 45 BF 0F 00 00 00 33 C0 48 89 45 B7 88 45 A7 8D 48 01 80 F9 FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 44 88 7D A7 48 89 4D B7 88 45 A8 48 8B D8 49 83 C6 1F 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 23 02 00 00 48 63 F6 44 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 44 88 5C 24 30 44 89 5C 24 40 4C 8B 4C 24 48 4C 8D 44 24 40 0F B7 57 0A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 44 0F BE 5C 24 30 45 88 5D 00 41 8B D3 4C 8B C6 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 45 33 DB 48 85 C0 74 61 44 38 5C 24 3C 75 07 41 80 7D 00 30 74 13 B9 01 00 00 00 4D 3B EE 73 0E 4C 03 E9 88 4C 24 3C EB 05 B9 01 00 00 00 44 8A F9 48 3B 5D B7 0F 83 0A 01 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 D2 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 00 0C 18 E9 BC 00 00 00 4C 8B 55 B7 49 3B DA 0F 83 14 01 00 00 48 8D 45 A7 4C 8B 45 A7 4C 8B 4D BF 49 83 F9 10 49 0F 43 C0 44 38 1C 18 0F 84 C3 00 00 00 0F B7 44 24 44 66 85 C0 0F 84 B5 00 00 00 44 38 5F 08 75 60 48 8B 0F 48 85 C9 74 46 4C 8B 59 40 33 C0 49 39 03 74 08 48 8B 41 58 8B 10 EB 02 8B D0 85 D2 7E 08 49 8B 03 0F B7 00 EB 12 48 8B 01 FF 50 30 4C 8B 4D BF 4C 8B 55 B7 4C 8B 45 A7 B9 FF FF 00 00 45 33 DB 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B9 01 00 00 00 88 4F 08 0F B7 44 24 44 EB 05 B9 01 00 00 00 66 39 47 0A 75 44 45 33 C0 48 8B D1 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 75 0B E9 2B FE FF FF E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 B7 4C 8B 45 A7 48 85 DB 74 40 49 3B DA 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 A7 BE 10 00 00 00 4C 3B CE 49 0F 43 C0 8D 7E F1 44 38 1C 18 7E 05 48 03 DF EB 1F 45 8A FB EB 1A E8 ?? ?? ?? ?? CC 4C 8B 4D BF 4C 8B 55 B7 4C 8B 45 A7 BE 10 00 00 00 8D 7E F1 48 8D 4D D7 48 39 75 EF 48 0F 43 4D D7 45 84 FF 74 67 48 85 DB 74 51 8A 11 80 FA 7F 74 4A 48 2B DF 74 15 49 3B DA 73 34 48 8D 45 A7 4C 3B CE 49 0F 43 C0 3A 14 18 75 41 48 85 DB 75 14 4D 85 D2 74 20 48 8D 45 A7 4C 3B CE 49 0F 43 C0 3A 10 7C 28 44 38 59 01 7E BB 48 FF C1 EB B6 E8 ?? ?? ?? ?? CC E8 ?? ?? ?? ?? CC 44 38 5C 24 3C 75 0E 41 C6 45 00 30 4C 03 EF EB 04 4C 8B 6D 8F 45 88 5D 00 4C 3B CE 72 0B 49 8B C8 E8 ?? ?? ?? ?? 45 33 DB BF 0F 00 00 00 48 89 7D BF 4C 89 5D B7 44 88 5D A7 48 8B 4D 9F E8 ?? ?? ?? ?? 33 DB 48 89 5D 9F 48 39 75 EF 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 89 7D EF 48 89 5D E7 88 5D D7 48 8B 4D CF E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_789_1 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z"
		size = 1631
		refs = "0024 __security_cookie 0083 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 009d ??1locale@std@@QEAA@XZ 00a9 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c7 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 010c _Mbrtowc 0126 localeconv 0146 memchr 01a4 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 01bb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01e9 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0246 _invalid_parameter_noinfo_noreturn 025f strcspn 032b ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 035f ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K@Z 03f1 ?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K_W@Z 051c ??_C@_01DDCIFGEA@E?$AA@ 0523 ??_C@_01KGKMHCOC@e?$AA@ 05f5 ??3@YAXPEAX@Z 0647 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D8 48 81 EC 28 01 00 00 48 C7 45 A8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 10 4C 89 4D 90 49 8B F0 48 89 55 98 48 8B D9 48 89 4C 24 70 0F B7 85 90 00 00 00 66 89 44 24 3C 48 8B BD 98 00 00 00 4C 8B BD A0 00 00 00 48 8B 85 A8 00 00 00 48 89 44 24 78 48 8B 85 B0 00 00 00 48 89 44 24 50 4C 8B A5 B8 00 00 00 48 8D 55 A0 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 60 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CD E8 ?? ?? ?? ?? 90 49 8B 45 00 49 8B CD FF 50 10 66 89 44 24 44 48 8D 54 24 30 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 D0 0F 00 00 00 45 33 ED 4C 89 6D C8 44 88 6D B8 C6 44 24 30 30 66 44 89 6C 24 38 44 89 6D 80 48 8D 43 10 48 89 44 24 20 4C 8D 4D 80 41 8D 5D 01 44 8B C3 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 80 3F 2B 74 08 80 3F 2D 41 8B C5 75 02 8B C3 48 98 48 89 45 80 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 40 66 C7 44 24 41 65 00 4D 8B C4 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 0F BE 54 24 40 4D 8B C4 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 F7 D8 4D 1B ED 4C 23 6C 24 50 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 39 7F 0F 84 47 01 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 80 38 00 0F 8E 30 01 00 00 4D 8B C4 48 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 45 33 E4 4D 85 F6 75 11 41 B0 30 49 8B D5 48 8D 4D B0 E8 ?? ?? ?? ?? EB 2C 48 85 DB 75 12 41 B0 30 49 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 4D 8B FC 4C 2B F7 41 B1 30 4D 8B C5 49 8B D6 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 4D B0 48 85 DB 75 0D 41 B0 30 49 8B D7 E8 ?? ?? ?? ?? EB 2B 48 2B DF 48 8D 53 01 41 B1 30 4C 8B 44 24 78 E8 ?? ?? ?? ?? 41 B1 30 4D 8B C7 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 89 64 24 78 4D 8B FC 48 8D 5D E8 48 83 7D 00 10 48 0F 43 5D E8 4C 39 65 C8 77 06 E8 ?? ?? ?? ?? CC 48 8D 4D B8 48 83 7D D0 10 48 0F 43 4D B8 48 8D 54 24 40 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 75 80 8A 0B 80 F9 7F 74 36 84 C9 7E 32 48 0F BE D1 48 8B C7 49 2B C6 48 3B D0 73 23 48 2B FA 45 33 C9 45 8D 41 01 48 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8D 5B 01 45 38 23 49 0F 4F DB EB C3 4C 8B 65 C8 4D 85 E4 75 06 E8 ?? ?? ?? ?? CC 48 8D 7D B8 48 83 7D D0 10 48 0F 43 7D B8 45 33 ED EB 04 4C 8B 75 80 4B 8D 04 2C 48 03 44 24 78 49 03 C7 48 8B 4D 90 48 8B 59 28 48 85 DB 7E 0A 48 3B D8 76 05 48 2B D8 EB 02 33 DB 8B 41 18 25 C0 01 00 00 83 F8 40 0F 84 9E 00 00 00 3D 00 01 00 00 74 2C 0F 10 06 0F 29 44 24 50 48 85 DB 0F 84 80 00 00 00 44 0F B7 74 24 3C 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 60 4D 85 F6 74 35 0F 10 06 F3 0F 7F 44 24 50 48 C7 44 24 20 01 00 00 00 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 48 FF C7 49 FF CC 0F 10 06 0F 29 44 24 50 48 85 DB 74 1E 44 0F B7 74 24 3C 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 50 33 DB F3 0F 7F 06 0F BE 54 24 40 4D 8B C4 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 C2 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 50 49 8D 46 FF 0F B7 4C 24 44 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 50 4D 85 FF 74 19 0F B7 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 FF CF 75 EC 0F 28 4C 24 50 F3 0F 7F 0E 66 0F 7F 4C 24 50 48 8B 4C 24 60 48 8B 01 FF 50 08 0F B7 D0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 28 6C 24 50 F3 0F 7F 2E 0F 29 6C 24 60 4C 8B 7C 24 78 4D 85 FF 74 19 0F B7 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CF 75 EC 0F 28 6C 24 60 F3 0F 7F 2E 49 03 FE 4D 2B E6 4D 8B C4 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 4C 8B 7C 24 70 48 85 C0 0F 84 B3 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 60 49 8D 46 FF 0F B7 4C 24 44 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 4D 85 ED 74 19 0F B7 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CD 75 EC 0F 28 4C 24 60 F3 0F 7F 0E 45 33 ED 66 0F 7F 4C 24 60 48 8B 45 90 F6 40 18 04 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 0F 45 C8 48 C7 44 24 20 01 00 00 00 4C 8D 44 24 60 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 03 FE 4D 2B E6 0F 10 06 F3 0F 7F 44 24 60 0F B7 44 24 44 66 89 44 24 28 4C 89 64 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 33 FF 4D 85 ED 74 19 0F B7 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CD 75 EC 0F 28 4C 24 60 F3 0F 7F 0E 48 8B 45 90 48 89 78 28 0F 10 06 0F 29 44 24 60 48 85 DB 74 19 0F B7 54 24 3C 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 FF CB 75 EC 0F 28 44 24 60 48 8B 5D 98 F3 0F 7F 03 48 83 7D D0 10 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 75 D0 48 89 7D C8 40 88 7D B8 48 8B 4D B0 E8 ?? ?? ?? ?? 48 89 7D B0 48 83 7D 00 10 72 09 48 8B 4D E8 E8 ?? ?? ?? ?? 48 89 75 00 48 89 7D F8 40 88 7D E8 48 8B 4D E0 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 10 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 28 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_800_1 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z"
		size = 1631
		refs = "0024 __security_cookie 0083 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 008c ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 009d ??1locale@std@@QEAA@XZ 00a9 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00c7 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 010c _Mbrtowc 0126 localeconv 0146 memchr 01a4 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 01bb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01e9 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0246 _invalid_parameter_noinfo_noreturn 025f strcspn 032b ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 035f ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_K@Z 03f1 ?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_KG@Z 051c ??_C@_01DDCIFGEA@E?$AA@ 0523 ??_C@_01KGKMHCOC@e?$AA@ 05f5 ??3@YAXPEAX@Z 0647 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D8 48 81 EC 28 01 00 00 48 C7 45 A8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 10 4C 89 4D 90 49 8B F0 48 89 55 98 48 8B D9 48 89 4C 24 70 0F B7 85 90 00 00 00 66 89 44 24 3C 48 8B BD 98 00 00 00 4C 8B BD A0 00 00 00 48 8B 85 A8 00 00 00 48 89 44 24 78 48 8B 85 B0 00 00 00 48 89 44 24 50 4C 8B A5 B8 00 00 00 48 8D 55 A0 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 89 44 24 60 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8D 55 E0 49 8B CD E8 ?? ?? ?? ?? 90 49 8B 45 00 49 8B CD FF 50 10 66 89 44 24 44 48 8D 54 24 30 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 D0 0F 00 00 00 45 33 ED 4C 89 6D C8 44 88 6D B8 C6 44 24 30 30 66 44 89 6C 24 38 44 89 6D 80 48 8D 43 10 48 89 44 24 20 4C 8D 4D 80 41 8D 5D 01 44 8B C3 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 80 3F 2B 74 08 80 3F 2D 41 8B C5 75 02 8B C3 48 98 48 89 45 80 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 40 66 C7 44 24 41 65 00 4D 8B C4 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 0F BE 54 24 40 4D 8B C4 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 F7 D8 4D 1B ED 4C 23 6C 24 50 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 39 7F 0F 84 47 01 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 80 38 00 0F 8E 30 01 00 00 4D 8B C4 48 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 45 33 E4 4D 85 F6 75 11 41 B0 30 49 8B D5 48 8D 4D B0 E8 ?? ?? ?? ?? EB 2C 48 85 DB 75 12 41 B0 30 49 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 4D 8B FC 4C 2B F7 41 B1 30 4D 8B C5 49 8B D6 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 4D B0 48 85 DB 75 0D 41 B0 30 49 8B D7 E8 ?? ?? ?? ?? EB 2B 48 2B DF 48 8D 53 01 41 B1 30 4C 8B 44 24 78 E8 ?? ?? ?? ?? 41 B1 30 4D 8B C7 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 89 64 24 78 4D 8B FC 48 8D 5D E8 48 83 7D 00 10 48 0F 43 5D E8 4C 39 65 C8 77 06 E8 ?? ?? ?? ?? CC 48 8D 4D B8 48 83 7D D0 10 48 0F 43 4D B8 48 8D 54 24 40 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 75 80 8A 0B 80 F9 7F 74 36 84 C9 7E 32 48 0F BE D1 48 8B C7 49 2B C6 48 3B D0 73 23 48 2B FA 45 33 C9 45 8D 41 01 48 8B D7 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8D 5B 01 45 38 23 49 0F 4F DB EB C3 4C 8B 65 C8 4D 85 E4 75 06 E8 ?? ?? ?? ?? CC 48 8D 7D B8 48 83 7D D0 10 48 0F 43 7D B8 45 33 ED EB 04 4C 8B 75 80 4B 8D 04 2C 48 03 44 24 78 49 03 C7 48 8B 4D 90 48 8B 59 28 48 85 DB 7E 0A 48 3B D8 76 05 48 2B D8 EB 02 33 DB 8B 41 18 25 C0 01 00 00 83 F8 40 0F 84 9E 00 00 00 3D 00 01 00 00 74 2C 0F 10 06 0F 29 44 24 50 48 85 DB 0F 84 80 00 00 00 44 0F B7 74 24 3C 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 60 4D 85 F6 74 35 0F 10 06 F3 0F 7F 44 24 50 48 C7 44 24 20 01 00 00 00 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 48 FF C7 49 FF CC 0F 10 06 0F 29 44 24 50 48 85 DB 74 1E 44 0F B7 74 24 3C 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 50 33 DB F3 0F 7F 06 0F BE 54 24 40 4D 8B C4 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 C2 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 50 49 8D 46 FF 0F B7 4C 24 44 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 50 4D 85 FF 74 19 0F B7 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 FF CF 75 EC 0F 28 4C 24 50 F3 0F 7F 0E 66 0F 7F 4C 24 50 48 8B 4C 24 60 48 8B 01 FF 50 08 0F B7 D0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 28 6C 24 50 F3 0F 7F 2E 0F 29 6C 24 60 4C 8B 7C 24 78 4D 85 FF 74 19 0F B7 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CF 75 EC 0F 28 6C 24 60 F3 0F 7F 2E 49 03 FE 4D 2B E6 4D 8B C4 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 4C 8B 7C 24 70 48 85 C0 0F 84 B3 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 60 49 8D 46 FF 0F B7 4C 24 44 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 4D 85 ED 74 19 0F B7 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CD 75 EC 0F 28 4C 24 60 F3 0F 7F 0E 45 33 ED 66 0F 7F 4C 24 60 48 8B 45 90 F6 40 18 04 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 0F 45 C8 48 C7 44 24 20 01 00 00 00 4C 8D 44 24 60 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 03 FE 4D 2B E6 0F 10 06 F3 0F 7F 44 24 60 0F B7 44 24 44 66 89 44 24 28 4C 89 64 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 33 FF 4D 85 ED 74 19 0F B7 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CD 75 EC 0F 28 4C 24 60 F3 0F 7F 0E 48 8B 45 90 48 89 78 28 0F 10 06 0F 29 44 24 60 48 85 DB 74 19 0F B7 54 24 3C 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 FF CB 75 EC 0F 28 44 24 60 48 8B 5D 98 F3 0F 7F 03 48 83 7D D0 10 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 75 D0 48 89 7D C8 40 88 7D B8 48 8B 4D B0 E8 ?? ?? ?? ?? 48 89 7D B0 48 83 7D 00 10 72 09 48 8B 4D E8 E8 ?? ?? ?? ?? 48 89 75 00 48 89 7D F8 40 88 7D E8 48 8B 4D E0 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 10 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 28 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_791_1 {
	meta:
		name = "?dtor$1@?0??_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$13@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA ?dtor$1@?0??_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z@4HA"
	strings:
		$1 = { 48 8D 8A E0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_793_1 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z"
		size = 722
		refs = "0024 __security_cookie 0065 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 007e ??1locale@std@@QEAA@XZ 008a ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0134 memmove_s 01ad ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 01d5 ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K@Z 0246 ?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K_W@Z 0291 ??3@YAXPEAX@Z 02ba __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC D8 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B D9 48 89 5C 24 40 4D 8B E8 4C 89 44 24 30 48 8B F2 48 89 55 A7 48 89 4C 24 50 44 0F B7 7D 6F 48 8B 7D 77 48 89 7C 24 48 4C 8B 75 7F 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 45 8F 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 BF 49 8B CC E8 ?? ?? ?? ?? 90 80 3F 2B 74 20 80 3F 2D 74 1B 80 3F 30 75 12 8A 47 01 3C 78 74 04 3C 58 75 07 B8 02 00 00 00 EB 09 33 C0 EB 05 B8 01 00 00 00 4C 63 E0 48 8D 45 C7 48 8B 4D C7 48 8B 55 DF 48 83 FA 10 48 0F 43 C1 80 38 7F 0F 84 89 00 00 00 48 8D 45 C7 48 83 FA 10 48 0F 43 C1 80 38 00 7E 78 48 8D 7D C7 48 83 FA 10 48 0F 43 F9 49 8B F6 8A 07 3C 7F 74 5A 4C 8B 6C 24 48 84 C0 7E 47 48 0F BE C8 48 8B C6 49 2B C4 48 3B C8 73 38 48 2B F1 49 8B D6 48 2B D6 48 FF C2 49 8D 5C 35 00 49 8D 4C 35 01 4C 8B CA 4C 8B C3 E8 ?? ?? ?? ?? C6 03 00 49 FF C6 48 8D 47 01 80 38 00 48 0F 4F F8 8A 07 3C 7F 75 B5 4C 8B 6C 24 30 48 8B 5C 24 40 48 8B 75 A7 48 8B 7C 24 48 48 8B 5B 28 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 02 33 DB 48 8B 44 24 40 8B 40 18 25 C0 01 00 00 83 F8 40 0F 84 88 00 00 00 41 0F 10 45 00 3D 00 01 00 00 74 1F 0F 29 44 24 30 48 85 DB 74 6A 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 50 F3 0F 7F 44 24 30 4C 89 64 24 20 4C 8B CF 4C 8D 44 24 30 48 8D 55 A7 48 8B 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 49 03 FC 4D 2B F4 0F 10 00 0F 29 44 24 30 48 85 DB 74 18 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 33 DB F3 41 0F 7F 45 00 41 0F 10 45 00 F3 0F 7F 44 24 30 48 8B 4D 8F 48 8B 01 FF 50 10 66 89 44 24 28 4C 89 74 24 20 4C 8B CF 4C 8D 44 24 30 48 8D 55 8F 48 8B 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 48 8B 44 24 40 48 83 60 28 00 41 0F 10 4D 00 0F 29 4D 8F 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 4D 8F F3 0F 7F 0E 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 0F 00 00 00 48 83 65 D7 00 C6 45 C7 00 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_804_1 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z"
		size = 722
		refs = "0024 __security_cookie 0065 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006e ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 007e ??1locale@std@@QEAA@XZ 008a ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0134 memmove_s 01ad ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 01d5 ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_K@Z 0246 ?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_KG@Z 0291 ??3@YAXPEAX@Z 02ba __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC D8 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 49 8B D9 48 89 5C 24 40 4D 8B E8 4C 89 44 24 30 48 8B F2 48 89 55 A7 48 89 4C 24 50 44 0F B7 7D 6F 48 8B 7D 77 48 89 7C 24 48 4C 8B 75 7F 48 8D 55 9F 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 45 8F 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 BF 49 8B CC E8 ?? ?? ?? ?? 90 80 3F 2B 74 20 80 3F 2D 74 1B 80 3F 30 75 12 8A 47 01 3C 78 74 04 3C 58 75 07 B8 02 00 00 00 EB 09 33 C0 EB 05 B8 01 00 00 00 4C 63 E0 48 8D 45 C7 48 8B 4D C7 48 8B 55 DF 48 83 FA 10 48 0F 43 C1 80 38 7F 0F 84 89 00 00 00 48 8D 45 C7 48 83 FA 10 48 0F 43 C1 80 38 00 7E 78 48 8D 7D C7 48 83 FA 10 48 0F 43 F9 49 8B F6 8A 07 3C 7F 74 5A 4C 8B 6C 24 48 84 C0 7E 47 48 0F BE C8 48 8B C6 49 2B C4 48 3B C8 73 38 48 2B F1 49 8B D6 48 2B D6 48 FF C2 49 8D 5C 35 00 49 8D 4C 35 01 4C 8B CA 4C 8B C3 E8 ?? ?? ?? ?? C6 03 00 49 FF C6 48 8D 47 01 80 38 00 48 0F 4F F8 8A 07 3C 7F 75 B5 4C 8B 6C 24 30 48 8B 5C 24 40 48 8B 75 A7 48 8B 7C 24 48 48 8B 5B 28 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 02 33 DB 48 8B 44 24 40 8B 40 18 25 C0 01 00 00 83 F8 40 0F 84 88 00 00 00 41 0F 10 45 00 3D 00 01 00 00 74 1F 0F 29 44 24 30 48 85 DB 74 6A 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 50 F3 0F 7F 44 24 30 4C 89 64 24 20 4C 8B CF 4C 8D 44 24 30 48 8D 55 A7 48 8B 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 49 03 FC 4D 2B F4 0F 10 00 0F 29 44 24 30 48 85 DB 74 18 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 33 DB F3 41 0F 7F 45 00 41 0F 10 45 00 F3 0F 7F 44 24 30 48 8B 4D 8F 48 8B 01 FF 50 10 66 89 44 24 28 4C 89 74 24 20 4C 8B CF 4C 8D 44 24 30 48 8D 55 8F 48 8B 4C 24 50 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 48 8B 44 24 40 48 83 60 28 00 41 0F 10 4D 00 0F 29 4D 8F 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 8F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 4D 8F F3 0F 7F 0E 48 83 7D DF 10 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 48 C7 45 DF 0F 00 00 00 48 83 65 D7 00 C6 45 C7 00 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_813_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
		size = 96
		refs = "0024 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 003f wcslen 004d ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 33 C0 48 89 47 18 66 89 47 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_833_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
		size = 96
		refs = "0024 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 003f wcslen 004d ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 33 C0 48 89 47 18 66 89 47 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_820_1 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4465
		refs = "0024 __security_cookie 005b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0074 ??1locale@std@@QEAA@XZ 0080 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ba _Mbrtowc 0122 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 024f ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 048a ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 04aa ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 04af ?_Xlength_error@std@@YAXPEBD@Z 060b ??_C@_0BB@JCEFLFJE@0123456789abcdef?$AA@ 0702 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 072c _invalid_parameter_noinfo_noreturn 0804 ??3@YAXPEAX@Z 0a41 localeconv 1159 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E8 48 81 EC 18 01 00 00 48 C7 45 A0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 08 4D 8B F9 4C 89 4C 24 70 49 8B F8 4C 8B F2 48 89 55 90 4C 8B E9 48 8B 8D 80 00 00 00 48 8B 85 88 00 00 00 48 89 45 88 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 80 48 8D 4D 98 E8 ?? ?? ?? ?? 48 8D 55 D8 48 8B CE E8 ?? ?? ?? ?? 90 C6 44 24 38 30 33 C0 66 89 44 24 4C 89 44 24 54 49 83 C5 10 4C 89 6C 24 78 4C 89 6C 24 20 4C 8D 4C 24 54 44 8D 60 01 45 8B C4 48 8D 54 24 38 48 8D 4C 24 4C E8 ?? ?? ?? ?? C6 44 24 38 61 33 DB 66 89 5C 24 60 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 45 8B C4 48 8D 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? C6 44 24 38 41 66 89 5C 24 50 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 45 8B C4 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 4D 8B E6 88 5C 24 38 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 27 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2B 33 C0 66 89 44 24 40 89 44 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8D 40 01 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 09 41 C6 06 2B E9 8F 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 10 41 C6 06 2D 4D 8D 66 01 48 8B CF E8 ?? ?? ?? ?? 33 DB 41 C6 04 24 30 B8 01 00 00 00 4C 03 E0 41 C6 04 24 78 4C 03 E0 4C 89 64 24 68 88 5C 24 30 44 8B F3 89 5C 24 54 89 5C 24 5C 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9B 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 44 0F B7 6C 24 4C 66 44 39 6F 0A 0F 85 47 01 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1F 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 40 78 33 C0 66 89 44 24 48 89 44 24 58 4C 8B 7C 24 78 4C 89 7C 24 20 4C 8D 4C 24 58 44 8D 40 01 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 84 8B 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 40 58 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 0D C6 44 24 30 01 EB 06 44 0F B7 6C 24 4C 48 8D 45 E0 48 83 7D F8 10 48 0F 43 45 E0 44 0F B7 7C 24 60 80 38 7F 0F 84 D6 03 00 00 48 8D 45 E0 48 83 7D F8 10 48 0F 43 45 E0 33 DB 38 18 0F 8E C0 03 00 00 48 39 5D F0 75 06 44 0F B7 EB EB 0D 48 8B 06 48 8B CE FF 50 10 44 0F B7 E8 48 8D 54 24 40 48 8D 4D A8 E8 ?? ?? ?? ?? 90 48 C7 45 C8 0F 00 00 00 48 89 5D C0 88 5D B0 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 C0 66 89 5D B0 48 8B F3 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A2 02 00 00 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 BB 01 00 00 00 44 88 5F 08 EB 06 41 BB 01 00 00 00 0F B7 4F 0A 44 0F B7 4C 24 4C 66 44 3B C9 77 12 41 0F B7 D1 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 45 33 D2 85 DB 0F 88 D3 00 00 00 44 88 5C 24 30 41 83 FE 24 7C 0A 44 01 5C 24 5C E9 85 00 00 00 44 38 57 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 4C 45 33 D2 45 8D 5A 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 44 88 5F 08 66 44 39 4F 0A 75 05 45 85 F6 74 21 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E3 4C 89 64 24 68 45 03 F3 44 89 74 24 54 48 3B 75 C0 0F 83 FB 00 00 00 48 8D 45 B0 48 83 7D C8 10 48 0F 43 45 B0 80 3C 30 7F 0F 84 C3 00 00 00 48 8D 45 B0 48 83 7D C8 10 48 0F 43 45 B0 44 00 1C 30 E9 AC 00 00 00 4C 8B 55 C0 49 3B F2 0F 83 04 01 00 00 48 8D 45 B0 4C 8B 4D B0 4C 8B 45 C8 49 83 F8 10 49 0F 43 C1 33 DB 38 1C 30 0F 84 B2 00 00 00 66 45 85 ED 0F 84 A8 00 00 00 38 5F 08 75 56 48 8B 0F 48 85 C9 74 41 4C 8B 59 40 49 39 1B 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 03 0F B7 00 EB 12 48 8B 01 FF 50 30 4C 8B 45 C8 4C 8B 55 C0 4C 8B 4D B0 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 BB 01 00 00 00 44 88 5F 08 66 44 39 6F 0A 75 46 45 33 C0 49 8B D3 48 8D 4D A8 E8 ?? ?? ?? ?? 48 FF C6 EB 02 33 DB 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 0B E9 A9 FD FF FF E8 ?? ?? ?? ?? CC 4C 8B 45 C8 4C 8B 55 C0 4C 8B 4D B0 48 85 F6 74 40 49 3B F2 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 B0 49 83 F8 10 49 0F 43 C1 41 BB 01 00 00 00 38 1C 30 7E 05 49 03 F3 EB 1F 44 88 5C 24 38 EB 18 E8 ?? ?? ?? ?? CC 4C 8B 45 C8 4C 8B 55 C0 4C 8B 4D B0 41 BB 01 00 00 00 48 8D 4D E0 48 83 7D F8 10 48 0F 43 4D E0 38 5C 24 38 75 5E 48 85 F6 74 59 8A 11 80 FA 7F 74 52 49 2B F3 74 16 49 3B F2 73 35 48 8D 45 B0 49 83 F8 10 49 0F 43 C1 3A 14 30 75 2A 48 85 F6 75 15 4D 85 D2 74 27 48 8D 45 B0 49 83 F8 10 49 0F 43 C1 3A 10 7C 10 38 59 01 7E BA 48 FF C1 EB B5 E8 ?? ?? ?? ?? CC 44 88 5C 24 38 EB 06 E8 ?? ?? ?? ?? 90 49 83 F8 10 72 08 49 8B C9 E8 ?? ?? ?? ?? 48 C7 45 C8 0F 00 00 00 48 89 5D C0 88 5D B0 48 8B 4D A8 E8 ?? ?? ?? ?? E9 7E 01 00 00 33 DB 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 6B 01 00 00 48 8B 74 24 70 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B8 01 00 00 00 44 88 47 08 EB 06 41 B8 01 00 00 00 0F B7 4F 0A 66 44 3B E9 77 12 41 0F B7 D5 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 45 33 C9 85 DB 0F 88 A6 00 00 00 41 83 FE 24 7C 07 44 01 44 24 5C EB 77 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 B8 01 00 00 00 44 88 47 08 66 44 39 6F 0A 75 05 45 85 F6 74 17 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E0 45 03 F0 44 88 44 24 30 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 A8 FE FF FF 44 89 74 24 54 4C 89 64 24 68 48 8B 75 80 8A 5C 24 30 84 DB 74 12 45 85 F6 75 0D 41 C6 04 24 30 49 FF C4 4C 89 64 24 68 4C 8B 6C 24 70 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 86 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A 48 8B 06 48 8B CE FF 50 08 66 3B D8 75 1E E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 04 24 49 FF C4 4C 89 64 24 68 48 8B CF E8 ?? ?? ?? ?? 8A 5C 24 30 33 F6 45 85 F6 0F 85 D0 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A2 00 00 00 0F B7 74 24 4C 44 8B 7C 24 5C 45 33 C9 45 8D 71 01 41 BC FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 77 08 66 39 77 0A 75 20 45 2B FE 41 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 74 90 44 89 7C 24 5C 88 5C 24 30 4C 8B 64 24 68 44 8B 74 24 54 44 0F B7 7C 24 60 33 F6 8B 44 24 5C 85 C0 79 13 41 C6 04 24 30 B9 01 00 00 00 4C 03 E1 03 C1 89 44 24 5C 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 6C 24 4C 84 C0 0F 85 F3 00 00 00 40 38 77 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 0F B7 57 0A 66 44 3B EA 77 14 45 0F B7 C5 0F B7 CA 41 8D 40 09 3B C8 7F 05 41 2B C8 EB 38 66 44 3B FA 77 17 45 0F B7 C7 0F B7 CA 41 8D 40 05 3B C8 7F 08 41 2B C8 83 C1 0A EB 1B 66 39 54 24 50 77 11 44 0F B7 44 24 50 0F B7 CA 41 8D 40 05 3B C8 7E E0 83 C9 FF 85 C9 78 3D 41 83 FE 24 7D 17 48 63 C1 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E1 45 03 F1 41 8A D9 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 11 FF FF FF 88 5C 24 30 45 33 FF 84 DB 0F 84 B5 04 00 00 4C 8B 74 24 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9D 04 00 00 44 38 7F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 70 66 44 89 7C 24 48 44 89 7C 24 58 4C 8B 7C 24 78 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 33 F6 66 3B 5C 24 48 0F 84 8E 00 00 00 40 38 77 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 50 66 89 74 24 48 89 74 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 85 70 03 00 00 41 C6 04 24 70 49 FF C4 4C 89 64 24 68 48 8B CF E8 ?? ?? ?? ?? 40 8A DE 89 74 24 54 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 47 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 2B 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0D 41 C6 04 24 2B 49 FF C4 E9 9A 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 40 2D 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 BF 01 00 00 00 45 8B C7 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 15 41 C6 04 24 2D 4D 03 E7 4C 89 64 24 68 48 8B CF E8 ?? ?? ?? ?? 40 8A DE 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 FF 84 C0 0F 85 CC 01 00 00 41 8D 77 01 41 BC FF FF 00 00 44 38 7F 08 75 41 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 3F 40 88 77 08 66 44 39 6F 0A 75 1A 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 84 DB 4C 8B 64 24 68 8B 74 24 54 0F 84 49 01 00 00 41 C6 04 24 30 49 FF C4 E9 3C 01 00 00 44 38 7F 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 41 B9 01 00 00 00 44 88 }
	condition:
		$1
}

rule file_65_825_1 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4465
		refs = "0024 __security_cookie 005b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0064 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0074 ??1locale@std@@QEAA@XZ 0080 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ba _Mbrtowc 0122 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 024f ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 048a ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 04aa ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 04af ?_Xlength_error@std@@YAXPEBD@Z 060b ??_C@_0BB@JCEFLFJE@0123456789abcdef?$AA@ 0702 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 072c _invalid_parameter_noinfo_noreturn 0804 ??3@YAXPEAX@Z 0a41 localeconv 1159 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 E8 48 81 EC 18 01 00 00 48 C7 45 A0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 08 4D 8B F9 4C 89 4C 24 70 49 8B F8 4C 8B F2 48 89 55 90 4C 8B E9 48 8B 8D 80 00 00 00 48 8B 85 88 00 00 00 48 89 45 88 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 45 80 48 8D 4D 98 E8 ?? ?? ?? ?? 48 8D 55 D8 48 8B CE E8 ?? ?? ?? ?? 90 C6 44 24 38 30 33 C0 66 89 44 24 4C 89 44 24 54 49 83 C5 10 4C 89 6C 24 78 4C 89 6C 24 20 4C 8D 4C 24 54 44 8D 60 01 45 8B C4 48 8D 54 24 38 48 8D 4C 24 4C E8 ?? ?? ?? ?? C6 44 24 38 61 33 DB 66 89 5C 24 60 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 45 8B C4 48 8D 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? C6 44 24 38 41 66 89 5C 24 50 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 45 8B C4 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 4D 8B E6 88 5C 24 38 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 27 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2B 33 C0 66 89 44 24 40 89 44 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8D 40 01 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 09 41 C6 06 2B E9 8F 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 10 41 C6 06 2D 4D 8D 66 01 48 8B CF E8 ?? ?? ?? ?? 33 DB 41 C6 04 24 30 B8 01 00 00 00 4C 03 E0 41 C6 04 24 78 4C 03 E0 4C 89 64 24 68 88 5C 24 30 44 8B F3 89 5C 24 54 89 5C 24 5C 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9B 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 44 0F B7 6C 24 4C 66 44 39 6F 0A 0F 85 47 01 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1F 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 40 78 33 C0 66 89 44 24 48 89 44 24 58 4C 8B 7C 24 78 4C 89 7C 24 20 4C 8D 4C 24 58 44 8D 40 01 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 84 8B 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 40 58 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 0D C6 44 24 30 01 EB 06 44 0F B7 6C 24 4C 48 8D 45 E0 48 83 7D F8 10 48 0F 43 45 E0 44 0F B7 7C 24 60 80 38 7F 0F 84 D6 03 00 00 48 8D 45 E0 48 83 7D F8 10 48 0F 43 45 E0 33 DB 38 18 0F 8E C0 03 00 00 48 39 5D F0 75 06 44 0F B7 EB EB 0D 48 8B 06 48 8B CE FF 50 10 44 0F B7 E8 48 8D 54 24 40 48 8D 4D A8 E8 ?? ?? ?? ?? 90 48 C7 45 C8 0F 00 00 00 48 89 5D C0 88 5D B0 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 C0 66 89 5D B0 48 8B F3 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A2 02 00 00 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 BB 01 00 00 00 44 88 5F 08 EB 06 41 BB 01 00 00 00 0F B7 4F 0A 44 0F B7 4C 24 4C 66 44 3B C9 77 12 41 0F B7 D1 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 45 33 D2 85 DB 0F 88 D3 00 00 00 44 88 5C 24 30 41 83 FE 24 7C 0A 44 01 5C 24 5C E9 85 00 00 00 44 38 57 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 4C 45 33 D2 45 8D 5A 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 44 88 5F 08 66 44 39 4F 0A 75 05 45 85 F6 74 21 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E3 4C 89 64 24 68 45 03 F3 44 89 74 24 54 48 3B 75 C0 0F 83 FB 00 00 00 48 8D 45 B0 48 83 7D C8 10 48 0F 43 45 B0 80 3C 30 7F 0F 84 C3 00 00 00 48 8D 45 B0 48 83 7D C8 10 48 0F 43 45 B0 44 00 1C 30 E9 AC 00 00 00 4C 8B 55 C0 49 3B F2 0F 83 04 01 00 00 48 8D 45 B0 4C 8B 4D B0 4C 8B 45 C8 49 83 F8 10 49 0F 43 C1 33 DB 38 1C 30 0F 84 B2 00 00 00 66 45 85 ED 0F 84 A8 00 00 00 38 5F 08 75 56 48 8B 0F 48 85 C9 74 41 4C 8B 59 40 49 39 1B 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 03 0F B7 00 EB 12 48 8B 01 FF 50 30 4C 8B 45 C8 4C 8B 55 C0 4C 8B 4D B0 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 BB 01 00 00 00 44 88 5F 08 66 44 39 6F 0A 75 46 45 33 C0 49 8B D3 48 8D 4D A8 E8 ?? ?? ?? ?? 48 FF C6 EB 02 33 DB 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 0B E9 A9 FD FF FF E8 ?? ?? ?? ?? CC 4C 8B 45 C8 4C 8B 55 C0 4C 8B 4D B0 48 85 F6 74 40 49 3B F2 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 B0 49 83 F8 10 49 0F 43 C1 41 BB 01 00 00 00 38 1C 30 7E 05 49 03 F3 EB 1F 44 88 5C 24 38 EB 18 E8 ?? ?? ?? ?? CC 4C 8B 45 C8 4C 8B 55 C0 4C 8B 4D B0 41 BB 01 00 00 00 48 8D 4D E0 48 83 7D F8 10 48 0F 43 4D E0 38 5C 24 38 75 5E 48 85 F6 74 59 8A 11 80 FA 7F 74 52 49 2B F3 74 16 49 3B F2 73 35 48 8D 45 B0 49 83 F8 10 49 0F 43 C1 3A 14 30 75 2A 48 85 F6 75 15 4D 85 D2 74 27 48 8D 45 B0 49 83 F8 10 49 0F 43 C1 3A 10 7C 10 38 59 01 7E BA 48 FF C1 EB B5 E8 ?? ?? ?? ?? CC 44 88 5C 24 38 EB 06 E8 ?? ?? ?? ?? 90 49 83 F8 10 72 08 49 8B C9 E8 ?? ?? ?? ?? 48 C7 45 C8 0F 00 00 00 48 89 5D C0 88 5D B0 48 8B 4D A8 E8 ?? ?? ?? ?? E9 7E 01 00 00 33 DB 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 6B 01 00 00 48 8B 74 24 70 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B8 01 00 00 00 44 88 47 08 EB 06 41 B8 01 00 00 00 0F B7 4F 0A 66 44 3B E9 77 12 41 0F B7 D5 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 45 33 C9 85 DB 0F 88 A6 00 00 00 41 83 FE 24 7C 07 44 01 44 24 5C EB 77 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 B8 01 00 00 00 44 88 47 08 66 44 39 6F 0A 75 05 45 85 F6 74 17 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E0 45 03 F0 44 88 44 24 30 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 A8 FE FF FF 44 89 74 24 54 4C 89 64 24 68 48 8B 75 80 8A 5C 24 30 84 DB 74 12 45 85 F6 75 0D 41 C6 04 24 30 49 FF C4 4C 89 64 24 68 4C 8B 6C 24 70 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 86 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A 48 8B 06 48 8B CE FF 50 08 66 3B D8 75 1E E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 04 24 49 FF C4 4C 89 64 24 68 48 8B CF E8 ?? ?? ?? ?? 8A 5C 24 30 33 F6 45 85 F6 0F 85 D0 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A2 00 00 00 0F B7 74 24 4C 44 8B 7C 24 5C 45 33 C9 45 8D 71 01 41 BC FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 77 08 66 39 77 0A 75 20 45 2B FE 41 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 74 90 44 89 7C 24 5C 88 5C 24 30 4C 8B 64 24 68 44 8B 74 24 54 44 0F B7 7C 24 60 33 F6 8B 44 24 5C 85 C0 79 13 41 C6 04 24 30 B9 01 00 00 00 4C 03 E1 03 C1 89 44 24 5C 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 6C 24 4C 84 C0 0F 85 F3 00 00 00 40 38 77 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 0F B7 57 0A 66 44 3B EA 77 14 45 0F B7 C5 0F B7 CA 41 8D 40 09 3B C8 7F 05 41 2B C8 EB 38 66 44 3B FA 77 17 45 0F B7 C7 0F B7 CA 41 8D 40 05 3B C8 7F 08 41 2B C8 83 C1 0A EB 1B 66 39 54 24 50 77 11 44 0F B7 44 24 50 0F B7 CA 41 8D 40 05 3B C8 7E E0 83 C9 FF 85 C9 78 3D 41 83 FE 24 7D 17 48 63 C1 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 04 24 4D 03 E1 45 03 F1 41 8A D9 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 11 FF FF FF 88 5C 24 30 45 33 FF 84 DB 0F 84 B5 04 00 00 4C 8B 74 24 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9D 04 00 00 44 38 7F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 70 66 44 89 7C 24 48 44 89 7C 24 58 4C 8B 7C 24 78 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 33 F6 66 3B 5C 24 48 0F 84 8E 00 00 00 40 38 77 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 50 66 89 74 24 48 89 74 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 85 70 03 00 00 41 C6 04 24 70 49 FF C4 4C 89 64 24 68 48 8B CF E8 ?? ?? ?? ?? 40 8A DE 89 74 24 54 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 47 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 2B 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0D 41 C6 04 24 2B 49 FF C4 E9 9A 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 40 2D 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 BF 01 00 00 00 45 8B C7 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 15 41 C6 04 24 2D 4D 03 E7 4C 89 64 24 68 48 8B CF E8 ?? ?? ?? ?? 40 8A DE 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 FF 84 C0 0F 85 CC 01 00 00 41 8D 77 01 41 BC FF FF 00 00 44 38 7F 08 75 41 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 3F 40 88 77 08 66 44 39 6F 0A 75 1A 40 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 84 DB 4C 8B 64 24 68 8B 74 24 54 0F 84 49 01 00 00 41 C6 04 24 30 49 FF C4 E9 3C 01 00 00 44 38 7F 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 41 B9 01 00 00 00 44 88 }
	condition:
		$1
}

rule file_65_822_1 {
	meta:
		name = "?dtor$1@?0??_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
	strings:
		$1 = { 48 8D 8A D8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_835_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 629
		refs = "0024 __security_cookie 0069 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0072 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 007f ??1locale@std@@QEAA@XZ 008d ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 00b9 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00be ?_Xlength_error@std@@YAXPEBD@Z 00d2 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00e5 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00f6 ??3@YAXPEAX@Z 011f ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 012b ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0187 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z 01e3 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 01f9 _Stoulx 0229 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 025d __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC D8 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B F9 4D 8B E0 4C 8B EA 48 89 4C 24 50 4C 8B 75 6F 48 8B 75 77 48 8B 45 7F 48 89 44 24 48 48 83 CF FF 49 8B CE 41 F7 46 18 00 40 00 00 0F 84 51 01 00 00 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 C7 45 B7 07 00 00 00 33 DB 48 89 5D AF 66 89 5D 9F 48 B8 FE FF FF FF FF FF FF 7F 8D 4F 02 48 3B C8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 4D AF 89 5D 9F 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D E7 08 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 07 00 00 00 48 89 5D DF 66 89 5D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D E7 08 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 41 BE 07 00 00 00 4C 89 75 E7 48 89 5D DF 66 89 5D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 83 7D B7 08 4C 0F 43 4D 9F 45 8D 46 FB 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B F8 48 83 7D B7 08 72 09 48 8B 4D 9F E8 ?? ?? ?? ?? 4C 89 75 B7 48 89 5D AF 66 89 5D 9F 48 8B 4D 97 E8 ?? ?? ?? ?? EB 6E 33 DB 89 5C 24 38 48 8D 55 87 E8 ?? ?? ?? ?? 4C 8B D8 41 8B 46 18 4C 89 5C 24 28 89 44 24 20 4D 8B CF 4D 8B C4 48 8D 55 97 48 8B 4C 24 50 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 44 8B F0 48 8D 4D 87 E8 ?? ?? ?? ?? 4C 8D 5D 97 4C 39 5C 24 40 74 0E 39 5C 24 38 75 08 41 83 FE 01 41 0F 46 FE 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 85 FF 79 05 83 0E 02 EB 0A 0F 95 C1 48 8B 44 24 48 88 08 41 0F 10 04 24 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_877_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 629
		refs = "0024 __security_cookie 0069 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0072 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 007f ??1locale@std@@QEAA@XZ 008d ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 00b9 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00be ?_Xlength_error@std@@YAXPEBD@Z 00d2 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00e5 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00f6 ??3@YAXPEAX@Z 011f ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 012b ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0187 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z 01e3 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 01f9 _Stoulx 0229 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 025d __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC D8 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 4D 8B F9 4D 8B E0 4C 8B EA 48 89 4C 24 50 4C 8B 75 6F 48 8B 75 77 48 8B 45 7F 48 89 44 24 48 48 83 CF FF 49 8B CE 41 F7 46 18 00 40 00 00 0F 84 51 01 00 00 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 C7 45 B7 07 00 00 00 33 DB 48 89 5D AF 66 89 5D 9F 48 B8 FE FF FF FF FF FF FF 7F 8D 4F 02 48 3B C8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 4D AF 89 5D 9F 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D E7 08 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 07 00 00 00 48 89 5D DF 66 89 5D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 01 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CF 45 33 C0 48 8B D0 48 8D 4D 97 E8 ?? ?? ?? ?? 90 48 83 7D E7 08 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 41 BE 07 00 00 00 4C 89 75 E7 48 89 5D DF 66 89 5D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 83 7D B7 08 4C 0F 43 4D 9F 45 8D 46 FB 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B F8 48 83 7D B7 08 72 09 48 8B 4D 9F E8 ?? ?? ?? ?? 4C 89 75 B7 48 89 5D AF 66 89 5D 9F 48 8B 4D 97 E8 ?? ?? ?? ?? EB 6E 33 DB 89 5C 24 38 48 8D 55 87 E8 ?? ?? ?? ?? 4C 8B D8 41 8B 46 18 4C 89 5C 24 28 89 44 24 20 4D 8B CF 4D 8B C4 48 8D 55 97 48 8B 4C 24 50 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 38 48 8D 54 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 44 8B F0 48 8D 4D 87 E8 ?? ?? ?? ?? 4C 8D 5D 97 4C 39 5C 24 40 74 0E 39 5C 24 38 75 08 41 83 FE 01 41 0F 46 FE 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 85 FF 79 05 83 0E 02 EB 0A 0F 95 C1 48 8B 44 24 48 88 08 41 0F 10 04 24 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 D8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_856_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WJ@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_898_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GJ@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02EAOCLKAK@ld?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_899_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GK@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_857_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WK@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02BDDLJJBK@lu?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 44 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_858_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_J@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_900_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_J@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02HIKPPMOK@Ld?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_901_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_K@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_859_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_K@Z"
		size = 175
		refs = "000e __security_cookie 002e ??_C@_02CLHGNPPK@Lu?$AA@ 0041 ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADPEBDH@Z 005b sprintf_s 008d ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 00a0 __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC B0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A0 00 00 00 41 0F 10 00 49 8B F9 45 8B 49 18 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 F3 0F 7F 44 24 40 48 8B D9 E8 ?? ?? ?? ?? 4C 8B 8C 24 F8 00 00 00 48 8D 4C 24 60 4C 8B C0 BA 40 00 00 00 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 60 48 8B CB 48 89 54 24 30 0F B7 94 24 F0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 A0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_860_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WN@Z"
		size = 515
		refs = "0013 __security_cookie 0087 __real@3fe0000000000000 009b __mask@@NegDouble@ 00b3 __real@4202a05f20000000 00bb __real@4733426172c74d82 00e9 __real@38aa95a5b7f87a0f 019b sprintf_s 01dc ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z 01ef __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 48 81 EC F8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 49 8B F9 4D 8B D0 4C 8B E2 4C 8B E9 41 BB 00 20 00 00 48 85 DB 7F 0B 45 85 59 18 75 05 BB 06 00 00 00 44 8B 47 18 F2 0F 10 8C 24 58 01 00 00 B8 24 00 00 00 48 3B D8 44 8B CB 44 0F 4F C8 33 ED 33 F6 49 63 C1 48 2B D8 41 8B C0 25 00 30 00 00 41 3B C3 0F 85 93 00 00 00 66 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2E C1 7A 02 74 7F 66 0F 57 D2 F2 0F 10 25 ?? ?? ?? ?? 66 0F 2F D1 76 08 B0 01 66 0F 57 CC EB 02 32 C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 48 3B E9 73 0E F2 0F 5E CB 48 83 C5 0A 66 0F 2F C8 73 ED 66 0F 2F CA 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 CB 48 83 FB 0A 7D E3 84 C0 74 04 66 0F 57 CC 41 0F 10 02 C6 44 24 60 25 48 8D 54 24 61 F3 0F 7F 44 24 50 41 F6 C0 20 74 0A C6 44 24 61 2B 48 8D 54 24 62 41 F6 C0 10 74 06 C6 02 23 48 FF C2 41 81 E0 00 30 00 00 66 C7 02 2E 2A B8 67 00 00 00 8D 48 FE 41 81 F8 00 10 00 00 F2 0F 11 4C 24 20 0F 44 C1 41 81 F8 00 30 00 00 0F B6 C8 B8 61 00 00 00 0F 44 C8 45 3B C3 4C 8D 44 24 60 0F B6 C1 B9 66 00 00 00 0F 44 C1 88 42 02 C6 42 03 00 8D 51 06 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CD 48 89 54 24 48 0F B7 94 24 50 01 00 00 48 89 5C 24 40 48 89 74 24 38 48 89 6C 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_902_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GN@Z"
		size = 515
		refs = "0013 __security_cookie 0087 __real@3fe0000000000000 009b __mask@@NegDouble@ 00b3 __real@4202a05f20000000 00bb __real@4733426172c74d82 00e9 __real@38aa95a5b7f87a0f 019b sprintf_s 01dc ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z 01ef __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 41 55 48 81 EC F8 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 49 8B F9 4D 8B D0 4C 8B E2 4C 8B E9 41 BB 00 20 00 00 48 85 DB 7F 0B 45 85 59 18 75 05 BB 06 00 00 00 44 8B 47 18 F2 0F 10 8C 24 58 01 00 00 B8 24 00 00 00 48 3B D8 44 8B CB 44 0F 4F C8 33 ED 33 F6 49 63 C1 48 2B D8 41 8B C0 25 00 30 00 00 41 3B C3 0F 85 93 00 00 00 66 0F 28 C1 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2E C1 7A 02 74 7F 66 0F 57 D2 F2 0F 10 25 ?? ?? ?? ?? 66 0F 2F D1 76 08 B0 01 66 0F 57 CC EB 02 32 C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 05 ?? ?? ?? ?? B9 88 13 00 00 EB 0D 48 3B E9 73 0E F2 0F 5E CB 48 83 C5 0A 66 0F 2F C8 73 ED 66 0F 2F CA 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C1 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 CB 48 83 FB 0A 7D E3 84 C0 74 04 66 0F 57 CC 41 0F 10 02 C6 44 24 60 25 48 8D 54 24 61 F3 0F 7F 44 24 50 41 F6 C0 20 74 0A C6 44 24 61 2B 48 8D 54 24 62 41 F6 C0 10 74 06 C6 02 23 48 FF C2 41 81 E0 00 30 00 00 66 C7 02 2E 2A B8 67 00 00 00 8D 48 FE 41 81 F8 00 10 00 00 F2 0F 11 4C 24 20 0F 44 C1 41 81 F8 00 30 00 00 0F B6 C8 B8 61 00 00 00 0F 44 C8 45 3B C3 4C 8D 44 24 60 0F B6 C1 B9 66 00 00 00 0F 44 C1 88 42 02 C6 42 03 00 8D 51 06 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CD 48 89 54 24 48 0F B7 94 24 50 01 00 00 48 89 5C 24 40 48 89 74 24 38 48 89 6C 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D4 E8 ?? ?? ?? ?? 49 8B C4 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 F8 00 00 00 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_861_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WO@Z"
		size = 415
		refs = "001b __security_cookie 0085 __mask@@NegDouble@ 009d __real@4202a05f20000000 00a5 __real@4733426172c74d82 00d3 __real@38aa95a5b7f87a0f 0112 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAPEADPEADDH@Z 012d sprintf_s 016e ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z 0181 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 55 41 56 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B E9 49 8B F9 4C 8B F2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 E4 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 75 7F 66 0F 57 C0 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F C6 76 08 B0 01 66 0F 57 F2 EB 02 32 C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B E1 73 0E F2 0F 5E F3 49 83 C4 0A 66 0F 2F F1 73 ED 66 0F 2F F0 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 04 66 0F 57 F2 41 0F 10 00 48 8D 54 24 60 41 B0 4C 49 8B CD F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CD 48 89 54 24 48 0F B7 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 64 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D6 E8 ?? ?? ?? ?? 49 8B C6 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_903_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GO@Z"
		size = 415
		refs = "001b __security_cookie 0085 __mask@@NegDouble@ 009d __real@4202a05f20000000 00a5 __real@4733426172c74d82 00d3 __real@38aa95a5b7f87a0f 0112 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAPEADPEADDH@Z 012d sprintf_s 016e ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z 0181 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 53 55 56 57 41 54 41 55 41 56 48 81 EC 00 01 00 00 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 E0 00 00 00 49 8B 59 20 4C 8B E9 49 8B F9 4C 8B F2 B9 00 20 00 00 48 85 DB 7F 0B 41 85 49 18 75 05 BB 06 00 00 00 45 8B 49 18 F2 0F 10 B4 24 68 01 00 00 B8 24 00 00 00 48 3B D8 8B EB 0F 4F E8 45 33 E4 33 F6 48 63 C5 48 2B D8 41 8B C1 25 00 30 00 00 3B C1 75 7F 66 0F 57 C0 F2 0F 10 15 ?? ?? ?? ?? 66 0F 2F C6 76 08 B0 01 66 0F 57 F2 EB 02 32 C0 F2 0F 10 1D ?? ?? ?? ?? F2 0F 10 0D ?? ?? ?? ?? B9 88 13 00 00 EB 0D 4C 3B E1 73 0E F2 0F 5E F3 49 83 C4 0A 66 0F 2F F1 73 ED 66 0F 2F F0 76 2B 48 83 FB 0A 7C 25 F2 0F 10 05 ?? ?? ?? ?? 66 0F 2F C6 72 17 48 3B F1 73 12 48 83 EB 0A 48 83 C6 0A F2 0F 59 F3 48 83 FB 0A 7D E3 84 C0 74 04 66 0F 57 F2 41 0F 10 00 48 8D 54 24 60 41 B0 4C 49 8B CD F3 0F 7F 44 24 50 E8 ?? ?? ?? ?? 48 8D 4C 24 70 44 8B CD BA 6C 00 00 00 4C 8B C0 F2 0F 11 74 24 20 E8 ?? ?? ?? ?? 4C 8D 44 24 50 4C 8B CF 48 63 D0 48 8D 44 24 70 49 8B CD 48 89 54 24 48 0F B7 94 24 60 01 00 00 48 89 5C 24 40 48 89 74 24 38 4C 89 64 24 30 48 89 44 24 28 66 89 54 24 20 49 8B D6 E8 ?? ?? ?? ?? 49 8B C6 48 8B 8C 24 E0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 0F 28 B4 24 F0 00 00 00 48 81 C4 00 01 00 00 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_862_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBX@Z"
		size = 158
		refs = "000e __security_cookie 0035 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007c ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z 008f __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8B 8C 24 E8 00 00 00 48 8B D9 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 50 BA 40 00 00 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 50 48 8B CB 48 89 54 24 30 0F B7 94 24 E0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_904_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBX@Z"
		size = 158
		refs = "000e __security_cookie 0035 ??_C@_02BBAHNLBA@?$CFp?$AA@ 004a sprintf_s 007c ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z 008f __security_check_cookie"
	strings:
		$1 = { 40 53 56 57 48 81 EC A0 00 00 00 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 90 00 00 00 41 0F 10 00 49 8B F9 4C 8B 8C 24 E8 00 00 00 48 8B D9 48 8B F2 4C 8D 05 ?? ?? ?? ?? 48 8D 4C 24 50 BA 40 00 00 00 F3 0F 7F 44 24 40 E8 ?? ?? ?? ?? 4C 8D 44 24 40 4C 8B CF 48 63 D0 48 8D 44 24 50 48 8B CB 48 89 54 24 30 0F B7 94 24 E0 00 00 00 48 89 44 24 28 66 89 54 24 20 48 8B D6 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8C 24 90 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule file_65_865_1 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 004b wcslen 0059 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		altNames = "?do_curr_symbol@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 20 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_915_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004b wcslen 0059 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 20 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_907_1 {
	meta:
		name = "?do_falsename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004b wcslen 0059 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 20 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_867_1 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 004b wcslen 0059 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		altNames = "?do_positive_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 28 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_917_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004b wcslen 0059 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 28 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_909_1 {
	meta:
		name = "?do_truename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004b wcslen 0059 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 28 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_875_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 004b wcslen 0059 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 30 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_919_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 113
		refs = "0032 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 004b wcslen 0059 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 50 10 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 18 48 89 70 20 48 8B FA 33 F6 89 74 24 40 48 8B 59 30 48 8D 50 08 48 8B CF E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 48 89 77 18 66 89 77 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_921_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 144
		refs = "0026 ??3@YAXPEAX@Z 0054 memmove"
		altNames = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 63 48 83 79 20 08 72 09 48 8B 49 08 E8 ?? ?? ?? ?? 33 F6 48 C7 43 20 07 00 00 00 48 8D 4B 08 48 89 73 18 66 89 31 48 83 7F 20 08 73 14 4C 8B 47 18 48 8D 57 08 4F 8D 44 00 02 E8 ?? ?? ?? ?? EB 0B 48 8B 47 08 48 89 01 48 89 77 08 48 8B 47 18 48 89 43 18 48 8B 47 20 48 89 43 20 48 89 77 18 48 89 77 20 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_65_922_1 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4259
		refs = "0024 __security_cookie 006b ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 007a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0083 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0094 ??1locale@std@@QEAA@XZ 00a0 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00da _Mbrtowc 00f7 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0229 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0290 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 02b0 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 02b5 ?_Xlength_error@std@@YAXPEBD@Z 057c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 05a5 _invalid_parameter_noinfo_noreturn 0684 ??3@YAXPEAX@Z 0932 localeconv 108b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC F8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 89 4C 24 50 49 8B F8 4C 8B EA 48 89 55 8F 48 8B D9 48 8B 4D 77 4C 8B 45 7F 8B 41 18 BA 00 30 00 00 23 C2 3B C2 75 1D 4C 89 44 24 28 48 89 4C 24 20 4C 8B C7 49 8B D5 48 8B CB E8 ?? ?? ?? ?? E9 0F 10 00 00 48 8D 54 24 68 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 45 87 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 55 CF 49 8B CC E8 ?? ?? ?? ?? 90 C6 44 24 38 30 45 33 FF 66 44 89 7C 24 44 44 89 7C 24 48 48 8D 73 10 48 89 74 24 60 48 89 74 24 20 4C 8D 4C 24 48 45 8D 47 01 48 8D 54 24 38 48 8D 4C 24 44 E8 ?? ?? ?? ?? 4D 8B F5 4C 89 6C 24 58 44 88 7C 24 38 48 8B 5C 24 50 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 2F 01 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2B 66 44 89 7C 24 40 44 89 7C 24 48 48 89 74 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 0A 41 C6 45 00 2B E9 8A 00 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 7C 24 40 44 89 7C 24 48 48 89 74 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 16 41 C6 45 00 2D 4D 8D 75 01 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 33 C9 44 8B E9 89 4C 24 40 89 4C 24 48 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 80 38 7F 0F 84 55 04 00 00 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 38 08 0F 8E 3F 04 00 00 33 DB 48 39 5D E7 75 05 0F B7 F3 EB 0D 49 8B 04 24 49 8B CC FF 50 10 0F B7 F0 48 8D 54 24 30 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 C7 45 BF 0F 00 00 00 48 89 5D B7 88 5D A7 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 B7 66 89 5D A7 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 85 18 03 00 00 44 38 57 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 D2 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 41 BB 01 00 00 00 44 88 5F 08 EB 06 41 BB 01 00 00 00 44 0F B7 4C 24 44 66 44 3B 4F 0A 0F 87 91 01 00 00 44 38 57 08 75 54 48 8B 0F 48 85 C9 74 3F 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 0F 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 D2 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 41 BB 01 00 00 00 44 88 5F 08 41 0F B7 C9 83 C1 09 0F B7 47 0A 3B C1 0F 8F 24 01 00 00 45 8A FB 41 83 FD 24 7C 0A 44 01 5C 24 48 E9 D8 00 00 00 44 38 57 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 D2 45 8D 5A 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 44 88 5F 08 66 44 39 4F 0A 75 05 45 85 ED 74 74 44 38 57 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 D2 45 8D 5A 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 44 88 5F 08 0F B7 47 0A 41 2A C1 04 30 41 88 06 4D 03 F3 4C 89 74 24 58 45 03 EB 44 89 6C 24 40 48 3B 5D B7 0F 83 FB 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 C2 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 44 00 1C 18 E9 AB 00 00 00 4C 8B 4D B7 49 3B D9 0F 83 07 01 00 00 48 8D 45 A7 4C 8B 5D A7 4C 8B 55 BF 49 83 FA 10 49 0F 43 C3 33 D2 38 14 18 0F 84 B2 00 00 00 66 85 F6 0F 84 A9 00 00 00 38 57 08 75 54 48 8B 0F 48 85 C9 74 3F 4C 8B 41 40 49 39 10 74 06 48 8B 41 58 8B 10 85 D2 7E 08 49 8B 00 0F B7 00 EB 12 48 8B 01 FF 50 30 4C 8B 55 BF 4C 8B 4D B7 4C 8B 5D A7 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 05 33 D2 48 89 17 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 45 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 75 0B E9 36 FD FF FF E8 ?? ?? ?? ?? CC 4C 8B 55 BF 4C 8B 4D B7 4C 8B 5D A7 33 F6 48 85 DB 74 43 49 3B D9 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 A7 49 83 FA 10 49 0F 43 C3 41 B8 01 00 00 00 40 38 34 18 7E 05 49 03 D8 EB 21 44 88 44 24 38 EB 1A E8 ?? ?? ?? ?? CC 4C 8B 55 BF 4C 8B 4D B7 4C 8B 5D A7 33 F6 41 B8 01 00 00 00 48 8D 4D D7 48 83 7D EF 10 48 0F 43 4D D7 40 38 74 24 38 75 5F 48 85 DB 74 5A 8A 11 80 FA 7F 74 53 49 2B D8 74 16 49 3B D9 73 36 48 8D 45 A7 49 83 FA 10 49 0F 43 C3 3A 14 18 75 2B 48 85 DB 75 15 4D 85 C9 74 28 48 8D 45 A7 49 83 FA 10 49 0F 43 C3 3A 10 7C 11 40 38 71 01 7E B9 48 FF C1 EB B4 E8 ?? ?? ?? ?? CC 44 88 44 24 38 EB 06 E8 ?? ?? ?? ?? 90 49 83 FA 10 72 08 49 8B CB E8 ?? ?? ?? ?? 48 C7 45 BF 0F 00 00 00 48 89 75 B7 40 88 75 A7 48 8B 4D 9F E8 ?? ?? ?? ?? 48 8B 5C 24 50 E9 F0 01 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 F5 01 00 00 44 0F B7 64 24 44 41 8B F1 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 58 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F F1 00 00 00 41 83 FD 24 7C 08 41 03 F2 E9 C2 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 66 44 39 67 0A 75 05 45 85 ED 74 64 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 0F B7 47 0A 41 2A C4 04 30 41 88 06 4D 03 F2 45 03 EA 45 8A FA 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 41 FE FF FF 89 74 24 48 4C 89 74 24 58 44 89 6C 24 40 4C 8B 65 87 48 8B 74 24 60 45 84 FF 74 11 45 85 ED 75 0C 41 C6 06 30 49 FF C6 4C 89 74 24 58 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 87 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A 49 8B 04 24 49 8B CC FF 50 08 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 06 49 FF C6 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 45 33 E4 45 85 ED 0F 85 C8 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9B 00 00 00 0F B7 5C 24 44 48 8B 74 24 50 44 8B 6C 24 48 45 8D 74 24 01 44 38 67 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 44 88 77 08 66 39 5F 0A 75 1D 45 2B EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 92 44 89 6C 24 48 44 8B 6C 24 40 4C 8B 74 24 58 48 8B 74 24 60 48 8B 5C 24 50 8B 44 24 48 85 C0 79 12 41 C6 06 30 B9 01 00 00 00 4C 03 F1 03 C1 89 44 24 48 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 44 0F B7 64 24 44 84 C0 0F 85 4A 01 00 00 41 8D 71 01 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 66 44 3B 67 0A 0F 87 E8 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 87 00 00 00 41 83 FD 24 7D 60 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 0F B7 47 0A 41 2A C4 04 30 41 88 06 4C 03 F6 44 03 EE 44 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 BF FE FF FF 48 8B 74 24 60 45 33 ED 45 84 FF 0F 84 AA 04 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 97 04 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 65 66 44 89 6C 24 40 44 89 6C 24 44 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 84 91 00 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 45 66 44 89 6C 24 40 44 89 6C 24 44 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 85 75 03 00 00 41 C6 06 65 49 FF C6 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 45 8A FD 41 8B F5 44 89 6C 24 68 48 8B 5C 24 50 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 4C 01 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 2B 66 44 89 6C 24 40 44 89 6C 24 44 4C 8B 6C 24 60 4C 89 6C 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 0C 41 C6 06 2B 49 FF C6 E9 99 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 44 4C 89 6C 24 20 4C 8D 4C 24 44 41 BD 01 00 00 00 45 8B C5 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 14 41 C6 06 2D 4D 03 F5 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 45 33 ED 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 CC 01 00 00 BE 01 00 00 00 41 BE FF FF 00 00 44 38 6F 08 75 41 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 2F 40 88 77 08 66 44 39 67 0A 75 1A 44 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 45 84 FF 8B 74 24 68 4C 8B 74 24 58 0F 84 47 01 00 00 41 C6 06 30 49 FF C6 E9 3B 01 00 00 44 38 6F 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 67 0A 0F 87 EA 00 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 86 00 00 00 83 FE 08 7D 63 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 3C 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 B9 FF FF 00 }
	condition:
		$1
}

rule file_65_927_1 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4259
		refs = "0024 __security_cookie 006b ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 007a ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0083 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0094 ??1locale@std@@QEAA@XZ 00a0 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00da _Mbrtowc 00f7 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0229 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0290 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 02b0 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 02b5 ?_Xlength_error@std@@YAXPEBD@Z 057c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 05a5 _invalid_parameter_noinfo_noreturn 0684 ??3@YAXPEAX@Z 0932 localeconv 108b __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC F8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 89 4C 24 50 49 8B F8 4C 8B EA 48 89 55 8F 48 8B D9 48 8B 4D 77 4C 8B 45 7F 8B 41 18 BA 00 30 00 00 23 C2 3B C2 75 1D 4C 89 44 24 28 48 89 4C 24 20 4C 8B C7 49 8B D5 48 8B CB E8 ?? ?? ?? ?? E9 0F 10 00 00 48 8D 54 24 68 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 45 87 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 55 CF 49 8B CC E8 ?? ?? ?? ?? 90 C6 44 24 38 30 45 33 FF 66 44 89 7C 24 44 44 89 7C 24 48 48 8D 73 10 48 89 74 24 60 48 89 74 24 20 4C 8D 4C 24 48 45 8D 47 01 48 8D 54 24 38 48 8D 4C 24 44 E8 ?? ?? ?? ?? 4D 8B F5 4C 89 6C 24 58 44 88 7C 24 38 48 8B 5C 24 50 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 2F 01 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2B 66 44 89 7C 24 40 44 89 7C 24 48 48 89 74 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 0A 41 C6 45 00 2B E9 8A 00 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 7C 24 40 44 89 7C 24 48 48 89 74 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 16 41 C6 45 00 2D 4D 8D 75 01 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 33 C9 44 8B E9 89 4C 24 40 89 4C 24 48 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 80 38 7F 0F 84 55 04 00 00 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 38 08 0F 8E 3F 04 00 00 33 DB 48 39 5D E7 75 05 0F B7 F3 EB 0D 49 8B 04 24 49 8B CC FF 50 10 0F B7 F0 48 8D 54 24 30 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 C7 45 BF 0F 00 00 00 48 89 5D B7 88 5D A7 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 B7 66 89 5D A7 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 0F 85 18 03 00 00 44 38 57 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 D2 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 41 BB 01 00 00 00 44 88 5F 08 EB 06 41 BB 01 00 00 00 44 0F B7 4C 24 44 66 44 3B 4F 0A 0F 87 91 01 00 00 44 38 57 08 75 54 48 8B 0F 48 85 C9 74 3F 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 0F 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 D2 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 41 BB 01 00 00 00 44 88 5F 08 41 0F B7 C9 83 C1 09 0F B7 47 0A 3B C1 0F 8F 24 01 00 00 45 8A FB 41 83 FD 24 7C 0A 44 01 5C 24 48 E9 D8 00 00 00 44 38 57 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 D2 45 8D 5A 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 44 88 5F 08 66 44 39 4F 0A 75 05 45 85 ED 74 74 44 38 57 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 10 74 08 48 8B 41 58 8B 10 EB 03 41 8B D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 D2 45 8D 5A 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 17 44 88 5F 08 0F B7 47 0A 41 2A C1 04 30 41 88 06 4D 03 F3 4C 89 74 24 58 45 03 EB 44 89 6C 24 40 48 3B 5D B7 0F 83 FB 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 80 3C 18 7F 0F 84 C2 00 00 00 48 8D 45 A7 48 83 7D BF 10 48 0F 43 45 A7 44 00 1C 18 E9 AB 00 00 00 4C 8B 4D B7 49 3B D9 0F 83 07 01 00 00 48 8D 45 A7 4C 8B 5D A7 4C 8B 55 BF 49 83 FA 10 49 0F 43 C3 33 D2 38 14 18 0F 84 B2 00 00 00 66 85 F6 0F 84 A9 00 00 00 38 57 08 75 54 48 8B 0F 48 85 C9 74 3F 4C 8B 41 40 49 39 10 74 06 48 8B 41 58 8B 10 85 D2 7E 08 49 8B 00 0F B7 00 EB 12 48 8B 01 FF 50 30 4C 8B 55 BF 4C 8B 4D B7 4C 8B 5D A7 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 05 33 D2 48 89 17 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 45 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 D2 84 C0 75 0B E9 36 FD FF FF E8 ?? ?? ?? ?? CC 4C 8B 55 BF 4C 8B 4D B7 4C 8B 5D A7 33 F6 48 85 DB 74 43 49 3B D9 72 06 E8 ?? ?? ?? ?? CC 48 8D 45 A7 49 83 FA 10 49 0F 43 C3 41 B8 01 00 00 00 40 38 34 18 7E 05 49 03 D8 EB 21 44 88 44 24 38 EB 1A E8 ?? ?? ?? ?? CC 4C 8B 55 BF 4C 8B 4D B7 4C 8B 5D A7 33 F6 41 B8 01 00 00 00 48 8D 4D D7 48 83 7D EF 10 48 0F 43 4D D7 40 38 74 24 38 75 5F 48 85 DB 74 5A 8A 11 80 FA 7F 74 53 49 2B D8 74 16 49 3B D9 73 36 48 8D 45 A7 49 83 FA 10 49 0F 43 C3 3A 14 18 75 2B 48 85 DB 75 15 4D 85 C9 74 28 48 8D 45 A7 49 83 FA 10 49 0F 43 C3 3A 10 7C 11 40 38 71 01 7E B9 48 FF C1 EB B4 E8 ?? ?? ?? ?? CC 44 88 44 24 38 EB 06 E8 ?? ?? ?? ?? 90 49 83 FA 10 72 08 49 8B CB E8 ?? ?? ?? ?? 48 C7 45 BF 0F 00 00 00 48 89 75 B7 40 88 75 A7 48 8B 4D 9F E8 ?? ?? ?? ?? 48 8B 5C 24 50 E9 F0 01 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 F5 01 00 00 44 0F B7 64 24 44 41 8B F1 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 58 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F F1 00 00 00 41 83 FD 24 7C 08 41 03 F2 E9 C2 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 66 44 39 67 0A 75 05 45 85 ED 74 64 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 0F B7 47 0A 41 2A C4 04 30 41 88 06 4D 03 F2 45 03 EA 45 8A FA 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 41 FE FF FF 89 74 24 48 4C 89 74 24 58 44 89 6C 24 40 4C 8B 65 87 48 8B 74 24 60 45 84 FF 74 11 45 85 ED 75 0C 41 C6 06 30 49 FF C6 4C 89 74 24 58 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 87 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A 49 8B 04 24 49 8B CC FF 50 08 66 3B D8 75 1D E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 06 49 FF C6 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 45 33 E4 45 85 ED 0F 85 C8 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9B 00 00 00 0F B7 5C 24 44 48 8B 74 24 50 44 8B 6C 24 48 45 8D 74 24 01 44 38 67 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 44 88 77 08 66 39 5F 0A 75 1D 45 2B EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 92 44 89 6C 24 48 44 8B 6C 24 40 4C 8B 74 24 58 48 8B 74 24 60 48 8B 5C 24 50 8B 44 24 48 85 C0 79 12 41 C6 06 30 B9 01 00 00 00 4C 03 F1 03 C1 89 44 24 48 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 44 0F B7 64 24 44 84 C0 0F 85 4A 01 00 00 41 8D 71 01 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 66 44 3B 67 0A 0F 87 E8 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 87 00 00 00 41 83 FD 24 7D 60 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 40 88 77 08 0F B7 47 0A 41 2A C4 04 30 41 88 06 4C 03 F6 44 03 EE 44 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 BF FE FF FF 48 8B 74 24 60 45 33 ED 45 84 FF 0F 84 AA 04 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 97 04 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 65 66 44 89 6C 24 40 44 89 6C 24 44 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 84 91 00 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 45 66 44 89 6C 24 40 44 89 6C 24 44 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 85 75 03 00 00 41 C6 06 65 49 FF C6 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 45 8A FD 41 8B F5 44 89 6C 24 68 48 8B 5C 24 50 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 4C 01 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 2B 66 44 89 6C 24 40 44 89 6C 24 44 4C 8B 6C 24 60 4C 89 6C 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 0C 41 C6 06 2B 49 FF C6 E9 99 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 44 4C 89 6C 24 20 4C 8D 4C 24 44 41 BD 01 00 00 00 45 8B C5 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 14 41 C6 06 2D 4D 03 F5 4C 89 74 24 58 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 45 33 ED 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 CC 01 00 00 BE 01 00 00 00 41 BE FF FF 00 00 44 38 6F 08 75 41 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 2F 40 88 77 08 66 44 39 67 0A 75 1A 44 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 98 45 84 FF 8B 74 24 68 4C 8B 74 24 58 0F 84 47 01 00 00 41 C6 06 30 49 FF C6 E9 3B 01 00 00 44 38 6F 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 67 0A 0F 87 EA 00 00 00 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 2F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 86 00 00 00 83 FE 08 7D 63 44 38 6F 08 75 4B 48 8B 0F 48 85 C9 74 3C 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 B9 FF FF 00 }
	condition:
		$1
}

rule file_65_924_1 {
	meta:
		name = "?dtor$1@?0??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$1@?0??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA ?dtor$2@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A B8 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_925_1 {
	meta:
		name = "?dtor$3@?0??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
		altNames = "?dtor$3@?0??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_234_2 {
	meta:
		name = "?dtor$1@?0??_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_935_2 {
	meta:
		name = "?dtor$2@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_885_2 {
	meta:
		name = "?dtor$2@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_268_2 {
	meta:
		name = "?dtor$2@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_821_2 {
	meta:
		name = "?dtor$2@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_789_2 {
	meta:
		name = "?dtor$2@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1022_1 {
	meta:
		name = "?dtor$2@?0??do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_942_1 {
	meta:
		name = "?dtor$2@?0??do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_269_2 {
	meta:
		name = "?dtor$3@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_822_2 {
	meta:
		name = "?dtor$3@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_790_2 {
	meta:
		name = "?dtor$3@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_939_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z"
		size = 541
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 008e ??1locale@std@@QEAA@XZ 009c ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 00c1 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00ce ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z 00d6 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00f4 ??3@YAXPEAX@Z 014c ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 0205 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F1 4D 8B E0 4C 8B EA 44 0F B7 7D 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 87 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 7C 24 20 4C 8D 45 87 49 8B D5 41 FF 52 38 E9 89 01 00 00 48 8D 55 87 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 9F E8 ?? ?? ?? ?? BF 07 00 00 00 48 89 7D BF 33 F6 48 89 75 B7 66 89 75 A7 48 8D 55 CF 48 8B CB 40 38 75 7F 74 15 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 EB 13 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 83 7D EF 08 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 89 7D EF 48 89 75 E7 66 89 75 D7 48 8B 4D CF E8 ?? ?? ?? ?? 49 8B 5E 28 48 8B 7D B7 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 46 18 25 C0 01 00 00 83 F8 40 74 31 41 0F 10 04 24 0F 29 45 87 48 85 DB 74 1A 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D B7 0F 28 45 87 F3 41 0F 7F 04 24 48 8B DE 41 0F 10 04 24 0F 29 45 87 48 8D 75 A7 48 83 7D BF 08 48 0F 43 75 A7 48 85 FF 74 19 0F B7 16 48 8D 4D 87 E8 ?? ?? ?? ?? 48 83 C6 02 48 FF CF 75 EB 0F 28 45 87 F3 41 0F 7F 04 24 33 FF 49 89 7E 28 41 0F 10 04 24 0F 29 45 87 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 87 F3 41 0F 7F 45 00 48 83 7D BF 08 72 09 48 8B 4D A7 E8 ?? ?? ?? ?? 48 C7 45 BF 07 00 00 00 48 89 7D B7 66 89 7D A7 48 8B 4D 9F E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_1019_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z"
		size = 541
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 008e ??1locale@std@@QEAA@XZ 009c ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 00c1 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00ce ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z 00d6 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00f4 ??3@YAXPEAX@Z 014c ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 0205 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F1 4D 8B E0 4C 8B EA 44 0F B7 7D 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 87 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 7C 24 20 4C 8D 45 87 49 8B D5 41 FF 52 38 E9 89 01 00 00 48 8D 55 87 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D 9F E8 ?? ?? ?? ?? BF 07 00 00 00 48 89 7D BF 33 F6 48 89 75 B7 66 89 75 A7 48 8D 55 CF 48 8B CB 40 38 75 7F 74 15 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 EB 13 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 83 7D EF 08 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 89 7D EF 48 89 75 E7 66 89 75 D7 48 8B 4D CF E8 ?? ?? ?? ?? 49 8B 5E 28 48 8B 7D B7 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 46 18 25 C0 01 00 00 83 F8 40 74 31 41 0F 10 04 24 0F 29 45 87 48 85 DB 74 1A 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D B7 0F 28 45 87 F3 41 0F 7F 04 24 48 8B DE 41 0F 10 04 24 0F 29 45 87 48 8D 75 A7 48 83 7D BF 08 48 0F 43 75 A7 48 85 FF 74 19 0F B7 16 48 8D 4D 87 E8 ?? ?? ?? ?? 48 83 C6 02 48 FF CF 75 EB 0F 28 45 87 F3 41 0F 7F 04 24 33 FF 49 89 7E 28 41 0F 10 04 24 0F 29 45 87 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 87 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 87 F3 41 0F 7F 45 00 48 83 7D BF 08 72 09 48 8B 4D A7 E8 ?? ?? ?? ?? 48 C7 45 BF 07 00 00 00 48 89 7D B7 66 89 7D A7 48 8B 4D 9F E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_953_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@$$QEAV01@@Z"
		size = 85
		refs = "0024 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 0042 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 33 C0 48 89 47 18 66 89 47 08 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_1034_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@$$QEAV01@@Z"
		size = 85
		refs = "0024 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 0042 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 54 24 50 E8 ?? ?? ?? ?? 90 48 C7 47 20 07 00 00 00 33 C0 48 89 47 18 66 89 47 08 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_65_955_1 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z"
		size = 5542
		refs = "0027 __security_cookie 0076 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007f ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 009f ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 00b0 ??1locale@std@@QEAA@XZ 00cb ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 01a6 _Mbrtowc 01b2 ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01ff ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0234 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0371 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0450 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 045b ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 054d ??3@YAXPEAX@Z 09f6 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0b81 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0bd8 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0e8d ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0fc1 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0fce ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 1018 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 10ae ??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAAEB_WXZ 11df ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 12bd _invalid_parameter_noinfo_noreturn 12dd ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 12e2 ?_Xlength_error@std@@YAXPEBD@Z 1547 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 158d __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 D8 FD FF FF 48 81 EC 28 03 00 00 48 C7 45 D0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 18 02 00 00 4C 89 4C 24 50 49 8B F8 4C 89 45 90 48 8B DA 48 89 54 24 48 48 89 4D 88 48 89 55 C8 4C 8B A5 98 02 00 00 4C 89 64 24 68 45 33 F6 44 89 74 24 3C 49 8B CC 44 38 B5 90 02 00 00 74 20 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 58 48 8D 4D 98 EB 1E 48 8D 55 A8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 58 48 8D 4D A8 E8 ?? ?? ?? ?? 45 8A EE 44 89 6C 24 40 44 88 74 24 38 48 8D 54 24 30 48 8D 4D 68 E8 ?? ?? ?? ?? 41 BF 07 00 00 00 4C 89 BD 88 00 00 00 4C 89 B5 80 00 00 00 66 44 89 75 70 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 4C 89 7B 20 4C 89 73 18 66 44 89 73 08 41 8D 47 FA 44 8B F8 89 44 24 3C 48 8B 06 48 8D 54 24 7C 48 8B CE FF 50 48 4C 89 74 24 70 41 8B CF 49 83 FE 04 0F 83 EA 11 00 00 42 8A 44 34 7C 3C 20 0F 84 8A 10 00 00 3C 24 0F 84 43 0D 00 00 3C 2B 0F 84 8C 08 00 00 3C 76 74 0D 3C 78 0F 84 6E 10 00 00 E9 49 11 00 00 45 33 E4 45 8B F4 44 89 64 24 60 48 8B 06 48 8B CE FF 50 38 44 8B E8 89 44 24 78 C6 44 24 30 30 66 44 89 64 24 44 44 89 65 80 48 8B 45 88 48 83 C0 10 48 89 44 24 20 4C 8D 4D 80 45 8D 44 24 01 48 8D 54 24 30 48 8D 4C 24 44 E8 ?? ?? ?? ?? 48 8D 55 38 48 8B CE E8 ?? ?? ?? ?? 90 44 0F B7 64 24 44 33 C0 48 39 45 50 0F 84 1A 04 00 00 48 8B 06 48 8B CE FF 50 10 0F B7 F0 66 85 C0 0F 84 00 04 00 00 48 8D 4D 40 48 83 7D 58 10 48 0F 43 4D 40 80 39 7F 0F 83 E9 03 00 00 48 8D 54 24 30 48 8D 4D 08 E8 ?? ?? ?? ?? 90 48 C7 45 28 0F 00 00 00 33 C0 48 89 45 20 88 45 10 8D 48 01 80 F9 FE 0F 87 B9 10 00 00 48 89 4D 20 66 89 45 10 8B D8 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 74 02 00 00 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 08 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F A1 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 44 0F B7 47 0A 49 8B D2 48 8B 4C 24 48 E8 ?? ?? ?? ?? 48 3B 5D 20 0F 83 3D 0F 00 00 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 80 3C 18 7F 0F 84 C0 00 00 00 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 B9 01 00 00 00 00 0C 18 E9 A5 00 00 00 4C 8B 55 20 49 3B DA 0F 83 09 0F 00 00 48 8D 45 10 4C 8B 5D 10 4C 8B 4D 28 49 83 F9 10 49 0F 43 C3 33 C9 38 0C 18 0F 84 A5 00 00 00 38 4F 08 75 57 48 8B 17 48 85 D2 74 42 4C 8B 42 40 49 39 08 74 06 48 8B 42 58 8B 08 85 C9 7E 08 49 8B 00 0F B7 00 EB 15 48 8B 02 48 8B CA FF 50 30 4C 8B 4D 28 4C 8B 55 20 4C 8B 5D 10 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 05 33 C9 48 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3E 45 33 C0 48 8B D0 48 8D 4D 08 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 CC FD FF FF 4C 8B 4D 28 4C 8B 55 20 4C 8B 5D 10 33 F6 48 85 DB 74 3B 49 3B DA 0F 83 2F 0E 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C3 44 8D 46 01 40 38 34 03 7E 05 49 03 D8 EB 1D 41 8A C0 89 44 24 40 EB 18 4C 8B 4D 28 4C 8B 55 20 4C 8B 5D 10 33 F6 41 B8 01 00 00 00 8B 44 24 40 48 8D 4D 40 48 83 7D 58 10 48 0F 43 4D 40 84 C0 0F 85 8A 00 00 00 48 85 DB 74 59 8A 11 80 FA 7F 74 52 49 2B D8 74 1A 49 3B DA 0F 83 CF 0D 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C3 3A 14 03 75 29 48 85 DB 75 19 4D 85 D2 0F 84 B6 0D 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C3 3A 10 7C 0B 40 38 71 01 7E B1 48 FF C1 EB AC 45 8A E8 44 89 6C 24 40 EB 31 49 83 F9 10 72 08 49 8B CB E8 ?? ?? ?? ?? 48 C7 45 28 0F 00 00 00 48 89 75 20 40 88 75 10 48 8B 4D 08 E8 ?? ?? ?? ?? E9 CB 01 00 00 44 8B 6C 24 40 49 83 F9 10 72 08 49 8B CB E8 ?? ?? ?? ?? BB 0F 00 00 00 48 89 5D 28 48 89 75 20 40 88 75 10 48 8B 4D 08 E8 ?? ?? ?? ?? 48 89 75 08 48 83 7D 58 10 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 48 89 5D 58 48 89 75 50 40 88 75 40 48 8B 4D 38 E8 ?? ?? ?? ?? 48 8B 74 24 58 48 8B 5C 24 48 4C 8B 74 24 70 4C 8B 64 24 68 E9 C1 0C 00 00 48 8B 74 24 58 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 44 01 00 00 48 8B 74 24 50 45 8D 69 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 66 44 3B 67 0A 0F 87 D1 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 7F 78 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 44 0F B7 47 0A 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 DA FE FF FF 44 8B 6C 24 78 44 8B 74 24 60 48 8B 74 24 58 48 8B 06 48 8B CE FF 50 08 0F B7 D8 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 EE 01 00 00 66 85 DB 0F 84 E5 01 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 86 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 E9 46 01 00 00 45 3B F5 0F 8D 6E 01 00 00 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 EC 00 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 85 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 44 0F B7 47 0A 49 8B D2 48 8B 4C 24 48 E8 ?? ?? ?? ?? 41 FF C6 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 A4 FE FF FF 8B 44 24 40 0F B6 C0 45 3B F5 B9 01 00 00 00 0F 4C C1 89 44 24 40 EB 08 45 33 C9 B9 01 00 00 00 48 8B 5C 24 48 4C 39 4B 18 75 0A 44 8A E9 44 89 6C 24 40 EB 3C 45 3B F5 7D 32 45 2B EE 41 8B DD 48 8B 74 24 48 BF 01 00 00 00 45 0F B7 C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 2B DF 75 EC 48 8B 7D 90 48 8B 74 24 58 48 8B 5C 24 48 44 8B 6C 24 40 48 83 7D 58 10 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 48 C7 45 58 0F 00 00 00 33 C0 48 89 45 50 88 45 40 48 8B 4D 38 E8 ?? ?? ?? ?? E9 F9 FB FF FF 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 08 00 00 48 8D 95 F8 00 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 04 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 9B 00 00 00 48 8D 95 28 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 B0 08 00 00 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 08 74 50 41 83 E7 F7 44 89 7C 24 3C 48 83 BD 48 01 00 00 08 72 0C 48 8B 8D 30 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 48 01 00 00 07 00 00 00 33 C0 48 89 85 40 01 00 00 66 89 85 30 01 00 00 48 8B 8D 28 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 28 01 00 00 41 F6 C7 04 74 52 41 83 E7 FB 44 89 7C 24 3C 48 83 BD 18 01 00 00 08 72 0F 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 18 01 00 00 07 00 00 00 4C 89 8D 10 01 00 00 66 44 89 8D 00 01 00 00 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D F8 00 00 00 84 DB 74 6C 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 88 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 68 E8 ?? ?? ?? ?? 90 48 83 BD A8 01 00 00 08 72 0C 48 8B 8D 90 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 A8 01 00 00 07 00 00 00 33 C0 48 89 85 A0 01 00 00 66 89 85 90 01 00 00 48 8B 8D 88 01 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 48 E9 D2 06 00 00 48 8D 95 98 00 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 10 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 9B 00 00 00 48 8D 95 58 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 20 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 D4 06 00 00 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 20 74 50 41 83 E7 DF 44 89 7C 24 3C 48 83 BD 78 01 00 00 08 72 0C 48 8B 8D 60 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 78 01 00 00 07 00 00 00 33 C0 48 89 85 70 01 00 00 66 89 85 60 01 00 00 48 8B 8D 58 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 58 01 00 00 41 F6 C7 10 74 52 41 83 E7 EF 44 89 7C 24 3C 48 83 BD B8 00 00 00 08 72 0F 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 B8 00 00 00 07 00 00 00 4C 89 8D B0 00 00 00 66 44 89 8D A0 00 00 00 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 98 00 00 00 84 DB 74 6C 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 B8 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 68 E8 ?? ?? ?? ?? 90 48 83 BD D8 01 00 00 08 72 0C 48 8B 8D C0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 D8 01 00 00 07 00 00 00 33 C0 48 89 85 D0 01 00 00 66 89 85 C0 01 00 00 48 8B 8D B8 01 00 00 E8 ?? ?? ?? ?? C6 44 24 38 01 E9 14 FE FF FF 48 8D 95 C8 00 00 00 48 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD E8 00 00 00 08 72 0C 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 E8 00 00 00 07 00 00 00 33 C0 48 89 85 E0 00 00 00 66 89 85 D0 00 00 00 48 8B 8D C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 C8 00 00 00 84 DB 0F 85 7E 04 00 00 48 8D 95 E8 01 00 00 48 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD 08 02 00 00 08 72 0C 48 8B 8D F0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 08 02 00 00 07 00 00 00 33 C0 48 89 85 00 02 00 00 66 89 85 F0 01 00 00 48 8B 8D E8 01 00 00 E8 ?? ?? ?? ?? 33 C0 8D 48 01 84 DB 48 8B 5C 24 48 0F 84 2A 04 00 00 88 4C 24 38 E9 21 04 00 00 48 8D 55 38 48 8B CE E8 ?? ?? ?? ?? 90 33 F6 44 8B E6 48 89 75 08 48 89 75 10 48 8B 44 24 68 48 8B 5C 24 50 F6 40 18 08 75 78 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 69 40 38 77 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 40 48 83 7D 58 08 48 0F 43 45 40 66 3B 08 0F 85 8F 00 00 00 49 83 FE 03 0F 85 94 00 00 00 41 8D 46 FE 48 39 85 80 00 00 00 0F 87 83 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 65 40 38 77 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 40 48 83 7D 58 08 48 0F 43 45 40 66 3B 08 74 0F 49 83 C8 FF 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8D 55 D8 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 4C 8B 21 4C 89 65 08 48 8B 70 10 48 89 75 18 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 }
	condition:
		$1
}

rule file_65_1045_1 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z"
		size = 5542
		refs = "0027 __security_cookie 0076 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007f ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 009f ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 00b0 ??1locale@std@@QEAA@XZ 00cb ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 01a6 _Mbrtowc 01b2 ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01ff ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 0234 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0371 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0450 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 045b ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 054d ??3@YAXPEAX@Z 09f6 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0b81 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0bd8 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0e8d ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0fc1 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0fce ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 1018 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 10ae ??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAAEBGXZ 11df ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 12bd _invalid_parameter_noinfo_noreturn 12dd ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 12e2 ?_Xlength_error@std@@YAXPEBD@Z 1547 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 158d __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 D8 FD FF FF 48 81 EC 28 03 00 00 48 C7 45 D0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 18 02 00 00 4C 89 4C 24 50 49 8B F8 4C 89 45 90 48 8B DA 48 89 54 24 48 48 89 4D 88 48 89 55 C8 4C 8B A5 98 02 00 00 4C 89 64 24 68 45 33 F6 44 89 74 24 3C 49 8B CC 44 38 B5 90 02 00 00 74 20 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 58 48 8D 4D 98 EB 1E 48 8D 55 A8 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 58 48 8D 4D A8 E8 ?? ?? ?? ?? 45 8A EE 44 89 6C 24 40 44 88 74 24 38 48 8D 54 24 30 48 8D 4D 68 E8 ?? ?? ?? ?? 41 BF 07 00 00 00 4C 89 BD 88 00 00 00 4C 89 B5 80 00 00 00 66 44 89 75 70 48 8D 54 24 30 48 8B CB E8 ?? ?? ?? ?? 4C 89 7B 20 4C 89 73 18 66 44 89 73 08 41 8D 47 FA 44 8B F8 89 44 24 3C 48 8B 06 48 8D 54 24 7C 48 8B CE FF 50 48 4C 89 74 24 70 41 8B CF 49 83 FE 04 0F 83 EA 11 00 00 42 8A 44 34 7C 3C 20 0F 84 8A 10 00 00 3C 24 0F 84 43 0D 00 00 3C 2B 0F 84 8C 08 00 00 3C 76 74 0D 3C 78 0F 84 6E 10 00 00 E9 49 11 00 00 45 33 E4 45 8B F4 44 89 64 24 60 48 8B 06 48 8B CE FF 50 38 44 8B E8 89 44 24 78 C6 44 24 30 30 66 44 89 64 24 44 44 89 65 80 48 8B 45 88 48 83 C0 10 48 89 44 24 20 4C 8D 4D 80 45 8D 44 24 01 48 8D 54 24 30 48 8D 4C 24 44 E8 ?? ?? ?? ?? 48 8D 55 38 48 8B CE E8 ?? ?? ?? ?? 90 44 0F B7 64 24 44 33 C0 48 39 45 50 0F 84 1A 04 00 00 48 8B 06 48 8B CE FF 50 10 0F B7 F0 66 85 C0 0F 84 00 04 00 00 48 8D 4D 40 48 83 7D 58 10 48 0F 43 4D 40 80 39 7F 0F 83 E9 03 00 00 48 8D 54 24 30 48 8D 4D 08 E8 ?? ?? ?? ?? 90 48 C7 45 28 0F 00 00 00 33 C0 48 89 45 20 88 45 10 8D 48 01 80 F9 FE 0F 87 B9 10 00 00 48 89 4D 20 66 89 45 10 8B D8 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 74 02 00 00 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 08 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F A1 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 44 0F B7 47 0A 49 8B D2 48 8B 4C 24 48 E8 ?? ?? ?? ?? 48 3B 5D 20 0F 83 3D 0F 00 00 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 80 3C 18 7F 0F 84 C0 00 00 00 48 8D 45 10 48 83 7D 28 10 48 0F 43 45 10 B9 01 00 00 00 00 0C 18 E9 A5 00 00 00 4C 8B 55 20 49 3B DA 0F 83 09 0F 00 00 48 8D 45 10 4C 8B 5D 10 4C 8B 4D 28 49 83 F9 10 49 0F 43 C3 33 C9 38 0C 18 0F 84 A5 00 00 00 38 4F 08 75 57 48 8B 17 48 85 D2 74 42 4C 8B 42 40 49 39 08 74 06 48 8B 42 58 8B 08 85 C9 7E 08 49 8B 00 0F B7 00 EB 15 48 8B 02 48 8B CA FF 50 30 4C 8B 4D 28 4C 8B 55 20 4C 8B 5D 10 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 05 33 C9 48 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3E 45 33 C0 48 8B D0 48 8D 4D 08 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 CC FD FF FF 4C 8B 4D 28 4C 8B 55 20 4C 8B 5D 10 33 F6 48 85 DB 74 3B 49 3B DA 0F 83 2F 0E 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C3 44 8D 46 01 40 38 34 03 7E 05 49 03 D8 EB 1D 41 8A C0 89 44 24 40 EB 18 4C 8B 4D 28 4C 8B 55 20 4C 8B 5D 10 33 F6 41 B8 01 00 00 00 8B 44 24 40 48 8D 4D 40 48 83 7D 58 10 48 0F 43 4D 40 84 C0 0F 85 8A 00 00 00 48 85 DB 74 59 8A 11 80 FA 7F 74 52 49 2B D8 74 1A 49 3B DA 0F 83 CF 0D 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C3 3A 14 03 75 29 48 85 DB 75 19 4D 85 D2 0F 84 B6 0D 00 00 48 8D 45 10 49 83 F9 10 49 0F 43 C3 3A 10 7C 0B 40 38 71 01 7E B1 48 FF C1 EB AC 45 8A E8 44 89 6C 24 40 EB 31 49 83 F9 10 72 08 49 8B CB E8 ?? ?? ?? ?? 48 C7 45 28 0F 00 00 00 48 89 75 20 40 88 75 10 48 8B 4D 08 E8 ?? ?? ?? ?? E9 CB 01 00 00 44 8B 6C 24 40 49 83 F9 10 72 08 49 8B CB E8 ?? ?? ?? ?? BB 0F 00 00 00 48 89 5D 28 48 89 75 20 40 88 75 10 48 8B 4D 08 E8 ?? ?? ?? ?? 48 89 75 08 48 83 7D 58 10 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 48 89 5D 58 48 89 75 50 40 88 75 40 48 8B 4D 38 E8 ?? ?? ?? ?? 48 8B 74 24 58 48 8B 5C 24 48 4C 8B 74 24 70 4C 8B 64 24 68 E9 C1 0C 00 00 48 8B 74 24 58 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 44 01 00 00 48 8B 74 24 50 45 8D 69 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 66 44 3B 67 0A 0F 87 D1 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 7F 78 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 44 0F B7 47 0A 49 8B D5 48 8B CB E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 DA FE FF FF 44 8B 6C 24 78 44 8B 74 24 60 48 8B 74 24 58 48 8B 06 48 8B CE FF 50 08 0F B7 D8 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 EE 01 00 00 66 85 DB 0F 84 E5 01 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 86 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 50 E9 46 01 00 00 45 3B F5 0F 8D 6E 01 00 00 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 EC 00 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 85 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 44 0F B7 47 0A 49 8B D2 48 8B 4C 24 48 E8 ?? ?? ?? ?? 41 FF C6 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 A4 FE FF FF 8B 44 24 40 0F B6 C0 45 3B F5 B9 01 00 00 00 0F 4C C1 89 44 24 40 EB 08 45 33 C9 B9 01 00 00 00 48 8B 5C 24 48 4C 39 4B 18 75 0A 44 8A E9 44 89 6C 24 40 EB 3C 45 3B F5 7D 32 45 2B EE 41 8B DD 48 8B 74 24 48 BF 01 00 00 00 45 0F B7 C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 2B DF 75 EC 48 8B 7D 90 48 8B 74 24 58 48 8B 5C 24 48 44 8B 6C 24 40 48 83 7D 58 10 72 09 48 8B 4D 40 E8 ?? ?? ?? ?? 48 C7 45 58 0F 00 00 00 33 C0 48 89 45 50 88 45 40 48 8B 4D 38 E8 ?? ?? ?? ?? E9 F9 FB FF FF 48 8B 54 24 50 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 B4 08 00 00 48 8D 95 F8 00 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 04 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 9B 00 00 00 48 8D 95 28 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 B0 08 00 00 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 08 74 50 41 83 E7 F7 44 89 7C 24 3C 48 83 BD 48 01 00 00 08 72 0C 48 8B 8D 30 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 48 01 00 00 07 00 00 00 33 C0 48 89 85 40 01 00 00 66 89 85 30 01 00 00 48 8B 8D 28 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 28 01 00 00 41 F6 C7 04 74 52 41 83 E7 FB 44 89 7C 24 3C 48 83 BD 18 01 00 00 08 72 0F 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 18 01 00 00 07 00 00 00 4C 89 8D 10 01 00 00 66 44 89 8D 00 01 00 00 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D F8 00 00 00 84 DB 74 6C 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 88 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 68 E8 ?? ?? ?? ?? 90 48 83 BD A8 01 00 00 08 72 0C 48 8B 8D 90 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 A8 01 00 00 07 00 00 00 33 C0 48 89 85 A0 01 00 00 66 89 85 90 01 00 00 48 8B 8D 88 01 00 00 E8 ?? ?? ?? ?? 48 8B 5C 24 48 E9 D2 06 00 00 48 8D 95 98 00 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 10 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 9B 00 00 00 48 8D 95 58 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 20 44 89 7C 24 3C 45 33 C9 4C 39 48 18 0F 86 D4 06 00 00 48 83 78 20 08 72 06 48 8B 58 08 EB 04 48 8D 58 08 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 20 74 50 41 83 E7 DF 44 89 7C 24 3C 48 83 BD 78 01 00 00 08 72 0C 48 8B 8D 60 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 78 01 00 00 07 00 00 00 33 C0 48 89 85 70 01 00 00 66 89 85 60 01 00 00 48 8B 8D 58 01 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 58 01 00 00 41 F6 C7 10 74 52 41 83 E7 EF 44 89 7C 24 3C 48 83 BD B8 00 00 00 08 72 0F 48 8B 8D A0 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 B8 00 00 00 07 00 00 00 4C 89 8D B0 00 00 00 66 44 89 8D A0 00 00 00 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 4C 89 8D 98 00 00 00 84 DB 74 6C 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 B8 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 68 E8 ?? ?? ?? ?? 90 48 83 BD D8 01 00 00 08 72 0C 48 8B 8D C0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 D8 01 00 00 07 00 00 00 33 C0 48 89 85 D0 01 00 00 66 89 85 C0 01 00 00 48 8B 8D B8 01 00 00 E8 ?? ?? ?? ?? C6 44 24 38 01 E9 14 FE FF FF 48 8D 95 C8 00 00 00 48 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD E8 00 00 00 08 72 0C 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 E8 00 00 00 07 00 00 00 33 C0 48 89 85 E0 00 00 00 66 89 85 D0 00 00 00 48 8B 8D C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 48 89 85 C8 00 00 00 84 DB 0F 85 7E 04 00 00 48 8D 95 E8 01 00 00 48 8B CE E8 ?? ?? ?? ?? 33 C9 48 39 48 18 0F 94 C3 48 83 BD 08 02 00 00 08 72 0C 48 8B 8D F0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 08 02 00 00 07 00 00 00 33 C0 48 89 85 00 02 00 00 66 89 85 F0 01 00 00 48 8B 8D E8 01 00 00 E8 ?? ?? ?? ?? 33 C0 8D 48 01 84 DB 48 8B 5C 24 48 0F 84 2A 04 00 00 88 4C 24 38 E9 21 04 00 00 48 8D 55 38 48 8B CE E8 ?? ?? ?? ?? 90 33 F6 44 8B E6 48 89 75 08 48 89 75 10 48 8B 44 24 68 48 8B 5C 24 50 F6 40 18 08 75 78 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 69 40 38 77 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 40 48 83 7D 58 08 48 0F 43 45 40 66 3B 08 0F 85 8F 00 00 00 49 83 FE 03 0F 85 94 00 00 00 41 8D 46 FE 48 39 85 80 00 00 00 0F 87 83 00 00 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 65 40 38 77 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 37 B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 40 48 83 7D 58 08 48 0F 43 45 40 66 3B 08 74 0F 49 83 C8 FF 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8D 55 D8 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 08 48 85 C9 74 0F 48 8B 09 48 85 C9 74 07 4C 8B 21 4C 89 65 08 48 8B 70 10 48 89 75 18 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 }
	condition:
		$1
}

rule file_65_958_1 {
	meta:
		name = "?dtor$2@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1048_1 {
	meta:
		name = "?dtor$2@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 68 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_959_1 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 01 85 C0 74 10 83 65 3C FE 48 8B 8D C8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_1049_1 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 01 85 C0 74 10 83 65 3C FE 48 8B 8D C8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_960_1 {
	meta:
		name = "?dtor$4@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1057_1 {
	meta:
		name = "?dtor$13@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_967_1 {
	meta:
		name = "?dtor$13@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1050_1 {
	meta:
		name = "?dtor$4@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_961_1 {
	meta:
		name = "?dtor$5@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 04 85 C0 74 10 83 65 3C FB 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_1051_1 {
	meta:
		name = "?dtor$5@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 04 85 C0 74 10 83 65 3C FB 48 8D 8D F8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_962_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 08 85 C0 74 10 83 65 3C F7 48 8D 8D 28 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_1052_1 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 08 85 C0 74 10 83 65 3C F7 48 8D 8D 28 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_963_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1053_1 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_964_1 {
	meta:
		name = "?dtor$8@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 10 85 C0 74 10 83 65 3C EF 48 8D 8D 98 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_1054_1 {
	meta:
		name = "?dtor$8@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 10 85 C0 74 10 83 65 3C EF 48 8D 8D 98 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_965_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 20 85 C0 74 10 83 65 3C DF 48 8D 8D 58 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_1055_1 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 3C 83 E0 20 85 C0 74 10 83 65 3C DF 48 8D 8D 58 02 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_65_966_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1056_1 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_968_1 {
	meta:
		name = "?dtor$18@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@DV?$allocator@D@std@@@std@@QEAA@XZ"
		altNames = "?dtor$18@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 08 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1059_1 {
	meta:
		name = "?dtor$14@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 08 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_969_1 {
	meta:
		name = "?dtor$14@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 08 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_971_1 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 2561
		refs = "0032 __security_cookie 0087 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0090 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00ab ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 00b7 ??1locale@std@@QEAA@XZ 00ea _Mbrtowc 00f9 ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0137 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 020f ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 025a ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 026a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0289 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 02b0 ??3@YAXPEAX@Z 031c ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 043d ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 04a5 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 04f7 ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@_K@Z 0657 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0669 ??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA?AV01@_J@Z 0841 ??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA?AV01@_J@Z 09dd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 80 03 00 00 48 C7 85 90 00 00 00 FE FF FF FF 48 89 58 20 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 68 02 00 00 49 8B F0 48 89 55 A8 48 8B F9 4C 8B A5 E0 02 00 00 4C 89 64 24 60 44 0F B7 B5 E8 02 00 00 66 44 89 74 24 38 48 8B 9D F8 02 00 00 48 89 5C 24 48 48 89 9D A0 01 00 00 45 33 FF 49 8B CC 45 84 C9 74 1B 48 8D 55 B0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8D 4D B0 EB 19 48 8D 55 A0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8D 4D A0 E8 ?? ?? ?? ?? C6 44 24 30 30 66 44 89 7C 24 3C 44 89 7C 24 44 48 8D 47 10 48 89 44 24 20 4C 8D 4C 24 44 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 3C E8 ?? ?? ?? ?? 48 8D 95 08 02 00 00 49 8B CD E8 ?? ?? ?? ?? 90 49 8B 45 00 49 8B CD FF 50 38 99 8B F8 33 FA 2B FA 89 7C 24 44 44 8B FF 4C 89 7C 24 50 4C 39 7B 18 77 1F 45 8B C7 4C 2B 43 18 49 FF C0 44 0F B7 4C 24 3C 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 C2 00 00 00 48 8D 85 10 02 00 00 48 83 BD 28 02 00 00 10 48 0F 43 85 10 02 00 00 80 38 7F 0F 84 A2 00 00 00 48 8D 85 10 02 00 00 48 83 BD 28 02 00 00 10 48 0F 43 85 10 02 00 00 80 38 00 0F 8E 82 00 00 00 49 8B 45 00 49 8B CD FF 50 10 44 0F B7 F0 48 8D BD 10 02 00 00 48 83 BD 28 02 00 00 10 48 0F 43 BD 10 02 00 00 4C 8B 63 18 4D 2B E7 8A 0F 80 F9 7F 74 40 41 BF 01 00 00 00 84 C9 7E 31 48 0F BE C1 49 3B C4 73 28 4C 2B E0 45 0F B7 CE 4D 8B C7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 4C 8D 5F 01 41 80 3B 00 49 0F 4F FB 8A 0F 80 F9 7F 75 CB 4C 8B 7C 24 50 44 0F B7 74 24 38 8B 7C 24 44 4C 8B 64 24 60 48 8D 54 24 30 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 F8 01 00 00 07 00 00 00 33 C0 48 89 85 F0 01 00 00 66 89 85 E0 01 00 00 48 8D 54 24 40 49 8B CD 38 85 F0 02 00 00 49 8B 45 00 74 2F FF 50 48 44 8B 5C 24 40 44 89 5C 24 40 48 8D 95 A8 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 90 EB 2D FF 50 40 44 8B 5C 24 40 44 89 5C 24 40 48 8D 95 A8 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 90 48 83 BD C8 01 00 00 08 72 0C 48 8B 8D B0 01 00 00 E8 ?? ?? ?? ?? 33 C0 48 C7 85 C8 01 00 00 07 00 00 00 48 89 85 C0 01 00 00 66 89 85 B0 01 00 00 48 8B 8D A8 01 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 8D 38 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 58 02 00 00 07 00 00 00 45 33 D2 4C 89 95 50 02 00 00 66 44 89 95 40 02 00 00 41 F6 44 24 18 08 74 60 48 8D 95 A8 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D 38 02 00 00 E8 ?? ?? ?? ?? 90 48 83 BD C8 01 00 00 08 72 0C 48 8B 8D B0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 C8 01 00 00 07 00 00 00 33 C0 48 89 85 C0 01 00 00 66 89 85 B0 01 00 00 48 8B 8D A8 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 40 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 53 18 49 3B D7 77 0B 49 8B CF 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D7 48 13 D1 48 03 C2 EB 21 48 03 85 F0 01 00 00 EB 18 48 03 85 50 02 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 49 8B 7C 24 28 48 85 FF 7E 0A 48 3B F8 76 05 48 2B F8 EB 03 49 8B FA 45 8B 64 24 18 41 81 E4 C0 01 00 00 41 83 FC 40 74 45 41 81 FC 00 01 00 00 75 05 45 84 C9 75 37 0F 10 06 0F 29 44 24 50 48 85 FF 74 23 49 8B DB 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 2B FB 75 ED 0F 28 44 24 50 48 8B 5C 24 48 45 33 D2 F3 0F 7F 06 49 8B FA 4D 8B F2 4D 63 E4 4C 89 64 24 50 42 8A 44 34 40 3C 20 0F 84 1E 03 00 00 3C 24 0F 84 B2 02 00 00 3C 2B 0F 84 3C 02 00 00 3C 76 74 0D 3C 78 0F 84 23 03 00 00 E9 67 03 00 00 44 39 54 24 44 75 69 48 8D 95 28 01 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D B8 48 89 4D C0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 B8 49 8B 43 10 48 89 45 C8 0F 10 06 F3 0F 7F 85 A0 00 00 00 4C 8B 4B 18 4C 8D 45 B8 48 8D 95 A0 00 00 00 48 8D 8D F8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 E9 F3 02 00 00 4C 8B 63 18 4D 3B E7 0F 87 C3 00 00 00 0F B7 54 24 3C 48 8B CE E8 ?? ?? ?? ?? 4D 8B 5D 00 49 8B CD 41 FF 53 08 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 0F 10 36 0F 29 75 30 4D 8B E7 4C 2B 63 18 74 21 BB 01 00 00 00 0F B7 54 24 3C 48 8D 4D 30 E8 ?? ?? ?? ?? 4C 2B E3 75 ED 0F 28 75 30 48 8B 5C 24 48 F3 0F 7F 36 48 8D 95 70 01 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D D0 48 89 4D D8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 D0 49 8B 43 10 48 89 45 E0 66 0F 7F B5 B0 00 00 00 4C 8B 4B 18 4C 8D 45 D0 48 8D 95 B0 00 00 00 48 8D 8D 18 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 4C 8B 64 24 50 E9 23 02 00 00 48 8D 95 40 01 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D E8 48 89 4D F0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 E8 49 8B 43 10 48 89 45 F8 0F 10 06 F3 0F 7F 45 70 4D 2B E7 4D 8B CC 4C 8D 45 E8 48 8D 55 70 48 8D 8D D8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 8B 45 00 49 8B CD FF 50 08 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 48 8D 95 58 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 4D 8B C7 48 8D 95 88 01 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D 18 48 89 4D 20 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 18 49 8B 43 10 48 89 45 28 0F 10 06 F3 0F 7F 85 80 00 00 00 4D 8B CF 4C 8D 45 18 48 8D 95 80 00 00 00 48 8D 8D E8 00 00 00 E9 03 FF FF FF 4C 39 95 F0 01 00 00 0F 86 2F 01 00 00 48 8D 95 C0 00 00 00 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D 00 48 89 4D 08 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 00 49 8B 43 10 48 89 45 10 0F 10 06 F3 0F 7F 45 60 41 B9 01 00 00 00 4C 8D 45 00 48 8D 55 60 48 8D 8D 08 01 00 00 E9 CA FD FF FF 48 8D 95 A8 01 00 00 48 8D 8D 38 02 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4C 24 68 48 89 4C 24 70 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 68 49 8B 43 10 48 89 44 24 78 0F 10 06 F3 0F 7F 45 90 4C 8B 8D 50 02 00 00 4C 8D 44 24 68 48 8D 55 90 48 8D 4D 50 E9 66 FD FF FF 0F 10 06 F3 0F 7F 45 40 0F B7 54 24 38 48 8D 4D 40 E8 ?? ?? ?? ?? 0F 28 6D 40 F3 0F 7F 2E 45 33 D2 49 81 FC 00 01 00 00 75 40 0F 10 06 0F 29 45 80 48 85 FF 74 2D 0F B7 5C 24 38 41 BC 01 00 00 00 0F B7 D3 48 8D 4D 80 E8 ?? ?? ?? ?? 49 2B FC 75 EF 0F 28 45 80 48 8B 5C 24 48 4C 8B 64 24 50 45 33 D2 49 8B FA F3 0F 7F 06 B8 01 00 00 00 4C 03 F0 49 83 FE 04 44 8D 50 FF 0F 82 55 FC FF FF 44 8B E8 48 39 85 F0 01 00 00 0F 86 83 00 00 00 48 8D 95 A8 01 00 00 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 45 8B C5 48 8D 95 C0 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 45 33 E4 4C 89 64 24 68 4C 89 64 24 70 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 68 49 8B 43 10 48 89 44 24 78 0F 10 06 F3 0F 7F 45 90 4C 8B 8D F0 01 00 00 49 FF C9 4C 8D 44 24 68 48 8D 55 90 48 8D 4D 50 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 EB 03 45 33 E4 48 8B 44 24 60 4C 89 60 28 0F 10 06 0F 29 45 80 48 85 FF 74 1F 0F B7 5C 24 38 0F B7 D3 48 8D 4D 80 E8 ?? ?? ?? ?? 49 2B FD 75 EF 0F 28 45 80 48 8B 5C 24 48 48 8B 7D A8 F3 0F 7F 07 48 83 BD 58 02 00 00 08 72 0C 48 8B 8D 40 02 00 00 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 B5 58 02 00 00 4C 89 A5 50 02 00 00 66 44 89 A5 40 02 00 00 48 8B 8D 38 02 00 00 E8 ?? ?? ?? ?? 4C 89 A5 38 02 00 00 48 83 BD F8 01 00 00 08 72 0C 48 8B 8D E0 01 00 00 E8 ?? ?? ?? ?? 48 89 B5 F8 01 00 00 4C 89 A5 F0 01 00 00 66 44 89 A5 E0 01 00 00 48 8B 8D D8 01 00 00 E8 ?? ?? ?? ?? 4C 89 A5 D8 01 00 00 48 83 BD 28 02 00 00 10 72 0C 48 8B 8D 10 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 28 02 00 00 0F 00 00 00 4C 89 A5 20 02 00 00 44 88 A5 10 02 00 00 48 8B 8D 08 02 00 00 E8 ?? ?? ?? ?? 4C 89 A5 08 02 00 00 48 83 7B 20 08 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 89 73 20 4C 89 63 18 66 44 89 63 08 48 8B 0B E8 ?? ?? ?? ?? 4C 89 23 48 8B C7 48 8B 8D 68 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 03 00 00 49 8B 5B 58 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_1024_1 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 2561
		refs = "0032 __security_cookie 0087 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0090 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00ab ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 00b7 ??1locale@std@@QEAA@XZ 00ea _Mbrtowc 00f9 ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0137 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 020f ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 025a ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 026a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0289 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 02b0 ??3@YAXPEAX@Z 031c ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 043d ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 04a5 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 04f7 ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@_K@Z 0657 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0669 ??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBA?AV01@_J@Z 0841 ??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBA?AV01@_J@Z 09dd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 48 FD FF FF 48 81 EC 80 03 00 00 48 C7 85 90 00 00 00 FE FF FF FF 48 89 58 20 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 68 02 00 00 49 8B F0 48 89 55 A8 48 8B F9 4C 8B A5 E0 02 00 00 4C 89 64 24 60 44 0F B7 B5 E8 02 00 00 66 44 89 74 24 38 48 8B 9D F8 02 00 00 48 89 5C 24 48 48 89 9D A0 01 00 00 45 33 FF 49 8B CC 45 84 C9 74 1B 48 8D 55 B0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8D 4D B0 EB 19 48 8D 55 A0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E8 48 8D 4D A0 E8 ?? ?? ?? ?? C6 44 24 30 30 66 44 89 7C 24 3C 44 89 7C 24 44 48 8D 47 10 48 89 44 24 20 4C 8D 4C 24 44 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 3C E8 ?? ?? ?? ?? 48 8D 95 08 02 00 00 49 8B CD E8 ?? ?? ?? ?? 90 49 8B 45 00 49 8B CD FF 50 38 99 8B F8 33 FA 2B FA 89 7C 24 44 44 8B FF 4C 89 7C 24 50 4C 39 7B 18 77 1F 45 8B C7 4C 2B 43 18 49 FF C0 44 0F B7 4C 24 3C 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 C2 00 00 00 48 8D 85 10 02 00 00 48 83 BD 28 02 00 00 10 48 0F 43 85 10 02 00 00 80 38 7F 0F 84 A2 00 00 00 48 8D 85 10 02 00 00 48 83 BD 28 02 00 00 10 48 0F 43 85 10 02 00 00 80 38 00 0F 8E 82 00 00 00 49 8B 45 00 49 8B CD FF 50 10 44 0F B7 F0 48 8D BD 10 02 00 00 48 83 BD 28 02 00 00 10 48 0F 43 BD 10 02 00 00 4C 8B 63 18 4D 2B E7 8A 0F 80 F9 7F 74 40 41 BF 01 00 00 00 84 C9 7E 31 48 0F BE C1 49 3B C4 73 28 4C 2B E0 45 0F B7 CE 4D 8B C7 49 8B D4 48 8B CB E8 ?? ?? ?? ?? 4C 8D 5F 01 41 80 3B 00 49 0F 4F FB 8A 0F 80 F9 7F 75 CB 4C 8B 7C 24 50 44 0F B7 74 24 38 8B 7C 24 44 4C 8B 64 24 60 48 8D 54 24 30 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 F8 01 00 00 07 00 00 00 33 C0 48 89 85 F0 01 00 00 66 89 85 E0 01 00 00 48 8D 54 24 40 49 8B CD 38 85 F0 02 00 00 49 8B 45 00 74 2F FF 50 48 44 8B 5C 24 40 44 89 5C 24 40 48 8D 95 A8 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 90 EB 2D FF 50 40 44 8B 5C 24 40 44 89 5C 24 40 48 8D 95 A8 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 90 48 83 BD C8 01 00 00 08 72 0C 48 8B 8D B0 01 00 00 E8 ?? ?? ?? ?? 33 C0 48 C7 85 C8 01 00 00 07 00 00 00 48 89 85 C0 01 00 00 66 89 85 B0 01 00 00 48 8B 8D A8 01 00 00 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 8D 38 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 58 02 00 00 07 00 00 00 45 33 D2 4C 89 95 50 02 00 00 66 44 89 95 40 02 00 00 41 F6 44 24 18 08 74 60 48 8D 95 A8 01 00 00 49 8B CD E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D 38 02 00 00 E8 ?? ?? ?? ?? 90 48 83 BD C8 01 00 00 08 72 0C 48 8B 8D B0 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 C8 01 00 00 07 00 00 00 33 C0 48 89 85 C0 01 00 00 66 89 85 B0 01 00 00 48 8B 8D A8 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 40 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 53 18 49 3B D7 77 0B 49 8B CF 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D7 48 13 D1 48 03 C2 EB 21 48 03 85 F0 01 00 00 EB 18 48 03 85 50 02 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 49 8B 7C 24 28 48 85 FF 7E 0A 48 3B F8 76 05 48 2B F8 EB 03 49 8B FA 45 8B 64 24 18 41 81 E4 C0 01 00 00 41 83 FC 40 74 45 41 81 FC 00 01 00 00 75 05 45 84 C9 75 37 0F 10 06 0F 29 44 24 50 48 85 FF 74 23 49 8B DB 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 2B FB 75 ED 0F 28 44 24 50 48 8B 5C 24 48 45 33 D2 F3 0F 7F 06 49 8B FA 4D 8B F2 4D 63 E4 4C 89 64 24 50 42 8A 44 34 40 3C 20 0F 84 1E 03 00 00 3C 24 0F 84 B2 02 00 00 3C 2B 0F 84 3C 02 00 00 3C 76 74 0D 3C 78 0F 84 23 03 00 00 E9 67 03 00 00 44 39 54 24 44 75 69 48 8D 95 28 01 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D B8 48 89 4D C0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 B8 49 8B 43 10 48 89 45 C8 0F 10 06 F3 0F 7F 85 A0 00 00 00 4C 8B 4B 18 4C 8D 45 B8 48 8D 95 A0 00 00 00 48 8D 8D F8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 E9 F3 02 00 00 4C 8B 63 18 4D 3B E7 0F 87 C3 00 00 00 0F B7 54 24 3C 48 8B CE E8 ?? ?? ?? ?? 4D 8B 5D 00 49 8B CD 41 FF 53 08 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 0F 10 36 0F 29 75 30 4D 8B E7 4C 2B 63 18 74 21 BB 01 00 00 00 0F B7 54 24 3C 48 8D 4D 30 E8 ?? ?? ?? ?? 4C 2B E3 75 ED 0F 28 75 30 48 8B 5C 24 48 F3 0F 7F 36 48 8D 95 70 01 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D D0 48 89 4D D8 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 D0 49 8B 43 10 48 89 45 E0 66 0F 7F B5 B0 00 00 00 4C 8B 4B 18 4C 8D 45 D0 48 8D 95 B0 00 00 00 48 8D 8D 18 01 00 00 E8 ?? ?? ?? ?? 0F 10 00 4C 8B 64 24 50 E9 23 02 00 00 48 8D 95 40 01 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D E8 48 89 4D F0 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 E8 49 8B 43 10 48 89 45 F8 0F 10 06 F3 0F 7F 45 70 4D 2B E7 4D 8B CC 4C 8D 45 E8 48 8D 55 70 48 8D 8D D8 00 00 00 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 8B 45 00 49 8B CD FF 50 08 0F B7 D0 48 8B CE E8 ?? ?? ?? ?? 48 8D 95 58 01 00 00 48 8B CB E8 ?? ?? ?? ?? 48 8B C8 4D 8B C7 48 8D 95 88 01 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D 18 48 89 4D 20 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 18 49 8B 43 10 48 89 45 28 0F 10 06 F3 0F 7F 85 80 00 00 00 4D 8B CF 4C 8D 45 18 48 8D 95 80 00 00 00 48 8D 8D E8 00 00 00 E9 03 FF FF FF 4C 39 95 F0 01 00 00 0F 86 2F 01 00 00 48 8D 95 C0 00 00 00 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4D 00 48 89 4D 08 48 8B 00 48 85 C0 74 0F 48 8B 00 48 85 C0 74 07 48 8B 00 48 89 45 00 49 8B 43 10 48 89 45 10 0F 10 06 F3 0F 7F 45 60 41 B9 01 00 00 00 4C 8D 45 00 48 8D 55 60 48 8D 8D 08 01 00 00 E9 CA FD FF FF 48 8D 95 A8 01 00 00 48 8D 8D 38 02 00 00 E8 ?? ?? ?? ?? 4C 8B D8 33 C9 48 89 4C 24 68 48 89 4C 24 70 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 68 49 8B 43 10 48 89 44 24 78 0F 10 06 F3 0F 7F 45 90 4C 8B 8D 50 02 00 00 4C 8D 44 24 68 48 8D 55 90 48 8D 4D 50 E9 66 FD FF FF 0F 10 06 F3 0F 7F 45 40 0F B7 54 24 38 48 8D 4D 40 E8 ?? ?? ?? ?? 0F 28 6D 40 F3 0F 7F 2E 45 33 D2 49 81 FC 00 01 00 00 75 40 0F 10 06 0F 29 45 80 48 85 FF 74 2D 0F B7 5C 24 38 41 BC 01 00 00 00 0F B7 D3 48 8D 4D 80 E8 ?? ?? ?? ?? 49 2B FC 75 EF 0F 28 45 80 48 8B 5C 24 48 4C 8B 64 24 50 45 33 D2 49 8B FA F3 0F 7F 06 B8 01 00 00 00 4C 03 F0 49 83 FE 04 44 8D 50 FF 0F 82 55 FC FF FF 44 8B E8 48 39 85 F0 01 00 00 0F 86 83 00 00 00 48 8D 95 A8 01 00 00 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 48 8B C8 45 8B C5 48 8D 95 C0 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 45 33 E4 4C 89 64 24 68 4C 89 64 24 70 48 8B 00 48 85 C0 74 10 48 8B 00 48 85 C0 74 08 48 8B 00 48 89 44 24 68 49 8B 43 10 48 89 44 24 78 0F 10 06 F3 0F 7F 45 90 4C 8B 8D F0 01 00 00 49 FF C9 4C 8D 44 24 68 48 8D 55 90 48 8D 4D 50 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 EB 03 45 33 E4 48 8B 44 24 60 4C 89 60 28 0F 10 06 0F 29 45 80 48 85 FF 74 1F 0F B7 5C 24 38 0F B7 D3 48 8D 4D 80 E8 ?? ?? ?? ?? 49 2B FD 75 EF 0F 28 45 80 48 8B 5C 24 48 48 8B 7D A8 F3 0F 7F 07 48 83 BD 58 02 00 00 08 72 0C 48 8B 8D 40 02 00 00 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 B5 58 02 00 00 4C 89 A5 50 02 00 00 66 44 89 A5 40 02 00 00 48 8B 8D 38 02 00 00 E8 ?? ?? ?? ?? 4C 89 A5 38 02 00 00 48 83 BD F8 01 00 00 08 72 0C 48 8B 8D E0 01 00 00 E8 ?? ?? ?? ?? 48 89 B5 F8 01 00 00 4C 89 A5 F0 01 00 00 66 44 89 A5 E0 01 00 00 48 8B 8D D8 01 00 00 E8 ?? ?? ?? ?? 4C 89 A5 D8 01 00 00 48 83 BD 28 02 00 00 10 72 0C 48 8B 8D 10 02 00 00 E8 ?? ?? ?? ?? 48 C7 85 28 02 00 00 0F 00 00 00 4C 89 A5 20 02 00 00 44 88 A5 10 02 00 00 48 8B 8D 08 02 00 00 E8 ?? ?? ?? ?? 4C 89 A5 08 02 00 00 48 83 7B 20 08 72 09 48 8B 4B 08 E8 ?? ?? ?? ?? 48 89 73 20 4C 89 63 18 66 44 89 63 08 48 8B 0B E8 ?? ?? ?? ?? 4C 89 23 48 8B C7 48 8B 8D 68 02 00 00 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 80 03 00 00 49 8B 5B 58 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_972_1 {
	meta:
		name = "?dtor$0@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A A0 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1025_1 {
	meta:
		name = "?dtor$0@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A A0 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_973_1 {
	meta:
		name = "?dtor$1@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
		altNames = "?dtor$0@?0??_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z@4HA ?dtor$0@?0??_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z@4HA ?dtor$1@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1043_1 {
	meta:
		name = "?dtor$0@?0??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1039_1 {
	meta:
		name = "?dtor$0@?0??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GO@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1017_1 {
	meta:
		name = "?dtor$0@?0??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1013_1 {
	meta:
		name = "?dtor$0@?0??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WO@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_770_2 {
	meta:
		name = "?dtor$1@?0??_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_759_2 {
	meta:
		name = "?dtor$1@?0??_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_1002_1 {
	meta:
		name = "?dtor$1@?0??wait_for_all@agent@Concurrency@@SAX_KPEAPEAV12@PEAW4agent_status@2@I@Z@4HA"
		size = 16
		refs = "0008 ??1?$function@$$A6AXAEB_K@Z@tr1@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1042_1 {
	meta:
		name = "?dtor$2@?0??do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@GV?$allocator@G@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1016_1 {
	meta:
		name = "?dtor$2@?0??do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_975_1 {
	meta:
		name = "?dtor$3@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$3@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 08 03 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_976_1 {
	meta:
		name = "?dtor$4@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1029_1 {
	meta:
		name = "?dtor$4@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_977_1 {
	meta:
		name = "?dtor$5@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
		altNames = "?dtor$6@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A A8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1030_1 {
	meta:
		name = "?dtor$5@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A A8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1031_1 {
	meta:
		name = "?dtor$6@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A A8 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_979_1 {
	meta:
		name = "?dtor$7@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 03 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_1032_1 {
	meta:
		name = "?dtor$7@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 38 03 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_65_987_1 {
	meta:
		name = "?_Makewloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 3220
		refs = "0052 ??2@YAPEAX_K@Z 0065 ??_7?$ctype@_W@std@@6B@ 0071 _Getctype 008d _Getcvt 009d ?id@?$ctype@_W@std@@2V0locale@2@A 00ad ??0_Lockit@std@@QEAA@H@Z 00bc ?_Id_cnt@id@locale@std@@0HA 00d6 ??1_Lockit@std@@QEAA@XZ 0131 ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 013f ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 016b ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0182 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0217 ??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 024d ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0264 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 02f9 ??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0339 ??_7?$numpunct@_W@std@@6B@ 034a ?_Init@?$numpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 0357 ?id@?$numpunct@_W@std@@2V0locale@2@A 03f3 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0406 ?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 043b ??_7?$collate@_W@std@@6B@ 0443 _Getcoll 0453 ?id@?$collate@_W@std@@2V0locale@2@A 04e7 ??$use_facet@V?$collate@_W@std@@@std@@YAAEBV?$collate@_W@0@AEBVlocale@0@@Z 051f ??_7?$messages@_W@std@@6B@ 052e ?id@?$messages@_W@std@@2V0locale@2@A 05c2 ??$use_facet@V?$messages@_W@std@@@std@@YAAEBV?$messages@_W@0@AEBVlocale@0@@Z 05fc ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0613 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 06a8 ??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 06de ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 06f5 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 078a ??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 07c8 ??_7?$_Mpunct@_W@std@@6B@ 07dd ?_Init@?$_Mpunct@_W@std@@IEAAXAEBV_Locinfo@2@_N@Z 07e5 ??_7?$moneypunct@_W$0A@@std@@6B@ 07f3 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 0888 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 08e5 ??_7?$moneypunct@_W$00@std@@6B@ 08f4 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0990 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 09c8 ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 09d6 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 09e3 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0a77 ??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0ab2 ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0ace ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0ae1 free 0aed ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0b81 ??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z 0bb8 ??_7?$codecvt@_WDH@std@@6B@ 0bd0 ?id@?$codecvt@_WDH@std@@2V0locale@2@A 0c64 ??$use_facet@V?$codecvt@_WDH@std@@@std@@YAAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 C7 45 D8 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B F1 4D 8B E0 44 8B EA 4C 8B F1 33 FF 89 7D 38 44 8B FA 41 83 E7 02 0F 84 FE 00 00 00 4D 85 C9 0F 85 98 00 00 00 8D 4F 30 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 39 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 8B 48 08 48 89 4B 18 48 8B 40 10 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 28 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 8B FD 83 E7 08 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 CE 01 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 EC 00 00 00 33 FF 48 85 F6 0F 85 8A 00 00 00 8D 4F 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 1F 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 49 8B CC E8 ?? ?? ?? ?? EB 59 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 EB 9F 33 FF 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 B8 01 00 00 00 D3 E0 D1 F8 41 85 C5 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 F6 C5 20 0F 84 D1 00 00 00 48 85 F6 75 6F 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 8B FD 83 E7 04 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 DA 02 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 F8 01 00 00 48 85 F6 0F 85 90 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 2D 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 40 88 73 44 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 FA 00 00 00 33 FF 48 85 F6 0F 85 98 00 00 00 8D 4F 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 2D 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 C6 43 44 01 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 49 8B CC E8 ?? ?? ?? ?? EB 59 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 EB 9F 33 FF 41 83 E5 10 0F 84 E1 00 00 00 48 85 F6 75 7F 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 1C 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 45 85 ED 0F 84 01 01 00 00 48 85 F6 0F 85 9B 00 00 00 8D 4E 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3C 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 89 7B 10 E8 ?? ?? ?? ?? 48 89 43 18 48 8D 55 D0 49 8B CE E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 89 38 48 8B 4D D0 E8 ?? ?? ?? ?? EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 45 85 FF 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_65_996_1 {
	meta:
		name = "?_Makeushloc@_Locimp@locale@std@@CAXAEBV_Locinfo@3@HPEAV123@PEBV23@@Z"
		size = 3220
		refs = "0052 ??2@YAPEAX_K@Z 0065 ??_7?$ctype@G@std@@6B@ 0071 _Getctype 008d _Getcvt 009d ?id@?$ctype@G@std@@2V0locale@2@A 00ad ??0_Lockit@std@@QEAA@H@Z 00bc ?_Id_cnt@id@locale@std@@0HA 00d6 ??1_Lockit@std@@QEAA@XZ 0131 ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 013f ?_Locimp_Addfac@_Locimp@locale@std@@CAXPEAV123@PEAVfacet@23@_K@Z 016b ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0182 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0217 ??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 024d ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0264 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 02f9 ??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0339 ??_7?$numpunct@G@std@@6B@ 034a ?_Init@?$numpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 0357 ?id@?$numpunct@G@std@@2V0locale@2@A 03f3 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0406 ?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z 043b ??_7?$collate@G@std@@6B@ 0443 _Getcoll 0453 ?id@?$collate@G@std@@2V0locale@2@A 04e7 ??$use_facet@V?$collate@G@std@@@std@@YAAEBV?$collate@G@0@AEBVlocale@0@@Z 051f ??_7?$messages@G@std@@6B@ 052e ?id@?$messages@G@std@@2V0locale@2@A 05c2 ??$use_facet@V?$messages@G@std@@@std@@YAAEBV?$messages@G@0@AEBVlocale@0@@Z 05fc ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0613 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 06a8 ??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 06de ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 06f5 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 078a ??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 07c8 ??_7?$_Mpunct@G@std@@6B@ 07dd ?_Init@?$_Mpunct@G@std@@IEAAXAEBV_Locinfo@2@_N@Z 07e5 ??_7?$moneypunct@G$0A@@std@@6B@ 07f3 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 0888 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 08e5 ??_7?$moneypunct@G$00@std@@6B@ 08f4 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0990 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 09c8 ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 09d6 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IEAAXAEBV_Locinfo@2@@Z 09e3 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0a77 ??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0ab2 ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0ace ?_Gettnames@_Locinfo@std@@QEBA?AV_Timevec@2@XZ 0ae1 free 0aed ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0b81 ??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z 0bb8 ??_7?$codecvt@GDH@std@@6B@ 0bd0 ?id@?$codecvt@GDH@std@@2V0locale@2@A 0c64 ??$use_facet@V?$codecvt@GDH@std@@@std@@YAAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z"
	strings:
		$1 = { 48 8B C4 55 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 50 48 C7 45 D8 FE FF FF FF 48 89 58 08 48 89 70 18 48 89 78 20 49 8B F1 4D 8B E0 44 8B EA 4C 8B F1 33 FF 89 7D 38 44 8B FA 41 83 E7 02 0F 84 FE 00 00 00 4D 85 C9 0F 85 98 00 00 00 8D 4F 30 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 39 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 8B 48 08 48 89 4B 18 48 8B 40 10 48 89 43 20 E8 ?? ?? ?? ?? 48 89 43 28 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 8B FD 83 E7 08 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 CE 01 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 EC 00 00 00 33 FF 48 85 F6 0F 85 8A 00 00 00 8D 4F 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 1F 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 49 8B CC E8 ?? ?? ?? ?? EB 59 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 EB 9F 33 FF 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8B C8 B8 01 00 00 00 D3 E0 D1 F8 41 85 C5 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 F6 C5 20 0F 84 D1 00 00 00 48 85 F6 75 6F 8D 4E 10 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 10 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 41 8B FD 83 E7 04 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 DA 02 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 F8 01 00 00 48 85 F6 0F 85 90 00 00 00 8D 4E 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 2D 48 21 70 08 48 8D 05 ?? ?? ?? ?? 48 89 03 40 88 73 44 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 02 33 DB 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3C 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 1D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 85 FF 0F 84 FA 00 00 00 33 FF 48 85 F6 0F 85 98 00 00 00 8D 4F 50 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 2D 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 C6 43 44 01 45 33 C0 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 49 8B CC E8 ?? ?? ?? ?? EB 59 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 EB 9F 33 FF 41 83 E5 10 0F 84 E1 00 00 00 48 85 F6 75 7F 8D 4E 30 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 D0 48 85 C0 74 1C 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 49 8B D6 48 8B CB E8 ?? ?? ?? ?? 90 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 45 85 ED 0F 84 01 01 00 00 48 85 F6 0F 85 9B 00 00 00 8D 4E 20 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3C 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 89 7B 10 E8 ?? ?? ?? ?? 48 89 43 18 48 8D 55 D0 49 8B CE E8 ?? ?? ?? ?? 48 8B 08 48 89 4B 10 48 89 38 48 8B 4D D0 E8 ?? ?? ?? ?? EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 45 85 FF 0F 84 DA 00 00 00 48 85 F6 75 78 8D 4E 18 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 19 48 89 78 08 48 8D 05 ?? ?? ?? ?? 48 89 03 E8 ?? ?? ?? ?? 48 89 43 10 EB 03 48 8B DF 4C 8B 05 ?? ?? ?? ?? 4D 85 C0 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 4C 8B 05 ?? ?? ?? ?? 48 8B D3 EB 55 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 3B 33 D2 48 8D 4D 38 E8 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 75 17 8B 05 ?? ?? ?? ?? FF C0 89 05 ?? ?? ?? ?? 48 98 48 89 05 ?? ?? ?? ?? 48 8D 4D 38 E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 4C 8B C3 48 8B D0 49 8B CC E8 ?? ?? ?? ?? 4C 8D 5C 24 50 49 8B 5B 30 49 8B 73 40 49 8B 7B 48 49 8B E3 41 5F 41 5E 41 5D 41 5C 5D C3 }
	condition:
		$1
}

rule file_65_1005_1 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z"
		size = 278
		refs = "0039 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 0076 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0084 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0091 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0099 ??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAAEB_WXZ 00cc _Wcsxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 53 55 56 57 41 54 41 55 41 56 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 49 8B E9 4D 8B E0 48 8B F2 48 8B D9 45 33 F6 44 89 70 20 48 8D 50 18 48 8B CE E8 ?? ?? ?? ?? 48 C7 46 20 07 00 00 00 4C 89 76 18 66 44 89 76 08 C7 84 24 C8 00 00 00 01 00 00 00 48 8B D5 49 2B D4 48 D1 FA 74 7F 4C 8D 6B 10 48 8B CE 48 3B 56 18 77 0B 49 83 C8 FF E8 ?? ?? ?? ?? EB 0C 45 33 C0 48 2B 56 18 E8 ?? ?? ?? ?? 48 8D 54 24 38 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5E 18 48 8D 54 24 50 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 14 5F 4C 89 6C 24 20 4C 8B CD 4D 8B C4 48 8B C8 E8 ?? ?? ?? ?? 48 8B D0 48 3B 46 18 0F 96 C0 84 C0 75 05 48 85 D2 75 85 48 8B CE 48 3B 56 18 77 0B 49 83 C8 FF E8 ?? ?? ?? ?? EB 0C 45 33 C0 48 2B 56 18 E8 ?? ?? ?? ?? 48 8B C6 48 83 C4 70 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 CC }
	condition:
		$1
}

rule file_65_1006_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z@4HA"
		size = 47
		refs = "0025 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 C8 00 00 00 83 E0 01 85 C0 74 13 83 A5 C8 00 00 00 FE 48 8B 8D B8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_65_1007_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 632
		refs = "0024 __security_cookie 005b ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z 0067 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00b2 _Mbrtowc 00c0 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00e6 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0110 _invalid_parameter_noinfo_noreturn 0159 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01dc _Stoldx 0203 ??3@YAXPEAX@Z 0260 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC C8 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 4D 8B E8 4C 8B E2 48 8B F1 48 8B 45 77 48 8B 7D 7F 4C 8B B5 87 00 00 00 48 89 44 24 28 8A 45 6F 88 44 24 20 48 8D 55 97 E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 45 33 FF 84 C0 74 03 83 0F 01 4C 39 7D AF 75 08 83 0F 02 E9 9D 01 00 00 C6 44 24 30 30 66 44 89 7C 24 38 44 89 7C 24 40 48 8D 46 10 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D C7 E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 7D DF 44 88 7D CF 48 8B 55 AF 48 83 FA 0F 74 29 41 B0 01 48 8D 4D C7 E8 ?? ?? ?? ?? 84 C0 74 15 4C 89 7D DF 48 8D 45 CF 48 83 7D E7 10 48 0F 43 45 CF 44 88 38 48 8B 55 AF 49 8B DF 48 85 D2 75 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F 4C 8B 45 9F 4C 8B 4D B7 49 83 F9 08 49 0F 43 C0 0F B7 74 24 38 66 39 30 72 19 48 8D 45 9F 49 83 F9 08 49 0F 43 C0 0F B7 CE 83 C1 09 0F B7 00 3B C8 7D 22 41 B0 2D BA 01 00 00 00 48 8D 4D C7 E8 ?? ?? ?? ?? BB 01 00 00 00 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 48 3B DA 73 46 48 3B DA 73 3B 48 8D 45 9F 49 83 F9 08 49 0F 43 C0 44 8A 04 58 44 2A C6 41 80 C0 30 BA 01 00 00 00 48 8D 4D C7 E8 ?? ?? ?? ?? 48 FF C3 48 8B 55 AF 48 3B DA 73 10 4C 8B 4D B7 4C 8B 45 9F EB C0 E8 ?? ?? ?? ?? CC 48 8D 5D CF 48 83 7D E7 10 48 0F 43 5D CF 44 89 7C 24 3C 4C 8D 4C 24 3C 45 33 C0 48 8D 55 87 48 8B CB E8 ?? ?? ?? ?? 48 39 5D 87 74 0E 44 39 7C 24 3C 75 07 F2 41 0F 11 06 EB 03 83 0F 02 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 7D DF 44 88 7D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 41 0F 7F 04 24 48 83 7D B7 08 72 09 48 8B 4D 9F E8 ?? ?? ?? ?? 48 C7 45 B7 07 00 00 00 4C 89 7D AF 66 44 89 7D 9F 48 8B 4D 97 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_1061_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 632
		refs = "0024 __security_cookie 005b ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z 0067 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00b2 _Mbrtowc 00c0 ??0?$_String_val@DV?$allocator@D@std@@@std@@QEAA@V?$allocator@D@1@@Z 00e6 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0110 _invalid_parameter_noinfo_noreturn 0159 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01dc _Stoldx 0203 ??3@YAXPEAX@Z 0260 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC C8 00 00 00 48 C7 45 8F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 4D 8B E8 4C 8B E2 48 8B F1 48 8B 45 77 48 8B 7D 7F 4C 8B B5 87 00 00 00 48 89 44 24 28 8A 45 6F 88 44 24 20 48 8D 55 97 E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 45 33 FF 84 C0 74 03 83 0F 01 4C 39 7D AF 75 08 83 0F 02 E9 9D 01 00 00 C6 44 24 30 30 66 44 89 7C 24 38 44 89 7C 24 40 48 8D 46 10 48 89 44 24 20 4C 8D 4C 24 40 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 54 24 30 48 8D 4D C7 E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 7D DF 44 88 7D CF 48 8B 55 AF 48 83 FA 0F 74 29 41 B0 01 48 8D 4D C7 E8 ?? ?? ?? ?? 84 C0 74 15 4C 89 7D DF 48 8D 45 CF 48 83 7D E7 10 48 0F 43 45 CF 44 88 38 48 8B 55 AF 49 8B DF 48 85 D2 75 06 E8 ?? ?? ?? ?? CC 48 8D 45 9F 4C 8B 45 9F 4C 8B 4D B7 49 83 F9 08 49 0F 43 C0 0F B7 74 24 38 66 39 30 72 19 48 8D 45 9F 49 83 F9 08 49 0F 43 C0 0F B7 CE 83 C1 09 0F B7 00 3B C8 7D 22 41 B0 2D BA 01 00 00 00 48 8D 4D C7 E8 ?? ?? ?? ?? BB 01 00 00 00 4C 8B 4D B7 48 8B 55 AF 4C 8B 45 9F 48 3B DA 73 46 48 3B DA 73 3B 48 8D 45 9F 49 83 F9 08 49 0F 43 C0 44 8A 04 58 44 2A C6 41 80 C0 30 BA 01 00 00 00 48 8D 4D C7 E8 ?? ?? ?? ?? 48 FF C3 48 8B 55 AF 48 3B DA 73 10 4C 8B 4D B7 4C 8B 45 9F EB C0 E8 ?? ?? ?? ?? CC 48 8D 5D CF 48 83 7D E7 10 48 0F 43 5D CF 44 89 7C 24 3C 4C 8D 4C 24 3C 45 33 C0 48 8D 55 87 48 8B CB E8 ?? ?? ?? ?? 48 39 5D 87 74 0E 44 39 7C 24 3C 75 07 F2 41 0F 11 06 EB 03 83 0F 02 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 7D DF 44 88 7D CF 48 8B 4D C7 E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 41 0F 7F 04 24 48 83 7D B7 08 72 09 48 8B 4D 9F E8 ?? ?? ?? ?? 48 C7 45 B7 07 00 00 00 4C 89 7D AF 66 44 89 7D 9F 48 8B 4D 97 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_65_1010_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 229
		refs = "0017 __security_cookie 005a ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z 0066 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 008f ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a9 ??3@YAXPEAX@Z 00d6 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 49 8B D9 49 8B E8 48 8B F2 48 8B 84 24 C8 00 00 00 48 8B BC 24 D0 00 00 00 4C 8B A4 24 D8 00 00 00 48 89 44 24 28 8A 84 24 C0 00 00 00 88 44 24 20 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 33 DB 84 C0 74 03 83 0F 01 48 39 5C 24 50 75 05 83 0F 02 EB 14 49 83 C9 FF 45 33 C0 48 8D 54 24 38 49 8B CC E8 ?? ?? ?? ?? 0F 10 45 00 F3 0F 7F 06 48 83 7C 24 58 08 72 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 C7 44 24 58 07 00 00 00 48 89 5C 24 50 66 89 5C 24 40 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_1064_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 229
		refs = "0017 __security_cookie 005a ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z 0066 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 008f ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a9 ??3@YAXPEAX@Z 00d6 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 68 49 8B D9 49 8B E8 48 8B F2 48 8B 84 24 C8 00 00 00 48 8B BC 24 D0 00 00 00 4C 8B A4 24 D8 00 00 00 48 89 44 24 28 8A 84 24 C0 00 00 00 88 44 24 20 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 33 DB 84 C0 74 03 83 0F 01 48 39 5C 24 50 75 05 83 0F 02 EB 14 49 83 C9 FF 45 33 C0 48 8D 54 24 38 49 8B CC E8 ?? ?? ?? ?? 0F 10 45 00 F3 0F 7F 06 48 83 7C 24 58 08 72 0A 48 8B 4C 24 40 E8 ?? ?? ?? ?? 48 C7 44 24 58 07 00 00 00 48 89 5C 24 50 66 89 5C 24 40 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4C 24 68 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_65_1012_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WO@Z"
		size = 620
		refs = "002c __security_cookie 0077 __mask@@NegDouble@ 0082 __real@4733426172c74d82 0095 __real@4202a05f20000000 00ad ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 00ce ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00dc sprintf_s 011f _Mbrtowc 0133 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 01c9 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0212 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0223 ??3@YAXPEAX@Z 0248 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A8 48 81 EC 20 01 00 00 48 C7 45 A8 FE FF FF FF 48 89 58 18 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 08 44 88 4C 24 4C 4C 89 44 24 60 4C 8B EA 48 89 54 24 58 4C 8B F9 48 8B 85 80 00 00 00 48 89 44 24 70 45 33 E4 45 8A F4 66 0F 57 C0 F2 0F 10 B5 90 00 00 00 66 0F 2F C6 76 0B 41 B6 01 66 0F 57 35 ?? ?? ?? ?? 49 8B DC F2 0F 10 05 ?? ?? ?? ?? EB 15 48 81 FB 88 13 00 00 73 12 F2 0F 5E 35 ?? ?? ?? ?? 48 83 C3 0A 66 0F 2F F0 73 E5 48 8D 54 24 40 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 D0 07 00 00 00 4C 89 65 C8 66 44 89 65 B8 66 0F 28 DE 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 49 8B FC 48 63 F0 85 C0 7E 5D 4D 8D 67 10 45 33 ED 8A 44 3D E0 88 44 24 40 66 44 89 6C 24 48 44 89 6C 24 50 4C 89 64 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 BA 01 00 00 00 48 8D 4D B0 E8 ?? ?? ?? ?? 48 FF C7 48 3B FE 7C B2 4C 8B 6C 24 58 45 33 E4 C6 44 24 40 30 66 44 89 64 24 48 44 89 64 24 50 49 8D 47 10 48 89 44 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8D 5C 24 78 4C 89 5C 24 58 48 8D 54 24 40 48 8D 4C 24 78 E8 ?? ?? ?? ?? 90 BB 07 00 00 00 48 89 5D 98 4C 89 65 90 66 44 89 65 80 49 83 C9 FF 45 33 C0 48 8D 55 B0 48 8D 4C 24 78 E8 ?? ?? ?? ?? 90 48 8B 44 24 60 0F 10 00 F3 0F 7F 44 24 60 48 8D 44 24 78 48 89 44 24 38 44 88 74 24 30 0F B7 85 88 00 00 00 66 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 44 8A 4C 24 4C 4C 8D 44 24 60 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D D0 08 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? 48 89 5D D0 4C 89 65 C8 66 44 89 65 B8 48 8B 4D B0 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 08 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 50 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_1038_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GO@Z"
		size = 620
		refs = "002c __security_cookie 0077 __mask@@NegDouble@ 0082 __real@4733426172c74d82 0095 __real@4202a05f20000000 00ad ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 00ce ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00dc sprintf_s 011f _Mbrtowc 0133 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 01c9 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0212 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0223 ??3@YAXPEAX@Z 0248 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 A8 48 81 EC 20 01 00 00 48 C7 45 A8 FE FF FF FF 48 89 58 18 0F 29 70 B8 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 08 44 88 4C 24 4C 4C 89 44 24 60 4C 8B EA 48 89 54 24 58 4C 8B F9 48 8B 85 80 00 00 00 48 89 44 24 70 45 33 E4 45 8A F4 66 0F 57 C0 F2 0F 10 B5 90 00 00 00 66 0F 2F C6 76 0B 41 B6 01 66 0F 57 35 ?? ?? ?? ?? 49 8B DC F2 0F 10 05 ?? ?? ?? ?? EB 15 48 81 FB 88 13 00 00 73 12 F2 0F 5E 35 ?? ?? ?? ?? 48 83 C3 0A 66 0F 2F F0 73 E5 48 8D 54 24 40 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 D0 07 00 00 00 4C 89 65 C8 66 44 89 65 B8 66 0F 28 DE 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 49 8B FC 48 63 F0 85 C0 7E 5D 4D 8D 67 10 45 33 ED 8A 44 3D E0 88 44 24 40 66 44 89 6C 24 48 44 89 6C 24 50 4C 89 64 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 BA 01 00 00 00 48 8D 4D B0 E8 ?? ?? ?? ?? 48 FF C7 48 3B FE 7C B2 4C 8B 6C 24 58 45 33 E4 C6 44 24 40 30 66 44 89 64 24 48 44 89 64 24 50 49 8D 47 10 48 89 44 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 4C 8D 5C 24 78 4C 89 5C 24 58 48 8D 54 24 40 48 8D 4C 24 78 E8 ?? ?? ?? ?? 90 BB 07 00 00 00 48 89 5D 98 4C 89 65 90 66 44 89 65 80 49 83 C9 FF 45 33 C0 48 8D 55 B0 48 8D 4C 24 78 E8 ?? ?? ?? ?? 90 48 8B 44 24 60 0F 10 00 F3 0F 7F 44 24 60 48 8D 44 24 78 48 89 44 24 38 44 88 74 24 30 0F B7 85 88 00 00 00 66 89 44 24 28 48 8B 44 24 70 48 89 44 24 20 44 8A 4C 24 4C 4C 8D 44 24 60 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D D0 08 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? 48 89 5D D0 4C 89 65 C8 66 44 89 65 B8 48 8B 4D B0 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 08 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 20 01 00 00 49 8B 5B 50 41 0F 28 73 F0 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_1015_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 528
		refs = "0028 __security_cookie 007a _Mbrtowc 0105 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z 0127 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 013f ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 017c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01bc ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 01cd ??3@YAXPEAX@Z 01f1 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 48 4D 8B F8 4C 8B EA 4C 8B F1 48 8B 45 6F 48 89 45 8F 48 8B 5D 7F C6 44 24 40 30 33 F6 66 89 74 24 4C 89 74 24 50 48 8D 79 10 48 89 7C 24 20 4C 8D 4C 24 50 44 8D 46 01 48 8D 54 24 40 48 8D 4C 24 4C E8 ?? ?? ?? ?? 48 83 7B 20 08 72 06 48 8B 5B 08 EB 04 48 83 C3 08 44 8A E6 C6 44 24 40 2D 66 89 74 24 50 89 74 24 60 48 89 7C 24 20 4C 8D 4C 24 60 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 0F B7 5C 24 50 66 44 39 1B 75 07 41 B4 01 48 83 C3 02 48 8B FE 0F B7 0B 0F B7 74 24 4C 66 3B F1 77 19 0F B7 D6 83 C2 09 0F B7 C1 3B C2 7F 0C 48 FF C7 0F B7 0C 7B 66 3B F1 76 ED 48 8D 54 24 40 48 8D 4D CF E8 ?? ?? ?? ?? 90 48 C7 45 EF 07 00 00 00 33 C0 48 89 45 E7 66 89 45 D7 4C 8B C7 48 8B D3 48 8D 4D CF E8 ?? ?? ?? ?? 90 33 DB 48 85 FF 75 10 44 0F B7 C6 8D 53 01 48 8D 4D CF E8 ?? ?? ?? ?? 48 8D 45 97 48 89 44 24 60 48 8D 54 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 90 BF 07 00 00 00 48 89 7D B7 48 89 5D AF 66 89 5D 9F 49 83 C9 FF 45 33 C0 48 8D 55 CF 48 8D 4D 97 E8 ?? ?? ?? ?? 90 41 0F 10 07 F3 0F 7F 44 24 60 48 8D 45 97 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 48 8B 45 8F 48 89 44 24 20 44 8A 4C 24 48 4C 8D 44 24 60 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 90 48 83 7D EF 08 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 89 7D EF 48 89 5D E7 66 89 5D D7 48 8B 4D CF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_1041_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 528
		refs = "0028 __security_cookie 007a _Mbrtowc 0105 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 0127 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z 013f ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 017c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01bc ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 01cd ??3@YAXPEAX@Z 01f1 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 C7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 48 4D 8B F8 4C 8B EA 4C 8B F1 48 8B 45 6F 48 89 45 8F 48 8B 5D 7F C6 44 24 40 30 33 F6 66 89 74 24 4C 89 74 24 50 48 8D 79 10 48 89 7C 24 20 4C 8D 4C 24 50 44 8D 46 01 48 8D 54 24 40 48 8D 4C 24 4C E8 ?? ?? ?? ?? 48 83 7B 20 08 72 06 48 8B 5B 08 EB 04 48 83 C3 08 44 8A E6 C6 44 24 40 2D 66 89 74 24 50 89 74 24 60 48 89 7C 24 20 4C 8D 4C 24 60 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 50 E8 ?? ?? ?? ?? 44 0F B7 5C 24 50 66 44 39 1B 75 07 41 B4 01 48 83 C3 02 48 8B FE 0F B7 0B 0F B7 74 24 4C 66 3B F1 77 19 0F B7 D6 83 C2 09 0F B7 C1 3B C2 7F 0C 48 FF C7 0F B7 0C 7B 66 3B F1 76 ED 48 8D 54 24 40 48 8D 4D CF E8 ?? ?? ?? ?? 90 48 C7 45 EF 07 00 00 00 33 C0 48 89 45 E7 66 89 45 D7 4C 8B C7 48 8B D3 48 8D 4D CF E8 ?? ?? ?? ?? 90 33 DB 48 85 FF 75 10 44 0F B7 C6 8D 53 01 48 8D 4D CF E8 ?? ?? ?? ?? 48 8D 45 97 48 89 44 24 60 48 8D 54 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 90 BF 07 00 00 00 48 89 7D B7 48 89 5D AF 66 89 5D 9F 49 83 C9 FF 45 33 C0 48 8D 55 CF 48 8D 4D 97 E8 ?? ?? ?? ?? 90 41 0F 10 07 F3 0F 7F 44 24 60 48 8D 45 97 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 48 8B 45 8F 48 89 44 24 20 44 8A 4C 24 48 4C 8D 44 24 60 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 90 48 83 7D EF 08 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 89 7D EF 48 89 5D E7 66 89 5D D7 48 8B 4D CF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_65_1036_1 {
	meta:
		name = "?do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z"
		size = 308
		refs = "0037 ??0?$_String_val@GV?$allocator@G@std@@@std@@QEAA@V?$allocator@G@1@@Z 0077 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0088 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0095 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 009d ??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEBAAEBGXZ 00db memcpy_s"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 41 54 41 55 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 08 49 8B D9 4D 8B E0 48 8B F2 45 33 ED 44 89 68 20 48 8D 50 18 48 8B CE E8 ?? ?? ?? ?? 48 C7 46 20 07 00 00 00 4C 89 6E 18 66 44 89 6E 08 C7 84 24 A8 00 00 00 01 00 00 00 49 2B DC 48 D1 FB 0F 84 93 00 00 00 48 8B EB 48 8B CE 48 3B 5E 18 77 0E 49 83 C8 FF 48 8B D3 E8 ?? ?? ?? ?? EB 0F 45 33 C0 48 2B 5E 18 48 8B D3 E8 ?? ?? ?? ?? 48 8D 54 24 28 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 8B 5E 18 48 8D 54 24 40 48 8B CE E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 14 5F 48 2B D0 48 D1 FA 48 3B EA 77 13 4C 8D 4C 2D 00 48 03 D2 4D 8B C4 48 8B C8 E8 ?? ?? ?? ?? 48 8B DD 48 3B 6E 18 0F 96 C0 84 C0 75 09 48 85 ED 0F 85 70 FF FF FF 48 8B CE 48 3B 5E 18 77 0E 49 83 C8 FF 48 8B D3 E8 ?? ?? ?? ?? EB 0F 45 33 C0 48 2B 5E 18 48 8B D3 E8 ?? ?? ?? ?? 48 8B C6 48 8B 9C 24 90 00 00 00 48 83 C4 60 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_65_1037_1 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z@4HA"
		size = 47
		refs = "0025 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 85 A8 00 00 00 83 E0 01 85 C0 74 13 83 A5 A8 00 00 00 FE 48 8B 8D 98 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_66_8_1 {
	meta:
		name = "??0_Winit@std@@QEAA@XZ"
		size = 34
		refs = "0002 ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 0A FF C0 89 05 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_73_8_1 {
	meta:
		name = "??0_UShinit@std@@QEAA@XZ"
		size = 34
		refs = "0002 ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 8B 05 ?? ?? ?? ?? 85 C0 78 0A FF C0 89 05 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_68_0_1 {
	meta:
		name = "_Getwctype"
		size = 52
		refs = "001d __imp_GetStringTypeW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 28 B9 01 00 00 00 4C 8D 4C 24 40 48 8D 54 24 30 44 8B C1 FF 15 ?? ?? ?? ?? 0F BF 54 24 40 F7 D8 1B C9 23 CA 0F B7 C1 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_68_1_1 {
	meta:
		name = "_Getwctypes"
		size = 47
		refs = "0022 __imp_GetStringTypeW"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B C2 48 8B DA 4D 8B C8 48 2B C1 48 8B D1 B9 01 00 00 00 48 D1 F8 44 8B C0 FF 15 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_69_3_1 {
	meta:
		name = "?_XLgamma@tr1@std@@YAMM@Z"
		size = 159
		refs = "0015 __real@40b00000 0020 logf 002d ?coeff@?1??_XLgamma@tr1@std@@YAMM@Z@4PAMA 0035 __real@3f000000 0045 __real@3f800000 006a __real@3ff0000000000000 007f __real@40206c99"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 0F 28 F0 0F 29 7C 24 20 F3 0F 58 35 ?? ?? ?? ?? 0F 28 F8 0F 28 C6 E8 ?? ?? ?? ?? 0F 28 CF 0F 28 D7 48 8D 05 ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C1 F3 0F 5C F0 F3 0F 10 05 ?? ?? ?? ?? F3 0F 58 D0 F3 0F 10 08 48 8D 0D ?? ?? ?? ?? 48 83 C0 04 F3 0F 5E CA 0F 14 D2 0F 5A D2 F2 0F 58 15 ?? ?? ?? ?? F2 0F 5A D2 F3 0F 58 C1 48 3B C1 7C D2 F3 0F 59 05 ?? ?? ?? ?? F3 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F3 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_69_4_1 {
	meta:
		name = "?_XLgamma@tr1@std@@YANN@Z"
		size = 158
		refs = "0016 __real@4016000000000000 0023 log 002b __real@3ff0000000000000 0036 ?coeff@?1??_XLgamma@tr1@std@@YANN@Z@4PANA 003e __real@3fe0000000000000 0056 __real@3ff00000000d0ec7 007e __real@40040d931ff62706"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 66 0F 28 F0 0F 29 7C 24 20 F2 0F 58 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 66 0F 28 CF 48 8D 05 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 66 0F 28 D7 F2 0F 58 D3 F2 0F 59 C1 F2 0F 5C F0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 08 48 8D 0D ?? ?? ?? ?? 48 83 C0 08 F2 0F 5E CA F2 0F 58 D3 F2 0F 58 C1 48 3B C1 7C E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F2 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_69_5_1 {
	meta:
		name = "?_XLgamma@tr1@std@@YAOO@Z"
		size = 158
		refs = "0016 __real@4016000000000000 0023 log 002b __real@3ff0000000000000 0036 ?coeff@?1??_XLgamma@tr1@std@@YAOO@Z@4PAOA 003e __real@3fe0000000000000 0056 __real@3ff00000000d0ec7 007e __real@40040d931ff62706"
	strings:
		$1 = { 48 83 EC 48 0F 29 74 24 30 66 0F 28 F0 0F 29 7C 24 20 F2 0F 58 35 ?? ?? ?? ?? 66 0F 28 F8 66 0F 28 C6 E8 ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? 66 0F 28 CF 48 8D 05 ?? ?? ?? ?? F2 0F 58 0D ?? ?? ?? ?? 66 0F 28 D7 F2 0F 58 D3 F2 0F 59 C1 F2 0F 5C F0 F2 0F 10 05 ?? ?? ?? ?? F2 0F 10 08 48 8D 0D ?? ?? ?? ?? 48 83 C0 08 F2 0F 5E CA F2 0F 58 D3 F2 0F 58 C1 48 3B C1 7C E0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5E C7 E8 ?? ?? ?? ?? 0F 28 7C 24 20 F2 0F 5C C6 0F 28 74 24 30 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_70_253_1 {
	meta:
		name = "??__Efin@std@@YAXXZ"
		size = 75
		refs = "0007 __iob_func 000e fin 0016 ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IEAA@XZ 001d ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0036 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAAXPEAU_iobuf@@W4_Initfl@12@@Z 003d ??__Ffin@std@@YAXXZ 0047 atexit"
	strings:
		$1 = { 40 53 48 83 EC 20 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 8B D8 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 45 33 C0 48 8B D3 4C 89 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 83 C4 20 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_72_16_1 {
	meta:
		name = "?incompact_predicate@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_N_K@Z"
		size = 44
	strings:
		$1 = { 48 81 F9 00 10 00 00 72 1D 48 8D 41 FF 25 FF 0F 00 00 48 3D 00 08 00 00 73 09 48 81 F9 00 00 08 00 72 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_72_17_1 {
	meta:
		name = "?allocate_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAPEAXAEAV234@_K@Z"
		size = 82
		refs = "0011 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 002b ??0exception@std@@QEAA@AEBQEBDH@Z 0032 ??_7bad_alloc@std@@6B@ 0039 _TI2?AVbad_alloc@std@@ 0048 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B C1 FF 10 48 85 C0 75 3F 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 50 48 8D 4C 24 20 41 B8 01 00 00 00 48 89 44 24 50 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_72_19_1 {
	meta:
		name = "?_Segment_index_of@_Concurrent_vector_base_v4@details@Concurrency@@KA_K_K@Z"
		size = 20
		refs = "0009 ?Log2@details@Concurrency@@YAK_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 01 E8 ?? ?? ?? ?? 8B C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_20_1 {
	meta:
		name = "?_Internal_throw_exception@_Concurrent_vector_base_v4@details@Concurrency@@IEBAX_K@Z"
		size = 190
		refs = "001f ??_C@_0DF@ONOJNMFO@Index?5is?5inside?5segment?5which?5fa@ 0030 ??0exception@std@@QEAA@AEBQEBD@Z 0037 ??_7range_error@std@@6B@ 003e _TI3?AVrange_error@std@@ 004b _CxxThrowException 0053 ??_C@_0CC@HMHAIBEI@Index?5out?5of?5segments?5table?5rang@ 006b ??_7out_of_range@std@@6B@ 0072 _TI3?AVout_of_range@std@@ 0087 ??_C@_0BD@KNGCOGKE@Index?5out?5of?5range?$AA@"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 70 48 85 D2 74 76 48 FF CA 74 3D 48 FF CA 0F 85 9C 00 00 00 48 8D 05 ?? ?? ?? ?? 48 8D 55 18 48 8D 4D B0 48 89 45 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D B0 4C 89 5D B0 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 55 18 48 8D 4D C8 48 89 45 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D C8 4C 89 5D C8 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 55 18 48 8D 4D E0 48 89 45 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4D E0 4C 89 5D E0 E8 ?? ?? ?? ?? CC 48 83 C4 70 5D C3 }
	condition:
		$1
}

rule file_72_55_1 {
	meta:
		name = "?find_segment_end@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEBV234@@Z"
		size = 55
	strings:
		$1 = { 4C 8B C9 48 8B 41 30 48 8D 51 08 B9 03 00 00 00 48 3B C2 44 8D 41 3D 44 0F 44 C1 33 C0 4D 85 C0 74 13 49 8B 49 30 48 83 3C C1 00 74 08 48 FF C0 49 3B C0 72 ED F3 C3 }
	condition:
		$1
}

rule file_72_56_1 {
	meta:
		name = "?assign_first_segment_if_necessary@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@_K@Z"
		size = 19
	strings:
		$1 = { 48 8B 41 20 48 85 C0 75 09 48 FF C2 F0 48 0F B1 51 20 C3 }
	condition:
		$1
}

rule file_72_57_1 {
	meta:
		name = "??1_Concurrent_vector_base_v4@details@Concurrency@@IEAA@XZ"
		size = 48
		refs = "0027 ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 51 30 48 8D 41 08 48 3B D0 74 1A 45 33 C0 4C 89 00 4C 89 40 08 4C 89 40 10 48 89 41 30 48 8B CA E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_58_1 {
	meta:
		name = "?_Internal_capacity@_Concurrent_vector_base_v4@details@Concurrency@@IEBA_KXZ"
		size = 67
	strings:
		$1 = { 4C 8B C9 48 8B 41 30 48 8D 51 08 B9 03 00 00 00 48 3B C2 44 8D 41 3D 44 0F 44 C1 33 C9 8D 51 01 4D 85 C0 74 13 49 8B 41 30 48 83 3C C8 00 74 08 48 03 CA 49 3B C8 72 ED 48 D3 E2 48 83 E2 FE 48 8B C2 C3 }
	condition:
		$1
}

rule file_72_59_1 {
	meta:
		name = "?_Internal_clear@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_KP6AXPEAX_K@Z@Z"
		size = 192
		refs = "0069 ?Log2@details@Concurrency@@YAK_K@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 4C 8B E2 48 8B F9 48 8B 41 30 4C 8D 41 08 B9 40 00 00 00 49 3B C0 8D 51 C3 0F 44 CA 33 DB 48 85 C9 74 13 48 8B 47 30 48 83 3C D8 00 74 08 48 FF C3 48 3B D9 72 ED 48 8B 77 28 48 C7 47 28 00 00 00 00 48 85 F6 74 42 48 8D 4E FF 48 83 C9 01 E8 ?? ?? ?? ?? BD 01 00 00 00 8B C8 44 8B D8 48 D3 E5 48 83 E5 FE 48 2B F5 48 8B D6 48 8B F5 4C 3B DB 77 11 48 8B 4F 30 4A 8B 0C D9 48 83 F9 3F 76 03 41 FF D4 48 85 ED 75 BE 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_72_60_1 {
	meta:
		name = "?_Internal_compact@_Concurrent_vector_base_v4@details@Concurrency@@IEAAPEAX_KPEAXP6AX10@ZP6AX1PEBX0@Z@Z"
		size = 829
		refs = "007a ?Log2@details@Concurrency@@YAK_K@Z 0105 memset 013c ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0153 ??0exception@std@@QEAA@AEBQEBDH@Z 015a ??_7bad_alloc@std@@6B@ 0161 _TI2?AVbad_alloc@std@@ 0170 _CxxThrowException 0249 memcpy"
	strings:
		$1 = { 48 8B C4 4C 89 48 20 4C 89 40 18 48 89 50 10 48 89 48 08 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 78 4D 8B F8 4C 8B E9 4C 8B C2 4C 8B 71 28 48 8B 41 30 4C 8D 51 08 B9 40 00 00 00 8D 51 C3 49 3B C2 0F 44 CA 33 ED 8D 5A FE 48 89 6C 24 30 48 85 C9 74 18 49 8B 45 30 48 83 3C E8 00 74 08 48 03 EB 48 3B E9 72 ED 48 89 6C 24 30 4D 85 F6 74 1B 49 8D 4E FF 48 0B CB E8 ?? ?? ?? ?? 4C 8B 84 24 C8 00 00 00 8B F0 48 03 F3 EB 02 33 F6 48 89 74 24 38 4D 8B 65 20 49 8B FC 4C 3B E6 76 05 48 8B FE EB 3A 73 38 48 8B CF 48 8B D3 48 D3 E2 49 0F AF D0 48 81 FA 00 10 00 00 72 1A 48 8D 42 FF 25 FF 0F 00 00 48 3D 00 08 00 00 73 11 48 81 FA 00 00 08 00 73 08 48 03 FB 48 3B FE 72 C8 48 3B F5 75 0C 49 3B FC 75 07 33 C0 E9 3C 02 00 00 49 8B 5D 30 33 D2 41 B8 08 02 00 00 49 8B CF 48 89 5C 24 20 E8 ?? ?? ?? ?? 49 3B FC 0F 84 DE 01 00 00 48 85 FF 0F 84 D5 01 00 00 48 8B CF BB 01 00 00 00 8B D3 48 D3 E2 49 8B CD 41 FF 55 00 48 89 44 24 40 48 85 C0 75 3C 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 48 48 8D 4C 24 58 44 8B C3 48 89 44 24 48 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 58 4C 89 5C 24 58 E8 ?? ?? ?? ?? CC 4D 8D 4F 08 49 8B CC 45 33 C0 49 89 01 48 8B C3 33 DB 48 D3 E0 4C 89 4C 24 50 49 89 3F 48 89 44 24 28 48 8B D0 48 85 FF 0F 84 93 00 00 00 4C 8B 7C 24 40 48 8B 74 24 20 48 8B AC 24 C8 00 00 00 4C 8B E8 4D 3B C6 73 5A 48 8B CB 41 B9 01 00 00 00 49 8D 04 10 49 D3 E1 49 83 E1 FE 4C 0F AF CD 4D 03 CF 49 3B C6 72 06 49 8B D6 49 2B D0 4C 8B C2 48 8B 14 DE 49 8B C9 FF 94 24 E0 00 00 00 48 85 DB 74 10 48 FF C3 BA 01 00 00 00 48 8B CB 48 D3 E2 EB 06 49 8B DC 49 8B D5 4C 8B C2 48 3B DF 72 A1 48 8B 74 24 38 48 8B 6C 24 30 4C 8B AC 24 C0 00 00 00 4C 8B BC 24 D0 00 00 00 4C 8B 4C 24 50 48 8B 5C 24 20 4C 8B C7 49 8B C9 48 8B D3 49 C1 E0 03 E8 ?? ?? ?? ?? 33 C9 48 85 FF 74 2C 48 8B 54 24 40 4C 8B 84 24 C8 00 00 00 B8 01 00 00 00 48 D3 E0 48 83 E0 FE 49 0F AF C0 48 03 C2 48 89 04 CB 48 FF C1 48 3B CF 72 E1 4D 89 27 48 8B 54 24 28 33 DB 33 C9 49 89 7D 20 48 85 FF 74 56 48 8B AC 24 D8 00 00 00 4C 8B EA 49 3B CE 73 39 48 8D 04 11 49 3B C6 72 06 49 8B D6 48 2B D1 49 8B 4C DF 08 FF D5 48 85 DB 74 10 48 FF C3 BA 01 00 00 00 48 8B CB 48 D3 E2 EB 06 49 8B DC 49 8B D5 48 8B CA 48 3B DF 72 C2 48 8B 6C 24 30 4C 8B AC 24 C0 00 00 00 48 8B 5C 24 20 48 3B F5 73 34 48 2B EE 48 8D 1C F3 49 8D 4C F7 08 48 C1 E5 03 48 8B D3 4D 89 27 4C 8B C5 E8 ?? ?? ?? ?? 4C 8B C5 33 D2 48 8B CB E8 ?? ?? ?? ?? 48 85 FF 75 04 49 89 7D 20 49 8B C7 48 83 C4 78 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_72_61_1 {
	meta:
		name = "?_Internal_swap@_Concurrent_vector_base_v4@details@Concurrency@@IEAAXAEAV123@@Z"
		size = 284
		refs = "0014 __security_cookie 007f memcpy 0103 __security_check_cookie"
	strings:
		$1 = { 48 89 5C 24 18 55 57 41 54 41 55 41 56 48 83 EC 40 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 38 48 8B FA 48 8B D9 4C 8B 71 28 4C 8B 6A 28 4D 85 F6 75 09 4D 85 ED 0F 84 BE 00 00 00 48 8B 49 20 48 8B 42 20 48 89 43 20 48 89 4A 20 48 8B 43 30 48 8D 6B 08 48 3B C5 0F 94 C2 48 8B 47 30 4C 8D 67 08 49 3B C4 0F 94 C0 84 D2 74 53 41 B8 18 00 00 00 48 8B D5 84 C0 74 30 48 8D 4C 24 20 E8 ?? ?? ?? ?? 41 B8 18 00 00 00 49 8B D4 48 8B CD E8 ?? ?? ?? ?? 48 8D 54 24 20 41 B8 18 00 00 00 49 8B CC E8 ?? ?? ?? ?? EB 49 49 8B CC E8 ?? ?? ?? ?? 4C 8B 5F 30 4C 89 5B 30 4C 89 67 30 EB 33 84 C0 74 1F 41 B8 18 00 00 00 49 8B D4 48 8B CD E8 ?? ?? ?? ?? 4C 8B 5B 30 4C 89 5F 30 48 89 6B 30 EB 10 48 8B 4B 30 48 8B 47 30 48 89 43 30 48 89 4F 30 4C 89 6B 28 4C 89 77 28 48 8B 4C 24 38 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 40 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_72_64_1 {
	meta:
		name = "??$SpinwaitWhileEq@PEAXPEAX@details@Concurrency@@YAXAECREAXPEAX@Z"
		size = 70
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 002f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B DA 48 89 44 24 30 48 8B 01 48 8B F9 48 3B C2 75 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 1F 4C 3B DB 74 EE 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_72_66_1 {
	meta:
		name = "?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z"
		size = 515
		refs = "0063 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 0080 ??0exception@std@@QEAA@AEBQEBDH@Z 0087 ??_7bad_alloc@std@@6B@ 0093 _TI2?AVbad_alloc@std@@ 009d _CxxThrowException 00c2 ?_UnderlyingYield@details@Concurrency@@YAXXZ 00e5 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 8B C4 48 89 50 10 48 89 48 08 56 57 41 54 41 55 41 56 48 81 EC B0 00 00 00 48 C7 44 24 60 FE FF FF FF 48 89 58 18 4D 8B F0 48 8B F2 48 8B D9 BF 01 00 00 00 48 85 D2 75 78 48 8B 41 20 48 85 C0 75 06 F0 48 0F B1 79 20 48 8B 49 20 48 8B D7 48 D3 E2 48 8B CB FF 13 4C 8B D8 48 85 C0 75 41 48 8D 05 ?? ?? ?? ?? 48 89 84 24 F8 00 00 00 44 8B C7 48 8D 94 24 F8 00 00 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 43 30 4C 89 18 B8 02 00 00 00 E9 39 01 00 00 48 8B CA 4C 8B E7 49 D3 E4 48 8B 43 20 4C 8D 2D ?? ?? ?? ?? 48 85 C0 75 27 21 84 24 88 00 00 00 4C 89 AC 24 90 00 00 00 EB 0D 48 8D 8C 24 80 00 00 00 E8 ?? ?? ?? ?? 48 8B 43 20 48 85 C0 74 EA 48 8B 43 20 48 3B F0 0F 83 90 00 00 00 48 8B 5B 30 48 8B 0B 48 85 C9 75 26 21 4C 24 50 4C 89 6C 24 58 48 8B 03 48 85 C0 75 12 48 8D 4C 24 48 E8 ?? ?? ?? ?? 4C 8B 1B 4D 85 DB 74 EE 48 8B 0B 48 83 F9 3F 77 44 48 C7 04 F3 3F 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 44 8B C7 48 8D 54 24 20 48 8D 4C 24 68 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 68 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 68 E8 ?? ?? ?? ?? CC 49 8B C4 48 83 E0 FE 49 0F AF C6 48 03 C1 48 89 04 F3 EB 59 49 8B D4 48 8B CB FF 13 48 85 C0 75 44 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 44 8B C7 48 8D 54 24 28 48 8D 8C 24 98 00 00 00 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 84 24 98 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 8C 24 98 00 00 00 E8 ?? ?? ?? ?? 48 8B 4B 30 48 89 04 F1 49 8B C4 48 8B 9C 24 F0 00 00 00 48 81 C4 B0 00 00 00 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_72_68_1 {
	meta:
		name = "__catch$?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z$0"
		size = 35
		refs = "0017 _CxxThrowException"
	strings:
		$1 = { 48 8B 85 E0 00 00 00 48 8B 40 30 48 C7 00 3F 00 00 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_72_70_1 {
	meta:
		name = "__catch$?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z$2"
		size = 36
		refs = "001f _CxxThrowException"
	strings:
		$1 = { 48 8B 85 E0 00 00 00 48 8B 48 30 48 8B 85 E8 00 00 00 48 C7 04 C1 3F 00 00 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_72_71_1 {
	meta:
		name = "?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z"
		size = 203
		refs = "0026 ?NFS_Allocate@details@Concurrency@@YAPEAX_K0PEAX@Z 0039 memset 0058 ?_UnderlyingYield@details@Concurrency@@YAXXZ 006f ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00ae ?NFS_Free@details@Concurrency@@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 40 45 33 C0 48 8B F1 41 8D 50 08 8D 4A 38 E8 ?? ?? ?? ?? 33 D2 41 B8 00 02 00 00 48 8B C8 48 8B F8 E8 ?? ?? ?? ?? 41 BC 03 00 00 00 48 8D 5E 08 41 8B EC 48 83 3B 00 75 2B 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 03 48 85 C0 75 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 1B 4D 85 DB 74 EE 48 83 C3 08 48 FF CD 75 C6 4C 8B C6 48 8B D7 4C 2B C7 49 8B 4C 10 08 48 89 0A 48 83 C2 08 49 FF CC 75 EF 48 8D 46 08 F0 48 0F B1 7E 30 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 40 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_72_72_1 {
	meta:
		name = "?extend_table_if_necessary@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@_K@Z"
		size = 33
		refs = "0018 ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 FA 03 72 12 48 8B 41 30 48 8D 51 08 48 3B C2 75 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_72_73_1 {
	meta:
		name = "?_Internal_reserve@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00@Z"
		size = 265
		refs = "002c ??_C@_0EP@FNNHHLEF@argument?5to?5concurrent_vector?3?3r@ 003d ??0exception@std@@QEAA@AEBQEBD@Z 0044 ??_7length_error@std@@6B@ 0050 _TI3?AVlength_error@std@@ 005a _CxxThrowException 0068 ?Log2@details@Concurrency@@YAK_K@Z 00e1 ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 00ef ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z"
	strings:
		$1 = { 4C 8B DC 49 89 4B 08 53 56 57 41 54 41 56 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 4D 8B E0 48 8B F2 48 8B F9 49 3B D1 76 36 48 8D 05 ?? ?? ?? ?? 49 89 43 20 49 8D 53 20 49 8D 4B C0 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4A FF 48 83 C9 01 E8 ?? ?? ?? ?? 8B C8 48 8B 47 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4F 20 48 8D 4F 08 48 8B 47 30 BA 40 00 00 00 44 8D 72 C3 48 3B C1 41 0F 44 D6 33 DB 48 85 D2 74 13 48 8B 47 30 48 83 3C D8 00 74 08 48 FF C3 48 3B DA 72 ED 48 89 5C 24 78 48 8B CB B8 01 00 00 00 48 D3 E0 48 83 E0 FE 48 3B C6 73 32 49 3B DE 72 15 48 8D 4F 08 48 8B 47 30 48 3B C1 75 08 48 8B CF E8 ?? ?? ?? ?? 4D 8B C4 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 48 FF C3 48 89 5C 24 78 EB BA 48 83 C4 40 41 5E 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_72_75_1 {
	meta:
		name = "__catch$?_Internal_reserve@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00@Z$0"
		size = 27
		refs = "0016 _CxxThrowException"
	strings:
		$1 = { 48 8B 4D 70 48 8B 49 30 48 8B 45 78 48 83 24 C1 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_72_77_1 {
	meta:
		name = "?_Internal_copy@_Concurrent_vector_base_v4@details@Concurrency@@IEAAXAEBV123@_KP6AXPEAXPEBX1@Z@Z"
		size = 275
		refs = "004c ?Log2@details@Concurrency@@YAK_K@Z 00a1 ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 00b1 ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 20 4C 89 40 18 57 41 54 41 55 41 56 41 57 48 83 EC 20 4D 8B F9 48 8B EA 48 8B D9 48 8B 72 28 48 89 71 28 4C 8D 69 08 33 FF 4C 89 69 30 48 85 F6 0F 84 B2 00 00 00 48 8B CE 48 83 C9 01 E8 ?? ?? ?? ?? 8B C8 48 8B 43 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4B 20 4C 8B E7 48 85 F6 0F 84 86 00 00 00 4C 8D 75 08 48 8B 45 30 49 3B C6 75 06 48 83 FF 03 73 6F 48 8B 45 30 48 83 3C F8 3F 76 64 48 83 FF 03 72 11 48 8B 43 30 49 3B C5 75 08 48 8B CB E8 ?? ?? ?? ?? 4C 8B 44 24 60 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 4C 8B C0 48 8B C6 49 2B C4 4C 3B C0 4C 0F 47 C0 48 8B 55 30 48 8B 4B 30 48 8B 14 FA 48 8B 0C F9 41 FF D7 48 FF C7 41 BC 01 00 00 00 48 8B CF 49 D3 E4 49 83 E4 FE 4C 3B E6 72 84 EB 04 4C 89 63 28 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 20 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_72_78_1 {
	meta:
		name = "?_Internal_assign@_Concurrent_vector_base_v4@details@Concurrency@@IEAAXAEBV123@_KP6AXPEAX1@ZP6AX2PEBX1@Z5@Z"
		size = 572
		refs = "0040 ?Log2@details@Concurrency@@YAK_K@Z 00eb ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 0104 ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z 013d ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 015a ??0exception@std@@QEAA@AEBQEBDH@Z 0161 ??_7bad_alloc@std@@6B@ 0168 _TI2?AVbad_alloc@std@@ 0177 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 20 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 40 49 8B F1 49 8B E8 4C 8B EA 48 8B D9 4C 8B 62 28 48 8B 41 28 41 BE 01 00 00 00 EB 5A 48 8B 4B 28 48 FF C9 49 0B CE E8 ?? ?? ?? ?? 4D 8B C6 49 8B FC 8B C8 44 8B D8 49 D3 E0 49 83 E0 FE 4D 3B C4 49 0F 43 F8 48 8B 43 30 4A 83 3C D8 3F 0F 86 CE 00 00 00 48 8B 53 28 48 8B 43 30 48 8B CF 48 2B D7 49 2B C8 48 0F AF CD 4A 03 0C D8 FF D6 48 89 7B 28 48 8B 43 28 49 3B C4 77 A1 48 8B 43 28 48 89 84 24 88 00 00 00 49 8B CC 4C 89 63 28 49 0B CE E8 ?? ?? ?? ?? 8B C8 48 8B 43 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4B 20 33 FF 33 F6 4D 85 E4 0F 84 54 01 00 00 4D 8D 7D 08 48 83 FF 03 72 15 48 8B 43 30 48 8D 4B 08 48 3B C1 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 43 30 48 83 3C F8 00 75 0E 4C 8B C5 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 49 8B 45 30 49 3B C7 75 0A 48 83 FF 03 0F 83 05 01 00 00 49 8B 45 30 48 83 3C F8 3F 0F 86 F6 00 00 00 48 85 FF 74 4D 48 8B CF 49 8B EE 48 D3 E5 EB 47 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 20 45 8B C6 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC BD 02 00 00 00 49 8B C4 48 2B C6 48 3B E8 48 0F 47 E8 48 8B 84 24 88 00 00 00 45 33 F6 48 3B C6 76 33 4C 8B F0 4C 2B F6 4C 3B F5 4C 0F 47 F5 49 8B 55 30 48 8B 4B 30 48 8B 14 FA 4D 8B C6 48 8B 0C F9 FF 94 24 A0 00 00 00 49 2B EE 4C 0F AF B4 24 90 00 00 00 48 85 ED 74 21 49 8B 45 30 48 8B 04 F8 4C 8B C5 49 8D 14 06 48 8B 43 30 48 8B 0C F8 49 03 CE FF 94 24 A8 00 00 00 48 8B AC 24 90 00 00 00 41 BE 01 00 00 00 49 03 FE 41 8B F6 48 8B CF 48 D3 E6 48 83 E6 FE 49 3B F4 0F 82 B6 FE FF FF EB 04 48 89 73 28 48 8B 9C 24 98 00 00 00 48 83 C4 40 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_72_79_1 {
	meta:
		name = "?_Internal_push_back@_Concurrent_vector_base_v4@details@Concurrency@@IEAAPEAX_KAEA_K@Z"
		size = 294
		refs = "0035 ?Log2@details@Concurrency@@YAK_K@Z 005e ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 007f ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z 008d ?_UnderlyingYield@details@Concurrency@@YAXXZ 00a6 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00bf ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00dc ??0exception@std@@QEAA@AEBQEBDH@Z 00e3 ??_7bad_alloc@std@@6B@ 00ea _TI2?AVbad_alloc@std@@ 00f9 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 56 57 41 54 41 55 41 56 48 83 EC 50 41 BE 01 00 00 00 4C 8B EA 48 8B F9 41 8B DE F0 48 0F C1 59 28 48 8B CB 49 89 18 49 0B CE E8 ?? ?? ?? ?? 45 8B E6 8B C8 8B F0 49 D3 E4 49 83 E4 FE 48 83 FE 03 72 15 48 8B 47 30 48 8D 4F 08 48 3B C1 75 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 6F 30 48 8B 44 F5 00 48 85 C0 75 44 4C 3B E3 75 10 4D 8B C5 48 8B D6 48 8B CF E8 ?? ?? ?? ?? EB 2F 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 44 F5 00 48 85 C0 75 14 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 5C F5 00 4D 85 DB 74 EC 48 83 7C F5 00 3F 77 42 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 38 45 8B C6 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 49 2B DC 4C 8D 5C 24 50 49 0F AF DD 48 03 5C F5 00 49 8B 6B 40 48 8B C3 49 8B 5B 38 49 8B E3 41 5E 41 5D 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_72_80_1 {
	meta:
		name = "?_Internal_grow_segment@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K_K1PEAPEAU_Segment_t@123@PEA_K3@Z"
		size = 346
		refs = "0030 ?Log2@details@Concurrency@@YAK_K@Z 005f ?extend_segment_table@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SAXAEAV234@@Z 0082 ?enable_segment@_Helper@_Concurrent_vector_base_v4@details@Concurrency@@SA_KAEAV234@_K1@Z 0090 ?_UnderlyingYield@details@Concurrency@@YAXXZ 00a7 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 00bc ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00dc ??0exception@std@@QEAA@AEBQEBDH@Z 00e3 ??_7bad_alloc@std@@6B@ 00ea _TI2?AVbad_alloc@std@@ 00f9 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 10 48 89 6C 24 18 48 89 74 24 20 57 41 54 41 55 41 56 41 57 48 83 EC 50 48 8B D9 48 8B CA 4D 8B E9 48 83 C9 01 4D 8B F8 4C 8B E2 E8 ?? ?? ?? ?? 41 BE 01 00 00 00 8B C8 8B F0 49 D3 E6 49 8B EE 48 83 E5 FE 48 83 FE 03 72 15 48 8B 43 30 48 8D 4B 08 48 3B C1 75 08 48 8B CB E8 ?? ?? ?? ?? 48 8B 43 30 48 8D 3C F0 48 8B 07 48 85 C0 75 40 49 3B EC 75 10 4D 8B C5 48 8B D6 48 8B CB E8 ?? ?? ?? ?? EB 2B 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 8B 07 48 85 C0 75 12 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8B 1F 4D 85 DB 74 EE 48 83 3F 3F 77 45 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 80 00 00 00 48 8D 4C 24 38 41 B8 01 00 00 00 48 89 84 24 80 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 48 8B 84 24 A0 00 00 00 48 85 F6 4C 8D 5C 24 50 49 8B 5B 38 49 8B 73 48 48 89 38 48 8B 84 24 A8 00 00 00 B9 02 00 00 00 49 0F 45 CE 4C 2B E5 4C 2B FD 4C 89 20 48 8B 84 24 B0 00 00 00 49 3B CF 49 0F 47 CF 48 89 08 48 8D 04 29 49 8B 6B 40 49 8B E3 41 5F 41 5E 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_72_81_1 {
	meta:
		name = "?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z"
		size = 194
		refs = "0035 ?Log2@details@Concurrency@@YAK_K@Z 007b ?_Internal_grow_segment@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K_K1PEAPEAU_Segment_t@123@PEA_K3@Z"
	strings:
		$1 = { 4C 89 4C 24 20 4C 89 44 24 18 48 89 4C 24 08 53 56 57 41 54 48 83 EC 68 48 C7 44 24 58 FE FF FF FF 4D 8B E1 49 8B F8 48 8B F2 48 8B D9 49 8B C8 48 83 C9 01 E8 ?? ?? ?? ?? 8B C8 48 8B 43 20 48 85 C0 75 09 48 FF C1 F0 48 0F B1 4B 20 48 8D 84 24 98 00 00 00 48 89 44 24 30 48 8D 44 24 40 48 89 44 24 28 48 8D 44 24 48 48 89 44 24 20 4D 8B CC 4C 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 50 4C 8B 84 24 98 00 00 00 48 8B 4C 24 40 4C 2B C1 49 0F AF CC 48 8B 44 24 48 48 03 08 48 8B 94 24 B8 00 00 00 FF 94 24 B0 00 00 00 90 48 3B F7 72 95 48 83 C4 68 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_72_83_1 {
	meta:
		name = "__catch$?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z$0"
		size = 124
		refs = "003e ?_Internal_grow_segment@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K_K1PEAPEAU_Segment_t@123@PEA_K3@Z 0065 memset 0077 _CxxThrowException"
	strings:
		$1 = { 48 8B 9D A8 00 00 00 48 8B 7D 50 48 8D 85 98 00 00 00 48 89 44 24 30 48 8D 45 40 48 89 44 24 28 48 8D 45 48 48 89 44 24 20 4C 8B CB 4C 8B 85 A0 00 00 00 48 8B D7 48 8B 8D 90 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 85 98 00 00 00 48 8B 4D 40 4C 2B C1 4C 0F AF C3 48 0F AF CB 48 8B 45 48 48 03 08 33 D2 E8 ?? ?? ?? ?? 48 3B BD A0 00 00 00 72 99 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_72_84_1 {
	meta:
		name = "?_Internal_resize@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAX0@ZP6AX1PEBX0@Z3@Z"
		size = 584
		refs = "0034 ?_Internal_reserve@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00@Z 0045 ?Log2@details@Concurrency@@YAK_K@Z 00e3 ??_C@_0P@GHFPNOJB@bad?5allocation?$AA@ 00fa ??0exception@std@@QEAA@AEBQEBDH@Z 0101 ??_7bad_alloc@std@@6B@ 0108 _TI2?AVbad_alloc@std@@ 0117 _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 20 4C 89 44 24 18 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 60 4D 8B F8 48 8B DA 4C 8B E9 48 8B 79 28 48 89 51 28 48 3B D7 0F 86 4C 01 00 00 E8 ?? ?? ?? ?? 48 8B CF 41 BC 01 00 00 00 49 0B CC E8 ?? ?? ?? ?? 8B E8 49 8B 45 20 45 33 F6 41 8B F4 48 3B E8 48 89 84 24 A0 00 00 00 41 0F 42 EE 8B CD 48 D3 E6 48 83 E6 FE 48 2B DE 48 2B FE 48 85 ED 75 55 48 8B C8 41 8B F4 48 D3 E6 EB 4A 49 8B 45 30 48 83 3C E8 3F 0F 86 8A 00 00 00 48 8B 94 24 D0 00 00 00 4C 8B C6 4C 2B C7 49 0F AF FF 48 03 3C E8 48 8B CF FF 94 24 C8 00 00 00 48 2B DE 49 8B FE 48 85 ED 75 0A 48 8B AC 24 A0 00 00 00 EB 06 49 03 EC 48 03 F6 48 3B F3 72 B1 49 8B 45 30 48 8B 0C E8 48 83 F9 3F 77 7E 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 20 48 8D 4C 24 40 45 8B C4 48 89 44 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 4C 89 5C 24 40 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 A8 00 00 00 48 8D 4C 24 28 45 8B C4 48 89 84 24 A8 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 4C 89 5C 24 28 E8 ?? ?? ?? ?? CC 48 8B 94 24 D0 00 00 00 48 2B DF 49 0F AF FF 48 03 CF 4C 8B C3 FF 94 24 C8 00 00 00 E9 B1 00 00 00 48 8B CA 41 BC 01 00 00 00 49 0B CC E8 ?? ?? ?? ?? 8B E8 4D 8B 7D 20 45 33 F6 41 8B F4 49 3B EF 41 0F 42 EE 8B CD 48 D3 E6 48 83 E6 FE 48 2B DE 48 2B FE 48 85 ED 75 49 49 8B CF 41 8B F4 48 D3 E6 EB 3E 49 8B 45 30 48 83 3C E8 3F 76 1D 48 8B D6 48 2B D3 48 0F AF 9C 24 B0 00 00 00 48 03 1C E8 48 8B CB FF 94 24 C0 00 00 00 48 2B FE 49 8B DE 48 85 ED 75 05 49 8B EF EB 06 49 03 EC 48 03 F6 48 3B F7 72 BD 49 8B 45 30 48 83 3C E8 3F 76 20 48 2B FB 48 0F AF 9C 24 B0 00 00 00 48 8B D7 48 03 1C E8 48 8B 84 24 C0 00 00 00 48 8B CB FF D0 48 8B 9C 24 B8 00 00 00 48 83 C4 60 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_72_85_1 {
	meta:
		name = "?_Internal_grow_to_at_least_with_result@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K0P6AXPEAXPEBX0@Z2@Z"
		size = 262
		refs = "0058 ?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z 0065 ?Log2@details@Concurrency@@YAK_K@Z 0071 ?_UnderlyingYield@details@Concurrency@@YAXXZ 009c ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 60 48 8B DA 48 8B F1 48 8B 69 28 48 3B EA 73 35 48 8B C5 F0 48 0F B1 59 28 74 0A 48 8B E8 48 3B C2 72 ED EB 20 48 8B 84 24 A0 00 00 00 48 89 44 24 28 4C 89 4C 24 20 4D 8B C8 4C 8B C2 48 8B D5 E8 ?? ?? ?? ?? 48 8D 4B FF 48 83 C9 01 E8 ?? ?? ?? ?? BB 03 00 00 00 4C 8D 2D ?? ?? ?? ?? 44 8B E0 4C 3B E3 72 2E 48 8B 46 30 48 8D 7E 08 48 3B C7 75 21 83 64 24 38 00 4C 89 6C 24 40 EB 0A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B 46 30 48 3B C7 74 ED EB 39 33 DB EB 35 48 8B 46 30 48 8D 3C D8 48 FF C3 48 83 3F 00 75 24 48 8B 07 83 64 24 50 00 4C 89 6C 24 58 48 85 C0 75 12 48 8D 4C 24 48 E8 ?? ?? ?? ?? 4C 8B 1F 4D 85 DB 74 EE 49 3B DC 76 C6 4C 8D 5C 24 60 48 8B C5 49 8B 5B 20 49 8B 6B 28 49 8B 73 30 49 8B E3 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_72_86_1 {
	meta:
		name = "?_Internal_grow_by@_Concurrent_vector_base_v4@details@Concurrency@@IEAA_K_K0P6AXPEAXPEBX0@Z2@Z"
		size = 57
		refs = "002c ?_Internal_grow@_Concurrent_vector_base_v4@details@Concurrency@@IEAAX_K00P6AXPEAXPEBX0@Z2@Z"
	strings:
		$1 = { 40 53 48 83 EC 30 49 8B C0 48 8B DA F0 48 0F C1 59 28 4C 8D 04 13 48 8B 54 24 60 48 89 54 24 28 4C 89 4C 24 20 4C 8B C8 48 8B D3 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_74_12_1 {
	meta:
		name = "??1_Fac_node@std@@QEAA@XZ"
		size = 97
		refs = "0016 ??0_Lockit@std@@QEAA@H@Z 0040 ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 79 08 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8B 47 08 48 85 C0 74 0D 48 83 F8 FF 73 07 48 FF C8 48 89 47 08 33 DB 48 8D 4C 24 30 48 39 5F 08 48 0F 44 DF E8 ?? ?? ?? ?? 48 85 DB 74 0D 48 8B 03 BA 01 00 00 00 48 8B CB FF 10 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_74_14_1 {
	meta:
		name = "?_Facet_Register@facet@locale@std@@CAXPEAV123@@Z"
		size = 51
		refs = "000f ??2@YAPEAX_K@Z 001b _Fac_head"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 10 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 0E 48 8B 15 ?? ?? ?? ?? 48 89 58 08 48 89 10 48 89 05 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_74_16_1 {
	meta:
		name = "tidy_global"
		size = 51
		refs = "000c ??0_Lockit@std@@QEAA@H@Z 0013 global_locale 0018 _Deletegloballocale 002a ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 25 ?? ?? ?? ?? 00 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_74_18_1 {
	meta:
		name = "?_Setgloballocale@locale@std@@CAXPEAX@Z"
		size = 50
		refs = "0008 ?registered@?1??_Setgloballocale@locale@std@@CAXPEAX@Z@4_NA 0015 tidy_global 0021 ?_Atexit@@YAXP6AXXZ@Z 0028 global_locale"
	strings:
		$1 = { 40 53 48 83 EC 20 80 3D ?? ?? ?? ?? 00 48 8B D9 75 13 48 8D 0D ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_74_19_1 {
	meta:
		name = "?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z"
		size = 172
		refs = "0021 ??0_Lockit@std@@QEAA@H@Z 0070 ??1_Lockit@std@@QEAA@XZ 0090 free"
	strings:
		$1 = { 40 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B F9 33 D2 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 48 8B 5F 18 EB 5A 48 FF CB 48 8B 47 10 48 83 3C D8 00 74 4C 48 8B 2C D8 33 D2 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 45 08 48 85 C0 74 0D 48 83 F8 FF 73 07 48 FF C8 48 89 45 08 33 F6 48 39 75 08 48 0F 44 F5 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 85 F6 74 0D 48 8B 06 BA 01 00 00 00 48 8B CE FF 10 48 85 DB 75 A1 48 8B 4F 10 E8 ?? ?? ?? ?? 90 48 8D 4C 24 58 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_74_24_1 {
	meta:
		name = "?_Fac_tidy@@YAXXZ"
		size = 84
		refs = "0017 ??0_Lockit@std@@QEAA@H@Z 0024 _Fac_head 002c ??1_Fac_node@std@@QEAA@XZ 0034 ??3@YAXPEAX@Z 004a ??1_Lockit@std@@QEAA@XZ"
		altNames = "??__F_Fac_tidy_reg@std@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 EB 1A 48 8B 03 48 89 05 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 DA 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_74_26_1 {
	meta:
		name = "??1_Fac_tidy_reg_t@std@@QEAA@XZ"
		size = 84
		refs = "0017 ??0_Lockit@std@@QEAA@H@Z 0024 _Fac_head 002c ??1_Fac_node@std@@QEAA@XZ 0034 ??3@YAXPEAX@Z 004a ??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 33 D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 90 EB 1A 48 8B 03 48 89 05 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B CB E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 DA 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_74_28_1 {
	meta:
		name = "?_Locinfo_dtor@_Locinfo@std@@SAXPEAV12@@Z"
		size = 25
		refs = "0010 setlocale"
	strings:
		$1 = { 48 83 EC 28 48 8B 51 28 48 85 D2 74 07 33 C9 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_74_31_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPEAV12@PEBD@Z"
		size = 105
		refs = "0015 setlocale 001c ??_C@_00CNPNBAHC@?$AA@ 002f ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0048 ??_C@_01NBENCBCI@?$CK?$AA@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B DA 48 8B F9 33 D2 33 C9 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 85 C0 48 0F 44 C1 48 8D 4F 28 48 8B D0 E8 ?? ?? ?? ?? 48 85 DB 74 0D 48 8B D3 33 C9 E8 ?? ?? ?? ?? 48 8B D8 48 8D 05 ?? ?? ?? ?? 48 85 DB 48 8D 4F 38 48 0F 44 D8 48 8B D3 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_32_1 {
	meta:
		name = "??0?$_Yarn@D@std@@QEAA@PEBD@Z"
		size = 31
		refs = "0012 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 21 00 48 8B D9 C6 41 08 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_74_33_1 {
	meta:
		name = "??0_Locimp@locale@std@@AEAA@_N@Z"
		size = 74
		refs = "0014 ??_7_Locimp@locale@std@@6B@ 0032 ??_C@_01NBENCBCI@?$CK?$AA@ 003d ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 88 51 24 48 C7 41 08 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 8B D9 48 89 41 10 48 89 41 18 89 41 20 48 83 C1 28 48 8D 15 ?? ?? ?? ?? 48 89 01 88 41 08 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_74_34_1 {
	meta:
		name = "??1_Locimp@locale@std@@MEAA@XZ"
		size = 73
		refs = "0019 ??_7_Locimp@locale@std@@6B@ 0021 ?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z 0030 free 003c ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B 4B 28 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 28 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_74_37_1 {
	meta:
		name = "??_G_Locimp@locale@std@@MEAAPEAXI@Z"
		size = 102
		refs = "0020 ??_7_Locimp@locale@std@@6B@ 0028 ?_Locimp_dtor@_Locimp@locale@std@@CAXPEAV123@@Z 0037 free 0043 ??_7facet@locale@std@@6B@ 0054 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 90 48 8B 4B 28 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 63 28 00 48 8D 05 ?? ?? ?? ?? 48 89 03 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_74_40_1 {
	meta:
		name = "?_Init@locale@std@@CAPEAV_Locimp@12@XZ"
		size = 250
		refs = "0012 global_locale 0027 ??0_Lockit@std@@QEAA@H@Z 0040 ??2@YAPEAX_K@Z 0057 ??_7_Locimp@locale@std@@6B@ 007f ??_C@_01NBENCBCI@?$CK?$AA@ 0084 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z 0090 ?_Setgloballocale@locale@std@@CAXPEAX@Z 00a2 ??_C@_01GFHCPBMG@C?$AA@ 00ae ?_Clocptr@_Locimp@locale@std@@0PEAV123@EA 00d5 ??1_Lockit@std@@QEAA@XZ 00e3 classic_locale"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B 1D ?? ?? ?? ?? 48 85 DB 0F 85 D2 00 00 00 33 D2 48 8D 4C 24 48 E8 ?? ?? ?? ?? 90 48 8B 1D ?? ?? ?? ?? 48 85 DB 0F 85 AB 00 00 00 8D 4B 38 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3E 48 C7 40 08 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 63 10 00 48 83 63 18 00 83 63 20 00 C6 43 24 00 48 8D 4B 28 48 83 21 00 C6 41 08 00 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 DB 48 8B CB E8 ?? ?? ?? ?? C7 43 20 3F 00 00 00 48 8D 4B 28 48 8D 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 89 1D ?? ?? ?? ?? 33 D2 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 4B 08 48 83 F9 FF 73 07 48 FF C1 48 89 4B 08 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 4C 89 1D ?? ?? ?? ?? 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_74_42_1 {
	meta:
		name = "?classic@locale@std@@SAAEBV12@XZ"
		size = 21
		refs = "0005 ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 000c classic_locale"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_74_43_1 {
	meta:
		name = "?empty@locale@std@@SA?AV12@XZ"
		size = 122
		refs = "0013 ?_Init@locale@std@@CAPEAV_Locimp@12@XZ 001d ??2@YAPEAX_K@Z 004a ??_7_Locimp@locale@std@@6B@ 0051 ??_C@_01NBENCBCI@?$CK?$AA@ 0061 ??4?$_Yarn@D@std@@QEAAAEAV01@PEBD@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 83 64 24 30 00 48 8B F9 E8 ?? ?? ?? ?? B9 38 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3E 48 83 63 10 00 48 83 63 18 00 83 63 20 00 48 C7 40 08 01 00 00 00 48 8D 4B 28 C6 43 24 01 48 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 89 03 48 83 21 00 C6 41 08 00 E8 ?? ?? ?? ?? EB 02 33 DB 48 89 1F 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_80_0_1 {
	meta:
		name = "_FSinh"
		size = 405
		refs = "0028 _FDtest 006b __mask@@NegFloat@ 008a _FRteps 0097 __real@3f800000 00ae p 00db _FXbig 00ed _FExp 00fa __real@3e800000 012c _Feraise 014c __real@00000000"
	strings:
		$1 = { 48 8B C4 48 89 58 10 48 89 78 18 F3 0F 11 40 08 55 48 8B EC 48 83 EC 40 0F 29 70 E8 48 8D 4D 10 0F 29 78 D8 0F 28 F1 E8 ?? ?? ?? ?? 33 FF 0F BF C8 85 C9 0F 84 39 01 00 00 FF C9 0F 84 08 01 00 00 FF C9 0F 84 F9 00 00 00 0F 57 C0 0F 2E F0 7A 11 75 0F 0F 2F 45 10 0F 86 10 01 00 00 E9 FD 00 00 00 F3 0F 10 55 10 F3 0F 10 3D ?? ?? ?? ?? 0F 2F C2 76 0F 0F 57 D7 BB 01 00 00 00 F3 0F 11 55 10 EB 03 0F B7 DF F3 0F 10 05 ?? ?? ?? ?? 0F 2F C2 77 73 F3 0F 10 0D ?? ?? ?? ?? 0F 2F CA 76 37 0F 28 C2 F3 0F 59 C2 0F 28 C8 F3 0F 59 0D ?? ?? ?? ?? F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 58 0D ?? ?? ?? ?? F3 0F 59 C8 F3 0F 59 CA F3 0F 58 CA 0F 28 D1 EB 2F F3 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4D 10 0F 2F C2 76 20 E8 ?? ?? ?? ?? F3 0F 10 55 10 F3 0F 10 2D ?? ?? ?? ?? F3 0F 5E EA F3 0F 5C D5 F3 0F 59 D6 EB 29 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 11 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? F3 0F 10 55 10 66 85 DB 74 03 0F 57 D7 0F 28 C2 EB 39 F3 0F 10 45 10 EB 32 0F 2E 35 ?? ?? ?? ?? 7A 16 75 14 B8 00 80 00 00 66 85 45 12 74 0E 0F 57 35 ?? ?? ?? ?? EB 05 F3 0F 10 75 10 0F 28 C6 EB 09 F3 0F 10 45 10 F3 0F 59 C6 48 8B 5C 24 58 48 8B 7C 24 60 0F 28 74 24 30 0F 28 7C 24 20 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_81_0_1 {
	meta:
		name = "_Tolower"
		size = 303
		refs = "0018 ___lc_handle_func 0020 ___lc_codepage_func 0053 isupper 006d __pctype_func 00fc __crtLCMapStringA"
	strings:
		$1 = { 48 89 5C 24 08 55 56 57 48 83 EC 50 48 8B FA 48 63 D9 48 85 D2 75 11 E8 ?? ?? ?? ?? 8B 70 08 E8 ?? ?? ?? ?? 8B E8 EB 05 8B 32 8B 6A 04 85 F6 75 12 8D 43 BF 83 F8 19 77 03 83 C3 20 8B C3 E9 DF 00 00 00 81 FB 00 01 00 00 73 1C 48 85 FF 75 0D 8B CB E8 ?? ?? ?? ?? 85 C0 75 11 EB DF 48 8B 47 08 F6 04 58 01 74 D5 48 85 FF 75 19 E8 ?? ?? ?? ?? 8B CB C1 F9 08 0F B6 C9 0F B7 14 48 81 E2 00 80 00 00 EB 17 8B C3 48 C1 F8 08 0F B6 C8 48 8B 47 08 0F BF 14 48 C1 EA 0F 83 E2 01 85 D2 74 19 8B C3 88 5C 24 79 C6 44 24 7A 00 C1 F8 08 88 44 24 78 B8 02 00 00 00 EB 0E 88 5C 24 78 C6 44 24 79 00 B8 01 00 00 00 C7 44 24 40 01 00 00 00 89 6C 24 38 48 8D 8C 24 80 00 00 00 C7 44 24 30 03 00 00 00 48 89 4C 24 28 4C 8D 4C 24 78 33 C9 41 B8 00 01 00 00 8B D6 89 44 24 20 E8 ?? ?? ?? ?? 85 C0 0F 84 34 FF FF FF 83 F8 01 0F B6 84 24 80 00 00 00 74 0D 0F B6 8C 24 81 00 00 00 C1 E0 08 0B C1 48 8B 5C 24 70 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_81_1_1 {
	meta:
		name = "_Getctype"
		size = 105
		refs = "000a ___lc_handle_func 0014 ___lc_codepage_func 0026 _calloc_crt 0034 __pctype_func 0046 memcpy"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 8B 50 04 89 13 E8 ?? ?? ?? ?? BA 02 00 00 00 B9 00 01 00 00 89 43 04 E8 ?? ?? ?? ?? 48 89 43 08 48 85 C0 74 20 E8 ?? ?? ?? ?? 48 8B 4B 08 41 B8 00 02 00 00 48 8B D0 E8 ?? ?? ?? ?? C7 43 10 01 00 00 00 EB 0D E8 ?? ?? ?? ?? 83 63 10 00 48 89 43 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_83_0_1 {
	meta:
		name = "_Getdateorder"
		size = 93
		refs = "0011 ___lc_handle_func 0028 __imp_GetLocaleInfoW"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 33 DB 89 5C 24 30 E8 ?? ?? ?? ?? 8D 7B 02 8B 48 14 4C 8D 44 24 30 8D 53 22 44 8B CF FF 15 ?? ?? ?? ?? 44 0F B7 5C 24 30 8D 43 03 66 41 83 FB 32 0F 44 D8 8D 47 FF 66 41 83 FB 31 0F 44 D8 66 41 83 FB 30 0F 44 DF 8B C3 48 8B 5C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_84_0_1 {
	meta:
		name = "_Towupper"
		size = 116
		refs = "005b __crtLCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B C2 BA FF FF 00 00 66 89 4C 24 50 66 3B CA 74 51 83 38 00 75 19 BA 00 01 00 00 66 3B CA 73 0F 8D 41 9F 66 83 F8 19 77 39 66 83 E9 20 EB 33 48 8D 4C 24 50 41 B9 01 00 00 00 4C 8D 44 24 40 44 89 4C 24 28 48 89 4C 24 20 8B 08 BA 00 02 00 00 E8 ?? ?? ?? ?? 0F B7 4C 24 50 85 C0 66 0F 44 4C 24 40 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_85_13_1 {
	meta:
		name = "?_IsDone@Concurrency@@YA_NAEBW4agent_status@1@@Z"
		size = 19
	strings:
		$1 = { 83 39 03 74 08 83 39 04 74 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_85_14_1 {
	meta:
		name = "?_IsStarted@Concurrency@@YA_NAEBW4agent_status@1@@Z"
		size = 24
	strings:
		$1 = { 83 39 03 74 0D 83 39 04 74 08 83 39 02 74 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_85_17_1 {
	meta:
		name = "??0_Runtime_object@details@Concurrency@@QEAA@XZ"
		size = 30
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@ 0013 s_RuntimeObjectIdentity"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_26_1 {
	meta:
		name = "??1?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 70
		refs = "0042 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 FF 48 8B D9 48 39 39 76 1F 48 8B 43 08 48 8B 0C F8 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 FF C7 48 3B 3B 72 E1 48 8B 4B 08 48 8B 5C 24 30 48 83 C4 20 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_36_1 {
	meta:
		name = "?_Invoke_link_source@?$ISource@_K@Concurrency@@IEAAXPEAV?$ITarget@_K@2@@Z"
		size = 16
		altNames = "?_Invoke_link_source@?$ISource@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 18 }
	condition:
		$1
}

rule file_85_37_1 {
	meta:
		name = "?_Invoke_unlink_source@?$ISource@_K@Concurrency@@IEAAXPEAV?$ITarget@_K@2@@Z"
		size = 16
		altNames = "?_Invoke_unlink_source@?$ISource@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 20 }
	condition:
		$1
}

rule file_85_44_1 {
	meta:
		name = "??R?$_Function_impl1@_NAEBW4agent_status@Concurrency@@@tr1@std@@QEBA_NAEBW4agent_status@Concurrency@@@Z"
		size = 32
		refs = "000c ?_Xfunc@tr1@std@@YAXXZ"
		altNames = "??R?$_Function_impl1@XAEB_K@tr1@std@@QEBAXAEB_K@Z ??R?$_Function_impl1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@QEBAXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z ??R?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@QEBAXPEAV?$message@_K@Concurrency@@@Z ??R?$_Function_impl1@_NAEB_K@tr1@std@@QEBA_NAEB_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 8B 01 48 83 C4 28 48 FF 60 08 }
	condition:
		$1
}

rule file_85_51_1 {
	meta:
		name = "??D?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ITarget@_K@1@XZ"
		size = 39
		altNames = "??D?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@W4agent_status@Concurrency@@@1@XZ ??D?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@_K@1@XZ ??D?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ITarget@W4agent_status@Concurrency@@@1@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D1 48 8B 09 4C 8B 01 48 8D 5A 10 48 8B 52 08 41 FF 50 30 48 89 03 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_52_1 {
	meta:
		name = "??E?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAAAEAV01@XZ"
		size = 34
		altNames = "??E?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEAV01@XZ ??E?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAAAEAV01@XZ ??E?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEAV01@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8D 51 08 48 8B D9 48 8B 09 48 FF 02 48 8B 01 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_53_1 {
	meta:
		name = "??0?$message@W4agent_status@Concurrency@@@Concurrency@@QEAA@AEBW4agent_status@1@@Z"
		size = 57
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@ 0013 s_RuntimeObjectIdentity 001d ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 8B 02 48 83 61 18 00 89 41 10 C7 41 20 00 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_58_1 {
	meta:
		name = "??0?$message@_K@Concurrency@@QEAA@AEB_K@Z"
		size = 59
		refs = "0003 ??_7_Runtime_object@details@Concurrency@@6B@ 0013 s_RuntimeObjectIdentity 001d ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 41 08 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 83 61 18 00 48 89 41 10 C7 41 20 00 00 00 00 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_69_1 {
	meta:
		name = "?_Dequeue@?$_Queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAPEAV?$message@W4agent_status@Concurrency@@@3@XZ"
		size = 43
		altNames = "?_Dequeue@?$_Queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAAPEAV?$message@_K@3@XZ"
	strings:
		$1 = { 48 8B 11 48 8B C1 48 85 D2 75 03 33 C0 C3 48 8B 4A 18 48 89 08 48 85 C9 75 04 48 89 40 08 48 83 62 18 00 48 FF 48 10 48 8B C2 C3 }
	condition:
		$1
}

rule file_85_108_1 {
	meta:
		name = "??0?$_Queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 17
		altNames = "??0?$_Queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 83 21 00 48 83 61 10 00 48 89 49 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_111_1 {
	meta:
		name = "??0?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 19
		refs = "0008 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_162_1 {
	meta:
		name = "??0?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 19
		refs = "0008 ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 61 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_112_1 {
	meta:
		name = "?add@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 60
		refs = "0013 ??_C@_05KMIILNPJ@_Link?$AA@ 001d ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 0024 _TI2?AVinvalid_link_target@Concurrency@@ 002e _CxxThrowException"
		altNames = "?add@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 74 2E 48 83 79 08 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 89 51 08 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_113_1 {
	meta:
		name = "?remove@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
		size = 22
		altNames = "?remove@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 85 D2 74 0E 48 39 51 08 75 08 48 83 61 08 00 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_85_114_1 {
	meta:
		name = "?contains@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
		size = 19
		altNames = "?contains@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 33 C0 48 85 D2 74 0B 48 39 51 08 75 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_85_120_1 {
	meta:
		name = "??0?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ITarget@_K@Concurrency@@@1@_K@Z"
		size = 45
		altNames = "??0?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@1@_K@Z ??0?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ISource@_K@Concurrency@@@1@_K@Z ??0?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$network_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@1@_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 4C 8B CA 48 89 11 48 8D 51 08 48 8B D9 49 8B C9 4C 89 02 49 8B 01 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_125_1 {
	meta:
		name = "?reserve@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@UEAA_NH0@Z"
		size = 114
		refs = "0019 ??_C@_08NFKFEOEH@_PTarget?$AA@ 002a ??0exception@std@@QEAA@AEBQEBD@Z 0031 ??_7invalid_argument@std@@6B@ 0038 _TI3?AVinvalid_argument@std@@ 0047 _CxxThrowException"
		altNames = "?reserve@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@UEAA_NH0@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 40 8B FA 48 8B D9 4D 85 C0 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 18 49 8D 4B D8 49 89 43 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 E9 80 49 8B D0 48 8B 01 FF 50 10 84 C0 74 0A 48 8B 43 08 39 78 08 0F 94 C0 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_127_1 {
	meta:
		name = "?consume@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@UEAAPEAV?$message@W4agent_status@Concurrency@@@2@H0@Z"
		size = 158
		refs = "0020 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0031 ??0exception@std@@QEAA@AEBQEBD@Z 0038 ??_7invalid_argument@std@@6B@ 003f _TI3?AVinvalid_argument@std@@ 004e _CxxThrowException 006a ??0bad_target@Concurrency@@QEAA@XZ 0071 _TI2?AVbad_target@Concurrency@@"
		altNames = "?consume@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@UEAAPEAV?$message@_K@2@H0@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 10 57 48 83 EC 40 49 8B D8 8B F2 48 8B F9 4D 85 C0 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 18 49 8D 4B D8 49 89 43 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 E9 80 48 8B D3 48 8B 01 FF 50 10 84 C0 75 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 07 4C 8B C3 8B D6 48 8B CF 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 40 5F 48 FF 60 20 }
	condition:
		$1
}

rule file_85_133_1 {
	meta:
		name = "?link_target@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@EEAAX0@Z"
		size = 109
		refs = "001a ??_C@_08NFKFEOEH@_PTarget?$AA@ 002b ??0exception@std@@QEAA@AEBQEBD@Z 0032 ??_7invalid_argument@std@@6B@ 0039 _TI3?AVinvalid_argument@std@@ 0048 _CxxThrowException"
		altNames = "?link_target@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@EEAAX0@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 E9 80 48 8B 01 FF 10 4C 8B 1B 48 8B D7 48 8B CB 48 8B 5C 24 50 48 83 C4 40 5F 49 FF 63 18 }
	condition:
		$1
}

rule file_85_136_1 {
	meta:
		name = "?propagate@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@0@Z"
		size = 277
		refs = "001f ??_C@_09KIGCIIBF@_PMessage?$AA@ 0030 ??0exception@std@@QEAA@AEBQEBD@Z 0037 ??_7invalid_argument@std@@6B@ 003e _TI3?AVinvalid_argument@std@@ 004d _CxxThrowException 005a ??_C@_08KILLDFKG@_PSource?$AA@ 00a7 ?_Xfunc@tr1@std@@YAXXZ 00fb ?set@event@Concurrency@@QEAAXXZ"
		altNames = "?propagate@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@_K@2@0@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 55 56 57 48 83 EC 50 49 8B E8 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B B8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 3F 48 8D 05 ?? ?? ?? ?? 48 8D 94 24 88 00 00 00 48 8D 4C 24 38 48 89 84 24 88 00 00 00 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 48 8B 49 60 48 85 C9 74 26 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 83 C2 10 48 8B 01 FF 50 08 84 C0 75 07 B8 01 00 00 00 EB 43 8B 43 08 BF 02 00 00 00 3B C7 74 ED 48 8B 45 00 8B 56 08 4C 8B C3 48 8B CD FF 50 20 48 89 43 18 48 8B 43 18 48 85 C0 74 15 87 7B 08 83 FF 01 75 09 48 8D 4B 28 E8 ?? ?? ?? ?? 33 C0 EB 05 B8 03 00 00 00 48 8B 5C 24 70 48 83 C4 50 5F 5E 5D C3 }
	condition:
		$1
}

rule file_85_137_1 {
	meta:
		name = "?send@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@0@Z"
		size = 138
		refs = "000c ??_C@_09KIGCIIBF@_PMessage?$AA@ 0020 ??0exception@std@@QEAA@AEBQEBD@Z 0027 ??_7invalid_argument@std@@6B@ 002e _TI3?AVinvalid_argument@std@@ 003d _CxxThrowException 004a ??_C@_08KILLDFKG@_PSource?$AA@"
		altNames = "?send@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA?AW4message_status@2@PEAV?$message@_K@2@0@Z"
	strings:
		$1 = { 48 83 EC 48 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC B8 01 00 00 00 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_138_1 {
	meta:
		name = "?link_source@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@EEAAX0@Z"
		size = 20
		altNames = "?link_source@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@EEAAX0@Z"
	strings:
		$1 = { 48 89 51 10 48 8B 02 4C 8B C2 48 8B D1 49 8B C8 48 FF 60 40 }
	condition:
		$1
}

rule file_85_139_1 {
	meta:
		name = "?unlink_source@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@EEAAX0@Z"
		size = 37
		altNames = "?unlink_source@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@EEAAX0@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B C2 33 D2 49 8B C0 F0 48 0F B1 51 10 75 0C 49 8B 00 48 8B D1 49 8B C8 FF 50 48 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_140_1 {
	meta:
		name = "?unlink_sources@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@EEAAXXZ"
		size = 60
		altNames = "?unlink_sources@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@EEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 48 8B F9 48 87 59 10 48 85 DB 74 19 48 8B 03 48 8B D1 48 8B CB FF 50 10 4C 8B 1B 48 8B D7 48 8B CB 41 FF 53 48 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_141_1 {
	meta:
		name = "?_Connect@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@AEAAX0@Z"
		size = 86
		refs = "000f ??_C@_08KILLDFKG@_PSource?$AA@ 0023 ??0exception@std@@QEAA@AEBQEBD@Z 002a ??_7invalid_argument@std@@6B@ 0031 _TI3?AVinvalid_argument@std@@ 0040 _CxxThrowException"
		altNames = "?_Connect@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 83 EC 48 4C 8B C2 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 02 48 8B D1 49 8B C8 48 83 C4 48 48 FF 60 08 }
	condition:
		$1
}

rule file_85_143_1 {
	meta:
		name = "?_Wait_for_message@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@AEAAXXZ"
		size = 88
		refs = "001f ?wait@event@Concurrency@@QEAA_KI@Z 003c ??0operation_timed_out@Concurrency@@QEAA@XZ 0043 _TI2?AVoperation_timed_out@Concurrency@@ 004d _CxxThrowException"
		altNames = "?_Wait_for_message@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 33 C0 B9 01 00 00 00 F0 0F B1 4B 08 75 0C 8B 53 20 48 8D 4B 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 28 44 8B 5B 08 41 83 FB 02 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_168_1 {
	meta:
		name = "?begin@?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@2@XZ"
		size = 40
		altNames = "?begin@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@XZ ?begin@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@2@XZ ?begin@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@2@XZ ?begin@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@2@XZ ?begin@?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA?AV?$_Network_link_iterator@V?$ITarget@_K@Concurrency@@@2@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B DA 48 89 0A 48 83 C2 08 48 83 22 00 48 83 63 10 00 48 8B 01 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_194_1 {
	meta:
		name = "??0?$_Callable_base@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@QEAA@AEAV<lambda0>@?A0xd3335188@Concurrency@@@Z"
		size = 26
		altNames = "??0?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@QEAA@AEAV<lambda0>@?A0xd3335188@Concurrency@@@Z"
	strings:
		$1 = { 48 8B 02 48 89 01 48 8B 42 08 48 89 41 08 48 8B 42 10 48 89 41 10 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_206_1 {
	meta:
		name = "??$_Allocate@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@@std@@YAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@0@_KPEAV120@@Z"
		size = 96
		refs = "001f ??2@YAPEAX_K@Z 0039 ??0exception@std@@QEAA@AEBQEBD@Z 0040 ??_7bad_alloc@std@@6B@ 0047 _TI2?AVbad_alloc@std@@ 0056 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 C9 74 50 48 B8 FF FF FF FF FF FF FF 07 48 3B C8 77 0E 48 C1 E1 05 E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 50 00 48 8D 54 24 50 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_216_1 {
	meta:
		name = "??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 61
		refs = "000c ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 0018 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0022 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0029 _TI2?AVinvalid_operation@Concurrency@@ 0033 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_282_1 {
	meta:
		name = "??1?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 61
		refs = "000c ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0018 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0022 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0029 _TI2?AVinvalid_operation@Concurrency@@ 0033 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 89 01 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_221_1 {
	meta:
		name = "?_Status@?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AW4agent_status@2@_K@Z"
		size = 19
	strings:
		$1 = { 48 8B 41 08 48 8B 0C D0 48 8B 81 A8 01 00 00 8B 40 10 C3 }
	condition:
		$1
}

rule file_85_222_1 {
	meta:
		name = "??_G?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 80
		refs = "000e ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 001d ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0027 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 002e _TI2?AVinvalid_operation@Concurrency@@ 0038 _CxxThrowException 0043 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_283_1 {
	meta:
		name = "??_G?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 80
		refs = "000e ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 001d ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0027 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 002e _TI2?AVinvalid_operation@Concurrency@@ 0038 _CxxThrowException 0043 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 40 48 83 79 08 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 01 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC F6 C2 01 74 05 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_224_1 {
	meta:
		name = "?_Count@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEBA_KXZ"
		size = 35
		altNames = "?_Count@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEBA_KXZ ?_Count@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEBA_KXZ ?_Count@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEBA_KXZ ?count@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_KXZ ?count@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA_KXZ ?count@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_KXZ ?count@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_KXZ"
	strings:
		$1 = { 48 8B 51 18 33 C0 48 85 D2 74 16 48 8B 49 10 48 83 39 00 74 03 48 FF C0 48 83 C1 08 48 FF CA 75 EE F3 C3 }
	condition:
		$1
}

rule file_85_225_1 {
	meta:
		name = "??1?$_Queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 69
		altNames = "??1?$_Queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 2E 48 8B 41 18 48 89 03 48 85 C0 75 04 48 89 5B 08 48 83 61 18 00 48 FF 4B 10 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8B 0B EB CD 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_227_1 {
	meta:
		name = "?_Tidy@?$_Function_impl1@_NAEBW4agent_status@Concurrency@@@tr1@std@@IEAAXXZ"
		size = 41
		altNames = "??1?$function@$$A6AXAEB_K@Z@tr1@std@@QEAA@XZ ??1?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@tr1@std@@QEAA@XZ ??1?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@QEAA@XZ ??1?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@QEAA@XZ ??1?$function@$$A6A_NAEB_K@Z@tr1@std@@QEAA@XZ ?_Tidy@?$_Function_impl1@XAEB_K@tr1@std@@IEAAXXZ ?_Tidy@?$_Function_impl1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@IEAAXXZ ?_Tidy@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXXZ ?_Tidy@?$_Function_impl1@_NAEB_K@tr1@std@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 49 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 18 48 83 63 18 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_232_1 {
	meta:
		name = "?_Clear@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXXZ"
		size = 42
		refs = "0012 ??_V@YAXPEAX@Z"
		altNames = "??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ??1?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ ??1?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAA@XZ ?_Clear@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXXZ ?_Clear@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAAXXZ ?_Clear@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 09 48 85 C9 74 13 E8 ?? ?? ?? ?? 48 83 23 00 48 83 63 08 00 48 83 63 10 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_238_1 {
	meta:
		name = "?wait_for_async_sends@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 21
	strings:
		$1 = { C6 81 90 00 00 00 01 48 81 C1 98 00 00 00 48 8B 01 48 FF 60 10 }
	condition:
		$1
}

rule file_85_239_1 {
	meta:
		name = "?_Reset@?$_Function_impl1@XAEB_K@tr1@std@@IEAAXAEBV123@@Z"
		size = 54
		altNames = "?_Reset@?$_Function_impl1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@IEAAXAEBV123@@Z ?_Reset@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXAEBV123@@Z ?_Reset@?$_Function_impl1@_NAEBW4agent_status@Concurrency@@@tr1@std@@IEAAXAEBV123@@Z ?_Reset@?$_Function_impl1@_NAEB_K@tr1@std@@IEAAXAEBV123@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 7A 18 00 48 8B D9 75 07 48 83 61 18 00 EB 19 48 8B 4A 18 48 8B 01 48 3B CA 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_243_1 {
	meta:
		name = "??0?$_Async_send_queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 40
		refs = "000a ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "??0?$_Async_send_queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 4C 8D 5B 28 49 83 23 00 49 83 63 10 00 4D 89 5B 08 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_251_1 {
	meta:
		name = "?unlink_target@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@UEAAX0@Z"
		size = 171
		refs = "0023 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0034 ??0exception@std@@QEAA@AEBQEBD@Z 003b ??_7invalid_argument@std@@6B@ 0047 _TI3?AVinvalid_argument@std@@ 0051 _CxxThrowException 0060 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0091 ?set@event@Concurrency@@QEAAXXZ 009c ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_target@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@UEAAX0@Z"
	strings:
		$1 = { 4C 8B DC 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 49 89 5B 08 48 8B DA 48 8B F9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 89 43 10 49 8D 53 10 49 8D 4B C0 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 51 50 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8D 8F 80 00 00 00 48 8B 01 48 8B D3 FF 50 08 84 C0 74 1D 48 8B 03 48 8B D7 48 8B CB FF 50 20 C7 47 48 01 00 00 00 48 8D 4F 10 E8 ?? ?? ?? ?? 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_253_1 {
	meta:
		name = "?unlink_targets@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@UEAAXXZ"
		size = 217
		refs = "002b ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00b5 ?set@event@Concurrency@@QEAAXXZ 00bf ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_targets@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@UEAAXXZ"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B D9 48 8D 51 50 48 8D 4D E0 E8 ?? ?? ?? ?? 90 48 8B 83 80 00 00 00 48 8D 55 C8 48 8D 8B 80 00 00 00 FF 50 20 EB 4B 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 8B F8 48 89 45 D8 48 8B 83 80 00 00 00 48 8B D7 48 8D 8B 80 00 00 00 FF 50 08 84 C0 74 0C 48 8B 07 48 8B D3 48 8B CF FF 50 20 48 FF 45 D0 48 8B 4D C8 48 8B 01 48 8D 55 D0 FF 50 28 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 85 C0 48 89 45 D8 75 9E C7 43 48 01 00 00 00 48 8D 4B 10 E8 ?? ?? ?? ?? 90 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 73 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_85_255_1 {
	meta:
		name = "?accept@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@UEAAPEAV?$message@W4agent_status@Concurrency@@@2@H0@Z"
		size = 100
		refs = "0049 ?set@event@Concurrency@@QEAAXXZ"
		altNames = "?accept@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@UEAAPEAV?$message@_K@2@H0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 4D 85 C0 74 39 48 83 E9 80 49 8B D0 48 8B 01 FF 50 10 84 C0 74 28 48 8B 7B 08 48 85 FF 74 1F 39 77 08 75 1A 48 83 63 08 00 48 8D 4B 10 C7 43 48 00 00 00 00 E8 ?? ?? ?? ?? 48 8B C7 EB 02 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_256_1 {
	meta:
		name = "?release@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@UEAAXH0@Z"
		size = 192
		refs = "0019 ??_C@_08NFKFEOEH@_PTarget?$AA@ 002a ??0exception@std@@QEAA@AEBQEBD@Z 0031 ??_7invalid_argument@std@@6B@ 0038 _TI3?AVinvalid_argument@std@@ 0047 _CxxThrowException 0063 ??0bad_target@Concurrency@@QEAA@XZ 006a _TI2?AVbad_target@Concurrency@@ 00a0 ?set@event@Concurrency@@QEAAXXZ 00aa ??0message_not_found@Concurrency@@QEAA@XZ 00b1 _TI2?AVmessage_not_found@Concurrency@@"
		altNames = "?release@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@UEAAXH0@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 57 48 83 EC 70 8B FA 48 8B D9 4D 85 C0 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 18 49 8D 4B A8 49 89 43 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 E9 80 49 8B D0 48 8B 01 FF 50 10 84 C0 75 1C 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 E8 ?? ?? ?? ?? CC 48 8B 43 08 48 85 C0 74 22 39 78 08 75 1D 48 8D 4B 10 C7 43 48 01 00 00 00 48 8B 9C 24 80 00 00 00 48 83 C4 70 5F E9 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 50 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_85_260_1 {
	meta:
		name = "?_send@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@QEAA_N01@Z"
		size = 276
		refs = "002f ??_C@_08NFKFEOEH@_PTarget?$AA@ 0040 ??0exception@std@@QEAA@AEBQEBD@Z 0047 ??_7invalid_argument@std@@6B@ 0053 _TI3?AVinvalid_argument@std@@ 005d _CxxThrowException 0068 ?Alloc@Concurrency@@YAPEAX_K@Z 0077 ??_7_Runtime_object@details@Concurrency@@6B@ 0087 s_RuntimeObjectIdentity 0091 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@ 00b5 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00e2 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00f3 ?wait@event@Concurrency@@QEAA_KI@Z"
	strings:
		$1 = { 4C 8B DC 56 57 41 54 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 49 89 5B 08 49 89 6B 18 4D 8B E0 48 8B EA 48 8B F1 33 DB 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 89 43 10 49 8D 53 10 49 8D 4B B0 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 34 48 8D 05 ?? ?? ?? ?? 48 89 07 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 07 41 8B 04 24 89 47 10 48 89 5F 18 89 5F 20 EB 03 48 8B FB 48 8D 56 50 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 06 48 8B D5 48 8B CE FF 50 08 48 89 7E 08 48 8B 45 00 4C 8B C6 48 8B D7 48 8B CD FF 50 10 8B F8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 83 FF 02 75 0F 48 8D 4E 10 83 CA FF E8 ?? ?? ?? ?? 8B 7E 48 85 FF 0F 94 C0 4C 8D 5C 24 60 49 8B 5B 20 49 8B 6B 30 49 8B E3 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_85_262_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA@0I@Z"
		size = 105
		refs = "0021 ??_7_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@6B@ 0045 ??0event@Concurrency@@QEAA@XZ 0056 ?_Connect@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 41 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 60 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_277_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA@0I@Z"
		size = 105
		refs = "0021 ??_7_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@6B@ 0045 ??0event@Concurrency@@QEAA@XZ 0056 ?_Connect@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 41 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 60 00 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_265_1 {
	meta:
		name = "?_Value@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA?AW432@XZ"
		size = 95
		refs = "001f ?wait@event@Concurrency@@QEAA_KI@Z 003c ??0operation_timed_out@Concurrency@@QEAA@XZ 0043 _TI2?AVoperation_timed_out@Concurrency@@ 004d _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 33 C0 B9 01 00 00 00 F0 0F B1 4B 08 75 0C 8B 53 20 48 8D 4B 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 28 44 8B 5B 08 41 83 FB 02 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 43 18 8B 40 10 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_266_1 {
	meta:
		name = "??0_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@QEAA@XZ"
		size = 104
		refs = "0019 ??_7_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@6B@ 002a ??0event@Concurrency@@QEAA@XZ 003b ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0042 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 C1 10 E8 ?? ?? ?? ?? 90 C7 43 48 02 00 00 00 48 8D 4B 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 83 A3 88 00 00 00 00 C7 83 90 00 00 00 00 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_380_1 {
	meta:
		name = "??0_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@QEAA@XZ"
		size = 104
		refs = "0019 ??_7_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@6B@ 002a ??0event@Concurrency@@QEAA@XZ 003b ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0042 ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 C1 10 E8 ?? ?? ?? ?? 90 C7 43 48 02 00 00 00 48 8D 4B 50 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 83 A3 88 00 00 00 00 C7 83 90 00 00 00 00 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_275_1 {
	meta:
		name = "?_send@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@QEAA_N01@Z"
		size = 277
		refs = "002f ??_C@_08NFKFEOEH@_PTarget?$AA@ 0040 ??0exception@std@@QEAA@AEBQEBD@Z 0047 ??_7invalid_argument@std@@6B@ 0053 _TI3?AVinvalid_argument@std@@ 005d _CxxThrowException 0068 ?Alloc@Concurrency@@YAPEAX_K@Z 0077 ??_7_Runtime_object@details@Concurrency@@6B@ 0087 s_RuntimeObjectIdentity 0091 ??_7?$message@_K@Concurrency@@6B@ 00b6 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00e3 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00f4 ?wait@event@Concurrency@@QEAA_KI@Z"
	strings:
		$1 = { 4C 8B DC 56 57 41 54 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 49 89 5B 08 49 89 6B 18 4D 8B E0 48 8B EA 48 8B F1 33 DB 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 89 43 10 49 8D 53 10 49 8D 4B B0 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 35 48 8D 05 ?? ?? ?? ?? 48 89 07 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 47 08 48 8D 05 ?? ?? ?? ?? 48 89 07 49 8B 04 24 48 89 47 10 48 89 5F 18 89 5F 20 EB 03 48 8B FB 48 8D 56 50 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8B 06 48 8B D5 48 8B CE FF 50 08 48 89 7E 08 48 8B 45 00 4C 8B C6 48 8B D7 48 8B CD FF 50 10 8B F8 48 8D 4C 24 40 E8 ?? ?? ?? ?? 83 FF 02 75 0F 48 8D 4E 10 83 CA FF E8 ?? ?? ?? ?? 8B 7E 48 85 FF 0F 94 C0 4C 8D 5C 24 60 49 8B 5B 20 49 8B 6B 30 49 8B E3 41 5C 5F 5E C3 }
	condition:
		$1
}

rule file_85_280_1 {
	meta:
		name = "?_Value@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA_KXZ"
		size = 96
		refs = "001f ?wait@event@Concurrency@@QEAA_KI@Z 003c ??0operation_timed_out@Concurrency@@QEAA@XZ 0043 _TI2?AVoperation_timed_out@Concurrency@@ 004d _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 33 C0 B9 01 00 00 00 F0 0F B1 4B 08 75 0C 8B 53 20 48 8D 4B 28 E8 ?? ?? ?? ?? 48 8B 03 48 8B CB FF 50 28 44 8B 5B 08 41 83 FB 02 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8B 43 18 48 8B 40 10 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_286_1 {
	meta:
		name = "?allocate@?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@@std@@QEAAPEAV?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@2@_K@Z"
		size = 99
		refs = "0022 ??2@YAPEAX_K@Z 003c ??0exception@std@@QEAA@AEBQEBD@Z 0043 ??_7bad_alloc@std@@6B@ 004a _TI2?AVbad_alloc@std@@ 0059 _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 33 C0 48 85 D2 74 53 48 B8 FF FF FF FF FF FF FF 07 48 3B D0 77 11 48 C1 E2 05 48 8B CA E8 ?? ?? ?? ?? 48 85 C0 75 33 48 83 64 24 58 00 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_300_1 {
	meta:
		name = "?wait@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ"
		size = 71
		refs = "0018 ?Yield@Context@Concurrency@@SAXXZ 0031 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?wait@?$ordered_message_processor@_K@Concurrency@@UEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 F0 FF 81 84 00 00 00 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 8B 81 88 00 00 00 85 C0 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9B 88 00 00 00 45 85 DB 75 EA 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_307_1 {
	meta:
		name = "??_G?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@QEAAPEAXI@Z"
		size = 69
		refs = "0033 ??3@YAXPEAX@Z"
		altNames = "??_G?$function@$$A6A_NAEB_K@Z@tr1@std@@QEAAPEAXI@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 49 18 8B FA 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 18 48 83 63 18 00 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_308_1 {
	meta:
		name = "??1?$_Async_send_queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
		size = 100
		refs = "0060 ??1critical_section@Concurrency@@QEAA@XZ"
		altNames = "??1?$_Async_send_queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 59 28 48 8B 0B 48 85 C9 74 2B 48 8B 41 18 48 85 C0 48 89 03 75 04 48 89 5B 08 48 83 61 18 00 48 FF 4B 10 48 85 C9 74 DA 48 8B 01 BA 01 00 00 00 FF 50 08 EB CD 48 8B CF 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_318_1 {
	meta:
		name = "?remove_sources@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 44
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 C6 81 90 00 00 00 01 48 81 C1 98 00 00 00 48 8B 01 FF 50 10 4C 8B 1B 48 8B CB 48 83 C4 20 5B 49 FF 63 28 }
	condition:
		$1
}

rule file_85_319_1 {
	meta:
		name = "??0?$function@$$A6AXAEB_K@Z@tr1@std@@QEAA@AEBV012@@Z"
		size = 57
		altNames = "??0?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@QEAA@AEBV012@@Z ??0?$function@$$A6A_NAEB_K@Z@tr1@std@@QEAA@AEBV012@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 7A 18 00 48 8B D9 75 07 48 83 61 18 00 EB 19 48 8B 4A 18 48 8B 01 48 3B CA 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_321_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_334_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_363_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_348_1 {
	meta:
		name = "??0?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 33
		refs = "0008 ??_7?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 83 49 08 FF 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 48 89 41 10 48 89 41 18 48 89 41 20 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_323_1 {
	meta:
		name = "?_Grow@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
		size = 116
		refs = "002c ??_U@YAPEAX_K@Z 0059 ??_V@YAXPEAX@Z"
		altNames = "?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z ?_Grow@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B D9 48 8B F2 48 C7 C1 FF FF FF FF B8 08 00 00 00 48 F7 E2 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 45 33 C0 48 8B F8 4C 39 03 74 22 4C 39 43 10 76 14 48 8B 0B 4A 8B 14 C1 4A 89 14 C0 49 FF C0 4C 3B 43 10 72 EC 48 8B 0B E8 ?? ?? ?? ?? 48 89 73 10 48 8B 74 24 38 48 89 3B 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_324_1 {
	meta:
		name = "?contains@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 47
		altNames = "?contains@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z ?contains@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@_K@2@@Z ?contains@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 85 D2 75 04 32 C0 EB 11 4C 8B 01 48 8B 59 18 41 FF 50 40 48 3B C3 0F 92 C0 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_326_1 {
	meta:
		name = "?_Next_index@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEAAXAEA_K@Z"
		size = 37
		altNames = "?_Next_index@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEAAXAEA_K@Z ?_Next_index@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@MEAAXAEA_K@Z ?_Next_index@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@MEAAXAEA_K@Z"
	strings:
		$1 = { 4C 8B 49 18 4C 39 0A 73 1A 4C 8B 02 48 8B 41 10 4A 83 3C C0 00 75 0C 49 8D 40 01 48 89 02 49 3B C1 72 E6 F3 C3 }
	condition:
		$1
}

rule file_85_327_1 {
	meta:
		name = "?_Get_element@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEBAPEAV?$ITarget@W4agent_status@Concurrency@@@2@_K@Z"
		size = 18
		altNames = "?_Get_element@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@MEBAPEAV?$ISource@W4agent_status@Concurrency@@@2@_K@Z ?_Get_element@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@MEBAPEAV?$ISource@_K@2@_K@Z ?_Get_element@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@MEBAPEAV?$ITarget@_K@2@_K@Z"
	strings:
		$1 = { 48 3B 51 18 73 09 48 8B 41 10 48 8B 04 D0 C3 33 C0 C3 }
	condition:
		$1
}

rule file_85_328_1 {
	meta:
		name = "?_Find@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@EEAA_KPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 34
		altNames = "?_Find@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@EEAA_KPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z ?_Find@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@EEAA_KPEAV?$ISource@_K@2@@Z ?_Find@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@EEAA_KPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 4C 8B 41 18 33 C0 4D 85 C0 74 15 48 8B 49 10 48 39 11 74 0C 48 FF C0 48 83 C1 08 49 3B C0 72 EF F3 C3 }
	condition:
		$1
}

rule file_85_329_1 {
	meta:
		name = "?_Remove@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 72
		altNames = "?_Remove@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z ?_Remove@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEAA_NPEAV?$ISource@_K@2@@Z ?_Remove@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C1 45 33 D2 41 8B CA 4C 39 50 18 76 19 4C 8B 48 10 4D 8B C1 49 39 10 74 10 48 FF C1 49 83 C0 08 48 3B 48 18 72 EE 32 C0 C3 4D 89 14 C9 48 83 78 08 FF 74 0F 48 8B 48 08 48 85 C9 49 0F 45 CA 48 89 48 08 B0 01 C3 }
	condition:
		$1
}

rule file_85_330_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ITarget@W4agent_status@Concurrency@@@3@@Z"
		size = 65
		refs = "0020 ?_Grow@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0A 48 8D 54 12 02 E8 ?? ?? ?? ?? 4C 8B 4B 08 4C 8B 03 48 8B 07 4B 89 04 C8 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_344_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ISource@W4agent_status@Concurrency@@@3@@Z"
		size = 65
		refs = "0020 ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0A 48 8D 54 12 02 E8 ?? ?? ?? ?? 4C 8B 4B 08 4C 8B 03 48 8B 07 4B 89 04 C8 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_373_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ISource@_K@3@@Z"
		size = 65
		refs = "0020 ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0A 48 8D 54 12 02 E8 ?? ?? ?? ?? 4C 8B 4B 08 4C 8B 03 48 8B 07 4B 89 04 C8 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_357_1 {
	meta:
		name = "?_Push_back@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@QEAAXAEBQEAV?$ITarget@_K@3@@Z"
		size = 65
		refs = "0020 ?_Grow@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B 51 08 48 8B D9 48 3B 51 10 72 0A 48 8D 54 12 02 E8 ?? ?? ?? ?? 4C 8B 4B 08 4C 8B 03 48 8B 07 4B 89 04 C8 48 FF 43 08 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_331_1 {
	meta:
		name = "?remove@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 87
		altNames = "?remove@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z ?remove@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ISource@_K@2@@Z ?remove@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA_NPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 45 33 DB 4C 8B C2 48 85 D2 75 03 32 C0 C3 49 8B C3 4C 39 59 18 76 1E 4C 8B 51 10 BA 01 00 00 00 4D 8B CA 4D 39 01 74 13 48 03 C2 49 83 C1 08 48 3B 41 18 72 EE 41 8A D3 8A C2 C3 4D 89 1C C2 48 83 79 08 FF 74 F2 48 8B 41 08 48 85 C0 49 0F 45 C3 48 89 41 08 EB E1 }
	condition:
		$1
}

rule file_85_332_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 212
		refs = "0028 ??_C@_05KMIILNPJ@_Link?$AA@ 0032 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 0039 _TI2?AVinvalid_link_target@Concurrency@@ 0043 _CxxThrowException 00b6 ?_Grow@?$_Dynamic_array@PEAV?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 2D 49 8D 40 01 48 3B 41 08 76 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 33 C0 4D 85 C0 74 50 48 8B 51 10 4C 8B D2 49 83 3A 00 74 09 4C 8D 48 01 49 39 3A 74 17 48 FF C0 49 83 C2 08 49 3B C0 72 E5 4D 3B C8 73 29 4A 89 3C CA EB 4D 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 0D 48 8D 54 12 02 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_346_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 212
		refs = "0028 ??_C@_05KMIILNPJ@_Link?$AA@ 0032 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 0039 _TI2?AVinvalid_link_target@Concurrency@@ 0043 _CxxThrowException 00b6 ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 2D 49 8D 40 01 48 3B 41 08 76 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 33 C0 4D 85 C0 74 50 48 8B 51 10 4C 8B D2 49 83 3A 00 74 09 4C 8D 48 01 49 39 3A 74 17 48 FF C0 49 83 C2 08 49 3B C0 72 E5 4D 3B C8 73 29 4A 89 3C CA EB 4D 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 0D 48 8D 54 12 02 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_375_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@_K@2@@Z"
		size = 212
		refs = "0028 ??_C@_05KMIILNPJ@_Link?$AA@ 0032 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 0039 _TI2?AVinvalid_link_target@Concurrency@@ 0043 _CxxThrowException 00b6 ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 2D 49 8D 40 01 48 3B 41 08 76 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 33 C0 4D 85 C0 74 50 48 8B 51 10 4C 8B D2 49 83 3A 00 74 09 4C 8D 48 01 49 39 3A 74 17 48 FF C0 49 83 C2 08 49 3B C0 72 E5 4D 3B C8 73 29 4A 89 3C CA EB 4D 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 0D 48 8D 54 12 02 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_359_1 {
	meta:
		name = "?_Add@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@_K@2@@Z"
		size = 212
		refs = "0028 ??_C@_05KMIILNPJ@_Link?$AA@ 0032 ??0invalid_link_target@Concurrency@@QEAA@PEBD@Z 0039 _TI2?AVinvalid_link_target@Concurrency@@ 0043 _CxxThrowException 00b6 ?_Grow@?$_Dynamic_array@PEAV?$ITarget@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 4C 8B 41 18 45 33 C9 48 83 79 08 FF 48 8B FA 74 2D 49 8D 40 01 48 3B 41 08 76 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 33 C0 4D 85 C0 74 50 48 8B 51 10 4C 8B D2 49 83 3A 00 74 09 4C 8D 48 01 49 39 3A 74 17 48 FF C0 49 83 C2 08 49 3B C0 72 E5 4D 3B C8 73 29 4A 89 3C CA EB 4D 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 8D 59 10 48 8B 53 08 48 3B 53 10 72 0D 48 8D 54 12 02 48 8B CB E8 ?? ?? ?? ?? 48 8B 4B 08 48 8B 03 48 89 3C C8 48 FF 43 08 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_333_1 {
	meta:
		name = "?_Wait_on_ref@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@AEAAXJ@Z"
		size = 75
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?_Wait_on_ref@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXJ@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 8B DA 48 89 44 24 30 8B 81 20 01 00 00 48 8B F9 3B C2 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9F 20 01 00 00 44 3B DB 75 EA 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_362_1 {
	meta:
		name = "??4?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@QEAAAEAV012@AEBV012@@Z"
		size = 100
		altNames = "??4?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@tr1@std@@QEAAAEAV012@AEBV012@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 41 48 8B 49 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 18 48 83 63 18 00 48 83 7F 18 00 75 07 48 83 63 18 00 EB 19 48 8B 4F 18 48 8B 01 48 3B CF 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_378_1 {
	meta:
		name = "?_Wait_on_ref@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXJ@Z"
		size = 75
		refs = "0012 ?_UnderlyingYield@details@Concurrency@@YAXXZ 0030 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 8B DA 48 89 44 24 30 8B 81 08 01 00 00 48 8B F9 3B C2 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9F 08 01 00 00 44 3B DB 75 EA 48 8B 5C 24 50 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_383_1 {
	meta:
		name = "?_Wait_on_ref@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@AEAAXXZ"
		size = 64
		refs = "000e ?_UnderlyingYield@details@Concurrency@@YAXXZ 002a ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?_Wait_on_ref@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 8B D9 48 89 44 24 30 8B 81 90 00 00 00 85 C0 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9B 90 00 00 00 45 85 DB 75 EA 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_384_1 {
	meta:
		name = "??1_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA@XZ"
		size = 163
		refs = "001e ??_7_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@6B@ 0052 ??3@YAXPEAX@Z 0089 ??1event@Concurrency@@QEAA@XZ 0091 ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 FF 15 ?? ?? ?? ?? 48 8B 7B 60 48 85 FF 74 22 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 18 48 83 67 18 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 43 18 48 89 44 24 48 48 8B 44 24 48 48 89 44 24 48 48 8B 44 24 48 48 85 C0 74 11 48 8B 4C 24 48 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 4B 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_619_1 {
	meta:
		name = "??1_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA@XZ"
		size = 163
		refs = "001e ??_7_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@6B@ 0052 ??3@YAXPEAX@Z 0089 ??1event@Concurrency@@QEAA@XZ 0091 ??_7?$ITarget@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 FF 15 ?? ?? ?? ?? 48 8B 7B 60 48 85 FF 74 22 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 18 48 83 67 18 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 43 18 48 89 44 24 48 48 8B 44 24 48 48 89 44 24 48 48 8B 44 24 48 48 85 C0 74 11 48 8B 4C 24 48 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 4B 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_390_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@QEAA@AEBQ6A_NAEBW4agent_status@Concurrency@@@ZV?$allocator@V?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@@2@@Z"
		size = 21
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_419_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@QEAA@AEAV<lambda1>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@2@@Z"
		size = 21
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_436_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@QEAA@AEAV<lambda2>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@@2@@Z"
		size = 21
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_458_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@QEAA@AEAV<lambda3>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@2@@Z"
		size = 21
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_478_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@QEAA@AEAV<lambda4>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@@2@@Z"
		size = 21
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_400_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@QEAA@AEBV012@@Z"
		size = 22
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_431_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@QEAA@AEBV012@@Z"
		size = 22
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_451_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@QEAA@AEBV012@@Z"
		size = 22
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_471_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@QEAA@AEBV012@@Z"
		size = 22
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_491_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@QEAA@AEBV012@@Z"
		size = 22
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_403_1 {
	meta:
		name = "?_Copy@?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@UEAAPEAV?$_Impl_base1@_NAEBW4agent_status@Concurrency@@@23@PEAX@Z"
		size = 107
		refs = "0012 ??2@YAPEAX_K@Z 002e ??0exception@std@@QEAA@AEBQEBD@Z 0035 ??_7bad_alloc@std@@6B@ 003c _TI2?AVbad_alloc@std@@ 004b _CxxThrowException 0053 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 85 D2 75 42 8D 4A 10 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 32 48 21 44 24 58 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 43 08 48 89 42 08 48 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_434_1 {
	meta:
		name = "?_Copy@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAPEAV?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@23@PEAX@Z"
		size = 107
		refs = "0012 ??2@YAPEAX_K@Z 002e ??0exception@std@@QEAA@AEBQEBD@Z 0035 ??_7bad_alloc@std@@6B@ 003c _TI2?AVbad_alloc@std@@ 004b _CxxThrowException 0053 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 85 D2 75 42 8D 4A 10 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 32 48 21 44 24 58 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 43 08 48 89 42 08 48 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_455_1 {
	meta:
		name = "?_Copy@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@UEAAPEAV?$_Impl_base1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@23@PEAX@Z"
		size = 107
		refs = "0012 ??2@YAPEAX_K@Z 002e ??0exception@std@@QEAA@AEBQEBD@Z 0035 ??_7bad_alloc@std@@6B@ 003c _TI2?AVbad_alloc@std@@ 004b _CxxThrowException 0053 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 85 D2 75 42 8D 4A 10 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 32 48 21 44 24 58 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 43 08 48 89 42 08 48 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_475_1 {
	meta:
		name = "?_Copy@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAPEAV?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@23@PEAX@Z"
		size = 107
		refs = "0012 ??2@YAPEAX_K@Z 002e ??0exception@std@@QEAA@AEBQEBD@Z 0035 ??_7bad_alloc@std@@6B@ 003c _TI2?AVbad_alloc@std@@ 004b _CxxThrowException 0053 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 85 D2 75 42 8D 4A 10 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 32 48 21 44 24 58 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 43 08 48 89 42 08 48 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_495_1 {
	meta:
		name = "?_Copy@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAPEAV?$_Impl_base1@XPEAV?$message@_K@Concurrency@@@23@PEAX@Z"
		size = 107
		refs = "0012 ??2@YAPEAX_K@Z 002e ??0exception@std@@QEAA@AEBQEBD@Z 0035 ??_7bad_alloc@std@@6B@ 003c _TI2?AVbad_alloc@std@@ 004b _CxxThrowException 0053 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 85 D2 75 42 8D 4A 10 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 32 48 21 44 24 58 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 43 08 48 89 42 08 48 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_405_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@QEAA@AEAV<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@@2@@Z"
		size = 37
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 02 48 89 41 08 48 8B 42 08 48 89 41 10 48 8B 42 10 48 89 41 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_416_1 {
	meta:
		name = "??0?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@QEAA@AEBV012@@Z"
		size = 38
		refs = "0003 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@6B@"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 42 08 48 89 41 08 48 8B 42 10 48 89 41 10 48 8B 42 18 48 89 41 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_418_1 {
	meta:
		name = "?_Copy@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@UEAAPEAV?$_Impl_base1@XAEB_K@23@PEAX@Z"
		size = 123
		refs = "0012 ??2@YAPEAX_K@Z 002e ??0exception@std@@QEAA@AEBQEBD@Z 0035 ??_7bad_alloc@std@@6B@ 003c _TI2?AVbad_alloc@std@@ 004b _CxxThrowException 0053 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 85 D2 75 42 8D 4A 20 E8 ?? ?? ?? ?? 48 8B D0 48 85 C0 75 32 48 21 44 24 58 48 8D 54 24 58 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8D 05 ?? ?? ?? ?? 48 89 02 48 8B 43 08 48 89 42 08 48 8B 43 10 48 89 42 10 48 8B 43 18 48 89 42 18 48 8B C2 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_437_1 {
	meta:
		name = "?_Handle_message@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@AEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?_Handle_message@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXPEAV?$message@_K@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8B F9 48 8D 91 F0 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 07 48 8B D3 48 8B CF FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_448_1 {
	meta:
		name = "??R<lambda2>@?A0xd3335188@Concurrency@@QEBAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "??R<lambda3>@?A0xd3335188@Concurrency@@QEBAXPEAV?$message@_K@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B 19 48 8D 93 F0 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_452_1 {
	meta:
		name = "??$_ApplyX@XAEAPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@QEAAXAEAPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "??$_ApplyX@XAEAPEAV?$message@_K@Concurrency@@@?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@QEAAXAEAPEAV?$message@_K@Concurrency@@@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B 1A 48 8B 39 48 8D 97 F0 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 07 48 8B D3 48 8B CF FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_456_1 {
	meta:
		name = "?_Do_call@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@UEAAXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z"
		size = 82
		refs = "0028 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0043 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?_Do_call@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAXPEAV?$message@_K@Concurrency@@@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B 59 08 48 8D 93 F0 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_479_1 {
	meta:
		name = "?_Handle_message@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@AEAAXPEAV?$message@_K@2@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8B F9 48 8D 91 D8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 07 48 8B D3 48 8B CF FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_488_1 {
	meta:
		name = "??R<lambda4>@?A0xd3335188@Concurrency@@QEBAXPEAV?$message@_K@2@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B 19 48 8D 93 D8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_492_1 {
	meta:
		name = "??$_ApplyX@XAEAPEAV?$message@_K@Concurrency@@@?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@QEAAXAEAPEAV?$message@_K@Concurrency@@@Z"
		size = 81
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B 1A 48 8B 39 48 8D 97 D8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 07 48 8B D3 48 8B CF FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_496_1 {
	meta:
		name = "?_Do_call@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@UEAAXPEAV?$message@_K@Concurrency@@@Z"
		size = 82
		refs = "0028 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0043 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B 59 08 48 8D 93 D8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 90 88 00 00 00 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_505_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 143
		refs = "0019 ??_7?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 004c ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0056 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005d _TI2?AVinvalid_operation@Concurrency@@ 0067 _CxxThrowException 0076 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 33 D2 48 39 41 18 76 42 48 8B 49 10 48 83 39 00 74 03 48 FF C0 48 FF C2 48 83 C1 08 48 3B 53 18 72 EA 48 85 C0 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_525_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 143
		refs = "0019 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 004c ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0056 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005d _TI2?AVinvalid_operation@Concurrency@@ 0067 _CxxThrowException 0076 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 33 D2 48 39 41 18 76 42 48 8B 49 10 48 83 39 00 74 03 48 FF C0 48 FF C2 48 83 C1 08 48 3B 53 18 72 EA 48 85 C0 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_548_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 143
		refs = "0019 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@ 004c ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0056 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005d _TI2?AVinvalid_operation@Concurrency@@ 0067 _CxxThrowException 0076 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 33 D2 48 39 41 18 76 42 48 8B 49 10 48 83 39 00 74 03 48 FF C0 48 FF C2 48 83 C1 08 48 3B 53 18 72 EA 48 85 C0 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_528_1 {
	meta:
		name = "??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 143
		refs = "0019 ??_7?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 004c ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0056 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005d _TI2?AVinvalid_operation@Concurrency@@ 0067 _CxxThrowException 0076 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 33 C0 33 D2 48 39 41 18 76 42 48 8B 49 10 48 83 39 00 74 03 48 FF C0 48 FF C2 48 83 C1 08 48 3B 53 18 72 EA 48 85 C0 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 4B 10 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 10 00 48 83 63 18 00 48 83 63 20 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_507_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_527_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_550_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAAXPEAV?$ISource@_K@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_530_1 {
	meta:
		name = "?add@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 19
		refs = "000a ?_Add@?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@AEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 85 D2 74 05 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_508_1 {
	meta:
		name = "??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 155
		refs = "001e ??_7?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@6B@ 0034 ?Yield@Context@Concurrency@@SAXXZ 004d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0083 ??1critical_section@Concurrency@@QEAA@XZ 0097 ??1?$_Async_send_queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 F0 FF 81 84 00 00 00 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 8B 81 88 00 00 00 85 C0 74 16 48 8D 4C 24 28 E8 ?? ?? ?? ?? 44 8B 9B 88 00 00 00 45 85 DB 75 EA 48 8D BB 90 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 18 48 83 67 18 00 48 8D 4B 58 E8 ?? ?? ?? ?? 90 48 8D 4B 18 48 8B 5C 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_531_1 {
	meta:
		name = "??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
		size = 155
		refs = "001e ??_7?$ordered_message_processor@_K@Concurrency@@6B@ 0034 ?Yield@Context@Concurrency@@SAXXZ 004d ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 0083 ??1critical_section@Concurrency@@QEAA@XZ 0097 ??1?$_Async_send_queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 F0 FF 81 84 00 00 00 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 8B 81 88 00 00 00 85 C0 74 16 48 8D 4C 24 28 E8 ?? ?? ?? ?? 44 8B 9B 88 00 00 00 45 85 DB 75 EA 48 8D BB 90 00 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 18 48 83 67 18 00 48 8D 4B 58 E8 ?? ?? ?? ?? 90 48 8D 4B 18 48 8B 5C 24 58 48 83 C4 40 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_511_1 {
	meta:
		name = "?dtor$2@?0???1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@tr1@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 90 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_534_1 {
	meta:
		name = "?dtor$2@?0???1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 90 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_513_1 {
	meta:
		name = "?_Enqueue@?$_Queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA_NPEAV?$message@W4agent_status@Concurrency@@@3@@Z"
		size = 26
		altNames = "?_Enqueue@?$_Queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA_NPEAV?$message@_K@3@@Z"
	strings:
		$1 = { 48 8B 41 08 48 89 10 48 8D 42 18 48 83 20 00 48 FF 41 10 48 89 41 08 B0 01 C3 }
	condition:
		$1
}

rule file_85_516_1 {
	meta:
		name = "?_Enqueue@?$_Async_send_queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA_NPEAV?$message@W4agent_status@Concurrency@@@3@@Z"
		size = 75
		refs = "0019 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003a ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?_Enqueue@?$_Async_send_queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAA_NPEAV?$message@_K@3@@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B DA 48 8B F9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 47 30 48 8D 4C 24 20 48 89 18 48 8D 43 18 48 83 20 00 48 FF 47 38 48 89 47 30 E8 ?? ?? ?? ?? 48 8B 5C 24 50 B0 01 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_517_1 {
	meta:
		name = "?_Dequeue@?$_Async_send_queue@V?$message@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAPEAV?$message@W4agent_status@Concurrency@@@3@XZ"
		size = 91
		refs = "0016 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0049 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?_Dequeue@?$_Async_send_queue@V?$message@_K@Concurrency@@@details@Concurrency@@QEAAPEAV?$message@_K@3@XZ"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B D9 48 8B D1 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 83 C3 28 33 FF 48 8B 0B 48 85 C9 74 1B 48 8B 41 18 48 89 03 48 85 C0 75 04 48 89 5B 08 48 89 79 18 48 FF 4B 10 48 8B F9 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8B 5C 24 50 48 8B C7 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_519_1 {
	meta:
		name = "?_Process_message_helper@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXXZ"
		size = 202
		refs = "0029 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003e ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 00af ?_Xfunc@tr1@std@@YAXXZ"
		altNames = "?_Process_message_helper@?$ordered_message_processor@_K@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 70 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 8B F9 48 8D 51 58 48 8D 48 B0 E8 ?? ?? ?? ?? 90 8B 87 80 00 00 00 85 C0 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB 70 48 8D 5F 40 48 8D 57 18 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 8B 33 48 85 F6 74 19 48 8B 46 18 48 89 03 48 85 C0 75 04 48 89 5B 08 48 83 66 18 00 48 FF 4B 10 48 8D 4C 24 48 E8 ?? ?? ?? ?? 48 83 BF A8 00 00 00 00 74 23 48 8B 8F A8 00 00 00 48 8B 01 48 8B D6 FF 50 08 83 C8 FF F0 0F C1 87 80 00 00 00 FF C8 85 C0 7F 9C EB 8A E8 ?? ?? ?? ?? 90 4C 8D 5C 24 70 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_522_1 {
	meta:
		name = "?sync_send@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 194
		refs = "0022 ??_C@_0DA@EMGPPPMG@sync_send?5called?5without?5registe@ 002c ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0033 _TI2?AVinvalid_operation@Concurrency@@ 003d _CxxThrowException 0077 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0098 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 00a7 ?_Process_message_helper@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 B9 A8 00 00 00 00 48 8B F2 48 8B F9 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC F0 FF 81 88 00 00 00 8B 81 84 00 00 00 85 C0 74 15 48 85 D2 74 53 48 8B 02 48 8B CE BA 01 00 00 00 FF 50 08 EB 43 48 85 D2 74 2F 48 8D 51 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 47 48 48 8D 4C 24 38 48 89 30 48 8D 46 18 48 83 20 00 48 FF 47 50 48 89 47 48 E8 ?? ?? ?? ?? F0 FF 87 80 00 00 00 48 8B CF E8 ?? ?? ?? ?? F0 FF 8F 88 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_545_1 {
	meta:
		name = "?sync_send@?$ordered_message_processor@_K@Concurrency@@UEAAXPEAV?$message@_K@2@@Z"
		size = 194
		refs = "0022 ??_C@_0DA@EMGPPPMG@sync_send?5called?5without?5registe@ 002c ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0033 _TI2?AVinvalid_operation@Concurrency@@ 003d _CxxThrowException 0077 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0098 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 00a7 ?_Process_message_helper@?$ordered_message_processor@_K@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 B9 A8 00 00 00 00 48 8B F2 48 8B F9 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC F0 FF 81 88 00 00 00 8B 81 84 00 00 00 85 C0 74 15 48 85 D2 74 53 48 8B 02 48 8B CE BA 01 00 00 00 FF 50 08 EB 43 48 85 D2 74 2F 48 8D 51 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 47 48 48 8D 4C 24 38 48 89 30 48 8D 46 18 48 83 20 00 48 FF 47 50 48 89 47 48 E8 ?? ?? ?? ?? F0 FF 87 80 00 00 00 48 8B CF E8 ?? ?? ?? ?? F0 FF 8F 88 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_523_1 {
	meta:
		name = "?async_send@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 277
		refs = "0022 ??_C@_0DB@IGEIKGDJ@async_send?5called?5without?5regist@ 002c ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0033 _TI2?AVinvalid_operation@Concurrency@@ 003d _CxxThrowException 008c ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00ad ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 00d3 ?_Process_incoming_message_wrapper@?$message_processor@W4agent_status@Concurrency@@@Concurrency@@KAXPEAX@Z 010c ?ScheduleTask@CurrentScheduler@Concurrency@@SAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 B9 A8 00 00 00 00 48 8B F2 48 8B F9 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC F0 FF 81 88 00 00 00 8B 81 84 00 00 00 85 C0 74 2A 48 85 D2 74 0E 48 8B 02 48 8B CE BA 01 00 00 00 FF 50 08 F0 FF 8F 88 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 48 85 D2 74 2F 48 8D 51 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 47 48 48 8D 4C 24 38 48 89 30 48 8D 46 18 48 83 20 00 48 FF 47 50 48 89 47 48 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 87 80 00 00 00 FF C0 83 F8 01 75 A1 48 83 7F 10 00 74 15 48 8B 4F 10 48 8D 15 ?? ?? ?? ?? 4C 8B C7 48 8B 01 FF 10 EB 8C 48 83 7F 08 00 74 19 48 8B 4F 08 48 8D 15 ?? ?? ?? ?? 4C 8B C7 48 8B 01 FF 50 48 E9 6C FF FF FF 48 8D 0D ?? ?? ?? ?? 48 8B D7 E8 ?? ?? ?? ?? E9 58 FF FF FF }
	condition:
		$1
}

rule file_85_546_1 {
	meta:
		name = "?async_send@?$ordered_message_processor@_K@Concurrency@@UEAAXPEAV?$message@_K@2@@Z"
		size = 277
		refs = "0022 ??_C@_0DB@IGEIKGDJ@async_send?5called?5without?5regist@ 002c ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0033 _TI2?AVinvalid_operation@Concurrency@@ 003d _CxxThrowException 008c ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 00ad ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 00d3 ?_Process_incoming_message_wrapper@?$message_processor@_K@Concurrency@@KAXPEAX@Z 010c ?ScheduleTask@CurrentScheduler@Concurrency@@SAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 60 48 83 B9 A8 00 00 00 00 48 8B F2 48 8B F9 75 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC F0 FF 81 88 00 00 00 8B 81 84 00 00 00 85 C0 74 2A 48 85 D2 74 0E 48 8B 02 48 8B CE BA 01 00 00 00 FF 50 08 F0 FF 8F 88 00 00 00 48 8B 5C 24 70 48 8B 74 24 78 48 83 C4 60 5F C3 48 85 D2 74 2F 48 8D 51 18 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8B 47 48 48 8D 4C 24 38 48 89 30 48 8D 46 18 48 83 20 00 48 FF 47 50 48 89 47 48 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F C1 87 80 00 00 00 FF C0 83 F8 01 75 A1 48 83 7F 10 00 74 15 48 8B 4F 10 48 8D 15 ?? ?? ?? ?? 4C 8B C7 48 8B 01 FF 10 EB 8C 48 83 7F 08 00 74 19 48 8B 4F 08 48 8D 15 ?? ?? ?? ?? 4C 8B C7 48 8B 01 FF 50 48 E9 6C FF FF FF 48 8D 0D ?? ?? ?? ?? 48 8B D7 E8 ?? ?? ?? ?? E9 58 FF FF FF }
	condition:
		$1
}

rule file_85_524_1 {
	meta:
		name = "?process_incoming_message@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@MEAAXXZ"
		size = 27
		refs = "000a ?_Process_message_helper@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? F0 FF 8B 88 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_547_1 {
	meta:
		name = "?process_incoming_message@?$ordered_message_processor@_K@Concurrency@@MEAAXXZ"
		size = 27
		refs = "000a ?_Process_message_helper@?$ordered_message_processor@_K@Concurrency@@AEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? F0 FF 8B 88 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_558_1 {
	meta:
		name = "??1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 74
		refs = "001b ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 002a ??_V@YAXPEAX@Z 0046 ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 50 E8 ?? ?? ?? ?? 90 48 8B 4B 38 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 63 40 00 48 83 63 48 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_561_1 {
	meta:
		name = "??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 74
		refs = "001b ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 002a ??_V@YAXPEAX@Z 0046 ??1critical_section@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 50 E8 ?? ?? ?? ?? 90 48 8B 4B 38 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 63 40 00 48 83 63 48 00 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_564_1 {
	meta:
		name = "??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 124
		refs = "0019 ??_7?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0028 ??1critical_section@Concurrency@@QEAA@XZ 0032 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 003a ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 004c ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0056 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 005d _TI2?AVinvalid_operation@Concurrency@@ 0067 _CxxThrowException 006f ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 40 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 81 C1 D8 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 43 18 48 83 7B 20 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_568_1 {
	meta:
		name = "?link_target@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 166
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0034 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0048 ??0exception@std@@QEAA@AEBQEBD@Z 004f ??_7invalid_argument@std@@6B@ 005b _TI3?AVinvalid_argument@std@@ 0065 _CxxThrowException 0097 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B DA 48 8B F9 48 8D 91 D8 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 85 DB 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 10 4C 8B 1B 48 8B D7 48 8B CB 41 FF 53 18 4C 8B 1F 48 8B D3 48 8B CF 41 FF 53 50 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_570_1 {
	meta:
		name = "?unlink_target@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 157
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0034 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0048 ??0exception@std@@QEAA@AEBQEBD@Z 004f ??_7invalid_argument@std@@6B@ 005b _TI3?AVinvalid_argument@std@@ 0065 _CxxThrowException 008e ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B DA 48 8B F9 48 8D 91 D8 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 85 DB 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 50 08 84 C0 74 0D 48 8B 03 48 8B D7 48 8B CB FF 50 20 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_572_1 {
	meta:
		name = "?unlink_targets@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXXZ"
		size = 150
		refs = "0025 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0087 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 5C 24 70 48 8B D9 48 8D 91 D8 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 90 48 8D 4B 18 48 8B 01 48 8D 55 C8 FF 50 20 EB 31 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 89 45 D8 4C 8B 03 48 8B D0 48 8B CB 41 FF 50 10 48 FF 45 D0 48 8B 4D C8 48 8B 01 48 8D 55 D0 FF 50 28 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 85 C0 48 89 45 D8 75 B8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_85_574_1 {
	meta:
		name = "?accept@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z"
		size = 77
		refs = "000c ??_C@_08NFKFEOEH@_PTarget?$AA@ 0020 ??0exception@std@@QEAA@AEBQEBD@Z 0027 ??_7invalid_argument@std@@6B@ 002e _TI3?AVinvalid_argument@std@@ 003d _CxxThrowException"
		altNames = "?accept@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@2@HPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z ?accept@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 48 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 60 48 8D 4C 24 20 48 89 44 24 60 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 01 48 83 C4 48 48 FF 60 60 }
	condition:
		$1
}

rule file_85_575_1 {
	meta:
		name = "?reserve@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA_NHPEAV?$ITarget@_K@2@@Z"
		size = 187
		refs = "002d ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003a ??_C@_08NFKFEOEH@_PTarget?$AA@ 004e ??0exception@std@@QEAA@AEBQEBD@Z 0055 ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 006b _CxxThrowException 007d ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F0 8B FA 48 8B D9 48 8D 91 D8 00 00 00 48 8D 48 D8 E8 ?? ?? ?? ?? 90 48 85 F6 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 0E 48 8D 4C 24 40 E8 ?? ?? ?? ?? 32 C0 EB 24 48 8B 03 8B D7 48 8B CB FF 50 68 84 C0 75 02 EB E1 48 89 73 08 89 7B 10 48 8D 4C 24 40 E8 ?? ?? ?? ?? B0 01 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_577_1 {
	meta:
		name = "?consume@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z"
		size = 223
		refs = "002d ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003a ??_C@_08NFKFEOEH@_PTarget?$AA@ 004e ??0exception@std@@QEAA@AEBQEBD@Z 0055 ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 006b _CxxThrowException 00a8 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00b7 ??0bad_target@Concurrency@@QEAA@XZ 00be _TI2?AVbad_target@Concurrency@@"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 D8 00 00 00 48 8D 48 D8 E8 ?? ?? ?? ?? 90 48 85 FF 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 3A 48 3B 7B 08 75 34 48 8B 03 8B D6 48 8B CB FF 50 70 48 8B F8 48 85 C0 74 12 48 83 63 08 00 48 8B 13 48 8B CB FF 92 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B C7 EB 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_579_1 {
	meta:
		name = "?release@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXHPEAV?$ITarget@_K@2@@Z"
		size = 203
		refs = "002d ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003a ??_C@_08NFKFEOEH@_PTarget?$AA@ 004e ??0exception@std@@QEAA@AEBQEBD@Z 0055 ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 006b _CxxThrowException 007c ??0bad_target@Concurrency@@QEAA@XZ 0083 _TI2?AVbad_target@Concurrency@@ 00b5 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 D8 00 00 00 48 8D 48 D8 E8 ?? ?? ?? ?? 90 48 85 FF 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 3B 7B 08 74 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 03 8B D6 48 8B CB FF 50 78 48 83 63 08 00 48 8B 03 48 8B CB FF 90 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_582_1 {
	meta:
		name = "?release_ref@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
		size = 90
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0044 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B D9 48 85 D2 74 29 48 8D 91 D8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 50 58 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? F0 FF 8B 08 01 00 00 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_584_1 {
	meta:
		name = "?link_target_notification@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
		size = 27
		altNames = "?link_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z ?link_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 83 79 08 00 75 0B 48 8B 01 33 D2 FF 90 88 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_585_1 {
	meta:
		name = "?unlink_target_notification@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
		size = 27
		altNames = "?unlink_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z ?unlink_target_notification@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 48 39 51 08 75 0C 48 8B 01 4C 8B C2 8B 51 10 FF 50 38 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_589_1 {
	meta:
		name = "?remove_targets@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXXZ"
		size = 84
		refs = "0025 ?_UnderlyingYield@details@Concurrency@@YAXXZ 003e ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?remove_targets@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 83 C1 40 48 8B 01 FF 50 10 4C 8B 1B 48 8B CB 41 FF 53 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 8B 83 20 01 00 00 85 C0 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9B 20 01 00 00 45 85 DB 75 EA 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_590_1 {
	meta:
		name = "??0?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 74
		refs = "000a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0029 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 45 33 DB 44 89 5B 30 4C 89 5B 38 4C 89 5B 40 4C 89 5B 48 48 83 4B 58 FF 48 8D 05 ?? ?? ?? ?? 48 89 43 50 4C 89 5B 60 4C 89 5B 68 4C 89 5B 70 48 8B C3 4C 89 5B 78 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_595_1 {
	meta:
		name = "??0?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 74
		refs = "000a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0029 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 45 33 DB 44 89 5B 30 4C 89 5B 38 4C 89 5B 40 4C 89 5B 48 48 83 4B 58 FF 48 8D 05 ?? ?? ?? ?? 48 89 43 50 4C 89 5B 60 4C 89 5B 68 4C 89 5B 70 48 8B C3 4C 89 5B 78 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_592_1 {
	meta:
		name = "??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ"
		size = 137
		refs = "001e ??_7?$ordered_message_processor@_K@Concurrency@@6B@ 0037 ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 61 10 00 48 8D 59 18 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 83 23 00 48 89 5B 08 48 83 63 10 00 48 8D 4F 58 E8 ?? ?? ?? ?? C7 87 80 00 00 00 00 00 00 00 C7 87 84 00 00 00 01 00 00 00 C7 87 88 00 00 00 00 00 00 00 48 83 A7 A8 00 00 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_596_1 {
	meta:
		name = "??0?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 137
		refs = "001e ??_7?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@6B@ 0037 ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 48 83 61 10 00 48 8D 59 18 48 8B CB E8 ?? ?? ?? ?? 48 83 C3 28 48 83 23 00 48 89 5B 08 48 83 63 10 00 48 8D 4F 58 E8 ?? ?? ?? ?? C7 87 80 00 00 00 00 00 00 00 C7 87 84 00 00 00 01 00 00 00 C7 87 88 00 00 00 00 00 00 00 48 83 A7 A8 00 00 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_594_1 {
	meta:
		name = "?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@@Z"
		size = 132
		altNames = "?initialize@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@tr1@std@@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8D 99 90 00 00 00 49 8B F9 48 8B F1 48 89 51 08 4C 89 41 10 49 3B D9 74 41 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 18 48 83 63 18 00 48 83 7F 18 00 75 07 48 83 63 18 00 EB 19 48 8B 4F 18 48 8B 01 48 3B CF 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 48 8B 5C 24 30 C7 86 84 00 00 00 00 00 00 00 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_599_1 {
	meta:
		name = "?remove_targets@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 84
		refs = "0025 ?_UnderlyingYield@details@Concurrency@@YAXXZ 003e ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 83 C1 28 48 8B 01 FF 50 10 4C 8B 1B 48 8B CB 41 FF 53 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 8B 83 08 01 00 00 85 C0 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9B 08 01 00 00 45 85 DB 75 EA 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_600_1 {
	meta:
		name = "??0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 98
		refs = "0019 ??_7?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 002c ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 003e ??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ 004b ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 41 18 48 83 61 20 00 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 8D 8B D8 00 00 00 E8 ?? ?? ?? ?? C7 83 08 01 00 00 00 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_605_1 {
	meta:
		name = "??1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ"
		size = 202
		refs = "0019 ??_7_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@6B@ 0021 ?unlink_targets@_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@2@AEBW4agent_status@2@@Z@UEAAXXZ 002d ?_UnderlyingYield@details@Concurrency@@YAXXZ 0046 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 006e ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0086 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0090 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0097 _TI2?AVinvalid_operation@Concurrency@@ 00a1 _CxxThrowException 00ab ??1critical_section@Concurrency@@QEAA@XZ 00b5 ??1event@Concurrency@@QEAA@XZ 00bd ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 8B 83 90 00 00 00 85 C0 74 16 48 8D 4C 24 28 E8 ?? ?? ?? ?? 44 8B 9B 90 00 00 00 45 85 DB 75 EA 48 8B 4B 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 83 BB 88 00 00 00 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8D 4B 50 E8 ?? ?? ?? ?? 90 48 8D 4B 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_85_614_1 {
	meta:
		name = "??1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ"
		size = 202
		refs = "0019 ??_7_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@6B@ 0021 ?unlink_targets@_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@2@AEB_K@Z@UEAAXXZ 002d ?_UnderlyingYield@details@Concurrency@@YAXXZ 0046 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ 006e ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 0086 ??_C@_0DF@NJGLEKMJ@Deleting?5link?5registry?5before?5re@ 0090 ??0invalid_operation@Concurrency@@QEAA@PEBD@Z 0097 _TI2?AVinvalid_operation@Concurrency@@ 00a1 _CxxThrowException 00ab ??1critical_section@Concurrency@@QEAA@XZ 00b5 ??1event@Concurrency@@QEAA@XZ 00bd ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 E8 ?? ?? ?? ?? 83 64 24 30 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 38 8B 83 90 00 00 00 85 C0 74 16 48 8D 4C 24 28 E8 ?? ?? ?? ?? 44 8B 9B 90 00 00 00 45 85 DB 75 EA 48 8B 4B 08 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 05 ?? ?? ?? ?? 48 89 83 80 00 00 00 48 83 BB 88 00 00 00 00 74 23 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 8D 4B 50 E8 ?? ?? ?? ?? 90 48 8D 4B 10 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_85_607_1 {
	meta:
		name = "?dtor$1@?0???1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
		altNames = "?dtor$1@?0???1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_608_1 {
	meta:
		name = "?dtor$2@?0???1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$2@?0???1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 83 C1 50 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_609_1 {
	meta:
		name = "?dtor$3@?0???1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 81 C1 80 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_618_1 {
	meta:
		name = "?dtor$3@?0???1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 70 00 00 00 48 81 C1 80 00 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_610_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA@0AEBV456@I@Z"
		size = 189
		refs = "0026 ??_7_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@6B@ 004a ??0event@Concurrency@@QEAA@XZ 0061 ??2@YAPEAX_K@Z 00a8 ?_Connect@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 49 8B F0 48 8B EA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 49 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 60 00 48 83 7E 18 00 74 46 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 60 48 85 C0 74 29 48 83 7E 18 00 75 07 48 83 60 18 00 EB 1D 48 8B 4E 18 48 8B 01 48 3B CE 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 EB 02 33 DB 48 89 5F 60 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_85_806_1 {
	meta:
		name = "??0_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA@0AEBV345@I@Z"
		size = 189
		refs = "0026 ??_7_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@6B@ 004a ??0event@Concurrency@@QEAA@XZ 0061 ??2@YAPEAX_K@Z 00a8 ?_Connect@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@AEAAX0@Z"
	strings:
		$1 = { 48 89 4C 24 08 55 56 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 58 49 8B F0 48 8B EA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 C7 41 08 00 00 00 00 48 83 61 10 00 48 C7 41 18 00 00 00 00 44 89 49 20 48 83 C1 28 E8 ?? ?? ?? ?? 90 48 83 67 60 00 48 83 7E 18 00 74 46 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 60 48 85 C0 74 29 48 83 7E 18 00 75 07 48 83 60 18 00 EB 1D 48 8B 4E 18 48 8B 01 48 3B CE 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 EB 02 33 DB 48 89 5F 60 48 8B D5 48 8B CF E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 58 48 83 C4 30 5F 5E 5D C3 }
	condition:
		$1
}

rule file_85_625_1 {
	meta:
		name = "??$_Reset0f@V?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@_NAEBW4agent_status@Concurrency@@V?$allocator@V?$_Function_impl1@_NAEBW4agent_status@Concurrency@@@tr1@std@@@3@@?$_Function_impl1@_NAEBW4agent_status@Concurrency@@@tr1@std@@IEAAXQ6A_NAEBW4agent_status@Concurrency@@@ZV?$allocator@V?$_Function_impl1@_NAEBW4agent_status@Concurrency@@@tr1@std@@@2@@Z"
		size = 34
		refs = "0012 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@"
		altNames = "??$_Reset@_NAEBW4agent_status@Concurrency@@@?$_Function_impl1@_NAEBW4agent_status@Concurrency@@@tr1@std@@IEAAXQ6A_NAEBW4agent_status@Concurrency@@@Z@Z"
	strings:
		$1 = { 48 85 D2 75 05 48 21 51 18 C3 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_626_1 {
	meta:
		name = "??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@V<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@3@@?$_Function_impl1@XAEB_K@tr1@std@@IEAAXV<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@2@@Z"
		size = 130
		refs = "0016 ??2@YAPEAX_K@Z 0022 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@6B@ 0060 ??0exception@std@@QEAA@AEBQEBD@Z 0067 ??_7bad_alloc@std@@6B@ 006e _TI2?AVbad_alloc@std@@ 007d _CxxThrowException"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 40 48 8B F9 B9 20 00 00 00 48 8B DA E8 ?? ?? ?? ?? 48 85 C0 74 30 48 8D 0D ?? ?? ?? ?? 48 89 08 4C 8B 03 4C 89 40 08 48 8B 4B 08 48 89 48 10 48 8B 4B 10 48 8B 5C 24 50 48 89 48 18 48 89 47 18 48 83 C4 40 5F C3 48 83 64 24 68 00 48 8D 54 24 68 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_85_627_1 {
	meta:
		name = "??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@V<lambda1>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@@3@@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXV<lambda1>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@@2@@Z"
		size = 24
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
		altNames = "??$_Reset@V<lambda1>@?A0xd3335188@Concurrency@@@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXV<lambda1>@?A0xd3335188@Concurrency@@@Z"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_628_1 {
	meta:
		name = "??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@V<lambda2>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@@3@@?$_Function_impl1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@IEAAXV<lambda2>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@@2@@Z"
		size = 24
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_629_1 {
	meta:
		name = "??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@V<lambda3>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@@3@@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXV<lambda3>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@@2@@Z"
		size = 24
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_630_1 {
	meta:
		name = "??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@V<lambda4>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@@3@@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXV<lambda4>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@@2@@Z"
		size = 24
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_803_1 {
	meta:
		name = "??$_Reset@V<lambda2>@?A0xd3335188@Concurrency@@@?$_Function_impl1@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@IEAAXV<lambda2>@?A0xd3335188@Concurrency@@@Z"
		size = 24
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_804_1 {
	meta:
		name = "??$_Reset@V<lambda3>@?A0xd3335188@Concurrency@@@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXV<lambda3>@?A0xd3335188@Concurrency@@@Z"
		size = 24
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_805_1 {
	meta:
		name = "??$_Reset@V<lambda4>@?A0xd3335188@Concurrency@@@?$_Function_impl1@XPEAV?$message@_K@Concurrency@@@tr1@std@@IEAAXV<lambda4>@?A0xd3335188@Concurrency@@@Z"
		size = 24
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 C3 }
	condition:
		$1
}

rule file_85_632_1 {
	meta:
		name = "?_Delete_this@?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@EEAAX_N@Z"
		size = 46
		refs = "001f ??3@YAXPEAX@Z"
		altNames = "?_Delete_this@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@EEAAX_N@Z ?_Delete_this@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@EEAAX_N@Z ?_Delete_this@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@EEAAX_N@Z ?_Delete_this@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@EEAAX_N@Z ?_Delete_this@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@EEAAX_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 01 8A DA 33 D2 48 8B F9 FF 50 20 84 DB 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_638_1 {
	meta:
		name = "??1?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
		size = 81
		refs = "0019 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 0028 ??1critical_section@Concurrency@@QEAA@XZ 0032 ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 003c ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 0044 ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 81 C1 F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 40 E8 ?? ?? ?? ?? 90 48 8D 4B 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_662_1 {
	meta:
		name = "??1?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 81
		refs = "0019 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 0028 ??1critical_section@Concurrency@@QEAA@XZ 0032 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 003c ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 0044 ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 81 C1 F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4B 40 E8 ?? ?? ?? ?? 90 48 8D 4B 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_643_1 {
	meta:
		name = "?reserve@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA_NHPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 187
		refs = "002d ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003a ??_C@_08NFKFEOEH@_PTarget?$AA@ 004e ??0exception@std@@QEAA@AEBQEBD@Z 0055 ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 006b _CxxThrowException 007d ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?reserve@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA_NHPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F0 8B FA 48 8B D9 48 8D 91 F0 00 00 00 48 8D 48 D8 E8 ?? ?? ?? ?? 90 48 85 F6 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 0E 48 8D 4C 24 40 E8 ?? ?? ?? ?? 32 C0 EB 24 48 8B 03 8B D7 48 8B CB FF 50 68 84 C0 75 02 EB E1 48 89 73 08 89 7B 10 48 8D 4C 24 40 E8 ?? ?? ?? ?? B0 01 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_645_1 {
	meta:
		name = "?consume@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAV?$message@W4agent_status@Concurrency@@@2@HPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 223
		refs = "002d ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003a ??_C@_08NFKFEOEH@_PTarget?$AA@ 004e ??0exception@std@@QEAA@AEBQEBD@Z 0055 ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 006b _CxxThrowException 00a8 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00b7 ??0bad_target@Concurrency@@QEAA@XZ 00be _TI2?AVbad_target@Concurrency@@"
		altNames = "?consume@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAV?$message@_K@2@HPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 F0 00 00 00 48 8D 48 D8 E8 ?? ?? ?? ?? 90 48 85 FF 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 83 7B 08 00 74 3A 48 3B 7B 08 75 34 48 8B 03 8B D6 48 8B CB FF 50 70 48 8B F8 48 85 C0 74 12 48 83 63 08 00 48 8B 13 48 8B CB FF 92 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B C7 EB 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_647_1 {
	meta:
		name = "?release@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXHPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 203
		refs = "002d ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 003a ??_C@_08NFKFEOEH@_PTarget?$AA@ 004e ??0exception@std@@QEAA@AEBQEBD@Z 0055 ??_7invalid_argument@std@@6B@ 0061 _TI3?AVinvalid_argument@std@@ 006b _CxxThrowException 007c ??0bad_target@Concurrency@@QEAA@XZ 0083 _TI2?AVbad_target@Concurrency@@ 00b5 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?release@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXHPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 10 48 89 70 18 49 8B F8 8B F2 48 8B D9 48 8D 91 F0 00 00 00 48 8D 48 D8 E8 ?? ?? ?? ?? 90 48 85 FF 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 3B 7B 08 74 1C 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8B 03 8B D6 48 8B CB FF 50 78 48 83 63 08 00 48 8B 03 48 8B CB FF 90 80 00 00 00 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_650_1 {
	meta:
		name = "?release_ref@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 90
		refs = "002c ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0044 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?release_ref@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B FA 48 8B D9 48 85 D2 74 29 48 8D 91 F0 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8B 03 48 8B D7 48 8B CB FF 50 58 90 48 8D 4C 24 28 E8 ?? ?? ?? ?? F0 FF 8B 20 01 00 00 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_656_1 {
	meta:
		name = "?link_target@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 166
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0034 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0048 ??0exception@std@@QEAA@AEBQEBD@Z 004f ??_7invalid_argument@std@@6B@ 005b _TI3?AVinvalid_argument@std@@ 0065 _CxxThrowException 0097 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?link_target@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B DA 48 8B F9 48 8D 91 F0 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 85 DB 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 10 4C 8B 1B 48 8B D7 48 8B CB 41 FF 53 18 4C 8B 1F 48 8B D3 48 8B CF 41 FF 53 50 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_658_1 {
	meta:
		name = "?unlink_target@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 157
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0034 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0048 ??0exception@std@@QEAA@AEBQEBD@Z 004f ??_7invalid_argument@std@@6B@ 005b _TI3?AVinvalid_argument@std@@ 0065 _CxxThrowException 008e ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_target@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 78 48 8B DA 48 8B F9 48 8D 91 F0 00 00 00 48 8D 4C 24 40 E8 ?? ?? ?? ?? 90 48 85 DB 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 70 48 8D 54 24 70 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? CC 48 8D 4F 18 48 8B 01 48 8B D3 FF 50 08 84 C0 74 0D 48 8B 03 48 8B D7 48 8B CB FF 50 20 90 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_660_1 {
	meta:
		name = "?unlink_targets@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAXXZ"
		size = 150
		refs = "0025 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0087 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?unlink_targets@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAXXZ"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 5C 24 70 48 8B D9 48 8D 91 F0 00 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 90 48 8D 4B 18 48 8B 01 48 8D 55 C8 FF 50 20 EB 31 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 89 45 D8 4C 8B 03 48 8B D0 48 8B CB 41 FF 50 10 48 FF 45 D0 48 8B 4D C8 48 8B 01 48 8D 55 D0 FF 50 28 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 85 C0 48 89 45 D8 75 B8 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_85_686_1 {
	meta:
		name = "??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 175
		refs = "001e ??_7?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 004f ??3@YAXPEAX@Z 005c ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 006f ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 007e ??_V@YAXPEAX@Z 0095 ??1critical_section@Concurrency@@QEAA@XZ 009d ??_7?$ITarget@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B B9 88 00 00 00 48 85 FF 74 23 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 18 48 83 67 18 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 8B 98 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 7B 08 48 89 7C 24 48 48 8D 4F 50 E8 ?? ?? ?? ?? 90 48 8B 4F 38 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 67 38 00 48 83 67 40 00 48 83 67 48 00 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_689_1 {
	meta:
		name = "?dtor$2@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 32
		refs = "000f ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 98 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_85_691_1 {
	meta:
		name = "?dtor$4@?0???1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$4@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_815_1 {
	meta:
		name = "?dtor$4@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_874_1 {
	meta:
		name = "?dtor$4@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 38 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_695_1 {
	meta:
		name = "?_Get@?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEBAAEBQEAV?$ISource@_K@2@_K@Z"
		size = 28
		altNames = "?_Get@?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEBAAEBQEAV?$ISource@W4agent_status@Concurrency@@@2@_K@Z"
	strings:
		$1 = { 48 8B 41 28 4C 8D 04 02 4C 3B 41 10 72 05 48 8D 41 30 C3 48 8B 41 08 4A 8D 04 C0 C3 }
	condition:
		$1
}

rule file_85_696_1 {
	meta:
		name = "?_Swap@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAAXAEAV123@@Z"
		size = 50
		altNames = "?_Swap@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAAXAEAV123@@Z"
	strings:
		$1 = { 48 3B CA 74 2C 48 8B 02 4C 8B 11 4C 8B 49 08 4C 8B 41 10 48 89 01 48 8B 42 08 48 89 41 08 48 8B 42 10 48 89 41 10 4C 89 12 4C 89 4A 08 4C 89 42 10 C3 }
	condition:
		$1
}

rule file_85_698_1 {
	meta:
		name = "??0?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA@AEBV01@@Z"
		size = 18
		altNames = "??0?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@AEBV01@@Z"
	strings:
		$1 = { 48 8B 02 48 89 01 48 8B 42 08 48 89 41 08 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_700_1 {
	meta:
		name = "?propagate@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 236
		refs = "0021 ??_C@_09KIGCIIBF@_PMessage?$AA@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7invalid_argument@std@@6B@ 0040 _TI3?AVinvalid_argument@std@@ 004f _CxxThrowException 005c ??_C@_08KILLDFKG@_PSource?$AA@ 00b6 ?_Xfunc@tr1@std@@YAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 40 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 80 B9 90 00 00 00 00 74 07 B8 01 00 00 00 EB 3A 48 8B 89 88 00 00 00 48 85 C9 74 1F 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 83 C2 10 48 8B 01 FF 50 08 84 C0 74 CE 48 8B 03 4C 8B C7 48 8B D6 48 8B CB FF 50 30 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_701_1 {
	meta:
		name = "?send@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 236
		refs = "0021 ??_C@_09KIGCIIBF@_PMessage?$AA@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7invalid_argument@std@@6B@ 0040 _TI3?AVinvalid_argument@std@@ 004f _CxxThrowException 005c ??_C@_08KILLDFKG@_PSource?$AA@ 00b6 ?_Xfunc@tr1@std@@YAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 40 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B D8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 58 48 8D 4C 24 20 48 89 44 24 58 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 80 B9 90 00 00 00 00 74 07 B8 01 00 00 00 EB 3A 48 8B 89 88 00 00 00 48 85 C9 74 1F 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 83 C2 10 48 8B 01 FF 50 08 84 C0 74 CE 48 8B 03 4C 8B C7 48 8B D6 48 8B CB FF 50 38 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_702_1 {
	meta:
		name = "??D?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@_K@1@XZ"
		size = 24
		altNames = "??D?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAAEBQEAV?$ISource@W4agent_status@Concurrency@@@1@XZ"
	strings:
		$1 = { 48 8B 51 28 48 3B 51 10 72 05 48 8D 41 30 C3 48 8B 41 08 48 8D 04 D0 C3 }
	condition:
		$1
}

rule file_85_703_1 {
	meta:
		name = "??E?$_Network_link_iterator@V?$ISource@_K@Concurrency@@@Concurrency@@QEAA?AV01@H@Z"
		size = 50
		altNames = "??E?$_Network_link_iterator@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV01@H@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 4C 8B 01 48 8B DA 4C 89 02 48 8D 51 08 49 8B C8 48 8B 02 48 89 43 08 48 FF C0 48 89 02 49 8B 00 FF 50 28 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_704_1 {
	meta:
		name = "?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@_K@2@@Z"
		size = 213
		refs = "0043 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0062 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0088 ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 8B C4 41 54 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B D9 33 FF 4C 8B 61 78 48 85 D2 75 07 32 C0 E9 80 00 00 00 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4B 50 48 8B 01 48 8B D6 FF 50 08 40 8A E8 84 C0 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB CB 8B 43 30 85 C0 75 05 48 8B FE EB 28 48 8B 53 40 48 3B 53 48 72 0E 48 8D 54 12 02 48 8D 4B 38 E8 ?? ?? ?? ?? 4C 8B 43 40 48 8B 43 38 4A 89 34 C0 48 FF 43 40 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 85 FF 74 0C 48 8B 07 49 8B D4 48 8B CF FF 50 48 40 8A C5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5C C3 }
	condition:
		$1
}

rule file_85_763_1 {
	meta:
		name = "?remove@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA_NPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 213
		refs = "0043 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0062 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0088 ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z"
	strings:
		$1 = { 48 8B C4 41 54 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B D9 33 FF 4C 8B 61 78 48 85 D2 75 07 32 C0 E9 80 00 00 00 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4B 50 48 8B 01 48 8B D6 FF 50 08 40 8A E8 84 C0 75 0C 48 8D 4C 24 28 E8 ?? ?? ?? ?? EB CB 8B 43 30 85 C0 75 05 48 8B FE EB 28 48 8B 53 40 48 3B 53 48 72 0E 48 8D 54 12 02 48 8D 4B 38 E8 ?? ?? ?? ?? 4C 8B 43 40 48 8B 43 38 4A 89 34 C0 48 FF 43 40 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 85 FF 74 0C 48 8B 07 49 8B D4 48 8B CF FF 50 48 40 8A C5 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 8B 7C 24 78 48 83 C4 50 41 5C C3 }
	condition:
		$1
}

rule file_85_706_1 {
	meta:
		name = "?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
		size = 217
		refs = "003b ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0096 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 00bf ??_V@YAXPEAX@Z"
		altNames = "?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 89 68 10 48 89 70 18 48 8B D9 48 8B 69 78 48 83 60 C0 00 48 83 60 C8 00 48 83 60 D0 00 48 8B D1 48 8D 48 D8 E8 ?? ?? ?? ?? FF 4B 30 8B 43 30 75 3F 48 83 7B 40 00 76 38 48 8D 4B 38 48 8D 44 24 28 48 3B C8 74 2A 48 8B 19 48 8B 79 08 48 8B 41 10 48 83 21 00 48 83 61 08 00 48 83 61 10 00 48 89 5C 24 28 48 89 7C 24 30 48 89 44 24 38 EB 0A 48 8B 7C 24 30 48 8B 5C 24 28 48 8D 4C 24 40 E8 ?? ?? ?? ?? 33 F6 48 85 FF 74 15 48 8B 0C F3 48 8B 01 48 8B D5 FF 50 48 48 FF C6 48 3B F7 72 EB 48 85 DB 74 08 48 8B CB E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 10 49 8B 6B 18 49 8B 73 20 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_708_1 {
	meta:
		name = "?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@2@@Z"
		size = 194
		refs = "0029 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0069 ?_Grow@?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@AEAAX_K@Z 00ae ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 5C 24 70 48 89 7C 24 78 48 8B FA 48 8B D9 48 8B D1 48 8D 4D E0 E8 ?? ?? ?? ?? 90 FF 43 30 48 8D 4B 50 48 8B 01 48 8D 55 C8 FF 50 20 EB 51 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 4C 8B D8 48 89 45 D8 48 8B 57 08 48 3B 57 10 72 11 48 8D 54 12 02 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5D D8 48 8B 4F 08 48 8B 07 4C 89 1C C8 48 FF 47 08 48 FF 45 D0 48 8B 4D C8 48 8B 01 48 8D 55 D0 FF 50 28 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 85 C0 48 89 45 D8 75 98 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_85_768_1 {
	meta:
		name = "?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@2@@Z"
		size = 194
		refs = "0029 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0069 ?_Grow@?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@AEAAX_K@Z 00ae ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 5C 24 70 48 89 7C 24 78 48 8B FA 48 8B D9 48 8B D1 48 8D 4D E0 E8 ?? ?? ?? ?? 90 FF 43 30 48 8D 4B 50 48 8B 01 48 8D 55 C8 FF 50 20 EB 51 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 4C 8B D8 48 89 45 D8 48 8B 57 08 48 3B 57 10 72 11 48 8D 54 12 02 48 8B CF E8 ?? ?? ?? ?? 4C 8B 5D D8 48 8B 4F 08 48 8B 07 4C 89 1C C8 48 FF 47 08 48 FF 45 D0 48 8B 4D C8 48 8B 01 48 8D 55 D0 FF 50 28 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 85 C0 48 89 45 D8 75 98 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 8B 7C 24 78 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_85_711_1 {
	meta:
		name = "?add@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXPEAV?$ISource@_K@2@@Z"
		size = 102
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0041 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0057 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 85 D2 74 60 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8B F9 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 50 48 8B 01 48 8B D3 FF 10 FF 47 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B 57 78 48 8B CB 41 FF 53 40 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_770_1 {
	meta:
		name = "?add@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 102
		refs = "0027 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0041 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0057 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 85 D2 74 60 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8B F9 48 8B D1 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 50 48 8B 01 48 8B D3 FF 10 FF 47 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B 57 78 48 8B CB 41 FF 53 40 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_713_1 {
	meta:
		name = "??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 82
		refs = "0019 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 002a ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0039 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_772_1 {
	meta:
		name = "??1?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 82
		refs = "0019 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 002a ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0039 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_715_1 {
	meta:
		name = "??_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 111
		refs = "0020 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0031 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0040 ??_V@YAXPEAX@Z 005d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_776_1 {
	meta:
		name = "??_G?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@UEAAPEAXI@Z"
		size = 111
		refs = "0020 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0031 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0040 ??_V@YAXPEAX@Z 005d ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B FA 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8B 49 20 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4B 08 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 08 00 48 83 63 10 00 48 83 63 18 00 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_717_1 {
	meta:
		name = "??0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@1@_K@Z"
		size = 82
		refs = "001c ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B C2 48 8B D9 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 89 4A 10 48 89 43 20 4C 89 43 28 48 89 4B 30 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_778_1 {
	meta:
		name = "??0?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@PEAV?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@1@_K@Z"
		size = 82
		refs = "001c ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B C2 48 8B D9 48 8D 0D ?? ?? ?? ?? 48 89 0B 48 8D 53 08 33 C9 48 89 0A 48 89 4A 08 48 89 4A 10 48 89 43 20 4C 89 43 28 48 89 4B 30 48 8B C8 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_719_1 {
	meta:
		name = "?link_source@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@_K@2@@Z"
		size = 103
		refs = "0028 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0058 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
		altNames = "?link_source@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 48 85 D2 74 61 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8D 79 08 48 8B D7 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 50 48 8B 01 48 8B D3 FF 10 FF 47 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B 57 78 48 8B CB 41 FF 53 40 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_824_1 {
	meta:
		name = "?link_source@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 103
		refs = "0028 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0058 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 85 D2 74 61 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8D 79 08 48 8B D7 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 50 48 8B 01 48 8B D3 FF 10 FF 47 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B 57 78 48 8B CB 41 FF 53 40 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_774_1 {
	meta:
		name = "?link_source@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 103
		refs = "0028 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0042 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0058 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ"
	strings:
		$1 = { 48 85 D2 74 61 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 8B DA 48 8D 79 08 48 8B D7 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 48 8D 4F 50 48 8B 01 48 8B D3 FF 10 FF 47 30 48 8D 4C 24 28 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B 57 78 48 8B CB 41 FF 53 40 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 60 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_721_1 {
	meta:
		name = "??_G?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAAPEAXI@Z"
		size = 109
		refs = "0020 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 002f ??1critical_section@Concurrency@@QEAA@XZ 0039 ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 0043 ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 004b ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@ 005b ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 81 C1 F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_725_1 {
	meta:
		name = "??_G?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAAPEAXI@Z"
		size = 109
		refs = "0020 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 002f ??1critical_section@Concurrency@@QEAA@XZ 0039 ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 0043 ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 004b ??_7?$ISource@_K@Concurrency@@6B@ 005b ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 8B DA 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 81 C1 F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_730_1 {
	meta:
		name = "?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXXZ"
		size = 104
		refs = "002c ?_UnderlyingYield@details@Concurrency@@YAXXZ 0045 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
		altNames = "?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 C6 81 B8 01 00 00 01 48 8B D9 48 83 C1 40 48 8B 01 FF 50 10 4C 8B 1B 48 8B CB 41 FF 53 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 8B 83 20 01 00 00 85 C0 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9B 20 01 00 00 45 85 DB 75 EA 48 8D 8B 28 01 00 00 48 8B 01 48 83 C4 40 5B 48 FF 60 28 }
	condition:
		$1
}

rule file_85_732_1 {
	meta:
		name = "?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ"
		size = 82
		refs = "0021 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B DA 45 33 C0 44 89 44 24 40 48 8D 05 ?? ?? ?? ?? 48 89 02 48 83 C2 08 4C 89 02 4C 89 42 08 4C 89 42 10 48 89 4B 20 4C 89 43 28 4C 89 43 30 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_780_1 {
	meta:
		name = "?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ"
		size = 82
		refs = "0021 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0044 ?_To_array@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@AEAAXAEAV?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@2@@Z"
	strings:
		$1 = { 48 89 54 24 10 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B DA 45 33 C0 44 89 44 24 40 48 8D 05 ?? ?? ?? ?? 48 89 02 48 83 C2 08 4C 89 02 4C 89 42 08 4C 89 42 10 48 89 4B 20 4C 89 43 28 4C 89 43 30 E8 ?? ?? ?? ?? 90 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_733_1 {
	meta:
		name = "?dtor$1@?0??begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_781_1 {
	meta:
		name = "?dtor$1@?0??begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 48 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_734_1 {
	meta:
		name = "??0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 141
		refs = "001e ??_7?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 002a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0044 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@ 007a ??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? 45 33 DB 44 89 5F 38 4C 89 5F 40 4C 89 5F 48 4C 89 5F 50 48 8D 05 ?? ?? ?? ?? 48 89 47 58 48 83 4F 60 FF 4C 89 5F 68 4C 89 5F 70 4C 89 5F 78 4C 89 9F 80 00 00 00 4C 89 9F 88 00 00 00 44 88 9F 90 00 00 00 48 8D 8F 98 00 00 00 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_737_1 {
	meta:
		name = "??0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ"
		size = 113
		refs = "0019 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 002c ??_7?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 004d ??0?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 005a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 41 18 48 83 49 20 FF 48 83 61 28 00 48 83 61 30 00 48 83 61 38 00 48 83 C1 40 E8 ?? ?? ?? ?? 90 48 8D 8B F0 00 00 00 E8 ?? ?? ?? ?? C7 83 20 01 00 00 00 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_741_1 {
	meta:
		name = "??0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 113
		refs = "0019 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 002c ??_7?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 004d ??0?$ordered_message_processor@_K@Concurrency@@QEAA@XZ 005a ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 61 08 00 83 61 10 00 48 8D 05 ?? ?? ?? ?? 48 89 41 18 48 83 49 20 FF 48 83 61 28 00 48 83 61 30 00 48 83 61 38 00 48 83 C1 40 E8 ?? ?? ?? ?? 90 48 8D 8B F0 00 00 00 E8 ?? ?? ?? ?? C7 83 20 01 00 00 00 00 00 00 48 8B C3 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_745_1 {
	meta:
		name = "?register_filter@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXAEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z"
		size = 127
		refs = "002c ??2@YAPEAX_K@Z"
	strings:
		$1 = { 40 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 40 48 89 74 24 50 48 8B FA 48 8B F1 48 83 7A 18 00 74 49 B9 20 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 89 44 24 48 48 85 C0 74 29 48 83 7F 18 00 75 07 48 83 60 18 00 EB 1D 48 8B 4F 18 48 8B 01 48 3B CF 75 05 48 8B D3 EB 02 33 D2 FF 10 48 89 43 18 EB 02 33 DB 48 89 9E 98 01 00 00 48 8B 5C 24 40 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_747_1 {
	meta:
		name = "?remove_network_links@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ"
		size = 104
		refs = "002c ?_UnderlyingYield@details@Concurrency@@YAXXZ 0045 ?_SpinOnce@?$_SpinWait@$00@details@Concurrency@@QEAA_NXZ"
	strings:
		$1 = { 40 53 48 83 EC 40 C6 81 A0 01 00 00 01 48 8B D9 48 83 C1 28 48 8B 01 FF 50 10 4C 8B 1B 48 8B CB 41 FF 53 18 83 64 24 28 00 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 8B 83 08 01 00 00 85 C0 74 16 48 8D 4C 24 20 E8 ?? ?? ?? ?? 44 8B 9B 08 01 00 00 45 85 DB 75 EA 48 8D 8B 10 01 00 00 48 8B 01 48 83 C4 40 5B 48 FF 60 28 }
	condition:
		$1
}

rule file_85_748_1 {
	meta:
		name = "??0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 178
		refs = "001c ??0?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0024 ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 002e ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0041 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0067 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 87 10 01 00 00 48 8D 8F 18 01 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 89 9F 48 01 00 00 4C 89 9F 50 01 00 00 4C 89 9F 58 01 00 00 4C 89 9F 60 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 87 68 01 00 00 48 83 8F 70 01 00 00 FF 4C 89 9F 78 01 00 00 4C 89 9F 80 01 00 00 4C 89 9F 88 01 00 00 4C 89 9F 90 01 00 00 4C 89 9F 98 01 00 00 44 88 9F A0 01 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_750_1 {
	meta:
		name = "?dtor$1@?0???0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		altNames = "?dtor$1@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 10 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_752_1 {
	meta:
		name = "?propagate@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 244
		refs = "0021 ??_C@_09KIGCIIBF@_PMessage?$AA@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7invalid_argument@std@@6B@ 0040 _TI3?AVinvalid_argument@std@@ 004f _CxxThrowException 005c ??_C@_08KILLDFKG@_PSource?$AA@ 00b7 ?_Xfunc@tr1@std@@YAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 50 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B C8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 8A 81 90 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 41 48 8B 89 88 00 00 00 48 85 C9 74 1F 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 83 C2 10 48 8B 01 FF 50 08 84 C0 74 CE 48 8D 8B F0 FE FF FF 4C 8B C7 48 8B D6 48 8B 01 FF 90 A0 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_753_1 {
	meta:
		name = "?send@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 244
		refs = "0021 ??_C@_09KIGCIIBF@_PMessage?$AA@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7invalid_argument@std@@6B@ 0040 _TI3?AVinvalid_argument@std@@ 004f _CxxThrowException 005c ??_C@_08KILLDFKG@_PSource?$AA@ 00b7 ?_Xfunc@tr1@std@@YAXXZ"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 50 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B C8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 8A 81 90 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 41 48 8B 89 88 00 00 00 48 85 C9 74 1F 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 83 C2 10 48 8B 01 FF 50 08 84 C0 74 CE 48 8D 8B F0 FE FF FF 4C 8B C7 48 8B D6 48 8B 01 FF 90 A8 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_782_1 {
	meta:
		name = "?unlink_sources@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 174
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ 007e ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0095 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 00a4 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 3A 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8D 83 F0 FE FF FF 48 F7 D8 48 1B D2 48 23 D3 48 8B 01 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB AB 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_85_784_1 {
	meta:
		name = "?dtor$1@?0??unlink_sources@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@W4agent_status@Concurrency@@@Concurrency@@@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$1@?0??unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXXZ@4HA ?dtor$3@?0??_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ@4HA ?dtor$4@?0??_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ@4HA"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_847_1 {
	meta:
		name = "?dtor$1@?0??unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_859_1 {
	meta:
		name = "?dtor$1@?0??unlink_sources@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ@4HA"
		size = 16
		refs = "000c ??1?$_Dynamic_array@PEAV?$ISource@_K@Concurrency@@@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 00 00 00 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_785_1 {
	meta:
		name = "??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z"
		size = 361
		refs = "002c ??_7_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@6B@ 003e ??0event@Concurrency@@QEAA@XZ 004f ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0056 ??_7?$single_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0072 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0084 ??0exception@std@@QEAA@AEBQEBD@Z 008b ??_7invalid_argument@std@@6B@ 0097 _TI3?AVinvalid_argument@std@@ 00a1 _CxxThrowException 00ac ?Alloc@Concurrency@@YAPEAX_K@Z 00bb ??_7_Runtime_object@details@Concurrency@@6B@ 00cb s_RuntimeObjectIdentity 00d5 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@ 00fa ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0128 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0139 ?wait@event@Concurrency@@QEAA_KI@Z 014a ??1_Originator@?1???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@1@AEBW4agent_status@1@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC 00 01 00 00 48 C7 45 8F FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 45 97 48 83 65 9F 00 48 8D 4D A7 E8 ?? ?? ?? ?? 90 C7 45 DF 02 00 00 00 48 8D 4D E7 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D 17 48 83 65 1F 00 C7 45 27 00 00 00 00 48 85 FF 75 37 48 8D 05 ?? ?? ?? ?? 48 89 45 67 48 8D 55 67 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 20 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 37 48 8D 05 ?? ?? ?? ?? 48 89 03 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 43 08 48 8D 05 ?? ?? ?? ?? 48 89 03 8B 06 89 43 10 48 83 63 18 00 C7 43 20 00 00 00 00 EB 02 33 DB 48 8D 55 E7 48 8D 4D 37 E8 ?? ?? ?? ?? 90 48 8B D7 48 8D 4D 97 48 8B 45 97 FF 50 08 48 89 5D 9F 48 8B 07 4C 8D 45 97 48 8B D3 48 8B CF FF 50 10 8B D8 48 8D 4D 37 E8 ?? ?? ?? ?? 83 FB 02 75 0F 83 CA FF 48 8D 4D A7 E8 ?? ?? ?? ?? 8B 5D DF 85 DB 0F 94 C3 48 8D 4D 97 E8 ?? ?? ?? ?? 8A C3 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_85_787_1 {
	meta:
		name = "?dtor$2@?0???$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
		altNames = "?dtor$2@?0???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@0@AEB_K@Z@4HA"
	strings:
		$1 = { 48 8D 8A 40 00 00 00 48 83 C1 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_790_1 {
	meta:
		name = "??$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z"
		size = 179
		refs = "002f ??0_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA@0AEBV456@I@Z 0039 ?_Value@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@QEAA?AW432@XZ 0048 ??_7_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@6B@ 0072 ??0event@Concurrency@@QEAA@XZ 0085 ?_Connect@_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@AEAAX0@Z 009c ??1_Blocking_recipient@?1???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@1@PEAV?$ISource@W4agent_status@Concurrency@@@1@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 E8 48 81 EC 10 01 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 8B D9 4D 85 C0 74 21 44 8B CA 48 8B D1 48 8D 4D A0 E8 ?? ?? ?? ?? 90 48 8D 4D A0 E8 ?? ?? ?? ?? 8B D8 48 8D 4D A0 EB 56 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 C7 44 24 38 00 00 00 00 48 83 64 24 40 00 48 C7 44 24 48 00 00 00 00 89 54 24 50 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 65 90 00 48 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 90 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B D8 48 8D 4C 24 30 E8 ?? ?? ?? ?? 8B C3 48 8B 9C 24 20 01 00 00 48 81 C4 10 01 00 00 5D C3 }
	condition:
		$1
}

rule file_85_792_1 {
	meta:
		name = "?dtor$2@?0???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_266_2 {
	meta:
		name = "?dtor$0@?0??do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_819_2 {
	meta:
		name = "?dtor$0@?0??do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_787_2 {
	meta:
		name = "?dtor$0@?0??do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_5_281_2 {
	meta:
		name = "?dtor$0@?0??do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_928_2 {
	meta:
		name = "?dtor$0@?0??do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_856_2 {
	meta:
		name = "?dtor$0@?0??do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z@4HA"
		size = 16
		refs = "0008 ??1locale@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_897_1 {
	meta:
		name = "?dtor$2@?0???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@4HA"
		size = 16
		refs = "0008 ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_793_1 {
	meta:
		name = "?dtor$3@?0???$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@4HA"
		size = 16
		refs = "000c ??1event@Concurrency@@QEAA@XZ"
		altNames = "?dtor$3@?0???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 30 00 00 00 48 83 C1 28 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_796_1 {
	meta:
		name = "??$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@0@AEB_K@Z"
		size = 363
		refs = "002c ??_7_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@6B@ 003e ??0event@Concurrency@@QEAA@XZ 004f ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0056 ??_7?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@6B@ 0072 ??_C@_08NFKFEOEH@_PTarget?$AA@ 0084 ??0exception@std@@QEAA@AEBQEBD@Z 008b ??_7invalid_argument@std@@6B@ 0097 _TI3?AVinvalid_argument@std@@ 00a1 _CxxThrowException 00ac ?Alloc@Concurrency@@YAPEAX_K@Z 00bb ??_7_Runtime_object@details@Concurrency@@6B@ 00cb s_RuntimeObjectIdentity 00d5 ??_7?$message@_K@Concurrency@@6B@ 00fc ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 012a ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 013b ?wait@event@Concurrency@@QEAA_KI@Z 014c ??1_Originator@?1???$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@1@AEB_K@Z@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC 00 01 00 00 48 C7 45 8F FE FF FF FF 48 89 58 10 48 89 70 18 48 89 78 20 48 8B F2 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 45 97 48 83 65 9F 00 48 8D 4D A7 E8 ?? ?? ?? ?? 90 C7 45 DF 02 00 00 00 48 8D 4D E7 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D 17 48 83 65 1F 00 C7 45 27 00 00 00 00 48 85 FF 75 37 48 8D 05 ?? ?? ?? ?? 48 89 45 67 48 8D 55 67 48 8D 4C 24 20 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 20 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 39 48 8D 05 ?? ?? ?? ?? 48 89 03 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 89 43 08 48 8D 05 ?? ?? ?? ?? 48 89 03 48 8B 06 48 89 43 10 48 83 63 18 00 C7 43 20 00 00 00 00 EB 02 33 DB 48 8D 55 E7 48 8D 4D 37 E8 ?? ?? ?? ?? 90 48 8B D7 48 8D 4D 97 48 8B 45 97 FF 50 08 48 89 5D 9F 48 8B 07 4C 8D 45 97 48 8B D3 48 8B CF FF 50 10 8B D8 48 8D 4D 37 E8 ?? ?? ?? ?? 83 FB 02 75 0F 83 CA FF 48 8D 4D A7 E8 ?? ?? ?? ?? 8B 5D DF 85 DB 0F 94 C3 48 8D 4D 97 E8 ?? ?? ?? ?? 8A C3 4C 8D 9C 24 00 01 00 00 49 8B 5B 18 49 8B 73 20 49 8B 7B 28 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_85_801_1 {
	meta:
		name = "??$_Reset@V<lambda0>@?A0xd3335188@Concurrency@@@?$_Function_impl1@XAEB_K@tr1@std@@IEAAXV<lambda0>@?A0xd3335188@Concurrency@@@Z"
		size = 42
		refs = "0021 ??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@V<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@3@@?$_Function_impl1@XAEB_K@tr1@std@@IEAAXV<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@2@@Z"
	strings:
		$1 = { 48 8B C4 48 83 EC 48 0F 10 02 F2 0F 10 4A 10 4C 8D 40 10 48 8D 50 D8 0F 29 40 D8 F2 0F 11 48 E8 E8 ?? ?? ?? ?? 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_810_1 {
	meta:
		name = "??1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
		size = 241
		refs = "001e ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 0028 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0034 ?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXXZ 0062 ??3@YAXPEAX@Z 0078 ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 0087 ??_V@YAXPEAX@Z 009e ??1critical_section@Concurrency@@QEAA@XZ 00a6 ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@ 00b4 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B@ 00cd ??1?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 00d7 ??1?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 00df ??_7?$ISource@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 9F B0 01 00 00 48 85 DB 74 23 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 18 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 9F 30 01 00 00 48 89 5C 24 48 48 8D 4B 50 E8 ?? ?? ?? ?? 90 48 8B 4B 38 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 63 40 00 48 83 63 48 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 87 28 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 8F F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_829_1 {
	meta:
		name = "??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 241
		refs = "001e ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0028 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@_K@1@@ 0034 ?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ 0062 ??3@YAXPEAX@Z 0078 ??1?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@UEAA@XZ 0087 ??_V@YAXPEAX@Z 009e ??1critical_section@Concurrency@@QEAA@XZ 00a6 ??_7?$ITarget@_K@Concurrency@@6B@ 00b4 ??_7?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@6B@ 00cd ??1?$ordered_message_processor@_K@Concurrency@@UEAA@XZ 00d7 ??1?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@UEAA@XZ 00df ??_7?$ISource@_K@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 9F B0 01 00 00 48 85 DB 74 23 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 18 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 9F 30 01 00 00 48 89 5C 24 48 48 8D 4B 50 E8 ?? ?? ?? ?? 90 48 8B 4B 38 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 63 40 00 48 83 63 48 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 87 28 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 8F F0 00 00 00 E8 ?? ?? ?? ?? 90 48 8D 4F 40 E8 ?? ?? ?? ?? 90 48 8D 4F 18 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_812_1 {
	meta:
		name = "?dtor$1@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 32
		refs = "000f ??1?$ITarget@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		altNames = "?dtor$1@?0???0?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 28 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_85_868_1 {
	meta:
		name = "?dtor$1@?0???0?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 28 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_831_1 {
	meta:
		name = "?dtor$1@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 32
		refs = "000f ??1?$ITarget@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 28 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_85_813_1 {
	meta:
		name = "?dtor$2@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ@4HA"
		size = 32
		refs = "000f ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 30 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_85_832_1 {
	meta:
		name = "?dtor$2@?0???1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 32
		refs = "000f ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 30 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_85_821_1 {
	meta:
		name = "?propagate@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 244
		refs = "0021 ??_C@_09KIGCIIBF@_PMessage?$AA@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7invalid_argument@std@@6B@ 0040 _TI3?AVinvalid_argument@std@@ 004f _CxxThrowException 005c ??_C@_08KILLDFKG@_PSource?$AA@ 00b7 ?_Xfunc@tr1@std@@YAXXZ"
		altNames = "?propagate@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 50 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B C8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 8A 81 90 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 41 48 8B 89 88 00 00 00 48 85 C9 74 1F 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 83 C2 10 48 8B 01 FF 50 08 84 C0 74 CE 48 8D 8B D8 FE FF FF 4C 8B C7 48 8B D6 48 8B 01 FF 90 A0 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_822_1 {
	meta:
		name = "?send@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 244
		refs = "0021 ??_C@_09KIGCIIBF@_PMessage?$AA@ 0032 ??0exception@std@@QEAA@AEBQEBD@Z 0039 ??_7invalid_argument@std@@6B@ 0040 _TI3?AVinvalid_argument@std@@ 004f _CxxThrowException 005c ??_C@_08KILLDFKG@_PSource?$AA@ 00b7 ?_Xfunc@tr1@std@@YAXXZ"
		altNames = "?send@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 73 18 57 48 83 EC 50 49 8B F8 48 8B F2 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 10 49 8D 4B C8 49 89 43 10 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 4D 85 C0 75 39 48 8D 05 ?? ?? ?? ?? 48 8D 54 24 78 48 8D 4C 24 38 48 89 44 24 78 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 38 4C 89 5C 24 38 E8 ?? ?? ?? ?? CC 8A 81 90 00 00 00 84 C0 74 07 B8 01 00 00 00 EB 41 48 8B 89 88 00 00 00 48 85 C9 74 1F 48 83 79 18 00 75 06 E8 ?? ?? ?? ?? CC 48 8B 49 18 48 83 C2 10 48 8B 01 FF 50 08 84 C0 74 CE 48 8D 8B D8 FE FF FF 4C 8B C7 48 8B D6 48 8B 01 FF 90 A8 00 00 00 48 8B 5C 24 60 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_826_1 {
	meta:
		name = "?unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@MEAAXXZ"
		size = 174
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ 007e ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0095 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 00a4 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 3A 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8D 83 D8 FE FF FF 48 F7 D8 48 1B D2 48 23 D3 48 8B 01 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB AB 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_85_845_1 {
	meta:
		name = "?unlink_sources@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 174
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ 007e ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0095 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 00a4 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 3A 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8D 83 D8 FE FF FF 48 F7 D8 48 1B D2 48 23 D3 48 8B 01 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB AB 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_85_848_1 {
	meta:
		name = "??1?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@UEAA@XZ"
		size = 119
		refs = "001e ??_7?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@6B@ 0073 ??1?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 C6 81 90 00 00 00 01 48 81 C1 98 00 00 00 48 8B 01 FF 50 10 4C 8B 1B 48 8B CB 41 FF 53 28 90 48 8D BB 48 01 00 00 48 8B 4F 18 48 85 C9 74 11 48 8B 01 48 3B CF 0F 95 C2 FF 50 18 48 83 67 18 00 48 8B CB 48 8B 5C 24 48 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_850_1 {
	meta:
		name = "?dtor$1@?0???1?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1?$function@$$A6AXAEB_K@Z@tr1@std@@QEAA@XZ"
		altNames = "?dtor$1@?0???0?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@QEAA@AEBV?$function@$$A6AXAEB_K@Z@tr1@std@@@Z@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 48 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_854_1 {
	meta:
		name = "?propagate_message@?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 73
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B 00 8B 52 08 4D 8B C8 48 8B F9 4C 8B C1 49 8B C9 33 DB FF 50 20 48 8B D0 48 85 C0 74 0E 48 8D 8F 98 00 00 00 48 8B 01 FF 10 EB 05 BB 03 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_855_1 {
	meta:
		name = "?send_message@?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 74
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B 00 8B 52 08 4D 8B C8 48 8B F9 4C 8B C1 49 8B C9 33 DB FF 50 20 48 8B D0 48 85 C0 74 0F 48 8D 8F 98 00 00 00 48 8B 01 FF 50 08 EB 05 BB 03 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_856_1 {
	meta:
		name = "?process_message@?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 67
		refs = "0014 ?_Xfunc@tr1@std@@YAXXZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 B9 60 01 00 00 00 48 8B DA 75 06 E8 ?? ?? ?? ?? CC 48 8B 89 60 01 00 00 48 83 C2 10 48 8B 01 FF 50 08 48 85 DB 74 0E 48 8B 03 BA 01 00 00 00 48 8B CB FF 50 08 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_857_1 {
	meta:
		name = "?unlink_sources@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@MEAAXXZ"
		size = 161
		refs = "001c ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@2@XZ 0071 ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@6B@ 0088 ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 0097 ??_V@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 83 C1 08 48 8D 54 24 28 E8 ?? ?? ?? ?? 90 48 8B 44 24 50 48 8B 4C 24 30 48 3B 44 24 38 48 8D 54 24 58 73 04 48 8D 14 C1 48 83 3A 00 74 2D 48 3B 44 24 38 72 07 48 8D 4C 24 58 EB 04 48 8D 0C C1 48 8B 09 48 8B 01 48 8B D3 FF 50 10 48 8B 44 24 50 48 FF C0 48 89 44 24 50 EB B8 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8B 44 24 48 48 85 C0 74 0D 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4C 24 30 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 83 C4 60 5B C3 }
	condition:
		$1
}

rule file_85_863_1 {
	meta:
		name = "??0?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ"
		size = 178
		refs = "001c ??0?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ 0024 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 002e ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0041 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0067 ??_7?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 87 28 01 00 00 48 8D 8F 30 01 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 89 9F 60 01 00 00 4C 89 9F 68 01 00 00 4C 89 9F 70 01 00 00 4C 89 9F 78 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 87 80 01 00 00 48 83 8F 88 01 00 00 FF 4C 89 9F 90 01 00 00 4C 89 9F 98 01 00 00 4C 89 9F A0 01 00 00 4C 89 9F A8 01 00 00 4C 89 9F B0 01 00 00 44 88 9F B8 01 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_866_1 {
	meta:
		name = "??0?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ"
		size = 178
		refs = "001c ??0?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0024 ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 002e ??_7?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@_K@1@@ 0041 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0067 ??_7?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 05 ?? ?? ?? ?? 48 89 87 28 01 00 00 48 8D 8F 30 01 00 00 E8 ?? ?? ?? ?? 45 33 DB 44 89 9F 60 01 00 00 4C 89 9F 68 01 00 00 4C 89 9F 70 01 00 00 4C 89 9F 78 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 87 80 01 00 00 48 83 8F 88 01 00 00 FF 4C 89 9F 90 01 00 00 4C 89 9F 98 01 00 00 4C 89 9F A0 01 00 00 4C 89 9F A8 01 00 00 4C 89 9F B0 01 00 00 44 88 9F B8 01 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_869_1 {
	meta:
		name = "??1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
		size = 195
		refs = "001e ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0028 ??_7?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0034 ?remove_network_links@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ 0062 ??3@YAXPEAX@Z 0078 ??1?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@UEAA@XZ 0087 ??_V@YAXPEAX@Z 009e ??1critical_section@Concurrency@@QEAA@XZ 00a6 ??_7?$ITarget@W4agent_status@Concurrency@@@Concurrency@@6B@ 00bf ??1?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 10 01 00 00 E8 ?? ?? ?? ?? 48 8B 9F 98 01 00 00 48 85 DB 74 23 48 8B 4B 18 48 85 C9 74 11 48 8B 01 48 3B CB 0F 95 C2 FF 50 18 48 83 63 18 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 9F 18 01 00 00 48 89 5C 24 48 48 8D 4B 50 E8 ?? ?? ?? ?? 90 48 8B 4B 38 48 85 C9 74 14 E8 ?? ?? ?? ?? 48 83 63 38 00 48 83 63 40 00 48 83 63 48 00 48 8B CB E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 87 10 01 00 00 48 8B CF 48 8B 5C 24 50 48 83 C4 30 5F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_872_1 {
	meta:
		name = "?dtor$2@?0???1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ@4HA"
		size = 32
		refs = "000f ??1?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 18 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_85_876_1 {
	meta:
		name = "??0?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 70
		refs = "000a ??0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0011 ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0021 ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 83 10 01 00 00 33 C0 4C 8D 1D ?? ?? ?? ?? 48 89 83 A8 01 00 00 48 89 83 B0 01 00 00 48 89 83 B8 01 00 00 48 8B C3 4C 89 1B 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_881_1 {
	meta:
		name = "?link_target_notification@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
		size = 30
	strings:
		$1 = { 48 83 EC 28 48 83 B9 B0 01 00 00 00 74 0B 48 8B 01 33 D2 FF 90 88 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_885_1 {
	meta:
		name = "??$?0P6A_NAEBW4agent_status@Concurrency@@@Z@?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@QEAA@P6A_NAEBW4agent_status@Concurrency@@@Z@Z"
		size = 38
		refs = "0013 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 D2 75 06 48 21 51 18 EB 17 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_889_1 {
	meta:
		name = "??$?0V<lambda0>@?A0xd3335188@Concurrency@@@?$function@$$A6AXAEB_K@Z@tr1@std@@QEAA@V<lambda0>@?A0xd3335188@Concurrency@@@Z"
		size = 50
		refs = "0025 ??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@V<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@3@@?$_Function_impl1@XAEB_K@tr1@std@@IEAAXV<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@2@@Z"
	strings:
		$1 = { 48 8B C4 53 48 83 EC 40 0F 10 02 F2 0F 10 4A 10 4C 8D 40 08 48 8D 50 D8 48 8B D9 0F 29 40 D8 F2 0F 11 48 E8 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_891_1 {
	meta:
		name = "??$?0V<lambda1>@?A0xd3335188@Concurrency@@@?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@QEAA@V<lambda1>@?A0xd3335188@Concurrency@@@Z"
		size = 27
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_892_1 {
	meta:
		name = "??$?0V<lambda2>@?A0xd3335188@Concurrency@@@?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@tr1@std@@QEAA@V<lambda2>@?A0xd3335188@Concurrency@@@Z"
		size = 27
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_893_1 {
	meta:
		name = "??$?0V<lambda3>@?A0xd3335188@Concurrency@@@?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@QEAA@V<lambda3>@?A0xd3335188@Concurrency@@@Z"
		size = 27
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_894_1 {
	meta:
		name = "??$?0V<lambda4>@?A0xd3335188@Concurrency@@@?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@QEAA@V<lambda4>@?A0xd3335188@Concurrency@@@Z"
		size = 27
		refs = "0008 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@"
	strings:
		$1 = { 48 85 C9 74 0E 48 8D 05 ?? ?? ?? ?? 48 89 01 48 89 51 08 48 89 49 18 48 8B C1 C3 }
	condition:
		$1
}

rule file_85_895_1 {
	meta:
		name = "??$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z"
		size = 182
		refs = "002f ??0_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA@0AEBV345@I@Z 0039 ?_Value@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@QEAA_KXZ 0049 ??_7_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@6B@ 0073 ??0event@Concurrency@@QEAA@XZ 0086 ?_Connect@_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@2@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@AEAAX0@Z 009e ??1_Blocking_recipient@?1???$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@1@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z@UEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 E8 48 81 EC 10 01 00 00 48 C7 44 24 20 FE FF FF FF 48 89 58 08 48 8B D9 4D 85 C0 74 22 44 8B CA 48 8B D1 48 8D 4D A0 E8 ?? ?? ?? ?? 90 48 8D 4D A0 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D A0 EB 57 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 C7 44 24 38 00 00 00 00 48 83 64 24 40 00 48 C7 44 24 48 00 00 00 00 89 54 24 50 48 8D 4C 24 58 E8 ?? ?? ?? ?? 90 48 83 65 90 00 48 8B D3 48 8D 4C 24 30 E8 ?? ?? ?? ?? 90 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 8B C3 48 8B 9C 24 20 01 00 00 48 81 C4 10 01 00 00 5D C3 }
	condition:
		$1
}

rule file_85_901_1 {
	meta:
		name = "?done@agent@Concurrency@@IEAA_NXZ"
		size = 265
		refs = "0020 __security_cookie 003d ??$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z 0055 ?_IsStarted@Concurrency@@YA_NAEBW4agent_status@1@@Z 0068 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@ 00dc ??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z 00ef __security_check_cookie"
	strings:
		$1 = { 48 8B C4 57 48 83 EC 60 48 C7 44 24 28 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B F9 48 8D 69 08 45 33 C0 83 CA FF 48 8B CD E8 ?? ?? ?? ?? 8B F0 33 DB 8D 43 01 F0 0F B1 9F E0 01 00 00 74 5B 48 8D 0D ?? ?? ?? ?? 48 85 C9 75 07 48 89 5C 24 48 EB 1B 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 89 4C 24 38 48 8D 44 24 30 48 89 44 24 48 4C 8D 44 24 30 83 CA FF 48 8B CD E8 ?? ?? ?? ?? 8B F0 48 8B 4C 24 48 48 85 C9 74 11 48 8B 01 48 8D 54 24 30 48 3B CA 0F 95 C2 FF 50 18 8B C3 87 87 E4 01 00 00 83 FE 04 74 2A 83 FE 03 74 25 C7 44 24 20 03 00 00 00 48 85 ED 74 07 48 8D 9F 30 01 00 00 48 8D 54 24 20 48 8B CB E8 ?? ?? ?? ?? B0 01 EB 02 32 C0 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 60 49 8B 5B 18 49 8B 6B 20 49 8B 73 28 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_85_903_1 {
	meta:
		name = "?cancel@agent@Concurrency@@QEAA_NXZ"
		size = 229
		refs = "0017 __security_cookie 0058 ??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z 006e ?_IsDone@Concurrency@@YA_NAEBW4agent_status@1@@Z 0081 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@ 00a6 ??$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z 00d6 __security_check_cookie"
	strings:
		$1 = { 40 57 48 83 EC 60 48 C7 44 24 28 FE FF FF FF 48 89 5C 24 78 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 50 48 8B D9 33 FF 8D 47 01 F0 0F B1 B9 E0 01 00 00 75 27 C7 44 24 20 04 00 00 00 48 8D 41 08 48 85 C0 74 09 48 81 C1 30 01 00 00 EB 03 48 8B CF 48 8D 54 24 20 E8 ?? ?? ?? ?? B8 01 00 00 00 F0 0F B1 BB E4 01 00 00 75 60 48 8D 0D ?? ?? ?? ?? 48 85 C9 75 07 48 89 7C 24 48 EB 1B 48 8D 05 ?? ?? ?? ?? 48 89 44 24 30 48 89 4C 24 38 48 8D 44 24 30 48 89 44 24 48 48 8D 4B 08 4C 8D 44 24 30 83 CA FF E8 ?? ?? ?? ?? 90 48 8B 4C 24 48 48 85 C9 74 12 4C 8B 01 48 8D 54 24 30 48 3B CA 0F 95 C2 41 FF 50 18 B0 01 EB 02 32 C0 48 8B 4C 24 50 48 33 CC E8 ?? ?? ?? ?? 48 8B 5C 24 78 48 83 C4 60 5F C3 }
	condition:
		$1
}

rule file_85_905_1 {
	meta:
		name = "?wait@agent@Concurrency@@SA?AW4agent_status@2@PEAV12@I@Z"
		size = 204
		refs = "001a __security_cookie 002d ??_C@_06GEAPNPNH@pAgent?$AA@ 003e ??0exception@std@@QEAA@AEBQEBD@Z 0045 ??_7invalid_argument@std@@6B@ 0050 _TI3?AVinvalid_argument@std@@ 0059 _CxxThrowException 0061 ?_IsDone@Concurrency@@YA_NAEBW4agent_status@1@@Z 0073 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@ 0090 ??$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z 00ba __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 48 8B EC 48 83 EC 60 48 C7 45 C8 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 48 85 C9 75 34 48 8D 05 ?? ?? ?? ?? 48 89 45 C0 48 8D 55 C0 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D D0 48 8D 15 ?? ?? ?? ?? 48 8D 4D D0 E8 ?? ?? ?? ?? CC 4C 8D 05 ?? ?? ?? ?? 4D 85 C0 75 06 4C 21 45 E8 EB 17 48 8D 05 ?? ?? ?? ?? 48 89 45 D0 4C 89 45 D8 48 8D 45 D0 48 89 45 E8 48 83 C1 08 4C 8D 45 D0 E8 ?? ?? ?? ?? 8B D8 48 8B 4D E8 48 85 C9 74 11 4C 8B 01 48 8D 45 D0 48 3B C8 0F 95 C2 41 FF 50 18 8B C3 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 80 00 00 00 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_85_907_1 {
	meta:
		name = "??R<lambda0>@?A0xd3335188@Concurrency@@QEBAXAEB_K@Z"
		size = 70
		refs = "003d ??$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@0@AEB_K@Z"
		altNames = "??$_ApplyX@XAEB_K@?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@QEAAXAEB_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 01 48 8B 10 48 8B 01 48 FF C2 48 89 10 48 8B 41 08 48 3B 10 75 25 48 8B 41 10 33 C9 48 C7 44 24 30 01 00 00 00 48 85 C0 74 07 48 8D 88 28 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_908_1 {
	meta:
		name = "?_Agent_task_wrapper@agent@Concurrency@@CAXPEAX@Z"
		size = 109
		refs = "0036 ??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 33 C9 8D 41 01 F0 0F B1 8B E4 01 00 00 48 8D 43 08 75 2D C7 44 24 30 02 00 00 00 48 85 C0 74 07 48 8D 8B 30 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 4C 8B 1B 48 8B CB 48 83 C4 20 5B 49 FF 63 08 C7 44 24 38 04 00 00 00 48 85 C0 74 07 48 8D 8B 30 01 00 00 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_909_1 {
	meta:
		name = "??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 128
		refs = "0019 ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 0023 ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 002f ?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXXZ 007c ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 83 C0 01 00 00 48 85 C0 74 34 48 8B 8B C8 01 00 00 48 85 C9 74 10 48 3B C8 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8B 8B C0 01 00 00 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_912_1 {
	meta:
		name = "?link_target_notification@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$ITarget@W4agent_status@Concurrency@@@2@@Z"
		size = 36
		altNames = "?link_target_notification@?$single_assignment@_K@Concurrency@@MEAAXPEAV?$ITarget@_K@2@@Z"
	strings:
		$1 = { 48 83 EC 28 4C 8B CA 48 8B 91 C0 01 00 00 48 85 D2 74 0C 49 8B 01 4C 8B C1 49 8B C9 FF 50 08 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_916_1 {
	meta:
		name = "?propagate_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 89
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 DB 4D 8B C8 48 8B F9 4C 8D 81 28 01 00 00 48 85 C9 75 03 44 8B C3 49 8B 01 8B 52 08 49 8B C9 FF 50 20 48 8B D0 48 85 C0 74 12 F0 FF 40 20 48 8B 07 48 8B CF FF 90 98 00 00 00 EB 05 BB 03 00 00 00 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_917_1 {
	meta:
		name = "?send_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 81
	strings:
		$1 = { 40 53 48 83 EC 20 4D 8B C8 48 8B D9 48 85 C9 74 09 4C 8D 81 28 01 00 00 EB 03 45 33 C0 49 8B 01 8B 52 08 49 8B C9 FF 50 20 48 85 C0 74 18 F0 FF 40 20 4C 8B 03 48 8B D0 48 8B CB 41 FF 90 90 00 00 00 33 C0 EB 05 B8 03 00 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_918_1 {
	meta:
		name = "?accept_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAPEAV?$message@W4agent_status@Concurrency@@@2@H@Z"
		size = 126
		refs = "0026 ?Alloc@Concurrency@@YAPEAX_K@Z 003c ??_7_Runtime_object@details@Concurrency@@6B@ 004c s_RuntimeObjectIdentity 0057 ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 81 C0 01 00 00 33 DB 48 8B F9 48 85 C0 74 58 39 50 08 75 50 B9 28 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 3E 48 8B 8F C0 01 00 00 48 8D 05 ?? ?? ?? ?? 49 89 03 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 41 89 43 08 48 8D 05 ?? ?? ?? ?? 49 89 03 8B 41 10 49 89 5B 18 41 89 43 10 41 89 5B 20 49 8B DB 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_919_1 {
	meta:
		name = "?reserve_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAA_NH@Z"
		size = 36
	strings:
		$1 = { 4C 8B 81 C0 01 00 00 4D 85 C0 74 15 41 39 50 08 75 0F 4C 89 81 C8 01 00 00 F0 41 FF 40 20 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_85_920_1 {
	meta:
		name = "?consume_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAPEAV?$message@W4agent_status@Concurrency@@@2@H@Z"
		size = 179
		refs = "0030 ?Alloc@Concurrency@@YAPEAX_K@Z 003f ??_7_Runtime_object@details@Concurrency@@6B@ 004f s_RuntimeObjectIdentity 005e ??_7?$message@W4agent_status@Concurrency@@@Concurrency@@6B@"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B 81 C8 01 00 00 48 8B F9 48 85 C0 74 09 39 50 08 74 04 33 C0 EB 7C 8B 70 10 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 35 48 8D 05 ?? ?? ?? ?? 48 89 03 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 48 83 63 18 00 89 43 08 48 8D 05 ?? ?? ?? ?? 48 89 03 89 73 10 C7 43 20 00 00 00 00 EB 02 33 DB 48 8B 87 C8 01 00 00 F0 FF 48 20 75 18 48 8B 8F C8 01 00 00 48 85 C9 74 0C 4C 8B 01 BA 01 00 00 00 41 FF 50 08 48 83 A7 C8 01 00 00 00 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_921_1 {
	meta:
		name = "?release_message@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAXH@Z"
		size = 92
		refs = "001b ??0message_not_found@Concurrency@@QEAA@XZ 0022 _TI2?AVmessage_not_found@Concurrency@@ 002c _CxxThrowException"
	strings:
		$1 = { 40 53 48 83 EC 40 48 8B D9 48 8B 89 C8 01 00 00 3B 51 08 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC F0 FF 49 20 75 17 48 8B 8B C8 01 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 83 A3 C8 01 00 00 00 48 83 C4 40 5B C3 }
	condition:
		$1
}

rule file_85_922_1 {
	meta:
		name = "?propagate_to_any_targets@?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$message@W4agent_status@Concurrency@@@2@@Z"
		size = 215
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 40 48 8B DA 48 8B F9 F0 FF 42 20 48 8B 89 C0 01 00 00 48 85 C9 74 1D F0 FF 49 20 75 17 48 8B 8F C0 01 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8D 4F 18 48 89 9F C0 01 00 00 48 8D 55 E0 48 8B 01 C6 87 D0 01 00 00 01 FF 50 20 EB 34 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 4C 8B C7 48 8B D3 48 89 45 F0 4C 8B 08 48 8B C8 41 FF 51 08 48 8B 4D E0 48 FF 45 E8 48 8B 01 48 8D 55 E8 FF 50 28 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 48 89 45 F0 48 85 C0 75 B5 F0 FF 4B 20 75 13 48 85 DB 74 0E 48 8B 03 BA 01 00 00 00 48 8B CB FF 50 08 48 8B 5C 24 50 48 8B 7C 24 58 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_85_924_1 {
	meta:
		name = "??1?$single_assignment@_K@Concurrency@@UEAA@XZ"
		size = 101
		refs = "0019 ??_7?$single_assignment@_K@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0023 ??_7?$single_assignment@_K@Concurrency@@6B?$ITarget@_K@1@@ 002f ?remove_network_links@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ 0053 ??1critical_section@Concurrency@@QEAA@XZ 0061 ??1?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 28 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B C0 01 00 00 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 8B C8 01 00 00 E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_926_1 {
	meta:
		name = "?dtor$1@?0???1?$single_assignment@_K@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
		altNames = "?dtor$1@?0???0?$single_assignment@_K@Concurrency@@QEAA@XZ@4HA ?dtor$1@?0???1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 C8 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_931_1 {
	meta:
		name = "?propagate_message@?$single_assignment@_K@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 186
		refs = "0045 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 008b ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 89 6C 24 68 48 89 74 24 70 49 8B E8 48 8B F2 48 8B D9 33 FF 8A 81 F0 01 00 00 84 C0 74 05 8D 47 01 EB 6D 48 8D 91 C8 01 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8A 83 F0 01 00 00 84 C0 74 07 BF 01 00 00 00 EB 2A 4C 8D 83 28 01 00 00 48 8B 45 00 8B 56 08 48 8B CD FF 50 20 48 8B F0 48 85 C0 74 09 C6 83 F0 01 00 00 01 EB 05 BF 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 85 FF 75 10 4C 8B 03 48 8B D6 48 8B CB 41 FF 90 98 00 00 00 8B C7 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_933_1 {
	meta:
		name = "?send_message@?$single_assignment@_K@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@_K@2@PEAV?$ISource@_K@2@@Z"
		size = 186
		refs = "0045 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 008b ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 57 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 60 48 89 6C 24 68 48 89 74 24 70 49 8B E8 48 8B F2 48 8B D9 33 FF 8A 81 F0 01 00 00 84 C0 74 05 8D 47 01 EB 6D 48 8D 91 C8 01 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 8A 83 F0 01 00 00 84 C0 74 07 BF 01 00 00 00 EB 2A 4C 8D 83 28 01 00 00 48 8B 45 00 8B 56 08 48 8B CD FF 50 20 48 8B F0 48 85 C0 74 09 C6 83 F0 01 00 00 01 EB 05 BF 03 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 85 FF 75 10 4C 8B 03 48 8B D6 48 8B CB 41 FF 90 90 00 00 00 8B C7 48 8B 5C 24 60 48 8B 6C 24 68 48 8B 74 24 70 48 83 C4 50 5F C3 }
	condition:
		$1
}

rule file_85_935_1 {
	meta:
		name = "?accept_message@?$single_assignment@_K@Concurrency@@MEAAPEAV?$message@_K@2@H@Z"
		size = 127
		refs = "0020 ?Alloc@Concurrency@@YAPEAX_K@Z 0036 ??_7_Runtime_object@details@Concurrency@@6B@ 0046 s_RuntimeObjectIdentity 0051 ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 81 C0 01 00 00 48 8B D9 48 85 C0 74 62 3B 50 08 75 5D B9 28 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 43 48 8B 8B C0 01 00 00 48 8D 05 ?? ?? ?? ?? 49 89 03 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 41 89 43 08 48 8D 05 ?? ?? ?? ?? 49 89 03 48 8B 41 10 49 83 63 18 00 49 89 43 10 41 C7 43 20 00 00 00 00 EB 03 45 33 DB 49 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_936_1 {
	meta:
		name = "?reserve_message@?$single_assignment@_K@Concurrency@@MEAA_NH@Z"
		size = 56
		refs = "001b ??0message_not_found@Concurrency@@QEAA@XZ 0022 _TI2?AVmessage_not_found@Concurrency@@ 002c _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B 81 C0 01 00 00 48 85 C0 74 23 39 50 08 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC B0 01 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_937_1 {
	meta:
		name = "?release_message@?$single_assignment@_K@Concurrency@@MEAAXH@Z"
		size = 54
		refs = "001b ??0message_not_found@Concurrency@@QEAA@XZ 0022 _TI2?AVmessage_not_found@Concurrency@@ 002c _CxxThrowException"
	strings:
		$1 = { 48 83 EC 48 48 8B 81 C0 01 00 00 48 85 C0 74 05 39 50 08 74 1C 48 8D 4C 24 20 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 E8 ?? ?? ?? ?? CC 48 83 C4 48 C3 }
	condition:
		$1
}

rule file_85_938_1 {
	meta:
		name = "?propagate_to_any_targets@?$single_assignment@_K@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 138
	strings:
		$1 = { 48 89 5C 24 08 48 89 7C 24 10 55 48 8B EC 48 83 EC 40 48 89 91 C0 01 00 00 48 8B D9 48 83 C1 18 48 8B 01 48 8B FA 48 8D 55 E0 FF 50 20 EB 34 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 4C 8B C3 48 8B D7 48 89 45 F0 4C 8B 08 48 8B C8 41 FF 51 08 48 8B 4D E0 48 FF 45 E8 48 8B 01 48 8D 55 E8 FF 50 28 48 8B 4D E0 48 8B 55 E8 48 8B 01 FF 50 30 48 89 45 F0 48 85 C0 75 B5 48 8B 5C 24 50 48 8B 7C 24 58 48 83 C4 40 5D C3 }
	condition:
		$1
}

rule file_85_941_1 {
	meta:
		name = "?initialize_target@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 134
		refs = "0014 __security_cookie 0026 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda1>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@ 0046 ?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@@Z 007c __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 53 48 83 EC 50 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8B D9 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 81 C1 98 00 00 00 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 17 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 18 48 83 64 24 40 00 48 89 9B 80 00 00 00 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 50 5B C3 }
	condition:
		$1
}

rule file_85_943_1 {
	meta:
		name = "??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 106
		refs = "0019 ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0023 ??_7?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0066 ??1?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 10 01 00 00 48 8B 89 A8 01 00 00 48 85 C9 74 0B 48 8B 01 BA 01 00 00 00 FF 50 08 48 8B 8B B0 01 00 00 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_946_1 {
	meta:
		name = "?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 113
		refs = "0013 __security_cookie 0022 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda2>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@tr1@std@@6B@ 003f ?initialize@?$ordered_message_processor@W4agent_status@Concurrency@@@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@W4agent_status@Concurrency@@@Concurrency@@@Z@tr1@std@@@Z 0068 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 83 C1 40 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 11 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 18 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_85_948_1 {
	meta:
		name = "?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 113
		refs = "0013 __security_cookie 0022 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda3>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@ 003f ?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@@Z 0068 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 83 C1 40 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 11 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 18 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_85_950_1 {
	meta:
		name = "?initialize_source@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 113
		refs = "0013 __security_cookie 0022 ??_7?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda4>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XPEAV?$message@_K@Concurrency@@@tr1@std@@6B@ 003f ?initialize@?$ordered_message_processor@_K@Concurrency@@QEAAXPEAVScheduler@2@PEAVScheduleGroup@2@AEBV?$function@$$A6AXPEAV?$message@_K@Concurrency@@@Z@tr1@std@@@Z 0068 __security_check_cookie"
	strings:
		$1 = { 4C 8B DC 48 83 EC 58 48 C7 44 24 20 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 48 48 8D 05 ?? ?? ?? ?? 49 89 43 D0 49 89 4B D8 49 8D 43 D0 49 89 43 E8 48 83 C1 28 4D 8D 4B D0 E8 ?? ?? ?? ?? 90 48 8B 4C 24 40 48 85 C9 74 11 48 8B 01 48 8D 54 24 28 48 3B CA 0F 95 C2 FF 50 18 48 8B 4C 24 48 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 58 C3 }
	condition:
		$1
}

rule file_85_954_1 {
	meta:
		name = "??1agent@Concurrency@@UEAA@XZ"
		size = 19
		refs = "0003 ??_7agent@Concurrency@@6B@ 000f ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 89 01 48 83 C1 08 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_955_1 {
	meta:
		name = "?start@agent@Concurrency@@QEAA_NXZ"
		size = 199
		refs = "0020 ??$_receive_impl@W4agent_status@Concurrency@@@Concurrency@@YA?AW4agent_status@0@PEAV?$ISource@W4agent_status@Concurrency@@@0@IPEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z 005f ??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z 0076 ?_Agent_task_wrapper@agent@Concurrency@@CAXPEAX@Z 00b1 ?ScheduleTask@CurrentScheduler@Concurrency@@SAXP6AXPEAX@Z0@Z"
	strings:
		$1 = { 48 89 5C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8D 79 08 48 8B D9 45 33 C0 48 8B CF 83 CA FF E8 ?? ?? ?? ?? 33 F6 85 C0 74 07 32 C0 E9 86 00 00 00 B8 01 00 00 00 F0 0F B1 B3 E0 01 00 00 85 C0 74 E8 C7 44 24 30 01 00 00 00 48 8D 8B 30 01 00 00 48 85 FF 75 03 48 8B CE 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 39 B3 F0 01 00 00 74 18 48 8B 8B F0 01 00 00 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 8B 01 FF 10 EB 31 48 39 B3 E8 01 00 00 74 19 48 8B 8B E8 01 00 00 48 8D 15 ?? ?? ?? ?? 4C 8B C3 48 8B 01 FF 50 48 EB 0F 48 8D 0D ?? ?? ?? ?? 48 8B D3 E8 ?? ?? ?? ?? B0 01 48 8B 5C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_956_1 {
	meta:
		name = "??0?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@QEAA@AEBV?$function@$$A6AXAEB_K@Z@tr1@std@@@Z"
		size = 133
		refs = "0024 ??0?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 002c ??_7?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@6B@ 006d ?initialize_target@?$target_block@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 89 74 24 50 48 8B F2 48 8B D9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 7E 18 00 75 0A 48 83 A3 60 01 00 00 00 EB 20 48 8B 4E 18 48 8B 01 48 3B CE 75 09 48 8D 93 48 01 00 00 EB 02 33 D2 FF 10 48 89 83 60 01 00 00 45 33 C0 33 D2 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C3 48 8B 5C 24 48 48 8B 74 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_959_1 {
	meta:
		name = "?initialize_source_and_target@?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 42
		refs = "000a ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 45 33 DB 48 85 DB 74 07 4C 8D 9B 28 01 00 00 4C 89 9B A8 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_960_1 {
	meta:
		name = "?initialize_source_and_target@?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 42
		refs = "000a ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 45 33 DB 48 85 DB 74 07 4C 8D 9B 28 01 00 00 4C 89 9B A8 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_961_1 {
	meta:
		name = "?initialize_source_and_target@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 42
		refs = "000a ?initialize_source@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 E8 ?? ?? ?? ?? 45 33 DB 48 85 DB 74 07 4C 8D 9B 10 01 00 00 4C 89 9B 90 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_962_1 {
	meta:
		name = "?_Do_call@?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@UEAAXAEB_K@Z"
		size = 72
		refs = "003f ??$send@_K@Concurrency@@YA_NPEAV?$ITarget@_K@0@AEB_K@Z"
	strings:
		$1 = { 48 83 EC 28 48 8B 41 08 48 8B 10 48 8B 41 08 48 FF C2 48 89 10 48 8B 41 10 48 3B 10 75 25 48 8B 41 18 33 C9 48 C7 44 24 30 01 00 00 00 48 85 C0 74 07 48 8D 88 28 01 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_85_963_1 {
	meta:
		name = "??_Gagent@Concurrency@@UEAAPEAXI@Z"
		size = 61
		refs = "000d ??_7agent@Concurrency@@6B@ 001e ??1?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ 002b ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8D 05 ?? ?? ?? ?? 48 8B F9 8B DA 48 89 01 48 83 C1 08 E8 ?? ?? ?? ?? F6 C3 01 74 08 48 8B CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_964_1 {
	meta:
		name = "??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ"
		size = 116
		refs = "001c ??0?$propagator_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@QEAA@XZ 0024 ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@1@@ 0035 ??_7?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 005b ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@V?$ordered_message_processor@W4agent_status@Concurrency@@@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 9F 28 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 03 33 C0 48 89 87 C0 01 00 00 48 89 87 C8 01 00 00 88 87 D0 01 00 00 45 33 C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 89 9F A8 01 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_966_1 {
	meta:
		name = "??0?$single_assignment@_K@Concurrency@@QEAA@XZ"
		size = 122
		refs = "001c ??0?$propagator_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@_K@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 0024 ??_7?$single_assignment@_K@Concurrency@@6B?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0035 ??_7?$single_assignment@_K@Concurrency@@6B?$ITarget@_K@1@@ 004c ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 0061 ?initialize_source@?$source_block@V?$multi_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 48 48 8B F9 E8 ?? ?? ?? ?? 90 48 8D 05 ?? ?? ?? ?? 48 89 07 48 8D 9F 28 01 00 00 48 8D 05 ?? ?? ?? ?? 48 89 03 48 83 A7 C0 01 00 00 00 48 8D 8F C8 01 00 00 E8 ?? ?? ?? ?? 90 C6 87 F0 01 00 00 00 45 33 C0 33 D2 48 8B CF E8 ?? ?? ?? ?? 48 89 9F A8 01 00 00 48 8B C7 48 8B 5C 24 48 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_969_1 {
	meta:
		name = "?_Initialize_order_node@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@_KPEAV?$ITarget@_K@2@PEAVScheduler@2@PEAVScheduleGroup@2@@Z"
		size = 185
		refs = "0025 ??_C@_08KILLDFKG@_PSource?$AA@ 0036 ??0exception@std@@QEAA@AEBQEBD@Z 003d ??_7invalid_argument@std@@6B@ 0044 _TI3?AVinvalid_argument@std@@ 0053 _CxxThrowException 006a ?initialize_source@?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXPEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 4C 8B DC 49 89 5B 08 49 89 6B 10 49 89 73 20 57 48 83 EC 40 49 8B F1 48 8B FA 48 8B D9 48 85 D2 75 36 48 8D 05 ?? ?? ?? ?? 49 8D 53 18 49 8D 4B D8 49 89 43 18 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 20 4C 89 5C 24 20 E8 ?? ?? ?? ?? CC 48 8B 54 24 70 4C 89 81 B8 01 00 00 4C 8B 44 24 78 E8 ?? ?? ?? ?? 48 8D AB 10 01 00 00 48 C7 83 70 01 00 00 01 00 00 00 48 89 AB 90 01 00 00 48 85 F6 74 0C 48 8B 03 48 8B D6 48 8B CB FF 50 08 48 8B 07 48 8B D5 48 8B CF 48 8B 5C 24 50 48 8B 6C 24 58 48 8B 74 24 68 48 83 C4 40 5F 48 FF 60 08 }
	condition:
		$1
}

rule file_85_970_1 {
	meta:
		name = "??0agent@Concurrency@@QEAA@XZ"
		size = 124
		refs = "001e ??_7agent@Concurrency@@6B@ 002d ??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 0069 ??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 8B F9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 90 B8 01 00 00 00 89 87 E0 01 00 00 89 87 E4 01 00 00 33 C9 48 89 8F E8 01 00 00 48 89 8F F0 01 00 00 89 4C 24 48 48 85 DB 74 07 48 8D 8F 30 01 00 00 48 8D 54 24 48 E8 ?? ?? ?? ?? 90 48 8B C7 48 8B 5C 24 50 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_972_1 {
	meta:
		name = "??0agent@Concurrency@@QEAA@AEAVScheduler@1@@Z"
		size = 137
		refs = "0026 ??_7agent@Concurrency@@6B@ 0035 ??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 0071 ??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B FA 48 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 90 B8 01 00 00 00 89 86 E0 01 00 00 89 86 E4 01 00 00 48 89 BE E8 01 00 00 33 C9 48 89 8E F0 01 00 00 89 4C 24 48 48 85 DB 74 07 48 8D 8E 30 01 00 00 48 8D 54 24 48 E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_974_1 {
	meta:
		name = "??0agent@Concurrency@@QEAA@AEAVScheduleGroup@1@@Z"
		size = 137
		refs = "0026 ??_7agent@Concurrency@@6B@ 0035 ??0?$overwrite_buffer@W4agent_status@Concurrency@@@Concurrency@@QEAA@XZ 0071 ??$send@W4agent_status@Concurrency@@@Concurrency@@YA_NPEAV?$ITarget@W4agent_status@Concurrency@@@0@AEBW4agent_status@0@@Z"
	strings:
		$1 = { 48 89 4C 24 08 57 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 5C 24 50 48 89 74 24 58 48 8B FA 48 8B F1 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 59 08 48 8B CB E8 ?? ?? ?? ?? 90 B8 01 00 00 00 89 86 E0 01 00 00 89 86 E4 01 00 00 33 C9 48 89 8E E8 01 00 00 48 89 BE F0 01 00 00 89 4C 24 48 48 85 DB 74 07 48 8D 8E 30 01 00 00 48 8D 54 24 48 E8 ?? ?? ?? ?? 90 48 8B C6 48 8B 5C 24 50 48 8B 74 24 58 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_85_976_1 {
	meta:
		name = "??0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z"
		size = 207
		refs = "002e ??0?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@QEAA@XZ 004d ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0058 ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 0073 ??0_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 0080 ??0_ReentrantPPLLock@details@Concurrency@@QEAA@XZ 0095 ?register_filter@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXAEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z 00b2 ?_Initialize_order_node@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@IEAAXPEAV?$ISource@W4agent_status@Concurrency@@@2@_KPEAV?$ITarget@_K@2@PEAVScheduler@2@PEAVScheduleGroup@2@@Z"
	strings:
		$1 = { 48 8B C4 48 89 48 08 57 48 83 EC 40 48 C7 44 24 30 FE FF FF FF 48 89 58 10 48 89 68 18 48 89 70 20 49 8B D9 49 8B F8 48 8B F2 48 8B E9 E8 ?? ?? ?? ?? 48 83 A5 A8 01 00 00 00 48 83 A5 B0 01 00 00 00 48 83 A5 B8 01 00 00 00 48 8D 05 ?? ?? ?? ?? 48 89 45 00 48 8D 05 ?? ?? ?? ?? 48 89 85 10 01 00 00 48 83 A5 C0 01 00 00 00 48 8D 8D C8 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 8D F0 01 00 00 E8 ?? ?? ?? ?? 90 83 8D 20 02 00 00 FF 48 8B 54 24 70 48 8B CD E8 ?? ?? ?? ?? 48 83 64 24 28 00 48 83 64 24 20 00 4C 8B CB 4C 8B C7 48 8B D6 48 8B CD E8 ?? ?? ?? ?? 90 48 8B C5 48 8B 5C 24 58 48 8B 6C 24 60 48 8B 74 24 68 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_85_978_1 {
	meta:
		name = "?dtor$1@?0???0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@4HA"
		size = 32
		refs = "000f ??1_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 C8 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_85_979_1 {
	meta:
		name = "?dtor$2@?0???0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z@4HA"
		size = 19
		refs = "000f ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 50 00 00 00 48 81 C1 F0 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_980_1 {
	meta:
		name = "?propagate_message@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@MEAA?AW4message_status@2@PEAV?$message@W4agent_status@Concurrency@@@2@PEAV?$ISource@W4agent_status@Concurrency@@@2@@Z"
		size = 179
		refs = "0036 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0056 ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 40 48 8B EA 48 8B F9 48 8D 91 C8 01 00 00 48 8D 48 D8 4D 8B E0 BB 02 00 00 00 40 32 F6 E8 ?? ?? ?? ?? 48 83 BF C0 01 00 00 00 74 0C 8B 45 08 40 B6 01 89 87 20 02 00 00 48 8D 4C 24 20 E8 ?? ?? ?? ?? 40 84 F6 75 37 49 8B 04 24 8B 55 08 4C 8D 87 10 01 00 00 49 8B CC FF 50 20 48 89 87 C0 01 00 00 48 85 C0 74 12 48 8B 07 33 D2 48 8B CF 33 DB FF 90 98 00 00 00 EB 05 BB 03 00 00 00 48 8B 6C 24 58 48 8B 74 24 60 48 8B 7C 24 68 8B C3 48 8B 5C 24 50 48 83 C4 40 41 5C C3 }
	condition:
		$1
}

rule file_85_981_1 {
	meta:
		name = "?accept_message@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@MEAAPEAV?$message@_K@2@H@Z"
		size = 127
		refs = "0020 ?Alloc@Concurrency@@YAPEAX_K@Z 0036 ??_7_Runtime_object@details@Concurrency@@6B@ 0046 s_RuntimeObjectIdentity 0051 ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B 81 B0 01 00 00 48 8B D9 48 85 C0 74 62 3B 50 08 75 5D B9 28 00 00 00 E8 ?? ?? ?? ?? 4C 8B D8 48 85 C0 74 43 48 8B 8B B0 01 00 00 48 8D 05 ?? ?? ?? ?? 49 89 03 B8 02 00 00 00 F0 0F C1 05 ?? ?? ?? ?? 41 89 43 08 48 8D 05 ?? ?? ?? ?? 49 89 03 48 8B 41 10 49 83 63 18 00 49 89 43 10 41 C7 43 20 00 00 00 00 EB 03 45 33 DB 49 8B C3 EB 02 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_982_1 {
	meta:
		name = "?_Create_send_message@?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@IEAAXXZ"
		size = 96
		refs = "000f ?Alloc@Concurrency@@YAPEAX_K@Z 001b ??_7_Runtime_object@details@Concurrency@@6B@ 002b s_RuntimeObjectIdentity 0032 ??_7?$message@_K@Concurrency@@6B@"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 3B 48 8D 0D ?? ?? ?? ?? BA 02 00 00 00 48 89 08 F0 0F C1 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 89 50 08 48 89 08 48 8B 8B B8 01 00 00 48 83 60 18 00 48 89 48 10 C7 40 20 00 00 00 00 48 89 83 B0 01 00 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_85_984_1 {
	meta:
		name = "?propagate_to_any_targets@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@MEAAXPEAV?$message@_K@2@@Z"
		size = 262
		refs = "0025 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0048 ?Alloc@Concurrency@@YAPEAX_K@Z 0054 ??_7_Runtime_object@details@Concurrency@@6B@ 0064 s_RuntimeObjectIdentity 006e ??_7?$message@_K@Concurrency@@6B@ 00f7 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 8B EC 48 83 EC 60 48 C7 45 C0 FE FF FF FF 48 89 5C 24 70 48 8B D9 48 8D 91 F0 01 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 90 48 83 BB B0 01 00 00 00 75 5F 48 8B 83 C0 01 00 00 48 89 83 A8 01 00 00 B9 28 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 74 3B 48 8D 0D ?? ?? ?? ?? 48 89 08 B9 02 00 00 00 F0 0F C1 0D ?? ?? ?? ?? 89 48 08 48 8D 0D ?? ?? ?? ?? 48 89 08 48 8B 8B B8 01 00 00 48 89 48 10 48 83 60 18 00 C7 40 20 00 00 00 00 48 89 83 B0 01 00 00 48 8D 4B 18 48 8B 01 48 8D 55 C8 FF 50 20 EB 38 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 89 45 D8 4C 8B 08 4C 8B C3 48 8B 93 B0 01 00 00 48 8B C8 41 FF 51 08 48 FF 45 D0 48 8B 4D C8 48 8B 01 48 8D 55 D0 FF 50 28 48 8B 4D C8 48 8B 01 48 8B 55 D0 FF 50 30 48 85 C0 48 89 45 D8 75 B1 48 8D 4D E0 E8 ?? ?? ?? ?? 48 8B 5C 24 70 48 83 C4 60 5D C3 }
	condition:
		$1
}

rule file_85_986_1 {
	meta:
		name = "?_Reset@?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAAXXZ"
		size = 453
		refs = "0035 ??0_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 0083 ??0_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@AEAV123@@Z 009a ??_7?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@6B@ 00aa ??1_Scoped_lock@_NonReentrantPPLLock@details@Concurrency@@QEAA@XZ 00bf ?begin@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAA?AV?$_Source_link_iterator@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@2@XZ 010f ?release@?$source_link_manager@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@@Concurrency@@QEAAXXZ 011d ??_V@YAXPEAX@Z 01a4 ??1_Scoped_lock@_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B C4 55 41 54 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 A0 FE FF FF FF 48 89 58 08 48 89 70 10 48 89 78 18 48 8B D9 48 8D 91 F0 01 00 00 48 8D 4D E0 E8 ?? ?? ?? ?? 90 48 8B 8B A8 01 00 00 BF 01 00 00 00 48 85 C9 74 08 48 8B 01 8B D7 FF 50 08 48 83 A3 A8 01 00 00 00 48 8B 8B B0 01 00 00 48 85 C9 74 08 48 8B 01 8B D7 FF 50 08 48 83 A3 B0 01 00 00 00 48 8D 93 C8 01 00 00 48 8D 4D A8 E8 ?? ?? ?? ?? 90 8B BB 20 02 00 00 83 FF FF 0F 84 F6 00 00 00 4C 8D 3D ?? ?? ?? ?? 83 8B 20 02 00 00 FF 48 8D 4D A8 E8 ?? ?? ?? ?? 83 FF FF 74 6E 48 8D 8B 18 01 00 00 48 8D 55 A8 E8 ?? ?? ?? ?? 90 48 8B 4D B0 48 8B 45 D0 48 3B 45 B8 72 06 48 8D 45 D8 EB 04 48 8D 04 C1 48 8B 30 48 85 F6 74 1A 4C 8D 83 10 01 00 00 48 8B 06 8B D7 48 8B CE FF 50 28 84 C0 75 48 48 8B 4D B0 4C 89 7D A8 48 8B 45 C8 48 85 C0 74 0C 48 8B C8 E8 ?? ?? ?? ?? 48 8B 4D B0 48 85 C9 74 05 E8 ?? ?? ?? ?? 48 8D 93 C8 01 00 00 48 8D 4D A8 E8 ?? ?? ?? ?? 90 8B BB 20 02 00 00 83 FF FF 74 50 E9 5C FF FF FF 4C 8D 83 10 01 00 00 48 8B 06 8B D7 48 8B CE FF 50 30 48 89 83 C0 01 00 00 48 8B 03 33 D2 48 8B CB FF 90 98 00 00 00 90 4C 89 7D A8 48 8B 4D C8 48 85 C9 74 06 E8 ?? ?? ?? ?? 90 48 8B 4D B0 48 85 C9 74 19 E8 ?? ?? ?? ?? EB 12 48 83 A3 C0 01 00 00 00 48 8D 4D A8 E8 ?? ?? ?? ?? 90 48 8D 4D E0 E8 ?? ?? ?? ?? 4C 8D 9C 24 80 00 00 00 49 8B 5B 20 49 8B 73 28 49 8B 7B 30 49 8B E3 41 5F 41 5C 5D C3 }
	condition:
		$1
}

rule file_85_992_1 {
	meta:
		name = "??1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
		size = 123
		refs = "0019 ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$source_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$ordered_message_processor@_K@2@@1@@ 0023 ??_7?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@6B?$ITarget@W4agent_status@Concurrency@@@1@@ 002f ?remove_network_links@?$propagator_block@V?$single_link_registry@V?$ITarget@_K@Concurrency@@@Concurrency@@V?$multi_link_registry@V?$ISource@W4agent_status@Concurrency@@@Concurrency@@@2@V?$ordered_message_processor@_K@2@@Concurrency@@IEAAXXZ 005c ??1critical_section@Concurrency@@QEAA@XZ 0077 ??1?$_Order_node_base@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 89 4C 24 08 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 8B D9 48 8D 05 ?? ?? ?? ?? 48 89 01 48 8D 05 ?? ?? ?? ?? 48 89 81 10 01 00 00 E8 ?? ?? ?? ?? 48 8B 8B C0 01 00 00 48 3B 8B A8 01 00 00 74 11 48 85 C9 74 0C 48 8B 01 BA 01 00 00 00 FF 50 08 90 48 8D 8B F0 01 00 00 E8 ?? ?? ?? ?? 90 48 8D 8B C8 01 00 00 E8 ?? ?? ?? ?? 90 48 8B CB 48 83 C4 30 5B E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_995_1 {
	meta:
		name = "?dtor$2@?0???1?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@UEAA@XZ@4HA"
		size = 19
		refs = "000f ??1_ReentrantPPLLock@details@Concurrency@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 40 00 00 00 48 81 C1 F0 01 00 00 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_997_1 {
	meta:
		name = "??0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z"
		size = 284
		refs = "001d __security_cookie 004b ??_U@YAPEAX_K@Z 0061 ?_IsDone@Concurrency@@YA_NAEBW4agent_status@1@@Z 006b ??2@YAPEAX_K@Z 0086 ??_7?$_Impl_no_alloc1@U?$_Callable_fun@Q6A_NAEBW4agent_status@Concurrency@@@Z$0A@@tr1@std@@_NAEBW4agent_status@Concurrency@@@tr1@std@@6B@ 00bb ??0?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@QEAA@PEAV?$ISource@W4agent_status@Concurrency@@@1@_KPEAV?$ITarget@_K@1@AEBV?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@@Z 0109 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 48 8B EC 48 83 EC 70 48 C7 45 C8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B E9 4D 8B E0 48 8B F1 33 FF 89 7D C0 48 89 11 8D 47 08 48 F7 E2 48 8D 4F FF 48 0F 40 C1 48 8B C8 E8 ?? ?? ?? ?? 48 89 46 08 33 DB 48 39 1E 0F 86 A0 00 00 00 4C 8D 35 ?? ?? ?? ?? B9 28 02 00 00 E8 ?? ?? ?? ?? 48 89 45 D0 48 85 C0 74 4C 4D 85 F6 75 06 4C 21 75 F0 EB 17 48 8D 0D ?? ?? ?? ?? 48 89 4D D8 4C 89 75 E0 48 8D 4D D8 48 89 4D F0 83 CF 01 89 7D C0 49 8B 14 DC 48 83 C2 08 48 8D 4D D8 48 89 4C 24 20 4D 8B CD 4C 8B C3 48 8B C8 E8 ?? ?? ?? ?? 4C 8B D8 EB 03 45 33 DB 48 8B 46 08 4C 89 1C D8 40 F6 C7 01 74 1D 83 E7 FE 48 8B 4D F0 48 85 C9 74 11 4C 8B 01 48 8D 45 D8 48 3B C8 0F 95 C2 41 FF 50 18 48 FF C3 48 3B 1E 0F 82 67 FF FF FF 48 8B C6 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_85_999_1 {
	meta:
		name = "?dtor$1@?0???0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z@4HA"
		size = 38
		refs = "001c ??1?$function@$$A6A_NAEBW4agent_status@Concurrency@@@Z@tr1@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 30 83 E0 01 85 C0 74 0D 83 65 30 FE 48 8D 4D 48 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_85_1000_1 {
	meta:
		name = "?wait_for_all@agent@Concurrency@@SAX_KPEAPEAV12@PEAW4agent_status@2@I@Z"
		size = 531
		refs = "001f __security_cookie 0043 ??_C@_07BMMBGCJN@pAgents?$AA@ 0057 ??0exception@std@@QEAA@AEBQEBD@Z 005e ??_7invalid_argument@std@@6B@ 006a _TI3?AVinvalid_argument@std@@ 0074 _CxxThrowException 00cf ??0?$single_assignment@_K@Concurrency@@QEAA@XZ 012f ??$_Reset0o@V?$_Impl_no_alloc1@U?$_Callable_obj@V<lambda0>@?A0xd3335188@Concurrency@@$0A@@tr1@std@@XAEB_K@tr1@std@@V<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@3@@?$_Function_impl1@XAEB_K@tr1@std@@IEAAXV<lambda0>@?A0xd3335188@Concurrency@@V?$allocator@V?$_Function_impl1@XAEB_K@tr1@std@@@2@@Z 013d ??0?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@QEAA@AEBV?$function@$$A6AXAEB_K@Z@tr1@std@@@Z 016d ??0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z 017f ??$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z 01dd ??_V@YAXPEAX@Z 01e7 ??1?$call@_KV?$function@$$A6AXAEB_K@Z@tr1@std@@@Concurrency@@UEAA@XZ 01f4 ??1?$single_assignment@_K@Concurrency@@UEAA@XZ 0203 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 48 8D AC 24 A8 FC FF FF 48 81 EC 58 04 00 00 48 C7 45 A8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 40 03 00 00 41 8B F1 49 8B F8 48 8B DA 48 89 4C 24 28 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 48 48 8D 54 24 48 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 33 C0 48 85 C9 74 47 48 83 3C C2 00 74 0A 48 FF C0 48 3B C1 72 F1 EB 36 48 8D 05 ?? ?? ?? ?? 48 89 44 24 58 48 8D 54 24 58 48 8D 4D 90 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5D 90 48 8D 15 ?? ?? ?? ?? 48 8D 4D 90 E8 ?? ?? ?? ?? CC 48 8D 8D 40 01 00 00 E8 ?? ?? ?? ?? 90 48 C7 44 24 50 00 00 00 00 48 8D 44 24 50 48 89 44 24 30 48 8D 44 24 28 48 89 44 24 38 48 8D 85 40 01 00 00 48 89 44 24 40 F2 0F 10 44 24 30 F2 0F 11 44 24 70 F2 0F 10 4C 24 38 F2 0F 11 4C 24 78 F2 0F 10 44 24 40 F2 0F 11 45 80 4C 8D 44 24 20 48 8D 54 24 70 48 8D 4D B0 E8 ?? ?? ?? ?? 90 48 8D 55 B0 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8B 4D C8 48 85 C9 74 10 48 8B 01 48 8D 55 B0 48 3B CA 0F 95 C2 FF 50 18 4C 8D 4D D0 4C 8B C3 48 8B 54 24 28 48 8D 4C 24 60 E8 ?? ?? ?? ?? 90 45 33 C0 8B D6 48 8D 8D 40 01 00 00 E8 ?? ?? ?? ?? 48 8B 74 24 68 48 85 FF 74 25 33 D2 4C 8B 44 24 28 4D 85 C0 74 19 48 8B 04 D6 48 8B 88 A8 01 00 00 8B 41 10 89 04 97 48 FF C2 49 3B D0 72 E7 33 DB 48 8B 7C 24 60 48 85 FF 74 1B 48 8B 0C DE 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 FF C3 48 3B DF 72 E5 48 8B CE E8 ?? ?? ?? ?? 90 48 8D 4D D0 E8 ?? ?? ?? ?? 90 48 8D 8D 40 01 00 00 E8 ?? ?? ?? ?? 48 8B 8D 40 03 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 58 04 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_85_1001_1 {
	meta:
		name = "?dtor$0@?0??wait_for_all@agent@Concurrency@@SAX_KPEAPEAV12@PEAW4agent_status@2@I@Z@4HA"
		size = 16
		refs = "0008 ??1?$single_assignment@_K@Concurrency@@UEAA@XZ"
	strings:
		$1 = { 48 8D 8A 40 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_85_1005_1 {
	meta:
		name = "?wait_for_one@agent@Concurrency@@SAX_KPEAPEAV12@AEAW4agent_status@2@AEA_KI@Z"
		size = 366
		refs = "0022 __security_cookie 0044 ??_C@_07BMMBGCJN@pAgents?$AA@ 0058 ??0exception@std@@QEAA@AEBQEBD@Z 005f ??_7invalid_argument@std@@6B@ 006b _TI3?AVinvalid_argument@std@@ 0075 _CxxThrowException 00d1 ??0?$single_assignment@_K@Concurrency@@QEAA@XZ 00e6 ??0?$_OrderBlock@V?$_Greedy_node@W4agent_status@Concurrency@@@Concurrency@@@Concurrency@@QEAA@_KPEAPEAVagent@1@PEAV?$ITarget@_K@1@@Z 00fa ??$_receive_impl@_K@Concurrency@@YA_KPEAV?$ISource@_K@0@IPEBV?$function@$$A6A_NAEB_K@Z@tr1@std@@@Z 0142 ??_V@YAXPEAX@Z 014d ??1?$single_assignment@_K@Concurrency@@UEAA@XZ 015c __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 48 8D AC 24 A0 FE FF FF 48 81 EC 60 02 00 00 48 C7 44 24 48 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 50 01 00 00 4D 8B E1 49 8B F0 48 8B FA 48 8B D9 48 85 D2 75 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 48 8D 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 33 C0 48 85 C9 74 4A 48 83 3C C2 00 74 0A 48 FF C0 48 3B C1 72 F1 EB 39 48 8D 05 ?? ?? ?? ?? 48 89 44 24 20 48 8D 54 24 20 48 8D 4C 24 30 E8 ?? ?? ?? ?? 4C 8D 1D ?? ?? ?? ?? 4C 89 5C 24 30 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 30 E8 ?? ?? ?? ?? CC 48 8D 4C 24 50 E8 ?? ?? ?? ?? 90 4C 8D 4D 78 4C 8B C7 48 8B D3 48 8D 4C 24 20 E8 ?? ?? ?? ?? 90 45 33 C0 8B 95 B0 01 00 00 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 89 04 24 48 8B 7C 24 28 48 8B 04 C7 48 8B 88 A8 01 00 00 8B 41 10 89 06 33 DB 48 8B 74 24 20 48 85 F6 74 1B 48 8B 0C DF 48 85 C9 74 0A 48 8B 01 BA 01 00 00 00 FF 10 48 FF C3 48 3B DE 72 E5 48 8B CF E8 ?? ?? ?? ?? 90 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 8B 8D 50 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 60 02 00 00 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_86_0_1 {
	meta:
		name = "_Towlower"
		size = 111
		refs = "0056 __crtLCMapStringW"
	strings:
		$1 = { 66 89 4C 24 08 48 83 EC 38 48 8B C2 BA FF FF 00 00 66 89 4C 24 50 66 3B CA 74 4C 83 38 00 BA 00 01 00 00 75 14 66 3B CA 73 0F 8D 41 BF 66 83 F8 19 77 34 66 83 C1 20 EB 2E 48 8D 4C 24 50 41 B9 01 00 00 00 4C 8D 44 24 40 44 89 4C 24 28 48 89 4C 24 20 8B 08 E8 ?? ?? ?? ?? 0F B7 4C 24 50 85 C0 66 0F 44 4C 24 40 0F B7 C1 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_87_0_1 {
	meta:
		name = "_FCosh"
		size = 204
		refs = "0018 _FDtest 004f __mask@@NegFloat@ 005d _FXbig 0073 __real@3f800000 0078 _FExp 0080 __real@3e800000 00b6 _Feraise"
	strings:
		$1 = { F3 0F 11 44 24 08 48 83 EC 38 48 8D 4C 24 40 0F 29 74 24 20 0F 28 F1 E8 ?? ?? ?? ?? 98 85 C0 0F 84 9A 00 00 00 FF C8 83 F8 01 77 0B F3 0F 10 44 24 40 E9 8B 00 00 00 0F 57 C0 0F 2E F0 7A 02 74 7E F3 0F 10 4C 24 40 0F 2F C1 76 0D 0F 57 0D ?? ?? ?? ?? F3 0F 11 4C 24 40 F3 0F 10 05 ?? ?? ?? ?? 41 83 C8 FF 48 8D 4C 24 40 0F 2F C1 76 27 F3 0F 10 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F3 0F 10 05 ?? ?? ?? ?? F3 0F 5E 44 24 40 F3 0F 58 44 24 40 F3 0F 59 C6 EB 2C 0F 28 CE E8 ?? ?? ?? ?? 0F BF C8 85 C9 74 0B FF C9 75 83 B9 08 00 00 00 EB 05 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 6D FF FF FF 0F 28 C6 0F 28 74 24 20 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_88_0_1 {
	meta:
		name = "?_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z"
		size = 19
		refs = "0003 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBQEBDB 000f _fsopen"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 63 D2 48 8B 14 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_1_1 {
	meta:
		name = "?_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z"
		size = 19
		refs = "0003 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBQEB_WB 000f _wfsopen"
	strings:
		$1 = { 48 8D 05 ?? ?? ?? ?? 48 63 D2 48 8B 14 D0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_88_2_1 {
	meta:
		name = "??$_Xfiopen@D@std@@YAPEAU_iobuf@@PEBDHH@Z"
		size = 249
		refs = "0049 __ImageBase 005b ?valid@?1???$_Xfiopen@D@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBHB 0087 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEBDHH@Z@4QBQEBDB 0092 _fsopen 009f fclose 00ce fseek"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 8B FA 44 8B CA 41 8B F0 83 E7 04 41 81 E1 80 00 00 00 48 8B E9 F6 C2 40 74 03 83 CA 01 F6 C2 08 74 03 83 CA 02 33 C9 81 E2 3B FF FF FF 4C 8D 25 ?? ?? ?? ?? 8D 41 01 45 33 C0 3B C2 74 11 43 8B 84 84 ?? ?? ?? ?? 49 FF C0 FF C1 85 C0 75 EB 48 63 D9 41 83 BC 9C ?? ?? ?? ?? 00 75 04 33 C0 EB 64 45 85 C9 74 26 F6 C2 0A 74 21 48 8B 15 ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 0A 48 8B C8 E8 ?? ?? ?? ?? EB D1 49 8B 94 DC ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B6 85 FF 74 17 33 D2 48 8B C8 44 8D 42 02 E8 ?? ?? ?? ?? 85 C0 74 05 48 8B CB EB C3 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_88_3_1 {
	meta:
		name = "??$_Xfiopen@_W@std@@YAPEAU_iobuf@@PEB_WHH@Z"
		size = 249
		refs = "0049 __ImageBase 005b ?valid@?1???$_Xfiopen@_W@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBHB 0087 ?mods@?1??_Xfsopen@std@@YAPEAU_iobuf@@PEB_WHH@Z@4QBQEB_WB 0092 _wfsopen 009f fclose 00ce fseek"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 8B FA 44 8B CA 41 8B F0 83 E7 04 41 81 E1 80 00 00 00 48 8B E9 F6 C2 40 74 03 83 CA 01 F6 C2 08 74 03 83 CA 02 33 C9 81 E2 3B FF FF FF 4C 8D 25 ?? ?? ?? ?? 8D 41 01 45 33 C0 3B C2 74 11 43 8B 84 84 ?? ?? ?? ?? 49 FF C0 FF C1 85 C0 75 EB 48 63 D9 41 83 BC 9C ?? ?? ?? ?? 00 75 04 33 C0 EB 64 45 85 C9 74 26 F6 C2 0A 74 21 48 8B 15 ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 85 C0 74 0A 48 8B C8 E8 ?? ?? ?? ?? EB D1 49 8B 94 DC ?? ?? ?? ?? 44 8B C6 48 8B CD E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 B6 85 FF 74 17 33 D2 48 8B C8 44 8D 42 02 E8 ?? ?? ?? ?? 85 C0 74 05 48 8B CB EB C3 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_91_0_1 {
	meta:
		name = "_Stoulx"
		size = 480
		refs = "003e isspace 00df tolower 00e6 digits 00f0 memchr 015b ndigs 0193 _errno"
	strings:
		$1 = { 4C 89 4C 24 20 48 89 54 24 10 53 55 56 57 41 54 41 55 41 56 41 57 48 83 EC 38 4D 8B F1 41 8B F0 48 8B EA 4C 8B E9 4D 85 C9 74 04 41 83 21 00 48 8B D9 0F B6 09 EB 06 48 FF C3 0F B6 0B E8 ?? ?? ?? ?? 85 C0 75 F1 44 8A 23 41 80 FC 2D 74 0B 41 80 FC 2B 74 05 41 B4 2B EB 03 48 FF C3 85 F6 0F 88 5F 01 00 00 83 FE 01 0F 84 56 01 00 00 83 FE 24 0F 8F 4D 01 00 00 B1 30 85 F6 7E 16 83 FE 10 75 37 38 0B 75 33 8A 43 01 3C 78 74 28 3C 58 75 28 EB 22 38 0B 74 07 BE 0A 00 00 00 EB 1B 8A 43 01 3C 78 74 0B 3C 58 74 07 BE 08 00 00 00 EB 09 BE 10 00 00 00 48 83 C3 02 48 89 9C 24 80 00 00 00 EB 03 48 FF C3 38 0B 74 F9 0F BE 0B 33 FF 48 89 5C 24 20 21 BC 24 90 00 00 00 4C 63 FE E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 4D 8B C7 8B D0 E8 ?? ?? ?? ?? 48 85 C0 74 4D 48 63 EE 4C 8D 35 ?? ?? ?? ?? 89 BC 24 90 00 00 00 41 2A C6 48 FF C3 0F BE 0B 44 0F BE F8 0F AF FE 41 03 FF E8 ?? ?? ?? ?? 4C 8B C5 8B D0 49 8B CE E8 ?? ?? ?? ?? 48 85 C0 75 CF 48 8B AC 24 88 00 00 00 4C 8B B4 24 98 00 00 00 EB 08 44 8A BC 24 90 00 00 00 48 39 9C 24 80 00 00 00 74 6C 48 8D 0D ?? ?? ?? ?? 48 63 C6 48 0F BE 04 08 48 8B CB 48 2B C8 48 2B 4C 24 20 78 3B 48 85 C9 7F 19 41 0F BE CF 8B C7 2B C1 3B F8 72 0D 33 D2 F7 F6 3B 84 24 90 00 00 00 74 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 4D 85 F6 74 07 41 C7 06 01 00 00 00 83 CF FF 41 B4 2B 41 80 FC 2D 75 02 F7 DF 48 85 ED 74 04 48 89 5D 00 8B C7 EB 0B 48 85 ED 74 04 4C 89 6D 00 33 C0 48 83 C4 38 41 5F 41 5E 41 5D 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_92_0_1 {
	meta:
		name = "_Wmemcmp"
		size = 37
	strings:
		$1 = { EB 13 0F B7 02 66 39 01 75 13 48 83 C1 02 48 83 C2 02 41 FF C8 45 85 C0 7F E8 33 C0 C3 1B C0 83 E0 FE FF C0 C3 }
	condition:
		$1
}

rule file_92_1_1 {
	meta:
		name = "_Wcscoll"
		size = 215
		refs = "0037 ___lc_handle_func 00a1 __crtCompareStringW 00ac _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 30 48 8B 44 24 60 49 8B D9 48 8B FA 48 2B F9 49 2B D8 49 8B F0 48 D1 FF 48 D1 FB 48 8B E9 48 85 C0 75 0A E8 ?? ?? ?? ?? 8B 48 04 EB 02 8B 08 85 C9 75 46 8B D3 3B FB B9 01 00 00 00 0F 4C D7 EB 13 0F B7 06 66 39 45 00 75 22 48 83 C5 02 48 83 C6 02 2B D1 85 D2 7F E9 33 C0 85 C0 75 17 3B FB 74 13 83 C8 FF 3B FB 0F 4C C8 EB 41 1B C0 83 E0 FE 03 C1 EB E5 8B C8 EB 34 44 8B CF 4C 8B C5 BA 00 10 00 00 89 5C 24 28 48 89 74 24 20 E8 ?? ?? ?? ?? 8B C8 85 C0 75 12 E8 ?? ?? ?? ?? B9 FF FF FF 7F C7 00 16 00 00 00 EB 03 83 E9 02 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 74 24 50 8B C1 48 83 C4 30 5F C3 }
	condition:
		$1
}

rule file_93_0_1 {
	meta:
		name = "_Wcrtomb"
		size = 185
		refs = "001d ___lc_handle_func 0025 ___lc_codepage_func 0056 _GetLocaleForCP 005e ___mb_cur_max_l_func 008c __imp_WideCharToMultiByte 009c _errno"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 18 66 89 54 24 10 57 48 83 EC 40 48 8B F1 4D 85 C9 75 16 E8 ?? ?? ?? ?? 8B 58 08 E8 ?? ?? ?? ?? 0F B7 54 24 58 8B F8 EB 07 41 8B 19 41 8B 79 04 85 DB 75 11 B8 FF 00 00 00 66 3B D0 77 54 88 16 8D 43 01 EB 5B 83 64 24 68 00 8B CF E8 ?? ?? ?? ?? 48 8B C8 E8 ?? ?? ?? ?? 48 8D 4C 24 68 4C 8D 44 24 58 48 89 4C 24 38 48 83 64 24 30 00 89 44 24 28 8B CF 41 B9 01 00 00 00 33 D2 48 89 74 24 20 FF 15 ?? ?? ?? ?? 85 C0 74 07 83 7C 24 68 00 74 0E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF 48 8B 5C 24 50 48 8B 74 24 60 48 83 C4 40 5F C3 }
	condition:
		$1
}

rule file_93_1_1 {
	meta:
		name = "_Getcvt"
		size = 35
		refs = "0005 ___lc_handle_func 0011 ___lc_codepage_func"
	strings:
		$1 = { 48 83 EC 28 E8 ?? ?? ?? ?? 8B 48 08 89 4C 24 30 E8 ?? ?? ?? ?? 89 44 24 34 48 8B 44 24 30 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_94_0_1 {
	meta:
		name = "_Exp"
		size = 318
		refs = "0008 __real@c09cc80000000000 002e hugexp 0038 _Inf 0052 invln2 0060 __real@bfe0000000000000 006a __real@3fe0000000000000 0072 _Eps 0091 c2 0099 c1 00a9 __mask@@NegDouble@ 00da p 00e2 q 011e __real@4000000000000000 0134 _Dscale"
	strings:
		$1 = { F2 0F 10 19 F2 0F 10 05 ?? ?? ?? ?? 66 0F 28 E1 66 0F 2F C3 0F 87 1E 01 00 00 66 0F 57 D2 66 0F 2E CA 7A 06 0F 84 0E 01 00 00 66 0F 2F 1D ?? ?? ?? ?? 76 16 F2 0F 10 05 ?? ?? ?? ?? B8 01 00 00 00 F2 0F 11 01 E9 F3 00 00 00 66 0F 28 C3 F2 0F 59 05 ?? ?? ?? ?? 66 0F 2F D0 76 0A F2 0F 10 0D ?? ?? ?? ?? EB 08 F2 0F 10 0D ?? ?? ?? ?? F2 0F 10 15 ?? ?? ?? ?? F2 0F 58 C8 F2 0F 2C D1 0F BF C2 66 0F 6E C8 F3 0F E6 C9 66 0F 28 C1 F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? F2 0F 5C D8 66 0F 28 C2 66 0F 57 05 ?? ?? ?? ?? F2 0F 5C D9 66 0F 2F D8 76 0C 66 0F 2F D3 76 06 F2 0F 11 21 EB 67 66 0F 28 CB 66 FF CA F2 0F 59 CB 66 0F 28 D1 66 0F 28 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 15 ?? ?? ?? ?? F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 C1 F2 0F 58 05 ?? ?? ?? ?? F2 0F 59 D1 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 66 0F 28 CA F2 0F 5C D3 F2 0F 58 CB F2 0F 5E CA F2 0F 59 0D ?? ?? ?? ?? F2 0F 59 CC F2 0F 11 09 0F BF D2 41 0F BF C0 03 D0 E9 ?? ?? ?? ?? 33 C0 48 89 01 C3 }
	condition:
		$1
}

rule file_5_129_2 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 19
	strings:
		$1 = { 48 83 79 18 10 48 89 51 10 72 03 48 8B 09 C6 04 11 00 C3 }
	condition:
		$1
}

rule file_5_131_2 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0D@Z"
		size = 46
		refs = "002a memset"
	strings:
		$1 = { 48 8B C2 49 83 F8 01 75 0F 48 83 79 18 10 72 03 48 8B 09 44 88 0C 11 C3 48 83 79 18 10 72 03 48 8B 09 41 0F BE D1 48 03 C8 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_132_2 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_NPEBD@Z"
		size = 62
	strings:
		$1 = { 4C 8B C2 48 85 D2 74 33 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 1F 48 83 79 18 10 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 8D 0C 02 49 3B C8 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_5_135_2 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z"
		size = 143
		refs = "001f ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0024 ?_Xout_of_range@std@@YAXPEBD@Z 005e memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 49 8B F8 4C 8B 41 10 48 8B C2 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 2B C0 4C 3B C7 49 0F 42 F8 48 85 FF 74 49 48 83 79 18 10 72 05 48 8B 11 EB 03 48 8B D1 48 83 79 18 10 72 03 48 8B 09 48 03 D0 4C 2B C7 48 03 C8 48 03 D7 E8 ?? ?? ?? ?? 4C 8B 5B 10 4C 2B DF 48 83 7B 18 10 4C 89 5B 10 72 05 48 8B 03 EB 03 48 8B C3 42 C6 04 18 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_174_2 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_N_K@Z"
		size = 88
		refs = "002c memcpy 0034 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B D9 84 D2 74 1F 48 83 79 18 10 72 18 48 8B 31 4D 85 C0 74 08 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 38 48 C7 43 18 0F 00 00 00 48 89 7B 10 C6 04 1F 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_181_2 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z"
		size = 316
		refs = "0082 ??2@YAPEAX_K@Z 00a5 ??0exception@std@@QEAA@AEBQEBD@Z 00ac ??_7bad_alloc@std@@6B@ 00b8 _TI2?AVbad_alloc@std@@ 00c2 _CxxThrowException 0104 memcpy 0113 ??3@YAXPEAX@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 48 89 4C 24 08 53 56 57 41 54 48 83 EC 68 48 C7 44 24 20 FE FF FF FF 4D 8B E0 48 8B F9 48 8B DA 48 83 CB 0F 49 C7 C1 FE FF FF FF 49 3B D9 76 05 48 8B DA EB 31 4C 8B 41 18 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E3 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 1C 01 76 03 49 8B D9 48 8D 4B 01 33 F6 48 85 C9 74 4C 48 83 F9 FF 77 0D E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 39 48 83 A4 24 A8 00 00 00 00 48 8D 94 24 A8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 EB 20 48 8B BC 24 90 00 00 00 4C 8B A4 24 A0 00 00 00 48 8B 9C 24 98 00 00 00 48 8B B4 24 A8 00 00 00 4D 85 E4 74 1A 48 83 7F 18 10 72 05 48 8B 17 EB 03 48 8B D7 4D 8B C4 48 8B CE E8 ?? ?? ?? ?? 48 83 7F 18 10 72 08 48 8B 0F E8 ?? ?? ?? ?? C6 07 00 48 89 37 48 89 5F 18 4C 89 67 10 48 83 FB 10 48 0F 43 FE 42 C6 04 27 00 48 83 C4 68 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_5_185_2 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z$1"
		size = 48
		refs = "0012 ??3@YAXPEAX@Z 002b _CxxThrowException"
	strings:
		$1 = { 48 8B 9D 90 00 00 00 48 83 7B 18 10 72 08 48 8B 0B E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 83 63 10 00 C6 03 00 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_5_205_2 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 46
		refs = "0014 ??3@YAXPEAX@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 18 10 48 8B D9 72 08 48 8B 09 E8 ?? ?? ?? ?? 48 83 63 10 00 48 C7 43 18 0F 00 00 00 C6 03 00 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_5_206_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		size = 20
	strings:
		$1 = { 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B C1 C6 01 00 C3 }
	condition:
		$1
}

rule file_5_210_2 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
		size = 198
		refs = "0028 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 002d ?_Xlength_error@std@@YAXPEBD@Z 003f ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 0071 memcpy 0079 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B F2 48 8B D9 48 83 FA FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 60 45 84 C0 74 45 48 83 FA 10 73 3F 48 8B 69 10 48 3B D5 48 0F 42 EA 48 83 79 18 10 72 1B 4C 8B 21 48 85 ED 74 0B 4C 8B C5 49 8B D4 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 C7 43 18 0F 00 00 00 48 89 6B 10 40 88 3C 2B EB 16 48 85 D2 75 11 48 83 79 18 10 48 89 79 10 72 03 48 8B 19 40 88 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_5_211_2 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEAD_K@Z"
		size = 623
		refs = "0028 __security_cookie 005f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0068 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0078 ??1locale@std@@QEAA@XZ 0084 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0128 memmove_s 0193 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 01ab ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 0205 ?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_KD@Z 0241 ??3@YAXPEAX@Z 0250 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC C0 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B F9 49 8B F8 4C 89 45 A7 48 8B F2 48 89 55 8F 48 89 4D 9F 8A 45 6F 88 44 24 30 4C 8B 75 77 4C 8B 65 7F 48 8D 55 CF 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 89 45 BF 48 8D 4D CF E8 ?? ?? ?? ?? 48 8D 55 DF 48 8B CB E8 ?? ?? ?? ?? 90 41 80 3E 2B 74 23 41 80 3E 2D 74 1D 41 80 3E 30 75 13 41 8A 46 01 3C 78 74 04 3C 58 75 07 B8 02 00 00 00 EB 09 33 C0 EB 05 B8 01 00 00 00 4C 63 E8 48 8D 45 DF 48 8B 4D DF 48 8B 55 F7 48 83 FA 10 48 0F 43 C1 80 38 7F 74 74 48 8D 45 DF 48 83 FA 10 48 0F 43 C1 80 38 00 7E 63 48 8D 7D DF 48 83 FA 10 48 0F 43 F9 49 8B F4 8A 07 3C 7F 74 46 84 C0 7E 42 48 0F BE C8 48 8B C6 49 2B C5 48 3B C8 73 33 48 2B F1 49 8B D4 48 2B D6 48 FF C2 49 8D 1C 36 49 8D 4C 36 01 4C 8B CA 4C 8B C3 E8 ?? ?? ?? ?? C6 03 00 49 FF C4 48 8D 47 01 80 38 00 48 0F 4F F8 EB B4 48 8B 75 8F 48 8B 7D A7 49 8B 5F 28 48 85 DB 7E 0A 49 3B DC 76 05 49 2B DC EB 02 33 DB 41 8B 47 18 25 C0 01 00 00 83 F8 40 74 68 0F 10 07 4C 8D 45 8F 48 8D 55 A7 48 8B 4D 9F F3 0F 7F 45 8F 3D 00 01 00 00 74 1D 44 8A 6C 24 30 45 8A CD 48 89 5C 24 20 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 33 DB EB 35 4C 89 6C 24 20 4D 8B CE E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 4D 03 F5 4D 2B E5 0F 10 00 F3 0F 7F 45 8F 4C 8D 45 8F 48 8D 55 A7 48 8B 4D 9F EB B3 44 8A 6C 24 30 0F 10 07 F3 0F 7F 45 8F 48 8B 4D BF 48 8B 01 FF 50 10 88 44 24 28 4C 89 64 24 20 4D 8B CE 4C 8D 45 8F 48 8D 55 BF 4C 8B 65 9F 49 8B CC E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 07 49 83 67 28 00 0F 10 0F F3 0F 7F 4D BF 48 89 5C 24 20 45 8A CD 4C 8D 45 BF 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_214_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 246
		refs = "0030 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0035 ?_Xlength_error@std@@YAXPEBD@Z 0064 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00c3 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 83 C8 FF 41 8A E8 4C 8B 41 10 49 2B C0 48 8B F2 48 8B D9 48 3B C2 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 85 D2 0F 84 9B 00 00 00 49 8D 3C 10 48 83 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 C6 00 00 48 85 FF 74 54 48 8B 4B 10 48 83 FE 01 75 15 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 88 2C 08 EB 1E 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 0F BE D5 48 03 C8 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_215_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
		size = 206
		refs = "0021 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0026 ?_Xlength_error@std@@YAXPEBD@Z 0049 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00a0 memset"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 41 8A F0 48 8B FA 48 8B D9 48 83 FA FF 75 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 FA FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 1B 48 85 D2 75 16 48 21 51 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 C6 00 00 48 85 FF 74 4C 48 83 FF 01 75 14 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 40 88 30 EB 1B 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 40 0F BE D6 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_216_2 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z"
		size = 332
		refs = "0031 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0036 ?_Xout_of_range@std@@YAXPEBD@Z 004a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 004f ?_Xlength_error@std@@YAXPEBD@Z 007e ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00d9 memmove 0113 memset"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 49 8B F0 4C 8B 41 10 45 8A E1 48 8B EA 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 C8 FF 49 2B C0 48 3B C6 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 85 F6 0F 84 D1 00 00 00 49 8D 3C 30 48 83 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1F 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 C6 00 00 48 85 FF 0F 84 86 00 00 00 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 4C 8B 43 10 48 8D 14 29 48 8D 0C 28 4C 2B C5 48 03 CE E8 ?? ?? ?? ?? 48 83 FE 01 75 15 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 44 88 24 28 EB 1F 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 8D 0C 28 41 0F BE D4 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_5_217_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 273
		refs = "0031 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0036 ?_Xout_of_range@std@@YAXPEBD@Z 0058 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 005d ?_Xlength_error@std@@YAXPEBD@Z 008c ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00d8 memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 8B 42 10 49 8B F1 4D 8B E0 48 8B EA 48 8B D9 49 3B C0 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B C0 4C 8B 41 10 49 3B C1 48 0F 42 F0 48 83 C8 FF 49 2B C0 48 3B C6 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 85 F6 0F 84 88 00 00 00 49 8D 3C 30 48 83 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 C6 00 00 48 85 FF 74 41 48 83 7D 18 10 72 04 48 8B 6D 00 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 03 4B 10 49 8D 14 2C 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_5_218_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 252
		refs = "0029 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 002e ?_Xout_of_range@std@@YAXPEBD@Z 004b ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 006a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 006f ?_Xlength_error@std@@YAXPEBD@Z 0082 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00c9 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 48 8B 7A 10 49 8B E8 48 8B F2 48 8B D9 49 3B F8 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 1F 4A 8D 14 07 49 83 C8 FF E8 ?? ?? ?? ?? 4C 8B C5 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 83 00 00 00 48 83 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 79 18 73 0E 4C 8B 41 10 48 8B D7 E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 79 10 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 C6 00 00 48 85 FF 74 3C 48 83 7E 18 10 72 03 48 8B 36 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 8D 14 2E 4C 8B C7 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B 6C 24 38 48 8B 74 24 40 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_224_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@_KD@Z"
		size = 39
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B D9 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_322_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@$$QEAV01@@Z"
		size = 39
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B D9 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_295_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD_K@Z"
		size = 39
		refs = "001a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B D9 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_5_226_2 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z"
		size = 1494
		refs = "0028 __security_cookie 0046 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0055 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0083 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 014c ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 031b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0320 ?_Xlength_error@std@@YAXPEBD@Z 03a4 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 03a9 memchr 04a0 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0584 ??3@YAXPEAX@Z 05b7 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC A0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4C 89 4D 9F 49 8B D8 4C 8B E2 48 89 55 A7 48 8B 4D 7F E8 ?? ?? ?? ?? 48 8B F8 48 8D 55 DF 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 FF 4C 39 7D EF 75 06 44 88 7D 98 EB 0C 48 8B 07 48 8B CF FF 50 10 88 45 98 4D 8B EC 48 8B 7D 9F 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 41 B9 01 00 00 00 84 C0 0F 85 BB 00 00 00 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 4B 08 80 7B 09 2B 75 07 41 C6 04 24 2B EB 56 44 38 7B 08 75 45 48 8B 0B 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 43 09 EB 03 4C 89 3B 44 88 4B 08 80 7B 09 2D 75 12 41 C6 04 24 2D 4D 8D 6C 24 01 48 8B CB E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B F6 BE 0A 00 00 00 44 23 F6 8D 46 06 81 F9 00 08 00 00 44 0F 44 F0 8D 46 FE 81 F9 00 04 00 00 44 0F 44 F0 44 88 7D 97 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 4B 01 00 00 44 38 7B 08 75 44 48 8B 0B 48 85 C9 74 2F 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 03 4C 21 3B B8 01 00 00 00 88 43 08 EB 05 B8 01 00 00 00 80 7B 09 30 0F 85 F2 00 00 00 44 8A F8 48 8B CB E8 ?? ?? ?? ?? 48 8B D7 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 C5 00 00 00 38 43 08 75 47 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 BF 01 00 00 00 40 88 7B 08 EB 05 BF 01 00 00 00 80 7B 09 78 74 4C 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 40 88 7B 08 80 7B 09 58 75 22 45 85 F6 74 06 41 83 FE 10 75 17 41 BE 10 00 00 00 45 32 FF 48 8B CB E8 ?? ?? ?? ?? 41 8D 46 F8 EB 1E B8 08 00 00 00 45 85 F6 75 0F 44 8B F0 EB 05 B8 08 00 00 00 45 85 F6 74 10 44 3B F6 74 0B BE 16 00 00 00 44 3B F0 0F 44 F0 48 C7 45 CF 0F 00 00 00 48 83 65 C7 00 C6 45 B7 00 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 44 88 7D B7 48 89 45 C7 C6 45 B8 00 33 FF 49 83 C4 1F 48 8B 55 9F 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 85 AB 01 00 00 48 63 F6 80 7B 08 00 75 40 48 8B 0B 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 C6 43 08 01 0F BE 43 09 41 88 45 00 8B D0 4C 8B C6 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 74 55 80 7D 97 00 75 07 41 80 7D 00 30 74 12 B9 01 00 00 00 4D 3B EC 73 0D 4C 03 E9 88 4D 97 EB 05 B9 01 00 00 00 44 8A F9 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 80 3C 38 7F 0F 84 B6 00 00 00 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 00 0C 38 E9 A0 00 00 00 48 8D 45 B7 4C 8B 5D B7 4C 8B 55 CF 49 83 FA 10 49 0F 43 C3 80 3C 38 00 0F 84 A6 00 00 00 44 8A 4D 98 45 84 C9 0F 84 99 00 00 00 80 7B 08 00 75 52 48 8B 0B 48 85 C9 74 3C 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 12 48 8B 01 FF 50 30 4C 8B 55 CF 4C 8B 5D B7 44 8A 4D 98 83 F8 FF 74 05 88 43 09 EB 04 48 83 23 00 B8 01 00 00 00 88 43 08 EB 05 B8 01 00 00 00 44 38 4B 09 75 36 45 33 C0 48 8B D0 48 8D 4D B7 E8 ?? ?? ?? ?? 48 FF C7 48 8B CB E8 ?? ?? ?? ?? 48 8B 55 9F 48 8B CB E8 ?? ?? ?? ?? 84 C0 0F 84 8B FE FF FF 4C 8B 55 CF 4C 8B 5D B7 41 BC 10 00 00 00 41 8D 74 24 F1 48 85 FF 74 2C 48 8D 45 B7 4D 3B D4 49 0F 43 C3 80 3C 38 00 7E 05 48 03 FE EB 16 45 32 FF EB 11 4C 8B 55 CF 4C 8B 5D B7 BE 01 00 00 00 44 8D 66 0F 48 8D 4D DF 48 8B 55 DF 4C 8B 45 F7 4D 3B C4 48 0F 43 CA 33 DB 45 84 FF 74 52 48 85 FF 74 3E 44 8A 09 41 80 F9 7F 74 35 48 2B FE 74 11 48 8D 45 B7 4D 3B D4 49 0F 43 C3 44 3A 0C 38 75 2E 48 85 FF 75 10 48 8D 45 B7 4D 3B D4 49 0F 43 C3 44 3A 08 7C 19 38 59 01 7E C2 48 FF C1 EB BD 38 5D 97 75 0E 41 C6 45 00 30 4C 03 EE EB 04 4C 8B 6D A7 41 88 5D 00 4D 3B D4 72 10 49 8B CB E8 ?? ?? ?? ?? 4C 8B 45 F7 48 8B 55 DF 48 C7 45 CF 0F 00 00 00 48 89 5D C7 88 5D B7 4D 3B C4 72 08 48 8B CA E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 A0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_230_2 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 298
		refs = "0068 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0084 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0089 ?_Xlength_error@std@@YAXPEBD@Z 00b7 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00f7 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 49 8B E8 48 8B F2 48 8B D9 48 85 D2 74 4F 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 3B 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 48 3B CA 76 28 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4D 8B C8 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? E9 A4 00 00 00 4C 8B 43 10 48 83 C8 FF 49 2B C0 48 3B C5 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 85 ED 74 7F 49 8D 3C 28 48 83 FF FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 7B 18 73 0D 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 48 85 FF 75 1B 48 21 7B 10 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 85 FF 74 35 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 03 4B 10 4C 8B C5 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_231_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		size = 247
		refs = "0063 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0072 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0077 ?_Xlength_error@std@@YAXPEBD@Z 008d ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K0@Z 00c9 memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 48 8B F2 48 8B D9 48 85 D2 74 4C 48 83 79 18 10 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 38 48 83 79 18 10 72 03 48 8B 09 48 03 4B 10 48 3B CA 76 25 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 2B F0 4D 8B C8 48 8B D3 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? EB 7E 49 83 F8 FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 39 43 18 73 11 4C 8B 43 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1B 4D 85 C0 75 16 4C 21 43 10 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 C6 00 00 48 85 FF 74 31 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 4C 8B C7 48 8B D6 E8 ?? ?? ?? ?? 48 83 7B 18 10 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 C6 04 38 00 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_232_2 {
	meta:
		name = "?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3298
		refs = "0028 __security_cookie 0055 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005e ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 006e ??1locale@std@@QEAA@XZ 007a ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0090 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0144 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 02e4 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 02e9 ?_Xlength_error@std@@YAXPEBD@Z 040e ??_C@_0BB@JCEFLFJE@0123456789abcdef?$AA@ 04dd ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 05aa ??3@YAXPEAX@Z 077a localeconv 0cc3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC C0 00 00 00 48 C7 45 AF FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 4D 8B E1 4C 89 4D 87 49 8B F8 48 8B DA 48 89 55 9F 48 8B 4D 77 48 8B 45 7F 48 89 45 97 48 8D 55 8F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 45 A7 48 8D 4D 8F E8 ?? ?? ?? ?? 48 8D 55 DF 49 8B CF E8 ?? ?? ?? ?? 90 4C 8B EB 33 F6 40 88 74 24 21 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 44 8D 76 01 84 C0 0F 85 A8 00 00 00 40 38 77 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 44 88 77 08 80 7F 09 2B 75 05 C6 03 2B EB 4D 40 38 77 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 30 74 08 48 8B 41 58 8B 10 EB 02 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 37 44 88 77 08 80 7F 09 2D 75 0F C6 03 2D 4C 8D 6B 01 48 8B CF E8 ?? ?? ?? ?? 41 C6 45 00 30 4D 03 EE 41 C6 45 00 78 4D 03 EE 33 DB 88 5C 24 20 44 8B F3 89 5C 24 28 89 5C 24 24 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 09 01 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 30 0F 85 BC 00 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9C 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 78 74 49 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 80 7F 09 58 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 05 C6 44 24 20 01 48 8D 45 DF 48 83 7D F7 10 48 0F 43 45 DF 80 38 7F 0F 84 17 03 00 00 48 8D 45 DF 48 83 7D F7 10 48 0F 43 45 DF 38 18 0F 8E 01 03 00 00 48 39 5D EF 75 05 44 8A E3 EB 0C 49 8B 07 49 8B CF FF 50 10 44 8A E0 48 C7 45 CF 0F 00 00 00 48 89 5D C7 88 5D B7 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 C7 66 89 5D B7 48 8B F3 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 27 02 00 00 38 5F 08 75 46 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 41 BB 01 00 00 00 44 88 5F 08 EB 06 41 BB 01 00 00 00 8A 47 09 3C 30 7C 0D 0F BE C8 83 F9 39 7F 05 8D 59 D0 EB 25 3C 61 7C 0D 0F BE C8 83 F9 66 7F 05 8D 59 A9 EB 14 3C 41 7C 0D 0F BE C8 83 F9 46 7F 05 8D 59 C9 EB 03 83 CB FF 85 DB 0F 88 B4 00 00 00 44 88 5C 24 20 41 83 FE 24 7C 07 44 01 5C 24 24 EB 73 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 BB 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 5F 08 80 7F 09 30 75 05 45 85 F6 74 1C 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 45 00 4D 03 EB 45 03 F3 44 89 74 24 28 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 80 3C 30 7F 0F 84 AA 00 00 00 48 8D 45 B7 48 83 7D CF 10 48 0F 43 45 B7 44 00 1C 30 E9 93 00 00 00 48 8D 45 B7 4C 8B 55 B7 4C 8B 4D CF 49 83 F9 10 49 0F 43 C2 33 DB 38 1C 30 0F 84 9A 00 00 00 45 84 E4 0F 84 91 00 00 00 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 37 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 0E 48 8B 01 FF 50 30 4C 8B 4D CF 4C 8B 55 B7 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 41 BB 01 00 00 00 44 88 5F 08 44 38 67 09 75 3A 45 33 C0 49 8B D3 48 8D 4D B7 E8 ?? ?? ?? ?? 48 FF C6 EB 02 33 DB 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 87 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 09 FE FF FF 4C 8B 4D CF 4C 8B 55 B7 41 B8 01 00 00 00 48 85 F6 74 2B 48 8D 45 B7 49 83 F9 10 49 0F 43 C2 38 1C 30 7E 05 49 03 F0 EB 15 44 88 44 24 21 EB 0E 4C 8B 4D CF 4C 8B 55 B7 41 B8 01 00 00 00 48 8D 4D DF 48 83 7D F7 10 48 0F 43 4D DF 38 5C 24 21 75 46 48 85 F6 74 41 8A 11 80 FA 7F 74 3A 49 2B F0 74 11 48 8D 45 B7 49 83 F9 10 49 0F 43 C2 3A 14 30 75 1F 48 85 F6 75 10 48 8D 45 B7 49 83 F9 10 49 0F 43 C2 3A 10 7C 0A 38 59 01 7E C4 48 FF C1 EB BF 44 88 44 24 21 49 83 F9 10 0F 82 52 01 00 00 49 8B CA E8 ?? ?? ?? ?? E9 45 01 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 36 01 00 00 41 BF 01 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 7F 08 8A 47 09 3C 30 7C 0D 0F BE C8 83 F9 39 7F 05 8D 59 D0 EB 25 3C 61 7C 0D 0F BE C8 83 F9 66 7F 05 8D 59 A9 EB 14 3C 41 7C 0D 0F BE C8 83 F9 46 7F 05 8D 59 C9 EB 03 83 CB FF 85 DB 0F 88 97 00 00 00 41 83 FE 24 7C 05 41 03 F7 EB 68 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 7F 08 80 7F 09 30 75 05 45 85 F6 74 17 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 45 00 4D 03 EF 45 03 F7 44 88 7C 24 20 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 0F 84 E7 FE FF FF EB 02 33 DB 89 74 24 24 44 89 74 24 28 4C 8B 7D A7 EB 04 4C 8B 65 87 40 8A 74 24 20 40 84 F6 74 0D 45 85 F6 75 08 41 C6 45 00 30 49 FF C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 38 5F 08 75 42 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F B8 01 00 00 00 88 47 08 8A 5F 09 49 8B 07 49 8B CF FF 50 08 3A D8 75 23 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 45 00 41 BF 01 00 00 00 4D 03 EF 48 8B CF E8 ?? ?? ?? ?? 33 DB EB 08 33 DB 41 BF 01 00 00 00 45 85 F6 0F 85 A5 00 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 75 44 8B 74 24 24 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 7F 08 80 7F 09 30 75 1D 45 2B F7 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9A 44 89 74 24 24 44 8B 74 24 28 44 8B 7C 24 24 45 85 FF 79 1C 41 C6 45 00 30 B8 01 00 00 00 4C 03 E8 44 03 F8 44 89 7C 24 24 EB 05 44 8B 7C 24 24 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C5 00 00 00 41 BF 01 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 7F 08 8A 47 09 3C 30 7C 0D 0F BE C8 83 F9 39 7F 05 8D 41 D0 EB 25 3C 61 7C 0D 0F BE C8 83 F9 66 7F 05 8D 41 A9 EB 14 3C 41 7C 0D 0F BE C0 83 F8 46 7F 05 83 C0 C9 EB 03 83 C8 FF 85 C0 78 3A 41 83 FE 24 7D 16 48 98 48 8D 0D ?? ?? ?? ?? 8A 04 08 41 88 45 00 4D 03 EF 45 03 F7 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 46 FF FF FF 44 8B 7C 24 24 40 84 F6 0F 84 57 03 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 44 03 00 00 38 5F 08 75 46 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 41 BE 01 00 00 00 44 88 77 08 EB 06 41 BE 01 00 00 00 80 7F 09 70 74 4D 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 50 0F 85 A0 02 00 00 41 C6 45 00 70 4D 03 EE 48 8B CF E8 ?? ?? ?? ?? 40 8A F3 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 F6 84 C0 0F 85 BC 00 00 00 44 38 77 08 75 45 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 80 7F 09 2B 75 07 41 C6 45 00 2B EB 54 44 38 77 08 75 43 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 B8 01 00 00 00 88 47 08 80 7F 09 2D 75 10 41 C6 45 00 2D 4C 03 E8 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7D 41 BF 01 00 00 00 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 80 7F 09 30 75 1A 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 40 84 F6 44 8B 7C 24 24 74 08 41 C6 45 00 30 49 FF C5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1A 01 00 00 41 BF 01 00 00 00 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 80 7F 09 30 0F 8C C0 00 00 00 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 80 7F 09 39 7F 75 83 FB 08 7D 52 44 38 77 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 37 44 88 7F 08 8A 47 09 41 88 45 00 4D 03 EF 41 03 DF 41 8A F7 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F1 FE FF FF 44 8B 7C 24 24 33 DB 38 5C 24 21 75 05 40 84 F6 75 04 4C 8B 6D 9F 41 88 5D 00 48 8B 45 97 44 89 38 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 33 C0 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_237_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z"
		size = 475
		refs = "0024 __security_cookie 0075 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00ed ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 0197 ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01b0 ??3@YAXPEAX@Z 01bf __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 49 8B F1 4D 8B E8 48 89 55 B8 48 8B F9 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C5 48 FF C1 8A 01 84 C0 75 EF 48 C7 45 E0 0F 00 00 00 48 83 65 D8 00 C6 45 C8 00 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 32 C9 88 4D B0 33 DB 45 33 E4 4D 85 ED 0F 84 0D 01 00 00 EB 07 3A 06 74 0A 48 FF C3 8A 04 33 84 C0 75 F2 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 42 80 3C 20 00 74 1B 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 4A 0F BE 04 20 48 03 D8 E9 96 00 00 00 49 03 DE 8A 04 33 3A 06 74 68 84 C0 74 64 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 57 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 C6 47 08 01 8A 47 09 38 04 33 75 0A B1 01 88 4D B0 EB 27 45 8B FC 48 8D 55 C8 48 83 7D E0 10 48 0F 43 55 C8 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 42 88 0C 22 8A 4D B0 49 FF C4 4D 3B E5 0F 82 24 FF FF FF 84 C9 74 24 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C6 48 8B CF E8 ?? ?? ?? ?? 41 83 CF FF E9 E0 FE FF FF 48 83 7D E0 10 72 09 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_255_2 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 3319
		refs = "0028 __security_cookie 0071 ?_Getffldx@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1AEAVios_base@2@PEAH@Z 007f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0088 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 0098 ??1locale@std@@QEAA@XZ 00a4 ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ba ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 017c ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 01ef ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 01f4 ?_Xlength_error@std@@YAXPEBD@Z 045b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0527 ??3@YAXPEAX@Z 074d localeconv 0cd8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B1 48 81 EC C0 00 00 00 48 C7 45 B7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F1 4C 89 4D 97 49 8B F8 48 8B DA 48 89 55 AF 4C 8B D1 48 8B 4D 77 4C 8B 45 7F 8B 41 18 BA 00 30 00 00 23 C2 3B C2 75 1D 4C 89 44 24 28 48 89 4C 24 20 4C 8B C7 48 8B D3 49 8B CA E8 ?? ?? ?? ?? E9 56 0C 00 00 48 8D 55 9F E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 45 A7 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 E7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B E3 45 33 ED 44 88 6D 87 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 8D 4D 01 84 C0 0F 85 B6 00 00 00 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 4F 08 80 7F 09 2B 75 05 C6 03 2B EB 54 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 4F 08 80 7F 09 2D 75 0F C6 03 2D 4C 8D 63 01 48 8B CF E8 ?? ?? ?? ?? 45 8A FD 44 89 6D 8F 33 C9 8B D9 89 4D 8B 48 8D 45 E7 48 83 7D FF 10 48 0F 43 45 E7 80 38 7F 0F 84 8B 03 00 00 48 8D 45 E7 48 83 7D FF 10 48 0F 43 45 E7 38 08 0F 8E 75 03 00 00 48 39 4D F7 75 05 40 8A F1 EB 0E 49 8B 06 49 8B CE FF 50 10 40 8A F0 33 C9 48 C7 45 D7 0F 00 00 00 48 89 4D CF 88 4D BF B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 CF 66 89 5D BF 48 8B D9 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 96 02 00 00 44 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 DB 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 80 7F 09 30 0F 8C 4D 01 00 00 44 38 5F 08 75 48 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 DB 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 80 7F 09 39 0F 8F F5 00 00 00 45 8A F9 41 83 FD 24 7C 09 44 01 4D 8B E9 B4 00 00 00 44 38 5F 08 75 46 48 8B 0F 48 85 C9 74 37 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 0D 48 8B 01 FF 50 30 45 33 DB 45 8D 4B 01 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 44 88 4F 08 80 7F 09 30 75 05 45 85 ED 74 5D 44 38 5F 08 75 46 48 8B 0F 48 85 C9 74 37 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 0D 48 8B 01 FF 50 30 45 33 DB 45 8D 4B 01 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 44 88 4F 08 8A 47 09 41 88 04 24 4D 03 E1 45 03 E9 44 89 6D 8F 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 80 3C 18 7F 0F 84 B1 00 00 00 48 8D 45 BF 48 83 7D D7 10 48 0F 43 45 BF 44 00 0C 18 E9 9A 00 00 00 48 8D 45 BF 4C 8B 55 BF 4C 8B 4D D7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 A3 00 00 00 40 84 F6 0F 84 9A 00 00 00 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D D7 4C 8B 55 BF 45 33 DB 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 40 38 77 09 75 39 45 33 C0 48 8B D0 48 8D 4D BF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 9A FD FF FF 4C 8B 4D D7 4C 8B 55 BF 41 B8 01 00 00 00 48 85 DB 74 2B 48 8D 45 BF 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 05 49 03 D8 EB 14 44 88 45 87 EB 0E 4C 8B 4D D7 4C 8B 55 BF 41 B8 01 00 00 00 48 8D 4D E7 48 83 7D FF 10 48 0F 43 4D E7 44 38 5D 87 75 46 48 85 DB 74 41 8A 11 80 FA 7F 74 3A 49 2B D8 74 11 48 8D 45 BF 49 83 F9 10 49 0F 43 C2 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 BF 49 83 F9 10 49 0F 43 C2 3A 10 7C 0B 44 38 59 01 7E C3 48 FF C1 EB BE 44 88 45 87 49 83 F9 10 0F 82 AF 01 00 00 49 8B CA E8 ?? ?? ?? ?? E9 A2 01 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 A2 01 00 00 45 8D 73 01 44 38 5F 08 75 42 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 DB 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 44 88 77 08 80 7F 09 30 0F 8C 29 01 00 00 44 38 5F 08 75 42 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 DB 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 44 88 77 08 80 7F 09 39 0F 8F D7 00 00 00 41 83 FD 24 7C 08 41 03 DE E9 A8 00 00 00 44 38 5F 08 75 42 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 DB 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 44 88 77 08 80 7F 09 30 75 05 45 85 ED 74 55 44 38 5F 08 75 42 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 DB 83 F8 FF 74 05 88 47 09 EB 03 4C 89 1F 44 88 77 08 8A 47 09 41 88 04 24 4D 03 E6 45 03 EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 85 FE FF FF 89 5D 8B 44 89 6D 8F 4C 8B 75 A7 EB 04 48 8B 75 97 45 84 FF 74 0D 45 85 ED 75 08 41 C6 04 24 30 49 FF C4 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 75 78 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F C6 47 08 01 8A 5F 09 49 8B 06 49 8B CE FF 50 08 3A D8 75 23 E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 04 24 41 BE 01 00 00 00 4D 03 E6 48 8B CF E8 ?? ?? ?? ?? 33 DB EB 08 33 DB 41 BE 01 00 00 00 45 85 ED 0F 85 A0 00 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 72 44 8B 6D 8B 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 30 75 1D 45 2B EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9A 44 89 6D 8B 44 8B 6D 8F 44 8B 75 8B 45 85 F6 79 1A 41 C6 04 24 30 B8 01 00 00 00 4C 03 E0 44 03 F0 44 89 75 8B EB 04 44 8B 75 8B 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 14 01 00 00 41 BE 01 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 30 0F 8C BD 00 00 00 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 80 7F 09 39 7F 74 41 83 FD 24 7D 50 38 5F 08 75 3E 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F 44 88 77 08 8A 47 09 41 88 04 24 4D 03 E6 45 03 EE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F6 FE FF FF 44 8B 75 8B 45 33 ED 45 84 FF 0F 84 53 03 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 40 03 00 00 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F BB 01 00 00 00 88 5F 08 EB 05 BB 01 00 00 00 80 7F 09 65 74 4E 44 38 6F 08 75 3E 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 88 5F 08 80 7F 09 45 0F 85 9C 02 00 00 41 C6 04 24 65 4C 03 E3 48 8B CF E8 ?? ?? ?? ?? 45 8A FD 41 8B DD 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 BC 00 00 00 44 38 6F 08 75 45 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 80 7F 09 2B 75 07 41 C6 04 24 2B EB 54 44 38 6F 08 75 43 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F B8 01 00 00 00 88 47 08 80 7F 09 2D 75 10 41 C6 04 24 2D 4C 03 E0 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7C 41 BE 01 00 00 00 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 80 7F 09 30 75 1A 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9B 45 84 FF 44 8B 75 8B 74 08 41 C6 04 24 30 49 FF C4 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 19 01 00 00 41 BE 01 00 00 00 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 80 7F 09 30 0F 8C C0 00 00 00 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 80 7F 09 39 7F 75 83 FB 08 7D 52 44 38 6F 08 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 4D 39 28 74 08 48 8B 41 58 8B 10 EB 03 41 8B D5 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 4C 89 2F 44 88 77 08 8A 47 09 41 88 04 24 4D 03 E6 41 03 DE 45 8A FE 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F1 FE FF FF 44 8B 75 8B 44 38 6D 87 75 05 45 84 FF 75 04 4C 8B 65 AF 45 88 2C 24 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 41 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_259_2 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBD_K333@Z"
		size = 1502
		refs = "0028 __security_cookie 0075 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 008f ??1locale@std@@QEAA@XZ 009b ?grouping@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d7 localeconv 00f7 memchr 0157 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 0170 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 019e ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0209 strcspn 02d1 ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 0307 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 0365 ?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_KD@Z 04b4 ??_C@_01DDCIFGEA@E?$AA@ 04bb ??_C@_01KGKMHCOC@e?$AA@ 0590 ??3@YAXPEAX@Z 05bf __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 C1 48 81 EC 00 01 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4C 89 4C 24 78 4D 8B E0 48 89 55 9F 4C 8B F9 8A 4D 67 88 4C 24 31 48 8B 5D 6F 4C 8B 75 77 48 8B 4D 7F 48 89 4C 24 70 48 8B 8D 87 00 00 00 48 89 4C 24 60 48 8B B5 8F 00 00 00 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 40 48 8D 4D 97 E8 ?? ?? ?? ?? 48 8D 55 D7 48 8B CF E8 ?? ?? ?? ?? 90 48 8B 07 48 8B CF FF 50 10 88 44 24 30 48 C7 45 C7 0F 00 00 00 33 FF 48 89 7D BF 40 88 7D AF 80 3B 2B 74 07 80 3B 2D 8B C7 75 05 B8 01 00 00 00 48 98 48 89 45 87 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 34 66 C7 44 24 35 65 00 4C 8B C6 BA 65 00 00 00 48 8B CB E8 ?? ?? ?? ?? 48 89 44 24 50 0F BE 54 24 34 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? 48 8B F8 48 F7 D8 4D 1B ED 4C 23 6C 24 60 48 8D 4D D7 48 83 7D EF 10 48 0F 43 4D D7 80 39 7F 0F 84 36 01 00 00 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 80 38 00 0F 8E 1F 01 00 00 4C 8B C6 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 48 8B 74 24 50 48 85 F6 75 11 41 B0 30 49 8B D5 48 8D 4D AF E8 ?? ?? ?? ?? EB 2C 48 85 FF 75 12 41 B0 30 49 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 45 33 F6 48 2B F3 41 B1 30 4D 8B C5 48 8B D6 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 4D AF 48 85 FF 75 0D 41 B0 30 49 8B D6 E8 ?? ?? ?? ?? EB 2C 48 2B FB 48 8D 57 01 41 B1 30 4C 8B 44 24 70 E8 ?? ?? ?? ?? 41 B1 30 4D 8B C6 48 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 48 83 64 24 70 00 45 33 F6 48 8D 5D D7 48 83 7D EF 10 48 0F 43 5D D7 48 8D 4D AF 48 83 7D C7 10 48 0F 43 4D AF 48 8D 54 24 34 E8 ?? ?? ?? ?? 48 8B F8 8A 0B 80 F9 7F 74 3F 48 8B 75 87 84 C9 7E 37 48 0F BE D1 48 8B C7 48 2B C6 48 3B D0 73 28 48 2B FA 45 33 C9 45 8D 41 01 48 8B D7 48 8D 4D AF E8 ?? ?? ?? ?? 4C 8D 5B 01 45 38 33 49 0F 4F DB 8A 0B 80 F9 7F 75 C5 48 8D 5D AF 48 83 7D C7 10 48 0F 43 5D AF 45 33 ED 48 8B 75 BF 4A 8D 04 2E 48 03 44 24 70 49 03 C6 48 8B 4C 24 78 48 8B 79 28 48 85 FF 7E 0A 48 3B F8 76 05 48 2B F8 EB 02 33 FF 8B 41 18 25 C0 01 00 00 83 F8 40 74 78 3D 00 01 00 00 75 3F 48 83 7D 87 00 76 38 41 0F 10 04 24 F3 0F 7F 44 24 50 48 C7 44 24 20 01 00 00 00 4C 8B CB 4C 8D 44 24 50 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 FF C3 48 FF CE 41 0F 10 04 24 48 89 7C 24 20 F3 0F 7F 44 24 50 44 8A 4C 24 31 4C 8D 44 24 50 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 33 FF F3 41 0F 7F 04 24 0F BE 54 24 34 4C 8B C6 48 8B CB E8 ?? ?? ?? ?? 48 85 C0 0F 84 E5 00 00 00 48 2B C3 48 FF C0 48 89 44 24 50 41 0F 10 04 24 F3 0F 7F 44 24 60 48 FF C8 8A 4C 24 30 88 4C 24 28 48 89 44 24 20 4C 8B CB 4C 8D 44 24 60 48 8D 55 87 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 60 4C 89 74 24 20 41 B1 30 4C 8D 44 24 60 48 8D 55 87 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 60 48 8B 4C 24 40 48 8B 01 FF 50 08 48 C7 44 24 20 01 00 00 00 44 8A C8 4C 8D 44 24 60 48 8D 54 24 40 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 40 48 8B 44 24 70 48 89 44 24 20 41 B1 30 4C 8D 44 24 40 48 8D 54 24 60 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 8B 44 24 50 48 03 D8 48 2B F0 4C 8B C6 BA 65 00 00 00 48 8B CB E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 BD 00 00 00 4C 2B F3 49 FF C6 41 0F 10 04 24 F3 0F 7F 44 24 40 49 8D 46 FF 8A 4C 24 30 88 4C 24 28 48 89 44 24 20 4C 8B CB 4C 8D 44 24 40 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 40 4C 89 6C 24 20 41 B1 30 4C 8D 44 24 40 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 45 33 ED 0F 10 08 F3 0F 7F 4C 24 40 48 8B 44 24 78 F6 40 18 04 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 0F 45 C8 48 C7 44 24 20 01 00 00 00 4C 8D 44 24 40 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 49 03 DE 49 2B F6 41 0F 10 04 24 F3 0F 7F 44 24 40 8A 44 24 30 88 44 24 28 48 89 74 24 20 4C 8B CB 4C 8D 44 24 40 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 0F 10 08 F3 0F 7F 4C 24 40 4C 89 6C 24 20 41 B1 30 4C 8D 44 24 40 48 8D 54 24 50 49 8B CF E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 8B 44 24 78 33 F6 48 89 70 28 41 0F 10 0C 24 F3 0F 7F 4C 24 40 48 89 7C 24 20 44 8A 4C 24 31 4C 8D 44 24 40 48 8B 5D 9F 48 8B D3 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 48 C7 45 C7 0F 00 00 00 48 89 75 BF 40 88 75 AF 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 00 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_5_264_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@PEBD@Z"
		size = 68
		refs = "0024 strlen 0032 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 48 8B F9 C6 01 00 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_265_2 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 526
		refs = "0023 __security_cookie 0066 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006f ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 007c ??1locale@std@@QEAA@XZ 009b ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00a0 ?_Xlength_error@std@@YAXPEBD@Z 00b7 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ca ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00db ??3@YAXPEAX@Z 00eb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00f7 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 013a ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0_KPEBD@Z 017f ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HAEBVlocale@2@@Z 0194 _Stoulx 01c4 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 01f7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C0 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F9 4D 8B E0 4C 8B EA 48 89 4D 97 4C 8B 75 6F 48 8B 75 77 48 8B 45 7F 48 89 45 8F 48 83 CB FF 49 8B CE 41 F7 46 18 00 40 00 00 0F 84 F2 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 C7 45 C7 0F 00 00 00 48 83 65 BF 00 C6 45 AF 00 8D 43 02 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 BF 66 C7 45 AF 00 00 48 8D 55 D7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 01 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 55 D7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 4C 8D 4D AF 48 83 7D C7 10 4C 0F 43 4D AF 41 B8 02 00 00 00 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B D8 48 83 7D C7 10 72 76 48 8B 4D AF E8 ?? ?? ?? ?? EB 6B 83 64 24 30 00 48 8D 55 9F E8 ?? ?? ?? ?? 4C 8B D8 41 8B 46 18 4C 89 5C 24 28 89 44 24 20 4D 8B CF 4D 8B C4 48 8D 55 AF 48 8B 4D 97 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 55 87 48 8D 4D AF E8 ?? ?? ?? ?? 44 8B F0 48 8D 4D 9F E8 ?? ?? ?? ?? 4C 8D 5D AF 4C 39 5D 87 74 0F 83 7C 24 30 00 75 08 41 83 FE 01 41 0F 46 DE 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 85 DB 79 05 83 0E 02 EB 09 0F 95 C1 48 8B 45 8F 88 08 41 0F 10 04 24 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C0 00 00 00 41 5F 41 5E 41 5D 41 5C 5E 5B 5D C3 }
	condition:
		$1
}

rule file_5_276_2 {
	meta:
		name = "?do_grouping@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 73
		refs = "0029 strlen 0037 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_grouping@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 10 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 88 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_277_2 {
	meta:
		name = "?do_falsename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 73
		refs = "0029 strlen 0037 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_curr_symbol@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 20 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 88 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_278_2 {
	meta:
		name = "?do_truename@?$numpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 73
		refs = "0029 strlen 0037 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
		altNames = "?do_positive_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 28 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 88 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_279_2 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 129
		refs = "0020 ??3@YAXPEAX@Z 0049 memmove"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 5E 48 83 79 18 10 72 08 48 8B 09 E8 ?? ?? ?? ?? 48 83 63 10 00 48 C7 43 18 0F 00 00 00 C6 03 00 48 83 7F 18 10 73 14 4C 8B 47 10 48 8B D7 48 8B CB 49 FF C0 E8 ?? ?? ?? ?? EB 0A 48 8B 07 48 89 03 48 83 27 00 48 8B 47 10 48 89 43 10 48 8B 47 18 48 89 43 18 48 83 67 10 00 48 83 67 18 00 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_5_280_2 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@D_N@Z"
		size = 460
		refs = "0022 __security_cookie 0078 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0081 ??$use_facet@V?$numpunct@D@std@@@std@@YAAEBV?$numpunct@D@0@AEBVlocale@0@@Z 008d ??1locale@std@@QEAA@XZ 00b0 ?truename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00bd ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 00c5 ?falsename@?$numpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00e3 ??3@YAXPEAX@Z 012b ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 0167 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PEBD_K@Z 01b6 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 48 8D 6C 24 E9 48 81 EC B0 00 00 00 48 C7 45 B7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 0F 49 8B F9 4D 8B E8 48 8B F2 4C 8B E1 44 8A 75 77 41 F7 41 18 00 40 00 00 75 29 41 0F 10 00 F3 0F 7F 45 97 4C 8B 11 0F B6 55 7F 89 54 24 28 44 88 74 24 20 4C 8D 45 97 48 8B D6 41 FF 52 38 E9 3B 01 00 00 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 97 E8 ?? ?? ?? ?? 48 C7 45 D7 0F 00 00 00 48 83 65 CF 00 C6 45 BF 00 48 8D 55 E7 48 8B CB 80 7D 7F 00 74 15 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D BF E8 ?? ?? ?? ?? 90 EB 13 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D BF E8 ?? ?? ?? ?? 90 48 83 7D FF 10 72 09 48 8B 4D E7 E8 ?? ?? ?? ?? 48 8B 5F 28 48 8B 4D CF 48 85 DB 7E 0A 48 3B D9 76 05 48 2B D9 EB 02 33 DB 8B 47 18 25 C0 01 00 00 83 F8 40 74 31 41 0F 10 45 00 F3 0F 7F 45 97 48 89 5C 24 20 45 8A CE 4C 8D 45 97 48 8D 55 A7 49 8B CC E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 33 DB 48 8B 4D CF 41 0F 10 45 00 F3 0F 7F 45 97 4C 8D 4D BF 48 83 7D D7 10 4C 0F 43 4D BF 48 89 4C 24 20 4C 8D 45 97 48 8D 55 A7 49 8B CC E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 48 83 67 28 00 41 0F 10 4D 00 F3 0F 7F 4D 97 48 89 5C 24 20 45 8A CE 4C 8D 45 97 48 8B D6 49 8B CC E8 ?? ?? ?? ?? 90 48 83 7D D7 10 72 09 48 8B 4D BF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D 0F 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B0 00 00 00 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_7_152_2 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 17
	strings:
		$1 = { 48 83 79 18 10 72 03 48 8B 09 48 89 0A 48 8B C2 C3 }
	condition:
		$1
}

rule file_7_223_2 {
	meta:
		name = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGXZ"
		size = 636
		refs = "0022 __security_cookie 00b7 fgetwc 00f0 fgetc 010a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01aa ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 01ce memcpy_s 0216 ungetc 023b ??3@YAXPEAX@Z 0263 __security_check_cookie"
		altNames = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGXZ"
	strings:
		$1 = { 48 8B C4 55 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 1F FE FF FF FF 48 89 58 10 48 89 78 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 4F 48 8B D9 48 8B 41 40 48 83 38 00 74 2F 48 8B 10 48 8B 41 58 48 63 08 48 8D 04 4A 48 3B D0 73 1C 48 8B 43 58 FF 08 48 8B 53 40 48 8B 02 48 8D 48 02 48 89 0A 0F B7 00 E9 F2 01 00 00 48 83 BB 98 00 00 00 00 0F 84 DF 01 00 00 48 8B 53 20 48 8D 83 88 00 00 00 48 39 02 75 1E 48 8B 4B 78 48 8B 43 70 48 89 02 48 8B 43 40 48 89 08 48 2B C9 48 D1 F9 48 8B 43 58 89 08 48 83 BB 80 00 00 00 00 75 28 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 44 0F B7 D8 B8 FF FF 00 00 66 44 3B D8 0F 84 8D 01 00 00 41 0F B7 C3 E9 84 01 00 00 48 C7 45 3F 0F 00 00 00 48 83 65 37 00 C6 45 27 00 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 49 01 00 00 44 8A C0 BA 01 00 00 00 48 8D 4D 27 E8 ?? ?? ?? ?? 4C 8D 4D 27 48 83 7D 3F 10 4C 0F 43 4D 27 4C 8D 45 27 4C 0F 43 45 27 48 8B 8B 80 00 00 00 4C 8B 11 4C 03 4D 37 48 8D 45 17 48 89 44 24 38 48 8D 45 09 48 89 44 24 30 48 8D 45 07 48 89 44 24 28 48 8D 45 0F 48 89 44 24 20 48 8D 93 8C 00 00 00 41 FF 52 20 85 C0 0F 88 DA 00 00 00 83 F8 01 7E 15 83 F8 03 0F 85 CC 00 00 00 48 83 7D 37 02 73 34 E9 64 FF FF FF 48 8D 45 07 48 8D 4D 27 48 39 45 17 75 51 48 8D 45 27 48 83 7D 3F 10 48 0F 43 45 27 4C 8B 45 0F 4C 2B C0 33 D2 E8 ?? ?? ?? ?? E9 35 FF FF FF 4C 8D 45 27 48 83 7D 3F 10 4C 0F 43 45 27 BA 02 00 00 00 44 8B CA 48 8D 4D 07 E8 ?? ?? ?? ?? 0F B7 5D 07 48 83 7D 3F 10 72 62 48 8B 4D 27 EB 57 48 8B 55 27 4C 8B 45 3F 49 83 F8 10 48 0F 43 CA 8B 45 37 4C 8B 4D 0F 41 2B C1 03 C1 48 63 F8 85 C0 7E 27 48 FF CF 42 0F BE 0C 0F 48 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 7E 06 4C 8B 4D 0F EB E1 4C 8B 45 3F 48 8B 55 27 0F B7 5D 07 49 83 F8 10 72 08 48 8B CA E8 ?? ?? ?? ?? 0F B7 C3 EB 17 EB 00 48 83 7D 3F 10 72 09 48 8B 4D 27 E8 ?? ?? ?? ?? B8 FF FF 00 00 48 8B 4D 4F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 18 49 8B 7B 20 49 8B E3 5D C3 }
	condition:
		$1
}

rule file_7_226_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IEAA_NXZ"
		size = 466
		refs = "0021 __security_cookie 0083 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0088 ?_Xlength_error@std@@YAXPEBD@Z 0097 memset 013d fwrite 016b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0198 ??3@YAXPEAX@Z 01b9 __security_check_cookie"
		altNames = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IEAA_NXZ"
	strings:
		$1 = { 48 8B C4 55 57 41 55 48 8B EC 48 83 EC 70 48 C7 45 C8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B D9 48 83 B9 80 00 00 00 00 0F 84 72 01 00 00 80 B9 8A 00 00 00 00 0F 84 65 01 00 00 48 8B 01 BF FF FF 00 00 8B D7 FF 50 18 66 3B F8 75 07 32 C0 E9 4E 01 00 00 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 41 BD 08 00 00 00 41 80 FD FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4D 8B C5 33 D2 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 89 6D E0 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 C6 40 08 00 4C 8B 4D D0 4C 8B 55 E8 48 8D 55 D0 49 83 FA 10 49 0F 43 D1 4C 8D 45 D0 4D 0F 43 C1 48 8B 8B 80 00 00 00 4C 8B 11 48 8B 45 E0 4C 8D 0C 02 48 8D 45 C0 48 89 44 24 20 48 8D 93 8C 00 00 00 41 FF 52 30 85 C0 74 06 FF C8 75 79 EB 07 C6 83 8A 00 00 00 00 48 8D 45 D0 4C 8B 4D D0 4C 8B 55 E8 49 83 FA 10 49 0F 43 C1 48 8B 7D C0 48 2B F8 74 2D 48 8D 4D D0 49 83 FA 10 49 0F 43 C9 4C 8B 8B 98 00 00 00 4C 8B C7 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B F8 75 42 4C 8B 55 E8 4C 8B 4D D0 80 BB 8A 00 00 00 00 74 4A 48 85 FF 0F 85 59 FF FF FF 45 33 C0 49 8B D5 48 8D 4D D0 E8 ?? ?? ?? ?? E9 3D FF FF FF 83 E8 02 74 02 EB 0D 48 83 7D E8 10 72 2D 48 8B 4D D0 EB 22 48 83 7D E8 10 0F 82 C9 FE FF FF 48 8B 4D D0 E8 ?? ?? ?? ?? E9 BB FE FF FF 49 83 FA 10 72 08 49 8B C9 E8 ?? ?? ?? ?? B0 01 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5D 5F 5D C3 }
	condition:
		$1
}

rule file_7_228_2 {
	meta:
		name = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MEAAGG@Z"
		size = 691
		refs = "0029 __security_cookie 00d7 fputwc 010f ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0114 ?_Xlength_error@std@@YAXPEBD@Z 0123 memset 01e0 fwrite 021e ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0242 ??3@YAXPEAX@Z 0293 __security_check_cookie"
		altNames = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MEAAGG@Z"
	strings:
		$1 = { 48 8B C4 55 57 41 54 41 55 41 56 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 FF FE FF FF FF 48 89 58 18 48 89 70 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 0F B7 F2 48 8B D9 BF FF FF 00 00 45 33 E4 66 3B FA 75 09 41 0F B7 C4 E9 3B 02 00 00 48 8B 51 48 4C 39 22 74 2F 48 8B 12 4C 8B 41 60 49 63 00 48 8D 0C 42 48 3B D1 73 1C 41 FF 08 48 8B 4B 48 48 8B 11 48 8D 42 02 48 89 01 66 89 32 0F B7 C6 E9 03 02 00 00 4C 39 A3 98 00 00 00 0F 84 F3 01 00 00 48 8B 53 20 48 8D 83 88 00 00 00 48 39 02 75 1E 48 8B 4B 78 48 8B 43 70 48 89 02 48 8B 43 40 48 89 08 48 2B C9 48 D1 F9 48 8B 43 58 89 08 4C 39 A3 80 00 00 00 75 20 48 8B 93 98 00 00 00 0F B7 CE E8 ?? ?? ?? ?? 66 3B C7 0F 84 A4 01 00 00 0F B7 FE E9 9C 01 00 00 66 89 75 E7 48 C7 45 1F 0F 00 00 00 4C 89 65 17 44 88 65 07 41 BD 08 00 00 00 41 80 FD FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4D 8B C5 33 D2 48 8D 4D 07 E8 ?? ?? ?? ?? 4C 89 6D 17 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 44 88 60 08 4C 8B 4D 07 4C 8B 55 1F 48 8D 55 07 49 83 FA 10 49 0F 43 D1 4C 8D 45 07 4D 0F 43 C1 48 8B 8B 80 00 00 00 4C 8B 11 48 03 55 17 48 8D 45 F7 48 89 44 24 38 48 89 54 24 30 4C 89 44 24 28 48 8D 45 EF 48 89 44 24 20 4C 8D 4D E9 4C 8D 45 E7 48 8D 93 8C 00 00 00 41 FF 52 28 85 C0 0F 88 DA 00 00 00 83 F8 01 0F 8F A4 00 00 00 48 8D 45 07 4C 8B 4D 07 4C 8B 55 1F 49 83 FA 10 49 0F 43 C1 4C 8B 6D F7 4C 2B E8 74 2D 48 8D 4D 07 49 83 FA 10 49 0F 43 C9 4C 8B 8B 98 00 00 00 4D 8B C5 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 3B E8 75 3E 4C 8B 55 1F 4C 8B 4D 07 C6 83 8A 00 00 00 01 48 8D 45 E7 48 39 45 EF 75 32 4D 85 ED 0F 85 3A FF FF FF 48 83 7D 17 20 73 17 45 33 C0 41 8D 55 08 48 8D 4D 07 E8 ?? ?? ?? ?? E9 16 FF FF FF EB 4F 49 83 FA 10 72 59 49 8B C9 EB 4F 49 83 FA 10 0F 82 42 FE FF FF 49 8B C9 E8 ?? ?? ?? ?? E9 35 FE FF FF 83 F8 03 75 28 48 8B 93 98 00 00 00 0F B7 4D E7 E8 ?? ?? ?? ?? 66 3B C7 75 02 8B F7 48 83 7D 1F 10 0F 82 0E FE FF FF 48 8B 4D 07 EB C9 48 83 7D 1F 10 72 09 48 8B 4D 07 E8 ?? ?? ?? ?? 0F B7 C7 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 40 49 8B 73 48 49 8B E3 41 5E 41 5D 41 5C 5F 5D C3 }
	condition:
		$1
}

rule file_17_251_2 {
	meta:
		name = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_NPEB_W@Z"
		size = 62
		altNames = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_NPEBG@Z"
	strings:
		$1 = { 4C 8B C2 48 85 D2 74 33 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 1F 48 83 79 18 08 72 05 48 8B 11 EB 03 48 8B D1 48 8B 41 10 48 8D 0C 42 49 3B C8 76 03 B0 01 C3 32 C0 C3 }
	condition:
		$1
}

rule file_17_369_2 {
	meta:
		name = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0_W@Z"
		size = 63
		altNames = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0G@Z"
	strings:
		$1 = { 48 89 7C 24 08 49 83 F8 01 75 11 48 83 79 18 08 72 03 48 8B 09 66 44 89 0C 51 EB 1D 48 83 79 18 08 72 03 48 8B 09 48 8D 3C 51 4D 85 C0 74 0A 41 0F B7 C1 49 8B C8 66 F3 AB 48 8B 7C 24 08 C3 }
	condition:
		$1
}

rule file_17_370_2 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 21
		altNames = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
	strings:
		$1 = { 48 83 79 18 08 48 89 51 10 72 03 48 8B 09 33 C0 66 89 04 51 C3 }
	condition:
		$1
}

rule file_17_372_2 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@_K@Z"
		size = 91
		refs = "002a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B F1 48 8B FA 48 8B D9 4D 85 C9 74 1F 41 0F B7 10 48 8B CF E8 ?? ?? ?? ?? 4C 8B 44 24 40 49 83 C0 02 48 FF CE 4C 89 44 24 40 75 E1 0F 10 07 48 8B 74 24 38 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_378_2 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@_K@Z"
		size = 91
		refs = "002a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B F1 48 8B FA 48 8B D9 4D 85 C9 74 1F 41 0F B7 10 48 8B CF E8 ?? ?? ?? ?? 4C 8B 44 24 40 49 83 C0 02 48 FF CE 4C 89 44 24 40 75 E1 0F 10 07 48 8B 74 24 38 48 8B C3 F3 0F 7F 03 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_383_2 {
	meta:
		name = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_N_K@Z"
		size = 103
		refs = "0036 memcpy 003e ??3@YAXPEAX@Z"
		altNames = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 48 83 EC 20 33 ED 49 8B F8 48 8B D9 84 D2 74 22 48 83 79 18 08 72 1B 48 8B 31 4D 85 C0 74 0B 4D 03 C0 48 8B D6 E8 ?? ?? ?? ?? 48 8B CE E8 ?? ?? ?? ?? 48 8B 74 24 40 48 C7 43 18 07 00 00 00 48 89 7B 10 66 89 2C 7B 48 8B 5C 24 30 48 8B 6C 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_481_2 {
	meta:
		name = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 17
		altNames = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 48 83 79 18 08 72 03 48 8B 09 48 89 0A 48 8B C2 C3 }
	condition:
		$1
}

rule file_17_492_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 21
		altNames = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 33 C0 48 C7 41 18 07 00 00 00 48 89 41 10 66 89 01 48 8B C1 C3 }
	condition:
		$1
}

rule file_17_493_2 {
	meta:
		name = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
		size = 47
		refs = "0014 ??3@YAXPEAX@Z"
		altNames = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 79 18 08 48 8B D9 72 08 48 8B 09 E8 ?? ?? ?? ?? 33 C0 48 C7 43 18 07 00 00 00 48 89 43 10 66 89 03 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_504_2 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z"
		size = 161
		refs = "0024 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0029 ?_Xout_of_range@std@@YAXPEBD@Z 006b memmove"
		altNames = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 49 8B F8 4C 8B 41 10 4C 8B CA 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 2B C2 4C 3B C7 49 0F 42 F8 33 F6 48 85 FF 74 4F 48 83 79 18 08 72 05 48 8B 11 EB 03 48 8B D1 48 83 79 18 08 72 03 48 8B 09 49 8D 04 39 4C 2B C7 4A 8D 0C 49 48 8D 14 42 4D 03 C0 E8 ?? ?? ?? ?? 4C 8B 5B 10 4C 2B DF 48 83 7B 18 08 4C 89 5B 10 72 05 48 8B 03 EB 03 48 8B C3 66 42 89 34 58 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_505_2 {
	meta:
		name = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 30
		altNames = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
	strings:
		$1 = { 48 83 79 18 08 72 05 4C 8B 01 EB 03 4C 8B C1 48 8B 41 10 49 8D 0C 40 48 8B C2 48 89 0A C3 }
	condition:
		$1
}

rule file_17_524_2 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
		size = 338
		refs = "0096 ??2@YAPEAX_K@Z 00b8 ??0exception@std@@QEAA@AEBQEBD@Z 00bf ??_7bad_alloc@std@@6B@ 00cb _TI2?AVbad_alloc@std@@ 00d5 _CxxThrowException 011b memcpy 012a ??3@YAXPEAX@Z"
		altNames = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 4C 89 44 24 18 48 89 54 24 10 48 89 4C 24 08 53 56 57 41 54 41 55 48 83 EC 60 48 C7 44 24 20 FE FF FF FF 4D 8B E8 48 8B F1 48 8B DA 48 83 CB 07 49 B9 FE FF FF FF FF FF FF 7F 49 3B D9 76 05 48 8B DA EB 31 4C 8B 41 18 49 8B C8 48 D1 E9 48 B8 AB AA AA AA AA AA AA AA 48 F7 E3 48 D1 EA 48 3B CA 76 12 49 8B C1 48 2B C1 4C 3B C0 4A 8D 1C 01 76 03 49 8B D9 48 8D 4B 01 33 FF 44 8B E7 48 85 C9 74 57 48 B8 FF FF FF FF FF FF FF 7F 48 3B C8 77 10 48 03 C9 E8 ?? ?? ?? ?? 4C 8B E0 48 85 C0 75 38 48 89 BC 24 A8 00 00 00 48 8D 94 24 A8 00 00 00 48 8D 4C 24 28 E8 ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 48 89 44 24 28 48 8D 15 ?? ?? ?? ?? 48 8D 4C 24 28 E8 ?? ?? ?? ?? 90 EB 22 33 FF 48 8B B4 24 90 00 00 00 4C 8B AC 24 A0 00 00 00 48 8B 9C 24 98 00 00 00 4C 8B A4 24 A8 00 00 00 4D 85 ED 74 1C 48 83 7E 18 08 72 05 48 8B 16 EB 03 48 8B D6 4F 8D 44 2D 00 49 8B CC E8 ?? ?? ?? ?? 48 83 7E 18 08 72 08 48 8B 0E E8 ?? ?? ?? ?? 4C 89 26 48 89 5E 18 4C 89 6E 10 48 83 FB 08 49 0F 43 F4 66 42 89 3C 6E 48 83 C4 60 41 5D 41 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule file_17_528_2 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z$1"
		size = 50
		refs = "0012 ??3@YAXPEAX@Z 002d _CxxThrowException"
		altNames = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z$1"
	strings:
		$1 = { 48 8B 9D 90 00 00 00 48 83 7B 18 08 72 08 48 8B 0B E8 ?? ?? ?? ?? 48 C7 43 18 07 00 00 00 48 83 63 10 00 33 C0 66 89 03 33 D2 33 C9 E8 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_17_647_2 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z"
		size = 209
		refs = "0031 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0036 ?_Xlength_error@std@@YAXPEBD@Z 0048 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 007c memcpy 0084 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B D9 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 62 45 84 C0 74 47 48 83 FA 08 73 41 48 8B 69 10 48 3B D5 48 0F 42 EA 48 83 79 18 08 72 1D 4C 8B 21 48 85 ED 74 0D 4C 8D 44 2D 00 49 8B D4 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 C7 43 18 07 00 00 00 48 89 6B 10 66 89 3C 6B EB 16 48 85 D2 75 11 48 83 79 18 08 48 89 79 10 72 03 48 8B 19 66 89 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_17_654_2 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA_N_K_N@Z"
		size = 209
		refs = "0031 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0036 ?_Xlength_error@std@@YAXPEBD@Z 0048 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 007c memcpy 0084 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 48 B8 FE FF FF FF FF FF FF 7F 48 8B F2 48 8B D9 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 33 FF 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 62 45 84 C0 74 47 48 83 FA 08 73 41 48 8B 69 10 48 3B D5 48 0F 42 EA 48 83 79 18 08 72 1D 4C 8B 21 48 85 ED 74 0D 4C 8D 44 2D 00 49 8B D4 E8 ?? ?? ?? ?? 49 8B CC E8 ?? ?? ?? ?? 48 C7 43 18 07 00 00 00 48 89 6B 10 66 89 3C 6B EB 16 48 85 D2 75 11 48 83 79 18 08 48 89 79 10 72 03 48 8B 19 66 89 3B 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 7C 24 48 48 85 F6 48 8B 74 24 40 0F 95 C0 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_17_659_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 290
		refs = "0030 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0035 ?_Xout_of_range@std@@YAXPEBD@Z 0057 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 005c ?_Xlength_error@std@@YAXPEBD@Z 0097 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00ea memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 42 10 49 8B F1 4D 8B E0 48 8B EA 48 8B D9 49 3B C0 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B C0 4C 8B 41 10 49 3B C1 48 0F 42 F0 48 83 C8 FF 49 2B C0 48 3B C6 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 F6 0F 84 99 00 00 00 49 8D 3C 30 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1C 48 85 FF 75 1C 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 FF 74 48 48 83 7D 18 08 72 04 48 8B 6D 00 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8B 43 10 4C 8D 04 36 4A 8D 54 65 00 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 78 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_660_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 290
		refs = "0030 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0035 ?_Xout_of_range@std@@YAXPEBD@Z 0057 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 005c ?_Xlength_error@std@@YAXPEBD@Z 0097 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00ea memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 42 10 49 8B F1 4D 8B E0 48 8B EA 48 8B D9 49 3B C0 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B C0 4C 8B 41 10 49 3B C1 48 0F 42 F0 48 83 C8 FF 49 2B C0 48 3B C6 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 F6 0F 84 99 00 00 00 49 8D 3C 30 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 79 18 73 0A 48 8B D7 E8 ?? ?? ?? ?? EB 1C 48 85 FF 75 1C 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 FF 74 48 48 83 7D 18 08 72 04 48 8B 6D 00 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8B 43 10 4C 8D 04 36 4A 8D 54 65 00 48 8D 0C 41 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 78 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_680_2 {
	meta:
		name = "?reserve@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 69
		refs = "0020 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B 79 10 48 8B D9 48 3B FA 77 24 48 39 51 18 74 1E 41 B0 01 E8 ?? ?? ?? ?? 84 C0 74 12 48 83 7B 18 10 48 89 7B 10 72 03 48 8B 1B C6 04 3B 00 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_681_2 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 269
		refs = "0035 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 003a ?_Xlength_error@std@@YAXPEBD@Z 0075 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 83 C8 FF 45 0F B7 E0 4C 8B 41 10 49 2B C0 48 8B EA 48 8B D9 48 3B C2 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 D2 0F 84 A6 00 00 00 49 8D 34 10 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 1C 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 F6 74 55 48 8B 4B 10 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 48 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 48 41 0F B7 C4 48 8B CD 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 70 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_689_2 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 269
		refs = "0035 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 003a ?_Xlength_error@std@@YAXPEBD@Z 0075 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 83 C8 FF 45 0F B7 E0 4C 8B 41 10 49 2B C0 48 8B EA 48 8B D9 48 3B C2 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 D2 0F 84 A6 00 00 00 49 8D 34 10 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 1C 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 F6 74 55 48 8B 4B 10 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 48 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 48 41 0F B7 C4 48 8B CD 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 70 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_682_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 278
		refs = "002d ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0032 ?_Xout_of_range@std@@YAXPEBD@Z 004f ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0077 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 007c ?_Xlength_error@std@@YAXPEBD@Z 0092 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00de memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 7A 10 4D 8B E0 48 8B F2 48 8B D9 49 3B F8 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 1F 4A 8D 14 07 49 83 C8 FF E8 ?? ?? ?? ?? 4D 8B C4 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 95 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 39 79 18 73 0E 4C 8B 41 10 48 8B D7 E8 ?? ?? ?? ?? EB 1C 48 85 FF 75 1C 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 FF 74 41 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 2C 3F 4A 8D 14 66 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 28 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_709_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 278
		refs = "002d ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0032 ?_Xout_of_range@std@@YAXPEBD@Z 004f ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0077 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 007c ?_Xlength_error@std@@YAXPEBD@Z 0092 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00de memcpy"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 48 8B 7A 10 4D 8B E0 48 8B F2 48 8B D9 49 3B F8 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 49 2B F8 4C 3B CF 49 0F 42 F9 48 3B CA 75 1F 4A 8D 14 07 49 83 C8 FF E8 ?? ?? ?? ?? 4D 8B C4 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 95 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 48 3B F8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 39 79 18 73 0E 4C 8B 41 10 48 8B D7 E8 ?? ?? ?? ?? EB 1C 48 85 FF 75 1C 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 FF 74 41 48 83 7E 18 08 72 03 48 8B 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 2C 3F 4A 8D 14 66 4C 8B C5 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 28 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_683_2 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEAD_K@Z"
		size = 690
		refs = "0024 __security_cookie 0063 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006c ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 007c ??1locale@std@@QEAA@XZ 0088 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0131 memmove_s 01a9 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 01d0 ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K@Z 0240 ?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K_W@Z 028b ??3@YAXPEAX@Z 029a __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC C8 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 48 89 5C 24 40 4D 8B E8 4C 89 44 24 30 48 8B FA 48 89 55 B7 48 89 4D 8F 44 0F B7 7D 6F 48 8B 75 77 48 89 75 87 4C 8B 75 7F 48 8D 55 AF 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 45 9F 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 55 CF 49 8B CC E8 ?? ?? ?? ?? 90 80 3E 2B 74 20 80 3E 2D 74 1B 80 3E 30 75 12 8A 46 01 3C 78 74 04 3C 58 75 07 B8 02 00 00 00 EB 09 33 C0 EB 05 B8 01 00 00 00 4C 63 E0 48 8D 45 CF 48 8B 4D CF 48 8B 55 E7 48 83 FA 10 48 0F 43 C1 80 38 7F 0F 84 87 00 00 00 48 8D 45 CF 48 83 FA 10 48 0F 43 C1 80 38 00 7E 76 48 8D 7D CF 48 83 FA 10 48 0F 43 F9 49 8B F6 8A 07 3C 7F 74 59 4C 8B 6D 87 84 C0 7E 47 48 0F BE C8 48 8B C6 49 2B C4 48 3B C8 73 38 48 2B F1 49 8B D6 48 2B D6 48 FF C2 49 8D 5C 35 00 49 8D 4C 35 01 4C 8B CA 4C 8B C3 E8 ?? ?? ?? ?? C6 03 00 49 FF C6 48 8D 47 01 80 38 00 48 0F 4F F8 8A 07 3C 7F 75 B5 4C 8B 6C 24 30 48 8B 5C 24 40 48 8B 75 87 48 8B 7D B7 48 8B 5B 28 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 02 33 DB 48 8B 44 24 40 8B 40 18 25 C0 01 00 00 83 F8 40 0F 84 87 00 00 00 41 0F 10 45 00 3D 00 01 00 00 74 1F 0F 29 44 24 30 48 85 DB 74 69 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 4F F3 0F 7F 44 24 30 4C 89 64 24 20 4C 8B CE 4C 8D 44 24 30 48 8D 55 B7 48 8B 4D 8F E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 49 03 F4 4D 2B F4 0F 10 00 0F 29 44 24 30 48 85 DB 74 18 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 33 DB F3 41 0F 7F 45 00 41 0F 10 45 00 F3 0F 7F 44 24 30 48 8B 4D 9F 48 8B 01 FF 50 10 66 89 44 24 28 4C 89 74 24 20 4C 8B CE 4C 8D 44 24 30 48 8D 55 9F 48 8B 4D 8F E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 48 8B 44 24 40 48 83 60 28 00 41 0F 10 4D 00 0F 29 4D 9F 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 4D 9F F3 0F 7F 0F 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_686_2 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEAD_K@Z"
		size = 690
		refs = "0024 __security_cookie 0063 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 006c ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 007c ??1locale@std@@QEAA@XZ 0088 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0131 memmove_s 01a9 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 01d0 ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_K@Z 0240 ?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_KG@Z 028b ??3@YAXPEAX@Z 029a __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC C8 00 00 00 48 C7 45 C7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 48 89 5C 24 40 4D 8B E8 4C 89 44 24 30 48 8B FA 48 89 55 B7 48 89 4D 8F 44 0F B7 7D 6F 48 8B 75 77 48 89 75 87 4C 8B 75 7F 48 8D 55 AF 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 45 9F 48 8D 4D AF E8 ?? ?? ?? ?? 48 8D 55 CF 49 8B CC E8 ?? ?? ?? ?? 90 80 3E 2B 74 20 80 3E 2D 74 1B 80 3E 30 75 12 8A 46 01 3C 78 74 04 3C 58 75 07 B8 02 00 00 00 EB 09 33 C0 EB 05 B8 01 00 00 00 4C 63 E0 48 8D 45 CF 48 8B 4D CF 48 8B 55 E7 48 83 FA 10 48 0F 43 C1 80 38 7F 0F 84 87 00 00 00 48 8D 45 CF 48 83 FA 10 48 0F 43 C1 80 38 00 7E 76 48 8D 7D CF 48 83 FA 10 48 0F 43 F9 49 8B F6 8A 07 3C 7F 74 59 4C 8B 6D 87 84 C0 7E 47 48 0F BE C8 48 8B C6 49 2B C4 48 3B C8 73 38 48 2B F1 49 8B D6 48 2B D6 48 FF C2 49 8D 5C 35 00 49 8D 4C 35 01 4C 8B CA 4C 8B C3 E8 ?? ?? ?? ?? C6 03 00 49 FF C6 48 8D 47 01 80 38 00 48 0F 4F F8 8A 07 3C 7F 75 B5 4C 8B 6C 24 30 48 8B 5C 24 40 48 8B 75 87 48 8B 7D B7 48 8B 5B 28 48 85 DB 7E 0A 49 3B DE 76 05 49 2B DE EB 02 33 DB 48 8B 44 24 40 8B 40 18 25 C0 01 00 00 83 F8 40 0F 84 87 00 00 00 41 0F 10 45 00 3D 00 01 00 00 74 1F 0F 29 44 24 30 48 85 DB 74 69 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 4F F3 0F 7F 44 24 30 4C 89 64 24 20 4C 8B CE 4C 8D 44 24 30 48 8D 55 B7 48 8B 4D 8F E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 49 03 F4 4D 2B F4 0F 10 00 0F 29 44 24 30 48 85 DB 74 18 41 0F B7 D7 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 30 33 DB F3 41 0F 7F 45 00 41 0F 10 45 00 F3 0F 7F 44 24 30 48 8B 4D 9F 48 8B 01 FF 50 10 66 89 44 24 28 4C 89 74 24 20 4C 8B CE 4C 8D 44 24 30 48 8D 55 9F 48 8B 4D 8F E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 45 00 48 8B 44 24 40 48 83 60 28 00 41 0F 10 4D 00 0F 29 4D 9F 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 9F E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 4D 9F F3 0F 7F 0F 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_696_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		size = 296
		refs = "0077 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0092 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0097 ?_Xlength_error@std@@YAXPEBD@Z 00ad ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00ee memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 45 33 E4 49 8B F8 48 8B EA 48 8B D9 48 85 D2 74 56 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 42 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CA 76 2B 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B E8 4D 8B C8 48 8B D3 48 D1 FD 48 8B CB 4C 8B C5 E8 ?? ?? ?? ?? E9 8D 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 4C 3B C0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 39 43 18 73 11 4C 8B 43 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1C 4D 85 C0 75 17 48 83 7B 18 08 4C 89 63 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 20 48 85 FF 74 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 34 3F 48 8B D5 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 06 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_17_710_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
		size = 296
		refs = "0077 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 0092 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0097 ?_Xlength_error@std@@YAXPEBD@Z 00ad ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00ee memcpy"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 45 33 E4 49 8B F8 48 8B EA 48 8B D9 48 85 D2 74 56 48 83 79 18 08 72 05 48 8B 01 EB 03 48 8B C1 48 3B D0 72 42 48 83 79 18 08 72 03 48 8B 09 48 8B 43 10 48 8D 0C 41 48 3B CA 76 2B 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 2B E8 4D 8B C8 48 8B D3 48 D1 FD 48 8B CB 4C 8B C5 E8 ?? ?? ?? ?? E9 8D 00 00 00 48 B8 FE FF FF FF FF FF FF 7F 4C 3B C0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4C 39 43 18 73 11 4C 8B 43 10 48 8B D7 48 8B CB E8 ?? ?? ?? ?? EB 1C 4D 85 C0 75 17 48 83 7B 18 08 4C 89 63 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 20 48 85 FF 74 36 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 34 3F 48 8B D5 4C 8B C6 E8 ?? ?? ?? ?? 48 83 7B 18 08 48 89 7B 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 06 48 8B C3 48 8B 5C 24 30 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_17_697_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
		size = 239
		refs = "002c ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0031 ?_Xlength_error@std@@YAXPEBD@Z 0060 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 75 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 E4 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 1C 48 85 D2 75 17 48 83 79 18 08 4C 89 61 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 20 48 85 F6 74 4A 48 83 FE 01 75 14 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 EB 18 48 83 7B 18 08 72 05 48 8B 3B EB 03 48 8B FB 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 70 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_17_712_2 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
		size = 239
		refs = "002c ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0031 ?_Xlength_error@std@@YAXPEBD@Z 0060 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 70 18 48 89 78 20 41 54 48 83 EC 20 41 0F B7 E8 48 8B F2 48 8B D9 48 83 FA FF 75 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 B8 FE FF FF FF FF FF FF 7F 48 3B D0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 E4 48 39 51 18 73 0B 4C 8B 41 10 E8 ?? ?? ?? ?? EB 1C 48 85 D2 75 17 48 83 79 18 08 4C 89 61 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 20 48 85 F6 74 4A 48 83 FE 01 75 14 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 89 28 EB 18 48 83 7B 18 08 72 05 48 8B 3B EB 03 48 8B FB 0F B7 C5 48 8B CE 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 70 48 8B 6C 24 38 48 8B 74 24 40 48 8B 7C 24 48 48 8B C3 48 8B 5C 24 30 48 83 C4 20 41 5C C3 }
	condition:
		$1
}

rule file_17_698_2 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z"
		size = 347
		refs = "0031 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0036 ?_Xout_of_range@std@@YAXPEBD@Z 004a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 004f ?_Xlength_error@std@@YAXPEBD@Z 008a ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z 00ea memmove"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 49 8B E8 4C 8B 41 10 45 0F B7 E1 48 8B FA 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 C8 FF 49 2B C0 48 3B C5 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 ED 0F 84 DF 00 00 00 49 8D 34 28 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 20 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 F6 0F 84 8A 00 00 00 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 43 10 48 8D 14 78 48 8D 04 2F 4C 2B C7 48 8D 0C 41 4D 03 C0 E8 ?? ?? ?? ?? 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 78 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CD 41 0F B7 C4 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 70 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_713_2 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z"
		size = 347
		refs = "0031 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 0036 ?_Xout_of_range@std@@YAXPEBD@Z 004a ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 004f ?_Xlength_error@std@@YAXPEBD@Z 008a ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K0@Z 00ea memmove"
	strings:
		$1 = { 48 89 5C 24 08 48 89 6C 24 10 48 89 74 24 18 57 41 54 41 55 48 83 EC 20 49 8B E8 4C 8B 41 10 45 0F B7 E1 48 8B FA 48 8B D9 4C 3B C2 73 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 83 C8 FF 49 2B C0 48 3B C5 77 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 45 33 ED 48 85 ED 0F 84 DF 00 00 00 49 8D 34 28 48 B8 FE FF FF FF FF FF FF 7F 48 3B F0 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 39 71 18 73 0A 48 8B D6 E8 ?? ?? ?? ?? EB 1C 48 85 F6 75 20 48 83 79 18 08 4C 89 69 10 72 05 48 8B 01 EB 03 48 8B C1 66 44 89 28 48 85 F6 0F 84 8A 00 00 00 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 4C 8B 43 10 48 8D 14 78 48 8D 04 2F 4C 2B C7 48 8D 0C 41 4D 03 C0 E8 ?? ?? ?? ?? 48 83 FD 01 75 16 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 24 78 EB 1D 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8D 3C 78 48 8B CD 41 0F B7 C4 66 F3 AB 48 83 7B 18 08 48 89 73 10 72 05 48 8B 03 EB 03 48 8B C3 66 44 89 2C 70 48 8B 6C 24 48 48 8B 74 24 50 48 8B C3 48 8B 5C 24 40 48 83 C4 20 41 5D 41 5C 5F C3 }
	condition:
		$1
}

rule file_17_699_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K_W@Z"
		size = 24
		refs = "000b ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0014 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 10 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_286_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_KD@Z"
		size = 24
		refs = "000b ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0014 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 10 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_714_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_KG@Z"
		size = 24
		refs = "000b ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0014 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 10 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 10 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_700_2 {
	meta:
		name = "?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4319
		refs = "0024 __security_cookie 0055 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005e ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 006f ??1locale@std@@QEAA@XZ 007b ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b3 _Mbrtowc 011b ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0248 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0490 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0495 ?_Xlength_error@std@@YAXPEBD@Z 05f6 ??_C@_0BB@JCEFLFJE@0123456789abcdef?$AA@ 06d7 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 07ab ??3@YAXPEAX@Z 09d2 localeconv 10c7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F8 48 81 EC 08 01 00 00 48 C7 45 A0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4C 89 4C 24 70 49 8B F8 4C 8B F2 48 89 55 90 4C 8B E9 48 8B 4D 70 48 8B 45 78 48 89 45 88 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 78 48 8D 4D 98 E8 ?? ?? ?? ?? 48 8D 55 D0 49 8B CC E8 ?? ?? ?? ?? 90 C6 44 24 38 30 33 C0 66 89 44 24 4C 89 44 24 54 49 83 C5 10 4C 89 6D 80 4C 89 6C 24 20 4C 8D 4C 24 54 8D 70 01 44 8B C6 48 8D 54 24 38 48 8D 4C 24 4C E8 ?? ?? ?? ?? C6 44 24 38 61 33 DB 66 89 5C 24 60 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8B C6 48 8D 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? C6 44 24 38 41 66 89 5C 24 50 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8B C6 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 8B F6 88 5C 24 38 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 27 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2B 33 C0 66 89 44 24 40 89 44 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8D 40 01 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 09 41 C6 06 2B E9 8F 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 10 41 C6 06 2D 49 8D 76 01 48 8B CF E8 ?? ?? ?? ?? 33 DB C6 06 30 B8 01 00 00 00 48 03 F0 C6 06 78 48 03 F0 48 89 74 24 68 88 5C 24 30 44 8B F3 89 5C 24 54 89 5C 24 5C 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9A 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 44 0F B7 6C 24 4C 66 44 39 6F 0A 0F 85 46 01 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1E 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 40 78 33 C0 66 89 44 24 48 89 44 24 58 4C 8B 7D 80 4C 89 7C 24 20 4C 8D 4C 24 58 44 8D 40 01 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 84 8B 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 40 58 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 0D C6 44 24 30 01 EB 06 44 0F B7 6C 24 4C 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 44 0F B7 7C 24 60 80 38 7F 0F 84 71 03 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 33 DB 38 18 0F 8E 59 03 00 00 48 39 5D E0 75 06 44 0F B7 EB EB 0E 49 8B 04 24 49 8B CC FF 50 10 44 0F B7 E8 48 C7 45 C0 0F 00 00 00 48 89 5D B8 88 5D A8 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 B8 66 89 5D A8 4C 8B E3 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 72 02 00 00 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 0F B7 4F 0A 44 0F B7 4C 24 4C 66 44 3B C9 77 12 41 0F B7 D1 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 85 DB 0F 88 C8 00 00 00 44 88 54 24 30 41 83 FE 24 7C 0A 44 01 54 24 5C E9 83 00 00 00 44 38 5F 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 4C 45 33 DB 45 8D 53 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 57 08 66 44 39 4F 0A 75 05 45 85 F6 74 1F 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 88 06 49 03 F2 48 89 74 24 68 45 03 F2 44 89 74 24 54 48 8D 45 A8 48 83 7D C0 10 48 0F 43 45 A8 42 80 3C 20 7F 0F 84 B6 00 00 00 48 8D 45 A8 48 83 7D C0 10 48 0F 43 45 A8 46 00 14 20 E9 9F 00 00 00 48 8D 45 A8 4C 8B 45 A8 48 8B 55 C0 48 83 FA 10 49 0F 43 C0 46 38 1C 20 0F 84 A9 00 00 00 66 45 85 ED 0F 84 9F 00 00 00 44 38 5F 08 75 58 48 8B 0F 48 85 C9 74 43 4C 8B 51 40 4D 39 1A 74 09 48 8B 41 58 44 8B 08 EB 03 45 8B CB 45 85 C9 7E 08 49 8B 02 0F B7 00 EB 11 48 8B 01 FF 50 30 48 8B 55 C0 4C 8B 45 A8 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 66 44 39 6F 0A 75 3A 45 33 C0 49 8B D2 48 8D 4D A8 E8 ?? ?? ?? ?? 49 FF C4 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 BF FD FF FF 48 8B 55 C0 4C 8B 45 A8 41 BA 01 00 00 00 4D 85 E4 74 2C 48 8D 45 A8 48 83 FA 10 49 0F 43 C0 46 38 1C 20 7E 05 4D 03 E2 EB 15 44 88 54 24 38 EB 0E 48 8B 55 C0 4C 8B 45 A8 41 BA 01 00 00 00 48 8D 4D D0 48 83 7D E8 10 48 0F 43 4D D0 44 38 5C 24 38 75 4B 4D 85 E4 74 46 44 8A 09 41 80 F9 7F 74 3D 4D 2B E2 74 12 48 8D 45 A8 48 83 FA 10 49 0F 43 C0 46 3A 0C 20 75 21 4D 85 E4 75 11 48 8D 45 A8 48 83 FA 10 49 0F 43 C0 44 3A 08 7C 0B 44 38 59 01 7E BF 48 FF C1 EB BA 44 88 54 24 38 48 83 FA 10 0F 82 8D 01 00 00 49 8B C8 E8 ?? ?? ?? ?? E9 80 01 00 00 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 6D 01 00 00 4C 8B 64 24 70 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B8 01 00 00 00 44 88 47 08 EB 06 41 B8 01 00 00 00 0F B7 4F 0A 66 44 3B E9 77 12 41 0F B7 D5 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 85 DB 0F 88 A5 00 00 00 41 83 FE 24 7C 07 44 01 44 24 5C EB 75 44 38 5F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B8 01 00 00 00 44 88 47 08 66 44 39 6F 0A 75 05 45 85 F6 74 15 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 88 06 49 03 F0 45 03 F0 44 88 44 24 30 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 A7 FE FF FF 44 89 74 24 54 48 89 74 24 68 4C 8B 64 24 78 8A 5C 24 30 84 DB 74 10 45 85 F6 75 0B C6 06 30 48 FF C6 48 89 74 24 68 4C 8B 6C 24 70 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 85 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A 49 8B 04 24 49 8B CC FF 50 08 66 3B D8 75 1C E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 06 48 FF C6 48 89 74 24 68 48 8B CF E8 ?? ?? ?? ?? 8A 5C 24 30 45 33 E4 45 85 F6 0F 85 CF 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A3 00 00 00 44 0F B7 64 24 4C 44 8B 7C 24 5C 45 33 C9 BE FF FF 00 00 45 8D 71 01 44 38 4F 08 75 43 48 8B 0F 48 85 C9 74 34 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 77 08 66 44 39 67 0A 75 20 45 2B FE 41 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 74 90 44 89 7C 24 5C 88 5C 24 30 48 8B 74 24 68 44 8B 74 24 54 44 0F B7 7C 24 60 45 33 E4 8B 44 24 5C 85 C0 79 11 C6 06 30 B9 01 00 00 00 48 03 F1 03 C1 89 44 24 5C 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 6C 24 4C 84 C0 0F 85 F2 00 00 00 44 38 67 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 0F B7 57 0A 66 44 3B EA 77 14 45 0F B7 C5 0F B7 CA 41 8D 40 09 3B C8 7F 05 41 2B C8 EB 38 66 44 3B FA 77 17 45 0F B7 C7 0F B7 CA 41 8D 40 05 3B C8 7F 08 41 2B C8 83 C1 0A EB 1B 66 39 54 24 50 77 11 44 0F B7 44 24 50 0F B7 CA 41 8D 40 05 3B C8 7E E0 83 C9 FF 85 C9 78 3B 41 83 FE 24 7D 15 48 63 C1 48 8D 0D ?? ?? ?? ?? 8A 04 08 88 06 49 03 F1 45 03 F1 41 8A D9 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 12 FF FF FF 88 5C 24 30 45 33 FF 84 DB 0F 84 AF 04 00 00 4C 8B 74 24 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 97 04 00 00 44 38 7F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 70 66 44 89 7C 24 48 44 89 7C 24 58 4C 8B 7D 80 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 45 33 E4 66 3B 5C 24 48 0F 84 91 00 00 00 44 38 67 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 50 66 44 89 64 24 48 44 89 64 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 85 67 03 00 00 C6 06 70 48 FF C6 48 89 74 24 68 48 8B CF E8 ?? ?? ?? ?? 41 8A DC 44 89 64 24 54 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 43 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 2B 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0B C6 06 2B 48 FF C6 E9 98 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 40 2D 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 BF 01 00 00 00 45 8B C7 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 13 C6 06 2D 49 03 F7 48 89 74 24 68 48 8B CF E8 ?? ?? ?? ?? 41 8A DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 FF 84 C0 0F 85 C8 01 00 00 BE FF FF 00 00 45 8D 67 01 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 3F 44 88 67 08 66 44 39 6F 0A 75 1A 41 8A DC 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 99 84 DB 48 8B 74 24 68 44 8B 64 24 54 0F 84 46 01 00 00 C6 06 30 48 FF C6 E9 3B 01 00 00 44 38 7F 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 6F 0A 0F 87 F3 00 00 00 44 38 7F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CD 83 C1 09 0F B7 47 0A 3B C1 0F 8F 8F 00 }
	condition:
		$1
}

rule file_17_704_2 {
	meta:
		name = "?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4319
		refs = "0024 __security_cookie 0055 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 005e ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 006f ??1locale@std@@QEAA@XZ 007b ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00b3 _Mbrtowc 011b ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0248 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0490 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0495 ?_Xlength_error@std@@YAXPEBD@Z 05f6 ??_C@_0BB@JCEFLFJE@0123456789abcdef?$AA@ 06d7 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 07ab ??3@YAXPEAX@Z 09d2 localeconv 10c7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F8 48 81 EC 08 01 00 00 48 C7 45 A0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 4D 8B F9 4C 89 4C 24 70 49 8B F8 4C 8B F2 48 89 55 90 4C 8B E9 48 8B 4D 70 48 8B 45 78 48 89 45 88 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 78 48 8D 4D 98 E8 ?? ?? ?? ?? 48 8D 55 D0 49 8B CC E8 ?? ?? ?? ?? 90 C6 44 24 38 30 33 C0 66 89 44 24 4C 89 44 24 54 49 83 C5 10 4C 89 6D 80 4C 89 6C 24 20 4C 8D 4C 24 54 8D 70 01 44 8B C6 48 8D 54 24 38 48 8D 4C 24 4C E8 ?? ?? ?? ?? C6 44 24 38 61 33 DB 66 89 5C 24 60 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8B C6 48 8D 54 24 38 48 8D 4C 24 60 E8 ?? ?? ?? ?? C6 44 24 38 41 66 89 5C 24 50 89 5C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8B C6 48 8D 54 24 38 48 8D 4C 24 50 E8 ?? ?? ?? ?? 49 8B F6 88 5C 24 38 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 27 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2B 33 C0 66 89 44 24 40 89 44 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 44 8D 40 01 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 09 41 C6 06 2B E9 8F 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 54 4C 89 6C 24 20 4C 8D 4C 24 54 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 10 41 C6 06 2D 49 8D 76 01 48 8B CF E8 ?? ?? ?? ?? 33 DB C6 06 30 B8 01 00 00 00 48 03 F0 C6 06 78 48 03 F0 48 89 74 24 68 88 5C 24 30 44 8B F3 89 5C 24 54 89 5C 24 5C 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 9A 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 44 0F B7 6C 24 4C 66 44 39 6F 0A 0F 85 46 01 00 00 48 8B CF E8 ?? ?? ?? ?? 49 8B D7 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1E 01 00 00 38 5F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F C6 47 08 01 0F B7 5F 0A C6 44 24 40 78 33 C0 66 89 44 24 48 89 44 24 58 4C 8B 7D 80 4C 89 7C 24 20 4C 8D 4C 24 58 44 8D 40 01 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 84 8B 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 40 58 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0A 48 8B CF E8 ?? ?? ?? ?? EB 0D C6 44 24 30 01 EB 06 44 0F B7 6C 24 4C 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 44 0F B7 7C 24 60 80 38 7F 0F 84 71 03 00 00 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 33 DB 38 18 0F 8E 59 03 00 00 48 39 5D E0 75 06 44 0F B7 EB EB 0E 49 8B 04 24 49 8B CC FF 50 10 44 0F B7 E8 48 C7 45 C0 0F 00 00 00 48 89 5D B8 88 5D A8 B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 B8 66 89 5D A8 4C 8B E3 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 72 02 00 00 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 0F B7 4F 0A 44 0F B7 4C 24 4C 66 44 3B C9 77 12 41 0F B7 D1 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 85 DB 0F 88 C8 00 00 00 44 88 54 24 30 41 83 FE 24 7C 0A 44 01 54 24 5C E9 83 00 00 00 44 38 5F 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 4C 45 33 DB 45 8D 53 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 57 08 66 44 39 4F 0A 75 05 45 85 F6 74 1F 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 88 06 49 03 F2 48 89 74 24 68 45 03 F2 44 89 74 24 54 48 8D 45 A8 48 83 7D C0 10 48 0F 43 45 A8 42 80 3C 20 7F 0F 84 B6 00 00 00 48 8D 45 A8 48 83 7D C0 10 48 0F 43 45 A8 46 00 14 20 E9 9F 00 00 00 48 8D 45 A8 4C 8B 45 A8 48 8B 55 C0 48 83 FA 10 49 0F 43 C0 46 38 1C 20 0F 84 A9 00 00 00 66 45 85 ED 0F 84 9F 00 00 00 44 38 5F 08 75 58 48 8B 0F 48 85 C9 74 43 4C 8B 51 40 4D 39 1A 74 09 48 8B 41 58 44 8B 08 EB 03 45 8B CB 45 85 C9 7E 08 49 8B 02 0F B7 00 EB 11 48 8B 01 FF 50 30 48 8B 55 C0 4C 8B 45 A8 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 66 44 39 6F 0A 75 3A 45 33 C0 49 8B D2 48 8D 4D A8 E8 ?? ?? ?? ?? 49 FF C4 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 BF FD FF FF 48 8B 55 C0 4C 8B 45 A8 41 BA 01 00 00 00 4D 85 E4 74 2C 48 8D 45 A8 48 83 FA 10 49 0F 43 C0 46 38 1C 20 7E 05 4D 03 E2 EB 15 44 88 54 24 38 EB 0E 48 8B 55 C0 4C 8B 45 A8 41 BA 01 00 00 00 48 8D 4D D0 48 83 7D E8 10 48 0F 43 4D D0 44 38 5C 24 38 75 4B 4D 85 E4 74 46 44 8A 09 41 80 F9 7F 74 3D 4D 2B E2 74 12 48 8D 45 A8 48 83 FA 10 49 0F 43 C0 46 3A 0C 20 75 21 4D 85 E4 75 11 48 8D 45 A8 48 83 FA 10 49 0F 43 C0 44 3A 08 7C 0B 44 38 59 01 7E BF 48 FF C1 EB BA 44 88 54 24 38 48 83 FA 10 0F 82 8D 01 00 00 49 8B C8 E8 ?? ?? ?? ?? E9 80 01 00 00 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 6D 01 00 00 4C 8B 64 24 70 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B8 01 00 00 00 44 88 47 08 EB 06 41 B8 01 00 00 00 0F B7 4F 0A 66 44 3B E9 77 12 41 0F B7 D5 0F B7 D9 8D 42 09 3B D8 7F 04 2B DA EB 34 66 44 3B F9 77 15 41 0F B7 D7 0F B7 D9 8D 42 05 3B D8 7F 07 2B DA 83 C3 0A EB 19 66 39 4C 24 50 77 0F 0F B7 54 24 50 0F B7 D9 8D 42 05 3B D8 7E E3 83 CB FF 85 DB 0F 88 A5 00 00 00 41 83 FE 24 7C 07 44 01 44 24 5C EB 75 44 38 5F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B8 01 00 00 00 44 88 47 08 66 44 39 6F 0A 75 05 45 85 F6 74 15 48 63 C3 48 8D 0D ?? ?? ?? ?? 8A 04 08 88 06 49 03 F0 45 03 F0 44 88 44 24 30 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 A7 FE FF FF 44 89 74 24 54 48 89 74 24 68 4C 8B 64 24 78 8A 5C 24 30 84 DB 74 10 45 85 F6 75 0B C6 06 30 48 FF C6 48 89 74 24 68 4C 8B 6C 24 70 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 85 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A 49 8B 04 24 49 8B CC FF 50 08 66 3B D8 75 1C E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 06 48 FF C6 48 89 74 24 68 48 8B CF E8 ?? ?? ?? ?? 8A 5C 24 30 45 33 E4 45 85 F6 0F 85 CF 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 A3 00 00 00 44 0F B7 64 24 4C 44 8B 7C 24 5C 45 33 C9 BE FF FF 00 00 45 8D 71 01 44 38 4F 08 75 43 48 8B 0F 48 85 C9 74 34 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 77 08 66 44 39 67 0A 75 20 45 2B FE 41 8A DE 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 74 90 44 89 7C 24 5C 88 5C 24 30 48 8B 74 24 68 44 8B 74 24 54 44 0F B7 7C 24 60 45 33 E4 8B 44 24 5C 85 C0 79 11 C6 06 30 B9 01 00 00 00 48 03 F1 03 C1 89 44 24 5C 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 6C 24 4C 84 C0 0F 85 F2 00 00 00 44 38 67 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 0F B7 57 0A 66 44 3B EA 77 14 45 0F B7 C5 0F B7 CA 41 8D 40 09 3B C8 7F 05 41 2B C8 EB 38 66 44 3B FA 77 17 45 0F B7 C7 0F B7 CA 41 8D 40 05 3B C8 7F 08 41 2B C8 83 C1 0A EB 1B 66 39 54 24 50 77 11 44 0F B7 44 24 50 0F B7 CA 41 8D 40 05 3B C8 7E E0 83 C9 FF 85 C9 78 3B 41 83 FE 24 7D 15 48 63 C1 48 8D 0D ?? ?? ?? ?? 8A 04 08 88 06 49 03 F1 45 03 F1 41 8A D9 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 70 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 12 FF FF FF 88 5C 24 30 45 33 FF 84 DB 0F 84 AF 04 00 00 4C 8B 74 24 70 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 97 04 00 00 44 38 7F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 70 66 44 89 7C 24 48 44 89 7C 24 58 4C 8B 7D 80 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 45 33 E4 66 3B 5C 24 48 0F 84 91 00 00 00 44 38 67 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 50 66 44 89 64 24 48 44 89 64 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 0F 85 67 03 00 00 C6 06 70 48 FF C6 48 89 74 24 68 48 8B CF E8 ?? ?? ?? ?? 41 8A DC 44 89 64 24 54 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 43 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 40 2B 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 4C 8B C0 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 0B C6 06 2B 48 FF C6 E9 98 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 40 2D 66 44 89 4C 24 48 44 89 4C 24 58 4C 89 7C 24 20 4C 8D 4C 24 58 41 BF 01 00 00 00 45 8B C7 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 66 3B 5C 24 48 75 13 C6 06 2D 49 03 F7 48 89 74 24 68 48 8B CF E8 ?? ?? ?? ?? 41 8A DC 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 FF 84 C0 0F 85 C8 01 00 00 BE FF FF 00 00 45 8D 67 01 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 3F 44 88 67 08 66 44 39 6F 0A 75 1A 41 8A DC 48 8B CF E8 ?? ?? ?? ?? 49 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 99 84 DB 48 8B 74 24 68 44 8B 64 24 54 0F 84 46 01 00 00 C6 06 30 48 FF C6 E9 3B 01 00 00 44 38 7F 08 75 4D 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 6F 0A 0F 87 F3 00 00 00 44 38 7F 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CD 83 C1 09 0F B7 47 0A 3B C1 0F 8F 8F 00 }
	condition:
		$1
}

rule file_17_715_2 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z"
		size = 511
		refs = "0024 __security_cookie 007b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0103 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01bb ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01d4 ??3@YAXPEAX@Z 01e3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F9 33 C9 44 8B D1 66 41 39 09 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C5 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 48 C7 45 E0 0F 00 00 00 48 89 4D D8 88 4D C8 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 45 33 C9 41 8A C9 88 4D B0 41 8B D9 41 8B F1 4D 85 ED 0F 84 26 01 00 00 EB 0A 66 41 3B 04 24 74 0D 48 FF C3 41 0F B7 04 5C 66 85 C0 75 EC 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 44 38 0C 30 74 1B 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 48 0F BE 04 30 48 03 D8 E9 AA 00 00 00 49 03 DE 41 0F B7 04 5C 66 41 3B 04 24 74 78 66 85 C0 74 73 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 63 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 47 0A 66 41 39 04 5C 75 0A B1 01 88 4D B0 EB 26 44 8B FE 48 8D 55 C8 48 83 7D E0 10 48 0F 43 55 C8 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 32 8A 4D B0 48 FF C6 49 3B F5 0F 82 0E FF FF FF 84 C9 74 24 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C6 48 8B CF E8 ?? ?? ?? ?? 41 83 CF FF E9 C2 FE FF FF 48 83 7D E0 10 72 09 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_719_2 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z"
		size = 511
		refs = "0024 __security_cookie 007b ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0103 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01bb ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01d4 ??3@YAXPEAX@Z 01e3 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F9 33 C9 44 8B D1 66 41 39 09 74 1A 41 0F B7 01 66 41 3B 01 75 03 49 FF C5 49 FF C2 43 0F B7 04 51 66 85 C0 75 EA 48 C7 45 E0 0F 00 00 00 48 89 4D D8 88 4D C8 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 45 33 C9 41 8A C9 88 4D B0 41 8B D9 41 8B F1 4D 85 ED 0F 84 26 01 00 00 EB 0A 66 41 3B 04 24 74 0D 48 FF C3 41 0F B7 04 5C 66 85 C0 75 EC 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 44 38 0C 30 74 1B 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 48 0F BE 04 30 48 03 D8 E9 AA 00 00 00 49 03 DE 41 0F B7 04 5C 66 41 3B 04 24 74 78 66 85 C0 74 73 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 75 63 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 47 0A 66 41 39 04 5C 75 0A B1 01 88 4D B0 EB 26 44 8B FE 48 8D 55 C8 48 83 7D E0 10 48 0F 43 55 C8 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 32 8A 4D B0 48 FF C6 49 3B F5 0F 82 0E FF FF FF 84 C9 74 24 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C6 48 8B CF E8 ?? ?? ?? ?? 41 83 CF FF E9 C2 FE FF FF 48 83 7D E0 10 72 09 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_717_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEBD@Z"
		size = 489
		refs = "0024 __security_cookie 0075 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00f1 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01a5 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 01be ??3@YAXPEAX@Z 01cd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F9 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C5 48 FF C1 8A 01 84 C0 75 EF 48 C7 45 E0 0F 00 00 00 48 83 65 D8 00 C6 45 C8 00 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 32 C9 88 4D B0 33 DB 33 F6 4D 85 ED 0F 84 1C 01 00 00 EB 09 41 3A 04 24 74 0B 48 FF C3 42 8A 04 23 84 C0 75 EF 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 80 3C 30 00 74 1B 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 48 0F BE 04 30 48 03 D8 E9 A3 00 00 00 49 03 DE 42 8A 04 23 41 3A 04 24 74 73 84 C0 74 6F 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 62 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 42 0F BE 0C 23 0F B7 47 0A 3B C8 75 0A B1 01 88 4D B0 EB 26 44 8B FE 48 8D 55 C8 48 83 7D E0 10 48 0F 43 55 C8 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 32 8A 4D B0 48 FF C6 49 3B F5 0F 82 17 FF FF FF 84 C9 74 24 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C6 48 8B CF E8 ?? ?? ?? ?? 41 83 CF FF E9 D2 FE FF FF 48 83 7D E0 10 72 09 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_721_2 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBD@Z"
		size = 489
		refs = "0024 __security_cookie 0075 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00f1 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01a5 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 01be ??3@YAXPEAX@Z 01cd __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B E1 4D 8B E8 48 89 55 B8 48 8B F9 41 80 39 00 74 17 41 8A 01 49 8B C9 41 3A 01 75 03 49 FF C5 48 FF C1 8A 01 84 C0 75 EF 48 C7 45 E0 0F 00 00 00 48 83 65 D8 00 C6 45 C8 00 45 33 C0 49 8B D5 48 8D 4D C8 E8 ?? ?? ?? ?? 90 41 BF FE FF FF FF 45 8D 77 03 32 C9 88 4D B0 33 DB 33 F6 4D 85 ED 0F 84 1C 01 00 00 EB 09 41 3A 04 24 74 0B 48 FF C3 42 8A 04 23 84 C0 75 EF 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 80 3C 30 00 74 1B 48 8D 45 C8 48 83 7D E0 10 48 0F 43 45 C8 48 0F BE 04 30 48 03 D8 E9 A3 00 00 00 49 03 DE 42 8A 04 23 41 3A 04 24 74 73 84 C0 74 6F 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 62 38 47 08 75 46 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 04 48 83 27 00 C6 47 08 01 42 0F BE 0C 23 0F B7 47 0A 3B C8 75 0A B1 01 88 4D B0 EB 26 44 8B FE 48 8D 55 C8 48 83 7D E0 10 48 0F 43 55 C8 B9 7F 00 00 00 4C 3B F1 41 0F B6 C6 0F 42 C8 88 0C 32 8A 4D B0 48 FF C6 49 3B F5 0F 82 17 FF FF FF 84 C9 74 24 48 8B 55 B8 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 14 49 FF C6 48 8B CF E8 ?? ?? ?? ?? 41 83 CF FF E9 D2 FE FF FF 48 83 7D E0 10 72 09 48 8B 4D C8 E8 ?? ?? ?? ?? 41 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 C8 00 00 00 48 83 C4 70 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_723_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
		size = 47
		refs = "0022 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 49 83 C9 FF 48 89 41 10 45 33 C0 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_776_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@AEBV01@@Z"
		size = 47
		refs = "0022 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 49 83 C9 FF 48 89 41 10 45 33 C0 48 8B D9 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_724_2 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBUtm@@DD@Z"
		size = 410
		refs = "0027 __security_cookie 0041 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 008c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00b3 _Strftime 00fc _Mbrtowc 0118 strlen 0133 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 016c ??3@YAXPEAX@Z 017b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 B8 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B E0 48 8B FA 4C 8B E9 4C 8B 75 68 8B 05 ?? ?? ?? ?? 89 45 E8 8A 05 ?? ?? ?? ?? 88 45 EC 48 C7 45 D8 0F 00 00 00 45 33 FF 4C 89 7D D0 44 88 7D C0 8A 45 78 84 C0 75 08 8A 45 70 88 45 EA EB 09 88 45 EA 8A 45 70 88 45 EB BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D C0 E8 ?? ?? ?? ?? 4D 8B 5D 10 48 8D 4D C0 48 83 7D D8 10 48 0F 43 4D C0 4C 89 5C 24 20 4D 8B CE 4C 8D 45 E8 48 8B 55 D0 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 05 48 03 DB EB BD 44 89 7D B4 48 8D 5D C0 48 8B 4D C0 48 8B 45 D8 48 83 F8 10 48 0F 43 D9 48 FF C3 48 FF CE 74 78 49 83 C5 18 4C 89 6C 24 20 4C 8D 4D B4 4C 8B C6 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 83 F8 FD 74 1B 7E 1C 85 C0 78 33 75 16 66 44 39 7D B0 75 0F 48 8B CB E8 ?? ?? ?? ?? FF C0 EB 03 41 8B C7 48 98 48 2B F0 48 03 D8 0F B7 55 B0 49 8B CC E8 ?? ?? ?? ?? 48 85 F6 74 18 EB AA 41 0F 10 04 24 F3 0F 7F 07 48 83 7D D8 10 72 22 48 8B 4D C0 EB 17 48 8B 45 D8 48 8B 4D C0 41 0F 10 04 24 F3 0F 7F 07 48 83 F8 10 72 05 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_743_2 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBUtm@@DD@Z"
		size = 410
		refs = "0027 __security_cookie 0041 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 008c ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00b3 _Strftime 00fc _Mbrtowc 0118 strlen 0133 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 016c ??3@YAXPEAX@Z 017b __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8B EC 48 81 EC 80 00 00 00 48 C7 45 B8 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F0 4D 8B E0 48 8B FA 4C 8B E9 4C 8B 75 68 8B 05 ?? ?? ?? ?? 89 45 E8 8A 05 ?? ?? ?? ?? 88 45 EC 48 C7 45 D8 0F 00 00 00 45 33 FF 4C 89 7D D0 44 88 7D C0 8A 45 78 84 C0 75 08 8A 45 70 88 45 EA EB 09 88 45 EA 8A 45 70 88 45 EB BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D C0 E8 ?? ?? ?? ?? 4D 8B 5D 10 48 8D 4D C0 48 83 7D D8 10 48 0F 43 4D C0 4C 89 5C 24 20 4D 8B CE 4C 8D 45 E8 48 8B 55 D0 E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 05 48 03 DB EB BD 44 89 7D B4 48 8D 5D C0 48 8B 4D C0 48 8B 45 D8 48 83 F8 10 48 0F 43 D9 48 FF C3 48 FF CE 74 78 49 83 C5 18 4C 89 6C 24 20 4C 8D 4D B4 4C 8B C6 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 83 F8 FD 74 1B 7E 1C 85 C0 78 33 75 16 66 44 39 7D B0 75 0F 48 8B CB E8 ?? ?? ?? ?? FF C0 EB 03 41 8B C7 48 98 48 2B F0 48 03 D8 0F B7 55 B0 49 8B CC E8 ?? ?? ?? ?? 48 85 F6 74 18 EB AA 41 0F 10 04 24 F3 0F 7F 07 48 83 7D D8 10 72 22 48 8B 4D C0 EB 17 48 8B 45 D8 48 8B 4D C0 41 0F 10 04 24 F3 0F 7F 07 48 83 F8 10 72 05 E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D F0 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D8 00 00 00 48 81 C4 80 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_731_2 {
	meta:
		name = "?do_get@?$messages@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHAEBV32@@Z"
		size = 59
		refs = "002e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 42 18 07 00 00 00 48 8B DA 48 89 42 10 66 89 02 48 8B 54 24 58 49 83 C9 FF 45 33 C0 48 8B CB 89 44 24 38 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_846_2 {
	meta:
		name = "?do_get@?$messages@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHAEBV32@@Z"
		size = 59
		refs = "002e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 42 18 07 00 00 00 48 8B DA 48 89 42 10 66 89 02 48 8B 54 24 58 49 83 C9 FF 45 33 C0 48 8B CB 89 44 24 38 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_747_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W_K@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_942_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@$$QEAV01@@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_777_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG_K@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_779_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@_KG@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_866_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@$$QEAV01@@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_748_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@_K_W@Z"
		size = 40
		refs = "001b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B D9 48 89 41 10 66 89 01 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_17_753_2 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 27
		refs = "000b ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0017 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z"
	strings:
		$1 = { 48 3B 51 10 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_53_298_2 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAX_K@Z"
		size = 27
		refs = "000b ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0017 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z"
	strings:
		$1 = { 48 3B 51 10 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_782_2 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAX_K@Z"
		size = 27
		refs = "000b ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0017 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z"
	strings:
		$1 = { 48 3B 51 10 77 09 49 83 C8 FF E9 ?? ?? ?? ?? 48 2B 51 10 45 33 C0 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_754_2 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z"
		size = 1832
		refs = "0024 __security_cookie 0048 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0057 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ac _Mbrtowc 00ba ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 01de ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 0448 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 044d ?_Xlength_error@std@@YAXPEBD@Z 04e2 _Wcrtomb 04f8 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 04fd memchr 05f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 06dc ??3@YAXPEAX@Z 0710 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4C 89 4D 97 49 8B F8 4C 8B EA 48 89 55 9F 48 8B F1 48 8B 4D 7F E8 ?? ?? ?? ?? 48 8B D8 48 8D 55 D7 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 FF 4C 39 7D E7 75 07 66 44 89 7D 8B EB 0D 48 8B 03 48 8B CB FF 50 10 66 89 45 8B C6 44 24 30 30 66 44 89 7C 24 38 44 89 7D 83 48 83 C6 10 48 89 75 8F 48 89 74 24 20 4C 8D 4D 83 BB 01 00 00 00 44 8B C3 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 4D 8B F5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 41 BC FF FF 00 00 84 C0 0F 85 16 01 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 3F 88 5F 08 0F B7 5F 0A C6 44 24 30 2B 66 44 89 7D 83 44 89 7D 87 48 89 74 24 20 4C 8D 4D 87 41 BC 01 00 00 00 45 8B C4 48 8D 54 24 30 48 8D 4D 83 E8 ?? ?? ?? ?? 66 3B 5D 83 75 0A 41 C6 45 00 2B E9 82 00 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 44 88 67 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 7D 83 44 89 7D 87 48 89 74 24 20 4C 8D 4D 87 4D 8B C4 48 8D 54 24 30 48 8D 4D 83 E8 ?? ?? ?? ?? 66 3B 5D 83 75 11 41 C6 45 00 2D 4D 8D 75 01 48 8B CF E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B E4 BE 0A 00 00 00 44 23 E6 8D 46 06 81 F9 00 08 00 00 44 0F 44 E0 8D 46 FE 81 F9 00 04 00 00 44 0F 44 E0 33 C0 88 45 83 48 8B 5D 97 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 DF 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 3B 44 24 38 0F 85 77 01 00 00 44 8A F9 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 47 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 78 66 44 89 4C 24 38 44 89 4D 87 48 8B 45 8F 48 89 44 24 20 4C 8D 4D 87 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 0F 84 8D 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 58 66 44 89 4C 24 38 44 89 4D 87 48 8B 45 8F 48 89 44 24 20 4C 8D 4D 87 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 75 29 45 33 C9 45 85 E4 74 06 41 83 FC 10 75 1E 41 BC 10 00 00 00 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 41 8D 44 24 F8 EB 21 45 33 C9 B8 08 00 00 00 45 85 E4 75 0F 44 8B E0 EB 05 B8 08 00 00 00 45 85 E4 74 10 44 3B E6 74 0B BE 16 00 00 00 44 3B E0 0F 44 F0 48 C7 45 C7 0F 00 00 00 4C 89 4D BF 44 88 4D AF B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 44 88 7D AF 48 89 45 BF 44 88 4D B0 49 8B D9 49 83 C5 1F 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 33 D2 84 C0 0F 85 D3 01 00 00 48 63 F6 38 57 08 75 46 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 49 39 10 74 06 48 8B 41 58 8B 10 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 47 0A EB 03 48 89 17 B8 01 00 00 00 88 47 08 88 54 24 30 89 55 87 4C 8B 4D 8F 4C 8D 45 87 0F B7 57 0A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 44 0F BE 5C 24 30 45 88 1E 41 8B D3 4C 8B C6 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 48 85 C0 74 53 38 55 83 75 06 41 80 3E 30 74 12 B9 01 00 00 00 4D 3B F5 73 0D 4C 03 F1 88 4D 83 EB 05 B9 01 00 00 00 44 8A F9 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 80 3C 18 7F 0F 84 BA 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 00 0C 18 E9 A4 00 00 00 48 8D 45 AF 4C 8B 4D AF 4C 8B 45 C7 49 83 F8 10 49 0F 43 C1 38 14 18 0F 84 AD 00 00 00 44 0F B7 5D 8B 66 45 85 DB 0F 84 9E 00 00 00 38 57 08 75 55 48 8B 0F 48 85 C9 74 40 4C 8B 51 40 49 39 12 74 06 48 8B 41 58 8B 10 85 D2 7E 08 49 8B 02 0F B7 00 EB 13 48 8B 01 FF 50 30 4C 8B 45 C7 4C 8B 4D AF 44 0F B7 5D 8B B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 47 0A EB 03 48 89 17 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 44 39 5F 0A 75 38 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 33 D2 84 C0 0F 84 61 FE FF FF 4C 8B 45 C7 4C 8B 4D AF 41 BD 10 00 00 00 41 8D 75 F1 48 85 DB 74 2B 48 8D 45 AF 4D 3B C5 49 0F 43 C1 38 14 18 7E 05 48 03 DE EB 16 44 8A FA EB 11 4C 8B 45 C7 4C 8B 4D AF BE 01 00 00 00 44 8D 6E 0F 48 8D 4D D7 48 8B 55 D7 4C 8B 55 EF 4D 3B D5 48 0F 43 CA 33 FF 45 84 FF 74 53 48 85 DB 74 3F 44 8A 19 41 80 FB 7F 74 36 48 2B DE 74 11 48 8D 45 AF 4D 3B C5 49 0F 43 C1 44 3A 1C 18 75 2F 48 85 DB 75 10 48 8D 45 AF 4D 3B C5 49 0F 43 C1 44 3A 18 7C 1A 40 38 79 01 7E C1 48 FF C1 EB BC 40 38 7D 83 75 0D 41 C6 06 30 4C 03 F6 EB 04 4C 8B 75 9F 41 88 3E 4D 3B C5 72 10 49 8B C9 E8 ?? ?? ?? ?? 4C 8B 55 EF 48 8B 55 D7 48 C7 45 C7 0F 00 00 00 48 89 7D BF 40 88 7D AF 4D 3B D5 72 08 48 8B CA E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_765_2 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z"
		size = 1832
		refs = "0024 __security_cookie 0048 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0057 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ac _Mbrtowc 00ba ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 01de ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 0448 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 044d ?_Xlength_error@std@@YAXPEBD@Z 04e2 _Wcrtomb 04f8 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 04fd memchr 05f8 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 06dc ??3@YAXPEAX@Z 0710 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC C8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B E1 4C 89 4D 97 49 8B F8 4C 8B EA 48 89 55 9F 48 8B F1 48 8B 4D 7F E8 ?? ?? ?? ?? 48 8B D8 48 8D 55 D7 48 8B C8 E8 ?? ?? ?? ?? 90 45 33 FF 4C 39 7D E7 75 07 66 44 89 7D 8B EB 0D 48 8B 03 48 8B CB FF 50 10 66 89 45 8B C6 44 24 30 30 66 44 89 7C 24 38 44 89 7D 83 48 83 C6 10 48 89 75 8F 48 89 74 24 20 4C 8D 4D 83 BB 01 00 00 00 44 8B C3 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 4D 8B F5 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 41 BC FF FF 00 00 84 C0 0F 85 16 01 00 00 44 38 7F 08 75 40 48 8B 0F 48 85 C9 74 32 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E0 74 06 66 89 47 0A EB 03 4C 89 3F 88 5F 08 0F B7 5F 0A C6 44 24 30 2B 66 44 89 7D 83 44 89 7D 87 48 89 74 24 20 4C 8D 4D 87 41 BC 01 00 00 00 45 8B C4 48 8D 54 24 30 48 8D 4D 83 E8 ?? ?? ?? ?? 66 3B 5D 83 75 0A 41 C6 45 00 2B E9 82 00 00 00 44 38 7F 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 38 74 08 48 8B 41 58 8B 10 EB 03 41 8B D7 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 3F 44 88 67 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 7D 83 44 89 7D 87 48 89 74 24 20 4C 8D 4D 87 4D 8B C4 48 8D 54 24 30 48 8D 4D 83 E8 ?? ?? ?? ?? 66 3B 5D 83 75 11 41 C6 45 00 2D 4D 8D 75 01 48 8B CF E8 ?? ?? ?? ?? 8B 4D 77 81 E1 00 0E 00 00 8B C1 F7 D8 45 1B E4 BE 0A 00 00 00 44 23 E6 8D 46 06 81 F9 00 08 00 00 44 0F 44 E0 8D 46 FE 81 F9 00 04 00 00 44 0F 44 E0 33 C0 88 45 83 48 8B 5D 97 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 DF 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 3B 44 24 38 0F 85 77 01 00 00 44 8A F9 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 47 01 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 78 66 44 89 4C 24 38 44 89 4D 87 48 8B 45 8F 48 89 44 24 20 4C 8D 4D 87 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 0F 84 8D 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 58 66 44 89 4C 24 38 44 89 4D 87 48 8B 45 8F 48 89 44 24 20 4C 8D 4D 87 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 38 E8 ?? ?? ?? ?? 66 3B 5C 24 38 75 29 45 33 C9 45 85 E4 74 06 41 83 FC 10 75 1E 41 BC 10 00 00 00 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 41 8D 44 24 F8 EB 21 45 33 C9 B8 08 00 00 00 45 85 E4 75 0F 44 8B E0 EB 05 B8 08 00 00 00 45 85 E4 74 10 44 3B E6 74 0B BE 16 00 00 00 44 3B E0 0F 44 F0 48 C7 45 C7 0F 00 00 00 4C 89 4D BF 44 88 4D AF B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 44 88 7D AF 48 89 45 BF 44 88 4D B0 49 8B D9 49 83 C5 1F 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 33 D2 84 C0 0F 85 D3 01 00 00 48 63 F6 38 57 08 75 46 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 49 39 10 74 06 48 8B 41 58 8B 10 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 47 0A EB 03 48 89 17 B8 01 00 00 00 88 47 08 88 54 24 30 89 55 87 4C 8B 4D 8F 4C 8D 45 87 0F B7 57 0A 48 8D 4C 24 30 E8 ?? ?? ?? ?? 44 0F BE 5C 24 30 45 88 1E 41 8B D3 4C 8B C6 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 48 85 C0 74 53 38 55 83 75 06 41 80 3E 30 74 12 B9 01 00 00 00 4D 3B F5 73 0D 4C 03 F1 88 4D 83 EB 05 B9 01 00 00 00 44 8A F9 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 80 3C 18 7F 0F 84 BA 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 00 0C 18 E9 A4 00 00 00 48 8D 45 AF 4C 8B 4D AF 4C 8B 45 C7 49 83 F8 10 49 0F 43 C1 38 14 18 0F 84 AD 00 00 00 44 0F B7 5D 8B 66 45 85 DB 0F 84 9E 00 00 00 38 57 08 75 55 48 8B 0F 48 85 C9 74 40 4C 8B 51 40 49 39 12 74 06 48 8B 41 58 8B 10 85 D2 7E 08 49 8B 02 0F B7 00 EB 13 48 8B 01 FF 50 30 4C 8B 45 C7 4C 8B 4D AF 44 0F B7 5D 8B B9 FF FF 00 00 33 D2 66 3B C8 74 06 66 89 47 0A EB 03 48 89 17 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 44 39 5F 0A 75 38 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 55 97 48 8B CF E8 ?? ?? ?? ?? 33 D2 84 C0 0F 84 61 FE FF FF 4C 8B 45 C7 4C 8B 4D AF 41 BD 10 00 00 00 41 8D 75 F1 48 85 DB 74 2B 48 8D 45 AF 4D 3B C5 49 0F 43 C1 38 14 18 7E 05 48 03 DE EB 16 44 8A FA EB 11 4C 8B 45 C7 4C 8B 4D AF BE 01 00 00 00 44 8D 6E 0F 48 8D 4D D7 48 8B 55 D7 4C 8B 55 EF 4D 3B D5 48 0F 43 CA 33 FF 45 84 FF 74 53 48 85 DB 74 3F 44 8A 19 41 80 FB 7F 74 36 48 2B DE 74 11 48 8D 45 AF 4D 3B C5 49 0F 43 C1 44 3A 1C 18 75 2F 48 85 DB 75 10 48 8D 45 AF 4D 3B C5 49 0F 43 C1 44 3A 18 7C 1A 40 38 79 01 7E C1 48 FF C1 EB BC 40 38 7D 83 75 0D 41 C6 06 30 4C 03 F6 EB 04 4C 8B 75 9F 41 88 3E 4D 3B C5 72 10 49 8B C9 E8 ?? ?? ?? ?? 4C 8B 55 EF 48 8B 55 D7 48 C7 45 C7 0F 00 00 00 48 89 7D BF 40 88 7D AF 4D 3B D5 72 08 48 8B CA E8 ?? ?? ?? ?? 41 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_757_2 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4087
		refs = "0024 __security_cookie 006e ?_Getffldx@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1AEAVios_base@2@PEAH@Z 007c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0085 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 0095 ??1locale@std@@QEAA@XZ 00a1 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d9 _Mbrtowc 00f2 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 022d ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 02ab ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 02b0 ?_Xlength_error@std@@YAXPEBD@Z 0568 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0638 ??3@YAXPEAX@Z 08c2 localeconv 0fdf __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC E8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B F1 4C 89 4C 24 58 49 8B F8 4C 8B FA 48 89 55 9F 48 8B D9 48 8B 4D 77 4C 8B 45 7F 8B 41 18 BA 00 30 00 00 23 C2 3B C2 75 1D 4C 89 44 24 28 48 89 4C 24 20 4C 8B C7 49 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 60 0F 00 00 48 8D 55 87 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 45 97 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 55 D7 49 8B CE E8 ?? ?? ?? ?? 90 C6 44 24 38 30 33 C0 66 89 44 24 44 89 44 24 48 4C 8D 63 10 4C 89 65 8F 4C 89 64 24 20 4C 8D 4C 24 48 8D 58 01 44 8B C3 48 8D 54 24 38 48 8D 4C 24 44 E8 ?? ?? ?? ?? 4D 8B EF 4C 89 7C 24 50 33 C0 88 44 24 38 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 33 01 00 00 44 38 4F 08 75 47 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 88 5F 08 0F B7 5F 0A C6 44 24 30 2B 66 44 89 4C 24 40 44 89 4C 24 48 4C 89 64 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 09 41 C6 07 2B E9 8F 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 48 4C 89 64 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 15 41 C6 07 2D 4D 8D 6F 01 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 45 8A F9 45 8B E1 44 89 4C 24 40 41 8B D9 89 5C 24 48 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 80 38 7F 0F 84 E4 03 00 00 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 44 38 08 0F 8E CD 03 00 00 4C 39 4D E7 75 06 41 0F B7 F1 EB 0F 49 8B 06 49 8B CE FF 50 10 0F B7 F0 45 33 C9 48 C7 45 C7 0F 00 00 00 4C 89 4D BF 44 88 4D AF B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 BF 66 C7 45 AF 00 00 49 8B D9 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 E6 02 00 00 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 44 0F B7 4C 24 44 66 44 3B 4F 0A 0F 87 88 01 00 00 44 38 5F 08 75 54 48 8B 0F 48 85 C9 74 3F 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0F 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 C9 83 C1 09 0F B7 47 0A 3B C1 0F 8F 1B 01 00 00 45 8A FA 41 83 FC 24 7C 0A 44 01 54 24 48 E9 D9 00 00 00 44 38 5F 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 DB 45 8D 53 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 57 08 66 44 39 4F 0A 75 05 45 85 E4 74 75 44 38 5F 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 DB 45 8D 53 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 57 08 0F B7 47 0A 41 2A C1 04 30 41 88 45 00 4D 03 EA 4C 89 6C 24 50 45 03 E2 44 89 64 24 40 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 80 3C 18 7F 0F 84 B7 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 44 00 14 18 E9 A0 00 00 00 48 8D 45 AF 4C 8B 55 AF 4C 8B 4D C7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 AA 00 00 00 66 85 F6 0F 84 A1 00 00 00 44 38 5F 08 75 56 48 8B 0F 48 85 C9 74 41 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D C7 4C 8B 55 AF 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3A 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 4B FD FF FF 4C 8B 4D C7 4C 8B 55 AF 41 B8 01 00 00 00 48 85 DB 74 2C 48 8D 45 AF 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 05 49 03 D8 EB 15 44 88 44 24 38 EB 0E 4C 8B 4D C7 4C 8B 55 AF 41 B8 01 00 00 00 48 8D 4D D7 48 83 7D EF 10 48 0F 43 4D D7 44 38 5C 24 38 75 47 48 85 DB 74 42 8A 11 80 FA 7F 74 3B 49 2B D8 74 11 48 8D 45 AF 49 83 F9 10 49 0F 43 C2 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 AF 49 83 F9 10 49 0F 43 C2 3A 10 7C 0B 44 38 59 01 7E C3 48 FF C1 EB BE 44 88 44 24 38 49 83 F9 10 0F 82 FD 01 00 00 49 8B CA E8 ?? ?? ?? ?? E9 F0 01 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 FA 01 00 00 44 0F B7 74 24 44 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 77 0A 0F 87 59 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CE 83 C1 09 0F B7 47 0A 3B C1 0F 8F F2 00 00 00 41 83 FC 24 7C 08 41 03 DA E9 C3 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 66 44 39 77 0A 75 05 45 85 E4 74 65 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 0F B7 47 0A 41 2A C6 04 30 41 88 45 00 4D 03 EA 45 03 E2 45 8A FA 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 40 FE FF FF 89 5C 24 48 4C 89 6C 24 50 44 89 64 24 40 4C 8B 75 97 EB 05 48 8B 74 24 58 33 DB 45 84 FF 74 16 45 85 E4 75 11 41 C6 45 00 30 49 FF C5 4C 89 6C 24 50 EB 02 33 DB 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7F 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 5F 0A 49 8B 06 49 8B CE FF 50 08 66 3B D8 75 1E E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 45 00 49 FF C5 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 BE 00 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 90 00 00 00 0F B7 5C 24 44 44 8B 64 24 48 45 33 F6 45 8D 6E 01 44 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 37 44 88 6F 08 66 39 5F 0A 75 1D 45 2B E5 45 8A FD 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 92 44 89 64 24 48 44 8B 64 24 40 4C 8B 6C 24 50 33 DB 8B 44 24 48 85 C0 79 13 41 C6 45 00 30 B9 01 00 00 00 4C 03 E9 03 C1 89 44 24 48 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 74 24 44 84 C0 0F 85 47 01 00 00 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 77 0A 0F 87 E5 00 00 00 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CE 83 C1 09 0F B7 47 0A 3B C1 0F 8F 83 00 00 00 41 83 FC 24 7D 62 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 44 88 4F 08 0F B7 47 0A 41 2A C6 04 30 41 88 45 00 4D 03 E9 45 03 E1 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 B1 FE FF FF 45 84 FF 0F 84 9F 04 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 8C 04 00 00 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 65 45 33 E4 66 44 89 64 24 40 44 89 64 24 44 48 8B 75 8F 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 84 91 00 00 00 44 38 67 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 45 66 44 89 64 24 40 44 89 64 24 44 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 85 63 03 00 00 41 C6 45 00 65 49 FF C5 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 33 DB 44 8A FB 8B F3 89 5D 87 4C 8B 64 24 58 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 3F 01 00 00 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 30 2B 33 C0 66 89 44 24 40 89 44 24 44 48 8B 45 8F 48 89 44 24 20 4C 8D 4C 24 44 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 0A 41 C6 45 00 2B E9 98 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 44 48 8B 45 8F 48 89 44 24 20 4C 8D 4C 24 44 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 15 41 C6 45 00 2D 49 FF C5 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 33 DB 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C5 01 00 00 BE 01 00 00 00 41 BD FF FF 00 00 38 5F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F 40 88 77 08 66 44 39 77 0A 75 1A 44 8A FE 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9A 45 84 FF 8B 75 87 4C 8B 6C 24 50 0F 84 43 01 00 00 41 C6 45 00 30 49 FF C5 E9 36 01 00 00 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 77 0A 0F 87 EB 00 00 00 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CE 83 C1 09 0F B7 47 0A 3B C1 0F 8F 89 00 00 00 83 FE 08 7D 62 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 44 88 4F 08 0F B7 47 0A 41 2A C6 04 30 41 88 45 00 4D 03 E9 41 03 F1 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 B7 FE FF FF EB 02 33 DB 38 5C 24 38 75 05 45 84 FF 75 04 4C 8B 6D 9F 41 88 5D 00 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 8B 44 24 48 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_768_2 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z"
		size = 4087
		refs = "0024 __security_cookie 006e ?_Getffldx@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1AEAVios_base@2@PEAH@Z 007c ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0085 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 0095 ??1locale@std@@QEAA@XZ 00a1 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00d9 _Mbrtowc 00f2 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 022d ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 02ab ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 02b0 ?_Xlength_error@std@@YAXPEBD@Z 0568 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0638 ??3@YAXPEAX@Z 08c2 localeconv 0fdf __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC E8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B F1 4C 89 4C 24 58 49 8B F8 4C 8B FA 48 89 55 9F 48 8B D9 48 8B 4D 77 4C 8B 45 7F 8B 41 18 BA 00 30 00 00 23 C2 3B C2 75 1D 4C 89 44 24 28 48 89 4C 24 20 4C 8B C7 49 8B D7 48 8B CB E8 ?? ?? ?? ?? E9 60 0F 00 00 48 8D 55 87 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 89 45 97 48 8D 4D 87 E8 ?? ?? ?? ?? 48 8D 55 D7 49 8B CE E8 ?? ?? ?? ?? 90 C6 44 24 38 30 33 C0 66 89 44 24 44 89 44 24 48 4C 8D 63 10 4C 89 65 8F 4C 89 64 24 20 4C 8D 4C 24 48 8D 58 01 44 8B C3 48 8D 54 24 38 48 8D 4C 24 44 E8 ?? ?? ?? ?? 4D 8B EF 4C 89 7C 24 50 33 C0 88 44 24 38 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 33 01 00 00 44 38 4F 08 75 47 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 88 5F 08 0F B7 5F 0A C6 44 24 30 2B 66 44 89 4C 24 40 44 89 4C 24 48 4C 89 64 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 09 41 C6 07 2B E9 8F 00 00 00 45 33 C9 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F C6 47 08 01 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 48 4C 89 64 24 20 4C 8D 4C 24 48 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 15 41 C6 07 2D 4D 8D 6F 01 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 45 8A F9 45 8B E1 44 89 4C 24 40 41 8B D9 89 5C 24 48 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 80 38 7F 0F 84 E4 03 00 00 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 44 38 08 0F 8E CD 03 00 00 4C 39 4D E7 75 06 41 0F B7 F1 EB 0F 49 8B 06 49 8B CE FF 50 10 0F B7 F0 45 33 C9 48 C7 45 C7 0F 00 00 00 4C 89 4D BF 44 88 4D AF B8 01 00 00 00 3C FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 45 BF 66 C7 45 AF 00 00 49 8B D9 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 E6 02 00 00 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 44 0F B7 4C 24 44 66 44 3B 4F 0A 0F 87 88 01 00 00 44 38 5F 08 75 54 48 8B 0F 48 85 C9 74 3F 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0F 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 C9 83 C1 09 0F B7 47 0A 3B C1 0F 8F 1B 01 00 00 45 8A FA 41 83 FC 24 7C 0A 44 01 54 24 48 E9 D9 00 00 00 44 38 5F 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 DB 45 8D 53 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 57 08 66 44 39 4F 0A 75 05 45 85 E4 74 75 44 38 5F 08 75 52 48 8B 0F 48 85 C9 74 43 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 13 48 8B 01 FF 50 30 44 0F B7 4C 24 44 45 33 DB 45 8D 53 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 57 08 0F B7 47 0A 41 2A C1 04 30 41 88 45 00 4D 03 EA 4C 89 6C 24 50 45 03 E2 44 89 64 24 40 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 80 3C 18 7F 0F 84 B7 00 00 00 48 8D 45 AF 48 83 7D C7 10 48 0F 43 45 AF 44 00 14 18 E9 A0 00 00 00 48 8D 45 AF 4C 8B 55 AF 4C 8B 4D C7 49 83 F9 10 49 0F 43 C2 44 38 1C 18 0F 84 AA 00 00 00 66 85 F6 0F 84 A1 00 00 00 44 38 5F 08 75 56 48 8B 0F 48 85 C9 74 41 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 4D C7 4C 8B 55 AF 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3A 45 33 C0 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 4B FD FF FF 4C 8B 4D C7 4C 8B 55 AF 41 B8 01 00 00 00 48 85 DB 74 2C 48 8D 45 AF 49 83 F9 10 49 0F 43 C2 44 38 1C 18 7E 05 49 03 D8 EB 15 44 88 44 24 38 EB 0E 4C 8B 4D C7 4C 8B 55 AF 41 B8 01 00 00 00 48 8D 4D D7 48 83 7D EF 10 48 0F 43 4D D7 44 38 5C 24 38 75 47 48 85 DB 74 42 8A 11 80 FA 7F 74 3B 49 2B D8 74 11 48 8D 45 AF 49 83 F9 10 49 0F 43 C2 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 AF 49 83 F9 10 49 0F 43 C2 3A 10 7C 0B 44 38 59 01 7E C3 48 FF C1 EB BE 44 88 44 24 38 49 83 F9 10 0F 82 FD 01 00 00 49 8B CA E8 ?? ?? ?? ?? E9 F0 01 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 FA 01 00 00 44 0F B7 74 24 44 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 77 0A 0F 87 59 01 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CE 83 C1 09 0F B7 47 0A 3B C1 0F 8F F2 00 00 00 41 83 FC 24 7C 08 41 03 DA E9 C3 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 66 44 39 77 0A 75 05 45 85 E4 74 65 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 0F B7 47 0A 41 2A C6 04 30 41 88 45 00 4D 03 EA 45 03 E2 45 8A FA 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 40 FE FF FF 89 5C 24 48 4C 89 6C 24 50 44 89 64 24 40 4C 8B 75 97 EB 05 48 8B 74 24 58 33 DB 45 84 FF 74 16 45 85 E4 75 11 41 C6 45 00 30 49 FF C5 4C 89 6C 24 50 EB 02 33 DB 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 7F 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 5F 0A 49 8B 06 49 8B CE FF 50 08 66 3B D8 75 1E E8 ?? ?? ?? ?? 48 8B 08 8A 01 41 88 45 00 49 FF C5 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 33 DB 45 85 E4 0F 85 BE 00 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 90 00 00 00 0F B7 5C 24 44 44 8B 64 24 48 45 33 F6 45 8D 6E 01 44 38 77 08 75 45 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 30 74 08 48 8B 41 58 8B 10 EB 03 41 8B D6 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 37 44 88 6F 08 66 39 5F 0A 75 1D 45 2B E5 45 8A FD 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 92 44 89 64 24 48 44 8B 64 24 40 4C 8B 6C 24 50 33 DB 8B 44 24 48 85 C0 79 13 41 C6 45 00 30 B9 01 00 00 00 4C 03 E9 03 C1 89 44 24 48 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 44 0F B7 74 24 44 84 C0 0F 85 47 01 00 00 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 77 0A 0F 87 E5 00 00 00 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CE 83 C1 09 0F B7 47 0A 3B C1 0F 8F 83 00 00 00 41 83 FC 24 7D 62 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 44 88 4F 08 0F B7 47 0A 41 2A C6 04 30 41 88 45 00 4D 03 E9 45 03 E1 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? E9 B1 FE FF FF 45 84 FF 0F 84 9F 04 00 00 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 8C 04 00 00 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 65 45 33 E4 66 44 89 64 24 40 44 89 64 24 44 48 8B 75 8F 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 84 91 00 00 00 44 38 67 08 75 4B 48 8B 0F 48 85 C9 74 36 4C 8B 41 40 4D 39 20 74 08 48 8B 41 58 8B 10 EB 03 41 8B D4 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 27 B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 0F B7 5F 0A C6 44 24 30 45 66 44 89 64 24 40 44 89 64 24 44 48 89 74 24 20 4C 8D 4C 24 44 4C 8B C0 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 0F 85 63 03 00 00 41 C6 45 00 65 49 FF C5 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 33 DB 44 8A FB 8B F3 89 5D 87 4C 8B 64 24 58 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 3F 01 00 00 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 30 2B 33 C0 66 89 44 24 40 89 44 24 44 48 8B 45 8F 48 89 44 24 20 4C 8D 4C 24 44 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 0A 41 C6 45 00 2B E9 98 00 00 00 45 33 C9 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 0F B7 5F 0A C6 44 24 30 2D 66 44 89 4C 24 40 44 89 4C 24 44 48 8B 45 8F 48 89 44 24 20 4C 8D 4C 24 44 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4C 24 40 E8 ?? ?? ?? ?? 66 3B 5C 24 40 75 15 41 C6 45 00 2D 49 FF C5 4C 89 6C 24 50 48 8B CF E8 ?? ?? ?? ?? 33 DB 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 C5 01 00 00 BE 01 00 00 00 41 BD FF FF 00 00 38 5F 08 75 40 48 8B 0F 48 85 C9 74 31 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 66 44 3B E8 74 06 66 89 47 0A EB 03 48 89 1F 40 88 77 08 66 44 39 77 0A 75 1A 44 8A FE 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 9A 45 84 FF 8B 75 87 4C 8B 6C 24 50 0F 84 43 01 00 00 41 C6 45 00 30 49 FF C5 E9 36 01 00 00 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 77 0A 0F 87 EB 00 00 00 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CE 83 C1 09 0F B7 47 0A 3B C1 0F 8F 89 00 00 00 83 FE 08 7D 62 38 5F 08 75 4A 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0C 48 8B 01 FF 50 30 41 B9 01 00 00 00 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F 44 88 4F 08 0F B7 47 0A 41 2A C6 04 30 41 88 45 00 4D 03 E9 41 03 F1 45 8A F9 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 B7 FE FF FF EB 02 33 DB 38 5C 24 38 75 05 45 84 FF 75 04 4C 8B 6D 9F 41 88 5D 00 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 8B 44 24 48 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 E8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_761_2 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_WPEBD_K444@Z"
		size = 1593
		refs = "0024 __security_cookie 008b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0094 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 00a5 ??1locale@std@@QEAA@XZ 00b1 ?grouping@?$numpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0107 _Mbrtowc 0121 localeconv 0141 memchr 019f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 01b6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01e4 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0252 strcspn 0314 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 0348 ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K@Z 03e0 ?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PEBD_K_W@Z 0516 ??_C@_01DDCIFGEA@E?$AA@ 051d ??_C@_01KGKMHCOC@e?$AA@ 05f2 ??3@YAXPEAX@Z 0621 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D8 48 81 EC 28 01 00 00 48 C7 45 B8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 10 4C 89 4D 98 49 8B F0 4C 89 45 A0 48 89 55 A8 48 8B D9 48 89 4C 24 70 0F B7 85 90 00 00 00 66 89 44 24 34 48 8B BD 98 00 00 00 4C 8B BD A0 00 00 00 4C 89 7D 90 48 8B 85 A8 00 00 00 48 89 44 24 78 48 8B 85 B0 00 00 00 48 89 44 24 50 4C 8B AD B8 00 00 00 48 8D 55 B0 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 60 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 55 E8 49 8B CC E8 ?? ?? ?? ?? 90 49 8B 04 24 49 8B CC FF 50 10 66 89 44 24 36 48 C7 45 D8 0F 00 00 00 45 33 E4 4C 89 65 D0 44 88 65 C0 C6 44 24 38 30 66 44 89 64 24 40 44 89 65 80 48 8D 43 10 48 89 44 24 20 4C 8D 4D 80 41 8D 5C 24 01 44 8B C3 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 80 3F 2B 74 08 80 3F 2D 41 8B C4 75 02 8B C3 48 98 48 89 45 80 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 30 66 C7 44 24 31 65 00 4D 8B C5 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 0F BE 54 24 30 4D 8B C5 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 F7 D8 4D 1B E4 4C 23 64 24 50 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 39 7F 0F 84 34 01 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 80 38 00 0F 8E 1D 01 00 00 4D 8B C5 48 8B D7 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 75 11 41 B0 30 49 8B D4 48 8D 4D C0 E8 ?? ?? ?? ?? EB 2C 48 85 DB 75 12 41 B0 30 49 8B D7 48 8D 4D C0 E8 ?? ?? ?? ?? 4D 8B FD 4C 2B F7 41 B1 30 4D 8B C4 49 8B D6 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 48 85 DB 75 0D 41 B0 30 49 8B D7 E8 ?? ?? ?? ?? EB 2B 48 2B DF 48 8D 53 01 41 B1 30 4C 8B 44 24 78 E8 ?? ?? ?? ?? 41 B1 30 4D 8B C7 48 8B D3 48 8D 4D C0 E8 ?? ?? ?? ?? 4C 89 6C 24 78 4D 8B FD 4C 89 6D 90 48 8D 5D E8 48 83 7D 00 10 48 0F 43 5D E8 48 8D 4D C0 48 83 7D D8 10 48 0F 43 4D C0 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 75 80 8A 0B 80 F9 7F 74 36 84 C9 7E 32 48 0F BE D1 48 8B C7 49 2B C6 48 3B D0 73 23 48 2B FA 45 33 C9 45 8D 41 01 48 8B D7 48 8D 4D C0 E8 ?? ?? ?? ?? 4C 8D 5B 01 45 38 2B 49 0F 4F DB EB C3 48 8D 7D C0 48 83 7D D8 10 48 0F 43 7D C0 4D 8B E5 4C 8B 6D D0 EB 04 4C 8B 75 80 4B 8D 44 25 00 48 03 44 24 78 49 03 C7 48 8B 4D 98 48 8B 59 28 48 85 DB 7E 0A 48 3B D8 76 05 48 2B D8 EB 02 33 DB 8B 41 18 25 C0 01 00 00 83 F8 40 0F 84 9E 00 00 00 3D 00 01 00 00 74 2C 0F 10 06 0F 29 44 24 50 48 85 DB 0F 84 80 00 00 00 44 0F B7 74 24 34 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 60 4D 85 F6 74 35 0F 10 06 F3 0F 7F 44 24 50 48 C7 44 24 20 01 00 00 00 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 48 FF C7 49 FF CD 0F 10 06 0F 29 44 24 50 48 85 DB 74 1E 44 0F B7 74 24 34 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 50 33 DB F3 0F 7F 06 0F BE 54 24 30 4D 8B C5 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 44 0F B7 7C 24 40 48 85 C0 0F 84 D1 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 50 49 8D 46 FF 0F B7 4C 24 36 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 50 48 83 7D 90 00 76 20 48 8B 75 90 41 0F B7 D7 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CE 75 ED 0F 28 4C 24 50 48 8B 75 A0 F3 0F 7F 0E 66 0F 7F 4C 24 50 48 8B 4C 24 60 48 8B 01 FF 50 08 0F B7 D0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 28 6C 24 50 F3 0F 7F 2E 0F 29 6C 24 60 48 83 7C 24 78 00 76 21 48 8B 74 24 78 41 0F B7 D7 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 FF CE 75 ED 0F 28 6C 24 60 48 8B 75 A0 F3 0F 7F 2E 49 03 FE 4D 2B EE 4D 8B C5 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 B6 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 60 49 8D 46 FF 0F B7 4C 24 36 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 4D 85 E4 74 18 41 0F B7 D7 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CC 75 ED 0F 28 4C 24 60 F3 0F 7F 0E 45 33 E4 66 0F 7F 4C 24 60 48 8B 45 98 F6 40 18 04 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 0F 45 C8 48 C7 44 24 20 01 00 00 00 4C 8D 44 24 60 48 8D 54 24 50 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 03 FE 4D 2B EE 0F 10 06 F3 0F 7F 44 24 60 0F B7 44 24 36 66 89 44 24 28 4C 89 6C 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 33 FF 4D 85 E4 74 18 41 0F B7 D7 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CC 75 ED 0F 28 4C 24 60 F3 0F 7F 0E 48 8B 45 98 48 89 78 28 0F 10 06 0F 29 44 24 60 48 85 DB 74 19 0F B7 54 24 34 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 FF CB 75 EC 0F 28 44 24 60 48 8B 5D A8 F3 0F 7F 03 48 83 7D D8 10 72 09 48 8B 4D C0 E8 ?? ?? ?? ?? 48 C7 45 D8 0F 00 00 00 48 89 7D D0 40 88 7D C0 48 83 7D 00 10 72 09 48 8B 4D E8 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 10 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 28 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_772_2 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@GPEBD_K333@Z"
		size = 1593
		refs = "0024 __security_cookie 008b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0094 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 00a5 ??1locale@std@@QEAA@XZ 00b1 ?grouping@?$numpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0107 _Mbrtowc 0121 localeconv 0141 memchr 019f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 01b6 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01e4 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0252 strcspn 0314 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 0348 ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_K@Z 03e0 ?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PEBD_KG@Z 0516 ??_C@_01DDCIFGEA@E?$AA@ 051d ??_C@_01KGKMHCOC@e?$AA@ 05f2 ??3@YAXPEAX@Z 0621 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 D8 48 81 EC 28 01 00 00 48 C7 45 B8 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 10 4C 89 4D 98 49 8B F0 4C 89 45 A0 48 89 55 A8 48 8B D9 48 89 4C 24 70 0F B7 85 90 00 00 00 66 89 44 24 34 48 8B BD 98 00 00 00 4C 8B BD A0 00 00 00 4C 89 7D 90 48 8B 85 A8 00 00 00 48 89 44 24 78 48 8B 85 B0 00 00 00 48 89 44 24 50 4C 8B AD B8 00 00 00 48 8D 55 B0 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B E0 48 89 44 24 60 48 8D 4D B0 E8 ?? ?? ?? ?? 48 8D 55 E8 49 8B CC E8 ?? ?? ?? ?? 90 49 8B 04 24 49 8B CC FF 50 10 66 89 44 24 36 48 C7 45 D8 0F 00 00 00 45 33 E4 4C 89 65 D0 44 88 65 C0 C6 44 24 38 30 66 44 89 64 24 40 44 89 65 80 48 8D 43 10 48 89 44 24 20 4C 8D 4D 80 41 8D 5C 24 01 44 8B C3 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 80 3F 2B 74 08 80 3F 2D 41 8B C4 75 02 8B C3 48 98 48 89 45 80 E8 ?? ?? ?? ?? 48 8B 08 8A 01 88 44 24 30 66 C7 44 24 31 65 00 4D 8B C5 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 0F BE 54 24 30 4D 8B C5 48 8B CF E8 ?? ?? ?? ?? 48 8B D8 48 F7 D8 4D 1B E4 4C 23 64 24 50 48 8D 4D E8 48 83 7D 00 10 48 0F 43 4D E8 80 39 7F 0F 84 34 01 00 00 48 8D 45 E8 48 83 7D 00 10 48 0F 43 45 E8 80 38 00 0F 8E 1D 01 00 00 4D 8B C5 48 8B D7 48 8D 4D C0 E8 ?? ?? ?? ?? 45 33 ED 4D 85 F6 75 11 41 B0 30 49 8B D4 48 8D 4D C0 E8 ?? ?? ?? ?? EB 2C 48 85 DB 75 12 41 B0 30 49 8B D7 48 8D 4D C0 E8 ?? ?? ?? ?? 4D 8B FD 4C 2B F7 41 B1 30 4D 8B C4 49 8B D6 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 4D C0 48 85 DB 75 0D 41 B0 30 49 8B D7 E8 ?? ?? ?? ?? EB 2B 48 2B DF 48 8D 53 01 41 B1 30 4C 8B 44 24 78 E8 ?? ?? ?? ?? 41 B1 30 4D 8B C7 48 8B D3 48 8D 4D C0 E8 ?? ?? ?? ?? 4C 89 6C 24 78 4D 8B FD 4C 89 6D 90 48 8D 5D E8 48 83 7D 00 10 48 0F 43 5D E8 48 8D 4D C0 48 83 7D D8 10 48 0F 43 4D C0 48 8D 54 24 30 E8 ?? ?? ?? ?? 48 8B F8 4C 8B 75 80 8A 0B 80 F9 7F 74 36 84 C9 7E 32 48 0F BE D1 48 8B C7 49 2B C6 48 3B D0 73 23 48 2B FA 45 33 C9 45 8D 41 01 48 8B D7 48 8D 4D C0 E8 ?? ?? ?? ?? 4C 8D 5B 01 45 38 2B 49 0F 4F DB EB C3 48 8D 7D C0 48 83 7D D8 10 48 0F 43 7D C0 4D 8B E5 4C 8B 6D D0 EB 04 4C 8B 75 80 4B 8D 44 25 00 48 03 44 24 78 49 03 C7 48 8B 4D 98 48 8B 59 28 48 85 DB 7E 0A 48 3B D8 76 05 48 2B D8 EB 02 33 DB 8B 41 18 25 C0 01 00 00 83 F8 40 0F 84 9E 00 00 00 3D 00 01 00 00 74 2C 0F 10 06 0F 29 44 24 50 48 85 DB 0F 84 80 00 00 00 44 0F B7 74 24 34 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED EB 60 4D 85 F6 74 35 0F 10 06 F3 0F 7F 44 24 50 48 C7 44 24 20 01 00 00 00 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 48 FF C7 49 FF CD 0F 10 06 0F 29 44 24 50 48 85 DB 74 1E 44 0F B7 74 24 34 41 0F B7 D6 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CB 75 ED 0F 28 44 24 50 33 DB F3 0F 7F 06 0F BE 54 24 30 4D 8B C5 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 44 0F B7 7C 24 40 48 85 C0 0F 84 D1 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 50 49 8D 46 FF 0F B7 4C 24 36 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 50 48 8D 55 80 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 50 48 83 7D 90 00 76 20 48 8B 75 90 41 0F B7 D7 48 8D 4C 24 50 E8 ?? ?? ?? ?? 48 FF CE 75 ED 0F 28 4C 24 50 48 8B 75 A0 F3 0F 7F 0E 66 0F 7F 4C 24 50 48 8B 4C 24 60 48 8B 01 FF 50 08 0F B7 D0 48 8D 4C 24 50 E8 ?? ?? ?? ?? 0F 28 6C 24 50 F3 0F 7F 2E 0F 29 6C 24 60 48 83 7C 24 78 00 76 21 48 8B 74 24 78 41 0F B7 D7 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 FF CE 75 ED 0F 28 6C 24 60 48 8B 75 A0 F3 0F 7F 2E 49 03 FE 4D 2B EE 4D 8B C5 BA 65 00 00 00 48 8B CF E8 ?? ?? ?? ?? 4C 8B F0 48 85 C0 0F 84 B6 00 00 00 4C 2B F7 49 FF C6 0F 10 06 F3 0F 7F 44 24 60 49 8D 46 FF 0F B7 4C 24 36 66 89 4C 24 28 48 89 44 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 4D 85 E4 74 18 41 0F B7 D7 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CC 75 ED 0F 28 4C 24 60 F3 0F 7F 0E 45 33 E4 66 0F 7F 4C 24 60 48 8B 45 98 F6 40 18 04 48 8D 05 ?? ?? ?? ?? 4C 8D 0D ?? ?? ?? ?? 4C 0F 45 C8 48 C7 44 24 20 01 00 00 00 4C 8D 44 24 60 48 8D 54 24 50 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 49 03 FE 4D 2B EE 0F 10 06 F3 0F 7F 44 24 60 0F B7 44 24 36 66 89 44 24 28 4C 89 6C 24 20 4C 8B CF 4C 8D 44 24 60 48 8D 54 24 50 48 8B 4C 24 70 E8 ?? ?? ?? ?? 0F 10 00 F3 0F 7F 06 0F 10 08 0F 29 4C 24 60 33 FF 4D 85 E4 74 18 41 0F B7 D7 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 FF CC 75 ED 0F 28 4C 24 60 F3 0F 7F 0E 48 8B 45 98 48 89 78 28 0F 10 06 0F 29 44 24 60 48 85 DB 74 19 0F B7 54 24 34 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 FF CB 75 EC 0F 28 44 24 60 48 8B 5D A8 F3 0F 7F 03 48 83 7D D8 10 72 09 48 8B 4D C0 E8 ?? ?? ?? ?? 48 C7 45 D8 0F 00 00 00 48 89 7D D0 40 88 7D C0 48 83 7D 00 10 72 09 48 8B 4D E8 E8 ?? ?? ?? ?? 48 8B C3 48 8B 4D 10 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 28 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_778_2 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@PEBG@Z"
		size = 69
		refs = "0025 wcslen 0033 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B F9 48 89 41 10 66 89 01 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 4C 8B C0 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_785_2 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@PEB_W@Z"
		size = 69
		refs = "0025 wcslen 0033 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 33 C0 48 C7 41 18 07 00 00 00 48 8B F9 48 89 41 10 66 89 01 48 8B CA 48 8B DA E8 ?? ?? ?? ?? 48 8B D3 4C 8B C0 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_786_2 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 541
		refs = "0024 __security_cookie 0068 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0071 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 007e ??1locale@std@@QEAA@XZ 00a9 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00ae ?_Xlength_error@std@@YAXPEBD@Z 00c2 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00d5 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00e6 ??3@YAXPEAX@Z 00f6 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0102 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0145 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0_KPEB_W@Z 018b ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HAEBVlocale@2@@Z 01a1 _Stoulx 01d1 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0205 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC C8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F9 4D 8B E0 4C 8B EA 48 89 4D 87 4C 8B 75 6F 48 8B 75 77 48 8B 45 7F 48 89 44 24 40 48 83 CB FF 49 8B CE 41 F7 46 18 00 40 00 00 0F 84 FB 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 C7 45 B7 07 00 00 00 33 FF 48 89 7D AF 66 89 7D 9F 48 B8 FE FF FF FF FF FF FF 7F 8D 4B 02 48 3B C8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 4D AF 89 7D 9F 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 01 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 83 7D B7 08 4C 0F 43 4D 9F 41 B8 02 00 00 00 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B D8 48 83 7D B7 08 72 78 48 8B 4D 9F E8 ?? ?? ?? ?? EB 6D 33 FF 89 7C 24 30 48 8D 55 8F E8 ?? ?? ?? ?? 4C 8B D8 41 8B 46 18 4C 89 5C 24 28 89 44 24 20 4D 8B CF 4D 8B C4 48 8D 55 9F 48 8B 4D 87 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4D 9F E8 ?? ?? ?? ?? 44 8B F0 48 8D 4D 8F E8 ?? ?? ?? ?? 4C 8D 5D 9F 4C 39 5C 24 38 74 0E 39 7C 24 30 75 08 41 83 FE 01 41 0F 46 DE 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 85 DB 79 05 83 0E 02 EB 0A 0F 95 C1 48 8B 44 24 40 88 08 41 0F 10 04 24 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_818_2 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AEAVios_base@2@AEAHAEA_N@Z"
		size = 541
		refs = "0024 __security_cookie 0068 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0071 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 007e ??1locale@std@@QEAA@XZ 00a9 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00ae ?_Xlength_error@std@@YAXPEBD@Z 00c2 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00d5 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00e6 ??3@YAXPEAX@Z 00f6 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0102 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0145 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0_KPEBG@Z 018b ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBAHPEADAEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HAEBVlocale@2@@Z 01a1 _Stoulx 01d1 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0205 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC C8 00 00 00 48 C7 45 97 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 EF 4D 8B F9 4D 8B E0 4C 8B EA 48 89 4D 87 4C 8B 75 6F 48 8B 75 77 48 8B 45 7F 48 89 44 24 40 48 83 CB FF 49 8B CE 41 F7 46 18 00 40 00 00 0F 84 FB 00 00 00 48 8D 54 24 30 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 30 E8 ?? ?? ?? ?? 48 C7 45 B7 07 00 00 00 33 FF 48 89 7D AF 66 89 7D 9F 48 B8 FE FF FF FF FF FF FF 7F 8D 4B 02 48 3B C8 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 48 89 4D AF 89 7D 9F 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 45 33 C0 41 8D 50 01 48 8D 4D 9F E8 ?? ?? ?? ?? 48 8D 55 C7 49 8B CE E8 ?? ?? ?? ?? 90 4C 8B CB 45 33 C0 48 8B D0 48 8D 4D 9F E8 ?? ?? ?? ?? 90 48 83 7D DF 08 72 09 48 8B 4D C7 E8 ?? ?? ?? ?? 4C 8D 4D 9F 48 83 7D B7 08 4C 0F 43 4D 9F 41 B8 02 00 00 00 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B D8 48 83 7D B7 08 72 78 48 8B 4D 9F E8 ?? ?? ?? ?? EB 6D 33 FF 89 7C 24 30 48 8D 55 8F E8 ?? ?? ?? ?? 4C 8B D8 41 8B 46 18 4C 89 5C 24 28 89 44 24 20 4D 8B CF 4D 8B C4 48 8D 55 9F 48 8B 4D 87 E8 ?? ?? ?? ?? 44 8B C0 4C 8D 4C 24 30 48 8D 54 24 38 48 8D 4D 9F E8 ?? ?? ?? ?? 44 8B F0 48 8D 4D 8F E8 ?? ?? ?? ?? 4C 8D 5D 9F 4C 39 5C 24 38 74 0E 39 7C 24 30 75 08 41 83 FE 01 41 0F 46 DE 49 8B D7 49 8B CC E8 ?? ?? ?? ?? 84 C0 74 03 83 0E 01 85 DB 79 05 83 0E 02 EB 0A 0F 95 C1 48 8B 44 24 40 88 08 41 0F 10 04 24 F3 41 0F 7F 45 00 49 8B C5 48 8B 4D EF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 C8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_812_2 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		altNames = "?do_curr_symbol@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 20 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_848_2 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 20 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_844_2 {
	meta:
		name = "?do_falsename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 20 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_813_2 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
		altNames = "?do_positive_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 28 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_849_2 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 28 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_845_2 {
	meta:
		name = "?do_truename@?$numpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 28 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_817_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 30 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_850_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 74
		refs = "002a wcslen 0038 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 30 33 C0 48 C7 42 18 07 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 66 89 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_851_2 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
		size = 139
		refs = "0025 ??3@YAXPEAX@Z 0051 memmove"
		altNames = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 48 8B FA 48 8B D9 48 3B CA 74 5E 48 83 79 18 08 72 08 48 8B 09 E8 ?? ?? ?? ?? 33 F6 48 C7 43 18 07 00 00 00 48 89 73 10 66 89 33 48 83 7F 18 08 73 16 4C 8B 47 10 48 8B D7 48 8B CB 4F 8D 44 00 02 E8 ?? ?? ?? ?? EB 09 48 8B 07 48 89 03 48 89 37 48 8B 47 10 48 89 43 10 48 8B 47 18 48 89 43 18 48 89 77 10 48 89 77 18 48 8B 74 24 38 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_854_2 {
	meta:
		name = "?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 85
		refs = "0035 strlen 0043 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 01 48 8B FA 33 D2 48 8B 58 28 89 54 24 30 48 85 DB 75 04 48 8D 58 30 48 C7 47 18 0F 00 00 00 48 89 57 10 48 8B CB 88 17 E8 ?? ?? ?? ?? 48 8B D3 4C 8B C0 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_17_855_2 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AEAVios_base@2@_W_N@Z"
		size = 479
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@_W@std@@@std@@YAAEBV?$numpunct@_W@0@AEBVlocale@0@@Z 008e ??1locale@std@@QEAA@XZ 00b2 ?truename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00bf ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z 00c7 ?falsename@?$numpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00e5 ??3@YAXPEAX@Z 0128 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 01c7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC A8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F1 4D 8B E8 4C 8B E2 44 0F B7 7D 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 97 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 7C 24 20 4C 8D 45 97 49 8B D4 41 FF 52 38 E9 4B 01 00 00 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 97 E8 ?? ?? ?? ?? 48 C7 45 C7 07 00 00 00 33 F6 48 89 75 BF 66 89 75 AF 48 8D 55 D7 48 8B CB 40 38 75 7F 74 15 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 EB 13 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D EF 08 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 49 8B 5E 28 48 8B 7D BF 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 46 18 25 C0 01 00 00 83 F8 40 74 31 41 0F 10 45 00 0F 29 45 97 48 85 DB 74 1A 41 0F B7 D7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D BF 0F 28 45 97 F3 41 0F 7F 45 00 48 8B DE 41 0F 10 45 00 0F 29 45 97 48 8D 75 AF 48 83 7D C7 08 48 0F 43 75 AF 48 85 FF 74 19 0F B7 16 48 8D 4D 97 E8 ?? ?? ?? ?? 48 83 C6 02 48 FF CF 75 EB 0F 28 45 97 F3 41 0F 7F 45 00 49 83 66 28 00 41 0F 10 45 00 0F 29 45 97 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 97 F3 41 0F 7F 04 24 48 83 7D C7 08 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_927_2 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AEAVios_base@2@G_N@Z"
		size = 479
		refs = "0024 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$numpunct@G@std@@@std@@YAAEBV?$numpunct@G@0@AEBVlocale@0@@Z 008e ??1locale@std@@QEAA@XZ 00b2 ?truename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00bf ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z 00c7 ?falsename@?$numpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00e5 ??3@YAXPEAX@Z 0128 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 01c7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F1 48 81 EC A8 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 4D 8B F1 4D 8B E8 4C 8B E2 44 0F B7 7D 77 41 F7 41 18 00 40 00 00 75 2A 41 0F 10 00 F3 0F 7F 45 97 4C 8B 11 0F B6 55 7F 89 54 24 28 66 44 89 7C 24 20 4C 8D 45 97 49 8B D4 41 FF 52 38 E9 4B 01 00 00 48 8D 55 97 49 8B C9 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D 97 E8 ?? ?? ?? ?? 48 C7 45 C7 07 00 00 00 33 F6 48 89 75 BF 66 89 75 AF 48 8D 55 D7 48 8B CB 40 38 75 7F 74 15 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 EB 13 E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D AF E8 ?? ?? ?? ?? 90 48 83 7D EF 08 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 49 8B 5E 28 48 8B 7D BF 48 85 DB 7E 0A 48 3B DF 76 05 48 2B DF EB 03 48 8B DE 41 8B 46 18 25 C0 01 00 00 83 F8 40 74 31 41 0F 10 45 00 0F 29 45 97 48 85 DB 74 1A 41 0F B7 D7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 48 8B 7D BF 0F 28 45 97 F3 41 0F 7F 45 00 48 8B DE 41 0F 10 45 00 0F 29 45 97 48 8D 75 AF 48 83 7D C7 08 48 0F 43 75 AF 48 85 FF 74 19 0F B7 16 48 8D 4D 97 E8 ?? ?? ?? ?? 48 83 C6 02 48 FF CF 75 EB 0F 28 45 97 F3 41 0F 7F 45 00 49 83 66 28 00 41 0F 10 45 00 0F 29 45 97 48 85 DB 74 16 41 0F B7 D7 48 8D 4D 97 E8 ?? ?? ?? ?? 48 FF CB 75 EE 0F 28 45 97 F3 41 0F 7F 04 24 48 83 7D C7 08 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_860_2 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 271
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009c ??_7?$collate@_W@std@@6B@ 00a4 _Getcoll 00c5 ??1_Locinfo@std@@QEAA@XZ 00e3 ??3@YAXPEAX@Z 00f8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC B0 00 00 00 48 C7 44 24 30 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 A6 00 00 00 48 39 19 0F 85 9D 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 28 48 85 C0 74 4F 48 8D 94 24 80 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 38 E8 ?? ?? ?? ?? BB 03 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 89 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 12 83 E3 FD 89 5C 24 20 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 F6 C3 01 74 18 48 83 BC 24 98 00 00 00 10 72 0D 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 A8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 B0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_308_2 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 271
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009c ??_7?$collate@D@std@@6B@ 00a4 _Getcoll 00c5 ??1_Locinfo@std@@QEAA@XZ 00e3 ??3@YAXPEAX@Z 00f8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC B0 00 00 00 48 C7 44 24 30 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 A6 00 00 00 48 39 19 0F 85 9D 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 28 48 85 C0 74 4F 48 8D 94 24 80 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 38 E8 ?? ?? ?? ?? BB 03 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 89 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 12 83 E3 FD 89 5C 24 20 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 F6 C3 01 74 18 48 83 BC 24 98 00 00 00 10 72 0D 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 A8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 B0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_863_2 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SA_KPEAPEBVfacet@locale@2@PEBV42@@Z"
		size = 271
		refs = "001d __security_cookie 004e ??2@YAPEAX_K@Z 006b ?name@locale@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 008b ??0_Locinfo@std@@QEAA@PEBD@Z 009c ??_7?$collate@G@std@@6B@ 00a4 _Getcoll 00c5 ??1_Locinfo@std@@QEAA@XZ 00e3 ??3@YAXPEAX@Z 00f8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 48 81 EC B0 00 00 00 48 C7 44 24 30 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 84 24 A8 00 00 00 48 8B EA 48 8B F1 33 DB 89 5C 24 20 48 85 C9 0F 84 A6 00 00 00 48 39 19 0F 85 9D 00 00 00 8D 4B 18 E8 ?? ?? ?? ?? 48 8B F8 48 89 44 24 28 48 85 C0 74 4F 48 8D 94 24 80 00 00 00 48 8B CD E8 ?? ?? ?? ?? 90 C7 44 24 20 01 00 00 00 48 83 78 18 10 72 03 48 8B 00 48 8B D0 48 8D 4C 24 38 E8 ?? ?? ?? ?? BB 03 00 00 00 48 83 67 08 00 48 8D 05 ?? ?? ?? ?? 48 89 07 E8 ?? ?? ?? ?? 48 89 47 10 EB 02 33 FF 48 89 3E F6 C3 02 74 12 83 E3 FD 89 5C 24 20 48 8D 4C 24 38 E8 ?? ?? ?? ?? 90 F6 C3 01 74 18 48 83 BC 24 98 00 00 00 10 72 0D 48 8B 8C 24 80 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 48 8B 8C 24 A8 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 E0 00 00 00 48 81 C4 B0 00 00 00 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_867_2 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z"
		size = 4477
		refs = "0027 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00a2 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 00b3 ??1locale@std@@QEAA@XZ 018e _Mbrtowc 019a ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0206 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 0343 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 040b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0416 ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AEAAXXZ 04e2 ??3@YAXPEAX@Z 0938 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0a8a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0ab6 ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0cc3 ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0de1 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0efb ??$use_facet@V?$ctype@_W@std@@@std@@YAAEBV?$ctype@_W@0@AEBVlocale@0@@Z 0fef ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0ff4 ?_Xlength_error@std@@YAXPEBD@Z 1126 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 1164 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 78 FE FF FF 48 81 EC 88 02 00 00 48 C7 45 B0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 78 01 00 00 4D 8B E9 4C 89 4C 24 58 49 8B F8 4C 89 45 98 4C 8B E2 48 89 54 24 60 48 89 4D 88 48 89 55 B8 48 8B 9D F8 01 00 00 48 89 5C 24 48 45 33 FF 44 89 7C 24 44 48 8B CB 44 38 BD F0 01 00 00 74 20 48 8D 55 90 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 50 48 8D 4D 90 EB 1E 48 8D 55 A0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 50 48 8D 4D A0 E8 ?? ?? ?? ?? 44 88 7C 24 34 45 8A F7 44 88 7C 24 30 B8 07 00 00 00 48 89 45 00 4C 89 7D F8 66 44 89 7D E8 49 89 44 24 18 4D 89 7C 24 10 66 45 89 3C 24 B8 01 00 00 00 44 8B F8 89 44 24 44 48 8B 06 48 8D 54 24 7C 48 8B CE FF 50 48 45 33 DB 45 8B E3 4C 89 5C 24 70 44 8B 4C 24 34 49 83 FC 04 0F 83 E0 0E 00 00 42 8A 44 24 7C 3C 20 0F 84 BA 0D 00 00 3C 24 0F 84 8D 0B 00 00 3C 2B 0F 84 E1 07 00 00 3C 76 74 0D 3C 78 0F 84 9E 0D 00 00 E9 8A 0E 00 00 45 8B F3 44 89 5C 24 68 48 8B 06 48 8B CE FF 50 38 44 8B E8 89 44 24 78 C6 44 24 38 30 33 DB 66 89 5C 24 40 89 5D 80 48 8B 45 88 48 83 C0 10 48 89 44 24 20 4C 8D 4D 80 44 8D 43 01 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 55 10 48 8B CE E8 ?? ?? ?? ?? 90 44 0F B7 64 24 40 48 39 5D 20 0F 84 95 03 00 00 48 8B 06 48 8B CE FF 50 10 0F B7 F0 66 85 C0 0F 84 7B 03 00 00 48 8D 4D 10 48 83 7D 28 10 48 0F 43 4D 10 80 39 7F 0F 83 64 03 00 00 48 C7 45 D8 0F 00 00 00 48 89 5D D0 88 5D C0 8D 43 01 3C FE 0F 87 F7 0D 00 00 48 89 45 D0 66 89 5D C0 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 4D 02 00 00 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 FF 00 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 98 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 44 0F B7 47 0A 49 8B D2 48 8B 4C 24 60 E8 ?? ?? ?? ?? 4C 8D 5D C0 48 83 7D D8 10 4C 0F 43 5D C0 41 80 3C 1B 7F 0F 84 B2 00 00 00 48 8D 45 C0 48 83 7D D8 10 48 0F 43 45 C0 B9 01 00 00 00 00 0C 18 E9 97 00 00 00 48 8D 45 C0 4C 8B 5D C0 4C 8B 55 D8 49 83 FA 10 49 0F 43 C3 44 38 0C 18 0F 84 A1 00 00 00 44 38 4F 08 75 56 48 8B 0F 48 85 C9 74 41 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 55 D8 4C 8B 5D C0 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3A 45 33 C0 48 8B D0 48 8D 4D C0 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 E3 FD FF FF 4C 8B 55 D8 4C 8B 5D C0 BE 01 00 00 00 48 85 DB 74 2B 48 8D 45 C0 49 83 FA 10 49 0F 43 C3 44 38 0C 18 7E 05 48 03 DE EB 14 40 88 74 24 34 EB 0D 4C 8B 55 D8 4C 8B 5D C0 BE 01 00 00 00 48 8D 55 10 4C 8B 4D 10 4C 8B 45 28 49 83 F8 10 49 0F 43 D1 8B 4C 24 34 84 C9 75 60 48 85 DB 74 44 8A 0A 80 F9 7F 74 3D 48 2B DE 74 11 48 8D 45 C0 49 83 FA 10 49 0F 43 C3 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 C0 49 83 FA 10 49 0F 43 C3 3A 08 7C 0B 80 7A 01 00 7E C3 48 FF C2 EB BE 40 88 74 24 34 EB 17 49 83 FA 10 0F 82 C0 01 00 00 49 8B CB E8 ?? ?? ?? ?? E9 B3 01 00 00 49 83 FA 10 72 10 49 8B CB E8 ?? ?? ?? ?? 4C 8B 45 28 4C 8B 4D 10 48 C7 45 D8 0F 00 00 00 45 33 DB 4C 89 5D D0 44 88 5D C0 49 83 F8 10 0F 82 95 0A 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 74 24 50 4C 8B 6C 24 58 4C 8B 64 24 70 44 8A 74 24 30 E9 85 0A 00 00 48 8B 74 24 50 48 8B 5C 24 58 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 44 01 00 00 48 8B 74 24 60 45 8D 69 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 66 44 3B 67 0A 0F 87 D1 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 7F 78 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 44 0F B7 47 0A 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 DA FE FF FF 44 8B 6C 24 78 44 8B 74 24 68 48 8B 74 24 50 48 8B 06 48 8B CE FF 50 08 0F B7 D8 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 EB 01 00 00 66 85 DB 0F 84 E2 01 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 86 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 58 E9 46 01 00 00 45 3B F5 0F 8D 6E 01 00 00 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 67 0A 0F 87 EC 00 00 00 44 38 5F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 85 00 00 00 44 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 DB 45 8D 4B 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 4F 08 44 0F B7 47 0A 49 8B D1 48 8B 4C 24 60 E8 ?? ?? ?? ?? 41 FF C6 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 A4 FE FF FF 8B 44 24 34 0F B6 C0 45 3B F5 B9 01 00 00 00 0F 4C C1 89 44 24 34 EB 08 45 33 DB B9 01 00 00 00 48 8B 44 24 60 4C 39 58 10 75 06 88 4C 24 34 EB 33 45 3B F5 7D 2E 45 2B EE 41 8B DD 48 8B F0 BF 01 00 00 00 45 0F B7 C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 2B DF 75 EC 48 8B 7D 98 48 8B 74 24 50 45 33 DB 48 83 7D 28 10 0F 82 AF 06 00 00 48 8B 4D 10 E8 ?? ?? ?? ?? E9 14 FC FF FF 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 9F 06 00 00 48 8D 95 88 00 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 02 44 89 7C 24 44 45 33 C9 4C 39 48 10 0F 86 8C 00 00 00 48 8D 95 B0 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CF 04 44 89 7C 24 44 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 04 74 3C 41 83 E7 FB 44 89 7C 24 44 48 83 BD C8 00 00 00 08 72 0F 48 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 C8 00 00 00 07 00 00 00 4C 89 8D C0 00 00 00 66 44 89 8D B0 00 00 00 41 F6 C7 02 74 3C 41 83 E7 FD 44 89 7C 24 44 48 83 BD A0 00 00 00 08 72 0F 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 A0 00 00 00 07 00 00 00 4C 89 8D 98 00 00 00 66 44 89 8D 88 00 00 00 84 DB 74 44 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 00 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D E8 E8 ?? ?? ?? ?? 90 48 83 BD 18 01 00 00 08 0F 82 27 05 00 00 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? E9 16 05 00 00 48 8D 55 38 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 44 45 33 C9 4C 39 48 10 0F 86 8C 00 00 00 48 8D 95 D8 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CF 10 44 89 7C 24 44 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 10 74 3C 41 83 E7 EF 44 89 7C 24 44 48 83 BD F0 00 00 00 08 72 0F 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 F0 00 00 00 07 00 00 00 4C 89 8D E8 00 00 00 66 44 89 8D D8 00 00 00 41 F6 C7 08 74 2D 41 83 E7 F7 44 89 7C 24 44 48 83 7D 50 08 72 0C 48 8B 4D 38 E8 ?? ?? ?? ?? 45 33 C9 48 C7 45 50 07 00 00 00 4C 89 4D 48 66 44 89 4D 38 84 DB 74 4E 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 28 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D E8 E8 ?? ?? ?? ?? 90 48 83 BD 40 01 00 00 08 72 0C 48 8B 8D 28 01 00 00 E8 ?? ?? ?? ?? 41 B9 01 00 00 00 45 8A F1 44 88 4C 24 30 E9 9D 03 00 00 48 8D 55 60 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 7D 78 08 72 0C 48 8B 4D 60 E8 ?? ?? ?? ?? 45 33 DB 48 C7 45 78 07 00 00 00 4C 89 5D 70 66 44 89 5D 60 84 DB 0F 85 5E 03 00 00 48 8D 95 50 01 00 00 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 BD 68 01 00 00 08 72 0F 48 8B 8D 50 01 00 00 E8 ?? ?? ?? ?? 45 33 DB 84 DB 48 8B 5C 24 48 0F 84 24 03 00 00 41 B9 01 00 00 00 45 8A F1 44 88 4C 24 30 E9 11 03 00 00 48 8D 55 C0 48 8B CE E8 ?? ?? ?? ?? 90 F6 43 18 08 75 7A 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 75 6B 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 C0 48 83 7D D8 08 48 0F 43 45 C0 66 3B 08 74 07 E9 8E 00 00 00 33 DB 49 83 FC 03 0F 85 91 00 00 00 41 8D 44 24 FE 48 39 45 F8 0F 87 82 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 64 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 C0 48 83 7D D8 08 48 0F 43 45 C0 66 3B 08 74 0F 49 83 C8 FF 33 D2 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 5D C0 48 83 7D D8 08 48 0F 43 5D C0 E9 8C 00 00 00 48 8D 4D C0 49 83 FA 08 49 0F 43 C9 48 8B 45 D0 48 8D 04 41 48 3B D8 0F 84 8D 00 00 00 44 38 5F 08 75 54 48 8B 0F 48 85 C9 74 41 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 55 D8 4C 8B 4D C0 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 0F B7 47 0A 66 3B 03 75 2A 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 4C 8B 55 D8 4C 8B 4D C0 84 C0 0F 84 56 FF FF FF 48 8D 55 C0 49 83 FA 08 49 0F 43 D1 48 8B 45 D0 48 8D 04 42 8B 4C 24 34 0F B6 D1 48 3B D8 B9 01 00 00 00 0F 45 D1 8A CA 89 4C 24 34 49 83 FA 08 0F 82 EF 00 00 00 49 8B C9 E9 C4 FB FF FF 49 83 FC 03 0F 84 E7 00 00 00 48 8D 55 A8 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D A8 E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 A6 00 00 00 BE FF FF 00 00 45 8D 73 01 44 38 5F 08 75 43 48 8B 0F 48 85 C9 74 34 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 77 08 48 8B 03 BA 48 00 00 00 44 0F B7 47 0A 48 8B CB FF 50 10 45 33 DB 84 C0 74 1A 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 74 83 48 8B 74 24 50 44 8A 74 24 30 EB 14 48 8B 74 24 50 4C 8B 6C 24 58 4C 8B 64 24 70 EB E8 45 33 DB 48 8B 5C 24 48 44 8B 4C 24 34 B8 01 00 00 00 4C 03 E0 4C 89 64 24 70 45 84 C9 0F 85 45 01 00 00 E9 23 F1 FF FF 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 45 84 C9 0F 85 2A 01 }
	condition:
		$1
}

rule file_17_949_2 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z"
		size = 4477
		refs = "0027 __security_cookie 0079 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0082 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00a2 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 00b3 ??1locale@std@@QEAA@XZ 018e _Mbrtowc 019a ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0206 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 0343 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 040b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0416 ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AEAAXXZ 04e2 ??3@YAXPEAX@Z 0938 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0a8a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0ab6 ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0cc3 ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0de1 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 0efb ??$use_facet@V?$ctype@G@std@@@std@@YAAEBV?$ctype@G@0@AEBVlocale@0@@Z 0fef ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0ff4 ?_Xlength_error@std@@YAXPEBD@Z 1126 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 1164 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D AC 24 78 FE FF FF 48 81 EC 88 02 00 00 48 C7 45 B0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 78 01 00 00 4D 8B E9 4C 89 4C 24 58 49 8B F8 4C 89 45 98 4C 8B E2 48 89 54 24 60 48 89 4D 88 48 89 55 B8 48 8B 9D F8 01 00 00 48 89 5C 24 48 45 33 FF 44 89 7C 24 44 48 8B CB 44 38 BD F0 01 00 00 74 20 48 8D 55 90 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 50 48 8D 4D 90 EB 1E 48 8D 55 A0 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B F0 48 89 44 24 50 48 8D 4D A0 E8 ?? ?? ?? ?? 44 88 7C 24 34 45 8A F7 44 88 7C 24 30 B8 07 00 00 00 48 89 45 00 4C 89 7D F8 66 44 89 7D E8 49 89 44 24 18 4D 89 7C 24 10 66 45 89 3C 24 B8 01 00 00 00 44 8B F8 89 44 24 44 48 8B 06 48 8D 54 24 7C 48 8B CE FF 50 48 45 33 DB 45 8B E3 4C 89 5C 24 70 44 8B 4C 24 34 49 83 FC 04 0F 83 E0 0E 00 00 42 8A 44 24 7C 3C 20 0F 84 BA 0D 00 00 3C 24 0F 84 8D 0B 00 00 3C 2B 0F 84 E1 07 00 00 3C 76 74 0D 3C 78 0F 84 9E 0D 00 00 E9 8A 0E 00 00 45 8B F3 44 89 5C 24 68 48 8B 06 48 8B CE FF 50 38 44 8B E8 89 44 24 78 C6 44 24 38 30 33 DB 66 89 5C 24 40 89 5D 80 48 8B 45 88 48 83 C0 10 48 89 44 24 20 4C 8D 4D 80 44 8D 43 01 48 8D 54 24 38 48 8D 4C 24 40 E8 ?? ?? ?? ?? 48 8D 55 10 48 8B CE E8 ?? ?? ?? ?? 90 44 0F B7 64 24 40 48 39 5D 20 0F 84 95 03 00 00 48 8B 06 48 8B CE FF 50 10 0F B7 F0 66 85 C0 0F 84 7B 03 00 00 48 8D 4D 10 48 83 7D 28 10 48 0F 43 4D 10 80 39 7F 0F 83 64 03 00 00 48 C7 45 D8 0F 00 00 00 48 89 5D D0 88 5D C0 8D 43 01 3C FE 0F 87 F7 0D 00 00 48 89 45 D0 66 89 5D C0 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 4D 02 00 00 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 66 44 3B 67 0A 0F 87 FF 00 00 00 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 98 00 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 57 08 44 0F B7 47 0A 49 8B D2 48 8B 4C 24 60 E8 ?? ?? ?? ?? 4C 8D 5D C0 48 83 7D D8 10 4C 0F 43 5D C0 41 80 3C 1B 7F 0F 84 B2 00 00 00 48 8D 45 C0 48 83 7D D8 10 48 0F 43 45 C0 B9 01 00 00 00 00 0C 18 E9 97 00 00 00 48 8D 45 C0 4C 8B 5D C0 4C 8B 55 D8 49 83 FA 10 49 0F 43 C3 44 38 0C 18 0F 84 A1 00 00 00 44 38 4F 08 75 56 48 8B 0F 48 85 C9 74 41 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 55 D8 4C 8B 5D C0 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 66 39 77 0A 75 3A 45 33 C0 48 8B D0 48 8D 4D C0 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 E3 FD FF FF 4C 8B 55 D8 4C 8B 5D C0 BE 01 00 00 00 48 85 DB 74 2B 48 8D 45 C0 49 83 FA 10 49 0F 43 C3 44 38 0C 18 7E 05 48 03 DE EB 14 40 88 74 24 34 EB 0D 4C 8B 55 D8 4C 8B 5D C0 BE 01 00 00 00 48 8D 55 10 4C 8B 4D 10 4C 8B 45 28 49 83 F8 10 49 0F 43 D1 8B 4C 24 34 84 C9 75 60 48 85 DB 74 44 8A 0A 80 F9 7F 74 3D 48 2B DE 74 11 48 8D 45 C0 49 83 FA 10 49 0F 43 C3 3A 0C 18 75 20 48 85 DB 75 10 48 8D 45 C0 49 83 FA 10 49 0F 43 C3 3A 08 7C 0B 80 7A 01 00 7E C3 48 FF C2 EB BE 40 88 74 24 34 EB 17 49 83 FA 10 0F 82 C0 01 00 00 49 8B CB E8 ?? ?? ?? ?? E9 B3 01 00 00 49 83 FA 10 72 10 49 8B CB E8 ?? ?? ?? ?? 4C 8B 45 28 4C 8B 4D 10 48 C7 45 D8 0F 00 00 00 45 33 DB 4C 89 5D D0 44 88 5D C0 49 83 F8 10 0F 82 95 0A 00 00 49 8B C9 E8 ?? ?? ?? ?? 48 8B 74 24 50 4C 8B 6C 24 58 4C 8B 64 24 70 44 8A 74 24 30 E9 85 0A 00 00 48 8B 74 24 50 48 8B 5C 24 58 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 44 01 00 00 48 8B 74 24 60 45 8D 69 01 41 BE FF FF 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 66 44 3B 67 0A 0F 87 D1 00 00 00 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 7F 78 44 38 4F 08 75 44 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 66 44 3B F0 74 06 66 89 47 0A EB 03 4C 89 0F 44 88 6F 08 44 0F B7 47 0A 49 8B D5 48 8B CE E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 DA FE FF FF 44 8B 6C 24 78 44 8B 74 24 68 48 8B 74 24 50 48 8B 06 48 8B CE FF 50 08 0F B7 D8 48 8B 54 24 58 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 EB 01 00 00 66 85 DB 0F 84 E2 01 00 00 44 38 4F 08 75 4C 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B8 01 00 00 00 88 47 08 66 39 5F 0A 0F 85 86 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 58 E9 46 01 00 00 45 3B F5 0F 8D 6E 01 00 00 44 38 5F 08 75 50 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 EB 06 41 B9 01 00 00 00 66 44 3B 67 0A 0F 87 EC 00 00 00 44 38 5F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 41 B9 01 00 00 00 44 88 4F 08 41 0F B7 CC 83 C1 09 0F B7 47 0A 3B C1 0F 8F 85 00 00 00 44 38 5F 08 75 4C 48 8B 0F 48 85 C9 74 3D 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 0D 48 8B 01 FF 50 30 45 33 DB 45 8D 4B 01 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 4F 08 44 0F B7 47 0A 49 8B D1 48 8B 4C 24 60 E8 ?? ?? ?? ?? 41 FF C6 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 84 A4 FE FF FF 8B 44 24 34 0F B6 C0 45 3B F5 B9 01 00 00 00 0F 4C C1 89 44 24 34 EB 08 45 33 DB B9 01 00 00 00 48 8B 44 24 60 4C 39 58 10 75 06 88 4C 24 34 EB 33 45 3B F5 7D 2E 45 2B EE 41 8B DD 48 8B F0 BF 01 00 00 00 45 0F B7 C4 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 2B DF 75 EC 48 8B 7D 98 48 8B 74 24 50 45 33 DB 48 83 7D 28 10 0F 82 AF 06 00 00 48 8B 4D 10 E8 ?? ?? ?? ?? E9 14 FC FF FF 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 9F 06 00 00 48 8D 95 88 00 00 00 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 02 44 89 7C 24 44 45 33 C9 4C 39 48 10 0F 86 8C 00 00 00 48 8D 95 B0 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CF 04 44 89 7C 24 44 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 04 74 3C 41 83 E7 FB 44 89 7C 24 44 48 83 BD C8 00 00 00 08 72 0F 48 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 C8 00 00 00 07 00 00 00 4C 89 8D C0 00 00 00 66 44 89 8D B0 00 00 00 41 F6 C7 02 74 3C 41 83 E7 FD 44 89 7C 24 44 48 83 BD A0 00 00 00 08 72 0F 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 A0 00 00 00 07 00 00 00 4C 89 8D 98 00 00 00 66 44 89 8D 88 00 00 00 84 DB 74 44 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 00 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D E8 E8 ?? ?? ?? ?? 90 48 83 BD 18 01 00 00 08 0F 82 27 05 00 00 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? E9 16 05 00 00 48 8D 55 38 48 8B CE E8 ?? ?? ?? ?? 90 41 83 CF 08 44 89 7C 24 44 45 33 C9 4C 39 48 10 0F 86 8C 00 00 00 48 8D 95 D8 00 00 00 48 8B CE E8 ?? ?? ?? ?? 48 8B D8 41 83 CF 10 44 89 7C 24 44 48 83 78 18 08 72 03 48 8B 18 45 33 C9 44 38 4F 08 75 4E 48 8B 0F 48 85 C9 74 39 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 C9 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 0F B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 0F B7 47 0A 66 39 03 8A D9 74 03 41 8A D9 41 F6 C7 10 74 3C 41 83 E7 EF 44 89 7C 24 44 48 83 BD F0 00 00 00 08 72 0F 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? 45 33 C9 48 C7 85 F0 00 00 00 07 00 00 00 4C 89 8D E8 00 00 00 66 44 89 8D D8 00 00 00 41 F6 C7 08 74 2D 41 83 E7 F7 44 89 7C 24 44 48 83 7D 50 08 72 0C 48 8B 4D 38 E8 ?? ?? ?? ?? 45 33 C9 48 C7 45 50 07 00 00 00 4C 89 4D 48 66 44 89 4D 38 84 DB 74 4E 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 28 01 00 00 48 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D E8 E8 ?? ?? ?? ?? 90 48 83 BD 40 01 00 00 08 72 0C 48 8B 8D 28 01 00 00 E8 ?? ?? ?? ?? 41 B9 01 00 00 00 45 8A F1 44 88 4C 24 30 E9 9D 03 00 00 48 8D 55 60 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 7D 78 08 72 0C 48 8B 4D 60 E8 ?? ?? ?? ?? 45 33 DB 48 C7 45 78 07 00 00 00 4C 89 5D 70 66 44 89 5D 60 84 DB 0F 85 5E 03 00 00 48 8D 95 50 01 00 00 48 8B CE E8 ?? ?? ?? ?? 45 33 DB 4C 39 58 10 0F 94 C3 48 83 BD 68 01 00 00 08 72 0F 48 8B 8D 50 01 00 00 E8 ?? ?? ?? ?? 45 33 DB 84 DB 48 8B 5C 24 48 0F 84 24 03 00 00 41 B9 01 00 00 00 45 8A F1 44 88 4C 24 30 E9 11 03 00 00 48 8D 55 C0 48 8B CE E8 ?? ?? ?? ?? 90 F6 43 18 08 75 7A 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 75 6B 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 C0 48 83 7D D8 08 48 0F 43 45 C0 66 3B 08 74 07 E9 8E 00 00 00 33 DB 49 83 FC 03 0F 85 91 00 00 00 41 8D 44 24 FE 48 39 45 F8 0F 87 82 00 00 00 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 64 38 5F 08 75 48 48 8B 0F 48 85 C9 74 35 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 06 48 8B 01 FF 50 30 B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 48 89 1F B8 01 00 00 00 88 47 08 0F B7 4F 0A 48 8D 45 C0 48 83 7D D8 08 48 0F 43 45 C0 66 3B 08 74 0F 49 83 C8 FF 33 D2 48 8D 4D C0 E8 ?? ?? ?? ?? 48 8D 5D C0 48 83 7D D8 08 48 0F 43 5D C0 E9 8C 00 00 00 48 8D 4D C0 49 83 FA 08 49 0F 43 C9 48 8B 45 D0 48 8D 04 41 48 3B D8 0F 84 8D 00 00 00 44 38 5F 08 75 54 48 8B 0F 48 85 C9 74 41 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 11 48 8B 01 FF 50 30 4C 8B 55 D8 4C 8B 4D C0 45 33 DB B9 FF FF 00 00 66 3B C8 74 06 66 89 47 0A EB 03 4C 89 1F B8 01 00 00 00 88 47 08 0F B7 47 0A 66 3B 03 75 2A 48 83 C3 02 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 4C 8B 55 D8 4C 8B 4D C0 84 C0 0F 84 56 FF FF FF 48 8D 55 C0 49 83 FA 08 49 0F 43 D1 48 8B 45 D0 48 8D 04 42 8B 4C 24 34 0F B6 D1 48 3B D8 B9 01 00 00 00 0F 45 D1 8A CA 89 4C 24 34 49 83 FA 08 0F 82 EF 00 00 00 49 8B C9 E9 C4 FB FF FF 49 83 FC 03 0F 84 E7 00 00 00 48 8D 55 A8 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4D A8 E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 0F 85 A6 00 00 00 BE FF FF 00 00 45 8D 73 01 44 38 5F 08 75 43 48 8B 0F 48 85 C9 74 34 4C 8B 41 40 4D 39 18 74 08 48 8B 41 58 8B 10 EB 03 41 8B D3 85 D2 7E 08 49 8B 00 0F B7 00 EB 09 48 8B 01 FF 50 30 45 33 DB 66 3B F0 74 06 66 89 47 0A EB 03 4C 89 1F 44 88 77 08 48 8B 03 BA 48 00 00 00 44 0F B7 47 0A 48 8B CB FF 50 10 45 33 DB 84 C0 74 1A 48 8B CF E8 ?? ?? ?? ?? 49 8B D5 48 8B CF E8 ?? ?? ?? ?? 45 33 DB 84 C0 74 83 48 8B 74 24 50 44 8A 74 24 30 EB 14 48 8B 74 24 50 4C 8B 6C 24 58 4C 8B 64 24 70 EB E8 45 33 DB 48 8B 5C 24 48 44 8B 4C 24 34 B8 01 00 00 00 4C 03 E0 4C 89 64 24 70 45 84 C9 0F 85 45 01 00 00 E9 23 F1 FF FF 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 45 84 C9 0F 85 2A 01 }
	condition:
		$1
}

rule file_17_871_2 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 01 85 C0 74 10 83 65 44 FE 48 8B 8D B8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_953_2 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 01 85 C0 74 10 83 65 44 FE 48 8B 8D B8 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_873_2 {
	meta:
		name = "?dtor$5@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 02 85 C0 74 10 83 65 44 FD 48 8D 8D 88 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_955_2 {
	meta:
		name = "?dtor$5@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 02 85 C0 74 10 83 65 44 FD 48 8D 8D 88 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_874_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 04 85 C0 74 10 83 65 44 FB 48 8D 8D B0 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_956_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 04 85 C0 74 10 83 65 44 FB 48 8D 8D B0 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_875_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 00 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_346_2 {
	meta:
		name = "?dtor$5@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 00 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_347_2 {
	meta:
		name = "?dtor$6@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 00 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_957_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 00 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_876_2 {
	meta:
		name = "?dtor$8@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 08 85 C0 74 10 83 65 44 F7 48 8D 8D 38 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_958_2 {
	meta:
		name = "?dtor$8@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 08 85 C0 74 10 83 65 44 F7 48 8D 8D 38 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_877_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 10 85 C0 74 10 83 65 44 EF 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_959_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 44 83 E0 10 85 C0 74 10 83 65 44 EF 48 8D 8D D8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_17_878_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_960_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 28 02 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_879_2 {
	meta:
		name = "?dtor$13@?0??_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$13@?0??_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 10 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_882_2 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 2071
		refs = "002b __security_cookie 007f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0088 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z 00a3 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z 00af ??1locale@std@@QEAA@XZ 00e2 _Mbrtowc 00ee ?grouping@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0126 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0_W@Z 020a ?negative_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0217 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0236 ?positive_sign@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 025a ??3@YAXPEAX@Z 028c ?curr_symbol@?$_Mpunct@_W@std@@QEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0383 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEAAAEAV01@_W@Z 07f8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 E8 FE FF FF 48 81 EC E0 01 00 00 48 C7 45 20 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D0 00 00 00 4D 8B E8 4C 89 44 24 50 48 89 55 90 48 8B D9 48 8B B5 40 01 00 00 48 89 75 80 0F B7 85 48 01 00 00 66 89 44 24 34 48 8B BD 58 01 00 00 48 89 7C 24 58 48 89 7D 28 45 33 E4 48 8B CE 45 84 C9 74 1B 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4D 98 EB 19 48 8D 55 88 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4D 88 E8 ?? ?? ?? ?? C6 44 24 40 30 66 44 89 64 24 38 44 89 64 24 30 48 8D 43 10 48 89 44 24 20 4C 8D 4C 24 30 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 55 58 49 8B CE E8 ?? ?? ?? ?? 90 49 8B 06 49 8B CE FF 50 38 99 8B D8 33 DA 2B DA 89 5C 24 48 44 8B FB 4C 39 7F 10 77 1F 45 8B C7 4C 2B 47 10 49 FF C0 44 0F B7 4C 24 38 33 D2 48 8B CF E8 ?? ?? ?? ?? E9 9E 00 00 00 48 8D 45 58 48 83 7D 70 10 48 0F 43 45 58 80 38 7F 0F 84 87 00 00 00 48 8D 45 58 48 83 7D 70 10 48 0F 43 45 58 44 38 20 7E 74 49 8B 06 49 8B CE FF 50 10 44 0F B7 E0 48 8D 5D 58 48 83 7D 70 10 48 0F 43 5D 58 48 8B 77 10 49 2B F7 8A 0B 80 F9 7F 74 40 41 BD 01 00 00 00 84 C9 7E 31 48 0F BE C1 48 3B C6 73 28 48 2B F0 45 0F B7 CC 4D 8B C5 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 4C 8D 5B 01 41 80 3B 00 49 0F 4F DB 8A 0B 80 F9 7F 75 CB 4C 8B 6C 24 50 45 33 E4 8B 5C 24 48 48 8B 75 80 48 C7 45 48 07 00 00 00 4C 89 65 40 66 44 89 65 30 49 8B 06 48 8D 54 24 30 49 8B CE 44 38 A5 50 01 00 00 74 2C FF 50 48 44 8B 5C 24 30 44 89 5C 24 30 48 8D 95 A8 00 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 30 E8 ?? ?? ?? ?? 90 EB 2A FF 50 40 44 8B 5C 24 30 44 89 5C 24 30 48 8D 95 A8 00 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 30 E8 ?? ?? ?? ?? 90 48 83 BD C0 00 00 00 08 72 0C 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 98 00 00 00 07 00 00 00 45 33 D2 4C 89 95 90 00 00 00 66 44 89 95 80 00 00 00 F6 46 18 08 74 39 48 8D 95 A8 00 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 90 48 83 BD C0 00 00 00 08 72 0C 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 30 80 F9 20 74 47 80 F9 24 74 39 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 36 EB 40 48 8B 57 10 49 3B D7 77 0B 49 8B CF 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D3 48 13 D1 48 03 C2 EB 1E 48 03 45 40 EB 18 48 03 85 90 00 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 97 4C 8B 66 28 4D 85 E4 7E 0A 4C 3B E0 76 05 4C 2B E0 EB 03 4D 8B E2 8B 5E 18 81 E3 C0 01 00 00 83 FB 40 74 4C 81 FB 00 01 00 00 75 05 45 84 C9 75 3F 41 0F 10 45 00 0F 29 44 24 70 4D 85 E4 74 27 0F B7 74 24 34 49 8B FB 0F B7 D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 2B E7 75 EE 0F 28 44 24 70 48 8B 7C 24 58 45 33 D2 F3 41 0F 7F 45 00 4D 8B E2 4D 8B FA 48 63 DB 48 89 5C 24 70 EB 03 45 33 D2 42 8A 44 3C 30 3C 20 0F 84 8B 02 00 00 3C 24 0F 84 2F 02 00 00 3C 2B 0F 84 EA 01 00 00 3C 76 74 0D 3C 78 0F 84 99 02 00 00 E9 DE 02 00 00 8B 4C 24 48 85 C9 75 54 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 45 00 0F 29 45 F0 48 8B 77 10 48 85 F6 74 29 41 BD 01 00 00 00 0F B7 13 48 8D 4D F0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 F0 48 8B 7C 24 58 4C 8B 6C 24 50 48 8B 5C 24 70 E9 7C 02 00 00 48 8B 77 10 48 8B C1 48 3B F1 0F 87 B2 00 00 00 0F B7 54 24 38 49 8B CD E8 ?? ?? ?? ?? 4D 8B 1E 49 8B CE 41 FF 53 08 0F B7 D0 49 8B CD E8 ?? ?? ?? ?? 41 0F 10 6D 00 0F 29 6D D0 8B 5C 24 48 48 2B 5F 10 74 22 41 BD 01 00 00 00 0F B7 54 24 38 48 8D 4D D0 E8 ?? ?? ?? ?? 49 2B DD 75 ED 0F 28 6D D0 4C 8B 6C 24 50 F3 41 0F 7F 6D 00 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 0F 29 6D A0 48 8B 77 10 48 85 F6 74 29 41 BD 01 00 00 00 0F B7 13 48 8D 4D A0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 6D A0 48 8B 7C 24 58 4C 8B 6C 24 50 F3 41 0F 7F 6D 00 48 8B 5C 24 70 E9 C0 01 00 00 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 45 00 0F 29 45 B0 48 2B F0 74 29 41 BD 01 00 00 00 0F B7 13 48 8D 4D B0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 B0 48 8B 7C 24 58 4C 8B 6C 24 50 F3 41 0F 7F 45 00 49 8B 06 49 8B CE FF 50 08 0F B7 D0 49 8B CD E8 ?? ?? ?? ?? 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 48 8B 47 10 48 8D 1C 41 8B 44 24 48 8B C8 48 03 C0 48 2B D8 41 0F 10 45 00 0F 29 45 C0 8B F1 48 85 C9 0F 84 9D FE FF FF 41 BD 01 00 00 00 0F B7 13 48 8D 4D C0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 C0 E9 6F FE FF FF 4C 39 55 40 0F 86 FB 00 00 00 48 8D 45 30 48 83 7D 48 08 48 0F 43 45 30 41 0F 10 45 00 F3 0F 7F 45 E0 0F B7 10 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 28 6D E0 F3 41 0F 7F 6D 00 E9 C8 00 00 00 48 8D 9D 80 00 00 00 48 83 BD 98 00 00 00 08 48 0F 43 9D 80 00 00 00 41 0F 10 45 00 0F 29 45 00 48 8B B5 90 00 00 00 48 85 F6 0F 84 0C FE FF FF 41 BD 01 00 00 00 0F B7 13 48 8D 4D 00 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 00 E9 DE FD FF FF 41 0F 10 45 00 F3 0F 7F 45 10 0F B7 74 24 34 0F B7 D6 48 8D 4D 10 E8 ?? ?? ?? ?? 0F 28 6D 10 F3 41 0F 7F 6D 00 45 33 D2 EB 05 0F B7 74 24 34 48 81 FB 00 01 00 00 75 3C 41 0F 10 45 00 0F 29 44 24 60 4D 85 E4 74 24 BF 01 00 00 00 0F B7 D6 48 8D 4C 24 60 E8 ?? ?? ?? ?? 4C 2B E7 75 EE 0F 28 44 24 60 48 8B 7C 24 58 45 33 D2 4D 8B E2 F3 41 0F 7F 45 00 B8 01 00 00 00 4C 03 F8 49 83 FF 04 0F 82 DF FC FF FF 48 8B 75 40 44 8B F8 48 3B F0 76 47 48 8D 5D 30 48 83 7D 48 08 48 0F 43 5D 30 48 83 C3 02 41 0F 10 45 00 0F 29 44 24 60 45 33 F6 48 FF CE 74 1B 0F B7 13 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F7 75 EA 0F 28 44 24 60 F3 41 0F 7F 45 00 EB 03 45 33 F6 48 8B 45 80 4C 89 70 28 41 0F 10 45 00 0F 29 44 24 60 4D 85 E4 74 1C 0F B7 74 24 34 0F B7 D6 48 8D 4C 24 60 E8 ?? ?? ?? ?? 4D 2B E7 75 EE 0F 28 44 24 60 48 8B 5D 90 F3 0F 7F 03 48 83 BD 98 00 00 00 08 72 0C 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 B5 98 00 00 00 4C 89 B5 90 00 00 00 66 44 89 B5 80 00 00 00 48 83 7D 48 08 72 09 48 8B 4D 30 E8 ?? ?? ?? ?? 48 89 75 48 4C 89 75 40 66 44 89 75 30 48 83 7D 70 10 72 09 48 8B 4D 58 E8 ?? ?? ?? ?? 48 C7 45 70 0F 00 00 00 4C 89 75 68 44 88 75 58 48 83 7F 18 08 72 08 48 8B 0F E8 ?? ?? ?? ?? 48 89 77 18 4C 89 77 10 66 44 89 37 48 8B C3 48 8B 8D D0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 38 02 00 00 48 81 C4 E0 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_932_2 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 2071
		refs = "002b __security_cookie 007f ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0088 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z 00a3 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z 00af ??1locale@std@@QEAA@XZ 00e2 _Mbrtowc 00ee ?grouping@?$_Mpunct@G@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0126 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0G@Z 020a ?negative_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0217 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0236 ?positive_sign@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 025a ??3@YAXPEAX@Z 028c ?curr_symbol@?$_Mpunct@G@std@@QEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0383 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QEAAAEAV01@G@Z 07f8 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 E8 FE FF FF 48 81 EC E0 01 00 00 48 C7 45 20 FE FF FF FF 48 89 58 20 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 D0 00 00 00 4D 8B E8 4C 89 44 24 50 48 89 55 90 48 8B D9 48 8B B5 40 01 00 00 48 89 75 80 0F B7 85 48 01 00 00 66 89 44 24 34 48 8B BD 58 01 00 00 48 89 7C 24 58 48 89 7D 28 45 33 E4 48 8B CE 45 84 C9 74 1B 48 8D 55 98 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4D 98 EB 19 48 8D 55 88 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4D 88 E8 ?? ?? ?? ?? C6 44 24 40 30 66 44 89 64 24 38 44 89 64 24 30 48 8D 43 10 48 89 44 24 20 4C 8D 4C 24 30 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 38 E8 ?? ?? ?? ?? 48 8D 55 58 49 8B CE E8 ?? ?? ?? ?? 90 49 8B 06 49 8B CE FF 50 38 99 8B D8 33 DA 2B DA 89 5C 24 48 44 8B FB 4C 39 7F 10 77 1F 45 8B C7 4C 2B 47 10 49 FF C0 44 0F B7 4C 24 38 33 D2 48 8B CF E8 ?? ?? ?? ?? E9 9E 00 00 00 48 8D 45 58 48 83 7D 70 10 48 0F 43 45 58 80 38 7F 0F 84 87 00 00 00 48 8D 45 58 48 83 7D 70 10 48 0F 43 45 58 44 38 20 7E 74 49 8B 06 49 8B CE FF 50 10 44 0F B7 E0 48 8D 5D 58 48 83 7D 70 10 48 0F 43 5D 58 48 8B 77 10 49 2B F7 8A 0B 80 F9 7F 74 40 41 BD 01 00 00 00 84 C9 7E 31 48 0F BE C1 48 3B C6 73 28 48 2B F0 45 0F B7 CC 4D 8B C5 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 4C 8D 5B 01 41 80 3B 00 49 0F 4F DB 8A 0B 80 F9 7F 75 CB 4C 8B 6C 24 50 45 33 E4 8B 5C 24 48 48 8B 75 80 48 C7 45 48 07 00 00 00 4C 89 65 40 66 44 89 65 30 49 8B 06 48 8D 54 24 30 49 8B CE 44 38 A5 50 01 00 00 74 2C FF 50 48 44 8B 5C 24 30 44 89 5C 24 30 48 8D 95 A8 00 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 30 E8 ?? ?? ?? ?? 90 EB 2A FF 50 40 44 8B 5C 24 30 44 89 5C 24 30 48 8D 95 A8 00 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D 30 E8 ?? ?? ?? ?? 90 48 83 BD C0 00 00 00 08 72 0C 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 98 00 00 00 07 00 00 00 45 33 D2 4C 89 95 90 00 00 00 66 44 89 95 80 00 00 00 F6 46 18 08 74 39 48 8D 95 A8 00 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D 80 00 00 00 E8 ?? ?? ?? ?? 90 48 83 BD C0 00 00 00 08 72 0C 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 30 80 F9 20 74 47 80 F9 24 74 39 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 36 EB 40 48 8B 57 10 49 3B D7 77 0B 49 8B CF 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D3 48 13 D1 48 03 C2 EB 1E 48 03 45 40 EB 18 48 03 85 90 00 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 97 4C 8B 66 28 4D 85 E4 7E 0A 4C 3B E0 76 05 4C 2B E0 EB 03 4D 8B E2 8B 5E 18 81 E3 C0 01 00 00 83 FB 40 74 4C 81 FB 00 01 00 00 75 05 45 84 C9 75 3F 41 0F 10 45 00 0F 29 44 24 70 4D 85 E4 74 27 0F B7 74 24 34 49 8B FB 0F B7 D6 48 8D 4C 24 70 E8 ?? ?? ?? ?? 4C 2B E7 75 EE 0F 28 44 24 70 48 8B 7C 24 58 45 33 D2 F3 41 0F 7F 45 00 4D 8B E2 4D 8B FA 48 63 DB 48 89 5C 24 70 EB 03 45 33 D2 42 8A 44 3C 30 3C 20 0F 84 8B 02 00 00 3C 24 0F 84 2F 02 00 00 3C 2B 0F 84 EA 01 00 00 3C 76 74 0D 3C 78 0F 84 99 02 00 00 E9 DE 02 00 00 8B 4C 24 48 85 C9 75 54 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 45 00 0F 29 45 F0 48 8B 77 10 48 85 F6 74 29 41 BD 01 00 00 00 0F B7 13 48 8D 4D F0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 F0 48 8B 7C 24 58 4C 8B 6C 24 50 48 8B 5C 24 70 E9 7C 02 00 00 48 8B 77 10 48 8B C1 48 3B F1 0F 87 B2 00 00 00 0F B7 54 24 38 49 8B CD E8 ?? ?? ?? ?? 4D 8B 1E 49 8B CE 41 FF 53 08 0F B7 D0 49 8B CD E8 ?? ?? ?? ?? 41 0F 10 6D 00 0F 29 6D D0 8B 5C 24 48 48 2B 5F 10 74 22 41 BD 01 00 00 00 0F B7 54 24 38 48 8D 4D D0 E8 ?? ?? ?? ?? 49 2B DD 75 ED 0F 28 6D D0 4C 8B 6C 24 50 F3 41 0F 7F 6D 00 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 0F 29 6D A0 48 8B 77 10 48 85 F6 74 29 41 BD 01 00 00 00 0F B7 13 48 8D 4D A0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 6D A0 48 8B 7C 24 58 4C 8B 6C 24 50 F3 41 0F 7F 6D 00 48 8B 5C 24 70 E9 C0 01 00 00 48 83 7F 18 08 72 05 48 8B 1F EB 03 48 8B DF 41 0F 10 45 00 0F 29 45 B0 48 2B F0 74 29 41 BD 01 00 00 00 0F B7 13 48 8D 4D B0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 B0 48 8B 7C 24 58 4C 8B 6C 24 50 F3 41 0F 7F 45 00 49 8B 06 49 8B CE FF 50 08 0F B7 D0 49 8B CD E8 ?? ?? ?? ?? 48 83 7F 18 08 72 05 48 8B 0F EB 03 48 8B CF 48 8B 47 10 48 8D 1C 41 8B 44 24 48 8B C8 48 03 C0 48 2B D8 41 0F 10 45 00 0F 29 45 C0 8B F1 48 85 C9 0F 84 9D FE FF FF 41 BD 01 00 00 00 0F B7 13 48 8D 4D C0 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 C0 E9 6F FE FF FF 4C 39 55 40 0F 86 FB 00 00 00 48 8D 45 30 48 83 7D 48 08 48 0F 43 45 30 41 0F 10 45 00 F3 0F 7F 45 E0 0F B7 10 48 8D 4D E0 E8 ?? ?? ?? ?? 0F 28 6D E0 F3 41 0F 7F 6D 00 E9 C8 00 00 00 48 8D 9D 80 00 00 00 48 83 BD 98 00 00 00 08 48 0F 43 9D 80 00 00 00 41 0F 10 45 00 0F 29 45 00 48 8B B5 90 00 00 00 48 85 F6 0F 84 0C FE FF FF 41 BD 01 00 00 00 0F B7 13 48 8D 4D 00 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F5 75 EB 0F 28 45 00 E9 DE FD FF FF 41 0F 10 45 00 F3 0F 7F 45 10 0F B7 74 24 34 0F B7 D6 48 8D 4D 10 E8 ?? ?? ?? ?? 0F 28 6D 10 F3 41 0F 7F 6D 00 45 33 D2 EB 05 0F B7 74 24 34 48 81 FB 00 01 00 00 75 3C 41 0F 10 45 00 0F 29 44 24 60 4D 85 E4 74 24 BF 01 00 00 00 0F B7 D6 48 8D 4C 24 60 E8 ?? ?? ?? ?? 4C 2B E7 75 EE 0F 28 44 24 60 48 8B 7C 24 58 45 33 D2 4D 8B E2 F3 41 0F 7F 45 00 B8 01 00 00 00 4C 03 F8 49 83 FF 04 0F 82 DF FC FF FF 48 8B 75 40 44 8B F8 48 3B F0 76 47 48 8D 5D 30 48 83 7D 48 08 48 0F 43 5D 30 48 83 C3 02 41 0F 10 45 00 0F 29 44 24 60 45 33 F6 48 FF CE 74 1B 0F B7 13 48 8D 4C 24 60 E8 ?? ?? ?? ?? 48 83 C3 02 49 2B F7 75 EA 0F 28 44 24 60 F3 41 0F 7F 45 00 EB 03 45 33 F6 48 8B 45 80 4C 89 70 28 41 0F 10 45 00 0F 29 44 24 60 4D 85 E4 74 1C 0F B7 74 24 34 0F B7 D6 48 8D 4C 24 60 E8 ?? ?? ?? ?? 4D 2B E7 75 EE 0F 28 44 24 60 48 8B 5D 90 F3 0F 7F 03 48 83 BD 98 00 00 00 08 72 0C 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? BE 07 00 00 00 48 89 B5 98 00 00 00 4C 89 B5 90 00 00 00 66 44 89 B5 80 00 00 00 48 83 7D 48 08 72 09 48 8B 4D 30 E8 ?? ?? ?? ?? 48 89 75 48 4C 89 75 40 66 44 89 75 30 48 83 7D 70 10 72 09 48 8B 4D 58 E8 ?? ?? ?? ?? 48 C7 45 70 0F 00 00 00 4C 89 75 68 44 88 75 58 48 83 7F 18 08 72 08 48 8B 0F E8 ?? ?? ?? ?? 48 89 77 18 4C 89 77 10 66 44 89 37 48 8B C3 48 8B 8D D0 00 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 38 02 00 00 48 81 C4 E0 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_883_2 {
	meta:
		name = "?dtor$0@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 28 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_933_2 {
	meta:
		name = "?dtor$0@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 28 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_886_2 {
	meta:
		name = "?dtor$3@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
		altNames = "?dtor$3@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A 58 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_888_2 {
	meta:
		name = "?dtor$5@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
		altNames = "?dtor$6@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
	strings:
		$1 = { 48 8D 8A A8 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_938_2 {
	meta:
		name = "?dtor$5@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A A8 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_939_2 {
	meta:
		name = "?dtor$6@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A A8 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_890_2 {
	meta:
		name = "?dtor$7@?0??_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 80 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_940_2 {
	meta:
		name = "?dtor$7@?0??_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 80 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_17_916_2 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z"
		size = 253
		refs = "0067 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z 0078 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 00ae _Wcsxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 54 48 83 EC 40 48 C7 44 24 30 FE FF FF FF 48 89 58 08 48 89 68 20 49 8B F1 49 8B E8 48 8B DA 45 33 E4 44 89 60 18 48 C7 42 18 07 00 00 00 4C 89 62 10 66 44 89 22 C7 40 18 01 00 00 00 49 8B C1 49 2B C0 48 D1 F8 74 6B 48 8D 79 10 48 8B CB 48 3B 43 10 77 0E 49 83 C8 FF 48 8B D0 E8 ?? ?? ?? ?? EB 0F 45 33 C0 48 2B 43 10 48 8B D0 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 14 50 48 89 7C 24 20 4C 8B CE 4C 8B C5 E8 ?? ?? ?? ?? 48 3B 43 10 76 0B 48 85 C0 75 99 48 3B 43 10 77 11 49 83 C8 FF 48 8B D0 48 8B CB E8 ?? ?? ?? ?? EB 12 45 33 C0 48 2B 43 10 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 8B 6C 24 78 48 83 C4 40 41 5C 5F 5E C3 CC }
	condition:
		$1
}

rule file_17_917_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@_W@std@@MEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PEB_W0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 70 83 E0 01 85 C0 74 0D 83 65 70 FE 48 8B 4D 68 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_53_324_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 70 83 E0 01 85 C0 74 0D 83 65 70 FE 48 8B 4D 68 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_17_918_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 527
		refs = "0024 __security_cookie 005b ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z 0067 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 00ae _Mbrtowc 00d4 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0137 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01a7 _Stoldx 01cd ??3@YAXPEAX@Z 01f7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 4D 8B E8 4C 8B E2 48 8B F1 48 8B 45 77 48 8B 7D 7F 4C 8B B5 87 00 00 00 48 89 44 24 28 8A 45 6F 88 44 24 20 48 8D 55 A7 E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 45 33 FF 84 C0 74 03 83 0F 01 4C 39 7D B7 75 08 83 0F 02 E9 4E 01 00 00 C6 44 24 30 30 66 44 89 7D 87 44 89 7D 8F 48 8D 46 10 48 89 44 24 20 4C 8D 4D 8F 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4D 87 E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 7D DF 44 88 7D CF 48 8B 55 B7 48 83 FA 0F 74 25 41 B0 01 48 8D 4D CF E8 ?? ?? ?? ?? 84 C0 74 15 4C 89 7D DF 48 8D 45 CF 48 83 7D E7 10 48 0F 43 45 CF 44 88 38 49 8B DF 48 8D 45 A7 48 8B 55 A7 4C 8B 45 BF 49 83 F8 08 48 0F 43 C2 0F B7 75 87 66 39 30 72 19 48 8D 45 A7 49 83 F8 08 48 0F 43 C2 0F B7 CE 83 C1 09 0F B7 00 3B C8 7D 1E 41 B0 2D BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? BB 01 00 00 00 4C 8B 45 BF 48 8B 55 A7 48 3B 5D B7 73 38 48 8D 45 A7 49 83 F8 08 48 0F 43 C2 44 8A 04 58 44 2A C6 41 80 C0 30 BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? 48 FF C3 48 3B 5D B7 73 0A 4C 8B 45 BF 48 8B 55 A7 EB C8 48 8D 5D CF 48 83 7D E7 10 48 0F 43 5D CF 44 89 7D 8B 4C 8D 4D 8B 45 33 C0 48 8D 55 97 48 8B CB E8 ?? ?? ?? ?? 48 39 5D 97 74 0D 44 39 7D 8B 75 07 F2 41 0F 11 06 EB 03 83 0F 02 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 41 0F 7F 04 24 48 83 7D BF 08 72 09 48 8B 4D A7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_964_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 527
		refs = "0024 __security_cookie 005b ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z 0067 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 00ae _Mbrtowc 00d4 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 0137 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01a7 _Stoldx 01cd ??3@YAXPEAX@Z 01f7 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 41 57 48 8D 6C 24 F9 48 81 EC B8 00 00 00 48 C7 45 9F FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F7 49 8B D9 4D 8B E8 4C 8B E2 48 8B F1 48 8B 45 77 48 8B 7D 7F 4C 8B B5 87 00 00 00 48 89 44 24 28 8A 45 6F 88 44 24 20 48 8D 55 A7 E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CD E8 ?? ?? ?? ?? 45 33 FF 84 C0 74 03 83 0F 01 4C 39 7D B7 75 08 83 0F 02 E9 4E 01 00 00 C6 44 24 30 30 66 44 89 7D 87 44 89 7D 8F 48 8D 46 10 48 89 44 24 20 4C 8D 4D 8F 41 B8 01 00 00 00 48 8D 54 24 30 48 8D 4D 87 E8 ?? ?? ?? ?? 48 C7 45 E7 0F 00 00 00 4C 89 7D DF 44 88 7D CF 48 8B 55 B7 48 83 FA 0F 74 25 41 B0 01 48 8D 4D CF E8 ?? ?? ?? ?? 84 C0 74 15 4C 89 7D DF 48 8D 45 CF 48 83 7D E7 10 48 0F 43 45 CF 44 88 38 49 8B DF 48 8D 45 A7 48 8B 55 A7 4C 8B 45 BF 49 83 F8 08 48 0F 43 C2 0F B7 75 87 66 39 30 72 19 48 8D 45 A7 49 83 F8 08 48 0F 43 C2 0F B7 CE 83 C1 09 0F B7 00 3B C8 7D 1E 41 B0 2D BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? BB 01 00 00 00 4C 8B 45 BF 48 8B 55 A7 48 3B 5D B7 73 38 48 8D 45 A7 49 83 F8 08 48 0F 43 C2 44 8A 04 58 44 2A C6 41 80 C0 30 BA 01 00 00 00 48 8D 4D CF E8 ?? ?? ?? ?? 48 FF C3 48 3B 5D B7 73 0A 4C 8B 45 BF 48 8B 55 A7 EB C8 48 8D 5D CF 48 83 7D E7 10 48 0F 43 5D CF 44 89 7D 8B 4C 8D 4D 8B 45 33 C0 48 8D 55 97 48 8B CB E8 ?? ?? ?? ?? 48 39 5D 97 74 0D 44 39 7D 8B 75 07 F2 41 0F 11 06 EB 03 83 0F 02 48 83 7D E7 10 72 09 48 8B 4D CF E8 ?? ?? ?? ?? 41 0F 10 45 00 F3 41 0F 7F 04 24 48 83 7D BF 08 72 09 48 8B 4D A7 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F7 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 B8 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_17_921_2 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 199
		refs = "0017 __security_cookie 005a ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AEAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAEAVios_base@2@@Z 0066 ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QEBA_NAEBV12@@Z 008e ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a8 ??3@YAXPEAX@Z 00b8 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 49 8B D9 49 8B E8 48 8B F2 48 8B 84 24 C8 00 00 00 48 8B BC 24 D0 00 00 00 4C 8B A4 24 D8 00 00 00 48 89 44 24 28 8A 84 24 C0 00 00 00 88 44 24 20 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7C 24 48 00 75 05 83 0F 02 EB 14 49 83 C9 FF 45 33 C0 48 8D 54 24 38 49 8B CC E8 ?? ?? ?? ?? 0F 10 45 00 F3 0F 7F 06 48 83 7C 24 50 08 72 0A 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_17_967_2 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 199
		refs = "0017 __security_cookie 005a ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AEAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAEAVios_base@2@@Z 0066 ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QEBA_NAEBV12@@Z 008e ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a8 ??3@YAXPEAX@Z 00b8 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 49 8B D9 49 8B E8 48 8B F2 48 8B 84 24 C8 00 00 00 48 8B BC 24 D0 00 00 00 4C 8B A4 24 D8 00 00 00 48 89 44 24 28 8A 84 24 C0 00 00 00 88 44 24 20 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7C 24 48 00 75 05 83 0F 02 EB 14 49 83 C9 FF 45 33 C0 48 8D 54 24 38 49 8B CC E8 ?? ?? ?? ?? 0F 10 45 00 F3 0F 7F 06 48 83 7C 24 50 08 72 0A 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_17_923_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WO@Z"
		size = 536
		refs = "0028 __security_cookie 0070 __mask@@NegDouble@ 007b __real@4733426172c74d82 008e __real@4202a05f20000000 00b5 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00c3 sprintf_s 0106 _Mbrtowc 011a ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0194 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01d9 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 01ea ??3@YAXPEAX@Z 01f9 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 44 88 4C 24 4C 4C 89 44 24 60 4C 8B EA 48 89 54 24 70 4C 8B F9 48 8B 45 70 48 89 44 24 78 45 33 E4 45 8A F4 66 0F 57 C0 F2 0F 10 9D 80 00 00 00 66 0F 2F C3 76 0B 41 B6 01 66 0F 57 1D ?? ?? ?? ?? 49 8B DC F2 0F 10 05 ?? ?? ?? ?? EB 15 48 81 FB 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 48 83 C3 0A 66 0F 2F D8 73 E5 48 C7 45 C8 07 00 00 00 4C 89 65 C0 66 44 89 65 B0 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D8 E8 ?? ?? ?? ?? 49 8B FC 48 63 F0 85 C0 7E 5D 4D 8D 67 10 45 33 ED 8A 44 3D D8 88 44 24 40 66 44 89 6C 24 48 44 89 6C 24 50 4C 89 64 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 BA 01 00 00 00 48 8D 4D B0 E8 ?? ?? ?? ?? 48 FF C7 48 3B FE 7C B2 4C 8B 6C 24 70 45 33 E4 C6 44 24 40 30 66 44 89 64 24 48 44 89 64 24 50 49 8D 47 10 48 89 44 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 A0 07 00 00 00 4C 89 65 98 66 44 89 65 88 49 83 C9 FF 45 33 C0 48 8D 55 B0 48 8D 4D 88 E8 ?? ?? ?? ?? 4C 8B 5C 24 60 41 0F 10 2B F3 0F 7F 6C 24 60 48 8D 45 88 48 89 44 24 38 44 88 74 24 30 0F B7 45 78 66 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 44 8A 4C 24 4C 4C 8D 44 24 60 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D C8 08 72 09 48 8B 4D B0 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_945_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GO@Z"
		size = 536
		refs = "0028 __security_cookie 0070 __mask@@NegDouble@ 007b __real@4733426172c74d82 008e __real@4202a05f20000000 00b5 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00c3 sprintf_s 0106 _Mbrtowc 011a ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0194 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 01d9 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 01ea ??3@YAXPEAX@Z 01f9 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B8 48 81 EC 10 01 00 00 48 C7 45 80 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 00 44 88 4C 24 4C 4C 89 44 24 60 4C 8B EA 48 89 54 24 70 4C 8B F9 48 8B 45 70 48 89 44 24 78 45 33 E4 45 8A F4 66 0F 57 C0 F2 0F 10 9D 80 00 00 00 66 0F 2F C3 76 0B 41 B6 01 66 0F 57 1D ?? ?? ?? ?? 49 8B DC F2 0F 10 05 ?? ?? ?? ?? EB 15 48 81 FB 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 48 83 C3 0A 66 0F 2F D8 73 E5 48 C7 45 C8 07 00 00 00 4C 89 65 C0 66 44 89 65 B0 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D8 E8 ?? ?? ?? ?? 49 8B FC 48 63 F0 85 C0 7E 5D 4D 8D 67 10 45 33 ED 8A 44 3D D8 88 44 24 40 66 44 89 6C 24 48 44 89 6C 24 50 4C 89 64 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 BA 01 00 00 00 48 8D 4D B0 E8 ?? ?? ?? ?? 48 FF C7 48 3B FE 7C B2 4C 8B 6C 24 70 45 33 E4 C6 44 24 40 30 66 44 89 64 24 48 44 89 64 24 50 49 8D 47 10 48 89 44 24 20 4C 8D 4C 24 50 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4C 24 48 E8 ?? ?? ?? ?? 44 0F B7 44 24 48 48 8B D3 48 8D 4D B0 E8 ?? ?? ?? ?? 48 C7 45 A0 07 00 00 00 4C 89 65 98 66 44 89 65 88 49 83 C9 FF 45 33 C0 48 8D 55 B0 48 8D 4D 88 E8 ?? ?? ?? ?? 4C 8B 5C 24 60 41 0F 10 2B F3 0F 7F 6C 24 60 48 8D 45 88 48 89 44 24 38 44 88 74 24 30 0F B7 45 78 66 89 44 24 28 48 8B 44 24 78 48 89 44 24 20 44 8A 4C 24 4C 4C 8D 44 24 60 49 8B D5 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D C8 08 72 09 48 8B 4D B0 E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 60 01 00 00 48 81 C4 10 01 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_925_2 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_WAEBV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 445
		refs = "0028 __security_cookie 0075 _Mbrtowc 0106 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@PEB_W_K@Z 011e ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K_W@Z 0142 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 017e ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAEAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 018f ??3@YAXPEAX@Z 019e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4D 87 4D 8B F8 4C 8B EA 4C 8B F1 48 8B 45 6F 48 89 45 97 48 8B 5D 7F C6 44 24 40 30 33 F6 66 89 75 8B 89 75 8F 48 8D 79 10 48 89 7C 24 20 4C 8D 4D 8F 44 8D 46 01 48 8D 54 24 40 48 8D 4D 8B E8 ?? ?? ?? ?? 48 83 7B 18 08 72 03 48 8B 1B 44 8A E6 C6 44 24 40 2D 66 89 75 8F 89 75 93 48 89 7C 24 20 4C 8D 4D 93 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4D 8F E8 ?? ?? ?? ?? 44 0F B7 5D 8F 66 44 39 1B 75 07 41 B4 01 48 83 C3 02 48 8B FE 0F B7 0B 0F B7 75 8B 66 3B F1 77 19 0F B7 D6 83 C2 09 0F B7 C1 3B C2 7F 0C 48 FF C7 0F B7 0C 7B 66 3B F1 76 ED 48 C7 45 F7 07 00 00 00 33 C0 48 89 45 EF 66 89 45 DF 4C 8B C7 48 8B D3 48 8D 4D DF E8 ?? ?? ?? ?? 90 33 DB 48 85 FF 75 10 44 0F B7 C6 8D 53 01 48 8D 4D DF E8 ?? ?? ?? ?? 48 C7 45 C7 07 00 00 00 48 89 5D BF 66 89 5D AF 49 83 C9 FF 45 33 C0 48 8D 55 DF 48 8D 4D AF E8 ?? ?? ?? ?? 41 0F 10 2F F3 0F 7F 6D 9F 48 8D 45 AF 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 48 8B 45 97 48 89 44 24 20 44 8A 4D 87 4C 8D 45 9F 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 90 48 83 7D F7 08 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_947_2 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@GAEBV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 445
		refs = "0028 __security_cookie 0075 _Mbrtowc 0106 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@PEBG_K@Z 011e ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 0142 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 017e ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAEAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 018f ??3@YAXPEAX@Z 019e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC D0 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 44 88 4D 87 4D 8B F8 4C 8B EA 4C 8B F1 48 8B 45 6F 48 89 45 97 48 8B 5D 7F C6 44 24 40 30 33 F6 66 89 75 8B 89 75 8F 48 8D 79 10 48 89 7C 24 20 4C 8D 4D 8F 44 8D 46 01 48 8D 54 24 40 48 8D 4D 8B E8 ?? ?? ?? ?? 48 83 7B 18 08 72 03 48 8B 1B 44 8A E6 C6 44 24 40 2D 66 89 75 8F 89 75 93 48 89 7C 24 20 4C 8D 4D 93 41 B8 01 00 00 00 48 8D 54 24 40 48 8D 4D 8F E8 ?? ?? ?? ?? 44 0F B7 5D 8F 66 44 39 1B 75 07 41 B4 01 48 83 C3 02 48 8B FE 0F B7 0B 0F B7 75 8B 66 3B F1 77 19 0F B7 D6 83 C2 09 0F B7 C1 3B C2 7F 0C 48 FF C7 0F B7 0C 7B 66 3B F1 76 ED 48 C7 45 F7 07 00 00 00 33 C0 48 89 45 EF 66 89 45 DF 4C 8B C7 48 8B D3 48 8D 4D DF E8 ?? ?? ?? ?? 90 33 DB 48 85 FF 75 10 44 0F B7 C6 8D 53 01 48 8D 4D DF E8 ?? ?? ?? ?? 48 C7 45 C7 07 00 00 00 48 89 5D BF 66 89 5D AF 49 83 C9 FF 45 33 C0 48 8D 55 DF 48 8D 4D AF E8 ?? ?? ?? ?? 41 0F 10 2F F3 0F 7F 6D 9F 48 8D 45 AF 48 89 44 24 38 44 88 64 24 30 0F B7 45 77 66 89 44 24 28 48 8B 45 97 48 89 44 24 20 44 8A 4D 87 4C 8D 45 9F 49 8B D5 49 8B CE E8 ?? ?? ?? ?? 90 48 83 7D F7 08 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 49 8B C5 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 20 01 00 00 48 81 C4 D0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_17_943_2 {
	meta:
		name = "?do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z"
		size = 247
		refs = "005c ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_K0@Z 006d ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAAAEAV12@_KG@Z 00ad memcpy_s"
	strings:
		$1 = { 48 8B C4 48 89 50 10 56 57 41 54 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 48 89 58 08 49 8B F0 48 8B DA 45 33 E4 44 89 60 18 48 C7 42 18 07 00 00 00 4C 89 62 10 66 44 89 22 C7 40 18 01 00 00 00 4D 2B C8 49 D1 F9 74 77 49 8B F9 48 8B CB 4C 3B 4B 10 77 0E 49 83 C8 FF 49 8B D1 E8 ?? ?? ?? ?? EB 0F 45 33 C0 4C 2B 4B 10 49 8B D1 E8 ?? ?? ?? ?? 48 83 7B 18 08 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 08 72 05 48 8B 0B EB 03 48 8B CB 48 8D 14 50 48 2B D1 48 D1 FA 48 3B FA 77 0F 4C 8D 0C 3F 48 03 D2 4C 8B C6 E8 ?? ?? ?? ?? 4C 8B CF 48 3B 7B 10 76 05 48 85 FF 75 8C 48 8B CB 4C 3B 4B 10 77 0E 49 83 C8 FF 49 8B D1 E8 ?? ?? ?? ?? EB 0F 45 33 C0 4C 2B 4B 10 49 8B D1 E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 50 48 83 C4 30 41 5C 5F 5E C3 CC }
	condition:
		$1
}

rule file_17_944_2 {
	meta:
		name = "?dtor$0@?0??do_transform@?$collate@G@std@@MEBA?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PEBG0@Z@4HA"
		size = 38
		refs = "001c ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 60 83 E0 01 85 C0 74 0D 83 65 60 FE 48 8B 4D 58 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_32_213_2 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHXZ"
		size = 645
		refs = "0025 __security_cookie 00b8 fgetc 0106 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 01a2 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 01d8 memcpy_s 0220 ungetc 0245 ??3@YAXPEAX@Z 0269 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 55 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 0F FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 3F 48 8B D9 48 8B 41 40 48 83 38 00 74 2D 48 8B 10 48 8B 41 58 48 63 08 48 03 CA 48 3B D1 73 1B 83 CF FF 01 38 48 8B 4B 40 48 8B 11 48 8D 42 01 48 89 01 0F B6 02 E9 F7 01 00 00 48 83 BB 98 00 00 00 00 75 08 83 C8 FF E9 E5 01 00 00 48 8B 53 20 48 8D 83 88 00 00 00 48 39 02 75 1A 48 8B 4B 78 48 8B 43 70 48 89 02 48 8B 43 40 48 89 08 2B C9 48 8B 43 58 89 08 48 83 BB 80 00 00 00 00 75 1F 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 3B C7 0F 84 98 01 00 00 0F B6 F8 E9 90 01 00 00 48 C7 45 2F 0F 00 00 00 48 83 65 27 00 C6 45 17 00 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 83 CF FF 3B C7 0F 84 58 01 00 00 44 8D 6F 02 44 8A C0 49 8B D5 48 8D 4D 17 E8 ?? ?? ?? ?? 4C 8D 4D 17 48 83 7D 2F 10 4C 0F 43 4D 17 4C 8D 45 17 4C 0F 43 45 17 48 8B 8B 80 00 00 00 4C 8B 11 4C 03 4D 27 48 8D 45 07 48 89 44 24 38 48 8D 45 F8 48 89 44 24 30 48 8D 45 F7 48 89 44 24 28 48 8D 45 FF 48 89 44 24 20 48 8D 93 8C 00 00 00 41 FF 52 20 85 C0 0F 88 E7 00 00 00 41 3B C5 7E 11 83 F8 03 0F 85 D9 00 00 00 4C 39 6D 27 73 45 EB 2A 48 8D 45 F7 48 8D 4D 17 48 39 45 07 75 63 48 8D 45 17 48 83 7D 2F 10 48 0F 43 45 17 4C 8B 45 FF 4C 2B C0 33 D2 E8 ?? ?? ?? ?? 48 8B 8B 98 00 00 00 E8 ?? ?? ?? ?? 3B C7 0F 84 95 00 00 00 E9 3C FF FF FF 4C 8D 45 17 48 83 7D 2F 10 4C 0F 43 45 17 4D 8B CD 49 8B D5 48 8D 4D F7 E8 ?? ?? ?? ?? 0F B6 5D F7 48 83 7D 2F 10 72 62 48 8B 4D 17 EB 57 48 8B 55 17 4C 8B 45 2F 49 83 F8 10 48 0F 43 CA 8B 45 27 4C 8B 4D FF 41 2B C1 03 C1 48 63 F8 85 C0 7E 27 49 2B FD 42 0F BE 0C 0F 48 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 48 85 FF 7E 06 4C 8B 4D FF EB E1 4C 8B 45 2F 48 8B 55 17 0F B6 5D F7 49 83 F8 10 72 08 48 8B CA E8 ?? ?? ?? ?? 8B C3 EB 14 EB 00 48 83 7D 2F 10 72 09 48 8B 4D 17 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 3F 48 33 CC E8 ?? ?? ?? ?? 4C 8D 9C 24 90 00 00 00 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5D 5F 5D C3 }
	condition:
		$1
}

rule file_32_216_2 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IEAA_NXZ"
		size = 462
		refs = "0021 __security_cookie 007f ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0084 ?_Xlength_error@std@@YAXPEBD@Z 0093 memset 0139 fwrite 0167 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0194 ??3@YAXPEAX@Z 01b5 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 57 41 55 48 8B EC 48 83 EC 70 48 C7 45 C8 FE FF FF FF 48 89 58 10 48 89 70 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 48 8B D9 48 83 B9 80 00 00 00 00 0F 84 6E 01 00 00 80 B9 89 00 00 00 00 0F 84 61 01 00 00 48 8B 01 83 CA FF FF 50 18 83 F8 FF 75 07 32 C0 E9 4E 01 00 00 48 C7 45 E8 0F 00 00 00 48 83 65 E0 00 C6 45 D0 00 41 BD 08 00 00 00 41 80 FD FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4D 8B C5 33 D2 48 8D 4D D0 E8 ?? ?? ?? ?? 4C 89 6D E0 48 8D 45 D0 48 83 7D E8 10 48 0F 43 45 D0 C6 40 08 00 4C 8B 4D D0 4C 8B 55 E8 48 8D 55 D0 49 83 FA 10 49 0F 43 D1 4C 8D 45 D0 4D 0F 43 C1 48 8B 8B 80 00 00 00 4C 8B 11 48 8B 45 E0 4C 8D 0C 02 48 8D 45 C0 48 89 44 24 20 48 8D 93 8C 00 00 00 41 FF 52 30 85 C0 74 06 FF C8 75 79 EB 07 C6 83 89 00 00 00 00 48 8D 45 D0 4C 8B 4D D0 4C 8B 55 E8 49 83 FA 10 49 0F 43 C1 48 8B 7D C0 48 2B F8 74 2D 48 8D 4D D0 49 83 FA 10 49 0F 43 C9 4C 8B 8B 98 00 00 00 4C 8B C7 BA 01 00 00 00 E8 ?? ?? ?? ?? 48 3B F8 75 42 4C 8B 55 E8 4C 8B 4D D0 80 BB 89 00 00 00 00 74 4A 48 85 FF 0F 85 59 FF FF FF 45 33 C0 49 8B D5 48 8D 4D D0 E8 ?? ?? ?? ?? E9 3D FF FF FF 83 E8 02 74 02 EB 0D 48 83 7D E8 10 72 2D 48 8B 4D D0 EB 22 48 83 7D E8 10 0F 82 C9 FE FF FF 48 8B 4D D0 E8 ?? ?? ?? ?? E9 BB FE FF FF 49 83 FA 10 72 08 49 8B C9 E8 ?? ?? ?? ?? B0 01 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 4C 8D 5C 24 70 49 8B 5B 28 49 8B 73 30 49 8B E3 41 5D 5F 5D C3 }
	condition:
		$1
}

rule file_32_218_2 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MEAAHH@Z"
		size = 643
		refs = "0024 __security_cookie 00c3 fputc 00f5 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 00fa ?_Xlength_error@std@@YAXPEBD@Z 0109 memset 01c6 fwrite 0205 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0229 ??3@YAXPEAX@Z 0268 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 48 8D 68 A1 48 81 EC 90 00 00 00 48 C7 45 FF FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 2F 8B F2 48 8B D9 83 CF FF 3B D7 75 07 33 C0 E9 1E 02 00 00 48 8B 51 48 48 83 3A 00 74 29 48 8B 41 60 48 63 08 48 03 0A 48 39 0A 73 1A 01 38 48 8B 53 48 4C 8B 02 49 8D 48 01 48 89 0A 41 88 30 8B C6 E9 EB 01 00 00 48 83 BB 98 00 00 00 00 0F 84 DB 01 00 00 48 8B 53 20 48 8D 83 88 00 00 00 48 39 02 75 1A 48 8B 4B 78 48 8B 43 70 48 89 02 48 8B 43 40 48 89 08 2B C9 48 8B 43 58 89 08 48 83 BB 80 00 00 00 00 75 1A 40 0F BE CE 48 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 3B C7 0F 45 FE E9 8D 01 00 00 40 88 75 E7 48 C7 45 1F 0F 00 00 00 48 83 65 17 00 C6 45 07 00 41 BC 08 00 00 00 41 80 FC FE 76 0D 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? CC 4D 8B C4 33 D2 48 8D 4D 07 E8 ?? ?? ?? ?? 4C 89 65 17 48 8D 45 07 48 83 7D 1F 10 48 0F 43 45 07 C6 40 08 00 4C 8B 4D 07 4C 8B 55 1F 48 8D 55 07 49 83 FA 10 49 0F 43 D1 4C 8D 45 07 4D 0F 43 C1 48 8B 8B 80 00 00 00 4C 8B 11 48 03 55 17 48 8D 45 F7 48 89 44 24 38 48 89 54 24 30 4C 89 44 24 28 48 8D 45 EF 48 89 44 24 20 4C 8D 4D E8 4C 8D 45 E7 48 8D 93 8C 00 00 00 41 FF 52 28 85 C0 0F 88 CA 00 00 00 83 F8 01 0F 8F A5 00 00 00 48 8D 45 07 4C 8B 4D 07 4C 8B 55 1F 49 83 FA 10 49 0F 43 C1 4C 8B 65 F7 4C 2B E0 74 2D 48 8D 4D 07 49 83 FA 10 49 0F 43 C9 4C 8B 8B 98 00 00 00 4D 8B C4 BA 01 00 00 00 E8 ?? ?? ?? ?? 4C 3B E0 75 3F 4C 8B 55 1F 4C 8B 4D 07 C6 83 89 00 00 00 01 48 8D 45 E7 48 39 45 EF 75 33 4D 85 E4 0F 85 3A FF FF FF 48 83 7D 17 20 73 18 45 33 C0 41 8D 54 24 08 48 8D 4D 07 E8 ?? ?? ?? ?? E9 15 FF FF FF EB 3E 49 83 FA 10 72 48 49 8B C9 EB 3E 49 83 FA 10 0F 82 49 FE FF FF 49 8B C9 E8 ?? ?? ?? ?? E9 3C FE FF FF 83 F8 03 75 17 0F BE 4D E7 48 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 3B C7 0F 45 FE EB 00 48 83 7D 1F 10 72 09 48 8B 4D 07 E8 ?? ?? ?? ?? 8B C7 48 8B 4D 2F 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 D0 00 00 00 48 81 C4 90 00 00 00 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_160_2 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@_K@Z"
		size = 161
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 4C 89 44 24 18 57 48 83 EC 20 49 8B D9 48 8B FA 48 8B F1 4D 85 C9 74 65 48 8B 4F 08 48 85 C9 74 4C 48 8B 41 48 45 8A 08 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 0A 41 0F B6 C1 EB 0A 48 8B 01 41 0F B6 D1 FF 50 18 4C 8B 44 24 40 83 F8 FF 75 03 C6 07 01 49 FF C0 48 FF CB 4C 89 44 24 40 75 9B 0F 10 07 48 8B 5C 24 30 48 8B C6 F3 0F 7F 06 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_53_201_2 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 30
	strings:
		$1 = { 48 83 79 18 10 72 05 4C 8B 01 EB 03 4C 8B C1 48 8B 41 10 49 8D 0C 00 48 8B C2 48 89 0A C3 }
	condition:
		$1
}

rule file_53_292_2 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AEAVios_base@2@DPEBUtm@@DD@Z"
		size = 358
		refs = "001d __security_cookie 0037 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0080 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00a7 _Strftime 0144 ??3@YAXPEAX@Z 0153 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 56 48 8B EC 48 83 EC 70 48 C7 45 C0 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 F8 49 8B F0 4C 8B E2 4C 8B E9 4C 8B 75 68 8B 05 ?? ?? ?? ?? 89 45 F0 8A 05 ?? ?? ?? ?? 88 45 F4 48 C7 45 E0 0F 00 00 00 48 83 65 D8 00 C6 45 C8 00 8A 45 78 84 C0 75 08 8A 45 70 88 45 F2 EB 09 88 45 F2 8A 45 70 88 45 F3 BB 10 00 00 00 45 33 C0 48 8B D3 48 8D 4D C8 E8 ?? ?? ?? ?? 4D 8B 5D 10 48 8D 4D C8 48 83 7D E0 10 48 0F 43 4D C8 4C 89 5C 24 20 4D 8B CE 4C 8D 45 F0 48 8B 55 D8 E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 75 05 48 03 DB EB BD 48 8D 5D C8 48 8B 4D C8 48 8B 45 E0 48 83 F8 10 48 0F 43 D9 48 FF CF 74 63 48 FF C3 44 8A 03 48 8B 4E 08 48 85 C9 74 44 48 8B 41 48 48 83 38 00 74 08 48 8B 41 60 8B 10 EB 02 33 D2 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 02 41 0F B6 C0 EB 0A 41 0F B6 D0 48 8B 01 FF 50 18 83 F8 FF 75 03 C6 06 01 48 FF CF 75 A5 48 8B 45 E0 48 8B 4D C8 0F 10 06 F3 41 0F 7F 04 24 48 83 F8 10 72 05 E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D F8 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5E 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_53_294_2 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@AEBV01@@Z"
		size = 46
		refs = "0021 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 48 83 61 10 00 48 C7 41 18 0F 00 00 00 49 83 C9 FF 45 33 C0 48 8B D9 C6 01 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_301_2 {
	meta:
		name = "?do_get@?$messages@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHAEBV32@@Z"
		size = 58
		refs = "002d ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { 40 53 48 83 EC 20 33 C0 48 C7 42 18 0F 00 00 00 48 8B DA 48 89 42 10 88 02 48 8B 54 24 58 49 83 C9 FF 45 33 C0 48 8B CB 89 44 24 38 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_53_305_2 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 73
		refs = "0029 strlen 0037 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 10 57 48 83 EC 20 48 8B 59 30 33 C0 48 C7 42 18 0F 00 00 00 48 89 42 10 48 8B CB 48 8B FA 89 44 24 30 88 02 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 38 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_53_323_2 {
	meta:
		name = "?do_transform@?$collate@D@std@@MEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PEBD0@Z"
		size = 235
		refs = "005c ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 006d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00a2 _Strxfrm"
	strings:
		$1 = { 48 8B C4 48 89 50 10 55 56 57 48 83 EC 40 48 C7 44 24 30 FE FF FF FF 48 89 58 08 49 8B F9 49 8B F0 48 8B DA 83 60 18 00 48 C7 42 18 0F 00 00 00 48 83 62 10 00 C6 02 00 C7 40 18 01 00 00 00 49 8B C1 49 2B C0 74 6A 48 8D 69 10 48 8B CB 48 3B 43 10 77 0E 49 83 C8 FF 48 8B D0 E8 ?? ?? ?? ?? EB 0F 48 2B 43 10 45 33 C0 48 8B D0 E8 ?? ?? ?? ?? 48 83 7B 18 10 72 05 48 8B 03 EB 03 48 8B C3 48 8B 53 10 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 03 D0 48 89 6C 24 20 4C 8B CF 4C 8B C6 E8 ?? ?? ?? ?? 48 3B 43 10 76 0B 48 85 C0 75 9A 48 3B 43 10 77 11 49 83 C8 FF 48 8B D0 48 8B CB E8 ?? ?? ?? ?? EB 12 48 2B 43 10 45 33 C0 48 8B D0 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 60 48 83 C4 40 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_53_325_2 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z"
		size = 3996
		refs = "002b __security_cookie 007b ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 0084 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 00a6 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 00b8 ??1locale@std@@QEAA@XZ 015b ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01c2 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 02e2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 03af ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AEAAXXZ 047b ??3@YAXPEAX@Z 083b ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 096a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0996 ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0b7c ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0c85 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0@Z 0d95 ??$use_facet@V?$ctype@D@std@@@std@@YAAEBV?$ctype@D@0@AEBVlocale@0@@Z 0e62 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 0e67 ?_Xlength_error@std@@YAXPEBD@Z 0f49 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0f7c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 78 FE FF FF 48 81 EC 50 02 00 00 48 C7 45 80 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 48 01 00 00 4D 8B E1 4C 89 4C 24 38 49 8B F8 4C 89 44 24 68 48 8B F2 48 89 54 24 40 48 89 55 88 48 8B 9D B8 01 00 00 48 89 5C 24 30 45 33 ED 44 89 6C 24 28 48 8B CB 44 38 AD B0 01 00 00 74 22 48 8D 54 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 58 48 8D 4C 24 78 EB 20 48 8D 54 24 70 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F8 48 89 44 24 58 48 8D 4C 24 70 E8 ?? ?? ?? ?? 44 88 6C 24 20 44 88 6C 24 24 B8 0F 00 00 00 48 89 45 D0 4C 89 6D C8 44 88 6D B8 48 89 46 18 4C 89 6E 10 44 88 2E B8 01 00 00 00 44 8B F0 89 44 24 28 49 8B 07 48 8D 54 24 50 49 8B CF FF 50 48 45 33 ED 4C 89 6C 24 48 44 8B 4C 24 20 41 8B D6 49 83 FD 04 0F 83 56 0D 00 00 42 8A 44 2C 50 3C 20 0F 84 56 0C 00 00 3C 24 0F 84 49 0A 00 00 3C 2B 0F 84 ED 06 00 00 3C 76 74 0D 3C 78 0F 84 3A 0C 00 00 E9 05 0D 00 00 45 33 ED 49 8B 07 49 8B CF FF 50 38 44 8B E0 48 8D 55 E0 49 8B CF E8 ?? ?? ?? ?? 90 33 DB 48 39 5D F0 0F 84 5C 03 00 00 49 8B 07 49 8B CF FF 50 10 40 8A F0 84 C0 0F 84 43 03 00 00 48 8D 4D E0 48 83 7D F8 10 48 0F 43 4D E0 80 39 7F 0F 83 2C 03 00 00 48 C7 45 A8 0F 00 00 00 48 89 5D A0 88 5D 90 8D 43 01 3C FE 0F 87 AE 0C 00 00 48 89 45 A0 66 89 5D 90 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 85 2A 02 00 00 44 38 4F 08 75 4A 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 C9 83 F8 FF 74 05 88 47 09 EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 EB 06 41 BA 01 00 00 00 80 7F 09 30 0F 8C E9 00 00 00 44 38 4F 08 75 48 48 8B 0F 48 85 C9 74 33 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B6 00 EB 09 48 8B 01 FF 50 30 45 33 C9 83 F8 FF 74 05 88 47 09 EB 03 4C 89 0F 41 BA 01 00 00 00 44 88 57 08 80 7F 09 39 0F 8F 91 00 00 00 44 38 4F 08 75 46 48 8B 0F 48 85 C9 74 37 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B6 00 EB 0D 48 8B 01 FF 50 30 45 33 C9 45 8D 51 01 83 F8 FF 74 05 88 47 09 EB 03 4C 89 0F 44 88 57 08 44 8A 47 09 49 8B D2 48 8B 4C 24 40 E8 ?? ?? ?? ?? 4C 8D 5D 90 48 83 7D A8 10 4C 0F 43 5D 90 41 80 3C 1B 7F 0F 84 AC 00 00 00 48 8D 45 90 48 83 7D A8 10 48 0F 43 45 90 B9 01 00 00 00 00 0C 18 E9 91 00 00 00 48 8D 45 90 4C 8B 5D 90 4C 8B 55 A8 49 83 FA 10 49 0F 43 C3 44 38 0C 18 0F 84 9B 00 00 00 44 38 4F 08 75 50 48 8B 0F 48 85 C9 74 3B 4C 8B 41 40 4D 39 08 74 08 48 8B 41 58 8B 10 EB 03 41 8B D1 85 D2 7E 08 49 8B 00 0F B6 00 EB 11 48 8B 01 FF 50 30 4C 8B 55 A8 4C 8B 5D 90 45 33 C9 83 F8 FF 74 05 88 47 09 EB 03 4C 89 0F B8 01 00 00 00 88 47 08 EB 05 B8 01 00 00 00 40 38 77 09 75 3A 45 33 C0 48 8B D0 48 8D 4D 90 E8 ?? ?? ?? ?? 48 FF C3 48 8B CF E8 ?? ?? ?? ?? 48 8B 54 24 38 48 8B CF E8 ?? ?? ?? ?? 45 33 C9 84 C0 0F 84 06 FE FF FF 4C 8B 55 A8 4C 8B 5D 90 BE 01 00 00 00 48 85 DB 74 2B 48 8D 45 90 49 83 FA 10 49 0F 43 C3 44 38 0C 18 7E 05 48 03 DE EB 14 40 88 74 24 20 EB 0D 4C 8B 55 A8 4C 8B 5D 90 BE 01 00 00 00 48 8D 4D E0 4C 8B 4D E0 4C 8B 45 F8 49 83 F8 10 49 0F 43 C9 8B 54 24 20 84 D2 75 60 48 85 DB 74 44 8A 11 80 FA 7F 74 3D 48 2B DE 74 11 48 8D 45 90 49 83 FA 10 49 0F 43 C3 3A 14 18 75 20 48 85 DB 75 10 48 8D 45 90 49 83 FA 10 49 0F 43 C3 3A 10 7C 0B 80 79 01 00 7E C3 48 FF C1 EB BE 40 88 74 24 20 EB 17 49 83 FA 10 0F 82 80 01 00 00 49 8B CB E8 ?? ?? ?? ?? E9 73 01 00 00 49 83 FA 10 72 10 49 8B CB E8 ?? ?? ?? ?? 4C 8B 45 F8 4C 8B 4D E0 48 C7 45 A8 0F 00 00 00 48 83 65 A0 00 C6 45 90 00 49 83 F8 10 72 08 49 8B C9 E8 ?? ?? ?? ?? 48 8B 74 24 40 E9 6D 09 00 00 48 8B 74 24 40 48 8B 5C 24 38 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 17 01 00 00 41 BF 01 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 7F 08 80 7F 09 30 0F 8C BC 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 7F 08 80 7F 09 39 7F 70 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 7F 08 44 8A 47 09 49 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 8B CF E8 ?? ?? ?? ?? 48 8B D3 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 F4 FE FF FF 4C 8B 7C 24 58 49 8B 07 49 8B CF FF 50 08 8A D8 48 8B 74 24 38 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 AE 01 00 00 84 DB 0F 84 A6 01 00 00 38 47 08 75 44 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B8 01 00 00 00 88 47 08 38 5F 09 0F 85 54 01 00 00 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 1C 01 00 00 BB 01 00 00 00 45 3B EC 0F 8D 26 01 00 00 80 7F 08 00 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 88 5F 08 80 7F 09 30 0F 8C BF 00 00 00 80 7F 08 00 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 88 5F 08 80 7F 09 39 7F 74 80 7F 08 00 75 3F 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 88 5F 08 44 8A 47 09 48 8B D3 48 8B 4C 24 40 E8 ?? ?? ?? ?? 44 03 EB 48 8B CF E8 ?? ?? ?? ?? 48 8B D6 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 84 E9 FE FF FF 8B 44 24 20 0F B6 C0 45 3B EC B9 01 00 00 00 0F 4C C1 89 44 24 20 EB 0A 48 8B CB EB 05 B9 01 00 00 00 48 8B 74 24 40 48 83 7E 10 00 75 06 88 4C 24 20 EB 28 45 3B EC 7D 23 45 2B E5 41 8B DC BF 01 00 00 00 41 B0 30 48 8B D7 48 8B CE E8 ?? ?? ?? ?? 48 2B DF 75 ED 48 8B 7C 24 68 48 83 7D F8 10 0F 82 1E 06 00 00 48 8B 4D E0 E8 ?? ?? ?? ?? E9 10 06 00 00 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 0C 06 00 00 48 8D 55 58 49 8B CF E8 ?? ?? ?? ?? 90 41 83 CE 02 44 89 74 24 28 48 83 78 10 00 0F 86 81 00 00 00 48 8D 95 80 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 41 83 CE 04 44 89 74 24 28 48 83 78 18 10 72 03 48 8B 18 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C6 04 74 39 41 83 E6 FB 44 89 74 24 28 48 83 BD 98 00 00 00 10 72 0C 48 8B 8D 80 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 98 00 00 00 0F 00 00 00 48 83 A5 90 00 00 00 00 C6 85 80 00 00 00 00 41 F6 C6 02 74 2A 41 83 E6 FD 44 89 74 24 28 48 83 7D 70 10 72 09 48 8B 4D 58 E8 ?? ?? ?? ?? 48 C7 45 70 0F 00 00 00 48 83 65 68 00 C6 45 58 00 84 DB 74 44 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 D0 00 00 00 49 8B CF E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D B8 E8 ?? ?? ?? ?? 90 48 83 BD E8 00 00 00 10 0F 82 BD 04 00 00 48 8B 8D D0 00 00 00 E8 ?? ?? ?? ?? E9 AC 04 00 00 48 8D 55 08 49 8B CF E8 ?? ?? ?? ?? 90 41 83 CE 08 44 89 74 24 28 48 83 78 10 00 0F 86 81 00 00 00 48 8D 95 A8 00 00 00 49 8B CF E8 ?? ?? ?? ?? 48 8B D8 41 83 CE 10 44 89 74 24 28 48 83 78 18 10 72 03 48 8B 18 80 7F 08 00 75 46 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 38 03 75 04 8A D9 EB 02 32 DB 41 F6 C6 10 74 39 41 83 E6 EF 44 89 74 24 28 48 83 BD C0 00 00 00 10 72 0C 48 8B 8D A8 00 00 00 E8 ?? ?? ?? ?? 48 C7 85 C0 00 00 00 0F 00 00 00 48 83 A5 B8 00 00 00 00 C6 85 A8 00 00 00 00 41 F6 C6 08 74 2A 41 83 E6 F7 44 89 74 24 28 48 83 7D 20 10 72 09 48 8B 4D 08 E8 ?? ?? ?? ?? 48 C7 45 20 0F 00 00 00 48 83 65 18 00 C6 45 08 00 84 DB 74 45 48 8B CF E8 ?? ?? ?? ?? 48 8D 95 F8 00 00 00 49 8B CF E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 4D B8 E8 ?? ?? ?? ?? 90 48 83 BD 10 01 00 00 10 72 0C 48 8B 8D F8 00 00 00 E8 ?? ?? ?? ?? C6 44 24 24 01 E9 50 03 00 00 48 8D 55 30 49 8B CF E8 ?? ?? ?? ?? 48 83 78 10 00 0F 94 C3 48 83 7D 48 10 72 09 48 8B 4D 30 E8 ?? ?? ?? ?? 48 C7 45 48 0F 00 00 00 48 83 65 40 00 C6 45 30 00 84 DB 0F 85 13 03 00 00 48 8D 95 20 01 00 00 49 8B CF E8 ?? ?? ?? ?? 48 83 78 10 00 0F 94 C3 48 83 BD 38 01 00 00 10 72 0C 48 8B 8D 20 01 00 00 E8 ?? ?? ?? ?? 44 8B 4C 24 20 BA 01 00 00 00 84 DB 48 8B 5C 24 30 0F 84 DE 02 00 00 88 54 24 24 E9 D5 02 00 00 48 8D 55 90 49 8B CF E8 ?? ?? ?? ?? 90 F6 43 18 08 75 72 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 33 DB 84 C0 75 63 38 5F 08 75 42 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F B8 01 00 00 00 88 47 08 8A 4F 09 48 8D 45 90 48 83 7D A8 10 48 0F 43 45 90 3A 08 74 07 E9 81 00 00 00 33 DB 49 83 FD 03 0F 85 84 00 00 00 41 8D 45 FE 48 39 45 C8 77 7A 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 5C 38 5F 08 75 42 48 8B 0F 48 85 C9 74 2F 4C 8B 41 40 49 39 18 74 08 48 8B 41 58 8B 10 EB 02 8B D3 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 03 48 89 1F B8 01 00 00 00 88 47 08 8A 4F 09 48 8D 45 90 48 83 7D A8 10 48 0F 43 45 90 3A 08 74 0F 49 83 C8 FF 33 D2 48 8D 4D 90 E8 ?? ?? ?? ?? 48 8D 5D 90 48 83 7D A8 10 48 0F 43 5D 90 E9 87 00 00 00 48 8D 4D 90 49 83 FA 10 49 0F 43 C9 48 8B 45 A0 48 03 C1 48 3B D8 0F 84 86 00 00 00 80 7F 08 00 75 4E 48 8B 0F 48 85 C9 74 38 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 0E 48 8B 01 FF 50 30 4C 8B 55 A8 4C 8B 4D 90 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 B9 01 00 00 00 88 4F 08 EB 05 B9 01 00 00 00 8A 47 09 3A 03 75 26 48 03 D9 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 4C 8B 55 A8 4C 8B 4D 90 84 C0 0F 84 5E FF FF FF 48 8D 55 90 49 83 FA 10 49 0F 43 D1 48 8B 45 A0 48 03 C2 8B 54 24 20 0F B6 D2 48 3B D8 B8 01 00 00 00 0F 45 D0 89 54 24 20 49 83 FA 10 0F 82 C9 00 00 00 49 8B C9 E9 0B FC FF FF 49 83 FD 03 0F 84 C6 00 00 00 48 8D 54 24 60 48 8B CB E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 48 8B D8 48 8D 4C 24 60 E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 0F 85 81 00 00 00 BE 01 00 00 00 80 7F 08 00 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 40 88 77 08 0F B6 4F 09 48 8B 43 18 F6 04 48 48 74 17 48 8B CF E8 ?? ?? ?? ?? 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 74 95 48 8B 74 24 40 EB 0A 4C 8B 6C 24 48 4C 8B 64 24 38 48 8B 5C 24 30 44 8B 4C 24 20 BA 01 00 00 00 4C 03 EA 4C 89 6C 24 48 45 84 C9 0F 85 F5 00 00 00 E9 AD F2 FF FF 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 90 45 84 C9 0F 85 DA 00 00 00 48 8B 4D C8 41 BD 01 00 00 00 49 3B CD 0F 86 AD 00 00 00 48 8D 5D B8 48 83 7D D0 10 48 0F 43 5D B8 48 8D 45 B8 48 83 7D D0 10 48 0F 43 45 B8 48 03 C1 49 03 DD 48 3B D8 74 70 49 8B D4 48 8B CF E8 ?? ?? ?? ?? 84 C0 75 5D 38 47 08 75 40 48 8B 0F 48 85 C9 74 30 4C 8B 41 40 49 83 38 00 74 08 48 8B 41 58 8B 10 EB 02 33 D2 85 D2 7E 08 49 8B 00 0F B6 00 EB 06 48 8B 01 FF 50 30 83 F8 FF 74 05 88 47 09 EB 04 48 83 27 00 44 88 6F 08 8A 47 09 3A 03 75 11 48 8B CF E8 ?? ?? ?? ?? 48 8B 4D C8 E9 7B FF FF FF 48 8B 4D C8 48 8D 45 B8 48 83 7D D0 10 48 0F 43 45 B8 48 03 C1 48 3B D8 75 1A 8A 44 24 24 84 C0 74 21 41 B1 2D 4D 8B C5 33 D2 48 8B CE E8 ?? ?? ?? ?? EB 0F 49 83 C8 FF 33 D2 48 8B CE E8 ?? ?? ?? ?? 90 48 83 7D D0 10 72 09 48 8B 4D B8 E8 ?? ?? ?? ?? 48 8B C6 48 8B 8D 48 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 90 02 00 00 48 81 C4 50 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 CC }
	condition:
		$1
}

rule file_53_329_2 {
	meta:
		name = "?dtor$3@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 01 85 C0 74 10 83 65 28 FE 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_53_331_2 {
	meta:
		name = "?dtor$5@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 02 85 C0 74 10 83 65 28 FD 48 8D 8D 58 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_53_332_2 {
	meta:
		name = "?dtor$6@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 04 85 C0 74 10 83 65 28 FB 48 8D 8D 80 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_53_333_2 {
	meta:
		name = "?dtor$7@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D0 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_334_2 {
	meta:
		name = "?dtor$8@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 08 85 C0 74 10 83 65 28 F7 48 8D 8D 08 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_53_335_2 {
	meta:
		name = "?dtor$9@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 48
		refs = "001f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 8B 45 28 83 E0 10 85 C0 74 10 83 65 28 EF 48 8D 8D A8 01 00 00 E8 ?? ?? ?? ?? 48 83 C4 20 5D C3 CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_53_336_2 {
	meta:
		name = "?dtor$10@?0??_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A F8 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_340_2 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 2085
		refs = "002b __security_cookie 0075 ?getloc@ios_base@std@@QEBA?AVlocale@2@XZ 007e ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z 009b ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z 00a8 ??1locale@std@@QEAA@XZ 00b7 ?grouping@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00f5 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_K0D@Z 0203 ?negative_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0213 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@$$QEAV12@@Z 0232 ?positive_sign@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0259 ??3@YAXPEAX@Z 028b ?curr_symbol@?$_Mpunct@D@std@@QEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0382 ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@D_K@Z 03fd ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@_K@Z 0806 __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D A8 98 FE FF FF 48 81 EC 30 02 00 00 48 C7 45 D0 FE FF FF FF 48 89 58 08 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 85 28 01 00 00 4D 8B E0 48 89 54 24 58 4C 8B BD 90 01 00 00 4C 89 7C 24 50 44 8A AD 98 01 00 00 44 88 6C 24 20 48 8B 9D A8 01 00 00 48 89 9D 80 00 00 00 49 8B CF 45 84 C9 74 1D 48 8D 54 24 78 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 78 EB 1B 48 8D 54 24 70 E8 ?? ?? ?? ?? 90 48 8B C8 E8 ?? ?? ?? ?? 4C 8B F0 48 8D 4C 24 70 E8 ?? ?? ?? ?? 48 8D 95 B0 00 00 00 49 8B CE E8 ?? ?? ?? ?? 90 49 8B 06 49 8B CE FF 50 38 99 8B F0 33 F2 2B F2 89 74 24 28 8B FE 48 89 7C 24 30 B8 01 00 00 00 48 39 7B 10 77 1C 44 8B C7 4C 2B 43 10 4C 03 C0 41 B1 30 33 D2 48 8B CB E8 ?? ?? ?? ?? E9 C0 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 80 38 7F 0F 84 A0 00 00 00 48 8D 85 B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 85 B0 00 00 00 80 38 00 0F 8E 80 00 00 00 49 8B 06 49 8B CE FF 50 10 44 8A E8 48 8D BD B0 00 00 00 48 83 BD C8 00 00 00 10 48 0F 43 BD B0 00 00 00 48 8B 73 10 48 2B 74 24 30 8A 0F 80 F9 7F 74 3F 41 BF 01 00 00 00 84 C9 7E 30 48 0F BE C1 48 3B C6 73 27 48 2B F0 45 8A CD 4D 8B C7 48 8B D6 48 8B CB E8 ?? ?? ?? ?? 4C 8D 5F 01 41 80 3B 00 49 0F 4F FB 8A 0F 80 F9 7F 75 CC 4C 8B 7C 24 50 44 8A 6C 24 20 8B 74 24 28 48 8B 7C 24 30 48 C7 85 A0 00 00 00 0F 00 00 00 33 C0 48 89 85 98 00 00 00 88 85 88 00 00 00 48 8D 54 24 24 49 8B CE 38 85 A0 01 00 00 49 8B 06 74 2F FF 50 48 44 8B 5C 24 24 44 89 5C 24 24 48 8D 95 00 01 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D 88 00 00 00 E8 ?? ?? ?? ?? 90 EB 2D FF 50 40 44 8B 5C 24 24 44 89 5C 24 24 48 8D 95 00 01 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D 88 00 00 00 E8 ?? ?? ?? ?? 90 48 83 BD 18 01 00 00 10 72 0C 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? 48 C7 85 F0 00 00 00 0F 00 00 00 45 33 D2 4C 89 95 E8 00 00 00 44 88 95 D8 00 00 00 41 F6 47 18 08 74 39 48 8D 95 00 01 00 00 49 8B CE E8 ?? ?? ?? ?? 90 48 8B D0 48 8D 8D D8 00 00 00 E8 ?? ?? ?? ?? 90 48 83 BD 18 01 00 00 10 72 0C 48 8B 8D 00 01 00 00 E8 ?? ?? ?? ?? 45 33 D2 45 8A CA 49 8B C2 4D 8B C2 41 BB 01 00 00 00 42 8A 4C 04 24 80 F9 20 74 4A 80 F9 24 74 3C 80 F9 2B 74 2E 80 F9 76 74 07 80 F9 78 74 39 EB 43 48 8B 53 10 48 3B D7 77 0B 48 8B CF 48 2B CA 49 03 CB EB 03 49 8B CA 44 3B D6 48 13 D1 48 03 C2 EB 21 48 03 85 98 00 00 00 EB 18 48 03 85 E8 00 00 00 EB 0F 49 03 C3 45 0F B6 C9 49 83 F8 03 45 0F 45 CB 4D 03 C3 49 83 F8 04 72 94 49 8B 77 28 48 85 F6 7E 0A 48 3B F0 76 05 48 2B F0 EB 03 49 8B F2 41 8B 7F 18 81 E7 C0 01 00 00 83 FF 40 74 3C 81 FF 00 01 00 00 75 05 45 84 C9 75 2F 41 0F 10 04 24 F3 0F 7F 44 24 60 4C 8B CE 45 8A C5 48 8D 54 24 60 48 8D 4C 24 40 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 45 33 D2 41 8B F2 4D 8B EA 48 63 FF 4C 8B 7C 24 30 42 8A 44 2C 24 3C 20 0F 84 B5 02 00 00 3C 24 0F 84 78 02 00 00 3C 2B 0F 84 2F 02 00 00 3C 76 74 0D 3C 78 0F 84 C7 02 00 00 E9 FB 02 00 00 44 39 54 24 28 75 34 48 83 7B 18 10 72 05 4C 8B 03 EB 03 4C 8B C3 41 0F 10 04 24 F3 0F 7F 44 24 60 48 8D 54 24 60 48 8D 4D 40 4C 8B 4B 10 E8 ?? ?? ?? ?? 45 33 D2 E9 B7 02 00 00 4C 8B 4B 10 4D 3B CF 0F 87 0A 01 00 00 49 8B 4C 24 08 48 85 C9 74 41 48 8B 41 48 4C 39 10 74 08 48 8B 41 60 8B 10 EB 03 41 8B D2 85 D2 7E 19 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 C6 02 30 EB 19 48 8B 01 BA 30 00 00 00 FF 50 18 83 F8 FF 75 09 B8 01 00 00 00 41 88 04 24 49 8B 06 49 8B CE FF 50 08 44 8A D8 49 8B 4C 24 08 45 33 C0 48 85 C9 74 44 48 8B 41 48 4C 39 00 74 08 48 8B 41 60 8B 10 EB 03 41 8B D0 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 1A 41 0F B6 C3 EB 0A 41 0F B6 D3 48 8B 01 FF 50 18 83 F8 FF 75 09 B8 01 00 00 00 41 88 04 24 41 0F 10 04 24 F3 0F 7F 44 24 30 4D 8B CF 4C 2B 4B 10 41 B0 30 48 8D 54 24 30 48 8D 4D 50 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 48 83 7B 18 10 72 05 4C 8B 03 EB 03 4C 8B C3 0F 10 00 F3 0F 7F 45 F0 48 8D 55 F0 48 8D 4D 00 E9 D8 FE FF FF 48 83 7B 18 10 72 05 4C 8B 03 EB 03 4C 8B C3 41 0F 10 04 24 F3 0F 7F 45 E0 4D 2B CF 48 8D 55 E0 48 8D 4D 70 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 49 8B 06 49 8B CE FF 50 08 44 8A D8 49 8B 4C 24 08 45 33 C0 48 85 C9 74 44 48 8B 41 48 4C 39 00 74 08 48 8B 41 60 8B 10 EB 03 41 8B D0 85 D2 7E 1D 48 8B 41 60 FF 08 48 8B 49 48 48 8B 11 48 8D 42 01 48 89 01 44 88 1A 41 0F B6 C3 EB 0A 41 0F B6 D3 48 8B 01 FF 50 18 83 F8 FF 75 09 B8 01 00 00 00 41 88 04 24 48 83 7B 18 10 72 05 48 8B 0B EB 03 48 8B CB 48 8B 43 10 4C 8D 04 01 4D 2B C7 41 0F 10 04 24 F3 0F 7F 45 C0 4D 8B CF 48 8D 55 C0 48 8D 4D 60 E9 10 FE FF FF 4C 39 95 98 00 00 00 0F 86 D0 00 00 00 4C 8D 85 88 00 00 00 48 83 BD A0 00 00 00 10 4C 0F 43 85 88 00 00 00 41 0F 10 04 24 F3 0F 7F 45 90 41 B9 01 00 00 00 48 8D 55 90 48 8D 4D 30 E9 CF FD FF FF 4C 8D 85 D8 00 00 00 48 83 BD F0 00 00 00 10 4C 0F 43 85 D8 00 00 00 41 0F 10 04 24 F3 0F 7F 45 80 4C 8B 8D E8 00 00 00 48 8D 55 80 48 8D 4D 10 E9 9A FD FF FF 41 0F 10 04 24 F3 0F 7F 45 B0 41 B9 01 00 00 00 44 8A 44 24 20 48 8D 55 B0 48 8D 4D 20 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 45 33 D2 48 81 FF 00 01 00 00 75 30 41 0F 10 04 24 F3 0F 7F 44 24 40 4C 8B CE 44 8A 44 24 20 48 8D 54 24 40 48 8D 4D A0 E8 ?? ?? ?? ?? 45 33 D2 41 8B F2 0F 10 00 F3 41 0F 7F 04 24 B8 01 00 00 00 4C 03 E8 49 83 FD 04 0F 82 C5 FC FF FF 4C 8B 8D 98 00 00 00 4C 3B C8 4C 8B 7C 24 50 76 3F 4C 8D 85 88 00 00 00 48 83 BD A0 00 00 00 10 4C 0F 43 85 88 00 00 00 49 FF C0 41 0F 10 04 24 F3 0F 7F 44 24 40 49 FF C9 48 8D 54 24 40 48 8D 4D A0 E8 ?? ?? ?? ?? 0F 10 00 F3 41 0F 7F 04 24 45 33 ED 4D 89 6F 28 41 0F 10 04 24 F3 0F 7F 44 24 40 4C 8B CE 44 8A 44 24 20 48 8D 54 24 40 48 8B 7C 24 58 48 8B CF E8 ?? ?? ?? ?? 90 48 83 BD F0 00 00 00 10 72 0C 48 8B 8D D8 00 00 00 E8 ?? ?? ?? ?? BE 0F 00 00 00 48 89 B5 F0 00 00 00 4C 89 AD E8 00 00 00 44 88 AD D8 00 00 00 48 83 BD A0 00 00 00 10 72 0C 48 8B 8D 88 00 00 00 E8 ?? ?? ?? ?? 48 89 B5 A0 00 00 00 4C 89 AD 98 00 00 00 44 88 AD 88 00 00 00 48 83 BD C8 00 00 00 10 72 0C 48 8B 8D B0 00 00 00 E8 ?? ?? ?? ?? 48 89 B5 C8 00 00 00 4C 89 AD C0 00 00 00 44 88 AD B0 00 00 00 48 83 7B 18 10 72 08 48 8B 0B E8 ?? ?? ?? ?? 48 89 73 18 4C 89 6B 10 44 88 2B 48 8B C7 48 8B 8D 28 01 00 00 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 70 02 00 00 48 81 C4 30 02 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_341_2 {
	meta:
		name = "?dtor$0@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8B 8A 80 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_344_2 {
	meta:
		name = "?dtor$3@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A B0 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_345_2 {
	meta:
		name = "?dtor$4@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A 88 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_348_2 {
	meta:
		name = "?dtor$7@?0??_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z@4HA"
		size = 16
		refs = "0008 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA@XZ"
	strings:
		$1 = { 48 8D 8A D8 01 00 00 E9 ?? ?? ?? ?? CC CC CC CC }
	condition:
		$1
}

rule file_53_350_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAO@Z"
		size = 457
		refs = "0022 __security_cookie 0053 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z 005f ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 00a3 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAA_N_K_N@Z 00fc ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 0164 _Stoldx 018b ??3@YAXPEAX@Z 01b3 __security_check_cookie"
	strings:
		$1 = { 40 55 53 56 57 41 54 41 55 41 57 48 8D 6C 24 F9 48 81 EC A0 00 00 00 48 C7 45 A7 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 49 8B D9 4D 8B E0 48 8B F2 48 8B 45 6F 48 8B 7D 77 4C 8B 6D 7F 48 89 44 24 28 8A 45 67 88 44 24 20 48 8D 55 AF E8 ?? ?? ?? ?? 90 48 8B D3 49 8B CC E8 ?? ?? ?? ?? 41 BF 01 00 00 00 84 C0 74 03 44 09 3F 48 8B 4D BF 48 85 C9 75 08 83 0F 02 E9 0E 01 00 00 48 C7 45 EF 0F 00 00 00 48 83 65 E7 00 C6 45 D7 00 48 83 F9 0F 74 2D 45 8A C7 48 8B D1 48 8D 4D D7 E8 ?? ?? ?? ?? 84 C0 74 16 48 83 65 E7 00 48 8D 45 D7 48 83 7D EF 10 48 0F 43 45 D7 C6 00 00 48 8B 4D BF 33 DB 48 8D 45 AF 48 8B 55 AF 4C 8B 45 C7 49 83 F8 10 48 0F 43 C2 80 38 30 7C 11 48 8D 45 AF 49 83 F8 10 48 0F 43 C2 80 38 39 7E 1E 41 B0 2D 49 8B D7 48 8D 4D D7 E8 ?? ?? ?? ?? 49 8B DF 4C 8B 45 C7 48 8B 4D BF 48 8B 55 AF 48 3B D9 73 2F 48 8D 45 AF 49 83 F8 10 48 0F 43 C2 44 8A 04 18 49 8B D7 48 8D 4D D7 E8 ?? ?? ?? ?? 49 03 DF 48 3B 5D BF 73 0A 4C 8B 45 C7 48 8B 55 AF EB D1 48 8D 5D D7 48 83 7D EF 10 48 0F 43 5D D7 83 65 97 00 4C 8D 4D 97 45 33 C0 48 8D 55 9F 48 8B CB E8 ?? ?? ?? ?? 48 39 5D 9F 74 0E 83 7D 97 00 75 08 F2 41 0F 11 45 00 EB 03 83 0F 02 48 83 7D EF 10 72 09 48 8B 4D D7 E8 ?? ?? ?? ?? 41 0F 10 04 24 F3 0F 7F 06 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 48 8B C6 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 81 C4 A0 00 00 00 41 5F 41 5D 41 5C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_53_353_2 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAEAVios_base@2@AEAHAEAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 199
		refs = "0017 __security_cookie 005a ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AEAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAEAVios_base@2@@Z 0066 ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QEBA_NAEBV12@@Z 008e ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00a8 ??3@YAXPEAX@Z 00b8 __security_check_cookie"
	strings:
		$1 = { 40 53 55 56 57 41 54 48 83 EC 70 48 C7 44 24 30 FE FF FF FF 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 44 24 60 49 8B D9 49 8B E8 48 8B F2 48 8B 84 24 C8 00 00 00 48 8B BC 24 D0 00 00 00 4C 8B A4 24 D8 00 00 00 48 89 44 24 28 8A 84 24 C0 00 00 00 88 44 24 20 48 8D 54 24 38 E8 ?? ?? ?? ?? 90 48 8B D3 48 8B CD E8 ?? ?? ?? ?? 84 C0 74 03 83 0F 01 48 83 7C 24 48 00 75 05 83 0F 02 EB 14 49 83 C9 FF 45 33 C0 48 8D 54 24 38 49 8B CC E8 ?? ?? ?? ?? 0F 10 45 00 F3 0F 7F 06 48 83 7C 24 50 10 72 0A 48 8B 4C 24 38 E8 ?? ?? ?? ?? 48 8B C6 48 8B 4C 24 60 48 33 CC E8 ?? ?? ?? ?? 48 83 C4 70 41 5C 5F 5E 5D 5B C3 }
	condition:
		$1
}

rule file_53_355_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DO@Z"
		size = 397
		refs = "0028 __security_cookie 0063 __mask@@NegDouble@ 006d __real@4733426172c74d82 0080 __real@4202a05f20000000 00a7 ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00b5 sprintf_s 00d1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 010f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 014e ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 015f ??3@YAXPEAX@Z 016e __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC F0 00 00 00 48 C7 45 A7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 FF 44 88 4C 24 40 4D 8B F0 4C 8B E2 4C 8B F9 48 8B 45 6F 48 89 44 24 48 45 32 ED 66 0F 57 C0 F2 0F 10 5D 7F 66 0F 2F C3 76 0B 41 B5 01 66 0F 57 1D ?? ?? ?? ?? 33 DB F2 0F 10 05 ?? ?? ?? ?? EB 15 48 81 FB 88 13 00 00 73 12 F2 0F 5E 1D ?? ?? ?? ?? 48 83 C3 0A 66 0F 2F D8 73 E5 48 C7 45 C7 0F 00 00 00 48 83 65 BF 00 C6 45 AF 00 66 49 0F 7E D9 4C 8D 05 ?? ?? ?? ?? BA 28 00 00 00 48 8D 4D D7 E8 ?? ?? ?? ?? 33 FF 48 63 F0 85 C0 7E 1B 44 8A 44 3D D7 BA 01 00 00 00 48 8D 4D AF E8 ?? ?? ?? ?? 48 FF C7 48 3B FE 7C E5 41 B0 30 48 8B D3 48 8D 4D AF E8 ?? ?? ?? ?? 48 C7 45 97 0F 00 00 00 48 83 65 8F 00 C6 44 24 60 00 49 83 C9 FF 45 33 C0 48 8D 55 AF 48 8D 4C 24 60 E8 ?? ?? ?? ?? 41 0F 10 2E F3 0F 7F 6C 24 50 48 8D 44 24 60 48 89 44 24 38 44 88 6C 24 30 8A 45 77 88 44 24 28 48 8B 44 24 48 48 89 44 24 20 44 8A 4C 24 40 4C 8D 44 24 50 49 8B D4 49 8B CF E8 ?? ?? ?? ?? 90 48 83 7D C7 10 72 09 48 8B 4D AF E8 ?? ?? ?? ?? 49 8B C4 48 8B 4D FF 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 40 01 00 00 48 81 C4 F0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_53_357_2 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@DAEBV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 315
		refs = "0028 __security_cookie 008c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z 00a1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@_KD@Z 00c6 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@AEBV12@_K1@Z 00fc ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AEBA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAEAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 010d ??3@YAXPEAX@Z 011c __security_check_cookie"
	strings:
		$1 = { 48 8B C4 55 56 57 41 54 41 55 41 56 41 57 48 8D 68 B9 48 81 EC B0 00 00 00 48 C7 45 D7 FE FF FF FF 48 89 58 18 48 8B 05 ?? ?? ?? ?? 48 33 C4 48 89 45 07 45 8A F1 4D 8B E0 48 8B FA 4C 8B E9 4C 8B 7D 6F 48 8B 55 7F 48 83 7A 18 10 72 03 48 8B 12 40 32 F6 80 3A 2D 75 06 40 B6 01 48 FF C2 33 DB 8A 02 EB 0A 3C 39 7F 0A 48 FF C3 8A 04 13 3C 30 7D F2 48 C7 45 F7 0F 00 00 00 48 83 65 EF 00 C6 45 DF 00 4C 8B C3 48 8D 4D DF E8 ?? ?? ?? ?? 90 48 85 DB 75 0F 41 B0 30 8D 53 01 48 8D 4D DF E8 ?? ?? ?? ?? 48 C7 45 C7 0F 00 00 00 48 83 65 BF 00 C6 45 AF 00 49 83 C9 FF 45 33 C0 48 8D 55 DF 48 8D 4D AF E8 ?? ?? ?? ?? 41 0F 10 2C 24 F3 0F 7F 6D 9F 48 8D 45 AF 48 89 44 24 38 40 88 74 24 30 8A 45 77 88 44 24 28 4C 89 7C 24 20 45 8A CE 4C 8D 45 9F 48 8B D7 49 8B CD E8 ?? ?? ?? ?? 90 48 83 7D F7 10 72 09 48 8B 4D DF E8 ?? ?? ?? ?? 48 8B C7 48 8B 4D 07 48 33 CC E8 ?? ?? ?? ?? 48 8B 9C 24 00 01 00 00 48 81 C4 B0 00 00 00 41 5F 41 5E 41 5D 41 5C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_63_66_2 {
	meta:
		name = "?message@_Generic_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 81
		refs = "0016 strerror 0031 strlen 003f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 64 24 38 00 41 8B C8 48 8B FA E8 ?? ?? ?? ?? 48 83 67 10 00 48 C7 47 18 0F 00 00 00 48 8B C8 48 8B D8 C6 07 00 E8 ?? ?? ?? ?? 48 8B D3 48 8B CF 4C 8B C0 E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_63_67_2 {
	meta:
		name = "?message@_Iostream_error_category@std@@UEBA?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@H@Z"
		size = 124
		refs = "0028 ??_C@_0BG@PADBLCHM@iostream?5stream?5error?$AA@ 0030 strlen 0041 strerror 006a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QEAAAEAV12@PEBD_K@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 83 64 24 40 00 48 8B FA 41 83 F8 01 75 25 48 83 62 10 00 48 C7 42 18 0F 00 00 00 48 8D 0D ?? ?? ?? ?? C6 02 00 E8 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? EB 26 41 8B C8 E8 ?? ?? ?? ?? 48 83 67 10 00 48 C7 47 18 0F 00 00 00 48 8B C8 48 8B D8 C6 07 00 E8 ?? ?? ?? ?? 48 8B D3 4C 8B C0 48 8B CF E8 ?? ?? ?? ?? 48 8B 5C 24 30 48 8B C7 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_27_1_3 {
	meta:
		name = "?ArrayUnwindFilter@?A0xc586588d@@YAHPEAU_EXCEPTION_POINTERS@@@Z"
		size = 16
		refs = "0006 __m2mep@?ArrayUnwindFilter@?A0xc586588d@@$$FYAHPEAU_EXCEPTION_POINTERS@@@Z 000c __mep@?ArrayUnwindFilter@?A0xc586588d@@$$FYAHPEAU_EXCEPTION_POINTERS@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_110_3 {
	meta:
		name = "?.cctor@@YMXXZ"
		size = 16
		refs = "0006 __m2mep@?.cctor@@$$FYMXXZ 000c __mep@?.cctor@@$$FYMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_166_1_3 {
	meta:
		name = "??_L@YMXPEAX_KHP6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_L@$$FYMXPEAX_KHP6MX0@Z2@Z 000c __mep@??_L@$$FYMXPEAX_KHP6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_5_3 {
	meta:
		name = "??_M@YMXPEAX_KHP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??_M@$$FYMXPEAX_KHP6MX0@Z@Z 000c __mep@??_M@$$FYMXPEAX_KHP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_1_3 {
	meta:
		name = "??_N@YMXPEAX_KHP6MX0@Z2@Z"
		size = 16
		refs = "0006 __m2mep@??_N@$$FYMXPEAX_KHP6MX0@Z2@Z 000c __mep@??_N@$$FYMXPEAX_KHP6MX0@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_270_1_3 {
	meta:
		name = "??__C@YMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__C@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z 000c __mep@??__C@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_296_1_3 {
	meta:
		name = "??__D@YMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@??__D@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z 000c __mep@??__D@$$FYMXPEAX0_KHP6MX00@ZP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_264_1_3 {
	meta:
		name = "?WinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "0006 __m2mep@?WinMainCRTStartup@@$$FYAHXZ 000c __mep@?WinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_79_3 {
	meta:
		name = "?_Fac_tidy@?A0xeaf09244@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_Fac_tidy@?A0xeaf09244@@$$FYAXXZ 000c __mep@?_Fac_tidy@?A0xeaf09244@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_39_3 {
	meta:
		name = "?_Facet_Register_m@facet@locale@std@@CAXPEAV123@@Z"
		size = 16
		refs = "0006 __m2mep@?_Facet_Register_m@facet@locale@std@@$$FCAXPEAV123@@Z 000c __mep@?_Facet_Register_m@facet@locale@std@@$$FCAXPEAV123@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_27_3_3 {
	meta:
		name = "?__ArrayUnwind@@YMXPEAX_KHP6MX0@Z@Z"
		size = 16
		refs = "0006 __m2mep@?__ArrayUnwind@@$$FYMXPEAX_KHP6MX0@Z@Z 000c __mep@?__ArrayUnwind@@$$FYMXPEAX_KHP6MX0@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_40_3 {
	meta:
		name = "?__alloc_global_lock@?A0xaa70e3a0@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__alloc_global_lock@?A0xaa70e3a0@@$$FYA_NXZ 000c __mep@?__alloc_global_lock@?A0xaa70e3a0@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_21_3 {
	meta:
		name = "?__dealloc_global_lock@?A0xaa70e3a0@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?__dealloc_global_lock@?A0xaa70e3a0@@$$FYAXXZ 000c __mep@?__dealloc_global_lock@?A0xaa70e3a0@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_17_3 {
	meta:
		name = "?__global_lock@?A0xaa70e3a0@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__global_lock@?A0xaa70e3a0@@$$FYA_NXZ 000c __mep@?__global_lock@?A0xaa70e3a0@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_19_3 {
	meta:
		name = "?__global_unlock@?A0xaa70e3a0@@YA_NXZ"
		size = 16
		refs = "0006 __m2mep@?__global_unlock@?A0xaa70e3a0@@$$FYA_NXZ 000c __mep@?__global_unlock@?A0xaa70e3a0@@$$FYA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_172_1_3 {
	meta:
		name = "?__init_cmdline@?A0x3e755a37@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?__init_cmdline@?A0x3e755a37@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?__init_cmdline@?A0x3e755a37@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_3_3 {
	meta:
		name = "?__set_managed_app_type@?A0xf680d475@@YMXXZ"
		size = 16
		refs = "0006 __m2mep@?__set_managed_app_type@?A0xf680d475@@$$FYMXXZ 000c __mep@?__set_managed_app_type@?A0xf680d475@@$$FYMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_1_3 {
	meta:
		name = "?__winit_cmdline@?A0x2798058c@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?__winit_cmdline@?A0x2798058c@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?__winit_cmdline@?A0x2798058c@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_167_3_3 {
	meta:
		name = "?_common_init@?A0x0258134e@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x0258134e@@$$FYAXXZ 000c __mep@?_common_init@?A0x0258134e@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_3_3 {
	meta:
		name = "?_common_init@?A0x2798058c@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x2798058c@@$$FYAXXZ 000c __mep@?_common_init@?A0x2798058c@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_172_3_3 {
	meta:
		name = "?_common_init@?A0x3e755a37@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x3e755a37@@$$FYAXXZ 000c __mep@?_common_init@?A0x3e755a37@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_264_3_3 {
	meta:
		name = "?_common_init@?A0x5ef29415@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0x5ef29415@@$$FYAXXZ 000c __mep@?_common_init@?A0x5ef29415@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_5_3 {
	meta:
		name = "?_common_init@?A0xf680d475@@YAXXZ"
		size = 16
		refs = "0006 __m2mep@?_common_init@?A0xf680d475@@$$FYAXXZ 000c __mep@?_common_init@?A0xf680d475@@$$FYAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_3_3 {
	meta:
		name = "?_initterm@@YMXPEAP6AXXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm@@$$FYMXPEAP6AXXZ0@Z 000c __mep@?_initterm@@$$FYMXPEAP6AXXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_1_3 {
	meta:
		name = "?_initterm_e@@YMHPEAP6AHXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm_e@@$$FYMHPEAP6AHXZ0@Z 000c __mep@?_initterm_e@@$$FYMHPEAP6AHXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_9_3 {
	meta:
		name = "?_initterm_m@@YMXPEBQ6MPEBXXZ0@Z"
		size = 16
		refs = "0006 __m2mep@?_initterm_m@@$$FYMXPEBQ6MPEBXXZ0@Z 000c __mep@?_initterm_m@@$$FYMXPEBQ6MPEBXXZ0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_1_3 {
	meta:
		name = "?_lfind@@YMPEAXPEBX0PEAIIP6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?_lfind@@$$FYMPEAXPEBX0PEAIIP6MH00@Z@Z 000c __mep@?_lfind@@$$FYMPEAXPEBX0PEAIIP6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_199_3_3 {
	meta:
		name = "?_lfind_s@@YMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z"
		size = 16
		refs = "0006 __m2mep@?_lfind_s@@$$FYMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z 000c __mep@?_lfind_s@@$$FYMPEAXPEBX0PEAI_KP6MHPEAX00@Z3@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_1_3 {
	meta:
		name = "?_lsearch@@YMPEAXPEBXPEAXPEAIIP6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?_lsearch@@$$FYMPEAXPEBXPEAXPEAIIP6MH00@Z@Z 000c __mep@?_lsearch@@$$FYMPEAXPEBXPEAXPEAIIP6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_99_3_3 {
	meta:
		name = "?_lsearch_s@@YMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z"
		size = 16
		refs = "0006 __m2mep@?_lsearch_s@@$$FYMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z 000c __mep@?_lsearch_s@@$$FYMPEAXPEBXPEAXPEAI_KP6MH100@Z1@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_1_3 {
	meta:
		name = "?bsearch@@YMPEAXPEBX0_K1P6MH00@Z@Z"
		size = 16
		refs = "0006 __m2mep@?bsearch@@$$FYMPEAXPEBX0_K1P6MH00@Z@Z 000c __mep@?bsearch@@$$FYMPEAXPEBX0_K1P6MH00@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_3_3 {
	meta:
		name = "?bsearch_s@@YMPEAXPEBX0_K1P6MHPEAX00@Z2@Z"
		size = 16
		refs = "0006 __m2mep@?bsearch_s@@$$FYMPEAXPEBX0_K1P6MHPEAX00@Z2@Z 000c __mep@?bsearch_s@@$$FYMPEAXPEBX0_K1P6MHPEAX00@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_172_6_3 {
	meta:
		name = "?mainCRTStartup@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?mainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?mainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_1_3 {
	meta:
		name = "?mainCRTStartupStrArray@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?mainCRTStartupStrArray@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?mainCRTStartupStrArray@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_124_9_3 {
	meta:
		name = "?qsort@@YMXPEAX_K1P6MHPEBX2@Z@Z"
		size = 16
		refs = "0006 __m2mep@?qsort@@$$FYMXPEAX_K1P6MHPEBX2@Z@Z 000c __mep@?qsort@@$$FYMXPEAX_K1P6MHPEBX2@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_124_11_3 {
	meta:
		name = "?qsort_s@@YMXPEAX_K1P6MH0PEBX2@Z0@Z"
		size = 16
		refs = "0006 __m2mep@?qsort_s@@$$FYMXPEAX_K1P6MH0PEBX2@Z0@Z 000c __mep@?qsort_s@@$$FYMXPEAX_K1P6MH0PEBX2@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_124_5_3 {
	meta:
		name = "?shortsort@?A0xd35f639a@@YMXPEAD0_KP6MHPEBX2@Z@Z"
		size = 16
		refs = "0006 __m2mep@?shortsort@?A0xd35f639a@@$$FYMXPEAD0_KP6MHPEBX2@Z@Z 000c __mep@?shortsort@?A0xd35f639a@@$$FYMXPEAD0_KP6MHPEBX2@Z@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_124_7_3 {
	meta:
		name = "?shortsort_s@?A0xd35f639a@@YMXPEAD0_KP6MHPEAXPEBX3@Z2@Z"
		size = 16
		refs = "0006 __m2mep@?shortsort_s@?A0xd35f639a@@$$FYMXPEAD0_KP6MHPEAXPEBX3@Z2@Z 000c __mep@?shortsort_s@?A0xd35f639a@@$$FYMXPEAD0_KP6MHPEAXPEBX3@Z2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_124_1_3 {
	meta:
		name = "?swap@?A0xd35f639a@@YMXPEAD0_K@Z"
		size = 16
		refs = "0006 __m2mep@?swap@?A0xd35f639a@@$$FYMXPEAD0_K@Z 000c __mep@?swap@?A0xd35f639a@@$$FYMXPEAD0_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_124_3_3 {
	meta:
		name = "?swap_c@?A0xd35f639a@@YMXPEAD0_K@Z"
		size = 16
		refs = "0006 __m2mep@?swap_c@?A0xd35f639a@@$$FYMXPEAD0_K@Z 000c __mep@?swap_c@?A0xd35f639a@@$$FYMXPEAD0_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_167_1_3 {
	meta:
		name = "?wWinMainCRTStartup@@YAHXZ"
		size = 16
		refs = "0006 __m2mep@?wWinMainCRTStartup@@$$FYAHXZ 000c __mep@?wWinMainCRTStartup@@$$FYAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_6_3 {
	meta:
		name = "?wmainCRTStartup@@YMHP$01EAPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?wmainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z 000c __mep@?wmainCRTStartup@@$$FYMHP$01EAPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_3_3 {
	meta:
		name = "___CxxCallUnwindDelDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPEAX@Z0@Z 000c __mep@?___CxxCallUnwindDelDtor@@$$J0YMXP6MXPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_1_3 {
	meta:
		name = "___CxxCallUnwindDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPEAX@Z0@Z 000c __mep@?___CxxCallUnwindDtor@@$$J0YMXP6MXPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_5_3 {
	meta:
		name = "___CxxCallUnwindVecDtor"
		size = 16
		refs = "0006 __m2mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPEAX_KHP6MX0@Z@Z01H2@Z 000c __mep@?___CxxCallUnwindVecDtor@@$$J0YMXP6MXPEAX_KHP6MX0@Z@Z01H2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_66_1_3 {
	meta:
		name = "__setargv"
		size = 16
		refs = "0006 __m2mep@?__setargv@@$$J0YAHXZ 000c __mep@?__setargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_83_3 {
	meta:
		name = "__t2m@?<MarshalCopy>@?$allocator@D@std@@SMXPEAV12@0@Z"
		size = 16
		refs = "0006 __m2mep@?<MarshalCopy>@?$allocator@D@std@@$$FSMXPEAV12@0@Z 000c __mep@?<MarshalCopy>@?$allocator@D@std@@$$FSMXPEAV12@0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_85_3 {
	meta:
		name = "__t2m@?<MarshalCopy>@?$allocator@_W@std@@SMXPEAV12@0@Z"
		size = 16
		refs = "0006 __m2mep@?<MarshalCopy>@?$allocator@_W@std@@$$FSMXPEAV12@0@Z 000c __mep@?<MarshalCopy>@?$allocator@_W@std@@$$FSMXPEAV12@0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_123_3 {
	meta:
		name = "__t2m@?<MarshalCopy>@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@SMXPEAV12@0@Z"
		size = 16
		refs = "0006 __m2mep@?<MarshalCopy>@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FSMXPEAV12@0@Z 000c __mep@?<MarshalCopy>@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FSMXPEAV12@0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_117_3 {
	meta:
		name = "__t2m@?<MarshalDestroy>@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@SMXPEAV12@@Z"
		size = 16
		refs = "0006 __m2mep@?<MarshalDestroy>@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FSMXPEAV12@@Z 000c __mep@?<MarshalDestroy>@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FSMXPEAV12@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_7_3 {
	meta:
		name = "__t2m@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@SMP6MPEBXXZP6MPEBXXZ@Z"
		size = 16
		refs = "0006 __m2mep@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPEBXXZP6MPEBXXZ@Z 000c __mep@??$ResolveMethod@$$A6MPEBXXZ@ThisModule@<CrtImplementationDetails>@@$$FSMP6MPEBXXZP6MPEBXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_61_3 {
	meta:
		name = "__t2m@??$_Allocate@_W@std@@YAPEA_W_KPEA_W@Z"
		size = 16
		refs = "0006 __m2mep@??$_Allocate@_W@std@@$$FYAPEA_W_KPEA_W@Z 000c __mep@??$_Allocate@_W@std@@$$FYAPEA_W_KPEA_W@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_87_3 {
	meta:
		name = "__t2m@??0?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@V?$allocator@_W@1@@Z"
		size = 16
		refs = "0006 __m2mep@??0?$_String_val@_WV?$allocator@_W@std@@@std@@$$FQEAA@V?$allocator@_W@1@@Z 000c __mep@??0?$_String_val@_WV?$allocator@_W@std@@@std@@$$FQEAA@V?$allocator@_W@1@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_41_3 {
	meta:
		name = "__t2m@??0?$allocator@D@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0?$allocator@D@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0?$allocator@D@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_21_3 {
	meta:
		name = "__t2m@??0?$allocator@X@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0?$allocator@X@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0?$allocator@X@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_47_3 {
	meta:
		name = "__t2m@??0?$allocator@_W@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0?$allocator@_W@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0?$allocator@_W@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_121_3 {
	meta:
		name = "__t2m@??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_69_3 {
	meta:
		name = "__t2m@??0?$gcroot@PE$AAVString@System@@@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??0?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ 000c __mep@??0?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_101_3 {
	meta:
		name = "__t2m@??0LanguageSupport@<CrtImplementationDetails>@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ 000c __mep@??0LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_7_3 {
	meta:
		name = "__t2m@??0_Exception_ptr@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0_Exception_ptr@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0_Exception_ptr@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_33_3 {
	meta:
		name = "__t2m@??0_Fac_node@std@@QEAA@PEAU01@PEAVfacet@locale@1@@Z"
		size = 16
		refs = "0006 __m2mep@??0_Fac_node@std@@$$FQEAA@PEAU01@PEAVfacet@locale@1@@Z 000c __mep@??0_Fac_node@std@@$$FQEAA@PEAU01@PEAVfacet@locale@1@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_95_3 {
	meta:
		name = "__t2m@??0_Iterator_base12@std@@QEAA@AEBU01@@Z"
		size = 16
		refs = "0006 __m2mep@??0_Iterator_base12@std@@$$FQEAA@AEBU01@@Z 000c __mep@??0_Iterator_base12@std@@$$FQEAA@AEBU01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_63_3 {
	meta:
		name = "__t2m@??0bad_alloc@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0bad_alloc@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0bad_alloc@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_1_3 {
	meta:
		name = "__t2m@??0bad_alloc@std@@QEAA@PEBD@Z"
		size = 16
		refs = "0006 __m2mep@??0bad_alloc@std@@$$FQEAA@PEBD@Z 000c __mep@??0bad_alloc@std@@$$FQEAA@PEBD@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_75_3 {
	meta:
		name = "__t2m@??0failure@ios_base@std@@QEAA@AEBV012@@Z"
		size = 16
		refs = "0006 __m2mep@??0failure@ios_base@std@@$$FQEAA@AEBV012@@Z 000c __mep@??0failure@ios_base@std@@$$FQEAA@AEBV012@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_27_3 {
	meta:
		name = "__t2m@??0locale@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0locale@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0locale@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_25_3 {
	meta:
		name = "__t2m@??0runtime_error@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0runtime_error@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0runtime_error@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_31_3 {
	meta:
		name = "__t2m@??0system_error@std@@QEAA@AEBV01@@Z"
		size = 16
		refs = "0006 __m2mep@??0system_error@std@@$$FQEAA@AEBV01@@Z 000c __mep@??0system_error@std@@$$FQEAA@AEBV01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_45_3 {
	meta:
		name = "__t2m@??1?$_String_val@_WV?$allocator@_W@std@@@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1?$_String_val@_WV?$allocator@_W@std@@@std@@$$FQEAA@XZ 000c __mep@??1?$_String_val@_WV?$allocator@_W@std@@@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_113_3 {
	meta:
		name = "__t2m@??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAA@XZ 000c __mep@??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_71_3 {
	meta:
		name = "__t2m@??1?$gcroot@PE$AAVString@System@@@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ 000c __mep@??1?$gcroot@PE$AAVString@System@@@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_103_3 {
	meta:
		name = "__t2m@??1LanguageSupport@<CrtImplementationDetails>@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ 000c __mep@??1LanguageSupport@<CrtImplementationDetails>@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_35_3 {
	meta:
		name = "__t2m@??1_Fac_node@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1_Fac_node@std@@$$FQEAA@XZ 000c __mep@??1_Fac_node@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_81_3 {
	meta:
		name = "__t2m@??1_Fac_tidy_reg_t@std@@QEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1_Fac_tidy_reg_t@std@@$$FQEAA@XZ 000c __mep@??1_Fac_tidy_reg_t@std@@$$FQEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_4_3 {
	meta:
		name = "__t2m@??1bad_alloc@std@@UEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1bad_alloc@std@@$$FUEAA@XZ 000c __mep@??1bad_alloc@std@@$$FUEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_73_3 {
	meta:
		name = "__t2m@??1failure@ios_base@std@@UEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1failure@ios_base@std@@$$FUEAA@XZ 000c __mep@??1failure@ios_base@std@@$$FUEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_23_3 {
	meta:
		name = "__t2m@??1runtime_error@std@@UEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1runtime_error@std@@$$FUEAA@XZ 000c __mep@??1runtime_error@std@@$$FUEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_29_3 {
	meta:
		name = "__t2m@??1system_error@std@@UEAA@XZ"
		size = 16
		refs = "0006 __m2mep@??1system_error@std@@$$FUEAA@XZ 000c __mep@??1system_error@std@@$$FUEAA@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_73_3 {
	meta:
		name = "__t2m@??4?$gcroot@PE$AAVString@System@@@@QEAMAEAU0@PE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@??4?$gcroot@PE$AAVString@System@@@@$$FQEAMAEAU0@PE$AAVString@System@@@Z 000c __mep@??4?$gcroot@PE$AAVString@System@@@@$$FQEAMAEAU0@PE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_65_3 {
	meta:
		name = "__t2m@??4_Iterator_base12@std@@QEAAAEAU01@AEBU01@@Z"
		size = 16
		refs = "0006 __m2mep@??4_Iterator_base12@std@@$$FQEAAAEAU01@AEBU01@@Z 000c __mep@??4_Iterator_base12@std@@$$FQEAAAEAU01@AEBU01@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_75_3 {
	meta:
		name = "__t2m@??B?$gcroot@PE$AAVString@System@@@@QEBMPE$AAVString@System@@XZ"
		size = 16
		refs = "0006 __m2mep@??B?$gcroot@PE$AAVString@System@@@@$$FQEBMPE$AAVString@System@@XZ 000c __mep@??B?$gcroot@PE$AAVString@System@@@@$$FQEBMPE$AAVString@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_5_3 {
	meta:
		name = "__t2m@??_Ebad_alloc@std@@UEAAPEAXI@Z"
		size = 16
		refs = "0006 __m2mep@??_Ebad_alloc@std@@$$FUEAAPEAXI@Z 000c __mep@??_Ebad_alloc@std@@$$FUEAAPEAXI@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_74_3 {
	meta:
		name = "__t2m@??_Efailure@ios_base@std@@UEAAPEAXI@Z"
		size = 16
		refs = "0006 __m2mep@??_Efailure@ios_base@std@@$$FUEAAPEAXI@Z 000c __mep@??_Efailure@ios_base@std@@$$FUEAAPEAXI@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_67_3 {
	meta:
		name = "__t2m@??_Eruntime_error@std@@UEAAPEAXI@Z"
		size = 16
		refs = "0006 __m2mep@??_Eruntime_error@std@@$$FUEAAPEAXI@Z 000c __mep@??_Eruntime_error@std@@$$FUEAAPEAXI@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_69_3 {
	meta:
		name = "__t2m@??_Esystem_error@std@@UEAAPEAXI@Z"
		size = 16
		refs = "0006 __m2mep@??_Esystem_error@std@@$$FUEAAPEAXI@Z 000c __mep@??_Esystem_error@std@@$$FUEAAPEAXI@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_37_3 {
	meta:
		name = "__t2m@??_G_Fac_node@std@@QEAAPEAXI@Z"
		size = 16
		refs = "0006 __m2mep@??_G_Fac_node@std@@$$FQEAAPEAXI@Z 000c __mep@??_G_Fac_node@std@@$$FQEAAPEAXI@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_38_3 {
	meta:
		name = "__t2m@?AddRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?AddRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_99_3 {
	meta:
		name = "__t2m@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@AEAMXPE$AAVException@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z 000c __mep@?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_45_3 {
	meta:
		name = "__t2m@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@YAXP6AJPEAX@Z0@Z"
		size = 16
		refs = "0006 __m2mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z 000c __mep@?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_49_3 {
	meta:
		name = "__t2m@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@CAJPEAX@Z"
		size = 16
		refs = "0006 __m2mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPEAX@Z 000c __mep@?DoNothing@DefaultDomain@<CrtImplementationDetails>@@$$FCAJPEAX@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_67_3 {
	meta:
		name = "__t2m@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z"
		size = 16
		refs = "0006 __m2mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z 000c __mep@?DomainUnload@LanguageSupport@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_13_3 {
	meta:
		name = "__t2m@?Enter@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Enter@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_15_3 {
	meta:
		name = "__t2m@?Exit@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Exit@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_34_3 {
	meta:
		name = "__t2m@?FromGUID@<CrtImplementationDetails>@@YM?AVGuid@System@@AEBU_GUID@@@Z"
		size = 16
		refs = "0006 __m2mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@AEBU_GUID@@@Z 000c __mep@?FromGUID@<CrtImplementationDetails>@@$$FYM?AVGuid@System@@AEBU_GUID@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_42_3 {
	meta:
		name = "__t2m@?GetDefaultDomain@<CrtImplementationDetails>@@YMPE$AAVAppDomain@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ 000c __mep@?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_5_3 {
	meta:
		name = "__t2m@?Handle@ThisModule@<CrtImplementationDetails>@@CM?AVModuleHandle@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ 000c __mep@?Handle@ThisModule@<CrtImplementationDetails>@@$$FCM?AVModuleHandle@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_53_3 {
	meta:
		name = "__t2m@?HasNative@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?HasNative@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_51_3 {
	meta:
		name = "__t2m@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?HasPerProcess@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_59_3 {
	meta:
		name = "__t2m@?Initialize@DefaultDomain@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?Initialize@DefaultDomain@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_108_3 {
	meta:
		name = "__t2m@?Initialize@LanguageSupport@<CrtImplementationDetails>@@QEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ 000c __mep@?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_83_3 {
	meta:
		name = "__t2m@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeDefaultAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_85_3 {
	meta:
		name = "__t2m@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeNative@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_89_3 {
	meta:
		name = "__t2m@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializePerAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_87_3 {
	meta:
		name = "__t2m@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializePerProcess@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_91_3 {
	meta:
		name = "__t2m@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeUninitializer@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_81_3 {
	meta:
		name = "__t2m@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?InitializeVtables@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1_3 {
	meta:
		name = "__t2m@?IsInDllMain@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInDllMain@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInDllMain@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_3_3 {
	meta:
		name = "__t2m@?IsInProcessAttach@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInProcessAttach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInProcessAttach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_5_3 {
	meta:
		name = "__t2m@?IsInProcessDetach@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInProcessDetach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInProcessDetach@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_7_3 {
	meta:
		name = "__t2m@?IsInVcclrit@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInVcclrit@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInVcclrit@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_9_3 {
	meta:
		name = "__t2m@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsInitialized@AtExitLock@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_9_3 {
	meta:
		name = "__t2m@?IsSafeForManagedCode@NativeDll@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?IsSafeForManagedCode@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?IsSafeForManagedCode@NativeDll@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_55_3 {
	meta:
		name = "__t2m@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?NeedsInitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_57_3 {
	meta:
		name = "__t2m@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@SA_NXZ"
		size = 16
		refs = "0006 __m2mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ 000c __mep@?NeedsUninitialization@DefaultDomain@<CrtImplementationDetails>@@$$FSA_NXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_32_3 {
	meta:
		name = "__t2m@?RegisterModuleUninitializer@<CrtImplementationDetails>@@YMXPE$AAVEventHandler@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXPE$AAVEventHandler@System@@@Z 000c __mep@?RegisterModuleUninitializer@<CrtImplementationDetails>@@$$FYMXPE$AAVEventHandler@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_11_3 {
	meta:
		name = "__t2m@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@SAXXZ"
		size = 16
		refs = "0006 __m2mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ 000c __mep@?RemoveRef@AtExitLock@<CrtImplementationDetails>@@$$FSAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_23_3 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVString@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@@Z 000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_25_3 {
	meta:
		name = "__t2m@?ThrowModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVString@System@@PE$AAVException@3@@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@PE$AAVException@3@@Z 000c __mep@?ThrowModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVString@System@@PE$AAVException@3@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_78_3 {
	meta:
		name = "__t2m@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@YMXPE$AAVException@System@@0@Z"
		size = 16
		refs = "0006 __m2mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVException@System@@0@Z 000c __mep@?ThrowNestedModuleLoadException@<CrtImplementationDetails>@@$$FYMXPE$AAVException@System@@0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_61_3 {
	meta:
		name = "__t2m@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?UninitializeAppDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_65_3 {
	meta:
		name = "__t2m@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_19_3 {
	meta:
		name = "__t2m@?_Adopt@_Iterator_base12@std@@QEAAXPEBU_Container_base12@2@@Z"
		size = 16
		refs = "0006 __m2mep@?_Adopt@_Iterator_base12@std@@$$FQEAAXPEBU_Container_base12@2@@Z 000c __mep@?_Adopt@_Iterator_base12@std@@$$FQEAAXPEBU_Container_base12@2@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_111_3 {
	meta:
		name = "__t2m@?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K0@Z"
		size = 16
		refs = "0006 __m2mep@?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_K0@Z 000c __mep@?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_K0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_89_3 {
	meta:
		name = "__t2m@?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_K@Z"
		size = 16
		refs = "0006 __m2mep@?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_K@Z 000c __mep@?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_115_3 {
	meta:
		name = "__t2m@?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAA_N_K_N@Z"
		size = 16
		refs = "0006 __m2mep@?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAA_N_K_N@Z 000c __mep@?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAA_N_K_N@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_95_3 {
	meta:
		name = "__t2m@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@AEAAXXZ"
		size = 16
		refs = "0006 __m2mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ 000c __mep@?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_51_3 {
	meta:
		name = "__t2m@?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAPEA_WXZ"
		size = 16
		refs = "0006 __m2mep@?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAPEA_WXZ 000c __mep@?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAPEA_WXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_43_3 {
	meta:
		name = "__t2m@?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAPEB_WXZ"
		size = 16
		refs = "0006 __m2mep@?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBAPEB_WXZ 000c __mep@?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBAPEB_WXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_97_3 {
	meta:
		name = "__t2m@?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAX_N_K@Z"
		size = 16
		refs = "0006 __m2mep@?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_N_K@Z 000c __mep@?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_N_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_63_3 {
	meta:
		name = "__t2m@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@CAJPEAX@Z"
		size = 16
		refs = "0006 __m2mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPEAX@Z 000c __mep@?_UninitializeDefaultDomain@LanguageSupport@<CrtImplementationDetails>@@$$FCAJPEAX@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_57_3 {
	meta:
		name = "__t2m@?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
		size = 16
		refs = "0006 __m2mep@?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBAXXZ 000c __mep@?_Xlen@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_53_3 {
	meta:
		name = "__t2m@?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBAXXZ"
		size = 16
		refs = "0006 __m2mep@?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBAXXZ 000c __mep@?_Xran@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_37_3 {
	meta:
		name = "__t2m@?__get_default_appdomain@@YAJPEAPEAUIUnknown@@@Z"
		size = 16
		refs = "0006 __m2mep@?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z 000c __mep@?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_39_3 {
	meta:
		name = "__t2m@?__release_appdomain@@YAXPEAUIUnknown@@@Z"
		size = 16
		refs = "0006 __m2mep@?__release_appdomain@@$$FYAXPEAUIUnknown@@@Z 000c __mep@?__release_appdomain@@$$FYAXPEAUIUnknown@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_1_3 {
	meta:
		name = "__t2m@?_handle@AtExitLock@<CrtImplementationDetails>@@CMPE$AAVGCHandle@InteropServices@Runtime@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVGCHandle@InteropServices@Runtime@System@@XZ 000c __mep@?_handle@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVGCHandle@InteropServices@Runtime@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_36_3 {
	meta:
		name = "__t2m@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z 000c __mep@?_lock_Construct@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_7_3 {
	meta:
		name = "__t2m@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@CAXXZ"
		size = 16
		refs = "0006 __m2mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ 000c __mep@?_lock_Destruct@AtExitLock@<CrtImplementationDetails>@@$$FCAXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_5_3 {
	meta:
		name = "__t2m@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@CMPE$AAVObject@System@@XZ"
		size = 16
		refs = "0006 __m2mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVObject@System@@XZ 000c __mep@?_lock_Get@AtExitLock@<CrtImplementationDetails>@@$$FCMPE$AAVObject@System@@XZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_3_3 {
	meta:
		name = "__t2m@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@CMXPE$AAVObject@System@@@Z"
		size = 16
		refs = "0006 __m2mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z 000c __mep@?_lock_Set@AtExitLock@<CrtImplementationDetails>@@$$FCMXPE$AAVObject@System@@@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_93_3 {
	meta:
		name = "__t2m@?allocate@?$allocator@_W@std@@QEAAPEA_W_K@Z"
		size = 16
		refs = "0006 __m2mep@?allocate@?$allocator@_W@std@@$$FQEAAPEA_W_K@Z 000c __mep@?allocate@?$allocator@_W@std@@$$FQEAAPEA_W_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_119_3 {
	meta:
		name = "__t2m@?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@AEBV12@_K1@Z"
		size = 16
		refs = "0006 __m2mep@?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAAEAV12@AEBV12@_K1@Z 000c __mep@?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAAEAV12@AEBV12@_K1@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_17_3 {
	meta:
		name = "__t2m@?assign@?$char_traits@_W@std@@SAXAEA_WAEB_W@Z"
		size = 16
		refs = "0006 __m2mep@?assign@?$char_traits@_W@std@@$$FSAXAEA_WAEB_W@Z 000c __mep@?assign@?$char_traits@_W@std@@$$FSAXAEA_WAEB_W@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_13_3 {
	meta:
		name = "__t2m@?copy@?$char_traits@_W@std@@SAPEA_WPEA_WPEB_W_K@Z"
		size = 16
		refs = "0006 __m2mep@?copy@?$char_traits@_W@std@@$$FSAPEA_WPEA_WPEB_W_K@Z 000c __mep@?copy@?$char_traits@_W@std@@$$FSAPEA_WPEA_WPEB_W_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_55_3 {
	meta:
		name = "__t2m@?deallocate@?$allocator@_W@std@@QEAAXPEA_W_K@Z"
		size = 16
		refs = "0006 __m2mep@?deallocate@?$allocator@_W@std@@$$FQEAAXPEA_W_K@Z 000c __mep@?deallocate@?$allocator@_W@std@@$$FQEAAXPEA_W_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_99_3 {
	meta:
		name = "__t2m@?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEAAAEAV12@_K0@Z"
		size = 16
		refs = "0006 __m2mep@?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAAEAV12@_K0@Z 000c __mep@?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAAEAV12@_K0@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_59_3 {
	meta:
		name = "__t2m@?max_size@?$allocator@_W@std@@QEBA_KXZ"
		size = 16
		refs = "0006 __m2mep@?max_size@?$allocator@_W@std@@$$FQEBA_KXZ 000c __mep@?max_size@?$allocator@_W@std@@$$FQEBA_KXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_91_3 {
	meta:
		name = "__t2m@?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA_KXZ"
		size = 16
		refs = "0006 __m2mep@?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBA_KXZ 000c __mep@?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBA_KXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_15_3 {
	meta:
		name = "__t2m@?move@?$char_traits@_W@std@@SAPEA_WPEA_WPEB_W_K@Z"
		size = 16
		refs = "0006 __m2mep@?move@?$char_traits@_W@std@@$$FSAPEA_WPEA_WPEB_W_K@Z 000c __mep@?move@?$char_traits@_W@std@@$$FSAPEA_WPEA_WPEB_W_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_49_3 {
	meta:
		name = "__t2m@?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QEBA_KXZ"
		size = 16
		refs = "0006 __m2mep@?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBA_KXZ 000c __mep@?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEBA_KXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_9_3 {
	meta:
		name = "__t2m@wmemcpy"
		size = 16
		refs = "0006 __m2mep@?wmemcpy@@$$J0YAPEA_WPEA_WPEB_W_K@Z 000c __mep@?wmemcpy@@$$J0YAPEA_WPEA_WPEB_W_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_11_3 {
	meta:
		name = "__t2m@wmemmove"
		size = 16
		refs = "0006 __m2mep@?wmemmove@@$$J0YAPEA_WPEA_WPEB_W_K@Z 000c __mep@?wmemmove@@$$J0YAPEA_WPEA_WPEB_W_K@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_181_1_3 {
	meta:
		name = "__wsetargv"
		size = 16
		refs = "0006 __m2mep@?__wsetargv@@$$J0YAHXZ 000c __mep@?__wsetargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_32_3 {
	meta:
		name = "_app_exit_callback"
		size = 16
		refs = "0006 __m2mep@?_app_exit_callback@@$$J0YMXXZ 000c __mep@?_app_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_26_3 {
	meta:
		name = "_atexit_helper"
		size = 16
		refs = "0006 __m2mep@?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z 000c __mep@?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_30_3 {
	meta:
		name = "_atexit_m"
		size = 16
		refs = "0006 __m2mep@?_atexit_m@@$$J0YMHP6MXXZ@Z 000c __mep@?_atexit_m@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_34_3 {
	meta:
		name = "_atexit_m_appdomain"
		size = 16
		refs = "0006 __m2mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z 000c __mep@?_atexit_m_appdomain@@$$J0YMHP6MXXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_28_3 {
	meta:
		name = "_exit_callback"
		size = 16
		refs = "0006 __m2mep@?_exit_callback@@$$J0YMXXZ 000c __mep@?_exit_callback@@$$J0YMXXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_46_3 {
	meta:
		name = "_initatexit_app_domain"
		size = 16
		refs = "0006 __m2mep@?_initatexit_app_domain@@$$J0YMHXZ 000c __mep@?_initatexit_app_domain@@$$J0YMHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_42_3 {
	meta:
		name = "_initatexit_m"
		size = 16
		refs = "0006 __m2mep@?_initatexit_m@@$$J0YMHXZ 000c __mep@?_initatexit_m@@$$J0YMHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_44_3 {
	meta:
		name = "_onexit_m"
		size = 16
		refs = "0006 __m2mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z 000c __mep@?_onexit_m@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_48_3 {
	meta:
		name = "_onexit_m_appdomain"
		size = 16
		refs = "0006 __m2mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z 000c __mep@?_onexit_m_appdomain@@$$J0YMP6MHXZP6MHXZ@Z"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_1_3 {
	meta:
		name = "_setargv"
		size = 16
		refs = "0006 __m2mep@?_setargv@@$$J0YAHXZ 000c __mep@?_setargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_151_1_3 {
	meta:
		name = "_wsetargv"
		size = 16
		refs = "0006 __m2mep@?_wsetargv@@$$J0YAHXZ 000c __mep@?_wsetargv@@$$J0YAHXZ"
	strings:
		$1 = { EB 08 0F 0B FF 25 ?? ?? ?? ?? FF 25 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_27_3 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000BA 0009 0A00010C"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_1988_15_6 {
	meta:
		name = "__catch$?AddHandler@ModuleUninitializer@<CrtImplementationDetails>@@$$FQE$AAMXPE$AAVEventHandler@System@@@Z$0"
		size = 45
		refs = "0004 040000BA 0009 0A0000AC"
	strings:
		$1 = { 06 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 41 1C 00 00 02 00 00 00 07 00 00 00 20 00 00 00 27 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_47_29_3 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000014 000e 0A0000DE"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_1988_17_6 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$0"
		size = 21
		refs = "0004 01000014 000e 0A000088"
	strings:
		$1 = { 06 0D 06 75 ?? ?? ?? ?? 0B 07 2C 06 07 6F ?? ?? ?? ?? DC DE 0E }
	condition:
		$1
}

rule file_47_30_3 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000BA 0009 0A00010C"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 40 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_1988_18_6 {
	meta:
		name = "__catch$?SingletonDomainUnload@ModuleUninitializer@<CrtImplementationDetails>@@$$FAE$AAMXPE$AAVObject@System@@PE$AAVEventArgs@4@@Z$2"
		size = 70
		refs = "0004 040000BA 0009 0A0000AC"
	strings:
		$1 = { 08 2C 0A 7E ?? ?? ?? ?? 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 1F 00 00 00 1E 00 00 00 3D 00 00 00 13 00 00 00 40 00 00 01 02 00 00 00 07 00 00 00 4B 00 00 00 52 00 00 00 0E 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_47_36_3 {
	meta:
		name = "__catch$?__get_default_appdomain@@$$FYAJPEAPEAUIUnknown@@@Z$0"
		size = 74
		refs = "0001 0A0000F8 0016 11000001 0024 11000003 0046 01000009"
	strings:
		$1 = { 28 ?? ?? ?? ?? 0B DE 00 07 16 32 1D 06 02 06 4C 1F 68 6A 58 4C 29 ?? ?? ?? ?? 0B 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 26 07 2A 00 00 00 41 1C 00 00 00 00 00 00 03 00 00 00 2F 00 00 00 32 00 00 00 08 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_41_3 {
	meta:
		name = "__catch$?GetDefaultDomain@<CrtImplementationDetails>@@$$FYMPE$AAVAppDomain@System@@XZ$0"
		size = 55
		refs = "0009 11000003 0011 0A0000F7"
	strings:
		$1 = { 07 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 26 DC 06 28 ?? ?? ?? ?? 14 2A 08 2A 00 00 41 1C 00 00 02 00 00 00 0F 00 00 00 16 00 00 00 25 00 00 00 0F 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_47_44_3 {
	meta:
		name = "__catch$?DoCallBackInDefaultDomain@<CrtImplementationDetails>@@$$FYAXP6AJPEAX@Z0@Z$0"
		size = 47
		refs = "0009 11000003"
	strings:
		$1 = { 06 25 4C 1F 10 6A 58 4C 29 ?? ?? ?? ?? 26 DC 2A 00 00 00 41 1C 00 00 02 00 00 00 27 00 00 00 2A 00 00 00 51 00 00 00 0F 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_47_93_3 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ$0"
		size = 89
		refs = "0001 0A000113 000a 0A00010A 0029 0A0000B1 0031 0A00003C 0036 040000D6 003e 0A00003E 0044 0A00003F 004b 0A000038"
	strings:
		$1 = { 7F ?? ?? ?? ?? 11 04 16 6A 28 ?? ?? ?? ?? 0C 08 2D 04 17 0A 2B 09 08 11 04 33 04 17 0D 17 0A DC 06 2D 0A 20 E8 03 00 00 28 ?? ?? ?? ?? 2B CC 02 28 ?? ?? ?? ?? 7E ?? ?? ?? ?? 2C 0E 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2B 0D 28 ?? ?? ?? ?? 16 33 03 07 2B 01 17 0B DE 11 }
	condition:
		$1
}

rule file_47_94_3 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAEAAXXZ$2"
		size = 100
		refs = "0004 0A000113 000b 0A000108 0016 0A00003D 001c 0A000040 0022 040000E8 0028 0A000041"
	strings:
		$1 = { 09 2D 0D 7F ?? ?? ?? ?? 16 6A 28 ?? ?? ?? ?? 26 DC 07 2C 06 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 17 80 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2A 00 00 00 41 34 00 00 02 00 00 00 39 00 00 00 02 00 00 00 3B 00 00 00 20 00 00 00 40 00 00 01 02 00 00 00 36 00 00 00 5E 00 00 00 94 00 00 00 11 00 00 00 40 00 00 01 }
	condition:
		$1
}

rule file_47_98_3 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z$1"
		size = 64
		refs = "0004 06000031 0024 01000009 003c 0100000E"
	strings:
		$1 = { 0C 03 14 28 ?? ?? ?? ?? DE 00 2A 00 41 34 00 00 00 00 00 00 00 00 00 00 1E 00 00 00 1E 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 1E 00 00 00 28 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_105_3 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$0"
		size = 22
		refs = "0001 040000EE 0006 0A000106 0010 0A000043"
	strings:
		$1 = { 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 17 0A DC 02 28 ?? ?? ?? ?? DE 34 }
	condition:
		$1
}

rule file_47_106_3 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$2"
		size = 26
		refs = "0007 06000053 000d 0600005B 0013 06000005"
	strings:
		$1 = { 0B 06 2C 07 02 07 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 07 73 ?? ?? ?? ?? 7A DE 1A }
	condition:
		$1
}

rule file_47_107_3 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAAXXZ$3"
		size = 106
		refs = "0007 06000053 000d 0600005B 0013 06000005 004e 01000009 0066 0100000E"
	strings:
		$1 = { 0C 06 2C 07 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 73 ?? ?? ?? ?? 7A DE 00 2A 00 00 00 41 4C 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0E 00 00 00 40 00 00 01 00 00 00 00 07 00 00 00 29 00 00 00 30 00 00 00 1A 00 00 00 ?? ?? ?? ?? 00 00 00 00 07 00 00 00 29 00 00 00 4A 00 00 00 1A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_4_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0x2798058c@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0x2798058c@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_167_4_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0x0258134e@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0x0258134e@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_172_4_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0x3e755a37@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0x3e755a37@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_264_4_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0x5ef29415@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0x5ef29415@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_197_6_3 {
	meta:
		name = "?_mixed_pre_c_init@?A0xf680d475@@YAHXZ"
		size = 65
		refs = "0009 EncodePointer 000f __defaultmatherr 0017 __onexitend 001e __onexitbegin 0027 _matherr 002c __setusermatherr 0031 _RTC_Initialize 0036 ?_common_init@?A0xf680d475@@YAXXZ"
	strings:
		$1 = { 48 83 EC 28 48 83 C9 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 75 0C 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_144_23_3 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$0"
		size = 103
		refs = "000e 0A000066 0016 0A000065 001f 0A000071 0030 0A000067 0058 0A00007B"
	strings:
		$1 = { 26 12 0A 03 4C 1E 6A 5A 1F 0C 6A 58 69 28 ?? ?? ?? ?? 12 09 07 28 ?? ?? ?? ?? 11 09 11 0A 28 ?? ?? ?? ?? 13 05 11 05 13 10 11 05 13 0F 12 0F 28 ?? ?? ?? ?? 07 59 06 58 0A 12 0F 28 ?? ?? ?? ?? 0B 03 25 4C 1A 6A 58 55 DE 00 06 02 55 06 1E 6A 58 0A 02 13 08 05 07 28 ?? ?? ?? ?? 55 04 06 28 ?? ?? ?? ?? 55 DE 05 }
	condition:
		$1
}

rule file_974_12_6 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$0"
		size = 103
		refs = "000e 0A000054 0016 0A000053 001f 0A00005F 0030 0A000055 0058 0A000067"
	strings:
		$1 = { 26 12 0A 03 4C 1E 6A 5A 1F 0C 6A 58 69 28 ?? ?? ?? ?? 12 09 07 28 ?? ?? ?? ?? 11 09 11 0A 28 ?? ?? ?? ?? 13 05 11 05 13 10 11 05 13 0F 12 0F 28 ?? ?? ?? ?? 07 59 06 58 0A 12 0F 28 ?? ?? ?? ?? 0B 03 25 4C 1A 6A 58 55 DE 00 06 02 55 06 1E 6A 58 0A 02 13 08 05 07 28 ?? ?? ?? ?? 55 04 06 28 ?? ?? ?? ?? 55 DE 05 }
	condition:
		$1
}

rule file_144_25_3 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$3"
		size = 100
		refs = "0001 0A00001B 0030 0100000A"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 08 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 73 00 00 00 AA 00 00 00 4A 00 00 00 ?? ?? ?? ?? 00 00 00 00 14 00 00 00 FD 00 00 00 11 01 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 14 00 00 00 04 01 00 00 18 01 00 00 07 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_233_77_3 {
	meta:
		name = "__catch$?_Fac_tidy@?A0xeaf09244@@$$FYAXXZ$0"
		size = 51
		refs = "0002 0A000315 000a 040001B1 002a 0A00013A"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 7E ?? ?? ?? ?? 2C 21 7E ?? ?? ?? ?? 0A 7E ?? ?? ?? ?? 4C 80 ?? ?? ?? ?? 06 13 05 06 13 04 06 17 28 ?? ?? ?? ?? 0D 2B D8 DE 0A }
	condition:
		$1
}

rule file_1002_262_6 {
	meta:
		name = "__catch$?_Fac_tidy@?A0xeaf09244@@$$FYMXXZ$0"
		size = 51
		refs = "0002 0A0000B8 000a 040001D4 002a 06000169"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 7E ?? ?? ?? ?? 2C 21 7E ?? ?? ?? ?? 0A 7E ?? ?? ?? ?? 4C 80 ?? ?? ?? ?? 06 13 05 06 13 04 06 17 28 ?? ?? ?? ?? 0D 2B D8 DE 0A }
	condition:
		$1
}

rule file_233_78_3 {
	meta:
		name = "__catch$?_Fac_tidy@?A0xeaf09244@@$$FYAXXZ$2"
		size = 65
		refs = "0005 0A000316"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 25 00 00 01 02 00 00 00 09 00 00 00 3A 00 00 00 43 00 00 00 0A 00 00 00 25 00 00 01 }
	condition:
		$1
}

rule file_233_101_3 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_K0@Z$0"
		size = 25
		refs = "0002 0A0003A2 0009 0A0003A1 0013 0A000292"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_438_391_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2541_98_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A00008D 0009 0A00008C 0013 0A000067"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2489_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D7 0009 0A0000D6 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2387_393_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D5 0009 0A0000D4 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2185_390_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_792_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2045_390_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D5 0009 0A0000D4 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1880_505_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000E0 0009 0A0000DF 0013 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1618_432_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000088"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1479_390_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1376_390_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D8 0009 0A0000D7 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1315_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D5 0009 0A0000D4 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_780_390_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_203_390_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D8 0009 0A0000D7 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_814_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1880_516_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000E0 0009 0A0000DF 0013 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_803_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1262_343_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000E1 0009 0A0000E0 0013 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1002_337_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A0000D7 0009 0A0000D6 0013 0A00008E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2497_308_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$0"
		size = 25
		refs = "0002 0A00010E 0009 0A00010D 0013 0A0000B6"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_233_102_3 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0003A1 000b 0A0002C1 0019 0A000244"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1880_517_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000DF 000b 0A00004D 0019 0600030C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_3302_392_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D5 000b 0A000046 0019 06000272"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2541_99_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A00008C 000b 0A00003D 0019 060000C6"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2497_309_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A00010D 000b 0A00006C 0019 0600026D"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2489_393_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D6 000b 0A000046 0019 06000278"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2387_394_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D4 000b 0A000046 0019 06000278"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2185_391_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D5 000b 0A000046 0019 06000272"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2171_815_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000E8 000b 0A000051 0019 06000477"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2171_804_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000E8 000b 0A000051 0019 06000476"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2171_793_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000E8 000b 0A000051 0019 06000471"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_2045_391_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D4 000b 0A000046 0019 06000274"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_203_391_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D7 000b 0A000046 0019 06000272"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1880_506_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000DF 000b 0A00004D 0019 06000307"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1618_433_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D5 000b 0A00004B 0019 060002A2"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1479_391_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D5 000b 0A000046 0019 06000272"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1376_391_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D7 000b 0A000046 0019 06000272"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1315_393_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D4 000b 0A000046 0019 06000278"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1262_344_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000E0 000b 0A00004D 0019 060002B0"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_1002_338_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D6 000b 0A00004E 0019 0600028F"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_780_391_6 {
	meta:
		name = "$LN85"
		size = 32
		refs = "0004 0A0000D5 000b 0A000046 0019 06000272"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 07 28 ?? ?? ?? ?? 26 03 0A 03 17 6A 58 16 6A 28 ?? ?? ?? ?? 0D DE 5F }
	condition:
		$1
}

rule file_233_103_3 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_K0@Z$1"
		size = 25
		refs = "0002 0A0003A2 0009 0A0003A1 0013 0A000292"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_438_393_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2541_100_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A00008D 0009 0A00008C 0013 0A000067"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2489_394_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D7 0009 0A0000D6 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2387_395_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D5 0009 0A0000D4 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2185_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_794_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2045_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D5 0009 0A0000D4 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1880_507_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000E0 0009 0A0000DF 0013 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1618_434_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000088"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1479_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1376_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D8 0009 0A0000D7 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1315_394_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D5 0009 0A0000D4 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_780_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_203_392_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D8 0009 0A0000D7 0013 0A000085"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_816_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1880_518_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000E0 0009 0A0000DF 0013 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_805_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1262_345_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000E1 0009 0A0000E0 0013 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1002_339_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A0000D7 0009 0A0000D6 0013 0A00008E"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2497_310_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$1"
		size = 25
		refs = "0002 0A00010E 0009 0A00010D 0013 0A0000B6"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2161_185_6 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$3"
		size = 25
		refs = "0002 0A0000B8 0009 0A0000B7 0013 0A000089"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 09 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_233_104_3 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0003A1 000b 0A0002C1 0015 0A0001ED 001c 0A00026B"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1880_519_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000DF 000b 0A00004D 0015 06000267 001c 0A000028"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_3302_394_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D5 000b 0A000046 0015 060001E9 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2541_101_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A00008C 000b 0A00003D 0015 060000A8 001c 0A000020"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2497_311_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A00010D 000b 0A00006C 0015 06000212 001c 0A000034"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2489_395_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D6 000b 0A000046 0015 060001E6 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2387_396_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D4 000b 0A000046 0015 060001E6 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2185_393_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D5 000b 0A000046 0015 060001E9 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_817_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000E8 000b 0A000051 0015 060003C8 001c 0A000029"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_806_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000E8 000b 0A000051 0015 06000306 001c 0A000029"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_795_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000E8 000b 0A000051 0015 060002C6 001c 0A000029"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2045_393_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D4 000b 0A000046 0015 060001E2 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_203_393_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D7 000b 0A000046 0015 060001E9 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1880_508_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000DF 000b 0A00004D 0015 06000234 001c 0A000028"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1618_435_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D5 000b 0A00004B 0015 06000202 001c 0A000026"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1479_393_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D5 000b 0A000046 0015 060001E9 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1376_393_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D7 000b 0A000046 0015 060001E9 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1315_395_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D4 000b 0A000046 0015 060001E6 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1262_346_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000E0 000b 0A00004D 0015 06000256 001c 0A000028"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1002_340_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D6 000b 0A00004E 0015 06000234 001c 0A000029"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_780_393_6 {
	meta:
		name = "$LN89"
		size = 34
		refs = "0004 0A0000D5 000b 0A000046 0015 060001E9 001c 0A000023"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 06 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_233_110_3 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAAX_K0@Z$6"
		size = 220
		refs = "0004 0A000284 0013 0A000215 0019 0A000039 0023 0A0001ED"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 18 6A 5A 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 25 00 00 01 01 00 00 00 A4 00 00 00 0E 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A2 00 00 00 71 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A2 00 00 00 8A 00 00 00 2C 01 00 00 09 00 00 00 25 00 00 01 01 00 00 00 5E 00 00 00 1B 00 00 00 92 00 00 00 A5 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule file_757_1_4 {
	meta:
		name = "??1_Fac_node@std@@QEAA@XZ"
		size = 38
		refs = "000a __imp_?_Decref@facet@locale@std@@QEAAPEAV123@XZ"
	strings:
		$1 = { 48 83 EC 28 48 8B 49 08 FF 15 ?? ?? ?? ?? 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_757_2_4 {
	meta:
		name = "??_G_Fac_node@std@@QEAAPEAXI@Z"
		size = 72
		refs = "0015 __imp_?_Decref@facet@locale@std@@QEAAPEAV123@XZ 0036 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 48 8B D9 48 8B 49 08 8B FA FF 15 ?? ?? ?? ?? 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 40 F6 C7 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_757_4_4 {
	meta:
		name = "?_Fac_tidy@@YAXXZ"
		size = 107
		refs = "0018 __imp_??0_Lockit@std@@QEAA@H@Z 0025 _Fac_head 002f __imp_?_Decref@facet@locale@std@@QEAAPEAV123@XZ 004a ??3@YAXPEAX@Z 0061 __imp_??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 33 D2 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 90 EB 2F 48 8B 03 48 89 05 ?? ?? ?? ?? 48 8B 4B 08 FF 15 ?? ?? ?? ?? 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 C5 48 8D 4C 24 40 FF 15 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_757_6_4 {
	meta:
		name = "??1_Fac_tidy_reg_t@std@@QEAA@XZ"
		size = 107
		refs = "0018 __imp_??0_Lockit@std@@QEAA@H@Z 0025 _Fac_head 002f __imp_?_Decref@facet@locale@std@@QEAAPEAV123@XZ 004a ??3@YAXPEAX@Z 0061 __imp_??1_Lockit@std@@QEAA@XZ"
	strings:
		$1 = { 40 53 48 83 EC 30 48 C7 44 24 20 FE FF FF FF 33 D2 48 8D 4C 24 48 FF 15 ?? ?? ?? ?? 90 EB 2F 48 8B 03 48 89 05 ?? ?? ?? ?? 48 8B 4B 08 FF 15 ?? ?? ?? ?? 48 85 C0 74 0E 4C 8B 00 BA 01 00 00 00 48 8B C8 41 FF 10 48 8B CB E8 ?? ?? ?? ?? 48 8B 1D ?? ?? ?? ?? 48 85 DB 75 C5 48 8D 4C 24 48 FF 15 ?? ?? ?? ?? 48 83 C4 30 5B C3 }
	condition:
		$1
}

rule file_85_1_5 {
	meta:
		name = "pre_cpp_init"
		size = 101
		refs = "0007 _RTC_Terminate 000c atexit 0013 _newmode 001a _dowildcard 0021 startinfo 0028 envp 002f argv 0036 argc 0048 __imp___wgetmainargs 004e argret 005c _amsg_exit"
	strings:
		$1 = { 48 83 EC 38 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 1D ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 44 89 1D ?? ?? ?? ?? 48 89 44 24 20 FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_525_1_5 {
	meta:
		name = "pre_cpp_init"
		size = 101
		refs = "0007 _RTC_Terminate 000c atexit 0013 _newmode 001a _dowildcard 0021 startinfo 0028 envp 002f argv 0036 argc 0048 __imp___getmainargs 004e argret 005c _amsg_exit"
	strings:
		$1 = { 48 83 EC 38 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 44 8B 1D ?? ?? ?? ?? 44 8B 0D ?? ?? ?? ?? 48 8D 05 ?? ?? ?? ?? 4C 8D 05 ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 44 89 1D ?? ?? ?? ?? 48 89 44 24 20 FF 15 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 85 C0 79 0A B9 08 00 00 00 E8 ?? ?? ?? ?? 48 83 C4 38 C3 }
	condition:
		$1
}

rule file_85_2_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 384
		refs = "0020 __native_startup_lock 003b __imp_Sleep 0048 __native_startup_state 0056 _amsg_exit 006f __xi_z 0076 __xi_a 007b _initterm_e 008f has_cctor 00a0 __xc_z 00a7 __xc_a 00ac _initterm 00ca __dyn_tls_init_callback 00d9 _IsNonwritableInCurrentImage 00f3 __imp___winitenv 00fa envp 010b argv 0111 argc 0116 wmain 011c mainret 0122 managedapp 012d __imp_exit 013c __imp__cexit 015b __imp__exit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 65 48 8B 04 25 30 00 00 00 48 8B 58 08 33 FF 33 C0 F0 48 0F B1 1D ?? ?? ?? ?? 74 1B 48 3B C3 75 09 BB 01 00 00 00 8B FB EB 12 B9 E8 03 00 00 FF 15 ?? ?? ?? ?? EB D8 BB 01 00 00 00 8B 05 ?? ?? ?? ?? 3B C3 75 0C B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 37 8B 05 ?? ?? ?? ?? 85 C0 75 27 89 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 B8 FF 00 00 00 E9 E8 00 00 00 89 1D ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 3B C3 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 FF 75 09 33 C0 48 87 05 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 74 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 45 33 C0 41 8D 50 02 33 C9 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 01 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B C8 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 2D 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_525_2_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 384
		refs = "0020 __native_startup_lock 003b __imp_Sleep 0048 __native_startup_state 0056 _amsg_exit 006f __xi_z 0076 __xi_a 007b _initterm_e 008f has_cctor 00a0 __xc_z 00a7 __xc_a 00ac _initterm 00ca __dyn_tls_init_callback 00d9 _IsNonwritableInCurrentImage 00f3 __imp___initenv 00fa envp 010b argv 0111 argc 0116 main 011c mainret 0122 managedapp 012d __imp_exit 013c __imp__cexit 015b __imp__exit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 83 EC 20 65 48 8B 04 25 30 00 00 00 48 8B 58 08 33 FF 33 C0 F0 48 0F B1 1D ?? ?? ?? ?? 74 1B 48 3B C3 75 09 BB 01 00 00 00 8B FB EB 12 B9 E8 03 00 00 FF 15 ?? ?? ?? ?? EB D8 BB 01 00 00 00 8B 05 ?? ?? ?? ?? 3B C3 75 0C B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 37 8B 05 ?? ?? ?? ?? 85 C0 75 27 89 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 B8 FF 00 00 00 E9 E8 00 00 00 89 1D ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 3B C3 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 FF 75 09 33 C0 48 87 05 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 74 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 45 33 C0 41 8D 50 02 33 C9 FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 89 01 4C 8B 05 ?? ?? ?? ?? 48 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B C8 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 2D 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 5C 24 30 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_85_5_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _wsetargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 01 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_525_5_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _setargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 01 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_123_2_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 501
		refs = "001f __imp_GetStartupInfoW 003a __native_startup_lock 0055 __imp_Sleep 0062 __native_startup_state 0070 _amsg_exit 0089 __xi_z 0090 __xi_a 0095 _initterm_e 00a9 has_cctor 00ba __xc_z 00c1 __xc_a 00c6 _initterm 00e5 __dyn_tls_init_callback 00f3 _IsNonwritableInCurrentImage 010d __imp__wcmdln 015d __ImageBase 0162 wWinMain 0168 mainret 016e managedapp 0178 __imp_exit 0186 __imp__cexit 01c6 __imp__exit"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 81 EC A0 00 00 00 33 F6 89 74 24 20 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 90 65 48 8B 04 25 30 00 00 00 48 8B 58 08 8B FE 33 C0 F0 48 0F B1 1D ?? ?? ?? ?? 74 1B 48 3B C3 75 09 BB 01 00 00 00 8B FB EB 12 B9 E8 03 00 00 FF 15 ?? ?? ?? ?? EB D8 BB 01 00 00 00 8B 05 ?? ?? ?? ?? 3B C3 75 0C B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 37 8B 05 ?? ?? ?? ?? 85 C0 75 27 89 1D ?? ?? ?? ?? 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 B8 FF 00 00 00 E9 39 01 00 00 89 1D ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 3B C3 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 FF 75 0A 48 8B C6 48 87 05 ?? ?? ?? ?? 48 39 35 ?? ?? ?? ?? 74 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 45 33 C0 41 8D 50 02 33 C9 FF 15 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8B 08 48 89 4C 24 28 8B 54 24 20 66 83 39 20 77 6F 66 39 31 74 1A 85 D2 75 66 66 39 31 74 11 66 83 39 20 77 0B 48 83 C1 02 48 89 4C 24 28 EB EA 84 5C 24 6C 0F B7 44 24 70 41 B9 0A 00 00 00 44 0F 45 C8 4C 8B C1 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 39 35 ?? ?? ?? ?? 75 08 8B C8 FF 15 ?? ?? ?? ?? 39 35 ?? ?? ?? ?? 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 4E 66 83 39 22 75 0D 8B C6 85 D2 0F 94 C0 8B D0 89 44 24 20 48 83 C1 02 48 89 4C 24 28 E9 6A FF FF FF 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 4C 8D 9C 24 A0 00 00 00 49 8B 5B 10 49 8B 73 18 49 8B E3 5F C3 }
	condition:
		$1
}

rule file_123_5_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _wsetargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 02 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1133_5_5 {
	meta:
		name = "pre_c_init"
		size = 206
		refs = "000c __ImageBase 0050 managedapp 005b __imp___set_app_type 0065 __imp_EncodePointer 006c __imp__fmode 0073 __onexitend 007a __onexitbegin 0080 _fmode 0089 __imp__commode 008f _commode 0096 _RTC_Initialize 009b _setargv 00a1 __defaultmatherr 00ab _matherr 00b1 __imp___setusermatherr 00b7 __globallocalestatus 00c3 __imp__configthreadlocale"
	strings:
		$1 = { 48 83 EC 28 B8 4D 5A 00 00 66 39 05 ?? ?? ?? ?? 74 04 33 C9 EB 38 48 63 05 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? 48 03 C1 81 38 50 45 00 00 75 E3 B9 0B 02 00 00 66 39 48 18 75 D8 33 C9 83 B8 84 00 00 00 0E 76 09 39 88 F8 00 00 00 0F 95 C1 89 0D ?? ?? ?? ?? B9 02 00 00 00 FF 15 ?? ?? ?? ?? 48 83 C9 FF FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 01 48 8B 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 48 8D 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 83 C9 FF FF 15 ?? ?? ?? ?? 33 C0 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_217_0_5 {
	meta:
		name = "_onexit"
		size = 176
		refs = "000c __onexitbegin 0012 __imp_DecodePointer 0026 __imp__onexit 0032 _lock 004c __onexitend 0060 __imp_EncodePointer 0072 __dllonexit 00a3 _unlock"
	strings:
		$1 = { 40 53 48 83 EC 20 48 8B D9 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 44 24 38 48 83 F8 FF 75 0B 48 8B CB FF 15 ?? ?? ?? ?? EB 7E B9 08 00 00 00 E8 ?? ?? ?? ?? 90 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 44 24 38 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 44 24 40 48 8B CB FF 15 ?? ?? ?? ?? 48 8B C8 4C 8D 44 24 40 48 8D 54 24 38 E8 ?? ?? ?? ?? 48 8B D8 48 8B 4C 24 38 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 8B 4C 24 40 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 48 8B C3 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_217_1_5 {
	meta:
		name = "_onexit$fin$0"
		size = 27
		refs = "000f _unlock"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA B9 08 00 00 00 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_1133_2_5 {
	meta:
		name = "__tmainCRTStartup"
		size = 511
		refs = "0019 __imp_GetStartupInfoW 0034 __native_startup_lock 004d __imp_Sleep 0055 __native_startup_state 0062 _amsg_exit 007f __xi_z 0086 __xi_a 008b _initterm_e 009f has_cctor 00b5 __xc_z 00bc __xc_a 00c1 _initterm 00df __dyn_tls_init_callback 00ee _IsNonwritableInCurrentImage 0108 __imp__acmdln 0156 __ImageBase 015b WinMain 0161 mainret 0167 managedapp 0172 __imp_exit 0181 __imp__cexit 01a4 __imp__ismbblead 01d4 __imp__exit"
	strings:
		$1 = { 48 89 5C 24 08 57 48 81 EC A0 00 00 00 83 64 24 20 00 48 8D 4C 24 30 FF 15 ?? ?? ?? ?? 90 65 48 8B 04 25 30 00 00 00 48 8B 58 08 33 FF 33 C0 F0 48 0F B1 1D ?? ?? ?? ?? 74 19 48 3B C3 75 07 BF 01 00 00 00 EB 0D B9 E8 03 00 00 FF 15 ?? ?? ?? ?? EB DA 8B 05 ?? ?? ?? ?? 83 F8 01 75 0A 8D 48 1E E8 ?? ?? ?? ?? EB 3F 8B 05 ?? ?? ?? ?? 85 C0 75 2B C7 05 ?? ?? ?? ?? 01 00 00 00 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 B8 FF 00 00 00 E9 51 01 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 05 ?? ?? ?? ?? 83 F8 01 75 1D 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 FF 75 09 33 C0 48 87 05 ?? ?? ?? ?? 48 83 3D ?? ?? ?? ?? 00 74 1F 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 45 33 C0 41 8D 50 02 33 C9 FF 15 ?? ?? ?? ?? 48 8B 05 ?? ?? ?? ?? 48 8B 18 48 89 5C 24 28 8B 7C 24 20 80 3B 20 77 70 80 3B 00 74 04 85 FF 75 67 8A 03 84 C0 74 0E 3C 20 77 0A 48 FF C3 48 89 5C 24 28 EB EC F6 44 24 6C 01 0F B7 44 24 70 41 B9 0A 00 00 00 44 0F 45 C8 4C 8B C3 33 D2 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B C8 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? EB 61 80 3B 22 75 0D 33 C0 85 FF 0F 94 C0 8B F8 89 44 24 20 0F B6 0B FF 15 ?? ?? ?? ?? 85 C0 74 08 48 FF C3 48 89 5C 24 28 48 FF C3 48 89 5C 24 28 E9 57 FF FF FF 89 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 8B C8 FF 15 ?? ?? ?? ?? CC 83 3D ?? ?? ?? ?? 00 75 0C FF 15 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 48 8B 9C 24 B0 00 00 00 48 81 C4 A0 00 00 00 5F C3 }
	condition:
		$1
}

rule file_1145_1_5 {
	meta:
		name = "pre_c_init"
		size = 94
		refs = "000d __imp__malloc_crt 0019 __imp_EncodePointer 0020 __onexitbegin 0027 __onexitend 003a _RTC_Initialize 0041 _RTC_Terminate 0046 atexit 004d __clean_type_info_names"
	strings:
		$1 = { 40 53 48 83 EC 20 B9 00 01 00 00 FF 15 ?? ?? ?? ?? 48 8B C8 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 85 DB 75 05 8D 43 01 EB 23 48 83 23 00 E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 48 83 C4 20 5B C3 }
	condition:
		$1
}

rule file_1145_2_5 {
	meta:
		name = "_CRT_INIT"
		size = 601
		refs = "002f __proc_attached 0061 __imp_Sleep 006c __native_startup_lock 007c __native_startup_state 008b _amsg_exit 0097 __onexitbegin 009d __imp_DecodePointer 00b0 __onexitend 00d4 __imp__encoded_null 012b __imp_free 01bc __xi_z 01c3 __xi_a 01d2 _initterm_e 01dd __xc_z 01e4 __xc_a 01e9 _initterm 0208 __dyn_tls_init_callback 0216 _IsNonwritableInCurrentImage"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 68 10 48 89 78 18 4C 89 60 20 41 55 41 56 41 57 48 83 EC 20 33 FF 4D 8B E0 4C 8B E9 85 D2 0F 85 38 01 00 00 8B 05 ?? ?? ?? ?? 85 C0 0F 8E 23 01 00 00 FF C8 44 8B EF 89 05 ?? ?? ?? ?? 65 48 8B 04 25 30 00 00 00 48 8B 58 08 EB 10 48 3B C3 74 1A B9 E8 03 00 00 FF 15 ?? ?? ?? ?? 33 C0 F0 48 0F B1 1D ?? ?? ?? ?? 75 E3 EB 06 41 BD 01 00 00 00 8B 05 ?? ?? ?? ?? 83 F8 02 74 0F B9 1F 00 00 00 E8 ?? ?? ?? ?? E9 A1 01 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4C 8B E0 48 85 C0 0F 84 96 00 00 00 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 4D 8B FC 4C 8B F0 48 8B E8 48 83 ED 08 49 3B EC 72 5A 48 39 7D 00 74 F1 FF 15 ?? ?? ?? ?? 48 39 45 00 74 E5 48 8B 4D 00 FF 15 ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 48 89 45 00 FF D3 48 8B 0D ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 8B 0D ?? ?? ?? ?? 48 8B D8 FF 15 ?? ?? ?? ?? 4C 3B FB 75 05 4C 3B F0 74 A5 4C 8B FB 4C 8B E3 EB 97 49 8B CC FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 48 89 05 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 45 85 ED 0F 85 E3 00 00 00 48 87 3D ?? ?? ?? ?? E9 D7 00 00 00 33 C0 E9 D5 00 00 00 83 FA 01 0F 85 C7 00 00 00 65 48 8B 04 25 30 00 00 00 8B EF 48 8B 58 08 EB 10 48 3B C3 74 1A B9 E8 03 00 00 FF 15 ?? ?? ?? ?? 33 C0 F0 48 0F B1 1D ?? ?? ?? ?? 75 E3 EB 05 BD 01 00 00 00 8B 05 ?? ?? ?? ?? 85 C0 74 0C B9 1F 00 00 00 E8 ?? ?? ?? ?? EB 3E 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 84 48 8D 15 ?? ?? ?? ?? 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 85 ED 75 0A 48 8B C7 48 87 05 ?? ?? ?? ?? 48 39 3D ?? ?? ?? ?? 74 21 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 11 4D 8B C4 BA 02 00 00 00 49 8B CD FF 15 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? B8 01 00 00 00 48 8B 5C 24 40 48 8B 6C 24 48 48 8B 7C 24 50 4C 8B 64 24 58 48 83 C4 20 41 5F 41 5E 41 5D C3 }
	condition:
		$1
}

rule file_1145_3_5 {
	meta:
		name = "__DllMainCRTStartup"
		size = 313
		refs = "0027 __native_dllmain_reason 0031 __proc_attached 004e _pRawDllMain 0070 _CRT_INIT 008b DllMain"
	strings:
		$1 = { 48 8B C4 48 89 58 08 48 89 70 10 48 89 78 18 41 54 48 83 EC 30 49 8B F0 8B FA 4C 8B E1 BB 01 00 00 00 89 58 E8 89 15 ?? ?? ?? ?? 85 D2 75 12 39 15 ?? ?? ?? ?? 75 0A 33 DB 89 58 E8 E9 CE 00 00 00 83 FA 01 74 05 83 FA 02 75 37 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 08 FF D0 8B D8 89 44 24 20 85 DB 0F 84 A8 00 00 00 4C 8B C6 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B D8 89 44 24 20 85 C0 0F 84 8D 00 00 00 4C 8B C6 8B D7 49 8B CC E8 ?? ?? ?? ?? 8B D8 89 44 24 20 83 FF 01 75 35 85 C0 75 31 4C 8B C6 33 D2 49 8B CC E8 ?? ?? ?? ?? 4C 8B C6 33 D2 49 8B CC E8 ?? ?? ?? ?? 4C 8B 1D ?? ?? ?? ?? 4D 85 DB 74 0B 4C 8B C6 33 D2 49 8B CC 41 FF D3 85 FF 74 05 83 FF 03 75 37 4C 8B C6 8B D7 49 8B CC E8 ?? ?? ?? ?? F7 D8 1B C9 23 CB 8B D9 89 4C 24 20 74 1C 48 8B 05 ?? ?? ?? ?? 48 85 C0 74 10 4C 8B C6 8B D7 49 8B CC FF D0 8B D8 89 44 24 20 EB 06 33 DB 89 5C 24 20 C7 05 ?? ?? ?? ?? FF FF FF FF 8B C3 48 8B 5C 24 40 48 8B 74 24 48 48 8B 7C 24 50 48 83 C4 30 41 5C C3 }
	condition:
		$1
}

rule file_1145_4_5 {
	meta:
		name = "__DllMainCRTStartup$filt$0"
		size = 48
		refs = "0019 __CppXcptFilter"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA 48 8B D1 48 89 4D 28 48 8B 01 8B 08 89 4D 24 E8 ?? ?? ?? ?? 90 48 83 C4 20 5D C3 CC CC CC CC CC CC CC CC CC CC CC CC }
	condition:
		$1
}

rule file_1145_5_5 {
	meta:
		name = "__DllMainCRTStartup$fin$1"
		size = 26
		refs = "000b __native_dllmain_reason"
	strings:
		$1 = { 40 55 48 83 EC 20 48 8B EA C7 05 ?? ?? ?? ?? FF FF FF FF 48 83 C4 20 5D C3 CC }
	condition:
		$1
}

rule file_1521_1_5 {
	meta:
		name = "??_Etype_info@@UEAAPEAXI@Z"
		size = 105
		refs = "0020 ??1type_info@@UEAA@XZ 002a ??_M@YAXPEAX_KHP6AX0@Z@Z 0039 ??3@YAXPEAX@Z"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 8B F2 48 8B D9 F6 C2 02 74 2A 44 8B 41 F8 4C 8D 0D ?? ?? ?? ?? BA 18 00 00 00 E8 ?? ?? ?? ?? 40 F6 C6 01 74 09 48 8D 4B F8 E8 ?? ?? ?? ?? 48 8D 43 F8 EB 16 E8 ?? ?? ?? ?? 40 F6 C6 01 74 08 48 8B CB E8 ?? ?? ?? ?? 48 8B C3 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1636_0_5 {
	meta:
		name = "DllMain"
		size = 35
		refs = "000c _pRawDllMain 0015 __imp_DisableThreadLibraryCalls"
	strings:
		$1 = { 48 83 EC 28 83 FA 01 75 10 48 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? B8 01 00 00 00 48 83 C4 28 C3 }
	condition:
		$1
}

rule file_1881_0_5 {
	meta:
		name = "__tlregdtor"
		size = 148
		refs = "001a _tls_index 001f dtor_list 0034 dtor_list_head 0050 __imp__malloc_crt"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 65 48 8B 04 25 58 00 00 00 8B 15 ?? ?? ?? ?? BE ?? ?? ?? ?? 48 8B 1C D0 48 8B F9 48 8B 04 1E 48 85 C0 75 11 B8 ?? ?? ?? ?? 48 03 C3 48 89 04 1E 83 20 00 EB 30 83 38 1E 75 2B B9 00 01 00 00 FF 15 ?? ?? ?? ?? 4C 8B D8 48 85 C0 75 05 83 C8 FF EB 23 83 20 00 48 8B 04 1E 4C 89 1C 1E 49 89 43 08 41 83 23 00 48 8B 0C 1E 48 63 01 48 89 7C C1 10 FF 01 33 C0 48 8B 5C 24 30 48 8B 74 24 38 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_1881_1_5 {
	meta:
		name = "__dyn_tls_dtor"
		size = 136
		refs = "001a _tls_index 0028 dtor_list 0067 __imp_free"
	strings:
		$1 = { 48 89 5C 24 08 48 89 74 24 10 57 48 83 EC 20 83 FA 03 74 04 85 D2 75 5B 8B 0D ?? ?? ?? ?? 65 48 8B 04 25 58 00 00 00 BF ?? ?? ?? ?? 48 8B 04 C8 48 8B 3C 07 48 85 FF 74 3A 8B 1F FF CB 48 63 C3 78 17 48 8D 74 C7 10 48 8B 06 48 85 C0 74 02 FF D0 48 83 EE 08 FF CB 79 EE 48 8B 5F 08 48 85 DB 74 09 48 8B CF FF 15 ?? ?? ?? ?? 48 8B FB 48 85 DB 75 C6 48 8B 5C 24 30 48 8B 74 24 38 B8 01 00 00 00 48 83 C4 20 5F C3 }
	condition:
		$1
}

rule file_203_39_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000B5 000e 0A0000A3"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_583_39_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000B6 000e 0A0000A3"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1618_43_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000B7 000e 0A0000A4"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_1880_50_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000BD 000e 0A0000AC"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_2045_37_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000B4 000e 0A0000A3"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_2171_61_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000C4 000e 0A0000B2"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_2387_39_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000B4 000e 0A0000A3"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_3302_39_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$0"
		size = 35
		refs = "0002 0A0000B6 000e 0A0000A3"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 4C 2D 14 7E ?? ?? ?? ?? 17 58 80 ?? ?? ?? ?? 02 7E ?? ?? ?? ?? 6A 55 DE 0A }
	condition:
		$1
}

rule file_203_40_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000B7"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_583_40_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000B8"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_51_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000BF"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_2045_38_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000B6"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_3302_40_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000B8"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_203_42_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B5"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_244_11_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000A1"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_583_42_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B6"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_1002_36_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B8"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_1262_38_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000BC"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_1376_42_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B6"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_1584_30_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000A9"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_1618_46_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B7"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_1724_30_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000A9"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_1880_53_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000BD"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_2045_40_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B4"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_2171_64_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000C4"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_2387_42_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B4"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_2497_33_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000E9"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_3007_30_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000D1"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_3302_42_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$0"
		size = 38
		refs = "0002 0A0000B6"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 58 55 DE 0A }
	condition:
		$1
}

rule file_203_43_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000B7"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_244_12_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000A3"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_583_43_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000B8"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_37_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000BA"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1376_43_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000B8"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1584_31_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000AB"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_54_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000BF"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_2045_41_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000B6"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_3302_43_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000B8"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_203_45_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B5"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_244_14_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000A1"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_583_45_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B6"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_1002_39_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B8"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_1262_41_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000BC"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_1376_45_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B6"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_1584_33_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000A9"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_1618_49_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B7"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_1724_33_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000A9"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_1880_56_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000BD"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_2045_43_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B4"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_2171_67_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000C4"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_2387_45_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B4"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_2497_36_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000E9"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_3007_33_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000D1"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_3302_45_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$0"
		size = 58
		refs = "0002 0A0000B6"
	strings:
		$1 = { 07 28 ?? ?? ?? ?? 17 0C DC 02 1E 6A 58 4C 0A 16 6A 06 34 15 06 21 FF FF FF FF FF FF FF FF 34 09 02 1E 6A 58 06 17 6A 59 55 02 1E 6A 58 4C 16 6A 2E 04 16 6A 2B 01 02 0D DE 14 }
	condition:
		$1
}

rule file_203_46_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000B7"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_244_15_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000A3"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_583_46_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000B8"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_40_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000BA"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1376_46_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000B8"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1584_34_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000AB"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_57_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000BF"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_2045_44_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000B6"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_3302_46_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000B8"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_203_375_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 0400028B 0010 0A0000BD 0015 060000A4 001f 060000B2 0032 060000EC 0044 0400001A 0049 06000089 0051 040000B5 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2489_403_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 04000266 0010 04000196 0015 060000A5 001f 060000B3 0032 0600027E 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A6 006d 060000A8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2387_404_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B4 000a 04000264 0010 04000196 0015 060000A5 001f 060000B3 0032 0600027E 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A6 006d 060000A8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1315_403_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 04000266 0010 04000196 0015 060000A5 001f 060000B3 0032 0600027E 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A6 006d 060000A8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2045_401_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B4 000a 04000266 0010 04000197 0015 060000A3 001f 060000B1 0032 0600027A 0044 0400001A 0049 06000087 0051 040000B9 0056 0A000023 0067 060000A4 006d 060000A6"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1618_416_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B7 000a 0400028B 0010 040001B5 0015 060000A4 001f 060000B3 0032 060001DC 0044 04000026 0049 06000085 0051 040000C4 0056 0A000026 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3302_379_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 040001FE 0010 0A0000AE 0015 060000A4 001f 060000B2 0032 060000CC 0044 0400001A 0049 06000089 0051 040000B9 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_583_378_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 040001FA 0010 0A0000AE 0015 060000A4 001f 060000B2 0032 060000CC 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_761_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000335 0010 0A0000BC 0015 060000B5 001f 060000C4 0032 060000E1 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1376_378_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 040001FA 0010 0A0000AE 0015 060000A4 001f 060000B2 0032 060000CC 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1479_378_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 040001FC 0010 0A0000AE 0015 060000A4 001f 060000B2 0032 060000CC 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_438_379_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 040002F0 0010 0A0000BF 0015 060000A4 001f 060000B2 0032 060000C2 0044 0400001A 0049 06000089 0051 040000B5 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_737_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040004D6 0010 0A0000CE 0015 060000B5 001f 060000C4 0032 060000D6 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_203_378_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 040002EE 0010 0A0000BF 0015 060000A4 001f 060000B2 0032 060000C2 0044 0400001A 0049 06000089 0051 040000B5 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_780_378_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 040002F0 0010 0A0000BF 0015 060000A4 001f 060000B2 0032 060000C2 0044 0400001A 0049 06000089 0051 040000B5 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_576_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMAEBV?$collate@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 040003AC 0010 040002F9 0015 060000B0 001f 060000BF 0032 060001D4 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_955_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMAEBV?$collate@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 0400054F 0010 04000565 0015 060000B5 001f 060000C4 0032 0600025C 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_952_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMAEBV?$collate@_W@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000236 0010 040002A1 0015 060000B5 001f 060000C4 0032 06000209 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1618_404_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B7 000a 04000202 0010 0A0000C7 0015 060000A4 001f 060000B3 0032 060000D7 0044 04000026 0049 06000085 0051 040000C4 0056 0A000026 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_473_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 0400025B 0010 0A0000CF 0015 060000B0 001f 060000BF 0032 060000E3 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2489_380_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 040001E6 0010 0A0000C9 0015 060000A5 001f 060000B3 0032 060000D9 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A6 006d 060000A8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2387_381_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B4 000a 040001E4 0010 0A0000C7 0015 060000A5 001f 060000B3 0032 060000D9 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A6 006d 060000A8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1315_380_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 040001E6 0010 0A0000C7 0015 060000A5 001f 060000B3 0032 060000D9 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A6 006d 060000A8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2045_378_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B4 000a 040001E5 0010 0A0000C7 0015 060000A3 001f 060000B1 0032 060000D7 0044 0400001A 0049 06000087 0051 040000B9 0056 0A000023 0067 060000A4 006d 060000A6"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1376_375_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 0400018F 0010 0A0000C5 0015 060000A4 001f 060000B2 0032 06000100 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_3302_376_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 04000195 0010 0A0000C3 0015 060000A4 001f 060000B2 0032 06000100 0044 0400001A 0049 06000089 0051 040000B9 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_583_375_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 04000191 0010 0A0000C3 0015 060000A4 001f 060000B2 0032 06000100 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_713_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000292 0010 0A0000D2 0015 060000B5 001f 060000C4 0032 06000114 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1479_375_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B6 000a 0400018F 0010 0A0000C3 0015 060000A4 001f 060000B2 0032 06000100 0044 0400001A 0049 06000089 0051 040000B7 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_780_375_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 0400028D 0010 0A0000BD 0015 060000A4 001f 060000B2 0032 060000EC 0044 0400001A 0049 06000089 0051 040000B5 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2185_375_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B5 000a 04000289 0010 0A0000BD 0015 060000A4 001f 060000B2 0032 060000EC 0044 0400001A 0049 06000089 0051 040000B5 0056 0A000023 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_710_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000429 0010 0A0000CC 0015 060000B5 001f 060000C4 0032 06000100 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_476_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMAEBV?$messages@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 04000320 0010 040003C4 0015 060000B0 001f 060000BF 0032 060001DA 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_749_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMAEBV?$messages@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 0400031E 0010 040004A5 0015 060000B5 001f 060000C4 0032 06000262 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_725_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMAEBV?$messages@_W@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000130 0010 04000423 0015 060000B5 001f 060000C4 0032 0600020F 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_479_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 04000228 0010 04000176 0015 060000B0 001f 060000BF 0032 060001E0 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_752_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040004BE 0010 040001A8 0015 060000B5 001f 060000C4 0032 06000268 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_728_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040001A6 0010 04000432 0015 060000B5 001f 060000C4 0032 06000215 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_482_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 04000296 0010 040003A9 0015 060000B0 001f 060000BF 0032 060001E5 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_755_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040003C8 0010 04000381 0015 060000B5 001f 060000C4 0032 0600026D 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_731_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040003CB 0010 0400057A 0015 060000B5 001f 060000C4 0032 0600021A 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_530_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 0400035F 0010 0400037F 0015 060000B0 001f 060000BF 0032 060001F7 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_527_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 04000254 0010 040002FE 0015 060000B0 001f 060000BF 0032 060001EA 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_837_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 0400012D 0010 040004C4 0015 060000B5 001f 060000C4 0032 0600027F 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_834_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040001A2 0010 0400034F 0015 060000B5 001f 060000C4 0032 06000272 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_828_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000465 0010 0400045E 0015 060000B5 001f 060000C4 0032 0600022C 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_825_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000172 0010 04000387 0015 060000B5 001f 060000C4 0032 0600021F 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1618_407_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B7 000a 0400027F 0010 040001CA 0015 060000A4 001f 060000B3 0032 060001BA 0044 04000026 0049 06000085 0051 040000C4 0056 0A000026 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_740_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 0400045A 0010 04000353 0015 060000B5 001f 060000C4 0032 06000238 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_716_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000209 0010 040002C4 0015 060000B5 001f 060000C4 0032 060001E7 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1618_410_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B7 000a 040003A6 0010 04000166 0015 060000A4 001f 060000B3 0032 060001C8 0044 04000026 0049 06000085 0051 040000C4 0056 0A000026 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_743_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000582 0010 0400047B 0015 060000B5 001f 060000C4 0032 06000246 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_719_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000255 0010 04000415 0015 060000B5 001f 060000C4 0032 060001F5 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1618_413_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000B7 000a 04000211 0010 040002F4 0015 060000A4 001f 060000B3 0032 060001D4 0044 04000026 0049 06000085 0051 040000C4 0056 0A000026 0067 060000A5 006d 060000A7"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_746_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMAEBV?$numpunct@G@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040001C6 0010 0400051E 0015 060000B5 001f 060000C4 0032 06000252 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_722_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 040004BC 0010 0400037A 0015 060000B5 001f 060000C4 0032 06000201 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_533_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 04000312 0010 04000393 0015 060000B0 001f 060000BF 0032 060001FA 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_840_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000228 0010 040004D2 0015 060000B5 001f 060000C4 0032 06000282 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_831_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000331 0010 040004EB 0015 060000B5 001f 060000C4 0032 0600022F 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_1880_485_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000BD 000a 040002DC 0010 0400038F 0015 060000B0 001f 060000BF 0032 06000204 0044 04000041 0049 0600008B 0051 040000F7 0056 0A000028 0067 060000B1 006d 060000B3"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_758_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 0400010E 0010 040004C6 0015 060000B5 001f 060000C4 0032 0600028C 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_2171_734_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$0"
		size = 118
		refs = "0002 0A0000C4 000a 04000541 0010 040001E4 0015 060000B5 001f 060000C4 0032 060001E4 0044 0400004E 0049 0600008E 0051 04000133 0056 0A000029 0067 060000B6 006d 060000B8"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 7E ?? ?? ?? ?? 0A 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 13 05 02 11 05 28 ?? ?? ?? ?? 0B 07 2D 4A 06 2C 04 06 0B 2B 43 12 00 02 28 ?? ?? ?? ?? 21 FF FF FF FF FF FF FF FF 33 19 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 07 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 06 0B 06 80 ?? ?? ?? ?? 06 13 06 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 07 13 04 DE 14 }
	condition:
		$1
}

rule file_203_376_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000B7"
		altNames = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_2387_405_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000B6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_583_379_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000B8"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_577_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@D@std@@@std@@$$FYMAEBV?$collate@D@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_474_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_2045_379_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000B6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1479_376_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000B8"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_477_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@D@std@@@std@@$$FYMAEBV?$messages@D@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_480_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_483_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_531_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$00@std@@@std@@$$FYMAEBV?$moneypunct@D$00@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_528_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@$$FYMAEBV?$moneypunct@D$0A@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_534_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1880_486_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000BF"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_203_399_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A00006F 0013 0600023E 0019 06000055 0023 060001E9"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_1315_401_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A00006F 0013 06000243 0019 06000054 0023 060001E6"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_1880_514_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A000078 0013 0600029D 0019 06000055 0023 06000234"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_2045_399_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A00006F 0013 0600023F 0019 06000052 0023 060001E2"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_2387_402_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A00006F 0013 06000243 0019 06000054 0023 060001E6"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_244_103_6 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPEAV12@@Z$0"
		size = 91
		refs = "0002 0A0000A1 002d 040000BF 004a 0400020A"
	strings:
		$1 = { 08 28 ?? ?? ?? ?? 17 0D DC 02 1E 6A 58 16 6A 55 02 1E 6A 58 02 1E 6A 58 4C 17 6A 58 55 02 1E 6A 58 4C 0A 06 1E 6A 34 15 06 1E 6A 5A 7F ?? ?? ?? ?? 58 4C 0B 07 2C 06 07 02 2E 02 2B D3 06 1E 6A 5A 7F ?? ?? ?? ?? 58 02 55 7F ?? ?? ?? ?? 02 1E 6A 58 4C 58 25 46 17 58 52 DE 0A }
	condition:
		$1
}

rule file_244_104_6 {
	meta:
		name = "__catch$?_Addstd@ios_base@std@@$$FSMXPEAV12@@Z$2"
		size = 65
		refs = "0005 0A0000A3"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 62 00 00 00 6B 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_359_5_6 {
	meta:
		name = "__catch$??2@$$FYMPEAX_KAEBUnothrow_t@std@@@Z$0"
		size = 24
		refs = "0002 0A000036 0008 0A000035 0012 0A000024"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0D 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1880_458_6 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$0"
		size = 24
		refs = "0002 0A0000E0 0008 0A0000DF 0012 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0D 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_685_6 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$0"
		size = 24
		refs = "0002 0A0000E9 0008 0A0000E8 0012 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0D 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_673_6 {
	meta:
		name = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$0"
		size = 24
		refs = "0002 0A0000E9 0008 0A0000E8 0012 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 0D 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_359_6_6 {
	meta:
		name = "$LN26"
		size = 20
		refs = "0004 0A000035 000a 0A000015"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 26 16 6A 0B DE 23 }
	condition:
		$1
}

rule file_359_9_6 {
	meta:
		name = "__catch$??2@$$FYMPEAX_KAEBUnothrow_t@std@@@Z$2"
		size = 90
		refs = "0003 0A00001C"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 07 2A 00 00 41 4C 00 00 01 00 00 00 38 00 00 00 05 00 00 00 4C 00 00 00 03 00 00 00 3D 00 00 00 02 00 00 00 38 00 00 00 1E 00 00 00 56 00 00 00 08 00 00 00 19 00 00 01 01 00 00 00 08 00 00 00 09 00 00 00 29 00 00 00 37 00 00 00 11 00 00 00 }
	condition:
		$1
}

rule file_974_14_6 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPEA_KPEAPEAP6MXXZ2@Z$3"
		size = 100
		refs = "0001 06000018 0030 0100000B"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 11 08 2D 05 15 13 04 2B 03 16 13 04 11 04 2A 00 00 41 4C 00 00 00 00 00 00 37 00 00 00 73 00 00 00 AA 00 00 00 4A 00 00 00 ?? ?? ?? ?? 00 00 00 00 14 00 00 00 FD 00 00 00 11 01 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 14 00 00 00 04 01 00 00 18 01 00 00 07 00 00 00 30 00 00 01 }
	condition:
		$1
}

rule file_1002_138_6 {
	meta:
		name = "__catch$?tidy_global@?A0xeaf09244@@$$J0YMXXZ$0"
		size = 28
		refs = "0002 0A0000B8 000a 040001D9 000f 0600016E"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 16 6A 80 ?? ?? ?? ?? DE 0A }
	condition:
		$1
}

rule file_1002_139_6 {
	meta:
		name = "__catch$?tidy_global@?A0xeaf09244@@$$J0YMXXZ$2"
		size = 64
		refs = "0005 0A0000BA"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 23 00 00 00 2C 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_143_6 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPEAV123@@Z$0"
		size = 90
		refs = "0002 0A0000B8 002e 060000AB 003f 11000017 0054 0A000091"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 02 1F 18 6A 58 4C 0B 16 6A 07 34 37 07 17 6A 59 0B 07 1E 6A 5A 02 1F 10 6A 58 4C 58 0C 08 4C 2C 20 08 4C 28 ?? ?? ?? ?? 0A 06 13 07 06 2C 0E 06 17 06 4C 4C 29 ?? ?? ?? ?? 13 06 2B 04 16 6A 13 05 2B C4 02 1F 10 6A 58 4C 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_1002_144_6 {
	meta:
		name = "__catch$?_Locimp_dtor@_Locimp@locale@std@@$$FCMXPEAV123@@Z$2"
		size = 65
		refs = "0006 0A0000BA"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0F 00 00 00 02 00 00 00 11 00 00 00 0A 00 00 00 28 00 00 01 02 00 00 00 0A 00 00 00 61 00 00 00 6B 00 00 00 0B 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_263_6 {
	meta:
		name = "__catch$?_Fac_tidy@?A0xeaf09244@@$$FYMXXZ$2"
		size = 65
		refs = "0005 0A0000BA"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 28 00 00 01 02 00 00 00 09 00 00 00 3A 00 00 00 43 00 00 00 0A 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_333_6 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPEAV_Locimp@12@XZ$0"
		size = 163
		refs = "0002 0A0000B8 000b 040001D9 001e 0A000010 0029 060000B0 003a 0A000043 0043 06000172 0055 0400000F 005a 0600018C 0061 04000249 0067 060000AA 006c 04000217 009c 06000042"
	strings:
		$1 = { 09 28 ?? ?? ?? ?? 17 13 04 DC 7E ?? ?? ?? ?? 0C 7E ?? ?? ?? ?? 3A 87 00 00 00 1F 38 6A 28 ?? ?? ?? ?? 0B 07 2C 0A 07 16 28 ?? ?? ?? ?? 0A 2B 03 16 6A 0A 06 13 09 DE 07 07 28 ?? ?? ?? ?? DC 06 0C 06 28 ?? ?? ?? ?? 06 1F 20 6A 58 1F 3F 54 06 1F 28 6A 58 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 06 80 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 13 05 7E ?? ?? ?? ?? 13 08 7F ?? ?? ?? ?? 7E ?? ?? ?? ?? 55 7F ?? ?? ?? ?? 13 07 7F ?? ?? ?? ?? 13 06 DE 0D 11 05 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? DC DE 0B }
	condition:
		$1
}

rule file_1002_334_6 {
	meta:
		name = "__catch$?_Init@locale@std@@$$FCMPEAV_Locimp@12@XZ$2"
		size = 116
		refs = "0006 0A0000BA"
	strings:
		$1 = { 11 04 2C 06 09 28 ?? ?? ?? ?? DC 08 2A 00 00 00 41 64 00 00 02 00 00 00 1F 00 00 00 02 00 00 00 21 00 00 00 0A 00 00 00 28 00 00 01 04 00 00 00 44 00 00 00 15 00 00 00 59 00 00 00 07 00 00 00 28 00 00 01 04 00 00 00 93 00 00 00 22 00 00 00 B5 00 00 00 0D 00 00 00 28 00 00 01 02 00 00 00 1A 00 00 00 AA 00 00 00 C4 00 00 00 0B 00 00 00 28 00 00 01 }
	condition:
		$1
}

rule file_1002_346_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 220
		refs = "0004 0A000079 0013 0600025C 0019 06000049 0023 06000234"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 18 6A 5A 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A4 00 00 00 0E 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A2 00 00 00 71 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A2 00 00 00 8A 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5E 00 00 00 1B 00 00 00 92 00 00 00 A5 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule file_1880_525_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 220
		refs = "0004 0A000078 0013 060002AF 0019 06000047 0023 06000267"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 18 6A 5A 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 A4 00 00 00 0E 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A2 00 00 00 71 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A2 00 00 00 8A 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 5E 00 00 00 1B 00 00 00 92 00 00 00 A5 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule file_1262_39_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000BE"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1618_47_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000B9"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_65_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000C6"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1262_42_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000BE"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1618_50_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000B9"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_68_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000C6"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1262_352_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 220
		refs = "0004 0A000078 0013 0600027D 0019 0600002E 0023 06000256"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 18 6A 5A 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 A4 00 00 00 0E 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A2 00 00 00 71 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A2 00 00 00 8A 00 00 00 2C 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 5E 00 00 00 1B 00 00 00 92 00 00 00 A5 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule file_2171_823_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@$$FQEAMX_K0@Z$6"
		size = 220
		refs = "0004 0A00007D 0013 060003C9 0019 06000050 0023 060003C8"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 18 6A 5A 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 A4 00 00 00 0E 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A2 00 00 00 71 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A2 00 00 00 8A 00 00 00 2C 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 5E 00 00 00 1B 00 00 00 92 00 00 00 A5 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule file_2171_812_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 220
		refs = "0004 0A00007D 0013 0600039B 0019 06000047 0023 06000306"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 18 6A 5A 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 A4 00 00 00 0E 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A2 00 00 00 71 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A2 00 00 00 8A 00 00 00 2C 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 5E 00 00 00 1B 00 00 00 92 00 00 00 A5 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule file_1618_44_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000B9"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_62_6 {
	meta:
		name = "__catch$??Bid@locale@std@@$$FQEAM_KXZ$2"
		size = 65
		refs = "0005 0A0000C6"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 02 4C 2A 41 34 00 00 02 00 00 00 12 00 00 00 02 00 00 00 14 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 0D 00 00 00 2A 00 00 00 37 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1618_299_6 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@AEBV12@@Z$0"
		size = 148
		refs = "0003 0A0000B7 000c 0A0000A8 001b 060000A6 002c 11000018 003d 0A0000A9 0043 060000A5 005f 06000168 0064 0A00001E"
	strings:
		$1 = { 11 05 28 ?? ?? ?? ?? 17 13 06 DC 28 ?? ?? ?? ?? 0A 06 03 4C 3B 79 00 00 00 06 28 ?? ?? ?? ?? 0C 08 13 09 08 2C 0E 08 17 08 4C 4C 29 ?? ?? ?? ?? 13 08 2B 04 16 6A 13 08 03 4C 0A 06 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? 06 1F 20 6A 58 4A 1F 3F 5F 13 04 11 04 1F 3F 33 13 16 06 1F 28 6A 58 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 2B 27 16 0B 07 1B 30 21 17 07 62 17 63 11 04 5F 2C 11 07 06 1F 28 6A 58 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 07 17 58 0B 2B DB DE 0E }
	condition:
		$1
}

rule file_1618_300_6 {
	meta:
		name = "__catch$?global@locale@std@@$$FSM?AV12@AEBV12@@Z$2"
		size = 123
		refs = "0009 0A0000B9 0021 060000AF 0027 0A000005"
	strings:
		$1 = { 11 06 2D 02 DE 07 11 05 28 ?? ?? ?? ?? DC 02 13 07 DE 19 DE 17 09 17 5F 2C 11 09 1F FE 5F 0D FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 07 2A 41 4C 00 00 02 00 00 00 1B 00 00 00 02 00 00 00 1D 00 00 00 0B 00 00 00 29 00 00 01 02 00 00 00 16 00 00 00 9B 00 00 00 B1 00 00 00 0E 00 00 00 29 00 00 01 04 00 00 00 00 00 00 00 C6 00 00 00 C6 00 00 00 17 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1618_342_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$0"
		size = 25
		refs = "0002 0A0000D6 0009 0A0000D5 0013 0A000088"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2161_21_6 {
	meta:
		name = "__catch$?_CallCopyCtor@__ExceptionPtr@@$$FAEBMXPEAX0_KQEBU_s_CatchableType@@@Z$0"
		size = 25
		refs = "0002 0A0000B8 0009 0A0000B7 0013 0A000089"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 04 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1618_343_6 {
	meta:
		name = "$LN57"
		size = 30
		refs = "0004 0A0000D5 000a 0A00004B 0011 06000240 0018 0A000026"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_542_6 {
	meta:
		name = "$LN49"
		size = 30
		refs = "0004 0A0000E8 000a 0A000051 0011 0600031A 0018 0A000029"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_548_6 {
	meta:
		name = "$LN49"
		size = 30
		refs = "0004 0A0000E8 000a 0A000051 0011 06000338 0018 0A000029"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1618_346_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 152
		refs = "0003 0A000075 000b 0A0000CE"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 07 4C 46 52 28 ?? ?? ?? ?? 26 02 1F 19 6A 58 07 1E 6A 58 4C 46 52 04 2C 1C 28 ?? ?? ?? ?? 26 02 1F 18 6A 58 1F 2E 52 28 ?? ?? ?? ?? 26 02 1F 19 6A 58 1F 2C 52 2A 00 41 4C 00 00 01 00 00 00 AC 00 00 00 0F 00 00 00 CA 00 00 00 03 00 00 00 BB 00 00 00 02 00 00 00 AC 00 00 00 28 00 00 00 D4 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 26 00 00 00 5E 00 00 00 9D 00 00 00 41 00 00 00 84 00 00 00 }
	condition:
		$1
}

rule file_1618_386_6 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPEAV123@PEAVfacet@23@_K@Z$0"
		size = 340
		refs = "0003 0A0000B7 0039 0A00001F 0047 04000169 005c 04000005 0063 040003F6 0068 040000EC 008c 040000E9 0097 0600002E 00a1 0A000005 00a8 06000159 00ad 0A0000C9 00ca 06000157 00d2 04000112 00d7 0A000026 0112 060000A5 012b 060000A6 013c 11000018"
	strings:
		$1 = { 11 06 28 ?? ?? ?? ?? 17 13 07 DC 1F 28 6A 13 0D 02 1F 18 6A 58 4C 04 42 F4 00 00 00 04 17 6A 58 0A 06 1F 28 6A 37 03 06 2B 03 1F 28 6A 0A 02 1F 10 6A 58 4C 06 1E 6A 5A 28 ?? ?? ?? ?? 13 05 11 05 3A 95 00 00 00 7E ?? ?? ?? ?? 17 5F 2D 73 7E ?? ?? ?? ?? 17 60 80 ?? ?? ?? ?? 7F ?? ?? ?? ?? 13 0C 7F ?? ?? ?? ?? 7F ?? ?? ?? ?? 1E 58 55 7F ?? ?? ?? ?? 1E 58 7F ?? ?? ?? ?? 55 7F ?? ?? ?? ?? 1F 10 58 16 52 7F ?? ?? ?? ?? 7F ?? ?? ?? ?? 1E 58 55 DE 11 FE 06 ?? ?? ?? ?? 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? DC FE 06 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 DE 0E 7E ?? ?? ?? ?? 1F FE 5F 80 ?? ?? ?? ?? DC 12 0B 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 0B 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 02 1F 10 6A 58 11 05 55 02 1F 18 6A 58 4C 13 04 11 04 06 34 20 11 04 1E 6A 5A 02 1F 10 6A 58 4C 58 16 6A 55 02 1F 18 6A 58 02 1F 18 6A 58 4C 17 6A 58 55 2B D3 03 28 ?? ?? ?? ?? 04 1E 6A 5A 0D 02 1F 10 6A 58 4C 09 58 0C 08 4C 2C 20 08 4C 28 ?? ?? ?? ?? 0B 07 13 0A 07 2C 0E 07 17 07 4C 4C 29 ?? ?? ?? ?? 13 09 2B 04 16 6A 13 08 02 1F 10 6A 58 4C 09 58 03 55 DE 0C }
	condition:
		$1
}

rule file_1618_387_6 {
	meta:
		name = "__catch$?_Locimp_Addfac@_Locimp@locale@std@@$$FCMXPEAV123@PEAVfacet@23@_K@Z$2"
		size = 114
		refs = "0007 0A0000B9"
	strings:
		$1 = { 11 07 2C 07 11 06 28 ?? ?? ?? ?? DC 2A 00 41 64 00 00 02 00 00 00 10 00 00 00 02 00 00 00 12 00 00 00 0B 00 00 00 29 00 00 01 04 00 00 00 98 00 00 00 0F 00 00 00 A7 00 00 00 11 00 00 00 29 00 00 01 04 00 00 00 6D 00 00 00 59 00 00 00 C6 00 00 00 0E 00 00 00 29 00 00 01 02 00 00 00 0B 00 00 00 5B 01 00 00 66 01 00 00 0C 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1618_405_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@D@std@@@std@@$$FYMAEBV?$ctype@D@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000B9"
		altNames = "__catch$??$use_facet@V?$codecvt@DDH@std@@@std@@$$FYMAEBV?$codecvt@DDH@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@AEBVlocale@0@@Z$2 __catch$??$use_facet@V?$numpunct@D@std@@@std@@$$FYMAEBV?$numpunct@D@0@AEBVlocale@0@@Z$2"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_762_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@GDH@std@@@std@@$$FYMAEBV?$codecvt@GDH@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_738_6 {
	meta:
		name = "__catch$??$use_facet@V?$codecvt@_WDH@std@@@std@@$$FYMAEBV?$codecvt@_WDH@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_956_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@G@std@@@std@@$$FYMAEBV?$collate@G@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_953_6 {
	meta:
		name = "__catch$??$use_facet@V?$collate@_W@std@@@std@@$$FYMAEBV?$collate@_W@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_714_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@G@std@@@std@@$$FYMAEBV?$ctype@G@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_711_6 {
	meta:
		name = "__catch$??$use_facet@V?$ctype@_W@std@@@std@@$$FYMAEBV?$ctype@_W@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_750_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@G@std@@@std@@$$FYMAEBV?$messages@G@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_726_6 {
	meta:
		name = "__catch$??$use_facet@V?$messages@_W@std@@@std@@$$FYMAEBV?$messages@_W@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_753_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_729_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_756_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_732_6 {
	meta:
		name = "__catch$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_838_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$00@std@@@std@@$$FYMAEBV?$moneypunct@G$00@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_835_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@$$FYMAEBV?$moneypunct@G$0A@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_829_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$00@std@@@std@@$$FYMAEBV?$moneypunct@_W$00@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_826_6 {
	meta:
		name = "__catch$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@$$FYMAEBV?$moneypunct@_W$0A@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_741_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_717_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_744_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_720_6 {
	meta:
		name = "__catch$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_747_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@G@std@@@std@@$$FYMAEBV?$numpunct@G@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_723_6 {
	meta:
		name = "__catch$??$use_facet@V?$numpunct@_W@std@@@std@@$$FYMAEBV?$numpunct@_W@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_841_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_832_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_759_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_2171_735_6 {
	meta:
		name = "__catch$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@$$FYMAEBV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@AEBVlocale@0@@Z$2"
		size = 78
		refs = "0005 0A0000C6"
	strings:
		$1 = { 09 2C 06 08 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 11 04 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 29 00 00 01 02 00 00 00 09 00 00 00 7D 00 00 00 86 00 00 00 0A 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1618_424_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$0"
		size = 65
		refs = "0003 0A0000B7 000e 0400000F 0013 06000094 0020 06000150 0029 0600009B 0030 0A000005"
	strings:
		$1 = { 11 07 28 ?? ?? ?? ?? 17 13 08 DC 12 0B 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 0B 1F 3F 02 16 6A 28 ?? ?? ?? ?? 26 DE 0E FE 06 ?? ?? ?? ?? 12 0B 28 ?? ?? ?? ?? DC 12 0B 28 ?? ?? ?? ?? DD 25 01 00 00 }
	condition:
		$1
}

rule file_1618_425_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$2"
		size = 30
		refs = "0007 0A0000B9 0013 0A00009C"
	strings:
		$1 = { 11 08 2C 07 11 07 28 ?? ?? ?? ?? DC 16 13 06 16 13 05 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? DE 0B }
	condition:
		$1
}

rule file_1618_426_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$4"
		size = 251
		refs = "0003 0A0000B7 001f 0A000085 0035 04000403 004a 04000005 0051 040002CE 0056 040000EC 007a 040000E9 0085 0600002E 008f 0A000005 0096 06000156 009b 0A0000C9 00b8 06000157 00c0 04000112 00c5 0A000026 00f3 060000A5"
	strings:
		$1 = { 11 05 28 ?? ?? ?? ?? 17 13 06 DC 02 1F 18 6A 58 4C 0C 16 6A 08 41 DF 00 00 00 08 1E 6A 5A 28 ?? ?? ?? ?? 13 04 02 1F 10 6A 58 11 04 55 11 04 3A 95 00 00 00 7E ?? ?? ?? ?? 17 5F 2D 73 7E ?? ?? ?? ?? 17 60 80 ?? ?? ?? ?? 7F ?? ?? ?? ?? 13 0A 7F ?? ?? ?? ?? 7F ?? ?? ?? ?? 1E 58 55 7F ?? ?? ?? ?? 1E 58 7F ?? ?? ?? ?? 55 7F ?? ?? ?? ?? 1F 10 58 16 52 7F ?? ?? ?? ?? 7F ?? ?? ?? ?? 1E 58 55 DE 11 FE 06 ?? ?? ?? ?? 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? DC FE 06 ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 DE 0E 7E ?? ?? ?? ?? 1F FE 5F 80 ?? ?? ?? ?? DC 12 09 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 12 09 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 08 0A 16 6A 06 34 29 06 17 6A 59 0A 06 1E 6A 5A 0D 03 1F 10 6A 58 4C 09 58 4C 0B 02 1F 10 6A 58 4C 09 58 07 55 07 2C 06 07 28 ?? ?? ?? ?? 2B D2 DE 0C }
	condition:
		$1
}

rule file_1618_427_6 {
	meta:
		name = "__catch$?_Locimp_ctor@_Locimp@locale@std@@$$FCMXPEAV123@AEBV123@@Z$6"
		size = 188
		refs = "0007 0A0000B9"
	strings:
		$1 = { 11 06 2C 07 11 05 28 ?? ?? ?? ?? DC 2A 00 00 00 41 AC 00 00 02 00 00 00 18 00 00 00 02 00 00 00 1A 00 00 00 0B 00 00 00 29 00 00 01 04 00 00 00 32 00 00 00 0F 00 00 00 41 00 00 00 0E 00 00 00 29 00 00 01 02 00 00 00 13 00 00 00 48 00 00 00 5B 00 00 00 0C 00 00 00 29 00 00 01 02 00 00 00 77 00 00 00 02 00 00 00 79 00 00 00 0B 00 00 00 29 00 00 01 04 00 00 00 ED 00 00 00 0F 00 00 00 FC 00 00 00 11 00 00 00 29 00 00 01 04 00 00 00 C2 00 00 00 59 00 00 00 1B 01 00 00 0E 00 00 00 29 00 00 01 02 00 00 00 72 00 00 00 02 01 00 00 74 01 00 00 0C 00 00 00 29 00 00 01 }
	condition:
		$1
}

rule file_1618_441_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A000075 0013 06000278 0019 06000052 0023 06000202"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_2171_801_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A00007D 0013 06000381 0019 0600005A 0023 060002C6"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_1880_401_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$0"
		size = 25
		refs = "0002 0A0000E0 0009 0A0000DF 0013 0A00008D"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_584_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$0"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_570_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$0"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0B 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1880_402_6 {
	meta:
		name = "$LN45"
		size = 31
		refs = "0004 0A0000DF 000b 0A00004D 0012 06000274 0019 0A000028"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_571_6 {
	meta:
		name = "$LN41"
		size = 31
		refs = "0004 0A0000E8 000b 0A000051 0012 06000322 0019 0A000029"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_585_6 {
	meta:
		name = "$LN41"
		size = 31
		refs = "0004 0A0000E8 000b 0A000051 0012 06000351 0019 0A000029"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 0A 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1880_405_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 268
		refs = "0004 0A000078 0076 060002D4 00a1 0400003F 00a8 0A0000DD"
	strings:
		$1 = { 11 0A 08 28 ?? ?? ?? ?? DC DE 00 02 1F 18 6A 58 06 1F 28 6A 58 4C 46 52 02 1F 19 6A 58 06 1F 30 6A 58 4C 46 52 02 1F 44 6A 58 47 2C 0A 06 1F 50 6A 58 46 13 06 2B 08 06 1F 51 6A 58 46 13 06 11 06 0D 02 1F 38 6A 58 09 54 09 16 32 05 1F 7F 09 30 07 02 1F 38 6A 58 16 54 02 1F 3C 6A 58 13 05 02 11 05 06 1F 53 6A 58 46 06 1F 52 6A 58 46 06 1F 56 6A 58 46 28 ?? ?? ?? ?? 02 1F 40 6A 58 13 04 02 11 04 06 1F 55 6A 58 46 06 1F 54 6A 58 46 06 1F 57 6A 58 46 28 ?? ?? ?? ?? 04 2C 1E 11 05 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 11 04 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 2A 00 00 00 41 4C 00 00 01 00 00 00 04 01 00 00 0F 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 04 01 00 00 28 00 00 00 2C 01 00 00 09 00 00 00 28 00 00 01 01 00 00 00 45 00 00 00 96 00 00 00 F4 00 00 00 43 00 00 00 DB 00 00 00 }
	condition:
		$1
}

rule file_1880_459_6 {
	meta:
		name = "$LN30"
		size = 30
		refs = "0004 0A0000DF 000a 0A00004D 0011 0600027C 0018 0A000028"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_674_6 {
	meta:
		name = "$LN30"
		size = 30
		refs = "0004 0A0000E8 000a 0A000051 0011 0600032A 0018 0A000029"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2171_686_6 {
	meta:
		name = "$LN30"
		size = 30
		refs = "0004 0A0000E8 000a 0A000051 0011 06000359 0018 0A000029"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1880_462_6 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
		size = 89
		refs = "0003 0A000078"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 2A 00 00 41 4C 00 00 01 00 00 00 8B 00 00 00 0F 00 00 00 A9 00 00 00 03 00 00 00 9A 00 00 00 02 00 00 00 8B 00 00 00 28 00 00 00 B3 00 00 00 08 00 00 00 28 00 00 01 01 00 00 00 2E 00 00 00 36 00 00 00 7C 00 00 00 41 00 00 00 64 00 00 00 }
	condition:
		$1
}

rule file_1988_35_6 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAEAMXPE$AAVException@System@@@Z$1"
		size = 63
		refs = "0004 06000038 0023 01000009 003b 0100000E"
	strings:
		$1 = { 0B 03 14 28 ?? ?? ?? ?? DE 00 2A 41 34 00 00 00 00 00 00 00 00 00 00 07 00 00 00 07 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 07 00 00 00 11 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1988_39_6 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAMXXZ$0"
		size = 23
		refs = "0004 06000048 000a 06000050 0010 06000005"
	strings:
		$1 = { 0A 02 06 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 73 ?? ?? ?? ?? 7A DE 17 }
	condition:
		$1
}

rule file_1988_40_6 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQEAMXXZ$1"
		size = 77
		refs = "0004 06000048 000a 06000050 0010 06000005 0031 01000009 0049 0100000E"
	strings:
		$1 = { 0B 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 73 ?? ?? ?? ?? 7A DE 00 2A 00 41 34 00 00 00 00 00 00 00 00 00 00 14 00 00 00 14 00 00 00 17 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 14 00 00 00 2B 00 00 00 17 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2161_22_6 {
	meta:
		name = "$LN31"
		size = 22
		refs = "0004 0A0000B7 000a 0A00005B 0010 0A00002B"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2161_25_6 {
	meta:
		name = "__catch$?_CallCopyCtor@__ExceptionPtr@@$$FAEBMXPEAX0_KQEBU_s_CatchableType@@@Z$2"
		size = 99
		refs = "0003 0A000078 0010 0A0000B3"
	strings:
		$1 = { 07 06 28 ?? ?? ?? ?? DC DE 00 2B 09 03 04 05 28 ?? ?? ?? ?? 26 2A 00 41 4C 00 00 01 00 00 00 91 00 00 00 07 00 00 00 A7 00 00 00 03 00 00 00 98 00 00 00 02 00 00 00 91 00 00 00 20 00 00 00 B1 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 21 00 00 00 48 00 00 00 82 00 00 00 39 00 00 00 69 00 00 00 }
	condition:
		$1
}

rule file_2161_137_6 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@$$FAEAMXPEAV__ExceptionPtr@@@Z$0"
		size = 25
		refs = "0002 0A0000B8 0009 0A0000B7 0013 0A000089"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 07 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2161_138_6 {
	meta:
		name = "$LN46"
		size = 48
		refs = "0004 0A0000B7 000a 0A00005B 001b 060000DD 002a 0A00002A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 03 13 06 03 13 05 03 2C 0B 03 17 28 ?? ?? ?? ?? 13 04 2B 04 16 6A 13 04 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2161_141_6 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@$$FAEAMXPEAV__ExceptionPtr@@@Z$2"
		size = 136
		refs = "0003 0A000078"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 2A 00 41 7C 00 00 04 00 00 00 2A 00 00 00 12 00 00 00 3C 00 00 00 0D 00 00 00 2E 00 00 01 04 00 00 00 11 00 00 00 44 00 00 00 55 00 00 00 07 00 00 00 2E 00 00 01 01 00 00 00 8E 00 00 00 21 00 00 00 BE 00 00 00 03 00 00 00 AF 00 00 00 02 00 00 00 8E 00 00 00 3A 00 00 00 C8 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 08 00 00 00 5E 00 00 00 7F 00 00 00 53 00 00 00 66 00 00 00 }
	condition:
		$1
}

rule file_2161_143_6 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@P6MXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@$$FAEAMXPEAV__ExceptionPtr@@P6MX0@ZV?$_DebugMallocator@H@@@Z$0"
		size = 25
		refs = "0002 0A0000B8 0009 0A0000B7 0013 0A000089"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2161_144_6 {
	meta:
		name = "$LN47"
		size = 31
		refs = "0004 0A0000B7 000a 0A00005B 0012 11000005 0019 0A00002A"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 03 04 29 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2161_147_6 {
	meta:
		name = "__catch$??$_Resetp@V__ExceptionPtr@@P6MXPEAV1@@ZV?$_DebugMallocator@H@@@?$shared_ptr@V__ExceptionPtr@@@tr1@std@@$$FAEAMXPEAV__ExceptionPtr@@P6MX0@ZV?$_DebugMallocator@H@@@Z$2"
		size = 111
		refs = "0003 0A000078"
	strings:
		$1 = { 09 07 28 ?? ?? ?? ?? DC DE 00 2A 41 64 00 00 04 00 00 00 15 00 00 00 1C 00 00 00 31 00 00 00 09 00 00 00 2E 00 00 01 01 00 00 00 6C 00 00 00 10 00 00 00 8B 00 00 00 03 00 00 00 7C 00 00 00 02 00 00 00 6C 00 00 00 29 00 00 00 95 00 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 08 00 00 00 3C 00 00 00 5D 00 00 00 42 00 00 00 44 00 00 00 }
	condition:
		$1
}

rule file_2161_169_6 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ$0"
		size = 21
		refs = "0002 0A0000B7 0007 040000D1 000f 0A000089"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 16 12 07 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2161_170_6 {
	meta:
		name = "$LN71"
		size = 54
		refs = "0004 0A0000B7 000a 0A00005B 0011 06000097 001e 0600001C 0025 0A000005"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 26 07 17 60 0B DE 0E FE 06 ?? ?? ?? ?? 12 07 28 ?? ?? ?? ?? DC 12 07 28 ?? ?? ?? ?? DD 75 00 00 00 }
	condition:
		$1
}

rule file_2161_174_6 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ$3"
		size = 25
		refs = "0002 0A0000B8 0009 0A0000B7 0013 0A000089"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 06 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2161_175_6 {
	meta:
		name = "$LN78"
		size = 22
		refs = "0004 0A0000B7 000a 0A00005B 0010 0A00002B"
		altNames = "$LN92"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_2161_178_6 {
	meta:
		name = "__catch$?_CurrentException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@XZ$5"
		size = 296
		refs = "0003 0A000078 0026 060000B4 002c 0A000005"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 04 02 0C DE 23 21 00 00 00 00 00 00 00 00 0C DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 08 2A 00 41 F4 00 00 04 00 00 00 68 00 00 00 27 00 00 00 8F 00 00 00 08 00 00 00 2E 00 00 01 04 00 00 00 A1 00 00 00 0D 00 00 00 AE 00 00 00 0E 00 00 00 2E 00 00 01 04 00 00 00 02 01 00 00 0D 00 00 00 0F 01 00 00 0E 00 00 00 2E 00 00 01 01 00 00 00 02 01 00 00 27 00 00 00 38 01 00 00 03 00 00 00 29 01 00 00 02 00 00 00 02 01 00 00 40 00 00 00 42 01 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 0A 00 00 00 D4 00 00 00 F3 00 00 00 59 00 00 00 DE 00 00 00 01 00 00 00 74 01 00 00 07 00 00 00 8A 01 00 00 03 00 00 00 7B 01 00 00 02 00 00 00 74 01 00 00 20 00 00 00 94 01 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 0A 00 00 00 D4 00 00 00 65 01 00 00 39 00 00 00 4C 01 00 00 04 00 00 00 0A 00 00 00 A4 01 00 00 AE 01 00 00 17 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_2161_180_6 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$0"
		size = 21
		refs = "0002 0A0000B7 0007 040000D1 000f 0A000089"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 7F ?? ?? ?? ?? 16 12 0A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2161_181_6 {
	meta:
		name = "$LN85"
		size = 54
		refs = "0004 0A0000B7 000a 0A00005B 0011 06000097 001e 0600001C 0025 0A000005"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 09 28 ?? ?? ?? ?? 26 02 28 ?? ?? ?? ?? 26 07 17 60 0B DE 0E FE 06 ?? ?? ?? ?? 12 0A 28 ?? ?? ?? ?? DC 12 0A 28 ?? ?? ?? ?? DD 75 00 00 00 }
	condition:
		$1
}

rule file_2161_189_6 {
	meta:
		name = "__catch$?_CopyException@__ExceptionPtr@@$$FSM?AV?$shared_ptr@V__ExceptionPtr@@@tr1@std@@PEBXPEBU_s_ThrowInfo@@_N@Z$5"
		size = 324
		refs = "0003 0A000078 0028 060000B4 002e 0A000005"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 05 02 13 04 DE 24 21 00 00 00 00 00 00 00 00 13 04 DE 17 07 17 5F 2C 11 07 1F FE 5F 0B FE 06 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? DC 11 04 2A 00 00 41 0C 01 00 04 00 00 00 84 00 00 00 1C 00 00 00 A0 00 00 00 08 00 00 00 2E 00 00 01 04 00 00 00 C0 00 00 00 1A 00 00 00 DA 00 00 00 09 00 00 00 2E 00 00 01 04 00 00 00 74 00 00 00 91 00 00 00 05 01 00 00 0E 00 00 00 2E 00 00 01 04 00 00 00 46 01 00 00 0D 00 00 00 53 01 00 00 0E 00 00 00 2E 00 00 01 01 00 00 00 46 01 00 00 27 00 00 00 7C 01 00 00 03 00 00 00 6D 01 00 00 02 00 00 00 46 01 00 00 40 00 00 00 86 01 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 0A 00 00 00 18 01 00 00 37 01 00 00 59 00 00 00 22 01 00 00 01 00 00 00 B8 01 00 00 07 00 00 00 CE 01 00 00 03 00 00 00 BF 01 00 00 02 00 00 00 B8 01 00 00 20 00 00 00 D8 01 00 00 08 00 00 00 2E 00 00 01 01 00 00 00 0A 00 00 00 18 01 00 00 A9 01 00 00 39 00 00 00 90 01 00 00 04 00 00 00 0A 00 00 00 EA 01 00 00 F4 01 00 00 17 00 00 00 2E 00 00 01 }
	condition:
		$1
}

rule file_2171_541_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$0"
		size = 25
		refs = "0002 0A0000E9 0009 0A0000E8 0013 0A000092"
		altNames = "__catch$?_Init@?$numpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$0"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 6A 16 16 6A 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_2171_545_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 192
		refs = "0003 0A00007D 000b 0A0000E1 001e 060000CB"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 28 ?? ?? ?? ?? 13 07 02 1F 18 6A 58 07 4C 46 16 6A 12 07 28 ?? ?? ?? ?? 53 28 ?? ?? ?? ?? 13 06 02 1F 1A 6A 58 07 1E 6A 58 4C 46 16 6A 12 06 28 ?? ?? ?? ?? 53 04 2C 30 28 ?? ?? ?? ?? 13 05 02 1F 18 6A 58 1F 2E 16 6A 12 05 28 ?? ?? ?? ?? 53 28 ?? ?? ?? ?? 13 04 02 1F 1A 6A 58 1F 2C 16 6A 12 04 28 ?? ?? ?? ?? 53 2A 00 41 4C 00 00 01 00 00 00 AC 00 00 00 0F 00 00 00 CA 00 00 00 03 00 00 00 BB 00 00 00 02 00 00 00 AC 00 00 00 28 00 00 00 D4 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 26 00 00 00 5E 00 00 00 9D 00 00 00 41 00 00 00 84 00 00 00 }
	condition:
		$1
}

rule file_2171_551_6 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 192
		refs = "0003 0A00007D 000b 0A0000E1 001e 060000CC"
	strings:
		$1 = { 09 06 28 ?? ?? ?? ?? DC DE 00 28 ?? ?? ?? ?? 13 07 02 1F 18 6A 58 07 4C 46 16 6A 12 07 28 ?? ?? ?? ?? 53 28 ?? ?? ?? ?? 13 06 02 1F 1A 6A 58 07 1E 6A 58 4C 46 16 6A 12 06 28 ?? ?? ?? ?? 53 04 2C 30 28 ?? ?? ?? ?? 13 05 02 1F 18 6A 58 1F 2E 16 6A 12 05 28 ?? ?? ?? ?? 53 28 ?? ?? ?? ?? 13 04 02 1F 1A 6A 58 1F 2C 16 6A 12 04 28 ?? ?? ?? ?? 53 2A 00 41 4C 00 00 01 00 00 00 AC 00 00 00 0F 00 00 00 CA 00 00 00 03 00 00 00 BB 00 00 00 02 00 00 00 AC 00 00 00 28 00 00 00 D4 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 26 00 00 00 5E 00 00 00 9D 00 00 00 41 00 00 00 84 00 00 00 }
	condition:
		$1
}

rule file_2171_574_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 288
		refs = "0004 0A00007D 0021 060000CB 008c 06000402 00b7 0400004C 00be 0A0000E6"
	strings:
		$1 = { 11 0A 08 28 ?? ?? ?? ?? DC DE 00 02 1F 48 6A 58 0B 02 1F 18 6A 58 06 1F 28 6A 58 4C 46 16 6A 07 28 ?? ?? ?? ?? 53 02 1F 1A 6A 58 06 1F 30 6A 58 4C 46 16 6A 07 28 ?? ?? ?? ?? 53 02 1F 44 6A 58 47 2C 0A 06 1F 50 6A 58 46 13 06 2B 08 06 1F 51 6A 58 46 13 06 11 06 0D 02 1F 38 6A 58 09 54 09 16 32 05 1F 7F 09 30 07 02 1F 38 6A 58 16 54 02 1F 3C 6A 58 13 05 02 11 05 06 1F 53 6A 58 46 06 1F 52 6A 58 46 06 1F 56 6A 58 46 28 ?? ?? ?? ?? 02 1F 40 6A 58 13 04 02 11 04 06 1F 55 6A 58 46 06 1F 54 6A 58 46 06 1F 57 6A 58 46 28 ?? ?? ?? ?? 04 2C 1E 11 05 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 11 04 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 2A 00 41 4C 00 00 01 00 00 00 04 01 00 00 0F 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 04 01 00 00 28 00 00 00 2C 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 45 00 00 00 96 00 00 00 F4 00 00 00 43 00 00 00 DB 00 00 00 }
	condition:
		$1
}

rule file_2171_588_6 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@$$FIEAMXAEBV_Locinfo@2@_N@Z$2"
		size = 288
		refs = "0004 0A00007D 0021 060000CC 008c 0600040A 00b7 0400004C 00be 0A0000E6"
	strings:
		$1 = { 11 0A 08 28 ?? ?? ?? ?? DC DE 00 02 1F 48 6A 58 0B 02 1F 18 6A 58 06 1F 28 6A 58 4C 46 16 6A 07 28 ?? ?? ?? ?? 53 02 1F 1A 6A 58 06 1F 30 6A 58 4C 46 16 6A 07 28 ?? ?? ?? ?? 53 02 1F 44 6A 58 47 2C 0A 06 1F 50 6A 58 46 13 06 2B 08 06 1F 51 6A 58 46 13 06 11 06 0D 02 1F 38 6A 58 09 54 09 16 32 05 1F 7F 09 30 07 02 1F 38 6A 58 16 54 02 1F 3C 6A 58 13 05 02 11 05 06 1F 53 6A 58 46 06 1F 52 6A 58 46 06 1F 56 6A 58 46 28 ?? ?? ?? ?? 02 1F 40 6A 58 13 04 02 11 04 06 1F 55 6A 58 46 06 1F 54 6A 58 46 06 1F 57 6A 58 46 28 ?? ?? ?? ?? 04 2C 1E 11 05 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 11 04 7F ?? ?? ?? ?? 1A 6A 28 ?? ?? ?? ?? 26 2A 00 41 4C 00 00 01 00 00 00 04 01 00 00 0F 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 04 01 00 00 28 00 00 00 2C 01 00 00 09 00 00 00 29 00 00 01 01 00 00 00 45 00 00 00 96 00 00 00 F4 00 00 00 43 00 00 00 DB 00 00 00 }
	condition:
		$1
}

rule file_2171_677_6 {
	meta:
		name = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
		size = 89
		refs = "0003 0A00007D"
		altNames = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@$$FIEAMXAEBV_Locinfo@2@@Z$2"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 2A 00 00 41 4C 00 00 01 00 00 00 8B 00 00 00 0F 00 00 00 A9 00 00 00 03 00 00 00 9A 00 00 00 02 00 00 00 8B 00 00 00 28 00 00 00 B3 00 00 00 08 00 00 00 29 00 00 01 01 00 00 00 2E 00 00 00 36 00 00 00 7C 00 00 00 41 00 00 00 64 00 00 00 }
	condition:
		$1
}

rule file_2497_34_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000EB"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 30 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 30 00 00 01 }
	condition:
		$1
}

rule file_2497_37_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000EB"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 30 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 30 00 00 01 }
	condition:
		$1
}

rule file_2497_317_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@$$FQEAMX_K0@Z$6"
		size = 220
		refs = "0004 0A00009C 0013 0600023A 0019 06000047 0023 06000212"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 18 6A 5A 58 16 53 2A 00 00 41 94 00 00 01 00 00 00 DB 00 00 00 12 00 00 00 FC 00 00 00 03 00 00 00 ED 00 00 00 02 00 00 00 DB 00 00 00 2B 00 00 00 06 01 00 00 09 00 00 00 30 00 00 01 01 00 00 00 A4 00 00 00 0E 00 00 00 CB 00 00 00 46 00 00 00 B2 00 00 00 01 00 00 00 A2 00 00 00 71 00 00 00 22 01 00 00 03 00 00 00 13 01 00 00 02 00 00 00 A2 00 00 00 8A 00 00 00 2C 01 00 00 09 00 00 00 30 00 00 01 01 00 00 00 5E 00 00 00 1B 00 00 00 92 00 00 00 A5 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule file_2541_107_6 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FQEAMX_K0@Z$6"
		size = 215
		refs = "0004 0A000056 0013 060000B7 0019 0600002A 0023 060000A8"
	strings:
		$1 = { 11 07 08 28 ?? ?? ?? ?? DC DE 00 16 6A 04 34 0E 09 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 6A 28 ?? ?? ?? ?? 02 09 55 02 1F 18 6A 58 06 55 02 1F 10 6A 58 04 55 02 28 ?? ?? ?? ?? 04 58 16 52 2A 41 94 00 00 01 00 00 00 DC 00 00 00 12 00 00 00 FD 00 00 00 03 00 00 00 EE 00 00 00 02 00 00 00 DC 00 00 00 2B 00 00 00 07 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 A5 00 00 00 0E 00 00 00 CC 00 00 00 46 00 00 00 B3 00 00 00 01 00 00 00 A3 00 00 00 71 00 00 00 23 01 00 00 03 00 00 00 14 01 00 00 02 00 00 00 A3 00 00 00 8A 00 00 00 2D 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 5F 00 00 00 1B 00 00 00 93 00 00 00 A5 00 00 00 7A 00 00 00 }
	condition:
		$1
}

rule file_3007_31_6 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQEAMXXZ$2"
		size = 66
		refs = "0005 0A0000D3"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 2A 00 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2C 00 00 01 02 00 00 00 09 00 00 00 2D 00 00 00 36 00 00 00 0A 00 00 00 2C 00 00 01 }
	condition:
		$1
}

rule file_3007_34_6 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQEAMPEAV123@XZ$2"
		size = 74
		refs = "0005 0A0000D3"
	strings:
		$1 = { 08 2C 06 07 28 ?? ?? ?? ?? DC 21 00 00 00 00 00 00 00 00 2A 09 2A 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 2C 00 00 01 02 00 00 00 09 00 00 00 41 00 00 00 4A 00 00 00 0A 00 00 00 2C 00 00 01 }
	condition:
		$1
}